get file = "d:\timss\data\bm2\bsgallm2.sav"
   / keep=idcntry idstud idgrader jkrep jkzone totwgt
          bsbgbook bsssci01 to bsssci05 intms99.

select if not(missing(bsbgbook)) and intms99=1 and idgrader = 2.

value labels
  bsbgbook 1  "None or very few (0-10)"
           2  "For 1 shelf (11-25)"
           3  "For 1 bookcase (26-100)"
           4  "For 2 bookcases (101-200)"
           5  "For 3 or more bookcases (>200)" /
  idcntry
   036 'AUSTRALIA         '   956 'BELGIUM (Flemish) '   100 'BULGARIA          '
   124 'CANADA            '   152 'CHILE             '   196 'CYPRUS            '
   203 'CZECH REP.        '   926 'ENGLAND           '   246 'FINLAND           '
   344 'HONG KONG         '   348 'HUNGARY           '   360 'INDONESIA         '
   364 'IRAN, ISLAMIC REP.'   376 'ISRAEL            '   380 'ITALY             '
   400 'JORDAN            '   392 'JAPAN             '   410 'KOREA, REP. OF    '
   440 'LITHUANIA         '   428 'LATVIA            '   504 'MOROCCO           '
   498 'MOLDOVA, REP. OF  '   807 'MACEDONIA, REP. OF'   458 'MALAYSIA          '
   528 'NETHERLANDS       '   554 'NEW ZEALAND       '   608 'PHILIPPINES       '
   642 'ROMANIA           '   643 'RUSSIAN FEDERATION'   702 'SINGAPORE         '
   703 'SLOVAK REP.       '   705 'SLOVENIA          '   764 'THAILAND          '
   788 'TUNISIA           '   792 'TURKEY            '   158 'CHINESE TAIPEI    '
   840 'UNITED STATES     '   710 'SOUTH AFRICA      ' .

save outfile = student.

* Now use the macro to get the results.
include "d:\timss\programs\jackpv.sps".

jackpv infile= student  /
       cvar  = idcntry bsbgbook /
       pvs   = BSSSCI01 TO BSSSCI05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TOTWGT   .

sort cases by idcntry.

print formats n (f6.0) totwgt (f10.0) mnpv mnpv_se pct pct_se (f6.2).

report format=list automatic
  / var   = bsbgbook (label) n totwgt mnpv mnpv_se pct pct_se
  / break = idcntry .

