libname bm2 "d:\timss\data\bm2";

%include "d:\timss\Programs\jackpv.sas";

* Read the variables from the Science Teacher file and sort by merge variables;
data teacher;
     set bm2.btsallm2 (keep=idcntry idteach idlink btbgage);
    select (Btbgage);
     when(1,2)   btdgage = 1;    /*under 29 yrs. old             */
     when(3)     btdgage = 2;    /*30-39                         */
     when(4)     btdgage = 3;    /*40-49                         */
     when(5,6)   btdgage = 4;    /*50 or over                    */
     otherwise;
    end;

proc sort data=teacher;
     by idcntry idteach idlink;

* Read the variables from the student teacher link file and sort by merge variables;
data studteac;
     set bm2.bstallm2
       (keep=idcntry idteach idlink idgrader jkrep jkzone sciwgt bsssci01-bsssci05 intms99);
proc sort data=studteac;
     by idcntry idteach idlink;

* Now merge the two files;
data merged;
     merge studteac teacher;
     by idcntry idteach idlink;
      if sciwgt > 0 and nmiss(btdgage) = 0 and intms99 = 1 and idgrader = 2;

* Define the format for the variables used;
proc format library=work;
 value age   1 = "Under 29 y.o."
             2 = "30-39 years old"
             3 = "40-49 years old"
             4 = "50 years or older";

 value country
 036= 'AUSTRALIA         '   956= 'BELGIUM (Flemish) '   100= 'BULGARIA          '
 124= 'CANADA            '   152= 'CHILE             '   196= 'CYPRUS            '
 203= 'CZECH REP.        '   926= 'ENGLAND           '   246= 'FINLAND           '
 344= 'HONG KONG         '   348= 'HUNGARY           '   360= 'INDONESIA         '
 364= 'IRAN, ISLAMIC REP.'   376= 'ISRAEL            '   380= 'ITALY             '
 400= 'JORDAN            '   392= 'JAPAN             '   410= 'KOREA, REP. OF    '
 440= 'LITHUANIA         '   428= 'LATVIA            '   504= 'MOROCCO           '
 498= 'MOLDOVA, REP. OF  '   807= 'MACEDONIA, REP. OF'   458= 'MALAYSIA          '
 528= 'NETHERLANDS       '   554= 'NEW ZEALAND       '   608= 'PHILIPPINES       '
 642= 'ROMANIA           '   643= 'RUSSIAN FEDERATION'   702= 'SINGAPORE         '
 703= 'SLOVAK REP.       '   705= 'SLOVENIA          '   764= 'THAILAND          '
 788= 'TUNISIA           '   792= 'TURKEY            '   158= 'CHINESE TAIPEI    '
 840= 'UNITED STATES     '   710= 'SOUTH AFRICA      ';

%jackpv(sciwgt , jkzone, jkrep, 75, idcntry btdgage, bsssci0, 5, merged);

proc print data=final noobs;
     by idcntry ;
     var btdgage N sciwgt mnpv mnpv_se pct pct_se;
     format idcntry country. btdgage age.
            N 6.0 sciwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;

