* Get the teacher data, sort and save.
get file = "d:\timss\data\bm2\btsallm2.sav"
   / keep = idcntry idteach idlink btbgage.

recode btbgage (1,2 = 1) (  3 = 2) (  4 = 3) (5,6 = 4)
               (else = sysmis) into btdgage.

sort cases by idcntry idteach idlink.

save outfile = teacher.

* Get the student teacher link data and save.
get file = "d:\timss\data\bm2\bstallm2.sav"
   / keep = idcntry idteach idlink idgrader jkrep jkzone sciwgt bsssci01 to bsssci05 intms99.

select if sciwgt > 0 and idgrader=2.

sort cases by idcntry idteach idlink.

save outfile= studteac.

* Now merge the two files.
match files
  / file=studteac
  / table=teacher
  / by idcntry idteach idlink.

select if not(missing(btdgage)) and intms99=1.

* Define the format for the variables used.
value labels 
 btdgage   1 "Under 29 y.o."
           2 "30-39 years old"
           3 "40-49 years old"
           4 "50 years or older"/
 idcntry
 036 'AUSTRALIA         '   956 'BELGIUM (Flemish) '   100 'BULGARIA          '
 124 'CANADA            '   152 'CHILE             '   196 'CYPRUS            '
 203 'CZECH REP.        '   926 'ENGLAND           '   246 'FINLAND           '
 344 'HONG KONG         '   348 'HUNGARY           '   360 'INDONESIA         '
 364 'IRAN, ISLAMIC REP.'   376 'ISRAEL            '   380 'ITALY             '
 400 'JORDAN            '   392 'JAPAN             '   410 'KOREA, REP. OF    '
 440 'LITHUANIA         '   428 'LATVIA            '   504 'MOROCCO           '
 498 'MOLDOVA, REP. OF  '   807 'MACEDONIA, REP. OF'   458 'MALAYSIA          '
 528 'NETHERLANDS       '   554 'NEW ZEALAND       '   608 'PHILIPPINES       '
 642 'ROMANIA           '   643 'RUSSIAN FEDERATION'   702 'SINGAPORE         '
 703 'SLOVAK REP.       '   705 'SLOVENIA          '   764 'THAILAND          '
 788 'TUNISIA           '   792 'TURKEY            '   158 'CHINESE TAIPEI    '
 840 'UNITED STATES     '   710 'SOUTH AFRICA      ' .

save outfile = merged.

* Now use the macro to get the results.

include "d:\timss\programs\jackpv.sps".

jackpv infile= merged /
       cvar  = idcntry btdgage /
       pvs   = BSSSCI01 TO BSSSCI05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = sciwgt   / .

sort cases by idcntry.

print formats n (f6.0) sciwgt (f10.0) mnpv mnpv_se pct pct_se (F6.2).

report format=list automatic
 / var = btdgage (label) n sciwgt mnpv mnpv_se pct pct_se
 / break = idcntry.
