libname bm2 "d:\timss\data\bm2";

%include "d:\Timss\Programs\jackpv.sas";

* Read the variables from the school file and sort them by the merge variables;
data school;
     set bm2.bcgallm2
       (keep=idcntry idschool bcbgcomm);

proc sort data=school;
     by idcntry idschool;

* Read the variables from the student file and sort them by the merge variables;
data student;
     set bm2.bsgallm2
       (keep=idcntry idschool idgrader jkrep jkzone totwgt bsssci01-bsssci05 intms99);

proc sort data=student;
     by idcntry idschool;

* Merge the tudent and school files together;
data merged;
     merge student school;
     by idcntry idschool;
      if nmiss(bcbgcomm)=0 and intms99=1 and idgrader = 2;

* Define the format for the variables used;
proc format library=work;

 value comm  1 = "Community Type 1"
             2 = "Community Type 2"
             3 = "Community Type 3"
             4 = "Community Type 4";

 value country
 036= 'AUSTRALIA         '   956= 'BELGIUM (Flemish) '   100= 'BULGARIA          '
 124= 'CANADA            '   152= 'CHILE             '   196= 'CYPRUS            '
 203= 'CZECH REP.        '   926= 'ENGLAND           '   246= 'FINLAND           '
 344= 'HONG KONG         '   348= 'HUNGARY           '   360= 'INDONESIA         '
 364= 'IRAN, ISLAMIC REP.'   376= 'ISRAEL            '   380= 'ITALY             '
 400= 'JORDAN            '   392= 'JAPAN             '   410= 'KOREA, REP. OF    '
 440= 'LITHUANIA         '   428= 'LATVIA            '   504= 'MOROCCO           '
 498= 'MOLDOVA, REP. OF  '   807= 'MACEDONIA, REP. OF'   458= 'MALAYSIA          '
 528= 'NETHERLANDS       '   554= 'NEW ZEALAND       '   608= 'PHILIPPINES       '
 642= 'ROMANIA           '   643= 'RUSSIAN FEDERATION'   702= 'SINGAPORE         '
 703= 'SLOVAK REP.       '   705= 'SLOVENIA          '   764= 'THAILAND          '
 788= 'TUNISIA           '   792= 'TURKEY            '   158= 'CHINESE TAIPEI    '
 840= 'UNITED STATES     '   710= 'SOUTH AFRICA      ';

%jackpv(totwgt , jkzone, jkrep, 75, idcntry bcbgcomm, bsssci0, 5, merged);

proc print data=final noobs;
     by idcntry ;
     var bcbgcomm N totwgt mnpv mnpv_se pct pct_se;
     format idcntry country. bcbgcomm comm.
            N 6.0 totwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;
