
* Get the school data, sort and save it.
get file = "d:\timss\data\bm2\bcgallm2.sav"
   / keep = idcntry idschool bcbgcomm.

sort cases by idcntry idschool.

save outfile = school.

* Get the student data, sort and save it.
get file = "d:\timss\data\bm2\bsgallm2.sav"
  / keep = idcntry idschool idstud idgrader jkrep jkzone
           totwgt bsssci01 to bsssci05 .

select if idgrader = 2 .

sort cases by idcntry idschool.

save outfile = student.

* Now merge the two files.
match files
  / file=student
  / table=school
  / by idcntry idschool.

select if not(missing(bcbgcomm)).

execute.

* Define the format for the variables used.
value labels 
 idgrader   1  "Seventh Grade   "  2  "Eighth Grade"      /
 bcbgcomm   1  "Community Type 1"  2  "Community Type 2"
            3  "Community Type 3"  4  "Community Type 4"  / 
 idcntry
 036 'AUSTRALIA         '   956 'BELGIUM (Flemish) '   100 'BULGARIA          '
 124 'CANADA            '   152 'CHILE             '   196 'CYPRUS            '
 203 'CZECH REP.        '   926 'ENGLAND           '   246 'FINLAND           '
 344 'HONG KONG         '   348 'HUNGARY           '   360 'INDONESIA         '
 364 'IRAN, ISLAMIC REP.'   376 'ISRAEL            '   380 'ITALY             '
 400 'JORDAN            '   392 'JAPAN             '   410 'KOREA, REP. OF    '
 440 'LITHUANIA         '   428 'LATVIA            '   504 'MOROCCO           '
 498 'MOLDOVA, REP. OF  '   807 'MACEDONIA, REP. OF'   458 'MALAYSIA          '
 528 'NETHERLANDS       '   554 'NEW ZEALAND       '   608 'PHILIPPINES       '
 642 'ROMANIA           '   643 'RUSSIAN FEDERATION'   702 'SINGAPORE         '
 703 'SLOVAK REP.       '   705 'SLOVENIA          '   764 'THAILAND          '
 788 'TUNISIA           '   792 'TURKEY            '   158 'CHINESE TAIPEI    '
 840 'UNITED STATES     '   710 'SOUTH AFRICA      ' .

save outfile = merged.

* Now use the macro to get the results.
include "d:\timss\programs\jackpv.sps".

jackpv infile= merged /
       cvar  = idcntry bcbgcomm /
       pvs   = BSSSCI01 TO BSSSCI05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TOTWGT   / .

sort cases by idcntry bcbgcomm.

print formats n (f6.0) totwgt (f10.0) mnpv mnpv_se pct pct_se (F6.2).

report format=list automatic
 / var = bcbgcomm (label) n totwgt mnpv mnpv_se pct pct_se
 / break = idcntry .

