%let cty =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
            FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
            KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
            SCO SGP SVK SVN ESP SWE CHE THA USA ITA ;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bcg&ccode.m1 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1100 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      BCBGCOMM   3 ;
LENGTH      BCBGGRPK   3 ;
LENGTH      BCBGGRK    3 ;
LENGTH      BCBGGR1    3 ;
LENGTH      BCBGGR2    3 ;
LENGTH      BCBGGR3    3 ;
LENGTH      BCBGGR4    3 ;
LENGTH      BCBGGR5    3 ;
LENGTH      BCBGGR6    3 ;
LENGTH      BCBGGR7    3 ;
LENGTH      BCBGGR8    3 ;
LENGTH      BCBGGR9    3 ;
LENGTH      BCBGGR10   3 ;
LENGTH      BCBGGR11   3 ;
LENGTH      BCBGGR12   3 ;
LENGTH      BCBGGR13   3 ;
LENGTH      BCBGFTE1   8 ;
LENGTH      BCBGFTE2   8 ;
LENGTH      BCBGFTE3   8 ;
LENGTH      BCBGFTE4   8 ;
LENGTH      BCBGFTE5   8 ;
LENGTH      BCBGFTE6   8 ;
LENGTH      BCBGFTE7   8 ;
LENGTH      BCBGFTE8   8 ;
LENGTH      BCBGFTTE   3 ;
LENGTH      BCBGPTTE   3 ;
LENGTH      BCBGTE5Y   3 ;
LENGTH      BCBMTEAC   3 ;
LENGTH      BCBMNONE   3 ;
LENGTH      BCBSTEAC   3 ;
LENGTH      BCBSNONE   3 ;
LENGTH      BCBGTEAC   3 ;
LENGTH      BCBGNONE   3 ;
LENGTH      BCBGSAME   3 ;
LENGTH      BCBMRELW   3 ;
LENGTH      BCBMTEAW   3 ;
LENGTH      BCBSRELW   3 ;
LENGTH      BCBSTEAW   3 ;
LENGTH      BCBGCOL1   3 ;
LENGTH      BCBGCOL2   3 ;
LENGTH      BCBGCOL3   3 ;
LENGTH      BCBGAC01   3 ;
LENGTH      BCBGAC02   3 ;
LENGTH      BCBGAC03   3 ;
LENGTH      BCBGAC04   3 ;
LENGTH      BCBGAC05   3 ;
LENGTH      BCBGAC06   3 ;
LENGTH      BCBGAC07   3 ;
LENGTH      BCBGAC08   3 ;
LENGTH      BCBGAC09   3 ;
LENGTH      BCBGAC10   3 ;
LENGTH      BCBGAC11   3 ;
LENGTH      BCBGAC12   3 ;
LENGTH      BCBGAC13   3 ;
LENGTH      BCBGAC14   3 ;
LENGTH      BCBGRP01   3 ;
LENGTH      BCBGRP02   3 ;
LENGTH      BCBGRP03   3 ;
LENGTH      BCBGRP04   3 ;
LENGTH      BCBGRP05   3 ;
LENGTH      BCBGRP06   3 ;
LENGTH      BCBGRP07   3 ;
LENGTH      BCBGRP08   3 ;
LENGTH      BCBGRP09   3 ;
LENGTH      BCBGRP10   3 ;
LENGTH      BCBGRP11   3 ;
LENGTH      BCBGRP12   3 ;
LENGTH      BCBGRP13   3 ;
LENGTH      BCBGRP14   3 ;
LENGTH      BCBGIF01   3 ;
LENGTH      BCBGIF02   3 ;
LENGTH      BCBGIF03   3 ;
LENGTH      BCBGIF04   3 ;
LENGTH      BCBGIF05   3 ;
LENGTH      BCBGIF06   3 ;
LENGTH      BCBGIF07   3 ;
LENGTH      BCBGIF08   3 ;
LENGTH      BCBGIF09   3 ;
LENGTH      BCBGIF10   3 ;
LENGTH      BCBGIF11   3 ;
LENGTH      BCBGIF12   3 ;
LENGTH      BCBGIF13   3 ;
LENGTH      BCBGIF14   3 ;
LENGTH      BCBGIF15   3 ;
LENGTH      BCBMCURR   3 ;
LENGTH      BCBSCURR   3 ;
LENGTH      BCBGCOM1   3 ;
LENGTH      BCBGCOM2   3 ;
LENGTH      BCBGCOM3   3 ;
LENGTH      BCBGCOM4   3 ;
LENGTH      BCBGCOM5   3 ;
LENGTH      BCBGST01   3 ;
LENGTH      BCBGST02   3 ;
LENGTH      BCBGST03   3 ;
LENGTH      BCBGST04   3 ;
LENGTH      BCBGST05   3 ;
LENGTH      BCBGST06   3 ;
LENGTH      BCBMST07   3 ;
LENGTH      BCBMST08   3 ;
LENGTH      BCBMST09   3 ;
LENGTH      BCBMST10   3 ;
LENGTH      BCBMST11   3 ;
LENGTH      BCBSST12   3 ;
LENGTH      BCBSST13   3 ;
LENGTH      BCBSST14   3 ;
LENGTH      BCBSST15   3 ;
LENGTH      BCBSST16   3 ;
LENGTH      BCBSST17   3 ;
LENGTH      BCBGBENR   5 ;
LENGTH      BCBGGENR   5 ;
LENGTH      BCBGABST   3 ;
LENGTH      BCBGENDY   3 ;
LENGTH      BCBGTNSF   3 ;
LENGTH      BCBGLBER   3 ;
LENGTH      BCBGLGER   3 ;
LENGTH      BCBGLBRT   3 ;
LENGTH      BCBGLGRT   3 ;
LENGTH      BCBGLSIZ   3 ;
LENGTH      BCBGLMGR   3 ;
LENGTH      BCBMLBER   3 ;
LENGTH      BCBMLGER   3 ;
LENGTH      BCBSLBER   3 ;
LENGTH      BCBSLGER   3 ;
LENGTH      BCBGUBER   4 ;
LENGTH      BCBGUGER   4 ;
LENGTH      BCBGUBRT   3 ;
LENGTH      BCBGUGRT   3 ;
LENGTH      BCBGUSIZ   3 ;
LENGTH      BCBGUMGR   3 ;
LENGTH      BCBMUBER   3 ;
LENGTH      BCBMUGER   3 ;
LENGTH      BCBSUBER   3 ;
LENGTH      BCBSUGER   3 ;
LENGTH      BCBGUO01   3 ;
LENGTH      BCBGUP01   3 ;
LENGTH      BCBGUO02   3 ;
LENGTH      BCBGUP02   3 ;
LENGTH      BCBGUO03   3 ;
LENGTH      BCBGUP03   3 ;
LENGTH      BCBGUO04   3 ;
LENGTH      BCBGUP04   3 ;
LENGTH      BCBGUO05   3 ;
LENGTH      BCBGUP05   3 ;
LENGTH      BCBGUO06   3 ;
LENGTH      BCBGUP06   3 ;
LENGTH      BCBGUO07   3 ;
LENGTH      BCBGUP07   3 ;
LENGTH      BCBGUO08   3 ;
LENGTH      BCBGUP08   3 ;
LENGTH      BCBGUO09   3 ;
LENGTH      BCBGUP09   3 ;
LENGTH      BCBGUO10   3 ;
LENGTH      BCBGUP10   3 ;
LENGTH      BCBGUO11   3 ;
LENGTH      BCBGUP11   3 ;
LENGTH      BCBGUO12   3 ;
LENGTH      BCBGUP12   3 ;
LENGTH      BCBGUO13   3 ;
LENGTH      BCBGUP13   3 ;
LENGTH      BCBGUO14   3 ;
LENGTH      BCBGUP14   3 ;
LENGTH      BCBGUO15   3 ;
LENGTH      BCBGUP15   3 ;
LENGTH      BCBGUO16   3 ;
LENGTH      BCBGUP16   3 ;
LENGTH      BCBGUO17   3 ;
LENGTH      BCBGUP17   3 ;
LENGTH      BCBGUO18   3 ;
LENGTH      BCBGUP18   3 ;
LENGTH      BCBGINST   3 ;
LENGTH      BCBGLDYY   3 ;
LENGTH      BCBGUDYY   3 ;
LENGTH      BCBGLFLW   3 ;
LENGTH      BCBGUFLW   3 ;
LENGTH      BCBGLHFW   3 ;
LENGTH      BCBGUHFW   3 ;
LENGTH      BCBGLTHW   3 ;
LENGTH      BCBGUTHW   3 ;
LENGTH      BCBGLIHW   3 ;
LENGTH      BCBGUIHW   3 ;
LENGTH      BCBGDIVI   3 ;
LENGTH      BCBGLPDW   3 ;
LENGTH      BCBGUPDW   3 ;
LENGTH      BCBGLTMP   3 ;
LENGTH      BCBGUTMP   3 ;
LENGTH      BCBMRMDL   3 ;
LENGTH      BCBMRMD1   3 ;
LENGTH      BCBMRMD2   3 ;
LENGTH      BCBMRMD3   3 ;
LENGTH      BCBMRMD4   3 ;
LENGTH      BCBSRMDL   3 ;
LENGTH      BCBSRMD1   3 ;
LENGTH      BCBSRMD2   3 ;
LENGTH      BCBSRMD3   3 ;
LENGTH      BCBSRMD4   3 ;
LENGTH      BCBMENRH   3 ;
LENGTH      BCBMENR1   3 ;
LENGTH      BCBMENR2   3 ;
LENGTH      BCBMENR3   3 ;
LENGTH      BCBMENR4   3 ;
LENGTH      BCBSENRH   3 ;
LENGTH      BCBSENR1   3 ;
LENGTH      BCBSENR2   3 ;
LENGTH      BCBSENR3   3 ;
LENGTH      BCBSENR4   3 ;
LENGTH      BCBMUSCO   3 ;
LENGTH      BCBMUC1    3 ;
LENGTH      BCBMUC2    3 ;
LENGTH      BCBMUC3    3 ;
LENGTH      BCBMUC41   3 ;
LENGTH      BCBMUC42   3 ;
LENGTH      BCBMUC51   3 ;
LENGTH      BCBMUC52   3 ;
LENGTH      BCBMUC61   3 ;
LENGTH      BCBMUC62   3 ;
LENGTH      BCBMUFC1   3 ;
LENGTH      BCBMUFC2   3 ;
LENGTH      BCBMUFC3   3 ;
LENGTH      BCBMUFC4   3 ;
LENGTH      BCBMUFC5   3 ;
LENGTH      BCBMUFC6   3 ;
LENGTH      BCBMUFC7   3 ;
LENGTH      BCBMUFC8   3 ;
LENGTH      BCBSUSCO   3 ;
LENGTH      BCBSUC1    3 ;
LENGTH      BCBSUC2    3 ;
LENGTH      BCBSUC3    3 ;
LENGTH      BCBSUC41   3 ;
LENGTH      BCBSUC42   3 ;
LENGTH      BCBSUC51   3 ;
LENGTH      BCBSUC52   3 ;
LENGTH      BCBSUC61   3 ;
LENGTH      BCBSUC62   3 ;
LENGTH      BCBSUFC1   3 ;
LENGTH      BCBSUFC2   3 ;
LENGTH      BCBSUFC3   3 ;
LENGTH      BCBSUFC4   3 ;
LENGTH      BCBSUFC5   3 ;
LENGTH      BCBSUFC6   3 ;
LENGTH      BCBSUFC7   3 ;
LENGTH      BCBSUFC8   3 ;
LENGTH      BCBGSTD1   3 ;
LENGTH      BCBGSTD2   3 ;
LENGTH      BCBGSTD3   3 ;
LENGTH      BCBGSTD4   3 ;
LENGTH      BCBGSTD5   3 ;
LENGTH      BCBGSTD6   3 ;
LENGTH      BCBGSTD7   3 ;
LENGTH      BCBGSTD8   3 ;
LENGTH      BCBGBS01   3 ;
LENGTH      BCBGBS02   3 ;
LENGTH      BCBGBS03   3 ;
LENGTH      BCBGBS04   3 ;
LENGTH      BCBGBS05   3 ;
LENGTH      BCBGBS06   3 ;
LENGTH      BCBGBS07   3 ;
LENGTH      BCBGBS08   3 ;
LENGTH      BCBGBS09   3 ;
LENGTH      BCBGBS10   3 ;
LENGTH      BCBGBS11   3 ;
LENGTH      BCBGBS12   3 ;
LENGTH      BCBGBS13   3 ;
LENGTH      BCDGAAIT   8 ;
LENGTH      BCDGAYTS   8 ;
LENGTH      BCDGPHSI   8 ;
LENGTH      BCDGSTRA   8 ;
LENGTH      BCDGTENR   8 ;
LENGTH      BCDGUTER   8 ;
LENGTH      BCDGUTRT   8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      SCHWGT     8 ;
LENGTH      STOTWGTL   8 ;
LENGTH      STOTWGTU   8 ;
LENGTH      STOTWGTE   8 ;
LENGTH      BCDGADMN   8 ;
LENGTH      BCDMASR    3 ;
LENGTH      BCDSASR    3 ;
LENGTH      BCDGCMUN   8 ;
LENGTH      BCDGINST   8 ;
LENGTH      BCDGTEAC   8 ;
LENGTH      JKCZONE    3 ;
LENGTH      JKCREP     3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  BCBGCOMM     15-  15     
  BCBGGRPK     16-  16     
  BCBGGRK      17-  17     
  BCBGGR1      18-  18     
  BCBGGR2      19-  19     
  BCBGGR3      20-  20     
  BCBGGR4      21-  21     
  BCBGGR5      22-  22     
  BCBGGR6      23-  23     
  BCBGGR7      24-  24     
  BCBGGR8      25-  25     
  BCBGGR9      26-  26     
  BCBGGR10     27-  27     
  BCBGGR11     28-  28     
  BCBGGR12     29-  29     
  BCBGGR13     30-  30     
  BCBGFTE1     31-  34 .1
  BCBGFTE2     35-  38 .1
  BCBGFTE3     39-  42 .1
  BCBGFTE4     43-  47 .1
  BCBGFTE5     48-  52 .1
  BCBGFTE6     53-  57 .1
  BCBGFTE7     58-  62 .1
  BCBGFTE8     63-  67 .1
  BCBGFTTE     68-  70     
  BCBGPTTE     71-  73     
  BCBGTE5Y     74-  76     
  BCBMTEAC     77-  79     
  BCBMNONE     80-  82     
  BCBSTEAC     83-  85     
  BCBSNONE     86-  88     
  BCBGTEAC     89-  91     
  BCBGNONE     92-  94     
  BCBGSAME     95-  95     
  BCBMRELW     96-  97     
  BCBMTEAW     98-  99     
  BCBSRELW    100- 101     
  BCBSTEAW    102- 103     
  BCBGCOL1    104- 104     
  BCBGCOL2    105- 105     
  BCBGCOL3    106- 106     
  BCBGAC01    107- 109     
  BCBGAC02    110- 112     
  BCBGAC03    113- 115     
  BCBGAC04    116- 118     
  BCBGAC05    119- 121     
  BCBGAC06    122- 124     
  BCBGAC07    125- 127     
  BCBGAC08    128- 130     
  BCBGAC09    131- 133     
  BCBGAC10    134- 136     
  BCBGAC11    137- 139     
  BCBGAC12    140- 142     
  BCBGAC13    143- 145     
  BCBGAC14    146- 148     
  BCBGRP01    149- 149     
  BCBGRP02    150- 150     
  BCBGRP03    151- 151     
  BCBGRP04    152- 152     
  BCBGRP05    153- 153     
  BCBGRP06    154- 154     
  BCBGRP07    155- 155     
  BCBGRP08    156- 156     
  BCBGRP09    157- 157     
  BCBGRP10    158- 158     
  BCBGRP11    159- 159     
  BCBGRP12    160- 160     
  BCBGRP13    161- 161     
  BCBGRP14    162- 162     
  BCBGIF01    163- 163     
  BCBGIF02    164- 164     
  BCBGIF03    165- 165     
  BCBGIF04    166- 166     
  BCBGIF05    167- 167     
  BCBGIF06    168- 168     
  BCBGIF07    169- 169     
  BCBGIF08    170- 170     
  BCBGIF09    171- 171     
  BCBGIF10    172- 172     
  BCBGIF11    173- 173     
  BCBGIF12    174- 174     
  BCBGIF13    175- 175     
  BCBGIF14    176- 176     
  BCBGIF15    177- 177     
  BCBMCURR    178- 178     
  BCBSCURR    179- 179     
  BCBGCOM1    180- 182     
  BCBGCOM2    183- 185     
  BCBGCOM3    186- 188     
  BCBGCOM4    189- 191     
  BCBGCOM5    192- 194     
  BCBGST01    195- 195     
  BCBGST02    196- 196     
  BCBGST03    197- 197     
  BCBGST04    198- 198     
  BCBGST05    199- 199     
  BCBGST06    200- 200     
  BCBMST07    201- 201     
  BCBMST08    202- 202     
  BCBMST09    203- 203     
  BCBMST10    204- 204     
  BCBMST11    205- 205     
  BCBSST12    206- 206     
  BCBSST13    207- 207     
  BCBSST14    208- 208     
  BCBSST15    209- 209     
  BCBSST16    210- 210     
  BCBSST17    211- 211     
  BCBGBENR    212- 216     
  BCBGGENR    217- 221     
  BCBGABST    222- 224     
  BCBGENDY    225- 227     
  BCBGTNSF    228- 230     
  BCBGLBER    231- 233     
  BCBGLGER    234- 236     
  BCBGLBRT    237- 239     
  BCBGLGRT    240- 242     
  BCBGLSIZ    243- 245     
  BCBGLMGR    246- 248     
  BCBMLBER    249- 251     
  BCBMLGER    252- 254     
  BCBSLBER    255- 257     
  BCBSLGER    258- 260     
  BCBGUBER    261- 264     
  BCBGUGER    265- 268     
  BCBGUBRT    269- 271     
  BCBGUGRT    272- 274     
  BCBGUSIZ    275- 277     
  BCBGUMGR    278- 280     
  BCBMUBER    281- 283     
  BCBMUGER    284- 286     
  BCBSUBER    287- 289     
  BCBSUGER    290- 292     
  BCBGUO01    293- 293     
  BCBGUP01    294- 296     
  BCBGUO02    297- 297     
  BCBGUP02    298- 300     
  BCBGUO03    301- 301     
  BCBGUP03    302- 304     
  BCBGUO04    305- 305     
  BCBGUP04    306- 308     
  BCBGUO05    309- 309     
  BCBGUP05    310- 312     
  BCBGUO06    313- 313     
  BCBGUP06    314- 316     
  BCBGUO07    317- 317     
  BCBGUP07    318- 320     
  BCBGUO08    321- 321     
  BCBGUP08    322- 324     
  BCBGUO09    325- 325     
  BCBGUP09    326- 328     
  BCBGUO10    329- 329     
  BCBGUP10    330- 332     
  BCBGUO11    333- 333     
  BCBGUP11    334- 336     
  BCBGUO12    337- 337     
  BCBGUP12    338- 340     
  BCBGUO13    341- 341     
  BCBGUP13    342- 344     
  BCBGUO14    345- 345     
  BCBGUP14    346- 348     
  BCBGUO15    349- 349     
  BCBGUP15    350- 352     
  BCBGUO16    353- 353     
  BCBGUP16    354- 356     
  BCBGUO17    357- 357     
  BCBGUP17    358- 360     
  BCBGUO18    361- 361     
  BCBGUP18    362- 364     
  BCBGINST    365- 365     
  BCBGLDYY    366- 368     
  BCBGUDYY    369- 371     
  BCBGLFLW    372- 373     
  BCBGUFLW    374- 375     
  BCBGLHFW    376- 377     
  BCBGUHFW    378- 379     
  BCBGLTHW    380- 381     
  BCBGUTHW    382- 383     
  BCBGLIHW    384- 385     
  BCBGUIHW    386- 387     
  BCBGDIVI    388- 388     
  BCBGLPDW    389- 390     
  BCBGUPDW    391- 392     
  BCBGLTMP    393- 395     
  BCBGUTMP    396- 398     
  BCBMRMDL    399- 399     
  BCBMRMD1    400- 400     
  BCBMRMD2    401- 401     
  BCBMRMD3    402- 402     
  BCBMRMD4    403- 403     
  BCBSRMDL    404- 404     
  BCBSRMD1    405- 405     
  BCBSRMD2    406- 406     
  BCBSRMD3    407- 407     
  BCBSRMD4    408- 408     
  BCBMENRH    409- 409     
  BCBMENR1    410- 410     
  BCBMENR2    411- 411     
  BCBMENR3    412- 412     
  BCBMENR4    413- 413     
  BCBSENRH    414- 414     
  BCBSENR1    415- 415     
  BCBSENR2    416- 416     
  BCBSENR3    417- 417     
  BCBSENR4    418- 418     
  BCBMUSCO    419- 419     
  BCBMUC1     420- 422     
  BCBMUC2     423- 424     
  BCBMUC3     425- 426     
  BCBMUC41    427- 429     
  BCBMUC42    430- 432     
  BCBMUC51    433- 435     
  BCBMUC52    436- 438     
  BCBMUC61    439- 440     
  BCBMUC62    441- 442     
  BCBMUFC1    443- 443     
  BCBMUFC2    444- 444     
  BCBMUFC3    445- 445     
  BCBMUFC4    446- 446     
  BCBMUFC5    447- 447     
  BCBMUFC6    448- 448     
  BCBMUFC7    449- 449     
  BCBMUFC8    450- 450     
  BCBSUSCO    451- 451     
  BCBSUC1     452- 454     
  BCBSUC2     455- 456     
  BCBSUC3     457- 458     
  BCBSUC41    459- 461     
  BCBSUC42    462- 464     
  BCBSUC51    465- 467     
  BCBSUC52    468- 470     
  BCBSUC61    471- 472     
  BCBSUC62    473- 474     
  BCBSUFC1    475- 475     
  BCBSUFC2    476- 476     
  BCBSUFC3    477- 477     
  BCBSUFC4    478- 478     
  BCBSUFC5    479- 479     
  BCBSUFC6    480- 480     
  BCBSUFC7    481- 481     
  BCBSUFC8    482- 482     
  BCBGSTD1    483- 485     
  BCBGSTD2    486- 488     
  BCBGSTD3    489- 491     
  BCBGSTD4    492- 494     
  BCBGSTD5    495- 497     
  BCBGSTD6    498- 500     
  BCBGSTD7    501- 503     
  BCBGSTD8    504- 506     
  BCBGBS01    507- 507     
  BCBGBS02    508- 508     
  BCBGBS03    509- 509     
  BCBGBS04    510- 510     
  BCBGBS05    511- 511     
  BCBGBS06    512- 512     
  BCBGBS07    513- 513     
  BCBGBS08    514- 514     
  BCBGBS09    515- 515     
  BCBGBS10    516- 516     
  BCBGBS11    517- 517     
  BCBGBS12    518- 518     
  BCBGBS13    519- 519     
  BCDGAAIT    520- 525 .1
  BCDGAYTS    526- 531 .1
  BCDGPHSI    532- 536 .1
  BCDGSTRA    537- 541 .1
  BCDGTENR    542- 547 .1
  BCDGUTER    548- 552 .1
  BCDGUTRT    553- 556 .1
  WGTFAC1     557- 563 .2
  WGTADJ1     564- 569 .3
  SCHWGT      570- 577 .3
  STOTWGTL    578- 585 .2
  STOTWGTU    586- 593 .2
  STOTWGTE    594- 601 .2
  BCDGADMN    602- 609 .3
  BCDMASR     610- 610     
  BCDSASR     611- 611     
  BCDGCMUN    612- 619 .3
  BCDGINST    620- 627 .3
  BCDGTEAC    628- 635 .3
  JKCZONE     636- 637     
  JKCREP      638- 638     
  DPCDATE     639- 644     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  BCBGCOMM = "GEN\TYPE OF COMMUNITY"
  BCBGGRPK = "GEN\GRADE LEVELS\PRE-KINDERGARTEN"
  BCBGGRK  = "GEN\GRADE LEVELS\KINDERGARTEN"
  BCBGGR1  = "GEN\GRADE LEVELS\GRADE 1"
  BCBGGR2  = "GEN\GRADE LEVELS\GRADE 2"
  BCBGGR3  = "GEN\GRADE LEVELS\GRADE 3"
  BCBGGR4  = "GEN\GRADE LEVELS\GRADE 4"
  BCBGGR5  = "GEN\GRADE LEVELS\GRADE 5"
  BCBGGR6  = "GEN\GRADE LEVELS\GRADE 6"
  BCBGGR7  = "GEN\GRADE LEVELS\GRADE 7"
  BCBGGR8  = "GEN\GRADE LEVELS\GRADE 8"
  BCBGGR9  = "GEN\GRADE LEVELS\GRADE 9"
  BCBGGR10 = "GEN\GRADE LEVELS\GRADE 10"
  BCBGGR11 = "GEN\GRADE LEVELS\GRADE 11"
  BCBGGR12 = "GEN\GRADE LEVELS\GRADE 12"
  BCBGGR13 = "GEN\GRADE LEVELS\GRADE 13"
  BCBGFTE1 = "GEN\STAFF\PRINCIPALS"
  BCBGFTE2 = "GEN\STAFF\ASSISTANT PRINCIPALS"
  BCBGFTE3 = "GEN\STAFF\DEPARTMENT HEADS"
  BCBGFTE4 = "GEN\STAFF\CLASSROOM TEACHERS"
  BCBGFTE5 = "GEN\STAFF\TEACHER AIDES"
  BCBGFTE6 = "GEN\STAFF\LABORATORY TECHNICIANS"
  BCBGFTE7 = "GEN\STAFF\LEARNING SPECIALISTS"
  BCBGFTE8 = "GEN\STAFF\OTHER PROFESSIONAL STAFF"
  BCBGFTTE = "GEN\NUMBER OF FULL-TIME TEACHERS"
  BCBGPTTE = "GEN\NUMBER OF PART-TIME TEACHERS"
  BCBGTE5Y = "GEN\TEACHER AT SCHOOL FOR 5+ YEARS"
  BCBMTEAC = "MAT\% TEACHER\75%+ IN MATHEMATICS"
  BCBMNONE = "MAT\% TEACHER\NO MATHEMATICS"
  BCBSTEAC = "SCI\% TEACHER\75%+ IN SCIENCE"
  BCBSNONE = "SCI\% TEACHER\NO SCIENCE"
  BCBGTEAC = "GEN\% TEACHER\75%+ IN MATH+SCIENCE"
  BCBGNONE = "GEN\% TEACHER\NO MATH OR SCIENCE"
  BCBGSAME = "GEN\TIME STUDENTS STAY WITH TEACHER"
  BCBMRELW = "MAT\MATH RELATED WORK PER WEEK"
  BCBMTEAW = "MAT\TEACH MATH CLASSES PER WEEK"
  BCBSRELW = "SCI\SCIENCE RELATED WORK PER WEEK"
  BCBSTEAW = "SCI\TEACH SCIENCE CLASSES PER WEEK"
  BCBGCOL1 = "GEN\COOPERATION\OFFICIAL POLICY"
  BCBGCOL2 = "GEN\COOPERATION\ENCOURAGED"
  BCBGCOL3 = "GEN\COOPERATION\REGULAR MEETINGS"
  BCBGAC01 = "GEN\PRINCIPAL\HIRE TEACHERS"
  BCBGAC02 = "GEN\PRINCIPAL\REPRESENT\COMMUNITY"
  BCBGAC03 = "GEN\PRINCIPAL\REPRESENT\OFFCL MEETNG"
  BCBGAC04 = "GEN\PRINCIPAL\INTERNAL ADMINISTRATN"
  BCBGAC05 = "GEN\PRINCIPAL\TEACHING + PREPARATION"
  BCBGAC06 = "GEN\PRINCIPAL\DEMONSTRATION LESSON"
  BCBGAC07 = "GEN\PRINCIPAL\DISCUSS WITH TEACHERS"
  BCBGAC08 = "GEN\PRINCIPAL\CURRICULUM REVISION"
  BCBGAC09 = "GEN\PRINCIPAL\TALK WITH PARENTS"
  BCBGAC10 = "GEN\PRINCIPAL\COUNSELING STUDENTS"
  BCBGAC11 = "GEN\PRINCIPAL\RESPONDING TO REQUESTS"
  BCBGAC12 = "GEN\PRINCIPAL\TRAIN TEACHERS"
  BCBGAC13 = "GEN\PRINCIPAL\PROFESSIONAL DEVELPMNT"
  BCBGAC14 = "GEN\PRINCIPAL\OTHER ACTIVITIES"
  BCBGRP01 = "GEN\RESPONSIBLE\HIRE TEACHERS"
  BCBGRP02 = "GEN\RESPONSIBLE\DISCIPLINARY POLICY"
  BCBGRP03 = "GEN\RESPONSIBLE\GRADING POLICY"
  BCBGRP04 = "GEN\RESPONSIBLE\SCHOOL BUDGET"
  BCBGRP05 = "GEN\RESPONSIBLE\PURCHASE SUPPLIES"
  BCBGRP06 = "GEN\RESPONSIBLE\PLACE STUDENTS"
  BCBGRP07 = "GEN\RESPONSIBLE\ASSIGN TEACHERS"
  BCBGRP08 = "GEN\RESPONSIBLE\DETERMINE TEXTBOOKS"
  BCBGRP09 = "GEN\RESPONSIBLE\HOMEWORK POLICY"
  BCBGRP10 = "GEN\RESPONSIBLE\TEACHER SALARIES"
  BCBGRP11 = "GEN\RESPONSIBLE\COMMUNITY RELATIONS"
  BCBGRP12 = "GEN\RESPONSIBLE\STUDENTS' FAMILIES"
  BCBGRP13 = "GEN\RESPONSIBLE\COURSE CONTENT"
  BCBGRP14 = "GEN\RESPONSIBLE\COURSE OFFERINGS"
  BCBGIF01 = "GEN\INFLUENCE\NATIONAL COUNCIL"
  BCBGIF02 = "GEN\INFLUENCE\NATIONAL ASSOCIATION"
  BCBGIF03 = "GEN\INFLUENCE\EDUCATIONAL REGION"
  BCBGIF04 = "GEN\INFLUENCE\SCHOOL GOVERNING BOARD"
  BCBGIF05 = "GEN\INFLUENCE\PRINCIPAL OR HEAD"
  BCBGIF06 = "GEN\INFLUENCE\SCHOOL TEACHERS"
  BCBGIF07 = "GEN\INFLUENCE\SUBJECT TEACHERS"
  BCBGIF08 = "GEN\INFLUENCE\TEACHER INDIVIDUALLY"
  BCBGIF09 = "GEN\INFLUENCE\PARENTS"
  BCBGIF10 = "GEN\INFLUENCE\STUDENTS"
  BCBGIF11 = "GEN\INFLUENCE\RELIGIOUS GROUPS"
  BCBGIF12 = "GEN\INFLUENCE\BUSINESS COMMUNITY"
  BCBGIF13 = "GEN\INFLUENCE\TEXTBOOK PUBLISHERS"
  BCBGIF14 = "GEN\INFLUENCE\EXTERNAL EXAMS"
  BCBGIF15 = "GEN\INFLUENCE\TEACHER UNIONS"
  BCBMCURR = "MAT\OWN SCHOOL CURRICULUM CONTENT"
  BCBSCURR = "SCI\OWN SCHOOL CURRICULUM CONTENT"
  BCBGCOM1 = "GEN\COMPUTERS\AVAILABLE"
  BCBGCOM2 = "GEN\COMPUTERS\TEACHER\ADMINISTRATION"
  BCBGCOM3 = "GEN\COMPUTERS\TEACHER\INSTRUCTION"
  BCBGCOM4 = "GEN\COMPUTERS\STUDENT\EDUCATIONAL"
  BCBGCOM5 = "GEN\COMPUTERS\STAFF\SCHOOL RECORD"
  BCBGST01 = "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS"
  BCBGST02 = "GEN\SHORTAGE\BUDGET FOR SUPPLIES"
  BCBGST03 = "GEN\SHORTAGE\SCHOOL BUILDINGS"
  BCBGST04 = "GEN\SHORTAGE\HEATING AND LIGHTING"
  BCBGST05 = "GEN\SHORTAGE\INSTRUCTIONAL SPACE"
  BCBGST06 = "GEN\SHORTAGE\HANDICAPPED FACILITIES"
  BCBMST07 = "MAT\SHORTAGE\COMPUTER HARDWARE"
  BCBMST08 = "MAT\SHORTAGE\COMPUTER SOFTWARE"
  BCBMST09 = "MAT\SHORTAGE\CALCULATORS"
  BCBMST10 = "MAT\SHORTAGE\LIBRARY MATERIALS"
  BCBMST11 = "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBSST12 = "SCI\SHORTAGE\LABORATORY EQUIPMENT"
  BCBSST13 = "SCI\SHORTAGE\COMPUTER HARDWARE"
  BCBSST14 = "SCI\SHORTAGE\COMPUTER SOFTWARE"
  BCBSST15 = "SCI\SHORTAGE\CALCULATORS"
  BCBSST16 = "SCI\SHORTAGE\LIBRARY MATERIALS"
  BCBSST17 = "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBGBENR = "GEN\TOTAL SCHOOL ENROLLMENT\BOYS"
  BCBGGENR = "GEN\TOTAL SCHOOL\ENROLLMENT\GIRLS"
  BCBGABST = "GEN\STUDENT\% ABSENT"
  BCBGENDY = "GEN\STUDENT\% FINISHING SCHOOL YEAR"
  BCBGTNSF = "GEN\STUDENT\% TRANSFERRING INTO SCHL"
  BCBGLBER = "GEN\L-GRADE\ENROLLMENT\BOYS"
  BCBGLGER = "GEN\L-GRADE\ENROLLMENT\GIRLS"
  BCBGLBRT = "GEN\L-GRADE\REPEATING GRADE\BOYS"
  BCBGLGRT = "GEN\L-GRADE\REPEATING GRADE\GIRLS"
  BCBGLSIZ = "GEN\L-GRADE\AVERAGE CLASS SIZE"
  BCBGLMGR = "GEN\L-GRADE\# IN MULTI-GRADE CLASSRM"
  BCBMLBER = "MAT\L-GRADE\# STUDYING MATH\BOYS"
  BCBMLGER = "MAT\L-GRADE\# STUDYING MATH\GIRLS"
  BCBSLBER = "SCI\L-GRADE\# STUDYING SCIENCE\BOYS"
  BCBSLGER = "SCI\L-GRADE\# STUDYING SCIENCE\GIRLS"
  BCBGUBER = "GEN\U-GRADE\ENROLLMENT\BOYS"
  BCBGUGER = "GEN\U-GRADE\ENROLLMENT\GIRLS"
  BCBGUBRT = "GEN\U-GRADE\REPEATING GRADE\BOYS"
  BCBGUGRT = "GEN\U-GRADE\REPEATING GRADE\GIRLS"
  BCBGUSIZ = "GEN\U-GRADE\AVERAGE CLASS SIZE"
  BCBGUMGR = "GEN\U-GRADE\# IN MULTI-GRADE CLASSRM"
  BCBMUBER = "MAT\U-GRADE\# STUDYING MATH\BOYS"
  BCBMUGER = "MAT\U-GRADE\# STUDYING MATH\GIRLS"
  BCBSUBER = "SCI\U-GRADE\# STUDYING SCIENCE\BOYS"
  BCBSUGER = "SCI\U-GRADE\# STUDYING SCIENCE\GIRLS"
  BCBGUO01 = "GEN\BEHAVIOR\ARRIVE LATE AT SCHOOL"
  BCBGUP01 = "GEN\BEHAVIOR\% ARRIVE LATE AT SCHOOL"
  BCBGUO02 = "GEN\BEHAVIOR\ABSENTEEISM"
  BCBGUP02 = "GEN\BEHAVIOR\% ABSENTEEISM"
  BCBGUO03 = "GEN\BEHAVIOR\SKIPPING CLASS"
  BCBGUP03 = "GEN\BEHAVIOR\% SKIPPING CLASS"
  BCBGUO04 = "GEN\BEHAVIOR\VIOLATING DRESS CODE"
  BCBGUP04 = "GEN\BEHAVIOR\% VIOLATING DRESS CODE"
  BCBGUO05 = "GEN\BEHAVIOR\CLASSROOM DISTURBANCE"
  BCBGUP05 = "GEN\BEHAVIOR\% CLASSROOM DISTURBANCE"
  BCBGUO06 = "GEN\BEHAVIOR\CHEATING"
  BCBGUP06 = "GEN\BEHAVIOR\% CHEATING"
  BCBGUO07 = "GEN\BEHAVIOR\PROFANITY"
  BCBGUP07 = "GEN\BEHAVIOR\% PROFANITY"
  BCBGUO08 = "GEN\BEHAVIOR\VANDALISM"
  BCBGUP08 = "GEN\BEHAVIOR\% VANDALISM"
  BCBGUO09 = "GEN\BEHAVIOR\THEFT"
  BCBGUP09 = "GEN\BEHAVIOR\% THEFT"
  BCBGUO10 = "GEN\BEHAVIOR\INTIMIDATION OF STUDNTS"
  BCBGUP10 = "GEN\BEHAVIOR\% INTIMIDATN OF STUDNTS"
  BCBGUO11 = "GEN\BEHAVIOR\INJURY TO STUDENTS"
  BCBGUP11 = "GEN\BEHAVIOR\% INJURY TO STUDENTS"
  BCBGUO12 = "GEN\BEHAVIOR\INTIMIDATION OF TEACHRS"
  BCBGUP12 = "GEN\BEHAVIOR\% INTIMIDATN OF TEACHRS"
  BCBGUO13 = "GEN\BEHAVIOR\INJURY TO TEACHERS"
  BCBGUP13 = "GEN\BEHAVIOR\% INJURY TO TEACHERS"
  BCBGUO14 = "GEN\BEHAVIOR\TOBACCO USE"
  BCBGUP14 = "GEN\BEHAVIOR\% TOBACCO USE"
  BCBGUO15 = "GEN\BEHAVIOR\ALCOHOL USE"
  BCBGUP15 = "GEN\BEHAVIOR\% ALCOHOL USE"
  BCBGUO16 = "GEN\BEHAVIOR\ILLEGAL DRUG USE"
  BCBGUP16 = "GEN\BEHAVIOR\% ILLEGAL DRUG USE"
  BCBGUO17 = "GEN\BEHAVIOR\WEAPON USE"
  BCBGUP17 = "GEN\BEHAVIOR\% WEAPON USE"
  BCBGUO18 = "GEN\BEHAVIOR\INAPPROPRIATE SEXUAL"
  BCBGUP18 = "GEN\BEHAVIOR\% INAPPROPRIATE SEXUAL"
  BCBGINST = "GEN\DIFFERENCE L-GRADE / U-GRADE"
  BCBGLDYY = "GEN\L-GRADE\DAYS PER YEAR"
  BCBGUDYY = "GEN\U-GRADE\DAYS PER YEAR"
  BCBGLFLW = "GEN\L-GRADE\FULL DAYS PER WEEK"
  BCBGUFLW = "GEN\U-GRADE\FULL DAYS PER WEEK"
  BCBGLHFW = "GEN\L-GRADE\HALF DAYS PER WEEK"
  BCBGUHFW = "GEN\U-GRADE\HALF DAYS PER WEEK"
  BCBGLTHW = "GEN\L-GRADE\# TOTAL HOURS PER WEEK"
  BCBGUTHW = "GEN\U-GRADE\# TOTAL HOURS PER WEEK"
  BCBGLIHW = "GEN\L-GRADE\# INSTR HOURS PER WEEK"
  BCBGUIHW = "GEN\U-GRADE\# INSTR HOURS PER WEEK"
  BCBGDIVI = "GEN\DIVISION INTO INSTR HOURS"
  BCBGLPDW = "GEN\L-GRADE\INST PERIODS PER WEEK"
  BCBGUPDW = "GEN\U-GRADE\INST PERIODS PER WEEK"
  BCBGLTMP = "GEN\L-GRADE\DURATION OF INSTR PERIOD"
  BCBGUTMP = "GEN\U-GRADE\DURATION OF INSTR PERIOD"
  BCBMRMDL = "MAT\REMEDIAL TEACHING"
  BCBMRMD1 = "MAT\REMEDIAL\GROUP IN REGULAR CLASS"
  BCBMRMD2 = "MAT\REMEDIAL\WITHDRAWN FROM CLASS"
  BCBMRMD3 = "MAT\REMEDIAL\EXTRA TUITION"
  BCBMRMD4 = "MAT\REMEDIAL\OTHER"
  BCBSRMDL = "SCI\REMEDIAL TEACHING"
  BCBSRMD1 = "SCI\REMEDIAL\GROUP IN REGULAR CLASS"
  BCBSRMD2 = "SCI\REMEDIAL\WITHDRAWN FROM CLASS"
  BCBSRMD3 = "SCI\REMEDIAL\EXTRA TUITION"
  BCBSRMD4 = "SCI\REMEDIAL\OTHER"
  BCBMENRH = "MAT\ENRICHMENT ACTIVITIES"
  BCBMENR1 = "MAT\ENRCHMNT\GROUP IN REGULAR CLASS"
  BCBMENR2 = "MAT\ENRCHMNT\WITHDRAWN FROM CLASS"
  BCBMENR3 = "MAT\ENRCHMNT\EXTRA TUITION"
  BCBMENR4 = "MAT\ENRCHMNT\OTHER"
  BCBSENRH = "SCI\ENRICHMENT ACTIVITIES"
  BCBSENR1 = "SCI\ENRCHMNT\GROUP IN REGULAR CLASS"
  BCBSENR2 = "SCI\ENRCHMNT\WITHDRAWN FROM CLASS"
  BCBSENR3 = "SCI\ENRCHMNT\EXTRA TUITION"
  BCBSENR4 = "SCI\ENRCHMNT\OTHER"
  BCBMUSCO = "MAT\U-GRADE\SAME COURSE OF STUDY"
  BCBMUC1  = "MAT\U-GRADE\MINUTES PER WEEK"
  BCBMUC2  = "MAT\U-GRADE\WEEKS PER YEAR"
  BCBMUC3  = "MAT\U-GRADE\COURSES AVAILABLE"
  BCBMUC41 = "MAT\U-GRADE\% MOST ADVANCED COURSE"
  BCBMUC42 = "MAT\U-GRADE\% LEAST ADVANCED COURSE"
  BCBMUC51 = "MAT\U-GRADE\WEEKMINUTES MOST ADVNCD"
  BCBMUC52 = "MAT\U-GRADE\WEEKMINUTES LEAST ADVNCD"
  BCBMUC61 = "MAT\U-GRADE\YEARWEEKS MOST ADVANCED"
  BCBMUC62 = "MAT\U-GRADE\YEARWEEKS LEAST ADVANCED"
  BCBMUFC1 = "MAT\U-GRADE\ACADEMIC PERFORMANCE"
  BCBMUFC2 = "MAT\U-GRADE\STANDARDIZED TEST"
  BCBMUFC3 = "MAT\U-GRADE\ENTRANCE EXAMINATION"
  BCBMUFC4 = "MAT\U-GRADE\ORAL EXAMINATION"
  BCBMUFC5 = "MAT\U-GRADE\TEACHER RECOMMENDATIONS"
  BCBMUFC6 = "MAT\U-GRADE\PARENTAL WISHES"
  BCBMUFC7 = "MAT\U-GRADE\STUDENT'S OWN WISHES"
  BCBMUFC8 = "MAT\U-GRADE\CURRICULAR REQUIREMENTS"
  BCBSUSCO = "SCI\U-GRADE\SAME COURSE OF STUDY"
  BCBSUC1  = "SCI\U-GRADE\MINUTES PER WEEK"
  BCBSUC2  = "SCI\U-GRADE\WEEKS PER YEAR"
  BCBSUC3  = "SCI\U-GRADE\COURSES AVAILABLE"
  BCBSUC41 = "SCI\U-GRADE\% MOST ADVANCED COURSE"
  BCBSUC42 = "SCI\U-GRADE\% LEAST ADVANCED COURSE"
  BCBSUC51 = "SCI\U-GRADE\WEEKMINUTES MOST ADVNCD"
  BCBSUC52 = "SCI\U-GRADE\WEEKMINUTES LEAST ADVNCD"
  BCBSUC61 = "SCI\U-GRADE\YEARWEEKS MOST ADVANCED"
  BCBSUC62 = "SCI\U-GRADE\YEARWEEKS LEAST ADVANCED"
  BCBSUFC1 = "SCI\U-GRADE\ACADEMIC PERFORMANCE"
  BCBSUFC2 = "SCI\U-GRADE\STANDARDIZED TEST"
  BCBSUFC3 = "SCI\U-GRADE\ENTRANCE EXAMINATION"
  BCBSUFC4 = "SCI\U-GRADE\ORAL EXAMINATION"
  BCBSUFC5 = "SCI\U-GRADE\TEACHER RECOMMENDATIONS"
  BCBSUFC6 = "SCI\U-GRADE\PARENTAL WISHES"
  BCBSUFC7 = "SCI\U-GRADE\STUDENT'S OWN WISHES"
  BCBSUFC8 = "SCI\U-GRADE\CURRICULAR REQUIREMENTS"
  BCBGSTD1 = "GEN\% FROM DISADVANTAGED BACKGROUND"
  BCBGSTD2 = "GEN\% PARENTS WITH NO PRIMARY EDUCN"
  BCBGSTD3 = "GEN\% ONE-PARENT FAMILIES"
  BCBGSTD4 = "GEN\% ATTENDED PRESCHOOL"
  BCBGSTD5 = "GEN\% 1ST LANGUAGE OTHER SCHOOL LNG"
  BCBGSTD6 = "GEN\% HAVE LEARNING PROBLEMS"
  BCBGSTD7 = "GEN\% HAVE HEALTH PROBLEMS"
  BCBGSTD8 = "GEN\% HAVE NUTRITION PROBLEMS"
  BCBGBS01 = "GEN\ADMITTNC\RESIDENCE IN AREA"
  BCBGBS02 = "GEN\ADMITTNC\ACADEMIC PERFORMANCE"
  BCBGBS03 = "GEN\ADMITTNC\INTERVIEW WITH STUDENT"
  BCBGBS04 = "GEN\ADMITTNC\INTERVIEW WITH PARENTS"
  BCBGBS05 = "GEN\ADMITTNC\FAMLY MEMBERS AT SCHOOL"
  BCBGBS06 = "GEN\ADMITTNC\DATE OF APPLICATION"
  BCBGBS07 = "GEN\ADMITTNC\TEACHER RECOMMENDATION"
  BCBGBS08 = "GEN\ADMITTNC\FROM PARTICULAR SCHOOL"
  BCBGBS09 = "GEN\ADMITTNC\FORMER STUDENT'S CHILD"
  BCBGBS10 = "GEN\ADMITTNC\STANDARDIZED TEST"
  BCBGBS11 = "GEN\ADMITTNC\ENTRANCE EXAMINATION"
  BCBGBS12 = "GEN\ADMITTNC\ORAL EXAMINATION"
  BCBGBS13 = "GEN\ADMITTNC\OTHER"
  BCDGAAIT = "GEN\AMT INSTR TIME"
  BCDGAYTS = "GEN\YEARLY TIME IN SCHOOL"
  BCDGPHSI = "GEN\PROP HRS SPENT ON INSTR."
  BCDGSTRA = "GEN\STUDENT-TEACHER RATIO"
  BCDGTENR = "GEN\TOTAL SCHOOL\ENROLLMENT\"
  BCDGUTER = "GEN\U-GRADE\ENROLLMENT"
  BCDGUTRT = "GEN\U-GRADE\REPEATING GRADE\STUDEN"
  WGTFAC1  = "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*"
  WGTADJ1  = "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*"
  SCHWGT   = "*SCHOOL LEVEL WEIGHT*"
  STOTWGTL = "*SUM OF STUDENT WEIGHTS - LOWER GRADE*"
  STOTWGTU = "*SUM OF STUDENT WEIGHTS - UPPER GRADE*"
  STOTWGTE = "*SUM OF STUDENT WEIGHTS - EXTRA GRADE*"
  BCDGADMN = "GEN\HRS. ON ADMINISTRATIVE WORK"
  BCDMASR  = "MAT\AVAILABILITY OF SCH. RES. FOR MATH"
  BCDSASR  = "SCI\AVAILABILITY OF SCH. RES. FOR SCI"
  BCDGCMUN = "GEN\HRS. ON COMMUNICATING W/PARE./STU."
  BCDGINST = "GEN\HRS. ON INSTRUCTION LEADERSHIP"
  BCDGTEAC = "GEN\HRS. ON TEACHING"
  JKCZONE  = "*ZONE CODE*"
  JKCREP   = "*REPLICATE CODE*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF BCBGCOMM = 8                THEN BCBGCOMM = .A ;
IF BCBGGRPK = 8                THEN BCBGGRPK = .A ;
IF BCBGGRK  = 8                THEN BCBGGRK  = .A ;
IF BCBGGR1  = 8                THEN BCBGGR1  = .A ;
IF BCBGGR2  = 8                THEN BCBGGR2  = .A ;
IF BCBGGR3  = 8                THEN BCBGGR3  = .A ;
IF BCBGGR4  = 8                THEN BCBGGR4  = .A ;
IF BCBGGR5  = 8                THEN BCBGGR5  = .A ;
IF BCBGGR6  = 8                THEN BCBGGR6  = .A ;
IF BCBGGR7  = 8                THEN BCBGGR7  = .A ;
IF BCBGGR8  = 8                THEN BCBGGR8  = .A ;
IF BCBGGR9  = 8                THEN BCBGGR9  = .A ;
IF BCBGGR10 = 8                THEN BCBGGR10 = .A ;
IF BCBGGR11 = 8                THEN BCBGGR11 = .A ;
IF BCBGGR12 = 8                THEN BCBGGR12 = .A ;
IF BCBGGR13 = 8                THEN BCBGGR13 = .A ;
IF BCBGFTE1 = 98               THEN BCBGFTE1 = .A ;
IF BCBGFTE2 = 98               THEN BCBGFTE2 = .A ;
IF BCBGFTE3 = 98               THEN BCBGFTE3 = .A ;
IF BCBGFTE4 = 998              THEN BCBGFTE4 = .A ;
IF BCBGFTE5 = 998              THEN BCBGFTE5 = .A ;
IF BCBGFTE6 = 998              THEN BCBGFTE6 = .A ;
IF BCBGFTE7 = 998              THEN BCBGFTE7 = .A ;
IF BCBGFTE8 = 998              THEN BCBGFTE8 = .A ;
IF BCBGFTTE = 998              THEN BCBGFTTE = .A ;
IF BCBGPTTE = 998              THEN BCBGPTTE = .A ;
IF BCBGTE5Y = 998              THEN BCBGTE5Y = .A ;
IF BCBMTEAC = 998              THEN BCBMTEAC = .A ;
IF BCBMNONE = 998              THEN BCBMNONE = .A ;
IF BCBSTEAC = 998              THEN BCBSTEAC = .A ;
IF BCBSNONE = 998              THEN BCBSNONE = .A ;
IF BCBGTEAC = 998              THEN BCBGTEAC = .A ;
IF BCBGNONE = 998              THEN BCBGNONE = .A ;
IF BCBGSAME = 8                THEN BCBGSAME = .A ;
IF BCBMRELW = 98               THEN BCBMRELW = .A ;
IF BCBMTEAW = 98               THEN BCBMTEAW = .A ;
IF BCBSRELW = 98               THEN BCBSRELW = .A ;
IF BCBSTEAW = 98               THEN BCBSTEAW = .A ;
IF BCBGCOL1 = 8                THEN BCBGCOL1 = .A ;
IF BCBGCOL2 = 8                THEN BCBGCOL2 = .A ;
IF BCBGCOL3 = 8                THEN BCBGCOL3 = .A ;
IF BCBGAC01 = 998              THEN BCBGAC01 = .A ;
IF BCBGAC02 = 998              THEN BCBGAC02 = .A ;
IF BCBGAC03 = 998              THEN BCBGAC03 = .A ;
IF BCBGAC04 = 998              THEN BCBGAC04 = .A ;
IF BCBGAC05 = 998              THEN BCBGAC05 = .A ;
IF BCBGAC06 = 998              THEN BCBGAC06 = .A ;
IF BCBGAC07 = 998              THEN BCBGAC07 = .A ;
IF BCBGAC08 = 998              THEN BCBGAC08 = .A ;
IF BCBGAC09 = 998              THEN BCBGAC09 = .A ;
IF BCBGAC10 = 998              THEN BCBGAC10 = .A ;
IF BCBGAC11 = 998              THEN BCBGAC11 = .A ;
IF BCBGAC12 = 998              THEN BCBGAC12 = .A ;
IF BCBGAC13 = 998              THEN BCBGAC13 = .A ;
IF BCBGAC14 = 998              THEN BCBGAC14 = .A ;
IF BCBGRP01 = 8                THEN BCBGRP01 = .A ;
IF BCBGRP02 = 8                THEN BCBGRP02 = .A ;
IF BCBGRP03 = 8                THEN BCBGRP03 = .A ;
IF BCBGRP04 = 8                THEN BCBGRP04 = .A ;
IF BCBGRP05 = 8                THEN BCBGRP05 = .A ;
IF BCBGRP06 = 8                THEN BCBGRP06 = .A ;
IF BCBGRP07 = 8                THEN BCBGRP07 = .A ;
IF BCBGRP08 = 8                THEN BCBGRP08 = .A ;
IF BCBGRP09 = 8                THEN BCBGRP09 = .A ;
IF BCBGRP10 = 8                THEN BCBGRP10 = .A ;
IF BCBGRP11 = 8                THEN BCBGRP11 = .A ;
IF BCBGRP12 = 8                THEN BCBGRP12 = .A ;
IF BCBGRP13 = 8                THEN BCBGRP13 = .A ;
IF BCBGRP14 = 8                THEN BCBGRP14 = .A ;
IF BCBGIF01 = 8                THEN BCBGIF01 = .A ;
IF BCBGIF02 = 8                THEN BCBGIF02 = .A ;
IF BCBGIF03 = 8                THEN BCBGIF03 = .A ;
IF BCBGIF04 = 8                THEN BCBGIF04 = .A ;
IF BCBGIF05 = 8                THEN BCBGIF05 = .A ;
IF BCBGIF06 = 8                THEN BCBGIF06 = .A ;
IF BCBGIF07 = 8                THEN BCBGIF07 = .A ;
IF BCBGIF08 = 8                THEN BCBGIF08 = .A ;
IF BCBGIF09 = 8                THEN BCBGIF09 = .A ;
IF BCBGIF10 = 8                THEN BCBGIF10 = .A ;
IF BCBGIF11 = 8                THEN BCBGIF11 = .A ;
IF BCBGIF12 = 8                THEN BCBGIF12 = .A ;
IF BCBGIF13 = 8                THEN BCBGIF13 = .A ;
IF BCBGIF14 = 8                THEN BCBGIF14 = .A ;
IF BCBGIF15 = 8                THEN BCBGIF15 = .A ;
IF BCBMCURR = 8                THEN BCBMCURR = .A ;
IF BCBSCURR = 8                THEN BCBSCURR = .A ;
IF BCBGCOM1 = 998              THEN BCBGCOM1 = .A ;
IF BCBGCOM2 = 998              THEN BCBGCOM2 = .A ;
IF BCBGCOM3 = 998              THEN BCBGCOM3 = .A ;
IF BCBGCOM4 = 998              THEN BCBGCOM4 = .A ;
IF BCBGCOM5 = 998              THEN BCBGCOM5 = .A ;
IF BCBGST01 = 8                THEN BCBGST01 = .A ;
IF BCBGST02 = 8                THEN BCBGST02 = .A ;
IF BCBGST03 = 8                THEN BCBGST03 = .A ;
IF BCBGST04 = 8                THEN BCBGST04 = .A ;
IF BCBGST05 = 8                THEN BCBGST05 = .A ;
IF BCBGST06 = 8                THEN BCBGST06 = .A ;
IF BCBMST07 = 8                THEN BCBMST07 = .A ;
IF BCBMST08 = 8                THEN BCBMST08 = .A ;
IF BCBMST09 = 8                THEN BCBMST09 = .A ;
IF BCBMST10 = 8                THEN BCBMST10 = .A ;
IF BCBMST11 = 8                THEN BCBMST11 = .A ;
IF BCBSST12 = 8                THEN BCBSST12 = .A ;
IF BCBSST13 = 8                THEN BCBSST13 = .A ;
IF BCBSST14 = 8                THEN BCBSST14 = .A ;
IF BCBSST15 = 8                THEN BCBSST15 = .A ;
IF BCBSST16 = 8                THEN BCBSST16 = .A ;
IF BCBSST17 = 8                THEN BCBSST17 = .A ;
IF BCBGBENR = 99998            THEN BCBGBENR = .A ;
IF BCBGGENR = 99998            THEN BCBGGENR = .A ;
IF BCBGABST = 998              THEN BCBGABST = .A ;
IF BCBGENDY = 998              THEN BCBGENDY = .A ;
IF BCBGTNSF = 998              THEN BCBGTNSF = .A ;
IF BCBGLBER = 998              THEN BCBGLBER = .A ;
IF BCBGLGER = 998              THEN BCBGLGER = .A ;
IF BCBGLBRT = 998              THEN BCBGLBRT = .A ;
IF BCBGLGRT = 998              THEN BCBGLGRT = .A ;
IF BCBGLSIZ = 998              THEN BCBGLSIZ = .A ;
IF BCBGLMGR = 998              THEN BCBGLMGR = .A ;
IF BCBMLBER = 998              THEN BCBMLBER = .A ;
IF BCBMLGER = 998              THEN BCBMLGER = .A ;
IF BCBSLBER = 998              THEN BCBSLBER = .A ;
IF BCBSLGER = 998              THEN BCBSLGER = .A ;
IF BCBGUBER = 9998             THEN BCBGUBER = .A ;
IF BCBGUGER = 9998             THEN BCBGUGER = .A ;
IF BCBGUBRT = 998              THEN BCBGUBRT = .A ;
IF BCBGUGRT = 998              THEN BCBGUGRT = .A ;
IF BCBGUSIZ = 998              THEN BCBGUSIZ = .A ;
IF BCBGUMGR = 998              THEN BCBGUMGR = .A ;
IF BCBMUBER = 998              THEN BCBMUBER = .A ;
IF BCBMUGER = 998              THEN BCBMUGER = .A ;
IF BCBSUBER = 998              THEN BCBSUBER = .A ;
IF BCBSUGER = 998              THEN BCBSUGER = .A ;
IF BCBGUO01 = 8                THEN BCBGUO01 = .A ;
IF BCBGUP01 = 998              THEN BCBGUP01 = .A ;
IF BCBGUO02 = 8                THEN BCBGUO02 = .A ;
IF BCBGUP02 = 998              THEN BCBGUP02 = .A ;
IF BCBGUO03 = 8                THEN BCBGUO03 = .A ;
IF BCBGUP03 = 998              THEN BCBGUP03 = .A ;
IF BCBGUO04 = 8                THEN BCBGUO04 = .A ;
IF BCBGUP04 = 998              THEN BCBGUP04 = .A ;
IF BCBGUO05 = 8                THEN BCBGUO05 = .A ;
IF BCBGUP05 = 998              THEN BCBGUP05 = .A ;
IF BCBGUO06 = 8                THEN BCBGUO06 = .A ;
IF BCBGUP06 = 998              THEN BCBGUP06 = .A ;
IF BCBGUO07 = 8                THEN BCBGUO07 = .A ;
IF BCBGUP07 = 998              THEN BCBGUP07 = .A ;
IF BCBGUO08 = 8                THEN BCBGUO08 = .A ;
IF BCBGUP08 = 998              THEN BCBGUP08 = .A ;
IF BCBGUO09 = 8                THEN BCBGUO09 = .A ;
IF BCBGUP09 = 998              THEN BCBGUP09 = .A ;
IF BCBGUO10 = 8                THEN BCBGUO10 = .A ;
IF BCBGUP10 = 998              THEN BCBGUP10 = .A ;
IF BCBGUO11 = 8                THEN BCBGUO11 = .A ;
IF BCBGUP11 = 998              THEN BCBGUP11 = .A ;
IF BCBGUO12 = 8                THEN BCBGUO12 = .A ;
IF BCBGUP12 = 998              THEN BCBGUP12 = .A ;
IF BCBGUO13 = 8                THEN BCBGUO13 = .A ;
IF BCBGUP13 = 998              THEN BCBGUP13 = .A ;
IF BCBGUO14 = 8                THEN BCBGUO14 = .A ;
IF BCBGUP14 = 998              THEN BCBGUP14 = .A ;
IF BCBGUO15 = 8                THEN BCBGUO15 = .A ;
IF BCBGUP15 = 998              THEN BCBGUP15 = .A ;
IF BCBGUO16 = 8                THEN BCBGUO16 = .A ;
IF BCBGUP16 = 998              THEN BCBGUP16 = .A ;
IF BCBGUO17 = 8                THEN BCBGUO17 = .A ;
IF BCBGUP17 = 998              THEN BCBGUP17 = .A ;
IF BCBGUO18 = 8                THEN BCBGUO18 = .A ;
IF BCBGUP18 = 998              THEN BCBGUP18 = .A ;
IF BCBGINST = 8                THEN BCBGINST = .A ;
IF BCBGLDYY = 998              THEN BCBGLDYY = .A ;
IF BCBGUDYY = 998              THEN BCBGUDYY = .A ;
IF BCBGLFLW = 98               THEN BCBGLFLW = .A ;
IF BCBGUFLW = 98               THEN BCBGUFLW = .A ;
IF BCBGLHFW = 98               THEN BCBGLHFW = .A ;
IF BCBGUHFW = 98               THEN BCBGUHFW = .A ;
IF BCBGLTHW = 98               THEN BCBGLTHW = .A ;
IF BCBGUTHW = 98               THEN BCBGUTHW = .A ;
IF BCBGLIHW = 98               THEN BCBGLIHW = .A ;
IF BCBGUIHW = 98               THEN BCBGUIHW = .A ;
IF BCBGDIVI = 8                THEN BCBGDIVI = .A ;
IF BCBGLPDW = 98               THEN BCBGLPDW = .A ;
IF BCBGUPDW = 98               THEN BCBGUPDW = .A ;
IF BCBGLTMP = 998              THEN BCBGLTMP = .A ;
IF BCBGUTMP = 998              THEN BCBGUTMP = .A ;
IF BCBMRMDL = 8                THEN BCBMRMDL = .A ;
IF BCBMRMD1 = 8                THEN BCBMRMD1 = .A ;
IF BCBMRMD2 = 8                THEN BCBMRMD2 = .A ;
IF BCBMRMD3 = 8                THEN BCBMRMD3 = .A ;
IF BCBMRMD4 = 8                THEN BCBMRMD4 = .A ;
IF BCBSRMDL = 8                THEN BCBSRMDL = .A ;
IF BCBSRMD1 = 8                THEN BCBSRMD1 = .A ;
IF BCBSRMD2 = 8                THEN BCBSRMD2 = .A ;
IF BCBSRMD3 = 8                THEN BCBSRMD3 = .A ;
IF BCBSRMD4 = 8                THEN BCBSRMD4 = .A ;
IF BCBMENRH = 8                THEN BCBMENRH = .A ;
IF BCBMENR1 = 8                THEN BCBMENR1 = .A ;
IF BCBMENR2 = 8                THEN BCBMENR2 = .A ;
IF BCBMENR3 = 8                THEN BCBMENR3 = .A ;
IF BCBMENR4 = 8                THEN BCBMENR4 = .A ;
IF BCBSENRH = 8                THEN BCBSENRH = .A ;
IF BCBSENR1 = 8                THEN BCBSENR1 = .A ;
IF BCBSENR2 = 8                THEN BCBSENR2 = .A ;
IF BCBSENR3 = 8                THEN BCBSENR3 = .A ;
IF BCBSENR4 = 8                THEN BCBSENR4 = .A ;
IF BCBMUSCO = 8                THEN BCBMUSCO = .A ;
IF BCBMUC1  = 998              THEN BCBMUC1  = .A ;
IF BCBMUC2  = 98               THEN BCBMUC2  = .A ;
IF BCBMUC3  = 98               THEN BCBMUC3  = .A ;
IF BCBMUC41 = 998              THEN BCBMUC41 = .A ;
IF BCBMUC42 = 998              THEN BCBMUC42 = .A ;
IF BCBMUC51 = 998              THEN BCBMUC51 = .A ;
IF BCBMUC52 = 998              THEN BCBMUC52 = .A ;
IF BCBMUC61 = 98               THEN BCBMUC61 = .A ;
IF BCBMUC62 = 98               THEN BCBMUC62 = .A ;
IF BCBMUFC1 = 8                THEN BCBMUFC1 = .A ;
IF BCBMUFC2 = 8                THEN BCBMUFC2 = .A ;
IF BCBMUFC3 = 8                THEN BCBMUFC3 = .A ;
IF BCBMUFC4 = 8                THEN BCBMUFC4 = .A ;
IF BCBMUFC5 = 8                THEN BCBMUFC5 = .A ;
IF BCBMUFC6 = 8                THEN BCBMUFC6 = .A ;
IF BCBMUFC7 = 8                THEN BCBMUFC7 = .A ;
IF BCBMUFC8 = 8                THEN BCBMUFC8 = .A ;
IF BCBSUSCO = 8                THEN BCBSUSCO = .A ;
IF BCBSUC1  = 998              THEN BCBSUC1  = .A ;
IF BCBSUC2  = 98               THEN BCBSUC2  = .A ;
IF BCBSUC3  = 98               THEN BCBSUC3  = .A ;
IF BCBSUC41 = 998              THEN BCBSUC41 = .A ;
IF BCBSUC42 = 998              THEN BCBSUC42 = .A ;
IF BCBSUC51 = 998              THEN BCBSUC51 = .A ;
IF BCBSUC52 = 998              THEN BCBSUC52 = .A ;
IF BCBSUC61 = 98               THEN BCBSUC61 = .A ;
IF BCBSUC62 = 98               THEN BCBSUC62 = .A ;
IF BCBSUFC1 = 8                THEN BCBSUFC1 = .A ;
IF BCBSUFC2 = 8                THEN BCBSUFC2 = .A ;
IF BCBSUFC3 = 8                THEN BCBSUFC3 = .A ;
IF BCBSUFC4 = 8                THEN BCBSUFC4 = .A ;
IF BCBSUFC5 = 8                THEN BCBSUFC5 = .A ;
IF BCBSUFC6 = 8                THEN BCBSUFC6 = .A ;
IF BCBSUFC7 = 8                THEN BCBSUFC7 = .A ;
IF BCBSUFC8 = 8                THEN BCBSUFC8 = .A ;
IF BCBGSTD1 = 998              THEN BCBGSTD1 = .A ;
IF BCBGSTD2 = 998              THEN BCBGSTD2 = .A ;
IF BCBGSTD3 = 998              THEN BCBGSTD3 = .A ;
IF BCBGSTD4 = 998              THEN BCBGSTD4 = .A ;
IF BCBGSTD5 = 998              THEN BCBGSTD5 = .A ;
IF BCBGSTD6 = 998              THEN BCBGSTD6 = .A ;
IF BCBGSTD7 = 998              THEN BCBGSTD7 = .A ;
IF BCBGSTD8 = 998              THEN BCBGSTD8 = .A ;
IF BCBGBS01 = 8                THEN BCBGBS01 = .A ;
IF BCBGBS02 = 8                THEN BCBGBS02 = .A ;
IF BCBGBS03 = 8                THEN BCBGBS03 = .A ;
IF BCBGBS04 = 8                THEN BCBGBS04 = .A ;
IF BCBGBS05 = 8                THEN BCBGBS05 = .A ;
IF BCBGBS06 = 8                THEN BCBGBS06 = .A ;
IF BCBGBS07 = 8                THEN BCBGBS07 = .A ;
IF BCBGBS08 = 8                THEN BCBGBS08 = .A ;
IF BCBGBS09 = 8                THEN BCBGBS09 = .A ;
IF BCBGBS10 = 8                THEN BCBGBS10 = .A ;
IF BCBGBS11 = 8                THEN BCBGBS11 = .A ;
IF BCBGBS12 = 8                THEN BCBGBS12 = .A ;
IF BCBGBS13 = 8                THEN BCBGBS13 = .A ;
IF BCDGAAIT = 9998             THEN BCDGAAIT = .A ;
IF BCDGAYTS = 9998             THEN BCDGAYTS = .A ;
IF BCDGPHSI = 998              THEN BCDGPHSI = .A ;
IF BCDGSTRA = 998              THEN BCDGSTRA = .A ;
IF BCDGTENR = 9998             THEN BCDGTENR = .A ;
IF BCDGUTER = 998              THEN BCDGUTER = .A ;
IF BCDGUTRT = 98               THEN BCDGUTRT = .A ;
IF WGTFAC1  = 9998             THEN WGTFAC1  = .A ;
IF WGTADJ1  = 98               THEN WGTADJ1  = .A ;
IF SCHWGT   = 9998             THEN SCHWGT   = .A ;
IF STOTWGTL = 99998            THEN STOTWGTL = .A ;
IF STOTWGTU = 99998            THEN STOTWGTU = .A ;
IF STOTWGTE = 99998            THEN STOTWGTE = .A ;
IF BCDGADMN = 9998             THEN BCDGADMN = .A ;
IF BCDMASR  = 8                THEN BCDMASR  = .A ;
IF BCDSASR  = 8                THEN BCDSASR  = .A ;
IF BCDGCMUN = 9998             THEN BCDGCMUN = .A ;
IF BCDGINST = 9998             THEN BCDGINST = .A ;
IF BCDGTEAC = 9998             THEN BCDGTEAC = .A ;
IF JKCZONE  = 98               THEN JKCZONE  = .A ;
IF JKCREP   = 8                THEN JKCREP   = .A ;
IF DPCDATE  = 999998           THEN DPCDATE  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes

IF BCBGCOMM = 6                THEN BCBGCOMM = .B ;
IF BCBGGRPK = 6                THEN BCBGGRPK = .B ;
IF BCBGGRK  = 6                THEN BCBGGRK  = .B ;
IF BCBGGR1  = 6                THEN BCBGGR1  = .B ;
IF BCBGGR2  = 6                THEN BCBGGR2  = .B ;
IF BCBGGR3  = 6                THEN BCBGGR3  = .B ;
IF BCBGGR4  = 6                THEN BCBGGR4  = .B ;
IF BCBGGR5  = 6                THEN BCBGGR5  = .B ;
IF BCBGGR6  = 6                THEN BCBGGR6  = .B ;
IF BCBGGR7  = 6                THEN BCBGGR7  = .B ;
IF BCBGGR8  = 6                THEN BCBGGR8  = .B ;
IF BCBGGR9  = 6                THEN BCBGGR9  = .B ;
IF BCBGGR10 = 6                THEN BCBGGR10 = .B ;
IF BCBGGR11 = 6                THEN BCBGGR11 = .B ;
IF BCBGGR12 = 6                THEN BCBGGR12 = .B ;
IF BCBGGR13 = 6                THEN BCBGGR13 = .B ;
IF BCBGFTE1 = 96               THEN BCBGFTE1 = .B ;
IF BCBGFTE2 = 96               THEN BCBGFTE2 = .B ;
IF BCBGFTE3 = 96               THEN BCBGFTE3 = .B ;
IF BCBGFTE4 = 996              THEN BCBGFTE4 = .B ;
IF BCBGFTE5 = 996              THEN BCBGFTE5 = .B ;
IF BCBGFTE6 = 996              THEN BCBGFTE6 = .B ;
IF BCBGFTE7 = 996              THEN BCBGFTE7 = .B ;
IF BCBGFTE8 = 996              THEN BCBGFTE8 = .B ;
IF BCBGFTTE = 996              THEN BCBGFTTE = .B ;
IF BCBGPTTE = 996              THEN BCBGPTTE = .B ;
IF BCBGTE5Y = 996              THEN BCBGTE5Y = .B ;
IF BCBMTEAC = 996              THEN BCBMTEAC = .B ;
IF BCBMNONE = 996              THEN BCBMNONE = .B ;
IF BCBSTEAC = 996              THEN BCBSTEAC = .B ;
IF BCBSNONE = 996              THEN BCBSNONE = .B ;
IF BCBGTEAC = 996              THEN BCBGTEAC = .B ;
IF BCBGNONE = 996              THEN BCBGNONE = .B ;
IF BCBGSAME = 6                THEN BCBGSAME = .B ;
IF BCBMRELW = 96               THEN BCBMRELW = .B ;
IF BCBMTEAW = 96               THEN BCBMTEAW = .B ;
IF BCBSRELW = 96               THEN BCBSRELW = .B ;
IF BCBSTEAW = 96               THEN BCBSTEAW = .B ;
IF BCBGCOL1 = 6                THEN BCBGCOL1 = .B ;
IF BCBGCOL2 = 6                THEN BCBGCOL2 = .B ;
IF BCBGCOL3 = 6                THEN BCBGCOL3 = .B ;
IF BCBGAC01 = 996              THEN BCBGAC01 = .B ;
IF BCBGAC02 = 996              THEN BCBGAC02 = .B ;
IF BCBGAC03 = 996              THEN BCBGAC03 = .B ;
IF BCBGAC04 = 996              THEN BCBGAC04 = .B ;
IF BCBGAC05 = 996              THEN BCBGAC05 = .B ;
IF BCBGAC06 = 996              THEN BCBGAC06 = .B ;
IF BCBGAC07 = 996              THEN BCBGAC07 = .B ;
IF BCBGAC08 = 996              THEN BCBGAC08 = .B ;
IF BCBGAC09 = 996              THEN BCBGAC09 = .B ;
IF BCBGAC10 = 996              THEN BCBGAC10 = .B ;
IF BCBGAC11 = 996              THEN BCBGAC11 = .B ;
IF BCBGAC12 = 996              THEN BCBGAC12 = .B ;
IF BCBGAC13 = 996              THEN BCBGAC13 = .B ;
IF BCBGAC14 = 996              THEN BCBGAC14 = .B ;
IF BCBGRP01 = 6                THEN BCBGRP01 = .B ;
IF BCBGRP02 = 6                THEN BCBGRP02 = .B ;
IF BCBGRP03 = 6                THEN BCBGRP03 = .B ;
IF BCBGRP04 = 6                THEN BCBGRP04 = .B ;
IF BCBGRP05 = 6                THEN BCBGRP05 = .B ;
IF BCBGRP06 = 6                THEN BCBGRP06 = .B ;
IF BCBGRP07 = 6                THEN BCBGRP07 = .B ;
IF BCBGRP08 = 6                THEN BCBGRP08 = .B ;
IF BCBGRP09 = 6                THEN BCBGRP09 = .B ;
IF BCBGRP10 = 6                THEN BCBGRP10 = .B ;
IF BCBGRP11 = 6                THEN BCBGRP11 = .B ;
IF BCBGRP12 = 6                THEN BCBGRP12 = .B ;
IF BCBGRP13 = 6                THEN BCBGRP13 = .B ;
IF BCBGRP14 = 6                THEN BCBGRP14 = .B ;
IF BCBGIF01 = 6                THEN BCBGIF01 = .B ;
IF BCBGIF02 = 6                THEN BCBGIF02 = .B ;
IF BCBGIF03 = 6                THEN BCBGIF03 = .B ;
IF BCBGIF04 = 6                THEN BCBGIF04 = .B ;
IF BCBGIF05 = 6                THEN BCBGIF05 = .B ;
IF BCBGIF06 = 6                THEN BCBGIF06 = .B ;
IF BCBGIF07 = 6                THEN BCBGIF07 = .B ;
IF BCBGIF08 = 6                THEN BCBGIF08 = .B ;
IF BCBGIF09 = 6                THEN BCBGIF09 = .B ;
IF BCBGIF10 = 6                THEN BCBGIF10 = .B ;
IF BCBGIF11 = 6                THEN BCBGIF11 = .B ;
IF BCBGIF12 = 6                THEN BCBGIF12 = .B ;
IF BCBGIF13 = 6                THEN BCBGIF13 = .B ;
IF BCBGIF14 = 6                THEN BCBGIF14 = .B ;
IF BCBGIF15 = 6                THEN BCBGIF15 = .B ;
IF BCBMCURR = 6                THEN BCBMCURR = .B ;
IF BCBSCURR = 6                THEN BCBSCURR = .B ;
IF BCBGCOM1 = 996              THEN BCBGCOM1 = .B ;
IF BCBGCOM2 = 996              THEN BCBGCOM2 = .B ;
IF BCBGCOM3 = 996              THEN BCBGCOM3 = .B ;
IF BCBGCOM4 = 996              THEN BCBGCOM4 = .B ;
IF BCBGCOM5 = 996              THEN BCBGCOM5 = .B ;
IF BCBGST01 = 6                THEN BCBGST01 = .B ;
IF BCBGST02 = 6                THEN BCBGST02 = .B ;
IF BCBGST03 = 6                THEN BCBGST03 = .B ;
IF BCBGST04 = 6                THEN BCBGST04 = .B ;
IF BCBGST05 = 6                THEN BCBGST05 = .B ;
IF BCBGST06 = 6                THEN BCBGST06 = .B ;
IF BCBMST07 = 6                THEN BCBMST07 = .B ;
IF BCBMST08 = 6                THEN BCBMST08 = .B ;
IF BCBMST09 = 6                THEN BCBMST09 = .B ;
IF BCBMST10 = 6                THEN BCBMST10 = .B ;
IF BCBMST11 = 6                THEN BCBMST11 = .B ;
IF BCBSST12 = 6                THEN BCBSST12 = .B ;
IF BCBSST13 = 6                THEN BCBSST13 = .B ;
IF BCBSST14 = 6                THEN BCBSST14 = .B ;
IF BCBSST15 = 6                THEN BCBSST15 = .B ;
IF BCBSST16 = 6                THEN BCBSST16 = .B ;
IF BCBSST17 = 6                THEN BCBSST17 = .B ;
IF BCBGBENR = 99996            THEN BCBGBENR = .B ;
IF BCBGGENR = 99996            THEN BCBGGENR = .B ;
IF BCBGABST = 996              THEN BCBGABST = .B ;
IF BCBGENDY = 996              THEN BCBGENDY = .B ;
IF BCBGTNSF = 996              THEN BCBGTNSF = .B ;
IF BCBGLBER = 996              THEN BCBGLBER = .B ;
IF BCBGLGER = 996              THEN BCBGLGER = .B ;
IF BCBGLBRT = 996              THEN BCBGLBRT = .B ;
IF BCBGLGRT = 996              THEN BCBGLGRT = .B ;
IF BCBGLSIZ = 996              THEN BCBGLSIZ = .B ;
IF BCBGLMGR = 996              THEN BCBGLMGR = .B ;
IF BCBMLBER = 996              THEN BCBMLBER = .B ;
IF BCBMLGER = 996              THEN BCBMLGER = .B ;
IF BCBSLBER = 996              THEN BCBSLBER = .B ;
IF BCBSLGER = 996              THEN BCBSLGER = .B ;
IF BCBGUBER = 9996             THEN BCBGUBER = .B ;
IF BCBGUGER = 9996             THEN BCBGUGER = .B ;
IF BCBGUBRT = 996              THEN BCBGUBRT = .B ;
IF BCBGUGRT = 996              THEN BCBGUGRT = .B ;
IF BCBGUSIZ = 996              THEN BCBGUSIZ = .B ;
IF BCBGUMGR = 996              THEN BCBGUMGR = .B ;
IF BCBMUBER = 996              THEN BCBMUBER = .B ;
IF BCBMUGER = 996              THEN BCBMUGER = .B ;
IF BCBSUBER = 996              THEN BCBSUBER = .B ;
IF BCBSUGER = 996              THEN BCBSUGER = .B ;
IF BCBGUO01 = 6                THEN BCBGUO01 = .B ;
IF BCBGUP01 = 996              THEN BCBGUP01 = .B ;
IF BCBGUO02 = 6                THEN BCBGUO02 = .B ;
IF BCBGUP02 = 996              THEN BCBGUP02 = .B ;
IF BCBGUO03 = 6                THEN BCBGUO03 = .B ;
IF BCBGUP03 = 996              THEN BCBGUP03 = .B ;
IF BCBGUO04 = 6                THEN BCBGUO04 = .B ;
IF BCBGUP04 = 996              THEN BCBGUP04 = .B ;
IF BCBGUO05 = 6                THEN BCBGUO05 = .B ;
IF BCBGUP05 = 996              THEN BCBGUP05 = .B ;
IF BCBGUO06 = 6                THEN BCBGUO06 = .B ;
IF BCBGUP06 = 996              THEN BCBGUP06 = .B ;
IF BCBGUO07 = 6                THEN BCBGUO07 = .B ;
IF BCBGUP07 = 996              THEN BCBGUP07 = .B ;
IF BCBGUO08 = 6                THEN BCBGUO08 = .B ;
IF BCBGUP08 = 996              THEN BCBGUP08 = .B ;
IF BCBGUO09 = 6                THEN BCBGUO09 = .B ;
IF BCBGUP09 = 996              THEN BCBGUP09 = .B ;
IF BCBGUO10 = 6                THEN BCBGUO10 = .B ;
IF BCBGUP10 = 996              THEN BCBGUP10 = .B ;
IF BCBGUO11 = 6                THEN BCBGUO11 = .B ;
IF BCBGUP11 = 996              THEN BCBGUP11 = .B ;
IF BCBGUO12 = 6                THEN BCBGUO12 = .B ;
IF BCBGUP12 = 996              THEN BCBGUP12 = .B ;
IF BCBGUO13 = 6                THEN BCBGUO13 = .B ;
IF BCBGUP13 = 996              THEN BCBGUP13 = .B ;
IF BCBGUO14 = 6                THEN BCBGUO14 = .B ;
IF BCBGUP14 = 996              THEN BCBGUP14 = .B ;
IF BCBGUO15 = 6                THEN BCBGUO15 = .B ;
IF BCBGUP15 = 996              THEN BCBGUP15 = .B ;
IF BCBGUO16 = 6                THEN BCBGUO16 = .B ;
IF BCBGUP16 = 996              THEN BCBGUP16 = .B ;
IF BCBGUO17 = 6                THEN BCBGUO17 = .B ;
IF BCBGUP17 = 996              THEN BCBGUP17 = .B ;
IF BCBGUO18 = 6                THEN BCBGUO18 = .B ;
IF BCBGUP18 = 996              THEN BCBGUP18 = .B ;
IF BCBGINST = 6                THEN BCBGINST = .B ;
IF BCBGLDYY = 996              THEN BCBGLDYY = .B ;
IF BCBGUDYY = 996              THEN BCBGUDYY = .B ;
IF BCBGLFLW = 96               THEN BCBGLFLW = .B ;
IF BCBGUFLW = 96               THEN BCBGUFLW = .B ;
IF BCBGLHFW = 96               THEN BCBGLHFW = .B ;
IF BCBGUHFW = 96               THEN BCBGUHFW = .B ;
IF BCBGLTHW = 96               THEN BCBGLTHW = .B ;
IF BCBGUTHW = 96               THEN BCBGUTHW = .B ;
IF BCBGLIHW = 96               THEN BCBGLIHW = .B ;
IF BCBGUIHW = 96               THEN BCBGUIHW = .B ;
IF BCBGDIVI = 6                THEN BCBGDIVI = .B ;
IF BCBGLPDW = 96               THEN BCBGLPDW = .B ;
IF BCBGUPDW = 96               THEN BCBGUPDW = .B ;
IF BCBGLTMP = 996              THEN BCBGLTMP = .B ;
IF BCBGUTMP = 996              THEN BCBGUTMP = .B ;
IF BCBMRMDL = 6                THEN BCBMRMDL = .B ;
IF BCBMRMD1 = 6                THEN BCBMRMD1 = .B ;
IF BCBMRMD2 = 6                THEN BCBMRMD2 = .B ;
IF BCBMRMD3 = 6                THEN BCBMRMD3 = .B ;
IF BCBMRMD4 = 6                THEN BCBMRMD4 = .B ;
IF BCBSRMDL = 6                THEN BCBSRMDL = .B ;
IF BCBSRMD1 = 6                THEN BCBSRMD1 = .B ;
IF BCBSRMD2 = 6                THEN BCBSRMD2 = .B ;
IF BCBSRMD3 = 6                THEN BCBSRMD3 = .B ;
IF BCBSRMD4 = 6                THEN BCBSRMD4 = .B ;
IF BCBMENRH = 6                THEN BCBMENRH = .B ;
IF BCBMENR1 = 6                THEN BCBMENR1 = .B ;
IF BCBMENR2 = 6                THEN BCBMENR2 = .B ;
IF BCBMENR3 = 6                THEN BCBMENR3 = .B ;
IF BCBMENR4 = 6                THEN BCBMENR4 = .B ;
IF BCBSENRH = 6                THEN BCBSENRH = .B ;
IF BCBSENR1 = 6                THEN BCBSENR1 = .B ;
IF BCBSENR2 = 6                THEN BCBSENR2 = .B ;
IF BCBSENR3 = 6                THEN BCBSENR3 = .B ;
IF BCBSENR4 = 6                THEN BCBSENR4 = .B ;
IF BCBMUSCO = 6                THEN BCBMUSCO = .B ;
IF BCBMUC1  = 996              THEN BCBMUC1  = .B ;
IF BCBMUC2  = 96               THEN BCBMUC2  = .B ;
IF BCBMUC3  = 96               THEN BCBMUC3  = .B ;
IF BCBMUC41 = 996              THEN BCBMUC41 = .B ;
IF BCBMUC42 = 996              THEN BCBMUC42 = .B ;
IF BCBMUC51 = 996              THEN BCBMUC51 = .B ;
IF BCBMUC52 = 996              THEN BCBMUC52 = .B ;
IF BCBMUC61 = 96               THEN BCBMUC61 = .B ;
IF BCBMUC62 = 96               THEN BCBMUC62 = .B ;
IF BCBMUFC1 = 6                THEN BCBMUFC1 = .B ;
IF BCBMUFC2 = 6                THEN BCBMUFC2 = .B ;
IF BCBMUFC3 = 6                THEN BCBMUFC3 = .B ;
IF BCBMUFC4 = 6                THEN BCBMUFC4 = .B ;
IF BCBMUFC5 = 6                THEN BCBMUFC5 = .B ;
IF BCBMUFC6 = 6                THEN BCBMUFC6 = .B ;
IF BCBMUFC7 = 6                THEN BCBMUFC7 = .B ;
IF BCBMUFC8 = 6                THEN BCBMUFC8 = .B ;
IF BCBSUSCO = 6                THEN BCBSUSCO = .B ;
IF BCBSUC1  = 996              THEN BCBSUC1  = .B ;
IF BCBSUC2  = 96               THEN BCBSUC2  = .B ;
IF BCBSUC3  = 96               THEN BCBSUC3  = .B ;
IF BCBSUC41 = 996              THEN BCBSUC41 = .B ;
IF BCBSUC42 = 996              THEN BCBSUC42 = .B ;
IF BCBSUC51 = 996              THEN BCBSUC51 = .B ;
IF BCBSUC52 = 996              THEN BCBSUC52 = .B ;
IF BCBSUC61 = 96               THEN BCBSUC61 = .B ;
IF BCBSUC62 = 96               THEN BCBSUC62 = .B ;
IF BCBSUFC1 = 6                THEN BCBSUFC1 = .B ;
IF BCBSUFC2 = 6                THEN BCBSUFC2 = .B ;
IF BCBSUFC3 = 6                THEN BCBSUFC3 = .B ;
IF BCBSUFC4 = 6                THEN BCBSUFC4 = .B ;
IF BCBSUFC5 = 6                THEN BCBSUFC5 = .B ;
IF BCBSUFC6 = 6                THEN BCBSUFC6 = .B ;
IF BCBSUFC7 = 6                THEN BCBSUFC7 = .B ;
IF BCBSUFC8 = 6                THEN BCBSUFC8 = .B ;
IF BCBGSTD1 = 996              THEN BCBGSTD1 = .B ;
IF BCBGSTD2 = 996              THEN BCBGSTD2 = .B ;
IF BCBGSTD3 = 996              THEN BCBGSTD3 = .B ;
IF BCBGSTD4 = 996              THEN BCBGSTD4 = .B ;
IF BCBGSTD5 = 996              THEN BCBGSTD5 = .B ;
IF BCBGSTD6 = 996              THEN BCBGSTD6 = .B ;
IF BCBGSTD7 = 996              THEN BCBGSTD7 = .B ;
IF BCBGSTD8 = 996              THEN BCBGSTD8 = .B ;
IF BCBGBS01 = 6                THEN BCBGBS01 = .B ;
IF BCBGBS02 = 6                THEN BCBGBS02 = .B ;
IF BCBGBS03 = 6                THEN BCBGBS03 = .B ;
IF BCBGBS04 = 6                THEN BCBGBS04 = .B ;
IF BCBGBS05 = 6                THEN BCBGBS05 = .B ;
IF BCBGBS06 = 6                THEN BCBGBS06 = .B ;
IF BCBGBS07 = 6                THEN BCBGBS07 = .B ;
IF BCBGBS08 = 6                THEN BCBGBS08 = .B ;
IF BCBGBS09 = 6                THEN BCBGBS09 = .B ;
IF BCBGBS10 = 6                THEN BCBGBS10 = .B ;
IF BCBGBS11 = 6                THEN BCBGBS11 = .B ;
IF BCBGBS12 = 6                THEN BCBGBS12 = .B ;
IF BCBGBS13 = 6                THEN BCBGBS13 = .B ;
IF BCDGAAIT = 9996             THEN BCDGAAIT = .B ;
IF BCDGAYTS = 9996             THEN BCDGAYTS = .B ;
IF BCDGPHSI = 996              THEN BCDGPHSI = .B ;
IF BCDGSTRA = 996              THEN BCDGSTRA = .B ;
IF BCDGTENR = 9996             THEN BCDGTENR = .B ;
IF BCDGUTER = 996              THEN BCDGUTER = .B ;
IF BCDGUTRT = 96               THEN BCDGUTRT = .B ;
IF WGTFAC1  = 9996             THEN WGTFAC1  = .B ;
IF WGTADJ1  = 96               THEN WGTADJ1  = .B ;
IF SCHWGT   = 9996             THEN SCHWGT   = .B ;
IF STOTWGTL = 99996            THEN STOTWGTL = .B ;
IF STOTWGTU = 99996            THEN STOTWGTU = .B ;
IF STOTWGTE = 99996            THEN STOTWGTE = .B ;
IF BCDGADMN = 9996             THEN BCDGADMN = .B ;
IF BCDMASR  = 6                THEN BCDMASR  = .B ;
IF BCDSASR  = 6                THEN BCDSASR  = .B ;
IF BCDGCMUN = 9996             THEN BCDGCMUN = .B ;
IF BCDGINST = 9996             THEN BCDGINST = .B ;
IF BCDGTEAC = 9996             THEN BCDGTEAC = .B ;
IF JKCZONE  = 96               THEN JKCZONE  = .B ;
IF JKCREP   = 6                THEN JKCREP   = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF BCBGCOMM = 9                THEN BCBGCOMM = . ;
IF BCBGGRPK = 9                THEN BCBGGRPK = . ;
IF BCBGGRK  = 9                THEN BCBGGRK  = . ;
IF BCBGGR1  = 9                THEN BCBGGR1  = . ;
IF BCBGGR2  = 9                THEN BCBGGR2  = . ;
IF BCBGGR3  = 9                THEN BCBGGR3  = . ;
IF BCBGGR4  = 9                THEN BCBGGR4  = . ;
IF BCBGGR5  = 9                THEN BCBGGR5  = . ;
IF BCBGGR6  = 9                THEN BCBGGR6  = . ;
IF BCBGGR7  = 9                THEN BCBGGR7  = . ;
IF BCBGGR8  = 9                THEN BCBGGR8  = . ;
IF BCBGGR9  = 9                THEN BCBGGR9  = . ;
IF BCBGGR10 = 9                THEN BCBGGR10 = . ;
IF BCBGGR11 = 9                THEN BCBGGR11 = . ;
IF BCBGGR12 = 9                THEN BCBGGR12 = . ;
IF BCBGGR13 = 9                THEN BCBGGR13 = . ;
IF BCBGFTE1 = 99               THEN BCBGFTE1 = . ;
IF BCBGFTE2 = 99               THEN BCBGFTE2 = . ;
IF BCBGFTE3 = 99               THEN BCBGFTE3 = . ;
IF BCBGFTE4 = 999              THEN BCBGFTE4 = . ;
IF BCBGFTE5 = 999              THEN BCBGFTE5 = . ;
IF BCBGFTE6 = 999              THEN BCBGFTE6 = . ;
IF BCBGFTE7 = 999              THEN BCBGFTE7 = . ;
IF BCBGFTE8 = 999              THEN BCBGFTE8 = . ;
IF BCBGFTTE = 999              THEN BCBGFTTE = . ;
IF BCBGPTTE = 999              THEN BCBGPTTE = . ;
IF BCBGTE5Y = 999              THEN BCBGTE5Y = . ;
IF BCBMTEAC = 999              THEN BCBMTEAC = . ;
IF BCBMNONE = 999              THEN BCBMNONE = . ;
IF BCBSTEAC = 999              THEN BCBSTEAC = . ;
IF BCBSNONE = 999              THEN BCBSNONE = . ;
IF BCBGTEAC = 999              THEN BCBGTEAC = . ;
IF BCBGNONE = 999              THEN BCBGNONE = . ;
IF BCBGSAME = 9                THEN BCBGSAME = . ;
IF BCBMRELW = 99               THEN BCBMRELW = . ;
IF BCBMTEAW = 99               THEN BCBMTEAW = . ;
IF BCBSRELW = 99               THEN BCBSRELW = . ;
IF BCBSTEAW = 99               THEN BCBSTEAW = . ;
IF BCBGCOL1 = 9                THEN BCBGCOL1 = . ;
IF BCBGCOL2 = 9                THEN BCBGCOL2 = . ;
IF BCBGCOL3 = 9                THEN BCBGCOL3 = . ;
IF BCBGAC01 = 999              THEN BCBGAC01 = . ;
IF BCBGAC02 = 999              THEN BCBGAC02 = . ;
IF BCBGAC03 = 999              THEN BCBGAC03 = . ;
IF BCBGAC04 = 999              THEN BCBGAC04 = . ;
IF BCBGAC05 = 999              THEN BCBGAC05 = . ;
IF BCBGAC06 = 999              THEN BCBGAC06 = . ;
IF BCBGAC07 = 999              THEN BCBGAC07 = . ;
IF BCBGAC08 = 999              THEN BCBGAC08 = . ;
IF BCBGAC09 = 999              THEN BCBGAC09 = . ;
IF BCBGAC10 = 999              THEN BCBGAC10 = . ;
IF BCBGAC11 = 999              THEN BCBGAC11 = . ;
IF BCBGAC12 = 999              THEN BCBGAC12 = . ;
IF BCBGAC13 = 999              THEN BCBGAC13 = . ;
IF BCBGAC14 = 999              THEN BCBGAC14 = . ;
IF BCBGRP01 = 9                THEN BCBGRP01 = . ;
IF BCBGRP02 = 9                THEN BCBGRP02 = . ;
IF BCBGRP03 = 9                THEN BCBGRP03 = . ;
IF BCBGRP04 = 9                THEN BCBGRP04 = . ;
IF BCBGRP05 = 9                THEN BCBGRP05 = . ;
IF BCBGRP06 = 9                THEN BCBGRP06 = . ;
IF BCBGRP07 = 9                THEN BCBGRP07 = . ;
IF BCBGRP08 = 9                THEN BCBGRP08 = . ;
IF BCBGRP09 = 9                THEN BCBGRP09 = . ;
IF BCBGRP10 = 9                THEN BCBGRP10 = . ;
IF BCBGRP11 = 9                THEN BCBGRP11 = . ;
IF BCBGRP12 = 9                THEN BCBGRP12 = . ;
IF BCBGRP13 = 9                THEN BCBGRP13 = . ;
IF BCBGRP14 = 9                THEN BCBGRP14 = . ;
IF BCBGIF01 = 9                THEN BCBGIF01 = . ;
IF BCBGIF02 = 9                THEN BCBGIF02 = . ;
IF BCBGIF03 = 9                THEN BCBGIF03 = . ;
IF BCBGIF04 = 9                THEN BCBGIF04 = . ;
IF BCBGIF05 = 9                THEN BCBGIF05 = . ;
IF BCBGIF06 = 9                THEN BCBGIF06 = . ;
IF BCBGIF07 = 9                THEN BCBGIF07 = . ;
IF BCBGIF08 = 9                THEN BCBGIF08 = . ;
IF BCBGIF09 = 9                THEN BCBGIF09 = . ;
IF BCBGIF10 = 9                THEN BCBGIF10 = . ;
IF BCBGIF11 = 9                THEN BCBGIF11 = . ;
IF BCBGIF12 = 9                THEN BCBGIF12 = . ;
IF BCBGIF13 = 9                THEN BCBGIF13 = . ;
IF BCBGIF14 = 9                THEN BCBGIF14 = . ;
IF BCBGIF15 = 9                THEN BCBGIF15 = . ;
IF BCBMCURR = 9                THEN BCBMCURR = . ;
IF BCBSCURR = 9                THEN BCBSCURR = . ;
IF BCBGCOM1 = 999              THEN BCBGCOM1 = . ;
IF BCBGCOM2 = 999              THEN BCBGCOM2 = . ;
IF BCBGCOM3 = 999              THEN BCBGCOM3 = . ;
IF BCBGCOM4 = 999              THEN BCBGCOM4 = . ;
IF BCBGCOM5 = 999              THEN BCBGCOM5 = . ;
IF BCBGST01 = 9                THEN BCBGST01 = . ;
IF BCBGST02 = 9                THEN BCBGST02 = . ;
IF BCBGST03 = 9                THEN BCBGST03 = . ;
IF BCBGST04 = 9                THEN BCBGST04 = . ;
IF BCBGST05 = 9                THEN BCBGST05 = . ;
IF BCBGST06 = 9                THEN BCBGST06 = . ;
IF BCBMST07 = 9                THEN BCBMST07 = . ;
IF BCBMST08 = 9                THEN BCBMST08 = . ;
IF BCBMST09 = 9                THEN BCBMST09 = . ;
IF BCBMST10 = 9                THEN BCBMST10 = . ;
IF BCBMST11 = 9                THEN BCBMST11 = . ;
IF BCBSST12 = 9                THEN BCBSST12 = . ;
IF BCBSST13 = 9                THEN BCBSST13 = . ;
IF BCBSST14 = 9                THEN BCBSST14 = . ;
IF BCBSST15 = 9                THEN BCBSST15 = . ;
IF BCBSST16 = 9                THEN BCBSST16 = . ;
IF BCBSST17 = 9                THEN BCBSST17 = . ;
IF BCBGBENR = 99999            THEN BCBGBENR = . ;
IF BCBGGENR = 99999            THEN BCBGGENR = . ;
IF BCBGABST = 999              THEN BCBGABST = . ;
IF BCBGENDY = 999              THEN BCBGENDY = . ;
IF BCBGTNSF = 999              THEN BCBGTNSF = . ;
IF BCBGLBER = 999              THEN BCBGLBER = . ;
IF BCBGLGER = 999              THEN BCBGLGER = . ;
IF BCBGLBRT = 999              THEN BCBGLBRT = . ;
IF BCBGLGRT = 999              THEN BCBGLGRT = . ;
IF BCBGLSIZ = 999              THEN BCBGLSIZ = . ;
IF BCBGLMGR = 999              THEN BCBGLMGR = . ;
IF BCBMLBER = 999              THEN BCBMLBER = . ;
IF BCBMLGER = 999              THEN BCBMLGER = . ;
IF BCBSLBER = 999              THEN BCBSLBER = . ;
IF BCBSLGER = 999              THEN BCBSLGER = . ;
IF BCBGUBER = 9999             THEN BCBGUBER = . ;
IF BCBGUGER = 9999             THEN BCBGUGER = . ;
IF BCBGUBRT = 999              THEN BCBGUBRT = . ;
IF BCBGUGRT = 999              THEN BCBGUGRT = . ;
IF BCBGUSIZ = 999              THEN BCBGUSIZ = . ;
IF BCBGUMGR = 999              THEN BCBGUMGR = . ;
IF BCBMUBER = 999              THEN BCBMUBER = . ;
IF BCBMUGER = 999              THEN BCBMUGER = . ;
IF BCBSUBER = 999              THEN BCBSUBER = . ;
IF BCBSUGER = 999              THEN BCBSUGER = . ;
IF BCBGUO01 = 9                THEN BCBGUO01 = . ;
IF BCBGUP01 = 999              THEN BCBGUP01 = . ;
IF BCBGUO02 = 9                THEN BCBGUO02 = . ;
IF BCBGUP02 = 999              THEN BCBGUP02 = . ;
IF BCBGUO03 = 9                THEN BCBGUO03 = . ;
IF BCBGUP03 = 999              THEN BCBGUP03 = . ;
IF BCBGUO04 = 9                THEN BCBGUO04 = . ;
IF BCBGUP04 = 999              THEN BCBGUP04 = . ;
IF BCBGUO05 = 9                THEN BCBGUO05 = . ;
IF BCBGUP05 = 999              THEN BCBGUP05 = . ;
IF BCBGUO06 = 9                THEN BCBGUO06 = . ;
IF BCBGUP06 = 999              THEN BCBGUP06 = . ;
IF BCBGUO07 = 9                THEN BCBGUO07 = . ;
IF BCBGUP07 = 999              THEN BCBGUP07 = . ;
IF BCBGUO08 = 9                THEN BCBGUO08 = . ;
IF BCBGUP08 = 999              THEN BCBGUP08 = . ;
IF BCBGUO09 = 9                THEN BCBGUO09 = . ;
IF BCBGUP09 = 999              THEN BCBGUP09 = . ;
IF BCBGUO10 = 9                THEN BCBGUO10 = . ;
IF BCBGUP10 = 999              THEN BCBGUP10 = . ;
IF BCBGUO11 = 9                THEN BCBGUO11 = . ;
IF BCBGUP11 = 999              THEN BCBGUP11 = . ;
IF BCBGUO12 = 9                THEN BCBGUO12 = . ;
IF BCBGUP12 = 999              THEN BCBGUP12 = . ;
IF BCBGUO13 = 9                THEN BCBGUO13 = . ;
IF BCBGUP13 = 999              THEN BCBGUP13 = . ;
IF BCBGUO14 = 9                THEN BCBGUO14 = . ;
IF BCBGUP14 = 999              THEN BCBGUP14 = . ;
IF BCBGUO15 = 9                THEN BCBGUO15 = . ;
IF BCBGUP15 = 999              THEN BCBGUP15 = . ;
IF BCBGUO16 = 9                THEN BCBGUO16 = . ;
IF BCBGUP16 = 999              THEN BCBGUP16 = . ;
IF BCBGUO17 = 9                THEN BCBGUO17 = . ;
IF BCBGUP17 = 999              THEN BCBGUP17 = . ;
IF BCBGUO18 = 9                THEN BCBGUO18 = . ;
IF BCBGUP18 = 999              THEN BCBGUP18 = . ;
IF BCBGINST = 9                THEN BCBGINST = . ;
IF BCBGLDYY = 999              THEN BCBGLDYY = . ;
IF BCBGUDYY = 999              THEN BCBGUDYY = . ;
IF BCBGLFLW = 99               THEN BCBGLFLW = . ;
IF BCBGUFLW = 99               THEN BCBGUFLW = . ;
IF BCBGLHFW = 99               THEN BCBGLHFW = . ;
IF BCBGUHFW = 99               THEN BCBGUHFW = . ;
IF BCBGLTHW = 99               THEN BCBGLTHW = . ;
IF BCBGUTHW = 99               THEN BCBGUTHW = . ;
IF BCBGLIHW = 99               THEN BCBGLIHW = . ;
IF BCBGUIHW = 99               THEN BCBGUIHW = . ;
IF BCBGDIVI = 9                THEN BCBGDIVI = . ;
IF BCBGLPDW = 99               THEN BCBGLPDW = . ;
IF BCBGUPDW = 99               THEN BCBGUPDW = . ;
IF BCBGLTMP = 999              THEN BCBGLTMP = . ;
IF BCBGUTMP = 999              THEN BCBGUTMP = . ;
IF BCBMRMDL = 9                THEN BCBMRMDL = . ;
IF BCBMRMD1 = 9                THEN BCBMRMD1 = . ;
IF BCBMRMD2 = 9                THEN BCBMRMD2 = . ;
IF BCBMRMD3 = 9                THEN BCBMRMD3 = . ;
IF BCBMRMD4 = 9                THEN BCBMRMD4 = . ;
IF BCBSRMDL = 9                THEN BCBSRMDL = . ;
IF BCBSRMD1 = 9                THEN BCBSRMD1 = . ;
IF BCBSRMD2 = 9                THEN BCBSRMD2 = . ;
IF BCBSRMD3 = 9                THEN BCBSRMD3 = . ;
IF BCBSRMD4 = 9                THEN BCBSRMD4 = . ;
IF BCBMENRH = 9                THEN BCBMENRH = . ;
IF BCBMENR1 = 9                THEN BCBMENR1 = . ;
IF BCBMENR2 = 9                THEN BCBMENR2 = . ;
IF BCBMENR3 = 9                THEN BCBMENR3 = . ;
IF BCBMENR4 = 9                THEN BCBMENR4 = . ;
IF BCBSENRH = 9                THEN BCBSENRH = . ;
IF BCBSENR1 = 9                THEN BCBSENR1 = . ;
IF BCBSENR2 = 9                THEN BCBSENR2 = . ;
IF BCBSENR3 = 9                THEN BCBSENR3 = . ;
IF BCBSENR4 = 9                THEN BCBSENR4 = . ;
IF BCBMUSCO = 9                THEN BCBMUSCO = . ;
IF BCBMUC1  = 999              THEN BCBMUC1  = . ;
IF BCBMUC2  = 99               THEN BCBMUC2  = . ;
IF BCBMUC3  = 99               THEN BCBMUC3  = . ;
IF BCBMUC41 = 999              THEN BCBMUC41 = . ;
IF BCBMUC42 = 999              THEN BCBMUC42 = . ;
IF BCBMUC51 = 999              THEN BCBMUC51 = . ;
IF BCBMUC52 = 999              THEN BCBMUC52 = . ;
IF BCBMUC61 = 99               THEN BCBMUC61 = . ;
IF BCBMUC62 = 99               THEN BCBMUC62 = . ;
IF BCBMUFC1 = 9                THEN BCBMUFC1 = . ;
IF BCBMUFC2 = 9                THEN BCBMUFC2 = . ;
IF BCBMUFC3 = 9                THEN BCBMUFC3 = . ;
IF BCBMUFC4 = 9                THEN BCBMUFC4 = . ;
IF BCBMUFC5 = 9                THEN BCBMUFC5 = . ;
IF BCBMUFC6 = 9                THEN BCBMUFC6 = . ;
IF BCBMUFC7 = 9                THEN BCBMUFC7 = . ;
IF BCBMUFC8 = 9                THEN BCBMUFC8 = . ;
IF BCBSUSCO = 9                THEN BCBSUSCO = . ;
IF BCBSUC1  = 999              THEN BCBSUC1  = . ;
IF BCBSUC2  = 99               THEN BCBSUC2  = . ;
IF BCBSUC3  = 99               THEN BCBSUC3  = . ;
IF BCBSUC41 = 999              THEN BCBSUC41 = . ;
IF BCBSUC42 = 999              THEN BCBSUC42 = . ;
IF BCBSUC51 = 999              THEN BCBSUC51 = . ;
IF BCBSUC52 = 999              THEN BCBSUC52 = . ;
IF BCBSUC61 = 99               THEN BCBSUC61 = . ;
IF BCBSUC62 = 99               THEN BCBSUC62 = . ;
IF BCBSUFC1 = 9                THEN BCBSUFC1 = . ;
IF BCBSUFC2 = 9                THEN BCBSUFC2 = . ;
IF BCBSUFC3 = 9                THEN BCBSUFC3 = . ;
IF BCBSUFC4 = 9                THEN BCBSUFC4 = . ;
IF BCBSUFC5 = 9                THEN BCBSUFC5 = . ;
IF BCBSUFC6 = 9                THEN BCBSUFC6 = . ;
IF BCBSUFC7 = 9                THEN BCBSUFC7 = . ;
IF BCBSUFC8 = 9                THEN BCBSUFC8 = . ;
IF BCBGSTD1 = 999              THEN BCBGSTD1 = . ;
IF BCBGSTD2 = 999              THEN BCBGSTD2 = . ;
IF BCBGSTD3 = 999              THEN BCBGSTD3 = . ;
IF BCBGSTD4 = 999              THEN BCBGSTD4 = . ;
IF BCBGSTD5 = 999              THEN BCBGSTD5 = . ;
IF BCBGSTD6 = 999              THEN BCBGSTD6 = . ;
IF BCBGSTD7 = 999              THEN BCBGSTD7 = . ;
IF BCBGSTD8 = 999              THEN BCBGSTD8 = . ;
IF BCBGBS01 = 9                THEN BCBGBS01 = . ;
IF BCBGBS02 = 9                THEN BCBGBS02 = . ;
IF BCBGBS03 = 9                THEN BCBGBS03 = . ;
IF BCBGBS04 = 9                THEN BCBGBS04 = . ;
IF BCBGBS05 = 9                THEN BCBGBS05 = . ;
IF BCBGBS06 = 9                THEN BCBGBS06 = . ;
IF BCBGBS07 = 9                THEN BCBGBS07 = . ;
IF BCBGBS08 = 9                THEN BCBGBS08 = . ;
IF BCBGBS09 = 9                THEN BCBGBS09 = . ;
IF BCBGBS10 = 9                THEN BCBGBS10 = . ;
IF BCBGBS11 = 9                THEN BCBGBS11 = . ;
IF BCBGBS12 = 9                THEN BCBGBS12 = . ;
IF BCBGBS13 = 9                THEN BCBGBS13 = . ;
IF BCDGAAIT = 9999             THEN BCDGAAIT = . ;
IF BCDGAYTS = 9999             THEN BCDGAYTS = . ;
IF BCDGPHSI = 999              THEN BCDGPHSI = . ;
IF BCDGSTRA = 999              THEN BCDGSTRA = . ;
IF BCDGTENR = 9999             THEN BCDGTENR = . ;
IF BCDGUTER = 999              THEN BCDGUTER = . ;
IF BCDGUTRT = 99               THEN BCDGUTRT = . ;
IF WGTFAC1  = 9999             THEN WGTFAC1  = . ;
IF WGTADJ1  = 99               THEN WGTADJ1  = . ;
IF SCHWGT   = 9999             THEN SCHWGT   = . ;
IF STOTWGTL = 99999            THEN STOTWGTL = . ;
IF STOTWGTU = 99999            THEN STOTWGTU = . ;
IF STOTWGTE = 99999            THEN STOTWGTE = . ;
IF BCDGADMN = 9999             THEN BCDGADMN = . ;
IF BCDMASR  = 9                THEN BCDMASR  = . ;
IF BCDSASR  = 9                THEN BCDSASR  = . ;
IF BCDGCMUN = 9999             THEN BCDGCMUN = . ;
IF BCDGINST = 9999             THEN BCDGINST = . ;
IF BCDGTEAC = 9999             THEN BCDGTEAC = . ;
IF JKCZONE  = 99               THEN JKCZONE  = . ;
IF JKCREP   = 9                THEN JKCREP   = . ;
IF DPCDATE  = 999999           THEN DPCDATE  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idschool;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;









