%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;

Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bcg&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      BCBGCOMM   3 ;
LENGTH      BCBGFTE1   8 ;
LENGTH      BCBGFTE2   8 ;
LENGTH      BCBGFTE3   8 ;
LENGTH      BCBGFTE4   8 ;
LENGTH      BCBGFTE5   8 ;
LENGTH      BCBGFTE6   8 ;
LENGTH      BCBGFTE7   8 ;
LENGTH      BCBGFTE8   8 ;
LENGTH      BCBGFTTE   3 ;
LENGTH      BCBGPTTE   3 ;
LENGTH      BCBGTE5Y   3 ;
LENGTH      BCBMTSA1   3 ;
LENGTH      BCBSTSA2   3 ;
LENGTH      BCBSTSA3   3 ;
LENGTH      BCBSTSA4   3 ;
LENGTH      BCBSTSA5   3 ;
LENGTH      BCBSTSA6   3 ;
LENGTH      BCBGCOL1   3 ;
LENGTH      BCBGCOL2   3 ;
LENGTH      BCBGCOL3   3 ;
LENGTH      BCBGAC01   3 ;
LENGTH      BCBGAC02   3 ;
LENGTH      BCBGAC03   3 ;
LENGTH      BCBGAC04   3 ;
LENGTH      BCBGAC05   3 ;
LENGTH      BCBGAC06   3 ;
LENGTH      BCBGAC07   3 ;
LENGTH      BCBGAC08   3 ;
LENGTH      BCBGAC09   3 ;
LENGTH      BCBGAC10   3 ;
LENGTH      BCBGAC11   3 ;
LENGTH      BCBGAC12   3 ;
LENGTH      BCBGAC13   3 ;
LENGTH      BCBGAC14   3 ;
LENGTH      BCBGRP01   3 ;
LENGTH      BCBGRP02   3 ;
LENGTH      BCBGRP03   3 ;
LENGTH      BCBGRP04   3 ;
LENGTH      BCBGRP05   3 ;
LENGTH      BCBGRP06   3 ;
LENGTH      BCBGRP07   3 ;
LENGTH      BCBGRP08   3 ;
LENGTH      BCBGRP09   3 ;
LENGTH      BCBGRP10   3 ;
LENGTH      BCBGRP11   3 ;
LENGTH      BCBGRP12   3 ;
LENGTH      BCBGRP13   3 ;
LENGTH      BCBGRP14   3 ;
LENGTH      BCBGIF01   3 ;
LENGTH      BCBGIF02   3 ;
LENGTH      BCBGIF03   3 ;
LENGTH      BCBGIF04   3 ;
LENGTH      BCBGIF05   3 ;
LENGTH      BCBGIF06   3 ;
LENGTH      BCBGIF07   3 ;
LENGTH      BCBGIF08   3 ;
LENGTH      BCBGIF09   3 ;
LENGTH      BCBGIF10   3 ;
LENGTH      BCBGIF11   3 ;
LENGTH      BCBGIF12   3 ;
LENGTH      BCBGIF13   3 ;
LENGTH      BCBGIF14   3 ;
LENGTH      BCBGIF15   3 ;
LENGTH      BCBMCURR   3 ;
LENGTH      BCBSCURR   3 ;
LENGTH      BCBMDVLP   3 ;
LENGTH      BCBSDVLP   3 ;
LENGTH      BCBGST01   3 ;
LENGTH      BCBGST02   3 ;
LENGTH      BCBGST03   3 ;
LENGTH      BCBGST04   3 ;
LENGTH      BCBGST05   3 ;
LENGTH      BCBGST06   3 ;
LENGTH      BCBMST07   3 ;
LENGTH      BCBMST08   3 ;
LENGTH      BCBMST09   3 ;
LENGTH      BCBMST10   3 ;
LENGTH      BCBMST11   3 ;
LENGTH      BCBSST12   3 ;
LENGTH      BCBSST13   3 ;
LENGTH      BCBSST14   3 ;
LENGTH      BCBSST15   3 ;
LENGTH      BCBSST16   3 ;
LENGTH      BCBSST17   3 ;
LENGTH      BCBSST18   3 ;
LENGTH      BCBSST19   3 ;
LENGTH      BCBSST20   3 ;
LENGTH      BCBSST21   3 ;
LENGTH      BCBSST22   3 ;
LENGTH      BCBSST23   3 ;
LENGTH      BCBGBENR   5 ;
LENGTH      BCBGGENR   5 ;
LENGTH      BCBGABST   3 ;
LENGTH      BCBGENDY   3 ;
LENGTH      BCBGTNSF   3 ;
LENGTH      BCBGUBER   4 ;
LENGTH      BCBGUGER   4 ;
LENGTH      BCBGUBRT   3 ;
LENGTH      BCBGUGRT   3 ;
LENGTH      BCBGUSIZ   3 ;
LENGTH      BCBGUMGR   3 ;
LENGTH      BCBGCMP1   3 ;
LENGTH      BCBGCMP2   3 ;
LENGTH      BCBGCMP3   3 ;
LENGTH      BCBGIACC   3 ;
LENGTH      BCBGACPL   3 ;
LENGTH      BCBGACYE   4 ;
LENGTH      BCBGNAC2   3 ;
LENGTH      BCBGNAC3   3 ;
LENGTH      BCBGWBI1   3 ;
LENGTH      BCBGWBI2   3 ;
LENGTH      BCBGWBI3   3 ;
LENGTH      BCBGWBI4   3 ;
LENGTH      BCBGWBI5   3 ;
LENGTH      BCBGUF01   3 ;
LENGTH      BCBGUS01   3 ;
LENGTH      BCBGUF02   3 ;
LENGTH      BCBGUS02   3 ;
LENGTH      BCBGUF03   3 ;
LENGTH      BCBGUS03   3 ;
LENGTH      BCBGUF04   3 ;
LENGTH      BCBGUS04   3 ;
LENGTH      BCBGUF05   3 ;
LENGTH      BCBGUS05   3 ;
LENGTH      BCBGUF06   3 ;
LENGTH      BCBGUS06   3 ;
LENGTH      BCBGUF07   3 ;
LENGTH      BCBGUS07   3 ;
LENGTH      BCBGUF08   3 ;
LENGTH      BCBGUS08   3 ;
LENGTH      BCBGUF09   3 ;
LENGTH      BCBGUS09   3 ;
LENGTH      BCBGUF10   3 ;
LENGTH      BCBGUS10   3 ;
LENGTH      BCBGUF11   3 ;
LENGTH      BCBGUS11   3 ;
LENGTH      BCBGUF12   3 ;
LENGTH      BCBGUS12   3 ;
LENGTH      BCBGUF13   3 ;
LENGTH      BCBGUS13   3 ;
LENGTH      BCBGUF14   3 ;
LENGTH      BCBGUS14   3 ;
LENGTH      BCBGUF15   3 ;
LENGTH      BCBGUS15   3 ;
LENGTH      BCBGUF16   3 ;
LENGTH      BCBGUS16   3 ;
LENGTH      BCBGUF17   3 ;
LENGTH      BCBGUS17   3 ;
LENGTH      BCBGUF18   3 ;
LENGTH      BCBGUS18   3 ;
LENGTH      BCBGUDYY   3 ;
LENGTH      BCBGUFLW   3 ;
LENGTH      BCBGUHFW   3 ;
LENGTH      BCBGUTHW   3 ;
LENGTH      BCBGUIHW   3 ;
LENGTH      BCBGDIVI   3 ;
LENGTH      BCBGUPDW   3 ;
LENGTH      BCBGUTMP   3 ;
LENGTH      BCBMODF1   3 ;
LENGTH      BCBMODF2   3 ;
LENGTH      BCBMODF3   3 ;
LENGTH      BCBMODF4   3 ;
LENGTH      BCBMODF5   3 ;
LENGTH      BCBMUC3    3 ;
LENGTH      BCBMUFC1   3 ;
LENGTH      BCBMUFC2   3 ;
LENGTH      BCBMUFC3   3 ;
LENGTH      BCBMUFC4   3 ;
LENGTH      BCBMUFC5   3 ;
LENGTH      BCBMUFC6   3 ;
LENGTH      BCBMUFC7   3 ;
LENGTH      BCBMUFC8   3 ;
LENGTH      BCBSODF1   3 ;
LENGTH      BCBSODF2   3 ;
LENGTH      BCBSODF3   3 ;
LENGTH      BCBSODF4   3 ;
LENGTH      BCBSODF5   3 ;
LENGTH      BCBSUC3    3 ;
LENGTH      BCBSUFC1   3 ;
LENGTH      BCBSUFC2   3 ;
LENGTH      BCBSUFC3   3 ;
LENGTH      BCBSUFC4   3 ;
LENGTH      BCBSUFC5   3 ;
LENGTH      BCBSUFC6   3 ;
LENGTH      BCBSUFC7   3 ;
LENGTH      BCBSUFC8   3 ;
LENGTH      BCBGBS01   3 ;
LENGTH      BCBGBS02   3 ;
LENGTH      BCBGBS03   3 ;
LENGTH      BCBGBS04   3 ;
LENGTH      BCBGBS05   3 ;
LENGTH      BCBGBS06   3 ;
LENGTH      BCBGBS07   3 ;
LENGTH      BCBGBS08   3 ;
LENGTH      BCBGBS09   3 ;
LENGTH      BCBGBS10   3 ;
LENGTH      BCBGBS11   3 ;
LENGTH      BCBGBS12   3 ;
LENGTH      BCBGBS13   3 ;
LENGTH      BCBGEP01   3 ;
LENGTH      BCBGEP02   3 ;
LENGTH      BCBGEP03   3 ;
LENGTH      BCBGEP04   3 ;
LENGTH      BCBGEP05   3 ;
LENGTH      BCBGEP06   3 ;
LENGTH      BCBGEP07   3 ;
LENGTH      BCBGEP08   3 ;
LENGTH      BCBGEP09   3 ;
LENGTH      BCBGEP10   3 ;
LENGTH      BCDGUTER   8 ;
LENGTH      BCDGUTRT   8 ;
LENGTH      BCDGAAIT   8 ;
LENGTH      BCDGAYTS   8 ;
LENGTH      BCDGPHSI   8 ;
LENGTH      BCDGTENR   5 ;
LENGTH      BCDGSTRA   8 ;
LENGTH      BCDMASR    3 ;
LENGTH      BCDGSA     3 ;
LENGTH      BCDGSSE    3 ;
LENGTH      BCDGCMRC   3 ;
LENGTH      BCDGINT    3 ;
LENGTH      BCDGINST   8 ;
LENGTH      BCDGCMUN   8 ;
LENGTH      BCDGADMN   8 ;
LENGTH      BCDGTEAC   8 ;
LENGTH      BCDMMOIN   3 ;
LENGTH      BCDGVOL    3 ;
LENGTH      BCDGSERV   3 ;
LENGTH      BCDSASR    3 ;
LENGTH      BCDSMOIN   3 ;
LENGTH      CSYSTEM    3 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      SCHWGT     8 ;
LENGTH      STOTWGTU   8 ;
LENGTH      JKCZONE    3 ;
LENGTH      JKCREP     3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  BCBGCOMM     15-  15     
  BCBGFTE1     16-  19 .1
  BCBGFTE2     20-  23 .1
  BCBGFTE3     24-  27 .1
  BCBGFTE4     28-  32 .1
  BCBGFTE5     33-  37 .1
  BCBGFTE6     38-  42 .1
  BCBGFTE7     43-  47 .1
  BCBGFTE8     48-  52 .1
  BCBGFTTE     53-  55     
  BCBGPTTE     56-  58     
  BCBGTE5Y     59-  61     
  BCBMTSA1     62-  62     
  BCBSTSA2     63-  63     
  BCBSTSA3     64-  64     
  BCBSTSA4     65-  65     
  BCBSTSA5     66-  66     
  BCBSTSA6     67-  67     
  BCBGCOL1     68-  68     
  BCBGCOL2     69-  69     
  BCBGCOL3     70-  70     
  BCBGAC01     71-  73     
  BCBGAC02     74-  76     
  BCBGAC03     77-  79     
  BCBGAC04     80-  82     
  BCBGAC05     83-  85     
  BCBGAC06     86-  88     
  BCBGAC07     89-  91     
  BCBGAC08     92-  94     
  BCBGAC09     95-  97     
  BCBGAC10     98- 100     
  BCBGAC11    101- 103     
  BCBGAC12    104- 106     
  BCBGAC13    107- 109     
  BCBGAC14    110- 112     
  BCBGRP01    113- 113     
  BCBGRP02    114- 114     
  BCBGRP03    115- 115     
  BCBGRP04    116- 116     
  BCBGRP05    117- 117     
  BCBGRP06    118- 118     
  BCBGRP07    119- 119     
  BCBGRP08    120- 120     
  BCBGRP09    121- 121     
  BCBGRP10    122- 122     
  BCBGRP11    123- 123     
  BCBGRP12    124- 124     
  BCBGRP13    125- 125     
  BCBGRP14    126- 126     
  BCBGIF01    127- 127     
  BCBGIF02    128- 128     
  BCBGIF03    129- 129     
  BCBGIF04    130- 130     
  BCBGIF05    131- 131     
  BCBGIF06    132- 132     
  BCBGIF07    133- 133     
  BCBGIF08    134- 134     
  BCBGIF09    135- 135     
  BCBGIF10    136- 136     
  BCBGIF11    137- 137     
  BCBGIF12    138- 138     
  BCBGIF13    139- 139     
  BCBGIF14    140- 140     
  BCBGIF15    141- 141     
  BCBMCURR    142- 142     
  BCBSCURR    143- 143     
  BCBMDVLP    144- 144     
  BCBSDVLP    145- 145     
  BCBGST01    146- 146     
  BCBGST02    147- 147     
  BCBGST03    148- 148     
  BCBGST04    149- 149     
  BCBGST05    150- 150     
  BCBGST06    151- 151     
  BCBMST07    152- 152     
  BCBMST08    153- 153     
  BCBMST09    154- 154     
  BCBMST10    155- 155     
  BCBMST11    156- 156     
  BCBSST12    157- 157     
  BCBSST13    158- 158     
  BCBSST14    159- 159     
  BCBSST15    160- 160     
  BCBSST16    161- 161     
  BCBSST17    162- 162     
  BCBSST18    163- 163     
  BCBSST19    164- 164     
  BCBSST20    165- 165     
  BCBSST21    166- 166     
  BCBSST22    167- 167     
  BCBSST23    168- 168     
  BCBGBENR    169- 173     
  BCBGGENR    174- 178     
  BCBGABST    179- 181     
  BCBGENDY    182- 184     
  BCBGTNSF    185- 187     
  BCBGUBER    188- 191     
  BCBGUGER    192- 195     
  BCBGUBRT    196- 198     
  BCBGUGRT    199- 201     
  BCBGUSIZ    202- 204     
  BCBGUMGR    205- 207     
  BCBGCMP1    208- 210     
  BCBGCMP2    211- 213     
  BCBGCMP3    214- 216     
  BCBGIACC    217- 217     
  BCBGACPL    218- 218     
  BCBGACYE    219- 222     
  BCBGNAC2    223- 223     
  BCBGNAC3    224- 224     
  BCBGWBI1    225- 225     
  BCBGWBI2    226- 226     
  BCBGWBI3    227- 227     
  BCBGWBI4    228- 228     
  BCBGWBI5    229- 229     
  BCBGUF01    230- 230     
  BCBGUS01    231- 231     
  BCBGUF02    232- 232     
  BCBGUS02    233- 233     
  BCBGUF03    234- 234     
  BCBGUS03    235- 235     
  BCBGUF04    236- 236     
  BCBGUS04    237- 237     
  BCBGUF05    238- 238     
  BCBGUS05    239- 239     
  BCBGUF06    240- 240     
  BCBGUS06    241- 241     
  BCBGUF07    242- 242     
  BCBGUS07    243- 243     
  BCBGUF08    244- 244     
  BCBGUS08    245- 245     
  BCBGUF09    246- 246     
  BCBGUS09    247- 247     
  BCBGUF10    248- 248     
  BCBGUS10    249- 249     
  BCBGUF11    250- 250     
  BCBGUS11    251- 251     
  BCBGUF12    252- 252     
  BCBGUS12    253- 253     
  BCBGUF13    254- 254     
  BCBGUS13    255- 255     
  BCBGUF14    256- 256     
  BCBGUS14    257- 257     
  BCBGUF15    258- 258     
  BCBGUS15    259- 259     
  BCBGUF16    260- 260     
  BCBGUS16    261- 261     
  BCBGUF17    262- 262     
  BCBGUS17    263- 263     
  BCBGUF18    264- 264     
  BCBGUS18    265- 265     
  BCBGUDYY    266- 268     
  BCBGUFLW    269- 269     
  BCBGUHFW    270- 270     
  BCBGUTHW    271- 272     
  BCBGUIHW    273- 274     
  BCBGDIVI    275- 275     
  BCBGUPDW    276- 277     
  BCBGUTMP    278- 280     
  BCBMODF1    281- 281     
  BCBMODF2    282- 282     
  BCBMODF3    283- 283     
  BCBMODF4    284- 284     
  BCBMODF5    285- 285     
  BCBMUC3     286- 287     
  BCBMUFC1    288- 288     
  BCBMUFC2    289- 289     
  BCBMUFC3    290- 290     
  BCBMUFC4    291- 291     
  BCBMUFC5    292- 292     
  BCBMUFC6    293- 293     
  BCBMUFC7    294- 294     
  BCBMUFC8    295- 295     
  BCBSODF1    296- 296     
  BCBSODF2    297- 297     
  BCBSODF3    298- 298     
  BCBSODF4    299- 299     
  BCBSODF5    300- 300     
  BCBSUC3     301- 302     
  BCBSUFC1    303- 303     
  BCBSUFC2    304- 304     
  BCBSUFC3    305- 305     
  BCBSUFC4    306- 306     
  BCBSUFC5    307- 307     
  BCBSUFC6    308- 308     
  BCBSUFC7    309- 309     
  BCBSUFC8    310- 310     
  BCBGBS01    311- 311     
  BCBGBS02    312- 312     
  BCBGBS03    313- 313     
  BCBGBS04    314- 314     
  BCBGBS05    315- 315     
  BCBGBS06    316- 316     
  BCBGBS07    317- 317     
  BCBGBS08    318- 318     
  BCBGBS09    319- 319     
  BCBGBS10    320- 320     
  BCBGBS11    321- 321     
  BCBGBS12    322- 322     
  BCBGBS13    323- 323     
  BCBGEP01    324- 324     
  BCBGEP02    325- 325     
  BCBGEP03    326- 326     
  BCBGEP04    327- 327     
  BCBGEP05    328- 328     
  BCBGEP06    329- 329     
  BCBGEP07    330- 330     
  BCBGEP08    331- 331     
  BCBGEP09    332- 332     
  BCBGEP10    333- 333     
  BCDGUTER    334- 338 .1
  BCDGUTRT    339- 342 .1
  BCDGAAIT    343- 348 .1
  BCDGAYTS    349- 354 .1
  BCDGPHSI    355- 359 .1
  BCDGTENR    360- 364     
  BCDGSTRA    365- 369 .1
  BCDMASR     370- 370     
  BCDGSA      371- 371     
  BCDGSSE     372- 372     
  BCDGCMRC    373- 373     
  BCDGINT     374- 374     
  BCDGINST    375- 382 .3
  BCDGCMUN    383- 390 .3
  BCDGADMN    391- 398 .3
  BCDGTEAC    399- 406 .3
  BCDMMOIN    407- 407     
  BCDGVOL     408- 408     
  BCDGSERV    409- 409     
  BCDSASR     410- 410     
  BCDSMOIN    411- 411     
  CSYSTEM     412- 414     
  WGTFAC1     415- 421 .2
  WGTADJ1     422- 427 .3
  SCHWGT      428- 435 .3
  STOTWGTU    436- 443 .2
  JKCZONE     444- 445     
  JKCREP      446- 446     
  DPCDATE     447- 452     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*VERSION NUMBER*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  BCBGCOMM = "GEN\TYPE OF COMMUNITY"
  BCBGFTE1 = "GEN\STAFF\PRINCIPALS"
  BCBGFTE2 = "GEN\STAFF\ASSISTANT PRINCIPALS"
  BCBGFTE3 = "GEN\STAFF\DEPARTMENT HEADS"
  BCBGFTE4 = "GEN\STAFF\CLASSROOM TEACHERS"
  BCBGFTE5 = "GEN\STAFF\TEACHER AIDES"
  BCBGFTE6 = "GEN\STAFF\LABORATORY TECHNICIANS"
  BCBGFTE7 = "GEN\STAFF\LEARNING SPECIALISTS"
  BCBGFTE8 = "GEN\STAFF\OTHER PROFESSIONAL STAFF"
  BCBGFTTE = "GEN\NUMBER OF FULL-TIME TEACHERS"
  BCBGPTTE = "GEN\NUMBER OF PART-TIME TEACHERS"
  BCBGTE5Y = "GEN\TEACHER AT SCHOOL FOR 5+ YEARS"
  BCBMTSA1 = "MAT\TIME STUDENTS STAY WITH TEACHER MATH"
  BCBSTSA2 = "SCI\TIME STUDENTS STAY WITH TEACHER SCI"
  BCBSTSA3 = "SCI\TIME STUDENTS STAY WITH TEACHER BIO"
  BCBSTSA4 = "SCI\TIME STUDENTS STAY WITH TEACHER CHEM"
  BCBSTSA5 = "SCI\TIME STUDENTS STAY WITH TEACHER EART"
  BCBSTSA6 = "SCI\TIME STUDENTS STAY WITH TEACHER PHYS"
  BCBGCOL1 = "GEN\COOPERATION\OFFICIAL POLICY"
  BCBGCOL2 = "GEN\COOPERATION\ENCOURAGED"
  BCBGCOL3 = "GEN\COOPERATION\REGULAR MEETINGS"
  BCBGAC01 = "GEN\PRINCIPAL\HIRE TEACHERS"
  BCBGAC02 = "GEN\PRINCIPAL\REPRESENT\COMMUNITY"
  BCBGAC03 = "GEN\PRINCIPAL\REPRESENT\OFFCL MEETNG"
  BCBGAC04 = "GEN\PRINCIPAL\INTERNAL ADMINISTRATN"
  BCBGAC05 = "GEN\PRINCIPAL\TEACHING + PREPARATION"
  BCBGAC06 = "GEN\PRINCIPAL\DEMONSTRATION LESSON"
  BCBGAC07 = "GEN\PRINCIPAL\DISCUSS WITH TEACHERS"
  BCBGAC08 = "GEN\PRINCIPAL\CURRICULUM REVISION"
  BCBGAC09 = "GEN\PRINCIPAL\TALK WITH PARENTS"
  BCBGAC10 = "GEN\PRINCIPAL\COUNSELING STUDENTS"
  BCBGAC11 = "GEN\PRINCIPAL\RESPONDING TO REQUESTS"
  BCBGAC12 = "GEN\PRINCIPAL\TRAIN TEACHERS"
  BCBGAC13 = "GEN\PRINCIPAL\PROFESSIONAL DEVELPMNT"
  BCBGAC14 = "GEN\PRINCIPAL\OTHER ACTIVITIES"
  BCBGRP01 = "GEN\RESPONSIBLE\HIRE TEACHERS"
  BCBGRP02 = "GEN\RESPONSIBLE\DISCIPLINARY POLICY"
  BCBGRP03 = "GEN\RESPONSIBLE\GRADING POLICY"
  BCBGRP04 = "GEN\RESPONSIBLE\SCHOOL BUDGET"
  BCBGRP05 = "GEN\RESPONSIBLE\PURCHASE SUPPLIES"
  BCBGRP06 = "GEN\RESPONSIBLE\PLACE STUDENTS"
  BCBGRP07 = "GEN\RESPONSIBLE\ASSIGN TEACHERS"
  BCBGRP08 = "GEN\RESPONSIBLE\DETERMINE TEXBOOKS"
  BCBGRP09 = "GEN\RESPONSIBLE\HOMEWORK POLICY"
  BCBGRP10 = "GEN\RESPONSIBLE\TEACHER SALARIES"
  BCBGRP11 = "GEN\RESPONSIBLE\COMMUNITY RELATIONS"
  BCBGRP12 = "GEN\RESPONSIBLE\STUDENTS' FAMILIES"
  BCBGRP13 = "GEN\RESPONSIBLE\COURSE CONTENT"
  BCBGRP14 = "GEN\RESPONSIBLE\COURSE OFFERINGS"
  BCBGIF01 = "GEN\INFLUENCE\NATIONAL COUNCIL"
  BCBGIF02 = "GEN\INFLUENCE\NATIONAL ASSOCIATION"
  BCBGIF03 = "GEN\INFLUENCE\EDUCATIONAL REGION"
  BCBGIF04 = "GEN\INFLUENCE\SCHOOL GOVERNING BOARD"
  BCBGIF05 = "GEN\INFLUENCE\PRINCIPAL OR HEAD"
  BCBGIF06 = "GEN\INFLUENCE\SCHOOL TEACHERS"
  BCBGIF07 = "GEN\INFLUENCE\SUBJECT TEACHERS"
  BCBGIF08 = "GEN\INFLUENCE\TEACHER INDIVIDUALLY"
  BCBGIF09 = "GEN\INFLUENCE\PARENTS"
  BCBGIF10 = "GEN\INFLUENCE\STUDENTS"
  BCBGIF11 = "GEN\INFLUENCE\RELIGIOUS GROUPS"
  BCBGIF12 = "GEN\INFLUENCE\BUSINESS COMMUNITY"
  BCBGIF13 = "GEN\INFLUENCE\TEXTBOOK PUBLISHERS"
  BCBGIF14 = "GEN\INFLUENCE\EXTERNAL EXAMS"
  BCBGIF15 = "GEN\INFLUENCE\TEACHER UNIONS"
  BCBMCURR = "MAT\OWN SCHOOL CURRICULUM CONTENT"
  BCBSCURR = "SCI\OWN SCHOOL CURRICULUM CONTENT"
  BCBMDVLP = "MAT\DEVELOPED INSTRUCTIONAL ACTIVITIES"
  BCBSDVLP = "SCI\DEVELOPED INSTRUCTIONAL ACTIVITIES"
  BCBGST01 = "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS"
  BCBGST02 = "GEN\SHORTAGE\BUDGET FOR SUPPLIES"
  BCBGST03 = "GEN\SHORTAGE\SCHOOL BUILDINGS"
  BCBGST04 = "GEN\SHORTAGE\HEATING AND LIGHTING"
  BCBGST05 = "GEN\SHORTAGE\INSTRUCTIONAL SPACE"
  BCBGST06 = "GEN\SHORTAGE\HANDICAPPED FACILITIES"
  BCBMST07 = "MAT\SHORTAGE\COMPUTER HARDWARE"
  BCBMST08 = "MAT\SHORTAGE\COMPUTER SOFTWARE"
  BCBMST09 = "MAT\SHORTAGE\CALCULATORS"
  BCBMST10 = "MAT\SHORTAGE\LIBRARY MATERIALS"
  BCBMST11 = "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBSST12 = "SCI\SHORTAGE\LABORATORY EQUIPMENT"
  BCBSST13 = "SCI\SHORTAGE\COMPUTER HARDWARE"
  BCBSST14 = "SCI\SHORTAGE\COMPUTER SOFTWARE"
  BCBSST15 = "SCI\SHORTAGE\CALCULATORS"
  BCBSST16 = "SCI\SHORTAGE\LIBRARY MATERIALS"
  BCBSST17 = "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES"
  BCBSST18 = "MAT\SHORTAGE\TEACHERS QUALIFIED MATH"
  BCBSST19 = "SCI\SHORTAGE\TEACHERS QUALIFIED SCI"
  BCBSST20 = "SCI\SHORTAGE\TEACHERS QUALIFIED BIO"
  BCBSST21 = "SCI\SHORTAGE\TEACHERS QUALIFIED CHEM"
  BCBSST22 = "SCI\SHORTAGE\TEACHERS QUALIFIED EARTH"
  BCBSST23 = "SCI\SHORTAGE\TEACHERS QUALIFIED PHYSICS"
  BCBGBENR = "GEN\TOTAL SCHOOL ENROLLMENT\BOYS"
  BCBGGENR = "GEN\TOTAL SCHOOL\ENROLLMENT\GIRLS"
  BCBGABST = "GEN\STUDENT\PERC ABSENT"
  BCBGENDY = "GEN\STUDENT\PERC FINISHING SCHOOL YEAR"
  BCBGTNSF = "GEN\STUDENT\PERC TRANSFERRING INTO SCHL"
  BCBGUBER = "GEN\U-GRADE\ENROLLMENT\BOYS"
  BCBGUGER = "GEN\U-GRADE\ENROLLMENT\GIRLS"
  BCBGUBRT = "GEN\U-GRADE\REPEATING GRADE\BOYS"
  BCBGUGRT = "GEN\U-GRADE\REPEATING GRADE\GIRLS"
  BCBGUSIZ = "GEN\U-GRADE\AVERAGE CLASS SIZE"
  BCBGUMGR = "GEN\U-GRADE\# IN MULTI-GRADE CLASSRM"
  BCBGCMP1 = "GEN\COMPUTERS\STUDENT\INSTRUCTIONAL"
  BCBGCMP2 = "GEN\COMPUTERS\TEACHER\INSTRUCTION"
  BCBGCMP3 = "GEN\COMPUTERS\AVAILABLE"
  BCBGIACC = "GEN\SCHOOL ACCESS TO INTERNET"
  BCBGACPL = "GEN\SCHOOL PLANNING INTERNET ACCESS"
  BCBGACYE = "GEN\EXPECT SCHOOL INTERNET ACCESS"
  BCBGNAC2 = "GEN\PERCENT COMPUTERS ACCESS TO E-MAIL"
  BCBGNAC3 = "GEN\PERCENT COMPUTERS ACCESS TO WWW"
  BCBGWBI1 = "GEN\AVAILABLE ON WWW\INFO ABOUT SCHOOL"
  BCBGWBI2 = "GEN\AVAILABLE ON WWW\MATH CURRICULUM"
  BCBGWBI3 = "GEN\AVAILABLE ON WWW\SCIENCE CURRICULUM"
  BCBGWBI4 = "GEN\AVAILABLE ON WWW\MATH ACTIVITIES"
  BCBGWBI5 = "GEN\AVAILABLE ON WWW\SCIENCE ACTIVITIES"
  BCBGUF01 = "GEN\BEHAVIOR\ARRIVE LATE AT SCHOOL"
  BCBGUS01 = "GEN\BEHAVIOR\SEV ARRIVE LATE AT SCHOOL"
  BCBGUF02 = "GEN\BEHAVIOR\ABSENTEEISM"
  BCBGUS02 = "GEN\BEHAVIOUR\SEV ABSENTEEISM"
  BCBGUF03 = "GEN\BEHAVIOR\SKIPPING CLASS"
  BCBGUS03 = "GEN\BEHAVIOR\SEV SKIPPING CLASS"
  BCBGUF04 = "GEN\BEHAVIOR\VIOLATING DRESS CODE"
  BCBGUS04 = "GEN\BEHAVIOR\SEV VIOLATING DRESS CODE"
  BCBGUF05 = "GEN\BEHAVIOR\CLASSROOM DISTURBANCE"
  BCBGUS05 = "GEN\BEHAVIOR\SEV CLASSROOM DISTURBANCE"
  BCBGUF06 = "GEN\BEHAVIOR\CHEATING"
  BCBGUS06 = "GEN\BEHAVIOR\SEV CHEATING"
  BCBGUF07 = "GEN\BEHAVIOR\PROFANITY"
  BCBGUS07 = "GEN\BEHAVIOR\SEV PROFANITY"
  BCBGUF08 = "GEN\BEHAVIOR\VANDALISM"
  BCBGUS08 = "GEN\BEHAVIOR\SEV VANDALISM"
  BCBGUF09 = "GEN\BEHAVIOR\THEFT"
  BCBGUS09 = "GEN\BEHAVIOR\SEV THEFT"
  BCBGUF10 = "GEN\BEHAVIOR\INTIMIDATION OF STUDNTS"
  BCBGUS10 = "GEN\BEHAVIOR\SEV INTIMIDATION OF STUDNTS"
  BCBGUF11 = "GEN\BEHAVIOR\INJURY TO STUDENTS"
  BCBGUS11 = "GEN\BEHAVIOR\SEV INJURY TO STUDENTS"
  BCBGUF12 = "GEN\BEHAVIOR\INTIMIDATION OF TEACHRS"
  BCBGUS12 = "GEN\BEHAVIOR\SEV INTIMIDATN OF TEACHRS"
  BCBGUF13 = "GEN\BEHAVIOR\INJURY TO TEACHERS"
  BCBGUS13 = "GEN\BEHAVIOR\SEV INJURY TO TEACHERS"
  BCBGUF14 = "GEN\BEHAVIOR\TOBACCO USE"
  BCBGUS14 = "GEN\BEHAVIOR\SEV TOBACCO USE"
  BCBGUF15 = "GEN\BEHAVIOR\ALCOHOL USE"
  BCBGUS15 = "GEN\BEHAVIOR\SEV ALCOHOL USE"
  BCBGUF16 = "GEN\BEHAVIOR\ILLEGAL DRUG USE"
  BCBGUS16 = "GEN\BEHAVIOR\SEV ILLEGAL DRUG USE"
  BCBGUF17 = "GEN\BEHAVIOR\WEAPON USE"
  BCBGUS17 = "GEN\BEHAVIOR\SEV WEAPON USE"
  BCBGUF18 = "GEN\BEHAVIOR\INAPPROPRIATE SEXUAL"
  BCBGUS18 = "GEN\BEHAVIOR\SEV INAPPROPRIATE SEXUAL"
  BCBGUDYY = "GEN\U-GRADE\DAYS PER YEAR"
  BCBGUFLW = "GEN\U-GRADE\FULL DAYS PER WEEK"
  BCBGUHFW = "GEN\U-GRADE\HALF DAYS PER WEEK"
  BCBGUTHW = "GEN\U-GRADE\# TOTAL HOURS PER WEEK"
  BCBGUIHW = "GEN\U-GRADE\# INSTR HOURS PER WEEK"
  BCBGDIVI = "GEN\DIVISION INTO INSTR HOURS"
  BCBGUPDW = "GEN\U-GRADE\INST PERIODS PER WEEK"
  BCBGUTMP = "GEN\U-GRADE\DURATION OF INSTR PERIOD"
  BCBMODF1 = "MAT\ORGANIZE DIFFERENTLY\DIFFERENT LEVEL"
  BCBMODF2 = "MAT\ORGANIZE DIFFERENTLY\ABILITY"
  BCBMODF3 = "MAT\ORGANIZE DIFFERENTLY\ENRICHEMENT"
  BCBMODF4 = "MAT\ORGANIZE DIFFERENTLY\REMEDIAL"
  BCBMODF5 = "MAT\ORGANIZE DIFFERENTLY\DIFF. CONTENT"
  BCBMUC3  = "MAT\U-GRADE\COURSES AVAILABLE"
  BCBMUFC1 = "MAT\U-GRADE\ACADEMIC PERFORMANCE"
  BCBMUFC2 = "MAT\U-GRADE\STANDARDIZED TEST"
  BCBMUFC3 = "MAT\U-GRADE\ENTRANCE EXAMINATION"
  BCBMUFC4 = "MAT\U-GRADE\ORAL EXAMINATION"
  BCBMUFC5 = "MAT\U-GRADE\TEACHER RECOMMENDATIONS"
  BCBMUFC6 = "MAT\U-GRADE\PARENTAL WISHES"
  BCBMUFC7 = "MAT\U-GRADE\STUDENT'S OWN WISHES"
  BCBMUFC8 = "MAT\U-GRADE\CURRICULAR REQUIREMENTS"
  BCBSODF1 = "SCI\ORGANIZE DIFFERENTLY\DIFFERENT LEVEL"
  BCBSODF2 = "SCI\ORGANIZE DIFFERENTLY\ABILITY"
  BCBSODF3 = "SCI\ORGANIZE DIFFERENTLY\ENRICHMENT"
  BCBSODF4 = "SCI\ORGANIZE DIFFERENTLY\REMEDIAL"
  BCBSODF5 = "SCI\ORGANIZE DIFFERENTLY\DIFF. CONTENT"
  BCBSUC3  = "SCI\U-GRADE\COURSES AVAILABLE"
  BCBSUFC1 = "SCI\U-GRADE\ACADEMIC PERFORMANCE"
  BCBSUFC2 = "SCI\U-GRADE\STANDARDIZED TEST"
  BCBSUFC3 = "SCI\U-GRADE\ENTRANCE EXAMINATION"
  BCBSUFC4 = "SCI\U-GRADE\ORAL EXAMINATION"
  BCBSUFC5 = "SCI\U-GRADE\TEACHER RECOMMENDATIONS"
  BCBSUFC6 = "SCI\U-GRADE\PARENTAL WISHES"
  BCBSUFC7 = "SCI\U-GRADE\STUDENT'S OWN WISHES"
  BCBSUFC8 = "SCI\U-GRADE\CURRICULAR REQUIREMENTS"
  BCBGBS01 = "GEN\ADMITTNC\RESIDENCE IN AREA"
  BCBGBS02 = "GEN\ADMITTNC\ACADEMIC PERFORMANCE"
  BCBGBS03 = "GEN\ADMITTNC\INTERVIEW WITH STUDENT"
  BCBGBS04 = "GEN\ADMITTNC\INTERVIEW WITH PARENTS"
  BCBGBS05 = "GEN\ADMITTNC\FAMLY MEMBERS AT SCHOOL"
  BCBGBS06 = "GEN\ADMITTNC\DATE OF APPLICATION"
  BCBGBS07 = "GEN\ADMITTNC\TEACHER RECOMMENDATION"
  BCBGBS08 = "GEN\ADMITTNC\FROM PARTICULAR SCHOOL"
  BCBGBS09 = "GEN\ADMITTNC\FORMER STUDENT'S CHILD"
  BCBGBS10 = "GEN\ADMITTNC\STANDARDIZED TEST"
  BCBGBS11 = "GEN\ADMITTNC\ENTRANCE EXAMINATION"
  BCBGBS12 = "GEN\ADMITTNC\ORAL EXAMINATION"
  BCBGBS13 = "GEN\ADMITTNC\OTHER"
  BCBGEP01 = "GEN\EXPECT PARENTS\NOTIFY PROBLEMS"
  BCBGEP02 = "GEN\EXPECT PARENTS\TEACHER AIDES"
  BCBGEP03 = "GEN\EXPECT PARENTS\RAISE FOUNDS"
  BCBGEP04 = "GEN\EXPECT PARENTS\VOLUNTEER SC PROJECTS"
  BCBGEP05 = "GEN\EXPECT PARENTS\HOMEWORK COMPLETE"
  BCBGEP06 = "GEN\EXPECT PARENTS\ASSISTANCE ON TRIPS"
  BCBGEP07 = "GEN\EXPECT PARENTS\PREPARE LUNCHBOX"
  BCBGEP08 = "GEN\EXPECT PARENTS\MONITOR BEHAVIOUR"
  BCBGEP09 = "GEN\EXPECT PARENTS\SELECT SC PERSONNEL"
  BCBGEP10 = "GEN\EXPECT PARENTS\REVIEW SC FINANCES"
  BCDGUTER = "GEN\U-GRADE\ENROLLMENT"
  BCDGUTRT = "GEN\U-GRADE\REPEATING GRADE\STUDEN"
  BCDGAAIT = "GEN\YEARLY INSTRUCTIONAL TIME IN HRS"
  BCDGAYTS = "GEN\YEARLY TOTAL TIME IN SCHOOL IN HRS"
  BCDGPHSI = "GEN\PERCENT OF HRS SPENT ON INSTRUCTION"
  BCDGTENR = "GEN\TOTAL ENROLLMENT"
  BCDGSTRA = "GEN\STUDENT/TEACHER RATIO"
  BCDMASR  = "MAT\AVAILABILITY OF SCH. RES. FOR MATH"
  BCDGSA   = "GEN\SCHOOL ATTENDANCE"
  BCDGSSE  = "GEN\SAFE SCHOOL ENVIRONMENT"
  BCDGCMRC = "GEN\AVAILABILITY OF COMPUTERS IN CAT."
  BCDGINT  = "GEN\ACCESS TO INTERNET"
  BCDGINST = "GEN\HRS. ON INSTRUCTION LEADERSHIP"
  BCDGCMUN = "GEN\HRS. ON COMMUNICATING W/PARE./STU."
  BCDGADMN = "GEN\HRS. ON ADMINISTRATIVE WORK"
  BCDGTEAC = "GEN\HRS. ON TEACHING"
  BCDMMOIN = "MAT\METHODS OF INSTRUCTION"
  BCDGVOL  = "GEN\EXPECT PARENTS AS VOLUNTEER..."
  BCDGSERV = "GEN\EXPECT PARENTS SERVE ON COMMITTEES"
  BCDSASR  = "SCI\AVAILABILITY OF SCH. RES. FOR SCI"
  BCDSMOIN = "SCI\METHODS OF INSTRUCTION"
  CSYSTEM  = "*SYSTEM ID SCHOOL FILE*"
  WGTFAC1  = "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*"
  WGTADJ1  = "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*"
  SCHWGT   = "*SCHOOL LEVEL WEIGHT*"
  STOTWGTU = "*SUM OF STUDENT WEIGHTS - UPPER GRADE*"
  JKCZONE  = "*ZONE CODE*"
  JKCREP   = "*REPLICATE CODE*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF BCBGCOMM = 8                THEN BCBGCOMM = .A ;
IF BCBGFTE1 = 98               THEN BCBGFTE1 = .A ;
IF BCBGFTE2 = 98               THEN BCBGFTE2 = .A ;
IF BCBGFTE3 = 98               THEN BCBGFTE3 = .A ;
IF BCBGFTE4 = 998              THEN BCBGFTE4 = .A ;
IF BCBGFTE5 = 998              THEN BCBGFTE5 = .A ;
IF BCBGFTE6 = 998              THEN BCBGFTE6 = .A ;
IF BCBGFTE7 = 998              THEN BCBGFTE7 = .A ;
IF BCBGFTE8 = 998              THEN BCBGFTE8 = .A ;
IF BCBGFTTE = 998              THEN BCBGFTTE = .A ;
IF BCBGPTTE = 998              THEN BCBGPTTE = .A ;
IF BCBGTE5Y = 998              THEN BCBGTE5Y = .A ;
IF BCBMTSA1 = 8                THEN BCBMTSA1 = .A ;
IF BCBSTSA2 = 8                THEN BCBSTSA2 = .A ;
IF BCBSTSA3 = 8                THEN BCBSTSA3 = .A ;
IF BCBSTSA4 = 8                THEN BCBSTSA4 = .A ;
IF BCBSTSA5 = 8                THEN BCBSTSA5 = .A ;
IF BCBSTSA6 = 8                THEN BCBSTSA6 = .A ;
IF BCBGCOL1 = 8                THEN BCBGCOL1 = .A ;
IF BCBGCOL2 = 8                THEN BCBGCOL2 = .A ;
IF BCBGCOL3 = 8                THEN BCBGCOL3 = .A ;
IF BCBGAC01 = 998              THEN BCBGAC01 = .A ;
IF BCBGAC02 = 998              THEN BCBGAC02 = .A ;
IF BCBGAC03 = 998              THEN BCBGAC03 = .A ;
IF BCBGAC04 = 998              THEN BCBGAC04 = .A ;
IF BCBGAC05 = 998              THEN BCBGAC05 = .A ;
IF BCBGAC06 = 998              THEN BCBGAC06 = .A ;
IF BCBGAC07 = 998              THEN BCBGAC07 = .A ;
IF BCBGAC08 = 998              THEN BCBGAC08 = .A ;
IF BCBGAC09 = 998              THEN BCBGAC09 = .A ;
IF BCBGAC10 = 998              THEN BCBGAC10 = .A ;
IF BCBGAC11 = 998              THEN BCBGAC11 = .A ;
IF BCBGAC12 = 998              THEN BCBGAC12 = .A ;
IF BCBGAC13 = 998              THEN BCBGAC13 = .A ;
IF BCBGAC14 = 998              THEN BCBGAC14 = .A ;
IF BCBGRP01 = 8                THEN BCBGRP01 = .A ;
IF BCBGRP02 = 8                THEN BCBGRP02 = .A ;
IF BCBGRP03 = 8                THEN BCBGRP03 = .A ;
IF BCBGRP04 = 8                THEN BCBGRP04 = .A ;
IF BCBGRP05 = 8                THEN BCBGRP05 = .A ;
IF BCBGRP06 = 8                THEN BCBGRP06 = .A ;
IF BCBGRP07 = 8                THEN BCBGRP07 = .A ;
IF BCBGRP08 = 8                THEN BCBGRP08 = .A ;
IF BCBGRP09 = 8                THEN BCBGRP09 = .A ;
IF BCBGRP10 = 8                THEN BCBGRP10 = .A ;
IF BCBGRP11 = 8                THEN BCBGRP11 = .A ;
IF BCBGRP12 = 8                THEN BCBGRP12 = .A ;
IF BCBGRP13 = 8                THEN BCBGRP13 = .A ;
IF BCBGRP14 = 8                THEN BCBGRP14 = .A ;
IF BCBGIF01 = 8                THEN BCBGIF01 = .A ;
IF BCBGIF02 = 8                THEN BCBGIF02 = .A ;
IF BCBGIF03 = 8                THEN BCBGIF03 = .A ;
IF BCBGIF04 = 8                THEN BCBGIF04 = .A ;
IF BCBGIF05 = 8                THEN BCBGIF05 = .A ;
IF BCBGIF06 = 8                THEN BCBGIF06 = .A ;
IF BCBGIF07 = 8                THEN BCBGIF07 = .A ;
IF BCBGIF08 = 8                THEN BCBGIF08 = .A ;
IF BCBGIF09 = 8                THEN BCBGIF09 = .A ;
IF BCBGIF10 = 8                THEN BCBGIF10 = .A ;
IF BCBGIF11 = 8                THEN BCBGIF11 = .A ;
IF BCBGIF12 = 8                THEN BCBGIF12 = .A ;
IF BCBGIF13 = 8                THEN BCBGIF13 = .A ;
IF BCBGIF14 = 8                THEN BCBGIF14 = .A ;
IF BCBGIF15 = 8                THEN BCBGIF15 = .A ;
IF BCBMCURR = 8                THEN BCBMCURR = .A ;
IF BCBSCURR = 8                THEN BCBSCURR = .A ;
IF BCBMDVLP = 8                THEN BCBMDVLP = .A ;
IF BCBSDVLP = 8                THEN BCBSDVLP = .A ;
IF BCBGST01 = 8                THEN BCBGST01 = .A ;
IF BCBGST02 = 8                THEN BCBGST02 = .A ;
IF BCBGST03 = 8                THEN BCBGST03 = .A ;
IF BCBGST04 = 8                THEN BCBGST04 = .A ;
IF BCBGST05 = 8                THEN BCBGST05 = .A ;
IF BCBGST06 = 8                THEN BCBGST06 = .A ;
IF BCBMST07 = 8                THEN BCBMST07 = .A ;
IF BCBMST08 = 8                THEN BCBMST08 = .A ;
IF BCBMST09 = 8                THEN BCBMST09 = .A ;
IF BCBMST10 = 8                THEN BCBMST10 = .A ;
IF BCBMST11 = 8                THEN BCBMST11 = .A ;
IF BCBSST12 = 8                THEN BCBSST12 = .A ;
IF BCBSST13 = 8                THEN BCBSST13 = .A ;
IF BCBSST14 = 8                THEN BCBSST14 = .A ;
IF BCBSST15 = 8                THEN BCBSST15 = .A ;
IF BCBSST16 = 8                THEN BCBSST16 = .A ;
IF BCBSST17 = 8                THEN BCBSST17 = .A ;
IF BCBSST18 = 8                THEN BCBSST18 = .A ;
IF BCBSST19 = 8                THEN BCBSST19 = .A ;
IF BCBSST20 = 8                THEN BCBSST20 = .A ;
IF BCBSST21 = 8                THEN BCBSST21 = .A ;
IF BCBSST22 = 8                THEN BCBSST22 = .A ;
IF BCBSST23 = 8                THEN BCBSST23 = .A ;
IF BCBGBENR = 99998            THEN BCBGBENR = .A ;
IF BCBGGENR = 99998            THEN BCBGGENR = .A ;
IF BCBGABST = 998              THEN BCBGABST = .A ;
IF BCBGENDY = 998              THEN BCBGENDY = .A ;
IF BCBGTNSF = 998              THEN BCBGTNSF = .A ;
IF BCBGUBER = 9998             THEN BCBGUBER = .A ;
IF BCBGUGER = 9998             THEN BCBGUGER = .A ;
IF BCBGUBRT = 998              THEN BCBGUBRT = .A ;
IF BCBGUGRT = 998              THEN BCBGUGRT = .A ;
IF BCBGUSIZ = 998              THEN BCBGUSIZ = .A ;
IF BCBGUMGR = 998              THEN BCBGUMGR = .A ;
IF BCBGCMP1 = 998              THEN BCBGCMP1 = .A ;
IF BCBGCMP2 = 998              THEN BCBGCMP2 = .A ;
IF BCBGCMP3 = 998              THEN BCBGCMP3 = .A ;
IF BCBGIACC = 8                THEN BCBGIACC = .A ;
IF BCBGACPL = 8                THEN BCBGACPL = .A ;
IF BCBGACYE = 9998             THEN BCBGACYE = .A ;
IF BCBGNAC2 = 8                THEN BCBGNAC2 = .A ;
IF BCBGNAC3 = 8                THEN BCBGNAC3 = .A ;
IF BCBGWBI1 = 8                THEN BCBGWBI1 = .A ;
IF BCBGWBI2 = 8                THEN BCBGWBI2 = .A ;
IF BCBGWBI3 = 8                THEN BCBGWBI3 = .A ;
IF BCBGWBI4 = 8                THEN BCBGWBI4 = .A ;
IF BCBGWBI5 = 8                THEN BCBGWBI5 = .A ;
IF BCBGUF01 = 8                THEN BCBGUF01 = .A ;
IF BCBGUS01 = 8                THEN BCBGUS01 = .A ;
IF BCBGUF02 = 8                THEN BCBGUF02 = .A ;
IF BCBGUS02 = 8                THEN BCBGUS02 = .A ;
IF BCBGUF03 = 8                THEN BCBGUF03 = .A ;
IF BCBGUS03 = 8                THEN BCBGUS03 = .A ;
IF BCBGUF04 = 8                THEN BCBGUF04 = .A ;
IF BCBGUS04 = 8                THEN BCBGUS04 = .A ;
IF BCBGUF05 = 8                THEN BCBGUF05 = .A ;
IF BCBGUS05 = 8                THEN BCBGUS05 = .A ;
IF BCBGUF06 = 8                THEN BCBGUF06 = .A ;
IF BCBGUS06 = 8                THEN BCBGUS06 = .A ;
IF BCBGUF07 = 8                THEN BCBGUF07 = .A ;
IF BCBGUS07 = 8                THEN BCBGUS07 = .A ;
IF BCBGUF08 = 8                THEN BCBGUF08 = .A ;
IF BCBGUS08 = 8                THEN BCBGUS08 = .A ;
IF BCBGUF09 = 8                THEN BCBGUF09 = .A ;
IF BCBGUS09 = 8                THEN BCBGUS09 = .A ;
IF BCBGUF10 = 8                THEN BCBGUF10 = .A ;
IF BCBGUS10 = 8                THEN BCBGUS10 = .A ;
IF BCBGUF11 = 8                THEN BCBGUF11 = .A ;
IF BCBGUS11 = 8                THEN BCBGUS11 = .A ;
IF BCBGUF12 = 8                THEN BCBGUF12 = .A ;
IF BCBGUS12 = 8                THEN BCBGUS12 = .A ;
IF BCBGUF13 = 8                THEN BCBGUF13 = .A ;
IF BCBGUS13 = 8                THEN BCBGUS13 = .A ;
IF BCBGUF14 = 8                THEN BCBGUF14 = .A ;
IF BCBGUS14 = 8                THEN BCBGUS14 = .A ;
IF BCBGUF15 = 8                THEN BCBGUF15 = .A ;
IF BCBGUS15 = 8                THEN BCBGUS15 = .A ;
IF BCBGUF16 = 8                THEN BCBGUF16 = .A ;
IF BCBGUS16 = 8                THEN BCBGUS16 = .A ;
IF BCBGUF17 = 8                THEN BCBGUF17 = .A ;
IF BCBGUS17 = 8                THEN BCBGUS17 = .A ;
IF BCBGUF18 = 8                THEN BCBGUF18 = .A ;
IF BCBGUS18 = 8                THEN BCBGUS18 = .A ;
IF BCBGUDYY = 998              THEN BCBGUDYY = .A ;
IF BCBGUFLW = 8                THEN BCBGUFLW = .A ;
IF BCBGUHFW = 8                THEN BCBGUHFW = .A ;
IF BCBGUTHW = 98               THEN BCBGUTHW = .A ;
IF BCBGUIHW = 98               THEN BCBGUIHW = .A ;
IF BCBGDIVI = 8                THEN BCBGDIVI = .A ;
IF BCBGUPDW = 98               THEN BCBGUPDW = .A ;
IF BCBGUTMP = 998              THEN BCBGUTMP = .A ;
IF BCBMODF1 = 8                THEN BCBMODF1 = .A ;
IF BCBMODF2 = 8                THEN BCBMODF2 = .A ;
IF BCBMODF3 = 8                THEN BCBMODF3 = .A ;
IF BCBMODF4 = 8                THEN BCBMODF4 = .A ;
IF BCBMODF5 = 8                THEN BCBMODF5 = .A ;
IF BCBMUC3  = 98               THEN BCBMUC3  = .A ;
IF BCBMUFC1 = 8                THEN BCBMUFC1 = .A ;
IF BCBMUFC2 = 8                THEN BCBMUFC2 = .A ;
IF BCBMUFC3 = 8                THEN BCBMUFC3 = .A ;
IF BCBMUFC4 = 8                THEN BCBMUFC4 = .A ;
IF BCBMUFC5 = 8                THEN BCBMUFC5 = .A ;
IF BCBMUFC6 = 8                THEN BCBMUFC6 = .A ;
IF BCBMUFC7 = 8                THEN BCBMUFC7 = .A ;
IF BCBMUFC8 = 8                THEN BCBMUFC8 = .A ;
IF BCBSODF1 = 8                THEN BCBSODF1 = .A ;
IF BCBSODF2 = 8                THEN BCBSODF2 = .A ;
IF BCBSODF3 = 8                THEN BCBSODF3 = .A ;
IF BCBSODF4 = 8                THEN BCBSODF4 = .A ;
IF BCBSODF5 = 8                THEN BCBSODF5 = .A ;
IF BCBSUC3  = 98               THEN BCBSUC3  = .A ;
IF BCBSUFC1 = 8                THEN BCBSUFC1 = .A ;
IF BCBSUFC2 = 8                THEN BCBSUFC2 = .A ;
IF BCBSUFC3 = 8                THEN BCBSUFC3 = .A ;
IF BCBSUFC4 = 8                THEN BCBSUFC4 = .A ;
IF BCBSUFC5 = 8                THEN BCBSUFC5 = .A ;
IF BCBSUFC6 = 8                THEN BCBSUFC6 = .A ;
IF BCBSUFC7 = 8                THEN BCBSUFC7 = .A ;
IF BCBSUFC8 = 8                THEN BCBSUFC8 = .A ;
IF BCBGBS01 = 8                THEN BCBGBS01 = .A ;
IF BCBGBS02 = 8                THEN BCBGBS02 = .A ;
IF BCBGBS03 = 8                THEN BCBGBS03 = .A ;
IF BCBGBS04 = 8                THEN BCBGBS04 = .A ;
IF BCBGBS05 = 8                THEN BCBGBS05 = .A ;
IF BCBGBS06 = 8                THEN BCBGBS06 = .A ;
IF BCBGBS07 = 8                THEN BCBGBS07 = .A ;
IF BCBGBS08 = 8                THEN BCBGBS08 = .A ;
IF BCBGBS09 = 8                THEN BCBGBS09 = .A ;
IF BCBGBS10 = 8                THEN BCBGBS10 = .A ;
IF BCBGBS11 = 8                THEN BCBGBS11 = .A ;
IF BCBGBS12 = 8                THEN BCBGBS12 = .A ;
IF BCBGBS13 = 8                THEN BCBGBS13 = .A ;
IF BCBGEP01 = 8                THEN BCBGEP01 = .A ;
IF BCBGEP02 = 8                THEN BCBGEP02 = .A ;
IF BCBGEP03 = 8                THEN BCBGEP03 = .A ;
IF BCBGEP04 = 8                THEN BCBGEP04 = .A ;
IF BCBGEP05 = 8                THEN BCBGEP05 = .A ;
IF BCBGEP06 = 8                THEN BCBGEP06 = .A ;
IF BCBGEP07 = 8                THEN BCBGEP07 = .A ;
IF BCBGEP08 = 8                THEN BCBGEP08 = .A ;
IF BCBGEP09 = 8                THEN BCBGEP09 = .A ;
IF BCBGEP10 = 8                THEN BCBGEP10 = .A ;
IF BCDGUTER = 998              THEN BCDGUTER = .A ;
IF BCDGUTRT = 98               THEN BCDGUTRT = .A ;
IF BCDGAAIT = 9998             THEN BCDGAAIT = .A ;
IF BCDGAYTS = 9998             THEN BCDGAYTS = .A ;
IF BCDGPHSI = 998              THEN BCDGPHSI = .A ;
IF BCDGTENR = 99998            THEN BCDGTENR = .A ;
IF BCDGSTRA = 998              THEN BCDGSTRA = .A ;
IF BCDMASR  = 8                THEN BCDMASR  = .A ;
IF BCDGSA   = 8                THEN BCDGSA   = .A ;
IF BCDGSSE  = 8                THEN BCDGSSE  = .A ;
IF BCDGCMRC = 8                THEN BCDGCMRC = .A ;
IF BCDGINT  = 8                THEN BCDGINT  = .A ;
IF BCDGINST = 9998             THEN BCDGINST = .A ;
IF BCDGCMUN = 9998             THEN BCDGCMUN = .A ;
IF BCDGADMN = 9998             THEN BCDGADMN = .A ;
IF BCDGTEAC = 9998             THEN BCDGTEAC = .A ;
IF BCDMMOIN = 8                THEN BCDMMOIN = .A ;
IF BCDGVOL  = 8                THEN BCDGVOL  = .A ;
IF BCDGSERV = 8                THEN BCDGSERV = .A ;
IF BCDSASR  = 8                THEN BCDSASR  = .A ;
IF BCDSMOIN = 8                THEN BCDSMOIN = .A ;
IF CSYSTEM  = 998              THEN CSYSTEM  = .A ;
IF WGTFAC1  = 9998             THEN WGTFAC1  = .A ;
IF WGTADJ1  = 98               THEN WGTADJ1  = .A ;
IF SCHWGT   = 9998             THEN SCHWGT   = .A ;
IF STOTWGTU = 99998            THEN STOTWGTU = .A ;
IF JKCZONE  = 98               THEN JKCZONE  = .A ;
IF JKCREP   = 8                THEN JKCREP   = .A ;
IF DPCDATE  = 999998           THEN DPCDATE  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BCBGACPL = 6                THEN BCBGACPL = .B ;
IF BCBGACYE = 9996             THEN BCBGACYE = .B ;
IF BCBGNAC2 = 6                THEN BCBGNAC2 = .B ;
IF BCBGNAC3 = 6                THEN BCBGNAC3 = .B ;
IF BCBGWBI1 = 6                THEN BCBGWBI1 = .B ;
IF BCBGWBI2 = 6                THEN BCBGWBI2 = .B ;
IF BCBGWBI3 = 6                THEN BCBGWBI3 = .B ;
IF BCBGWBI4 = 6                THEN BCBGWBI4 = .B ;
IF BCBGWBI5 = 6                THEN BCBGWBI5 = .B ;
IF BCBGUPDW = 96               THEN BCBGUPDW = .B ;
IF BCBGUTMP = 996              THEN BCBGUTMP = .B ;
IF BCBMUC3  = 96               THEN BCBMUC3  = .B ;
IF BCBSUC3  = 96               THEN BCBSUC3  = .B ;
IF BCDGAAIT = 9996             THEN BCDGAAIT = .B ;
IF BCDGAYTS = 9996             THEN BCDGAYTS = .B ;
IF BCDGPHSI = 996              THEN BCDGPHSI = .B ;
IF BCDGTENR = 99996            THEN BCDGTENR = .B ;
IF BCDGSTRA = 996              THEN BCDGSTRA = .B ;
IF BCDMASR  = 6                THEN BCDMASR  = .B ;
IF BCDGSA   = 6                THEN BCDGSA   = .B ;
IF BCDGSSE  = 6                THEN BCDGSSE  = .B ;
IF BCDGCMRC = 6                THEN BCDGCMRC = .B ;
IF BCDGINT  = 6                THEN BCDGINT  = .B ;
IF BCDGINST = 9996             THEN BCDGINST = .B ;
IF BCDGCMUN = 9996             THEN BCDGCMUN = .B ;
IF BCDGADMN = 9996             THEN BCDGADMN = .B ;
IF BCDGTEAC = 9996             THEN BCDGTEAC = .B ;
IF BCDMMOIN = 6                THEN BCDMMOIN = .B ;
IF BCDGVOL  = 6                THEN BCDGVOL  = .B ;
IF BCDGSERV = 6                THEN BCDGSERV = .B ;
IF BCDSASR  = 6                THEN BCDSASR  = .B ;
IF BCDSMOIN = 6                THEN BCDSMOIN = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF BCBGCOMM = 9                THEN BCBGCOMM = . ;
IF BCBGFTE1 = 99               THEN BCBGFTE1 = . ;
IF BCBGFTE2 = 99               THEN BCBGFTE2 = . ;
IF BCBGFTE3 = 99               THEN BCBGFTE3 = . ;
IF BCBGFTE4 = 999              THEN BCBGFTE4 = . ;
IF BCBGFTE5 = 999              THEN BCBGFTE5 = . ;
IF BCBGFTE6 = 999              THEN BCBGFTE6 = . ;
IF BCBGFTE7 = 999              THEN BCBGFTE7 = . ;
IF BCBGFTE8 = 999              THEN BCBGFTE8 = . ;
IF BCBGFTTE = 999              THEN BCBGFTTE = . ;
IF BCBGPTTE = 999              THEN BCBGPTTE = . ;
IF BCBGTE5Y = 999              THEN BCBGTE5Y = . ;
IF BCBMTSA1 = 9                THEN BCBMTSA1 = . ;
IF BCBSTSA2 = 9                THEN BCBSTSA2 = . ;
IF BCBSTSA3 = 9                THEN BCBSTSA3 = . ;
IF BCBSTSA4 = 9                THEN BCBSTSA4 = . ;
IF BCBSTSA5 = 9                THEN BCBSTSA5 = . ;
IF BCBSTSA6 = 9                THEN BCBSTSA6 = . ;
IF BCBGCOL1 = 9                THEN BCBGCOL1 = . ;
IF BCBGCOL2 = 9                THEN BCBGCOL2 = . ;
IF BCBGCOL3 = 9                THEN BCBGCOL3 = . ;
IF BCBGAC01 = 999              THEN BCBGAC01 = . ;
IF BCBGAC02 = 999              THEN BCBGAC02 = . ;
IF BCBGAC03 = 999              THEN BCBGAC03 = . ;
IF BCBGAC04 = 999              THEN BCBGAC04 = . ;
IF BCBGAC05 = 999              THEN BCBGAC05 = . ;
IF BCBGAC06 = 999              THEN BCBGAC06 = . ;
IF BCBGAC07 = 999              THEN BCBGAC07 = . ;
IF BCBGAC08 = 999              THEN BCBGAC08 = . ;
IF BCBGAC09 = 999              THEN BCBGAC09 = . ;
IF BCBGAC10 = 999              THEN BCBGAC10 = . ;
IF BCBGAC11 = 999              THEN BCBGAC11 = . ;
IF BCBGAC12 = 999              THEN BCBGAC12 = . ;
IF BCBGAC13 = 999              THEN BCBGAC13 = . ;
IF BCBGAC14 = 999              THEN BCBGAC14 = . ;
IF BCBGRP01 = 9                THEN BCBGRP01 = . ;
IF BCBGRP02 = 9                THEN BCBGRP02 = . ;
IF BCBGRP03 = 9                THEN BCBGRP03 = . ;
IF BCBGRP04 = 9                THEN BCBGRP04 = . ;
IF BCBGRP05 = 9                THEN BCBGRP05 = . ;
IF BCBGRP06 = 9                THEN BCBGRP06 = . ;
IF BCBGRP07 = 9                THEN BCBGRP07 = . ;
IF BCBGRP08 = 9                THEN BCBGRP08 = . ;
IF BCBGRP09 = 9                THEN BCBGRP09 = . ;
IF BCBGRP10 = 9                THEN BCBGRP10 = . ;
IF BCBGRP11 = 9                THEN BCBGRP11 = . ;
IF BCBGRP12 = 9                THEN BCBGRP12 = . ;
IF BCBGRP13 = 9                THEN BCBGRP13 = . ;
IF BCBGRP14 = 9                THEN BCBGRP14 = . ;
IF BCBGIF01 = 9                THEN BCBGIF01 = . ;
IF BCBGIF02 = 9                THEN BCBGIF02 = . ;
IF BCBGIF03 = 9                THEN BCBGIF03 = . ;
IF BCBGIF04 = 9                THEN BCBGIF04 = . ;
IF BCBGIF05 = 9                THEN BCBGIF05 = . ;
IF BCBGIF06 = 9                THEN BCBGIF06 = . ;
IF BCBGIF07 = 9                THEN BCBGIF07 = . ;
IF BCBGIF08 = 9                THEN BCBGIF08 = . ;
IF BCBGIF09 = 9                THEN BCBGIF09 = . ;
IF BCBGIF10 = 9                THEN BCBGIF10 = . ;
IF BCBGIF11 = 9                THEN BCBGIF11 = . ;
IF BCBGIF12 = 9                THEN BCBGIF12 = . ;
IF BCBGIF13 = 9                THEN BCBGIF13 = . ;
IF BCBGIF14 = 9                THEN BCBGIF14 = . ;
IF BCBGIF15 = 9                THEN BCBGIF15 = . ;
IF BCBMCURR = 9                THEN BCBMCURR = . ;
IF BCBSCURR = 9                THEN BCBSCURR = . ;
IF BCBMDVLP = 9                THEN BCBMDVLP = . ;
IF BCBSDVLP = 9                THEN BCBSDVLP = . ;
IF BCBGST01 = 9                THEN BCBGST01 = . ;
IF BCBGST02 = 9                THEN BCBGST02 = . ;
IF BCBGST03 = 9                THEN BCBGST03 = . ;
IF BCBGST04 = 9                THEN BCBGST04 = . ;
IF BCBGST05 = 9                THEN BCBGST05 = . ;
IF BCBGST06 = 9                THEN BCBGST06 = . ;
IF BCBMST07 = 9                THEN BCBMST07 = . ;
IF BCBMST08 = 9                THEN BCBMST08 = . ;
IF BCBMST09 = 9                THEN BCBMST09 = . ;
IF BCBMST10 = 9                THEN BCBMST10 = . ;
IF BCBMST11 = 9                THEN BCBMST11 = . ;
IF BCBSST12 = 9                THEN BCBSST12 = . ;
IF BCBSST13 = 9                THEN BCBSST13 = . ;
IF BCBSST14 = 9                THEN BCBSST14 = . ;
IF BCBSST15 = 9                THEN BCBSST15 = . ;
IF BCBSST16 = 9                THEN BCBSST16 = . ;
IF BCBSST17 = 9                THEN BCBSST17 = . ;
IF BCBSST18 = 9                THEN BCBSST18 = . ;
IF BCBSST19 = 9                THEN BCBSST19 = . ;
IF BCBSST20 = 9                THEN BCBSST20 = . ;
IF BCBSST21 = 9                THEN BCBSST21 = . ;
IF BCBSST22 = 9                THEN BCBSST22 = . ;
IF BCBSST23 = 9                THEN BCBSST23 = . ;
IF BCBGBENR = 99999            THEN BCBGBENR = . ;
IF BCBGGENR = 99999            THEN BCBGGENR = . ;
IF BCBGABST = 999              THEN BCBGABST = . ;
IF BCBGENDY = 999              THEN BCBGENDY = . ;
IF BCBGTNSF = 999              THEN BCBGTNSF = . ;
IF BCBGUBER = 9999             THEN BCBGUBER = . ;
IF BCBGUGER = 9999             THEN BCBGUGER = . ;
IF BCBGUBRT = 999              THEN BCBGUBRT = . ;
IF BCBGUGRT = 999              THEN BCBGUGRT = . ;
IF BCBGUSIZ = 999              THEN BCBGUSIZ = . ;
IF BCBGUMGR = 999              THEN BCBGUMGR = . ;
IF BCBGCMP1 = 999              THEN BCBGCMP1 = . ;
IF BCBGCMP2 = 999              THEN BCBGCMP2 = . ;
IF BCBGCMP3 = 999              THEN BCBGCMP3 = . ;
IF BCBGIACC = 9                THEN BCBGIACC = . ;
IF BCBGACPL = 9                THEN BCBGACPL = . ;
IF BCBGACYE = 9999             THEN BCBGACYE = . ;
IF BCBGNAC2 = 9                THEN BCBGNAC2 = . ;
IF BCBGNAC3 = 9                THEN BCBGNAC3 = . ;
IF BCBGWBI1 = 9                THEN BCBGWBI1 = . ;
IF BCBGWBI2 = 9                THEN BCBGWBI2 = . ;
IF BCBGWBI3 = 9                THEN BCBGWBI3 = . ;
IF BCBGWBI4 = 9                THEN BCBGWBI4 = . ;
IF BCBGWBI5 = 9                THEN BCBGWBI5 = . ;
IF BCBGUF01 = 9                THEN BCBGUF01 = . ;
IF BCBGUS01 = 9                THEN BCBGUS01 = . ;
IF BCBGUF02 = 9                THEN BCBGUF02 = . ;
IF BCBGUS02 = 9                THEN BCBGUS02 = . ;
IF BCBGUF03 = 9                THEN BCBGUF03 = . ;
IF BCBGUS03 = 9                THEN BCBGUS03 = . ;
IF BCBGUF04 = 9                THEN BCBGUF04 = . ;
IF BCBGUS04 = 9                THEN BCBGUS04 = . ;
IF BCBGUF05 = 9                THEN BCBGUF05 = . ;
IF BCBGUS05 = 9                THEN BCBGUS05 = . ;
IF BCBGUF06 = 9                THEN BCBGUF06 = . ;
IF BCBGUS06 = 9                THEN BCBGUS06 = . ;
IF BCBGUF07 = 9                THEN BCBGUF07 = . ;
IF BCBGUS07 = 9                THEN BCBGUS07 = . ;
IF BCBGUF08 = 9                THEN BCBGUF08 = . ;
IF BCBGUS08 = 9                THEN BCBGUS08 = . ;
IF BCBGUF09 = 9                THEN BCBGUF09 = . ;
IF BCBGUS09 = 9                THEN BCBGUS09 = . ;
IF BCBGUF10 = 9                THEN BCBGUF10 = . ;
IF BCBGUS10 = 9                THEN BCBGUS10 = . ;
IF BCBGUF11 = 9                THEN BCBGUF11 = . ;
IF BCBGUS11 = 9                THEN BCBGUS11 = . ;
IF BCBGUF12 = 9                THEN BCBGUF12 = . ;
IF BCBGUS12 = 9                THEN BCBGUS12 = . ;
IF BCBGUF13 = 9                THEN BCBGUF13 = . ;
IF BCBGUS13 = 9                THEN BCBGUS13 = . ;
IF BCBGUF14 = 9                THEN BCBGUF14 = . ;
IF BCBGUS14 = 9                THEN BCBGUS14 = . ;
IF BCBGUF15 = 9                THEN BCBGUF15 = . ;
IF BCBGUS15 = 9                THEN BCBGUS15 = . ;
IF BCBGUF16 = 9                THEN BCBGUF16 = . ;
IF BCBGUS16 = 9                THEN BCBGUS16 = . ;
IF BCBGUF17 = 9                THEN BCBGUF17 = . ;
IF BCBGUS17 = 9                THEN BCBGUS17 = . ;
IF BCBGUF18 = 9                THEN BCBGUF18 = . ;
IF BCBGUS18 = 9                THEN BCBGUS18 = . ;
IF BCBGUDYY = 999              THEN BCBGUDYY = . ;
IF BCBGUFLW = 9                THEN BCBGUFLW = . ;
IF BCBGUHFW = 9                THEN BCBGUHFW = . ;
IF BCBGUTHW = 99               THEN BCBGUTHW = . ;
IF BCBGUIHW = 99               THEN BCBGUIHW = . ;
IF BCBGDIVI = 9                THEN BCBGDIVI = . ;
IF BCBGUPDW = 99               THEN BCBGUPDW = . ;
IF BCBGUTMP = 999              THEN BCBGUTMP = . ;
IF BCBMODF1 = 9                THEN BCBMODF1 = . ;
IF BCBMODF2 = 9                THEN BCBMODF2 = . ;
IF BCBMODF3 = 9                THEN BCBMODF3 = . ;
IF BCBMODF4 = 9                THEN BCBMODF4 = . ;
IF BCBMODF5 = 9                THEN BCBMODF5 = . ;
IF BCBMUC3  = 99               THEN BCBMUC3  = . ;
IF BCBMUFC1 = 9                THEN BCBMUFC1 = . ;
IF BCBMUFC2 = 9                THEN BCBMUFC2 = . ;
IF BCBMUFC3 = 9                THEN BCBMUFC3 = . ;
IF BCBMUFC4 = 9                THEN BCBMUFC4 = . ;
IF BCBMUFC5 = 9                THEN BCBMUFC5 = . ;
IF BCBMUFC6 = 9                THEN BCBMUFC6 = . ;
IF BCBMUFC7 = 9                THEN BCBMUFC7 = . ;
IF BCBMUFC8 = 9                THEN BCBMUFC8 = . ;
IF BCBSODF1 = 9                THEN BCBSODF1 = . ;
IF BCBSODF2 = 9                THEN BCBSODF2 = . ;
IF BCBSODF3 = 9                THEN BCBSODF3 = . ;
IF BCBSODF4 = 9                THEN BCBSODF4 = . ;
IF BCBSODF5 = 9                THEN BCBSODF5 = . ;
IF BCBSUC3  = 99               THEN BCBSUC3  = . ;
IF BCBSUFC1 = 9                THEN BCBSUFC1 = . ;
IF BCBSUFC2 = 9                THEN BCBSUFC2 = . ;
IF BCBSUFC3 = 9                THEN BCBSUFC3 = . ;
IF BCBSUFC4 = 9                THEN BCBSUFC4 = . ;
IF BCBSUFC5 = 9                THEN BCBSUFC5 = . ;
IF BCBSUFC6 = 9                THEN BCBSUFC6 = . ;
IF BCBSUFC7 = 9                THEN BCBSUFC7 = . ;
IF BCBSUFC8 = 9                THEN BCBSUFC8 = . ;
IF BCBGBS01 = 9                THEN BCBGBS01 = . ;
IF BCBGBS02 = 9                THEN BCBGBS02 = . ;
IF BCBGBS03 = 9                THEN BCBGBS03 = . ;
IF BCBGBS04 = 9                THEN BCBGBS04 = . ;
IF BCBGBS05 = 9                THEN BCBGBS05 = . ;
IF BCBGBS06 = 9                THEN BCBGBS06 = . ;
IF BCBGBS07 = 9                THEN BCBGBS07 = . ;
IF BCBGBS08 = 9                THEN BCBGBS08 = . ;
IF BCBGBS09 = 9                THEN BCBGBS09 = . ;
IF BCBGBS10 = 9                THEN BCBGBS10 = . ;
IF BCBGBS11 = 9                THEN BCBGBS11 = . ;
IF BCBGBS12 = 9                THEN BCBGBS12 = . ;
IF BCBGBS13 = 9                THEN BCBGBS13 = . ;
IF BCBGEP01 = 9                THEN BCBGEP01 = . ;
IF BCBGEP02 = 9                THEN BCBGEP02 = . ;
IF BCBGEP03 = 9                THEN BCBGEP03 = . ;
IF BCBGEP04 = 9                THEN BCBGEP04 = . ;
IF BCBGEP05 = 9                THEN BCBGEP05 = . ;
IF BCBGEP06 = 9                THEN BCBGEP06 = . ;
IF BCBGEP07 = 9                THEN BCBGEP07 = . ;
IF BCBGEP08 = 9                THEN BCBGEP08 = . ;
IF BCBGEP09 = 9                THEN BCBGEP09 = . ;
IF BCBGEP10 = 9                THEN BCBGEP10 = . ;
IF BCDGUTER = 999              THEN BCDGUTER = . ;
IF BCDGUTRT = 99               THEN BCDGUTRT = . ;
IF BCDGAAIT = 9999             THEN BCDGAAIT = . ;
IF BCDGAYTS = 9999             THEN BCDGAYTS = . ;
IF BCDGPHSI = 999              THEN BCDGPHSI = . ;
IF BCDGTENR = 99999            THEN BCDGTENR = . ;
IF BCDGSTRA = 999              THEN BCDGSTRA = . ;
IF BCDMASR  = 9                THEN BCDMASR  = . ;
IF BCDGSA   = 9                THEN BCDGSA   = . ;
IF BCDGSSE  = 9                THEN BCDGSSE  = . ;
IF BCDGCMRC = 9                THEN BCDGCMRC = . ;
IF BCDGINT  = 9                THEN BCDGINT  = . ;
IF BCDGINST = 9999             THEN BCDGINST = . ;
IF BCDGCMUN = 9999             THEN BCDGCMUN = . ;
IF BCDGADMN = 9999             THEN BCDGADMN = . ;
IF BCDGTEAC = 9999             THEN BCDGTEAC = . ;
IF BCDMMOIN = 9                THEN BCDMMOIN = . ;
IF BCDGVOL  = 9                THEN BCDGVOL  = . ;
IF BCDGSERV = 9                THEN BCDGSERV = . ;
IF BCDSASR  = 9                THEN BCDSASR  = . ;
IF BCDSMOIN = 9                THEN BCDSMOIN = . ;
IF CSYSTEM  = 999              THEN CSYSTEM  = . ;
IF WGTFAC1  = 9999             THEN WGTFAC1  = . ;
IF WGTADJ1  = 99               THEN WGTADJ1  = . ;
IF SCHWGT   = 9999             THEN SCHWGT   = . ;
IF STOTWGTU = 99999            THEN STOTWGTU = . ;
IF JKCZONE  = 99               THEN JKCZONE  = . ;
IF JKCREP   = 9                THEN JKCREP   = . ;
IF DPCDATE  = 999999           THEN DPCDATE  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idschool;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;

