%let cty =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
            FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
            KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
            SCO SGP SVK SVN ESP SWE CHE THA USA ITA ;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bsa&ccode.m1 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSTRAT    3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDCLASS    8 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDGRADE    3 ;
LENGTH      ITEXCLUD   3 ;
LENGTH      IDBOOK     3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      IDGRADER   3 ;
LENGTH      ILRELIAB   3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDSCORA    3 ;
LENGTH      ITPART     3 ;
LENGTH      M012001    3 ;
LENGTH      M012002    3 ;
LENGTH      M012003    3 ;
LENGTH      M012004    3 ;
LENGTH      M012005    3 ;
LENGTH      M012006    3 ;
LENGTH      S012001    3 ;
LENGTH      S012002    3 ;
LENGTH      S012003    3 ;
LENGTH      S012004    3 ;
LENGTH      S012005    3 ;
LENGTH      S012006    3 ;
LENGTH      S012007    3 ;
LENGTH      S012008    3 ;
LENGTH      S012009    3 ;
LENGTH      S012010    3 ;
LENGTH      S012011    3 ;
LENGTH      S012012    3 ;
LENGTH      M012007    3 ;
LENGTH      M012008    3 ;
LENGTH      M012009    3 ;
LENGTH      M012010    3 ;
LENGTH      M012011    3 ;
LENGTH      M012012    3 ;
LENGTH      M012013    3 ;
LENGTH      M012014    3 ;
LENGTH      M012015    3 ;
LENGTH      M012016    3 ;
LENGTH      M012017    3 ;
LENGTH      M012018    3 ;
LENGTH      S012013    3 ;
LENGTH      S012014    3 ;
LENGTH      S012015    3 ;
LENGTH      S012016    3 ;
LENGTH      S012017    3 ;
LENGTH      S012018    3 ;
LENGTH      S012019    3 ;
LENGTH      S012020    3 ;
LENGTH      S012021    3 ;
LENGTH      S012022    3 ;
LENGTH      S012023    3 ;
LENGTH      S012024    3 ;
LENGTH      M012019    3 ;
LENGTH      M012020    3 ;
LENGTH      M012021    3 ;
LENGTH      M012022    3 ;
LENGTH      M012023    3 ;
LENGTH      M012024    3 ;
LENGTH      M012025    3 ;
LENGTH      M012026    3 ;
LENGTH      M012027    3 ;
LENGTH      M012028    3 ;
LENGTH      M012029    3 ;
LENGTH      M012030    3 ;
LENGTH      S012025    3 ;
LENGTH      S012026    3 ;
LENGTH      S012027    3 ;
LENGTH      S012028    3 ;
LENGTH      S012029    3 ;
LENGTH      S012030    3 ;
LENGTH      S012031    3 ;
LENGTH      S012032    3 ;
LENGTH      S012033    3 ;
LENGTH      S012034    3 ;
LENGTH      S012035    3 ;
LENGTH      S012036    3 ;
LENGTH      M012031    3 ;
LENGTH      M012032    3 ;
LENGTH      M012033    3 ;
LENGTH      M012034    3 ;
LENGTH      M012035    3 ;
LENGTH      M012036    3 ;
LENGTH      M012037    3 ;
LENGTH      M012038    3 ;
LENGTH      M012039    3 ;
LENGTH      M012040    3 ;
LENGTH      M012041    3 ;
LENGTH      M012042    3 ;
LENGTH      S012037    3 ;
LENGTH      S012038    3 ;
LENGTH      S012039    3 ;
LENGTH      S012040    3 ;
LENGTH      S012041    3 ;
LENGTH      S012042    3 ;
LENGTH      S012043    3 ;
LENGTH      S012044    3 ;
LENGTH      S012045    3 ;
LENGTH      S012046    3 ;
LENGTH      S012047    3 ;
LENGTH      S012048    3 ;
LENGTH      M012043    3 ;
LENGTH      M012044    3 ;
LENGTH      M012045    3 ;
LENGTH      M012046    3 ;
LENGTH      M012047    3 ;
LENGTH      M012048    3 ;
LENGTH      M012049    3 ;
LENGTH      M012050    3 ;
LENGTH      M012051    3 ;
LENGTH      M012052    3 ;
LENGTH      M012053    3 ;
LENGTH      M012054    3 ;
LENGTH      M012055    3 ;
LENGTH      M012056    3 ;
LENGTH      M012057    3 ;
LENGTH      S012049    3 ;
LENGTH      S012050    3 ;
LENGTH      S012051    3 ;
LENGTH      S012052    3 ;
LENGTH      S012053    3 ;
LENGTH      S012054    3 ;
LENGTH      S012055    3 ;
LENGTH      S012056    3 ;
LENGTH      S012057    3 ;
LENGTH      S012058    3 ;
LENGTH      S012059    3 ;
LENGTH      S012060    3 ;
LENGTH      S012061    3 ;
LENGTH      S012062    3 ;
LENGTH      S012063    3 ;
LENGTH      S012064    3 ;
LENGTH      S012065    3 ;
LENGTH      S012066    3 ;
LENGTH      S012067    3 ;
LENGTH      M012058    3 ;
LENGTH      M012059    3 ;
LENGTH      M012060    3 ;
LENGTH      M012061    3 ;
LENGTH      M012062    3 ;
LENGTH      M012063    3 ;
LENGTH      M012064    3 ;
LENGTH      M012065    3 ;
LENGTH      M012066    3 ;
LENGTH      M012067    3 ;
LENGTH      M012068    3 ;
LENGTH      M012069    3 ;
LENGTH      M012070    3 ;
LENGTH      M012071    3 ;
LENGTH      M012072    3 ;
LENGTH      M012073    3 ;
LENGTH      M012074    3 ;
LENGTH      M012075    3 ;
LENGTH      S012068    3 ;
LENGTH      S012069    3 ;
LENGTH      S012070    3 ;
LENGTH      S012071    3 ;
LENGTH      S012072    3 ;
LENGTH      S012073    3 ;
LENGTH      S012074    3 ;
LENGTH      S012075    3 ;
LENGTH      S012076    3 ;
LENGTH      S012077    3 ;
LENGTH      S012078    3 ;
LENGTH      S012079    3 ;
LENGTH      S012080    3 ;
LENGTH      S012081    3 ;
LENGTH      S012082    3 ;
LENGTH      S012083    3 ;
LENGTH      S012084    3 ;
LENGTH      M012076    3 ;
LENGTH      M012077    3 ;
LENGTH      M012078    3 ;
LENGTH      M012079    3 ;
LENGTH      M012080    3 ;
LENGTH      M012081    3 ;
LENGTH      M012082    3 ;
LENGTH      M012083    3 ;
LENGTH      M012084    3 ;
LENGTH      M012085    3 ;
LENGTH      M012086    3 ;
LENGTH      M012087    3 ;
LENGTH      M012088    3 ;
LENGTH      M012089    3 ;
LENGTH      M012090    3 ;
LENGTH      M012091    3 ;
LENGTH      M012092    3 ;
LENGTH      M012093    3 ;
LENGTH      S012085    3 ;
LENGTH      S012086    3 ;
LENGTH      S012087    3 ;
LENGTH      S012088    3 ;
LENGTH      S012089    3 ;
LENGTH      S012090    3 ;
LENGTH      S012091    3 ;
LENGTH      S012092    3 ;
LENGTH      S012093    3 ;
LENGTH      S012094    3 ;
LENGTH      S012095    3 ;
LENGTH      S012096    3 ;
LENGTH      S012097    3 ;
LENGTH      S012098    3 ;
LENGTH      S012099    3 ;
LENGTH      M012095    3 ;
LENGTH      M012096    3 ;
LENGTH      M012097    3 ;
LENGTH      M012098    3 ;
LENGTH      M012099    3 ;
LENGTH      M012100    3 ;
LENGTH      M012101    3 ;
LENGTH      M012102    3 ;
LENGTH      M012103    3 ;
LENGTH      M012104    3 ;
LENGTH      M012105    3 ;
LENGTH      M012106    3 ;
LENGTH      M012107    3 ;
LENGTH      M012108    3 ;
LENGTH      M012109    3 ;
LENGTH      M012110    3 ;
LENGTH      M012111    3 ;
LENGTH      M012112    3 ;
LENGTH      S012100    3 ;
LENGTH      S012101    3 ;
LENGTH      S012102    3 ;
LENGTH      S012103    3 ;
LENGTH      S012104    3 ;
LENGTH      S012105    3 ;
LENGTH      S012106    3 ;
LENGTH      S012107    3 ;
LENGTH      S012108    3 ;
LENGTH      S012109    3 ;
LENGTH      S012110    3 ;
LENGTH      S012111    3 ;
LENGTH      S012112    3 ;
LENGTH      S012113    3 ;
LENGTH      S012114    3 ;
LENGTH      M012113    3 ;
LENGTH      M012114    3 ;
LENGTH      M012115    3 ;
LENGTH      M012116    3 ;
LENGTH      M012117    3 ;
LENGTH      M012118    3 ;
LENGTH      M012119    3 ;
LENGTH      M012120    3 ;
LENGTH      M012121    3 ;
LENGTH      M012122    3 ;
LENGTH      M012123    3 ;
LENGTH      M012124    3 ;
LENGTH      M012125    3 ;
LENGTH      M012126    3 ;
LENGTH      M012127    3 ;
LENGTH      M012128    3 ;
LENGTH      M012129    3 ;
LENGTH      M012130    3 ;
LENGTH      M012131    3 ;
LENGTH      M012132    3 ;
LENGTH      S012115    3 ;
LENGTH      S012116    3 ;
LENGTH      S012117    3 ;
LENGTH      S012118    3 ;
LENGTH      S012119    3 ;
LENGTH      S012120    3 ;
LENGTH      S012121    3 ;
LENGTH      S012122    3 ;
LENGTH      S012123    3 ;
LENGTH      S012124    3 ;
LENGTH      S012125    3 ;
LENGTH      S012126    3 ;
LENGTH      S012127    3 ;
LENGTH      M012133    3 ;
LENGTH      M012134    3 ;
LENGTH      M012135    3 ;
LENGTH      M012136    3 ;
LENGTH      M012137    3 ;
LENGTH      M012138    3 ;
LENGTH      M012139    3 ;
LENGTH      M012140    3 ;
LENGTH      M012141    3 ;
LENGTH      M012142A   3 ;
LENGTH      M012142B   3 ;
LENGTH      M012143A   3 ;
LENGTH      M012143B   3 ;
LENGTH      M012143C   3 ;
LENGTH      M012144A   3 ;
LENGTH      M012144B   3 ;
LENGTH      M012144D   3 ;
LENGTH      M012145A   3 ;
LENGTH      M012145B   3 ;
LENGTH      M012146A   3 ;
LENGTH      M012146B   3 ;
LENGTH      M012146D   3 ;
LENGTH      M012147A   3 ;
LENGTH      M012147B   3 ;
LENGTH      M012148    3 ;
LENGTH      M012149    3 ;
LENGTH      M012150    3 ;
LENGTH      M012151    3 ;
LENGTH      S012128A   3 ;
LENGTH      S012128B   3 ;
LENGTH      S012129    3 ;
LENGTH      S012130    3 ;
LENGTH      S012131A   3 ;
LENGTH      S012131B   3 ;
LENGTH      S012132    3 ;
LENGTH      S012133    3 ;
LENGTH      S012134A   3 ;
LENGTH      S012134B   3 ;
LENGTH      S012134C   3 ;
LENGTH      S012134D   3 ;
LENGTH      S012135A   3 ;
LENGTH      S012135B   3 ;
LENGTH      S012135D   3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSTRAT       9-  11     
  IDSCHOOL     12-  17     
  IDCLASS      18-  25     
  IDSTUD       26-  35     
  IDGRADE      36-  37     
  ITEXCLUD     38-  38     
  IDBOOK       39-  39     
  ITSEX        40-  40     
  ITLANG       41-  43     
  IDGRADER     44-  44     
  ILRELIAB     45-  45     
  IDSCORR      46-  48     
  IDSCORA      49-  51     
  ITPART       52-  52     
  M012001      53-  53     
  M012002      54-  54     
  M012003      55-  55     
  M012004      56-  56     
  M012005      57-  57     
  M012006      58-  58     
  S012001      59-  59     
  S012002      60-  60     
  S012003      61-  61     
  S012004      62-  62     
  S012005      63-  63     
  S012006      64-  64     
  S012007      65-  65     
  S012008      66-  66     
  S012009      67-  67     
  S012010      68-  68     
  S012011      69-  69     
  S012012      70-  70     
  M012007      71-  71     
  M012008      72-  72     
  M012009      73-  73     
  M012010      74-  74     
  M012011      75-  75     
  M012012      76-  76     
  M012013      77-  77     
  M012014      78-  78     
  M012015      79-  79     
  M012016      80-  80     
  M012017      81-  81     
  M012018      82-  82     
  S012013      83-  83     
  S012014      84-  84     
  S012015      85-  85     
  S012016      86-  86     
  S012017      87-  87     
  S012018      88-  88     
  S012019      89-  89     
  S012020      90-  90     
  S012021      91-  91     
  S012022      92-  92     
  S012023      93-  93     
  S012024      94-  94     
  M012019      95-  95     
  M012020      96-  96     
  M012021      97-  97     
  M012022      98-  98     
  M012023      99-  99     
  M012024     100- 100     
  M012025     101- 101     
  M012026     102- 102     
  M012027     103- 103     
  M012028     104- 104     
  M012029     105- 105     
  M012030     106- 106     
  S012025     107- 107     
  S012026     108- 108     
  S012027     109- 109     
  S012028     110- 110     
  S012029     111- 111     
  S012030     112- 112     
  S012031     113- 113     
  S012032     114- 114     
  S012033     115- 115     
  S012034     116- 116     
  S012035     117- 117     
  S012036     118- 118     
  M012031     119- 119     
  M012032     120- 120     
  M012033     121- 121     
  M012034     122- 122     
  M012035     123- 123     
  M012036     124- 124     
  M012037     125- 125     
  M012038     126- 126     
  M012039     127- 127     
  M012040     128- 128     
  M012041     129- 129     
  M012042     130- 130     
  S012037     131- 131     
  S012038     132- 132     
  S012039     133- 133     
  S012040     134- 134     
  S012041     135- 135     
  S012042     136- 136     
  S012043     137- 137     
  S012044     138- 138     
  S012045     139- 139     
  S012046     140- 140     
  S012047     141- 141     
  S012048     142- 142     
  M012043     143- 143     
  M012044     144- 144     
  M012045     145- 145     
  M012046     146- 146     
  M012047     147- 147     
  M012048     148- 148     
  M012049     149- 149     
  M012050     150- 150     
  M012051     151- 151     
  M012052     152- 153     
  M012053     154- 154     
  M012054     155- 156     
  M012055     157- 157     
  M012056     158- 158     
  M012057     159- 159     
  S012049     160- 160     
  S012050     161- 161     
  S012051     162- 162     
  S012052     163- 163     
  S012053     164- 164     
  S012054     165- 165     
  S012055     166- 166     
  S012056     167- 167     
  S012057     168- 169     
  S012058     170- 170     
  S012059     171- 171     
  S012060     172- 172     
  S012061     173- 174     
  S012062     175- 175     
  S012063     176- 176     
  S012064     177- 177     
  S012065     178- 178     
  S012066     179- 179     
  S012067     180- 181     
  M012058     182- 182     
  M012059     183- 183     
  M012060     184- 185     
  M012061     186- 187     
  M012062     188- 188     
  M012063     189- 189     
  M012064     190- 190     
  M012065     191- 191     
  M012066     192- 192     
  M012067     193- 193     
  M012068     194- 195     
  M012069     196- 196     
  M012070     197- 197     
  M012071     198- 199     
  M012072     200- 200     
  M012073     201- 201     
  M012074     202- 202     
  M012075     203- 203     
  S012068     204- 205     
  S012069     206- 206     
  S012070     207- 207     
  S012071     208- 208     
  S012072     209- 209     
  S012073     210- 210     
  S012074     211- 211     
  S012075     212- 212     
  S012076     213- 213     
  S012077     214- 215     
  S012078     216- 216     
  S012079     217- 217     
  S012080     218- 218     
  S012081     219- 220     
  S012082     221- 221     
  S012083     222- 222     
  S012084     223- 223     
  M012076     224- 224     
  M012077     225- 225     
  M012078     226- 226     
  M012079     227- 227     
  M012080     228- 228     
  M012081     229- 229     
  M012082     230- 230     
  M012083     231- 231     
  M012084     232- 233     
  M012085     234- 234     
  M012086     235- 235     
  M012087     236- 236     
  M012088     237- 237     
  M012089     238- 238     
  M012090     239- 239     
  M012091     240- 241     
  M012092     242- 242     
  M012093     243- 244     
  S012085     245- 245     
  S012086     246- 247     
  S012087     248- 249     
  S012088     250- 250     
  S012089     251- 252     
  S012090     253- 253     
  S012091     254- 254     
  S012092     255- 255     
  S012093     256- 256     
  S012094     257- 257     
  S012095     258- 258     
  S012096     259- 260     
  S012097     261- 261     
  S012098     262- 262     
  S012099     263- 264     
  M012095     265- 265     
  M012096     266- 266     
  M012097     267- 268     
  M012098     269- 269     
  M012099     270- 270     
  M012100     271- 271     
  M012101     272- 272     
  M012102     273- 273     
  M012103     274- 275     
  M012104     276- 276     
  M012105     277- 277     
  M012106     278- 278     
  M012107     279- 279     
  M012108     280- 280     
  M012109     281- 282     
  M012110     283- 283     
  M012111     284- 284     
  M012112     285- 286     
  S012100     287- 288     
  S012101     289- 289     
  S012102     290- 290     
  S012103     291- 291     
  S012104     292- 293     
  S012105     294- 294     
  S012106     295- 296     
  S012107     297- 298     
  S012108     299- 299     
  S012109     300- 301     
  S012110     302- 303     
  S012111     304- 304     
  S012112     305- 306     
  S012113     307- 308     
  S012114     309- 309     
  M012113     310- 310     
  M012114     311- 311     
  M012115     312- 312     
  M012116     313- 313     
  M012117     314- 314     
  M012118     315- 315     
  M012119     316- 316     
  M012120     317- 317     
  M012121     318- 319     
  M012122     320- 320     
  M012123     321- 321     
  M012124     322- 322     
  M012125     323- 323     
  M012126     324- 324     
  M012127     325- 325     
  M012128     326- 326     
  M012129     327- 327     
  M012130     328- 328     
  M012131     329- 329     
  M012132     330- 331     
  S012115     332- 332     
  S012116     333- 334     
  S012117     335- 335     
  S012118     336- 336     
  S012119     337- 337     
  S012120     338- 338     
  S012121     339- 340     
  S012122     341- 342     
  S012123     343- 343     
  S012124     344- 344     
  S012125     345- 346     
  S012126     347- 348     
  S012127     349- 350     
  M012133     351- 351     
  M012134     352- 352     
  M012135     353- 353     
  M012136     354- 354     
  M012137     355- 355     
  M012138     356- 356     
  M012139     357- 357     
  M012140     358- 359     
  M012141     360- 361     
  M012142A    362- 363     
  M012142B    364- 365     
  M012143A    366- 367     
  M012143B    368- 369     
  M012143C    370- 371     
  M012144A    372- 373     
  M012144B    374- 375     
  M012144D    376- 377     
  M012145A    378- 379     
  M012145B    380- 381     
  M012146A    382- 383     
  M012146B    384- 385     
  M012146D    386- 387     
  M012147A    388- 389     
  M012147B    390- 391     
  M012148     392- 393     
  M012149     394- 395     
  M012150     396- 396     
  M012151     397- 398     
  S012128A    399- 400     
  S012128B    401- 402     
  S012129     403- 404     
  S012130     405- 406     
  S012131A    407- 408     
  S012131B    409- 410     
  S012132     411- 412     
  S012133     413- 414     
  S012134A    415- 416     
  S012134B    417- 418     
  S012134C    419- 420     
  S012134D    421- 422     
  S012135A    423- 424     
  S012135B    425- 426     
  S012135D    427- 428     
  TOTWGT      429- 441 .6
  HOUWGT      442- 454 .6
  SENWGT      455- 467 .6
  JKZONE      468- 469     
  JKREP       470- 470     
  BSMSTDR     471- 475 .2
  BSMNRSC     476- 480 .1
  BSMSCPT     481- 482     
  BSSSTDR     483- 487 .2
  BSSNRSC     488- 492 .1
  BSSSCPT     493- 494     
  INTMS95     495- 495     
  BSMMAT01    496- 501 .2
  BSMMAT02    502- 507 .2
  BSMMAT03    508- 513 .2
  BSMMAT04    514- 519 .2
  BSMMAT05    520- 525 .2
  BSSSCI01    526- 531 .2
  BSSSCI02    532- 537 .2
  BSSSCI03    538- 543 .2
  BSSSCI04    544- 549 .2
  BSSSCI05    550- 555 .2
  BSMALG01    556- 561 .2
  BSMALG02    562- 567 .2
  BSMALG03    568- 573 .2
  BSMALG04    574- 579 .2
  BSMALG05    580- 585 .2
  BSMDAP01    586- 591 .2
  BSMDAP02    592- 597 .2
  BSMDAP03    598- 603 .2
  BSMDAP04    604- 609 .2
  BSMDAP05    610- 615 .2
  BSMFNS01    616- 621 .2
  BSMFNS02    622- 627 .2
  BSMFNS03    628- 633 .2
  BSMFNS04    634- 639 .2
  BSMFNS05    640- 645 .2
  BSMGEO01    646- 651 .2
  BSMGEO02    652- 657 .2
  BSMGEO03    658- 663 .2
  BSMGEO04    664- 669 .2
  BSMGEO05    670- 675 .2
  BSMMEA01    676- 681 .2
  BSMMEA02    682- 687 .2
  BSMMEA03    688- 693 .2
  BSMMEA04    694- 699 .2
  BSMMEA05    700- 705 .2
  BSSCHE01    706- 711 .2
  BSSCHE02    712- 717 .2
  BSSCHE03    718- 723 .2
  BSSCHE04    724- 729 .2
  BSSCHE05    730- 735 .2
  BSSEAS01    736- 741 .2
  BSSEAS02    742- 747 .2
  BSSEAS03    748- 753 .2
  BSSEAS04    754- 759 .2
  BSSEAS05    760- 765 .2
  BSSLIS01    766- 771 .2
  BSSLIS02    772- 777 .2
  BSSLIS03    778- 783 .2
  BSSLIS04    784- 789 .2
  BSSLIS05    790- 795 .2
  BSSPHY01    796- 801 .2
  BSSPHY02    802- 807 .2
  BSSPHY03    808- 813 .2
  BSSPHY04    814- 819 .2
  BSSPHY05    820- 825 .2
  DPCDATE     826- 831     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSTRAT  = "*STRATUM ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDGRADE  = "*GRADE*"
  ITEXCLUD = "*INDICATOR FOR EXCLUDED STUDENTS*"
  IDBOOK   = "*BOOKLET ID*"
  ITSEX    = "*STUDENT'S SEX*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  IDGRADER = "*GRADE*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  IDSCORR  = "*CODER*"
  IDSCORA  = "*2ND CODER*"
  ITPART   = "*PARTICIPATION STATUS*"
  M012001  = "BSMM/HOW MANY MORE SQUARES SHADED (A)"
  M012002  = "BSMM/WHAT IS THE WEIGHT OF ONE BRICK (C)"
  M012003  = "BSMM/WHICH COULD BE BOX LENGTH (D)"
  M012004  = "BSMM/HOW MANY LAPS HAS ALICE RUN (D)"
  M012005  = "BSMM/WHICH IS FALSE (B)"
  M012006  = "BSMM/COMPARE JOE'S & MARY'S SCORE (C)"
  S012001  = "BSMS/WHICH ORGAN NOT IN ABDOMEN (E)"
  S012002  = "BSMS/WHICH SPRING HAS MORE ENERGY (B)"
  S012003  = "BSMS/FANNING MAKE FIRE BURN HOTTER (B)"
  S012004  = "BSMS/WHY PERSON OUTSIDE CANNOT SEE (A)"
  S012005  = "BSMS/PROBLEM OF OVERGRAZING AND (C)"
  S012006  = "BSMS/WHAT WILL RIVER LOOK LIKE (C)"
  S012007  = "BSMS/WHERE IS HOTTEST LAYER OF EARTH (C)"
  S012008  = "BSMS/CHANGE OF CHEMICAL ENERGY INTO (B)"
  S012009  = "BSMS/WHICH HAS GREATEST DENSITY (C)"
  S012010  = "BSMS/CHANGE PULSE AFTER RACE (C)"
  S012011  = "BSMS/WHICH FEATURE IS LOCATED AT X (A)"
  S012012  = "BSMS/WHAT COLOR SHOULD THEY PAINT (A)"
  M012007  = "BSMM/WHEN GREATEST INCREASE OF SALES (D)"
  M012008  = "BSMM/HOW MANY CALORIES IN 30G FOOD (A)"
  M012009  = "BSMM/WHICH PICTURE SHOWS 2/5 = 4/10 (A)"
  M012010  = "BSMM/WHICH IS SMALLEST NUMBER (E)"
  M012011  = "BSMM/WHICH CUBE BY FOLDING FIGURE (C)"
  M012012  = "BSMM/WHICH OF EQUATIONS REPRESENTS (A)"
  M012013  = "BSMM/STACK WITH DIFFERENT VOLUME IS (A)"
  M012014  = "BSMM/WHICH STATEMENT TRUE (D)"
  M012015  = "BSMM/WHICH COULD BE TRUE (A)"
  M012016  = "BSMM/WHEN 2.25 LARGER / SMALLER (B)"
  M012017  = "BSMM/# MATCHSTICKS FOR 10TH FIGURE (B)"
  M012018  = "BSMM/WHICH IS WORST ESTIMATE (A)"
  S012013  = "BSMS/WHICH ABOUT MOUNTAINS TRUE (B)"
  S012014  = "BSMS/CARRY MESSAGE-EYE TO BRAIN (D)"
  S012015  = "BSMS/WHICH IS REFLECTION OF CANDLE (B)"
  S012016  = "BSMS/POWDER OF WHITE/BLACK SPECK (C)"
  S012017  = "BSMS/WHAT POSSIBLE SERIOUS EFFECT (A)"
  S012018  = "BSMS/WHICH IS NOT A FOSSIL FUEL (C)"
  S012019  = "BSMS/DIAGRAM BEST SHOW LIGHT HIT (B)"
  S012020  = "BSMS/MAGNET & COFFEE (C)"
  S012021  = "BSMS/IN WHICH DIRECTION FLOWS RIVER (B)"
  S012022  = "BSMS/DIAGRAM SHOWS WHICH EVENT (C)"
  S012023  = "BSMS/SENSORY MESSAGES TO BRAIN BY (C)"
  S012024  = "BSMS/SEEDS COME FROM WHICH PART (A)"
  M012019  = "BSMM/MEASURE OF ANGLE BCD IS (C)"
  M012020  = "BSMM/7:13 = X:52, WHAT IS X (C)"
  M012021  = "BSMM/WHICH IS SMALLEST FRACTION (A)"
  M012022  = "BSMM/WHICH EQUATION SHOWS COST OF (A)"
  M012023  = "BSMM/BEST UNIT TO MEASURE EGG (C)"
  M012024  = "BSMM/BEST ESTIMATE WHAT NUMBER P (B)"
  M012025  = "BSMM/AT WHAT TIME DID THEY MEET (D)"
  M012026  = "BSMM/WHAT'S MEASURE OF ANGLE EGC (D)"
  M012027  = "BSMM/WHAT FRACTION OF HOUR PASSED (B)"
  M012028  = "BSMM/DIFFERENCE 4-DIGIT NUMBERS (C)"
  M012029  = "BSMM/WHICH IS RIGHT DESCRIPTION (E)"
  M012030  = "BSMM/WHAT IS THE LENGTH OF RECTANGLE (B)"
  S012025  = "BSMS/NUCLEUS MOST ATOMS CONSISTS OF (B)"
  S012026  = "BSMS/A SON CAN INHERIT TRAITS (C)"
  S012027  = "BSMS/WHEN WIND BECAME COLDER (D)"
  S012028  = "BSMS/WHAT CHARACTERISTIC USED (A)"
  S012029  = "BSMS/WHAT NEW SIDE ON SHADOW (D)"
  S012030  = "BSMS/MOST CAVES ARE FORMED BY (B)"
  S012031  = "BSMS/WHAT SHOWS MAMMAL (B)"
  S012032  = "BSMS/LIGHT-COLOR CLOTHES FEEL COOLER (A)"
  S012033  = "BSMS/WHERE ARE SENSES INTERPRETED (A)"
  S012034  = "BSMS/AREAS SOIL WASHED AWAY (D)"
  S012035  = "BSMS/WHY OXYGEN EQUIPMENT NECESSARY (A)"
  S012036  = "BSMS/REASON WHY PAINT PREVENTS RUST (E)"
  M012031  = "BSMM/WHAT WAS AVERAGE SPEED IN M/SEC (B)"
  M012032  = "BSMM/WHAT HAPPEN IN FIFTH COIN TOSS (C)"
  M012033  = "BSMM/WHICH NUMBER BETWEEN 0.07/0.08 (C)"
  M012034  = "BSMM/MEASURE ACCURATELY - NEAREST (D)"
  M012035  = "BSMM/WHAT 1/3 OF NUMBER (A)"
  M012036  = "BSMM/WHAT FRACTION IS SHADED (C)"
  M012037  = "BSMM/# IN CLASS SCORE < 7 (B)"
  M012038  = "BSMM/LENGTH OF PIPE (C)"
  M012039  = "BSMM/WHAT IS THE VALUE OF X + Y (C)"
  M012040  = "BSMM/IF 12/N = 36/21B,VALUE OF N (B)"
  M012041  = "BSMM/HOW MANY BIRTHDAY IN FIRST HALF (D)"
  M012042  = "BSMM/IF X=-3, VALUE OF -3X IS (E)"
  S012037  = "BSMS/WHICH WAY BATTERIES BE PLACED (A)"
  S012038  = "BSMS/MAIN FUNCTION OF RED BLOOD CELLS(B)"
  S012039  = "BSMS/TRAITS ARE TRANSFERRED FROM (C)"
  S012040  = "BSMS/WHAT LEFT IF TOOK ALL ATOMS (C)"
  S012041  = "BSMS/NAME OF ROCK UNDER WATER (C)"
  S012042  = "BSMS/WHICH - NONRENEWABLE RESOURCE (D)"
  S012043  = "BSMS/WHICH NOT A FUNCTION OF BLOOD (A)"
  S012044  = "BSMS/WHAT ARE VITAMINS (D)"
  S012045  = "BSMS/WHAT'S THE BEST EXPLANATION (A)"
  S012046  = "BSMS/LAYER CONTAIN MOST ORGANIC (A)"
  S012047  = "BSMS/WHERE CAME ENERGY IN FOOD FROM (B)"
  S012048  = "BSMS/REACTION OF BURNING WOOD WILL (A)"
  M012043  = "BSMM/HOW MANY PUPILS TRAVEL >10 MIN (C)"
  M012044  = "BSMM/WHICH SHOWS 2/3 SHADE OF SQUARE (E)"
  M012045  = "BSMM/WHICH SUM CLOSEST TO 691+208 (B)"
  M012046  = "BSMM/EQUATION EXPRESS RELATIONSHIP (D)"
  M012047  = "BSMM/HOW MANY DEFECTIVE BULBS (C)"
  M012048  = "BSMM/WHICH REPRESENTS TOTAL NUMBER (B)"
  M012049  = "BSMM/WHAT DOES N STAND FOR (B)"
  M012050  = "BSMM/HOW MANY PEOPLE IN 1ST GROUP (C)"
  M012051  = "BSMM/# 750ML BOTTLES FROM 600L WATER (C)"
  M012052  = "BSSM/NUMBER SEQUENCE (52)"
  M012053  = "BSMM/HOW LONGER WINNING - 2ND THROW (B)"
  M012054  = "BSSM/FRACTION LARGER THAN 2/7 (*)"
  M012055  = "BSMM/WHEN ESTIMATE BETTER (A)"
  M012056  = "BSMM/WHICH POINT ALSO ON LINE (C)"
  M012057  = "BSMM/WHICH COLOR MOST LIKELY (A)"
  S012049  = "BSMS/WHY EAT FRUITS & VEGETABLES (C)"
  S012050  = "BSMS/WHAT FEATURES HAVE ALL INSECTS (C)"
  S012051  = "BSMS/WHICH 3 TRAITS SHOULD HE COMPARE(D)"
  S012052  = "BSMS/WHICH THERMOMETER BEST FOR BODY (A)"
  S012053  = "BSMS/REPRESENTS WHAT SIMPLE MACHINE (D)"
  S012054  = "BSMS/WHAT IS THE STATEMENT (A)"
  S012055  = "BSMS/WHICH SPOON FEEL HOTTEST (A)"
  S012056  = "BSMS/ENERGY FOR EARTH'S WATER CYCLE (B)"
  S012057  = "BSSS/JUANITA'S EXPERIMENT (*)"
  S012058  = "BSMS/STATEMENT CONSISTENT WITH DATA (A)"
  S012059  = "BSMS/WHICH DESCRIBE EARTH'S SURFACE (C)"
  S012060  = "BSMS/WHICH SPECIES SHORTEST ON EARTH (A)"
  S012061  = "BSSS/MOLECULES, ATOMS, AND CELLS (*)"
  S012062  = "BSMS/WHICH-EXAMPLE CHEMICAL CHANGE (C)"
  S012063  = "BSMS/WHICH RADIATION CAUSES SUNBURN (B)"
  S012064  = "BSMS/WHAT HAPPEN TO ATOMS AFTER (B)"
  S012065  = "BSMS/DIFFERENT WARM/COLD-BLOODED (D)"
  S012066  = "BSMS/WHICH CAUSE TO BURST INTO FLAME (B)"
  S012067  = "BSSS/TREE RINGS (*)"
  M012058  = "BSMM/WHAT AREA UNCOVERED WHITE PAPER (C)"
  M012059  = "BSMM/QUADRILATERAL = PARALLELOGRAM IF(E)"
  M012060  = "BSSM/DIVIDING FRACTIONS (6/7)"
  M012061  = "BSSM/NUMBER OF STUDENTS PER GRADE (5.5)"
  M012062  = "BSMM/DIVIDE 24.56 BY 0.004 IS (E)"
  M012063  = "BSMM/WHICH 2 TRIANGLES ARE SIMILAR (A)"
  M012064  = "BSMM/LIKELY COORDINATES OF P (A)"
  M012065  = "BSMM/HOW FAR APART ARE O AND S (C)"
  M012066  = "BSMM/WHAT IS MISSING NUMBER (B)"
  M012067  = "BSMM/CIRCLE WITH SAME SHADED FRACTION(D)"
  M012068  = "BSSM/CHEMIST MIXES SOLUTION (9.375)"
  M012069  = "BSMM/WHICH IS TURNED FIGURE (A)"
  M012070  = "BSMM/X/2 < 7 IS EQUIVALENT TO (C)"
  M012071  = "BSSM/AREA OF A RECTANGLE (12)"
  M012072  = "BSMM/NUMBER OF STUDENTS THIS YEAR (D)"
  M012073  = "BSMM/HOW MANY BLUE PENS IN DRAWER (C)"
  M012074  = "BSMM/WHAT IS THE VALUE OF X (B)"
  M012075  = "BSMM/3/4 + 8/3 + 11/8 = (D)"
  S012068  = "BSSS/HOW AIR EXISTS (*)"
  S012069  = "BSMS/CHOOSE RIGHT ANSWER (A)"
  S012070  = "BSMS/WOULD THIS REDUCE POPULATION (C)"
  S012071  = "BSMS/WHICH BULB WILL LIGHT (B)"
  S012072  = "BSMS/WHICH LOST MOST WATER DUE (D)"
  S012073  = "BSMS/FOSSIL FUELS FORMED FROM (D)"
  S012074  = "BSMS/WHICH MADE WITH HELP OF BACTERIA(A)"
  S012075  = "BSMS/WHICH POSITION GRAVITY ACT (D)"
  S012076  = "BSMS/MAIN FUNCTION OF CHLOROPLASTS (A)"
  S012077  = "BSSS/HOW COMPUTERS HELP (*)"
  S012078  = "BSMS/WHICH HAS A TURNING EFFECT (E)"
  S012079  = "BSMS/WHY GREEN ALGAE AT TOP 100 M (B)"
  S012080  = "BSMS/WHAT CLUE LED TO CONCLUSION (D)"
  S012081  = "BSES/TWO MACHINES (A)"
  S012082  = "BSMS/MOST IMPORTANT FUNCTION IS (B)"
  S012083  = "BSMS/WHICH EXPLAIN SNAKES/BIRDS BEST (D)"
  S012084  = "BSMS/WHY IMPOSSIBLE TO COMMUNICATE (D)"
  M012076  = "BSMM/HOW TALL IS TREE (B)"
  M012077  = "BSMM/WHICH IS RIGHT NUMBER (B)"
  M012078  = "BSMM/WHEN HIGHEST TEMPERATURE (B)"
  M012079  = "BSMM/WHAT TOTAL DISTANCE AFTER 3 TIME(C)"
  M012080  = "BSMM/WHO HAD THE LONGEST PACE (D)"
  M012081  = "BSMM/WHICH SET IN SAME PATTERN (C)"
  M012082  = "BSMM/WHAT ARE THE VALUES OF P & Q (E)"
  M012083  = "BSMM/MEASURE OF REMAINING ANGLE (A)"
  M012084  = "BSSM/SOLVE FOR X (7)"
  M012085  = "BSMM/2/3 - 1/4 - 1/12 = (B)"
  M012086  = "BSMM/WEIGHT SHOWN ON THE SCALE IS (D)"
  M012087  = "BSMM/LINES OF SYMMETRY FOR RECTANGLE (A)"
  M012088  = "BSMM/BEST CHANCE TO PICK RED MARBLE (A)"
  M012089  = "BSMM/WHICH NUMBER IS LARGEST (A)"
  M012090  = "BSMM/WHICH RESULT 1/2 TURN AT T (D)"
  M012091  = "BSSM/GIVEN RATIO, NUMBER OF GIRLS ? (16)"
  M012092  = "BSMM/MEASURE OF ANGLE BCD (D)"
  M012093  = "BSSM/DECIMAL MULTIPLICATION (0.11368)"
  S012085  = "BSMS/WHICH IS NOT A MIXTURE (D)"
  S012086  = "BSES/FOOD WEB (*)"
  S012087  = "BSSS/USING AMMETER (40)"
  S012088  = "BSMS/REACTION WHEN OIL IS BURNING (A)"
  S012089  = "BSSS/PENCIL IN THE MIRROR (*)"
  S012090  = "BSMS/WHICH SHOULD SHE USE (D)"
  S012091  = "BSMS/MEAL GIVE MOST NUTRIENTS TO (B)"
  S012092  = "BSMS/WATER & PETROL EXPERIMENT SHOW (C)"
  S012093  = "BSMS/WHAT SUPPLIES DECAYING FISH (B)"
  S012094  = "BSMS/PRINCIPAL CAUSES OF ACID RAIN (C)"
  S012095  = "BSMS/MOST BASIC UNIT OF LIVING (A)"
  S012096  = "BSSS/GLASS OVER CANDLE (*)"
  S012097  = "BSMS/HOW SHOULD GIRL BALANCE (D)"
  S012098  = "BSMS/FILTRATION SEPARATE MATERIAL (D)"
  S012099  = "BSSS/WATERING CAN (*)"
  M012095  = "BSMM/ACTUAL # OF TREES PLANTED (B)"
  M012096  = "BSMM/WHERE IS POINT X LOCATED (B)"
  M012097  = "BSSM/VALUE OF X (3)"
  M012098  = "BSMM/LIST OF EQUIVALENT FRACTIONS (C)"
  M012099  = "BSMM/WHICH ANGLE CLOSEST TO 30' (C)"
  M012100  = "BSMM/HOW MANY MARBLES AT BEGINNING (A)"
  M012101  = "BSMM/HOW MUCH FUEL REMAINED IN TANK (A)"
  M012102  = "BSMM/PROBABILITY OF EVEN # CHIP (C)"
  M012103  = "BSSM/SHADE UNITS ON GRID (15)"
  M012104  = "BSMM/HOW FAST WAS CAR TRAVELLING (B)"
  M012105  = "BSMM/WHAT % INCREASE IN PRICE (C)"
  M012106  = "BSMM/2 ANGLES MUST ADD UP TO 180 ARE (B)"
  M012107  = "BSMM/NUMBER ROUNDED TO HUNDREDTH (D)"
  M012108  = "BSMM/HOW MANY FACES ARE RED (D)"
  M012109  = "BSSM/TIME BAKE CAKE (8:05)"
  M012110  = "BSMM/3(X+5)=30, THEN X = (B)"
  M012111  = "BSMM/WHAT POINT IS CENTER OF ROTATION(B)"
  M012112  = "BSSM/TIMES LUIS RUNS THROUGH COURSE (20)"
  S012100  = "BSSS/MAGNETS (*)"
  S012101  = "BSMS/WHICH IS A CHEMICAL CHANGE (C)"
  S012102  = "BSMS/WHICH GAS GREATEST AMOUNT (A)"
  S012103  = "BSMS/WHICH BALL MOVE FROM Q (C)"
  S012104  = "BSES/SUN AND MOON (*)"
  S012105  = "BSMS/WHAT IS FORMED IF A NEUTRAL ATOM(B)"
  S012106  = "BSSS/THIRST ON A HOT DAY (*)"
  S012107  = "BSSS/JOSE'S INFLUENZA (*)"
  S012108  = "BSMS/DISTANCE TRAVELLED BY ANT (B)"
  S012109  = "BSSS/FLASHLIGHT SHINING ON WALL (NO)"
  S012110  = "BSSS/LIFE ON ANOTHER PLANET (*)"
  S012111  = "BSMS/WHAT WHEN ANIMAL HIBERNATES (E)"
  S012112  = "BSSS/HEATING TUBE W/ BALLOON OVER IT (*)"
  S012113  = "BSSS/DIGESTION IN THE MOUTH (*)"
  S012114  = "BSMS/CAREFULLY MEASURE TO EXPECT (D)"
  M012113  = "BSMM/RATIO OF SIDE LENGTH & PERIMETER(D)"
  M012114  = "BSMM/WHAT IS THE LENGTH OF SIDE AC (C)"
  M012115  = "BSMM/WHICH EQUIVALENT TO M+M+M+M (B)"
  M012116  = "BSMM/WHICH CLOSEST TO PENCIL LENGTH (B)"
  M012117  = "BSMM/ESTIMATE NUMBER OF CABBAGES (C)"
  M012118  = "BSMM/HEART BEATS PER HOUR (C)"
  M012119  = "BSMM/HOW MUCH OF THE CAKE IS LEFT (D)"
  M012120  = "BSMM/WHICH EXPRESSION EQUIVALENT (B)"
  M012121  = "BSSM/DECIMAL AS A FRACTION (7/25)"
  M012122  = "BSMM/WHICH THERMOMETER AT 8PM MONDAY (C)"
  M012123  = "BSMM/WHAT REPRESENTS HATS OF CLARISSA(E)"
  M012124  = "BSMM/SUBTRACT: 2X/9 - X/9 = (D)"
  M012125  = "BSMM/WHICH IS LONGEST TIME (B)"
  M012126  = "BSMM/HOW TALL IS SARAH (B)"
  M012127  = "BSMM/WHICH STATEMENT TRUE OF CLASS (A)"
  M012128  = "BSMM/L OF WATER THEY USE PER YEAR (C)"
  M012129  = "BSMM/P=LW,P=12,L=3,THEN W EQUAL TO (C)"
  M012130  = "BSMM/WHICH LIST SMALLEST TO LARGEST (B)"
  M012131  = "BSMM/3/4 + (2/3 X 1/4) = (E)"
  M012132  = "BSSM/DEGREES OF ANGLE (30)"
  S012115  = "BSMS/WHY DAYLIGHT & DARKNESS OCCUR (A)"
  S012116  = "BSSS/FLASHLIGHT WITH REFLECTOR (SANDY'S)"
  S012117  = "BSMS/WHY HOT WATER LOOSEN METAL LID (D)"
  S012118  = "BSMS/HEATED IRON & SULPHUR FORM (E)"
  S012119  = "BSMS/WHICH IS NOT A CHEMICAL CHANGE (A)"
  S012120  = "BSMS/HOW LONG TAKE LIGHT FROM STAR (D)"
  S012121  = "BSSS/ADVANTAGE OF TWO EYES (*)"
  S012122  = "BSSS/MELTING ICE CUBES (300)"
  S012123  = "BSMS/WHAT WOULD REFLECTION LOOK LIKE (A)"
  S012124  = "BSMS/WHY DOES SHIRT LOOK BLUE (B)"
  S012125  = "BSES/NEW SPECIES IN AREA (*)"
  S012126  = "BSSS/OZONE LAYER (*)"
  S012127  = "BSSS/CO2 FIRE EXTINGUISHER (*)"
  M012133  = "BSMM/2.201 - 0.753 = (A)"
  M012134  = "BSMM/THICKNESS OF 1 SHEET OF PAPER (B)"
  M012135  = "BSMM/HOW FAR WILL CAR TRAVEL (B)"
  M012136  = "BSMM/WHICH ONE FALSE (E)"
  M012137  = "BSMM/TRAPEZOID DIVIDED IN ? TRIANGLES(C)"
  M012138  = "BSMM/HOW MANY STUDENTS HAVE 2 PENCILS(A)"
  M012139  = "BSMM/6000 - 2369 = (C)"
  M012140  = "BSSM/SPENT FRACTION OF TOTAL MONEY (80)"
  M012141  = "BSSM/AMOUNT SUE PAID (450)"
  M012142A = "BSEM/CONGRUENCE + UNIT OF TRIANGLE A (*)"
  M012142B = "BSEM/CONGRUENCE + UNIT OF TRIANGLE B (*)"
  M012143A = "BSEM/AREA OF FIGURE/AREA (81)"
  M012143B = "BSEM/AREA OF FIGURE/LENGTH (9)"
  M012143C = "BSEM/AREA OF FIGURE/PERIMETER (*)"
  M012144A = "BSEM/APPLES IN BOX; SHOW WORK A (*)"
  M012144B = "BSEM/APPLES IN BOX; SHOW WORK B (*)"
  M012144D = "BSEM/APPLES IN BOX"
  M012145A = "BSEM/PATTERN BOXES/# OF PIECES (180)"
  M012145B = "BSEM/PATTERN BOXES/BLACK SQUARES (1/3)"
  M012146A = "BSEM/ESTIMATE TIME OF SONGS, ESTMATE (*)"
  M012146B = "BSEM/ESTIMATE TIME OF SONGS, EXPLAIN (*)"
  M012146D = "BSEM/TIME TO RECORD 5 SONGS,EST.+ METHOD"
  M012147A = "BSEM/DRAW RECTANGLE, DRAW CODE (*)"
  M012147B = "BSEM/DRAW RECTANGLE, RATIO AND AREAS (*)"
  M012148  = "BSSM/ROUNDED VS. ACTUAL WEIGHT (165-175)"
  M012149  = "BSEM/OFFICE BUILDING, WHICH CHEAPER (A)"
  M012150  = "BSMM/WHAT IS RATIO OF RED COLOR (D)"
  M012151  = "BSSM/AREA OF SHOWN PARALLELOGRAM (24)"
  S012128A = "BSES/RIVER ON THE PLAIN/GOOD PLACE (*)"
  S012128B = "BSES/RIVER ON THE PLAIN/BAD PLACE (*)"
  S012129  = "BSES/RAIN FROM ANOTHER PLACE (*)"
  S012130  = "BSES/HEART RATE CHANGES (*)"
  S012131A = "BSES/THE AQUARIUM/PLANT (*)"
  S012131B = "BSES/THE AQUARIUM/LIGHT (*)"
  S012132  = "BSES/ENERGY IN A LAMP (*)"
  S012133  = "BSES/WARMING SNOWBALLS (*)"
  S012134A = "BSES/PAINTING THE BRIDGE/REASON (*)"
  S012134B = "BSES/PAINTING THE BRIDGE/FOUR YEARS 1ST"
  S012134C = "BSES/PAINTING THE BRIDGE/FOUR YEARS 2ND"
  S012134D = "BSES/PAINTING THE BRIDGE/2 CONSEQUENCES"
  S012135A = "BSES/NOT ENOUGH WATER: 1ST REASON (*)"
  S012135B = "BSES/NOT ENOUGH WATER: 2ND REASON (*)"
  S012135D = "BSES/NOT ENOUGH WATER: 2 REASONS"
  TOTWGT   = "*STUDENT WEIGHT*"
  HOUWGT   = "HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  JKZONE   = "*ZONE CODE*"
  JKREP    = "*REPLICATE CODE*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE*"
  BSMSCPT  = "*# OF SCORE POINTS IN MATH ITEMS*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE*"
  BSSSCPT  = "*# OF SCORE POINTS IN SCIENCE ITEMS*"
  INTMS95  = "*IN 1995 ASSESSMENT POPULATION*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSTRAT  = 998              THEN IDSTRAT  = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDCLASS  = 99999998         THEN IDCLASS  = .A ;
IF IDSTUD   = 9999999998       THEN IDSTUD   = .A ;
IF IDGRADE  = 98               THEN IDGRADE  = .A ;
IF ITEXCLUD = 8                THEN ITEXCLUD = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 998              THEN ITLANG   = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDSCORA  = 998              THEN IDSCORA  = .A ;
IF ITPART   = 8                THEN ITPART   = .A ;
IF M012001  = 8                THEN M012001  = .A ;
IF M012002  = 8                THEN M012002  = .A ;
IF M012003  = 8                THEN M012003  = .A ;
IF M012004  = 8                THEN M012004  = .A ;
IF M012005  = 8                THEN M012005  = .A ;
IF M012006  = 8                THEN M012006  = .A ;
IF S012001  = 8                THEN S012001  = .A ;
IF S012002  = 8                THEN S012002  = .A ;
IF S012003  = 8                THEN S012003  = .A ;
IF S012004  = 8                THEN S012004  = .A ;
IF S012005  = 8                THEN S012005  = .A ;
IF S012006  = 8                THEN S012006  = .A ;
IF S012007  = 8                THEN S012007  = .A ;
IF S012008  = 8                THEN S012008  = .A ;
IF S012009  = 8                THEN S012009  = .A ;
IF S012010  = 8                THEN S012010  = .A ;
IF S012011  = 8                THEN S012011  = .A ;
IF S012012  = 8                THEN S012012  = .A ;
IF M012007  = 8                THEN M012007  = .A ;
IF M012008  = 8                THEN M012008  = .A ;
IF M012009  = 8                THEN M012009  = .A ;
IF M012010  = 8                THEN M012010  = .A ;
IF M012011  = 8                THEN M012011  = .A ;
IF M012012  = 8                THEN M012012  = .A ;
IF M012013  = 8                THEN M012013  = .A ;
IF M012014  = 8                THEN M012014  = .A ;
IF M012015  = 8                THEN M012015  = .A ;
IF M012016  = 8                THEN M012016  = .A ;
IF M012017  = 8                THEN M012017  = .A ;
IF M012018  = 8                THEN M012018  = .A ;
IF S012013  = 8                THEN S012013  = .A ;
IF S012014  = 8                THEN S012014  = .A ;
IF S012015  = 8                THEN S012015  = .A ;
IF S012016  = 8                THEN S012016  = .A ;
IF S012017  = 8                THEN S012017  = .A ;
IF S012018  = 8                THEN S012018  = .A ;
IF S012019  = 8                THEN S012019  = .A ;
IF S012020  = 8                THEN S012020  = .A ;
IF S012021  = 8                THEN S012021  = .A ;
IF S012022  = 8                THEN S012022  = .A ;
IF S012023  = 8                THEN S012023  = .A ;
IF S012024  = 8                THEN S012024  = .A ;
IF M012019  = 8                THEN M012019  = .A ;
IF M012020  = 8                THEN M012020  = .A ;
IF M012021  = 8                THEN M012021  = .A ;
IF M012022  = 8                THEN M012022  = .A ;
IF M012023  = 8                THEN M012023  = .A ;
IF M012024  = 8                THEN M012024  = .A ;
IF M012025  = 8                THEN M012025  = .A ;
IF M012026  = 8                THEN M012026  = .A ;
IF M012027  = 8                THEN M012027  = .A ;
IF M012028  = 8                THEN M012028  = .A ;
IF M012029  = 8                THEN M012029  = .A ;
IF M012030  = 8                THEN M012030  = .A ;
IF S012025  = 8                THEN S012025  = .A ;
IF S012026  = 8                THEN S012026  = .A ;
IF S012027  = 8                THEN S012027  = .A ;
IF S012028  = 8                THEN S012028  = .A ;
IF S012029  = 8                THEN S012029  = .A ;
IF S012030  = 8                THEN S012030  = .A ;
IF S012031  = 8                THEN S012031  = .A ;
IF S012032  = 8                THEN S012032  = .A ;
IF S012033  = 8                THEN S012033  = .A ;
IF S012034  = 8                THEN S012034  = .A ;
IF S012035  = 8                THEN S012035  = .A ;
IF S012036  = 8                THEN S012036  = .A ;
IF M012031  = 8                THEN M012031  = .A ;
IF M012032  = 8                THEN M012032  = .A ;
IF M012033  = 8                THEN M012033  = .A ;
IF M012034  = 8                THEN M012034  = .A ;
IF M012035  = 8                THEN M012035  = .A ;
IF M012036  = 8                THEN M012036  = .A ;
IF M012037  = 8                THEN M012037  = .A ;
IF M012038  = 8                THEN M012038  = .A ;
IF M012039  = 8                THEN M012039  = .A ;
IF M012040  = 8                THEN M012040  = .A ;
IF M012041  = 8                THEN M012041  = .A ;
IF M012042  = 8                THEN M012042  = .A ;
IF S012037  = 8                THEN S012037  = .A ;
IF S012038  = 8                THEN S012038  = .A ;
IF S012039  = 8                THEN S012039  = .A ;
IF S012040  = 8                THEN S012040  = .A ;
IF S012041  = 8                THEN S012041  = .A ;
IF S012042  = 8                THEN S012042  = .A ;
IF S012043  = 8                THEN S012043  = .A ;
IF S012044  = 8                THEN S012044  = .A ;
IF S012045  = 8                THEN S012045  = .A ;
IF S012046  = 8                THEN S012046  = .A ;
IF S012047  = 8                THEN S012047  = .A ;
IF S012048  = 8                THEN S012048  = .A ;
IF M012043  = 8                THEN M012043  = .A ;
IF M012044  = 8                THEN M012044  = .A ;
IF M012045  = 8                THEN M012045  = .A ;
IF M012046  = 8                THEN M012046  = .A ;
IF M012047  = 8                THEN M012047  = .A ;
IF M012048  = 8                THEN M012048  = .A ;
IF M012049  = 8                THEN M012049  = .A ;
IF M012050  = 8                THEN M012050  = .A ;
IF M012051  = 8                THEN M012051  = .A ;
IF M012052  = 98               THEN M012052  = .A ;
IF M012053  = 8                THEN M012053  = .A ;
IF M012054  = 98               THEN M012054  = .A ;
IF M012055  = 8                THEN M012055  = .A ;
IF M012056  = 8                THEN M012056  = .A ;
IF M012057  = 8                THEN M012057  = .A ;
IF S012049  = 8                THEN S012049  = .A ;
IF S012050  = 8                THEN S012050  = .A ;
IF S012051  = 8                THEN S012051  = .A ;
IF S012052  = 8                THEN S012052  = .A ;
IF S012053  = 8                THEN S012053  = .A ;
IF S012054  = 8                THEN S012054  = .A ;
IF S012055  = 8                THEN S012055  = .A ;
IF S012056  = 8                THEN S012056  = .A ;
IF S012057  = 98               THEN S012057  = .A ;
IF S012058  = 8                THEN S012058  = .A ;
IF S012059  = 8                THEN S012059  = .A ;
IF S012060  = 8                THEN S012060  = .A ;
IF S012061  = 98               THEN S012061  = .A ;
IF S012062  = 8                THEN S012062  = .A ;
IF S012063  = 8                THEN S012063  = .A ;
IF S012064  = 8                THEN S012064  = .A ;
IF S012065  = 8                THEN S012065  = .A ;
IF S012066  = 8                THEN S012066  = .A ;
IF S012067  = 98               THEN S012067  = .A ;
IF M012058  = 8                THEN M012058  = .A ;
IF M012059  = 8                THEN M012059  = .A ;
IF M012060  = 98               THEN M012060  = .A ;
IF M012061  = 98               THEN M012061  = .A ;
IF M012062  = 8                THEN M012062  = .A ;
IF M012063  = 8                THEN M012063  = .A ;
IF M012064  = 8                THEN M012064  = .A ;
IF M012065  = 8                THEN M012065  = .A ;
IF M012066  = 8                THEN M012066  = .A ;
IF M012067  = 8                THEN M012067  = .A ;
IF M012068  = 98               THEN M012068  = .A ;
IF M012069  = 8                THEN M012069  = .A ;
IF M012070  = 8                THEN M012070  = .A ;
IF M012071  = 98               THEN M012071  = .A ;
IF M012072  = 8                THEN M012072  = .A ;
IF M012073  = 8                THEN M012073  = .A ;
IF M012074  = 8                THEN M012074  = .A ;
IF M012075  = 8                THEN M012075  = .A ;
IF S012068  = 98               THEN S012068  = .A ;
IF S012069  = 8                THEN S012069  = .A ;
IF S012070  = 8                THEN S012070  = .A ;
IF S012071  = 8                THEN S012071  = .A ;
IF S012072  = 8                THEN S012072  = .A ;
IF S012073  = 8                THEN S012073  = .A ;
IF S012074  = 8                THEN S012074  = .A ;
IF S012075  = 8                THEN S012075  = .A ;
IF S012076  = 8                THEN S012076  = .A ;
IF S012077  = 98               THEN S012077  = .A ;
IF S012078  = 8                THEN S012078  = .A ;
IF S012079  = 8                THEN S012079  = .A ;
IF S012080  = 8                THEN S012080  = .A ;
IF S012081  = 98               THEN S012081  = .A ;
IF S012082  = 8                THEN S012082  = .A ;
IF S012083  = 8                THEN S012083  = .A ;
IF S012084  = 8                THEN S012084  = .A ;
IF M012076  = 8                THEN M012076  = .A ;
IF M012077  = 8                THEN M012077  = .A ;
IF M012078  = 8                THEN M012078  = .A ;
IF M012079  = 8                THEN M012079  = .A ;
IF M012080  = 8                THEN M012080  = .A ;
IF M012081  = 8                THEN M012081  = .A ;
IF M012082  = 8                THEN M012082  = .A ;
IF M012083  = 8                THEN M012083  = .A ;
IF M012084  = 98               THEN M012084  = .A ;
IF M012085  = 8                THEN M012085  = .A ;
IF M012086  = 8                THEN M012086  = .A ;
IF M012087  = 8                THEN M012087  = .A ;
IF M012088  = 8                THEN M012088  = .A ;
IF M012089  = 8                THEN M012089  = .A ;
IF M012090  = 8                THEN M012090  = .A ;
IF M012091  = 98               THEN M012091  = .A ;
IF M012092  = 8                THEN M012092  = .A ;
IF M012093  = 98               THEN M012093  = .A ;
IF S012085  = 8                THEN S012085  = .A ;
IF S012086  = 98               THEN S012086  = .A ;
IF S012087  = 98               THEN S012087  = .A ;
IF S012088  = 8                THEN S012088  = .A ;
IF S012089  = 98               THEN S012089  = .A ;
IF S012090  = 8                THEN S012090  = .A ;
IF S012091  = 8                THEN S012091  = .A ;
IF S012092  = 8                THEN S012092  = .A ;
IF S012093  = 8                THEN S012093  = .A ;
IF S012094  = 8                THEN S012094  = .A ;
IF S012095  = 8                THEN S012095  = .A ;
IF S012096  = 98               THEN S012096  = .A ;
IF S012097  = 8                THEN S012097  = .A ;
IF S012098  = 8                THEN S012098  = .A ;
IF S012099  = 98               THEN S012099  = .A ;
IF M012095  = 8                THEN M012095  = .A ;
IF M012096  = 8                THEN M012096  = .A ;
IF M012097  = 98               THEN M012097  = .A ;
IF M012098  = 8                THEN M012098  = .A ;
IF M012099  = 8                THEN M012099  = .A ;
IF M012100  = 8                THEN M012100  = .A ;
IF M012101  = 8                THEN M012101  = .A ;
IF M012102  = 8                THEN M012102  = .A ;
IF M012103  = 98               THEN M012103  = .A ;
IF M012104  = 8                THEN M012104  = .A ;
IF M012105  = 8                THEN M012105  = .A ;
IF M012106  = 8                THEN M012106  = .A ;
IF M012107  = 8                THEN M012107  = .A ;
IF M012108  = 8                THEN M012108  = .A ;
IF M012109  = 98               THEN M012109  = .A ;
IF M012110  = 8                THEN M012110  = .A ;
IF M012111  = 8                THEN M012111  = .A ;
IF M012112  = 98               THEN M012112  = .A ;
IF S012100  = 98               THEN S012100  = .A ;
IF S012101  = 8                THEN S012101  = .A ;
IF S012102  = 8                THEN S012102  = .A ;
IF S012103  = 8                THEN S012103  = .A ;
IF S012104  = 98               THEN S012104  = .A ;
IF S012105  = 8                THEN S012105  = .A ;
IF S012106  = 98               THEN S012106  = .A ;
IF S012107  = 98               THEN S012107  = .A ;
IF S012108  = 8                THEN S012108  = .A ;
IF S012109  = 98               THEN S012109  = .A ;
IF S012110  = 98               THEN S012110  = .A ;
IF S012111  = 8                THEN S012111  = .A ;
IF S012112  = 98               THEN S012112  = .A ;
IF S012113  = 98               THEN S012113  = .A ;
IF S012114  = 8                THEN S012114  = .A ;
IF M012113  = 8                THEN M012113  = .A ;
IF M012114  = 8                THEN M012114  = .A ;
IF M012115  = 8                THEN M012115  = .A ;
IF M012116  = 8                THEN M012116  = .A ;
IF M012117  = 8                THEN M012117  = .A ;
IF M012118  = 8                THEN M012118  = .A ;
IF M012119  = 8                THEN M012119  = .A ;
IF M012120  = 8                THEN M012120  = .A ;
IF M012121  = 98               THEN M012121  = .A ;
IF M012122  = 8                THEN M012122  = .A ;
IF M012123  = 8                THEN M012123  = .A ;
IF M012124  = 8                THEN M012124  = .A ;
IF M012125  = 8                THEN M012125  = .A ;
IF M012126  = 8                THEN M012126  = .A ;
IF M012127  = 8                THEN M012127  = .A ;
IF M012128  = 8                THEN M012128  = .A ;
IF M012129  = 8                THEN M012129  = .A ;
IF M012130  = 8                THEN M012130  = .A ;
IF M012131  = 8                THEN M012131  = .A ;
IF M012132  = 98               THEN M012132  = .A ;
IF S012115  = 8                THEN S012115  = .A ;
IF S012116  = 98               THEN S012116  = .A ;
IF S012117  = 8                THEN S012117  = .A ;
IF S012118  = 8                THEN S012118  = .A ;
IF S012119  = 8                THEN S012119  = .A ;
IF S012120  = 8                THEN S012120  = .A ;
IF S012121  = 98               THEN S012121  = .A ;
IF S012122  = 98               THEN S012122  = .A ;
IF S012123  = 8                THEN S012123  = .A ;
IF S012124  = 8                THEN S012124  = .A ;
IF S012125  = 98               THEN S012125  = .A ;
IF S012126  = 98               THEN S012126  = .A ;
IF S012127  = 98               THEN S012127  = .A ;
IF M012133  = 8                THEN M012133  = .A ;
IF M012134  = 8                THEN M012134  = .A ;
IF M012135  = 8                THEN M012135  = .A ;
IF M012136  = 8                THEN M012136  = .A ;
IF M012137  = 8                THEN M012137  = .A ;
IF M012138  = 8                THEN M012138  = .A ;
IF M012139  = 8                THEN M012139  = .A ;
IF M012140  = 98               THEN M012140  = .A ;
IF M012141  = 98               THEN M012141  = .A ;
IF M012142A = 98               THEN M012142A = .A ;
IF M012142B = 98               THEN M012142B = .A ;
IF M012143A = 98               THEN M012143A = .A ;
IF M012143B = 98               THEN M012143B = .A ;
IF M012143C = 98               THEN M012143C = .A ;
IF M012144A = 98               THEN M012144A = .A ;
IF M012144B = 98               THEN M012144B = .A ;
IF M012144D = 98               THEN M012144D = .A ;
IF M012145A = 98               THEN M012145A = .A ;
IF M012145B = 98               THEN M012145B = .A ;
IF M012146A = 98               THEN M012146A = .A ;
IF M012146B = 98               THEN M012146B = .A ;
IF M012146D = 98               THEN M012146D = .A ;
IF M012147A = 98               THEN M012147A = .A ;
IF M012147B = 98               THEN M012147B = .A ;
IF M012148  = 98               THEN M012148  = .A ;
IF M012149  = 98               THEN M012149  = .A ;
IF M012150  = 8                THEN M012150  = .A ;
IF M012151  = 98               THEN M012151  = .A ;
IF S012128A = 98               THEN S012128A = .A ;
IF S012128B = 98               THEN S012128B = .A ;
IF S012129  = 98               THEN S012129  = .A ;
IF S012130  = 98               THEN S012130  = .A ;
IF S012131A = 98               THEN S012131A = .A ;
IF S012131B = 98               THEN S012131B = .A ;
IF S012132  = 98               THEN S012132  = .A ;
IF S012133  = 98               THEN S012133  = .A ;
IF S012134A = 98               THEN S012134A = .A ;
IF S012134B = 98               THEN S012134B = .A ;
IF S012134C = 98               THEN S012134C = .A ;
IF S012134D = 98               THEN S012134D = .A ;
IF S012135A = 98               THEN S012135A = .A ;
IF S012135B = 98               THEN S012135B = .A ;
IF S012135D = 98               THEN S012135D = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF BSMSTDR  = 998              THEN BSMSTDR  = .A ;
IF BSMNRSC  = 998              THEN BSMNRSC  = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSSSTDR  = 998              THEN BSSSTDR  = .A ;
IF BSSNRSC  = 998              THEN BSSNRSC  = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M012001  = 6                THEN M012001  = .R ;
IF M012001  = 7                THEN M012001  = .N ;
IF M012002  = 6                THEN M012002  = .R ;
IF M012002  = 7                THEN M012002  = .N ;
IF M012003  = 6                THEN M012003  = .R ;
IF M012003  = 7                THEN M012003  = .N ;
IF M012004  = 6                THEN M012004  = .R ;
IF M012004  = 7                THEN M012004  = .N ;
IF M012005  = 6                THEN M012005  = .R ;
IF M012005  = 7                THEN M012005  = .N ;
IF M012006  = 6                THEN M012006  = .R ;
IF M012006  = 7                THEN M012006  = .N ;
IF S012001  = 6                THEN S012001  = .R ;
IF S012001  = 7                THEN S012001  = .N ;
IF S012002  = 6                THEN S012002  = .R ;
IF S012002  = 7                THEN S012002  = .N ;
IF S012003  = 6                THEN S012003  = .R ;
IF S012003  = 7                THEN S012003  = .N ;
IF S012004  = 6                THEN S012004  = .R ;
IF S012004  = 7                THEN S012004  = .N ;
IF S012005  = 6                THEN S012005  = .R ;
IF S012005  = 7                THEN S012005  = .N ;
IF S012006  = 6                THEN S012006  = .R ;
IF S012006  = 7                THEN S012006  = .N ;
IF S012007  = 6                THEN S012007  = .R ;
IF S012007  = 7                THEN S012007  = .N ;
IF S012008  = 6                THEN S012008  = .R ;
IF S012008  = 7                THEN S012008  = .N ;
IF S012009  = 6                THEN S012009  = .R ;
IF S012009  = 7                THEN S012009  = .N ;
IF S012010  = 6                THEN S012010  = .R ;
IF S012010  = 7                THEN S012010  = .N ;
IF S012011  = 6                THEN S012011  = .R ;
IF S012011  = 7                THEN S012011  = .N ;
IF S012012  = 6                THEN S012012  = .R ;
IF S012012  = 7                THEN S012012  = .N ;
IF M012007  = 6                THEN M012007  = .R ;
IF M012007  = 7                THEN M012007  = .N ;
IF M012008  = 6                THEN M012008  = .R ;
IF M012008  = 7                THEN M012008  = .N ;
IF M012009  = 6                THEN M012009  = .R ;
IF M012009  = 7                THEN M012009  = .N ;
IF M012010  = 6                THEN M012010  = .R ;
IF M012010  = 7                THEN M012010  = .N ;
IF M012011  = 6                THEN M012011  = .R ;
IF M012011  = 7                THEN M012011  = .N ;
IF M012012  = 6                THEN M012012  = .R ;
IF M012012  = 7                THEN M012012  = .N ;
IF M012013  = 6                THEN M012013  = .R ;
IF M012013  = 7                THEN M012013  = .N ;
IF M012014  = 6                THEN M012014  = .R ;
IF M012014  = 7                THEN M012014  = .N ;
IF M012015  = 6                THEN M012015  = .R ;
IF M012015  = 7                THEN M012015  = .N ;
IF M012016  = 6                THEN M012016  = .R ;
IF M012016  = 7                THEN M012016  = .N ;
IF M012017  = 6                THEN M012017  = .R ;
IF M012017  = 7                THEN M012017  = .N ;
IF M012018  = 6                THEN M012018  = .R ;
IF M012018  = 7                THEN M012018  = .N ;
IF S012013  = 6                THEN S012013  = .R ;
IF S012013  = 7                THEN S012013  = .N ;
IF S012014  = 6                THEN S012014  = .R ;
IF S012014  = 7                THEN S012014  = .N ;
IF S012015  = 6                THEN S012015  = .R ;
IF S012015  = 7                THEN S012015  = .N ;
IF S012016  = 6                THEN S012016  = .R ;
IF S012016  = 7                THEN S012016  = .N ;
IF S012017  = 6                THEN S012017  = .R ;
IF S012017  = 7                THEN S012017  = .N ;
IF S012018  = 6                THEN S012018  = .R ;
IF S012018  = 7                THEN S012018  = .N ;
IF S012019  = 6                THEN S012019  = .R ;
IF S012019  = 7                THEN S012019  = .N ;
IF S012020  = 6                THEN S012020  = .R ;
IF S012020  = 7                THEN S012020  = .N ;
IF S012021  = 6                THEN S012021  = .R ;
IF S012021  = 7                THEN S012021  = .N ;
IF S012022  = 6                THEN S012022  = .R ;
IF S012022  = 7                THEN S012022  = .N ;
IF S012023  = 6                THEN S012023  = .R ;
IF S012023  = 7                THEN S012023  = .N ;
IF S012024  = 6                THEN S012024  = .R ;
IF S012024  = 7                THEN S012024  = .N ;
IF M012019  = 6                THEN M012019  = .R ;
IF M012019  = 7                THEN M012019  = .N ;
IF M012020  = 6                THEN M012020  = .R ;
IF M012020  = 7                THEN M012020  = .N ;
IF M012021  = 6                THEN M012021  = .R ;
IF M012021  = 7                THEN M012021  = .N ;
IF M012022  = 6                THEN M012022  = .R ;
IF M012022  = 7                THEN M012022  = .N ;
IF M012023  = 6                THEN M012023  = .R ;
IF M012023  = 7                THEN M012023  = .N ;
IF M012024  = 6                THEN M012024  = .R ;
IF M012024  = 7                THEN M012024  = .N ;
IF M012025  = 6                THEN M012025  = .R ;
IF M012025  = 7                THEN M012025  = .N ;
IF M012026  = 6                THEN M012026  = .R ;
IF M012026  = 7                THEN M012026  = .N ;
IF M012027  = 6                THEN M012027  = .R ;
IF M012027  = 7                THEN M012027  = .N ;
IF M012028  = 6                THEN M012028  = .R ;
IF M012028  = 7                THEN M012028  = .N ;
IF M012029  = 6                THEN M012029  = .R ;
IF M012029  = 7                THEN M012029  = .N ;
IF M012030  = 6                THEN M012030  = .R ;
IF M012030  = 7                THEN M012030  = .N ;
IF S012025  = 6                THEN S012025  = .R ;
IF S012025  = 7                THEN S012025  = .N ;
IF S012026  = 6                THEN S012026  = .R ;
IF S012026  = 7                THEN S012026  = .N ;
IF S012027  = 6                THEN S012027  = .R ;
IF S012027  = 7                THEN S012027  = .N ;
IF S012028  = 6                THEN S012028  = .R ;
IF S012028  = 7                THEN S012028  = .N ;
IF S012029  = 6                THEN S012029  = .R ;
IF S012029  = 7                THEN S012029  = .N ;
IF S012030  = 6                THEN S012030  = .R ;
IF S012030  = 7                THEN S012030  = .N ;
IF S012031  = 6                THEN S012031  = .R ;
IF S012031  = 7                THEN S012031  = .N ;
IF S012032  = 6                THEN S012032  = .R ;
IF S012032  = 7                THEN S012032  = .N ;
IF S012033  = 6                THEN S012033  = .R ;
IF S012033  = 7                THEN S012033  = .N ;
IF S012034  = 6                THEN S012034  = .R ;
IF S012034  = 7                THEN S012034  = .N ;
IF S012035  = 6                THEN S012035  = .R ;
IF S012035  = 7                THEN S012035  = .N ;
IF S012036  = 6                THEN S012036  = .R ;
IF S012036  = 7                THEN S012036  = .N ;
IF M012031  = 6                THEN M012031  = .R ;
IF M012031  = 7                THEN M012031  = .N ;
IF M012032  = 6                THEN M012032  = .R ;
IF M012032  = 7                THEN M012032  = .N ;
IF M012033  = 6                THEN M012033  = .R ;
IF M012033  = 7                THEN M012033  = .N ;
IF M012034  = 6                THEN M012034  = .R ;
IF M012034  = 7                THEN M012034  = .N ;
IF M012035  = 6                THEN M012035  = .R ;
IF M012035  = 7                THEN M012035  = .N ;
IF M012036  = 6                THEN M012036  = .R ;
IF M012036  = 7                THEN M012036  = .N ;
IF M012037  = 6                THEN M012037  = .R ;
IF M012037  = 7                THEN M012037  = .N ;
IF M012038  = 6                THEN M012038  = .R ;
IF M012038  = 7                THEN M012038  = .N ;
IF M012039  = 6                THEN M012039  = .R ;
IF M012039  = 7                THEN M012039  = .N ;
IF M012040  = 6                THEN M012040  = .R ;
IF M012040  = 7                THEN M012040  = .N ;
IF M012041  = 6                THEN M012041  = .R ;
IF M012041  = 7                THEN M012041  = .N ;
IF M012042  = 6                THEN M012042  = .R ;
IF M012042  = 7                THEN M012042  = .N ;
IF S012037  = 6                THEN S012037  = .R ;
IF S012037  = 7                THEN S012037  = .N ;
IF S012038  = 6                THEN S012038  = .R ;
IF S012038  = 7                THEN S012038  = .N ;
IF S012039  = 6                THEN S012039  = .R ;
IF S012039  = 7                THEN S012039  = .N ;
IF S012040  = 6                THEN S012040  = .R ;
IF S012040  = 7                THEN S012040  = .N ;
IF S012041  = 6                THEN S012041  = .R ;
IF S012041  = 7                THEN S012041  = .N ;
IF S012042  = 6                THEN S012042  = .R ;
IF S012042  = 7                THEN S012042  = .N ;
IF S012043  = 6                THEN S012043  = .R ;
IF S012043  = 7                THEN S012043  = .N ;
IF S012044  = 6                THEN S012044  = .R ;
IF S012044  = 7                THEN S012044  = .N ;
IF S012045  = 6                THEN S012045  = .R ;
IF S012045  = 7                THEN S012045  = .N ;
IF S012046  = 6                THEN S012046  = .R ;
IF S012046  = 7                THEN S012046  = .N ;
IF S012047  = 6                THEN S012047  = .R ;
IF S012047  = 7                THEN S012047  = .N ;
IF S012048  = 6                THEN S012048  = .R ;
IF S012048  = 7                THEN S012048  = .N ;
IF M012043  = 6                THEN M012043  = .R ;
IF M012043  = 7                THEN M012043  = .N ;
IF M012044  = 6                THEN M012044  = .R ;
IF M012044  = 7                THEN M012044  = .N ;
IF M012045  = 6                THEN M012045  = .R ;
IF M012045  = 7                THEN M012045  = .N ;
IF M012046  = 6                THEN M012046  = .R ;
IF M012046  = 7                THEN M012046  = .N ;
IF M012047  = 6                THEN M012047  = .R ;
IF M012047  = 7                THEN M012047  = .N ;
IF M012048  = 6                THEN M012048  = .R ;
IF M012048  = 7                THEN M012048  = .N ;
IF M012049  = 6                THEN M012049  = .R ;
IF M012049  = 7                THEN M012049  = .N ;
IF M012050  = 6                THEN M012050  = .R ;
IF M012050  = 7                THEN M012050  = .N ;
IF M012051  = 6                THEN M012051  = .R ;
IF M012051  = 7                THEN M012051  = .N ;
IF M012052  = 96               THEN M012052  = .R ;
IF M012052  = 97               THEN M012052  = .N ;
IF M012053  = 6                THEN M012053  = .R ;
IF M012053  = 7                THEN M012053  = .N ;
IF M012054  = 96               THEN M012054  = .R ;
IF M012054  = 97               THEN M012054  = .N ;
IF M012055  = 6                THEN M012055  = .R ;
IF M012055  = 7                THEN M012055  = .N ;
IF M012056  = 6                THEN M012056  = .R ;
IF M012056  = 7                THEN M012056  = .N ;
IF M012057  = 6                THEN M012057  = .R ;
IF M012057  = 7                THEN M012057  = .N ;
IF S012049  = 6                THEN S012049  = .R ;
IF S012049  = 7                THEN S012049  = .N ;
IF S012050  = 6                THEN S012050  = .R ;
IF S012050  = 7                THEN S012050  = .N ;
IF S012051  = 6                THEN S012051  = .R ;
IF S012051  = 7                THEN S012051  = .N ;
IF S012052  = 6                THEN S012052  = .R ;
IF S012052  = 7                THEN S012052  = .N ;
IF S012053  = 6                THEN S012053  = .R ;
IF S012053  = 7                THEN S012053  = .N ;
IF S012054  = 6                THEN S012054  = .R ;
IF S012054  = 7                THEN S012054  = .N ;
IF S012055  = 6                THEN S012055  = .R ;
IF S012055  = 7                THEN S012055  = .N ;
IF S012056  = 6                THEN S012056  = .R ;
IF S012056  = 7                THEN S012056  = .N ;
IF S012057  = 96               THEN S012057  = .R ;
IF S012057  = 97               THEN S012057  = .N ;
IF S012058  = 6                THEN S012058  = .R ;
IF S012058  = 7                THEN S012058  = .N ;
IF S012059  = 6                THEN S012059  = .R ;
IF S012059  = 7                THEN S012059  = .N ;
IF S012060  = 6                THEN S012060  = .R ;
IF S012060  = 7                THEN S012060  = .N ;
IF S012061  = 96               THEN S012061  = .R ;
IF S012061  = 97               THEN S012061  = .N ;
IF S012062  = 6                THEN S012062  = .R ;
IF S012062  = 7                THEN S012062  = .N ;
IF S012063  = 6                THEN S012063  = .R ;
IF S012063  = 7                THEN S012063  = .N ;
IF S012064  = 6                THEN S012064  = .R ;
IF S012064  = 7                THEN S012064  = .N ;
IF S012065  = 6                THEN S012065  = .R ;
IF S012065  = 7                THEN S012065  = .N ;
IF S012066  = 6                THEN S012066  = .R ;
IF S012066  = 7                THEN S012066  = .N ;
IF S012067  = 96               THEN S012067  = .R ;
IF S012067  = 97               THEN S012067  = .N ;
IF M012058  = 6                THEN M012058  = .R ;
IF M012058  = 7                THEN M012058  = .N ;
IF M012059  = 6                THEN M012059  = .R ;
IF M012059  = 7                THEN M012059  = .N ;
IF M012060  = 96               THEN M012060  = .R ;
IF M012060  = 97               THEN M012060  = .N ;
IF M012061  = 96               THEN M012061  = .R ;
IF M012061  = 97               THEN M012061  = .N ;
IF M012062  = 6                THEN M012062  = .R ;
IF M012062  = 7                THEN M012062  = .N ;
IF M012063  = 6                THEN M012063  = .R ;
IF M012063  = 7                THEN M012063  = .N ;
IF M012064  = 6                THEN M012064  = .R ;
IF M012064  = 7                THEN M012064  = .N ;
IF M012065  = 6                THEN M012065  = .R ;
IF M012065  = 7                THEN M012065  = .N ;
IF M012066  = 6                THEN M012066  = .R ;
IF M012066  = 7                THEN M012066  = .N ;
IF M012067  = 6                THEN M012067  = .R ;
IF M012067  = 7                THEN M012067  = .N ;
IF M012068  = 96               THEN M012068  = .R ;
IF M012068  = 97               THEN M012068  = .N ;
IF M012069  = 6                THEN M012069  = .R ;
IF M012069  = 7                THEN M012069  = .N ;
IF M012070  = 6                THEN M012070  = .R ;
IF M012070  = 7                THEN M012070  = .N ;
IF M012071  = 96               THEN M012071  = .R ;
IF M012071  = 97               THEN M012071  = .N ;
IF M012072  = 6                THEN M012072  = .R ;
IF M012072  = 7                THEN M012072  = .N ;
IF M012073  = 6                THEN M012073  = .R ;
IF M012073  = 7                THEN M012073  = .N ;
IF M012074  = 6                THEN M012074  = .R ;
IF M012074  = 7                THEN M012074  = .N ;
IF M012075  = 6                THEN M012075  = .R ;
IF M012075  = 7                THEN M012075  = .N ;
IF S012068  = 96               THEN S012068  = .R ;
IF S012068  = 97               THEN S012068  = .N ;
IF S012069  = 6                THEN S012069  = .R ;
IF S012069  = 7                THEN S012069  = .N ;
IF S012070  = 6                THEN S012070  = .R ;
IF S012070  = 7                THEN S012070  = .N ;
IF S012071  = 6                THEN S012071  = .R ;
IF S012071  = 7                THEN S012071  = .N ;
IF S012072  = 6                THEN S012072  = .R ;
IF S012072  = 7                THEN S012072  = .N ;
IF S012073  = 6                THEN S012073  = .R ;
IF S012073  = 7                THEN S012073  = .N ;
IF S012074  = 6                THEN S012074  = .R ;
IF S012074  = 7                THEN S012074  = .N ;
IF S012075  = 6                THEN S012075  = .R ;
IF S012075  = 7                THEN S012075  = .N ;
IF S012076  = 6                THEN S012076  = .R ;
IF S012076  = 7                THEN S012076  = .N ;
IF S012077  = 96               THEN S012077  = .R ;
IF S012077  = 97               THEN S012077  = .N ;
IF S012078  = 6                THEN S012078  = .R ;
IF S012078  = 7                THEN S012078  = .N ;
IF S012079  = 6                THEN S012079  = .R ;
IF S012079  = 7                THEN S012079  = .N ;
IF S012080  = 6                THEN S012080  = .R ;
IF S012080  = 7                THEN S012080  = .N ;
IF S012081  = 96               THEN S012081  = .R ;
IF S012081  = 97               THEN S012081  = .N ;
IF S012082  = 6                THEN S012082  = .R ;
IF S012082  = 7                THEN S012082  = .N ;
IF S012083  = 6                THEN S012083  = .R ;
IF S012083  = 7                THEN S012083  = .N ;
IF S012084  = 6                THEN S012084  = .R ;
IF S012084  = 7                THEN S012084  = .N ;
IF M012076  = 6                THEN M012076  = .R ;
IF M012076  = 7                THEN M012076  = .N ;
IF M012077  = 6                THEN M012077  = .R ;
IF M012077  = 7                THEN M012077  = .N ;
IF M012078  = 6                THEN M012078  = .R ;
IF M012078  = 7                THEN M012078  = .N ;
IF M012079  = 6                THEN M012079  = .R ;
IF M012079  = 7                THEN M012079  = .N ;
IF M012080  = 6                THEN M012080  = .R ;
IF M012080  = 7                THEN M012080  = .N ;
IF M012081  = 6                THEN M012081  = .R ;
IF M012081  = 7                THEN M012081  = .N ;
IF M012082  = 6                THEN M012082  = .R ;
IF M012082  = 7                THEN M012082  = .N ;
IF M012083  = 6                THEN M012083  = .R ;
IF M012083  = 7                THEN M012083  = .N ;
IF M012084  = 96               THEN M012084  = .R ;
IF M012084  = 97               THEN M012084  = .N ;
IF M012085  = 6                THEN M012085  = .R ;
IF M012085  = 7                THEN M012085  = .N ;
IF M012086  = 6                THEN M012086  = .R ;
IF M012086  = 7                THEN M012086  = .N ;
IF M012087  = 6                THEN M012087  = .R ;
IF M012087  = 7                THEN M012087  = .N ;
IF M012088  = 6                THEN M012088  = .R ;
IF M012088  = 7                THEN M012088  = .N ;
IF M012089  = 6                THEN M012089  = .R ;
IF M012089  = 7                THEN M012089  = .N ;
IF M012090  = 6                THEN M012090  = .R ;
IF M012090  = 7                THEN M012090  = .N ;
IF M012091  = 96               THEN M012091  = .R ;
IF M012091  = 97               THEN M012091  = .N ;
IF M012092  = 6                THEN M012092  = .R ;
IF M012092  = 7                THEN M012092  = .N ;
IF M012093  = 96               THEN M012093  = .R ;
IF M012093  = 97               THEN M012093  = .N ;
IF S012085  = 6                THEN S012085  = .R ;
IF S012085  = 7                THEN S012085  = .N ;
IF S012086  = 96               THEN S012086  = .R ;
IF S012086  = 97               THEN S012086  = .N ;
IF S012087  = 96               THEN S012087  = .R ;
IF S012087  = 97               THEN S012087  = .N ;
IF S012088  = 6                THEN S012088  = .R ;
IF S012088  = 7                THEN S012088  = .N ;
IF S012089  = 96               THEN S012089  = .R ;
IF S012089  = 97               THEN S012089  = .N ;
IF S012090  = 6                THEN S012090  = .R ;
IF S012090  = 7                THEN S012090  = .N ;
IF S012091  = 6                THEN S012091  = .R ;
IF S012091  = 7                THEN S012091  = .N ;
IF S012092  = 6                THEN S012092  = .R ;
IF S012092  = 7                THEN S012092  = .N ;
IF S012093  = 6                THEN S012093  = .R ;
IF S012093  = 7                THEN S012093  = .N ;
IF S012094  = 6                THEN S012094  = .R ;
IF S012094  = 7                THEN S012094  = .N ;
IF S012095  = 6                THEN S012095  = .R ;
IF S012095  = 7                THEN S012095  = .N ;
IF S012096  = 96               THEN S012096  = .R ;
IF S012096  = 97               THEN S012096  = .N ;
IF S012097  = 6                THEN S012097  = .R ;
IF S012097  = 7                THEN S012097  = .N ;
IF S012098  = 6                THEN S012098  = .R ;
IF S012098  = 7                THEN S012098  = .N ;
IF S012099  = 96               THEN S012099  = .R ;
IF S012099  = 97               THEN S012099  = .N ;
IF M012095  = 6                THEN M012095  = .R ;
IF M012095  = 7                THEN M012095  = .N ;
IF M012096  = 6                THEN M012096  = .R ;
IF M012096  = 7                THEN M012096  = .N ;
IF M012097  = 96               THEN M012097  = .R ;
IF M012097  = 97               THEN M012097  = .N ;
IF M012098  = 6                THEN M012098  = .R ;
IF M012098  = 7                THEN M012098  = .N ;
IF M012099  = 6                THEN M012099  = .R ;
IF M012099  = 7                THEN M012099  = .N ;
IF M012100  = 6                THEN M012100  = .R ;
IF M012100  = 7                THEN M012100  = .N ;
IF M012101  = 6                THEN M012101  = .R ;
IF M012101  = 7                THEN M012101  = .N ;
IF M012102  = 6                THEN M012102  = .R ;
IF M012102  = 7                THEN M012102  = .N ;
IF M012103  = 96               THEN M012103  = .R ;
IF M012103  = 97               THEN M012103  = .N ;
IF M012104  = 6                THEN M012104  = .R ;
IF M012104  = 7                THEN M012104  = .N ;
IF M012105  = 6                THEN M012105  = .R ;
IF M012105  = 7                THEN M012105  = .N ;
IF M012106  = 6                THEN M012106  = .R ;
IF M012106  = 7                THEN M012106  = .N ;
IF M012107  = 6                THEN M012107  = .R ;
IF M012107  = 7                THEN M012107  = .N ;
IF M012108  = 6                THEN M012108  = .R ;
IF M012108  = 7                THEN M012108  = .N ;
IF M012109  = 96               THEN M012109  = .R ;
IF M012109  = 97               THEN M012109  = .N ;
IF M012110  = 6                THEN M012110  = .R ;
IF M012110  = 7                THEN M012110  = .N ;
IF M012111  = 6                THEN M012111  = .R ;
IF M012111  = 7                THEN M012111  = .N ;
IF M012112  = 96               THEN M012112  = .R ;
IF M012112  = 97               THEN M012112  = .N ;
IF S012100  = 96               THEN S012100  = .R ;
IF S012100  = 97               THEN S012100  = .N ;
IF S012101  = 6                THEN S012101  = .R ;
IF S012101  = 7                THEN S012101  = .N ;
IF S012102  = 6                THEN S012102  = .R ;
IF S012102  = 7                THEN S012102  = .N ;
IF S012103  = 6                THEN S012103  = .R ;
IF S012103  = 7                THEN S012103  = .N ;
IF S012104  = 96               THEN S012104  = .R ;
IF S012104  = 97               THEN S012104  = .N ;
IF S012105  = 6                THEN S012105  = .R ;
IF S012105  = 7                THEN S012105  = .N ;
IF S012106  = 96               THEN S012106  = .R ;
IF S012106  = 97               THEN S012106  = .N ;
IF S012107  = 96               THEN S012107  = .R ;
IF S012107  = 97               THEN S012107  = .N ;
IF S012108  = 6                THEN S012108  = .R ;
IF S012108  = 7                THEN S012108  = .N ;
IF S012109  = 96               THEN S012109  = .R ;
IF S012109  = 97               THEN S012109  = .N ;
IF S012110  = 96               THEN S012110  = .R ;
IF S012110  = 97               THEN S012110  = .N ;
IF S012111  = 6                THEN S012111  = .R ;
IF S012111  = 7                THEN S012111  = .N ;
IF S012112  = 96               THEN S012112  = .R ;
IF S012112  = 97               THEN S012112  = .N ;
IF S012113  = 96               THEN S012113  = .R ;
IF S012113  = 97               THEN S012113  = .N ;
IF S012114  = 6                THEN S012114  = .R ;
IF S012114  = 7                THEN S012114  = .N ;
IF M012113  = 6                THEN M012113  = .R ;
IF M012113  = 7                THEN M012113  = .N ;
IF M012114  = 6                THEN M012114  = .R ;
IF M012114  = 7                THEN M012114  = .N ;
IF M012115  = 6                THEN M012115  = .R ;
IF M012115  = 7                THEN M012115  = .N ;
IF M012116  = 6                THEN M012116  = .R ;
IF M012116  = 7                THEN M012116  = .N ;
IF M012117  = 6                THEN M012117  = .R ;
IF M012117  = 7                THEN M012117  = .N ;
IF M012118  = 6                THEN M012118  = .R ;
IF M012118  = 7                THEN M012118  = .N ;
IF M012119  = 6                THEN M012119  = .R ;
IF M012119  = 7                THEN M012119  = .N ;
IF M012120  = 6                THEN M012120  = .R ;
IF M012120  = 7                THEN M012120  = .N ;
IF M012121  = 96               THEN M012121  = .R ;
IF M012121  = 97               THEN M012121  = .N ;
IF M012122  = 6                THEN M012122  = .R ;
IF M012122  = 7                THEN M012122  = .N ;
IF M012123  = 6                THEN M012123  = .R ;
IF M012123  = 7                THEN M012123  = .N ;
IF M012124  = 6                THEN M012124  = .R ;
IF M012124  = 7                THEN M012124  = .N ;
IF M012125  = 6                THEN M012125  = .R ;
IF M012125  = 7                THEN M012125  = .N ;
IF M012126  = 6                THEN M012126  = .R ;
IF M012126  = 7                THEN M012126  = .N ;
IF M012127  = 6                THEN M012127  = .R ;
IF M012127  = 7                THEN M012127  = .N ;
IF M012128  = 6                THEN M012128  = .R ;
IF M012128  = 7                THEN M012128  = .N ;
IF M012129  = 6                THEN M012129  = .R ;
IF M012129  = 7                THEN M012129  = .N ;
IF M012130  = 6                THEN M012130  = .R ;
IF M012130  = 7                THEN M012130  = .N ;
IF M012131  = 6                THEN M012131  = .R ;
IF M012131  = 7                THEN M012131  = .N ;
IF M012132  = 96               THEN M012132  = .R ;
IF M012132  = 97               THEN M012132  = .N ;
IF S012115  = 6                THEN S012115  = .R ;
IF S012115  = 7                THEN S012115  = .N ;
IF S012116  = 96               THEN S012116  = .R ;
IF S012116  = 97               THEN S012116  = .N ;
IF S012117  = 6                THEN S012117  = .R ;
IF S012117  = 7                THEN S012117  = .N ;
IF S012118  = 6                THEN S012118  = .R ;
IF S012118  = 7                THEN S012118  = .N ;
IF S012119  = 6                THEN S012119  = .R ;
IF S012119  = 7                THEN S012119  = .N ;
IF S012120  = 6                THEN S012120  = .R ;
IF S012120  = 7                THEN S012120  = .N ;
IF S012121  = 96               THEN S012121  = .R ;
IF S012121  = 97               THEN S012121  = .N ;
IF S012122  = 96               THEN S012122  = .R ;
IF S012122  = 97               THEN S012122  = .N ;
IF S012123  = 6                THEN S012123  = .R ;
IF S012123  = 7                THEN S012123  = .N ;
IF S012124  = 6                THEN S012124  = .R ;
IF S012124  = 7                THEN S012124  = .N ;
IF S012125  = 96               THEN S012125  = .R ;
IF S012125  = 97               THEN S012125  = .N ;
IF S012126  = 96               THEN S012126  = .R ;
IF S012126  = 97               THEN S012126  = .N ;
IF S012127  = 96               THEN S012127  = .R ;
IF S012127  = 97               THEN S012127  = .N ;
IF M012133  = 6                THEN M012133  = .R ;
IF M012133  = 7                THEN M012133  = .N ;
IF M012134  = 6                THEN M012134  = .R ;
IF M012134  = 7                THEN M012134  = .N ;
IF M012135  = 6                THEN M012135  = .R ;
IF M012135  = 7                THEN M012135  = .N ;
IF M012136  = 6                THEN M012136  = .R ;
IF M012136  = 7                THEN M012136  = .N ;
IF M012137  = 6                THEN M012137  = .R ;
IF M012137  = 7                THEN M012137  = .N ;
IF M012138  = 6                THEN M012138  = .R ;
IF M012138  = 7                THEN M012138  = .N ;
IF M012139  = 6                THEN M012139  = .R ;
IF M012139  = 7                THEN M012139  = .N ;
IF M012140  = 96               THEN M012140  = .R ;
IF M012140  = 97               THEN M012140  = .N ;
IF M012141  = 96               THEN M012141  = .R ;
IF M012141  = 97               THEN M012141  = .N ;
IF M012142A = 96               THEN M012142A = .R ;
IF M012142A = 97               THEN M012142A = .N ;
IF M012142B = 96               THEN M012142B = .R ;
IF M012142B = 97               THEN M012142B = .N ;
IF M012143A = 96               THEN M012143A = .R ;
IF M012143A = 97               THEN M012143A = .N ;
IF M012143B = 96               THEN M012143B = .R ;
IF M012143B = 97               THEN M012143B = .N ;
IF M012143C = 96               THEN M012143C = .R ;
IF M012143C = 97               THEN M012143C = .N ;
IF M012144A = 96               THEN M012144A = .R ;
IF M012144A = 97               THEN M012144A = .N ;
IF M012144B = 96               THEN M012144B = .R ;
IF M012144B = 97               THEN M012144B = .N ;
IF M012144D = 96               THEN M012144D = .R ;
IF M012144D = 97               THEN M012144D = .N ;
IF M012145A = 96               THEN M012145A = .R ;
IF M012145A = 97               THEN M012145A = .N ;
IF M012145B = 96               THEN M012145B = .R ;
IF M012145B = 97               THEN M012145B = .N ;
IF M012146A = 96               THEN M012146A = .R ;
IF M012146A = 97               THEN M012146A = .N ;
IF M012146B = 96               THEN M012146B = .R ;
IF M012146B = 97               THEN M012146B = .N ;
IF M012146D = 96               THEN M012146D = .R ;
IF M012146D = 97               THEN M012146D = .N ;
IF M012147A = 96               THEN M012147A = .R ;
IF M012147A = 97               THEN M012147A = .N ;
IF M012147B = 96               THEN M012147B = .R ;
IF M012147B = 97               THEN M012147B = .N ;
IF M012148  = 96               THEN M012148  = .R ;
IF M012148  = 97               THEN M012148  = .N ;
IF M012149  = 96               THEN M012149  = .R ;
IF M012149  = 97               THEN M012149  = .N ;
IF M012150  = 6                THEN M012150  = .R ;
IF M012150  = 7                THEN M012150  = .N ;
IF M012151  = 96               THEN M012151  = .R ;
IF M012151  = 97               THEN M012151  = .N ;
IF S012128A = 96               THEN S012128A = .R ;
IF S012128A = 97               THEN S012128A = .N ;
IF S012128B = 96               THEN S012128B = .R ;
IF S012128B = 97               THEN S012128B = .N ;
IF S012129  = 96               THEN S012129  = .R ;
IF S012129  = 97               THEN S012129  = .N ;
IF S012130  = 96               THEN S012130  = .R ;
IF S012130  = 97               THEN S012130  = .N ;
IF S012131A = 96               THEN S012131A = .R ;
IF S012131A = 97               THEN S012131A = .N ;
IF S012131B = 96               THEN S012131B = .R ;
IF S012131B = 97               THEN S012131B = .N ;
IF S012132  = 96               THEN S012132  = .R ;
IF S012132  = 97               THEN S012132  = .N ;
IF S012133  = 96               THEN S012133  = .R ;
IF S012133  = 97               THEN S012133  = .N ;
IF S012134A = 96               THEN S012134A = .R ;
IF S012134A = 97               THEN S012134A = .N ;
IF S012134B = 96               THEN S012134B = .R ;
IF S012134B = 97               THEN S012134B = .N ;
IF S012134C = 96               THEN S012134C = .R ;
IF S012134C = 97               THEN S012134C = .N ;
IF S012134D = 96               THEN S012134D = .R ;
IF S012134D = 97               THEN S012134D = .N ;
IF S012135A = 96               THEN S012135A = .R ;
IF S012135A = 97               THEN S012135A = .N ;
IF S012135B = 96               THEN S012135B = .R ;
IF S012135B = 97               THEN S012135B = .N ;
IF S012135D = 96               THEN S012135D = .R ;
IF S012135D = 97               THEN S012135D = .N ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSTRAT  = 999              THEN IDSTRAT  = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDCLASS  = 99999999         THEN IDCLASS  = . ;
IF IDSTUD   = 9999999999       THEN IDSTUD   = . ;
IF IDGRADE  = 99               THEN IDGRADE  = . ;
IF ITEXCLUD = 9                THEN ITEXCLUD = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 999              THEN ITLANG   = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF IDSCORR  = 999              THEN IDSCORR  = . ;
IF IDSCORA  = 999              THEN IDSCORA  = . ;
IF ITPART   = 9                THEN ITPART   = . ;
IF M012001  = 9                THEN M012001  = . ;
IF M012002  = 9                THEN M012002  = . ;
IF M012003  = 9                THEN M012003  = . ;
IF M012004  = 9                THEN M012004  = . ;
IF M012005  = 9                THEN M012005  = . ;
IF M012006  = 9                THEN M012006  = . ;
IF S012001  = 9                THEN S012001  = . ;
IF S012002  = 9                THEN S012002  = . ;
IF S012003  = 9                THEN S012003  = . ;
IF S012004  = 9                THEN S012004  = . ;
IF S012005  = 9                THEN S012005  = . ;
IF S012006  = 9                THEN S012006  = . ;
IF S012007  = 9                THEN S012007  = . ;
IF S012008  = 9                THEN S012008  = . ;
IF S012009  = 9                THEN S012009  = . ;
IF S012010  = 9                THEN S012010  = . ;
IF S012011  = 9                THEN S012011  = . ;
IF S012012  = 9                THEN S012012  = . ;
IF M012007  = 9                THEN M012007  = . ;
IF M012008  = 9                THEN M012008  = . ;
IF M012009  = 9                THEN M012009  = . ;
IF M012010  = 9                THEN M012010  = . ;
IF M012011  = 9                THEN M012011  = . ;
IF M012012  = 9                THEN M012012  = . ;
IF M012013  = 9                THEN M012013  = . ;
IF M012014  = 9                THEN M012014  = . ;
IF M012015  = 9                THEN M012015  = . ;
IF M012016  = 9                THEN M012016  = . ;
IF M012017  = 9                THEN M012017  = . ;
IF M012018  = 9                THEN M012018  = . ;
IF S012013  = 9                THEN S012013  = . ;
IF S012014  = 9                THEN S012014  = . ;
IF S012015  = 9                THEN S012015  = . ;
IF S012016  = 9                THEN S012016  = . ;
IF S012017  = 9                THEN S012017  = . ;
IF S012018  = 9                THEN S012018  = . ;
IF S012019  = 9                THEN S012019  = . ;
IF S012020  = 9                THEN S012020  = . ;
IF S012021  = 9                THEN S012021  = . ;
IF S012022  = 9                THEN S012022  = . ;
IF S012023  = 9                THEN S012023  = . ;
IF S012024  = 9                THEN S012024  = . ;
IF M012019  = 9                THEN M012019  = . ;
IF M012020  = 9                THEN M012020  = . ;
IF M012021  = 9                THEN M012021  = . ;
IF M012022  = 9                THEN M012022  = . ;
IF M012023  = 9                THEN M012023  = . ;
IF M012024  = 9                THEN M012024  = . ;
IF M012025  = 9                THEN M012025  = . ;
IF M012026  = 9                THEN M012026  = . ;
IF M012027  = 9                THEN M012027  = . ;
IF M012028  = 9                THEN M012028  = . ;
IF M012029  = 9                THEN M012029  = . ;
IF M012030  = 9                THEN M012030  = . ;
IF S012025  = 9                THEN S012025  = . ;
IF S012026  = 9                THEN S012026  = . ;
IF S012027  = 9                THEN S012027  = . ;
IF S012028  = 9                THEN S012028  = . ;
IF S012029  = 9                THEN S012029  = . ;
IF S012030  = 9                THEN S012030  = . ;
IF S012031  = 9                THEN S012031  = . ;
IF S012032  = 9                THEN S012032  = . ;
IF S012033  = 9                THEN S012033  = . ;
IF S012034  = 9                THEN S012034  = . ;
IF S012035  = 9                THEN S012035  = . ;
IF S012036  = 9                THEN S012036  = . ;
IF M012031  = 9                THEN M012031  = . ;
IF M012032  = 9                THEN M012032  = . ;
IF M012033  = 9                THEN M012033  = . ;
IF M012034  = 9                THEN M012034  = . ;
IF M012035  = 9                THEN M012035  = . ;
IF M012036  = 9                THEN M012036  = . ;
IF M012037  = 9                THEN M012037  = . ;
IF M012038  = 9                THEN M012038  = . ;
IF M012039  = 9                THEN M012039  = . ;
IF M012040  = 9                THEN M012040  = . ;
IF M012041  = 9                THEN M012041  = . ;
IF M012042  = 9                THEN M012042  = . ;
IF S012037  = 9                THEN S012037  = . ;
IF S012038  = 9                THEN S012038  = . ;
IF S012039  = 9                THEN S012039  = . ;
IF S012040  = 9                THEN S012040  = . ;
IF S012041  = 9                THEN S012041  = . ;
IF S012042  = 9                THEN S012042  = . ;
IF S012043  = 9                THEN S012043  = . ;
IF S012044  = 9                THEN S012044  = . ;
IF S012045  = 9                THEN S012045  = . ;
IF S012046  = 9                THEN S012046  = . ;
IF S012047  = 9                THEN S012047  = . ;
IF S012048  = 9                THEN S012048  = . ;
IF M012043  = 9                THEN M012043  = . ;
IF M012044  = 9                THEN M012044  = . ;
IF M012045  = 9                THEN M012045  = . ;
IF M012046  = 9                THEN M012046  = . ;
IF M012047  = 9                THEN M012047  = . ;
IF M012048  = 9                THEN M012048  = . ;
IF M012049  = 9                THEN M012049  = . ;
IF M012050  = 9                THEN M012050  = . ;
IF M012051  = 9                THEN M012051  = . ;
IF M012052  = 99               THEN M012052  = . ;
IF M012053  = 9                THEN M012053  = . ;
IF M012054  = 99               THEN M012054  = . ;
IF M012055  = 9                THEN M012055  = . ;
IF M012056  = 9                THEN M012056  = . ;
IF M012057  = 9                THEN M012057  = . ;
IF S012049  = 9                THEN S012049  = . ;
IF S012050  = 9                THEN S012050  = . ;
IF S012051  = 9                THEN S012051  = . ;
IF S012052  = 9                THEN S012052  = . ;
IF S012053  = 9                THEN S012053  = . ;
IF S012054  = 9                THEN S012054  = . ;
IF S012055  = 9                THEN S012055  = . ;
IF S012056  = 9                THEN S012056  = . ;
IF S012057  = 99               THEN S012057  = . ;
IF S012058  = 9                THEN S012058  = . ;
IF S012059  = 9                THEN S012059  = . ;
IF S012060  = 9                THEN S012060  = . ;
IF S012061  = 99               THEN S012061  = . ;
IF S012062  = 9                THEN S012062  = . ;
IF S012063  = 9                THEN S012063  = . ;
IF S012064  = 9                THEN S012064  = . ;
IF S012065  = 9                THEN S012065  = . ;
IF S012066  = 9                THEN S012066  = . ;
IF S012067  = 99               THEN S012067  = . ;
IF M012058  = 9                THEN M012058  = . ;
IF M012059  = 9                THEN M012059  = . ;
IF M012060  = 99               THEN M012060  = . ;
IF M012061  = 99               THEN M012061  = . ;
IF M012062  = 9                THEN M012062  = . ;
IF M012063  = 9                THEN M012063  = . ;
IF M012064  = 9                THEN M012064  = . ;
IF M012065  = 9                THEN M012065  = . ;
IF M012066  = 9                THEN M012066  = . ;
IF M012067  = 9                THEN M012067  = . ;
IF M012068  = 99               THEN M012068  = . ;
IF M012069  = 9                THEN M012069  = . ;
IF M012070  = 9                THEN M012070  = . ;
IF M012071  = 99               THEN M012071  = . ;
IF M012072  = 9                THEN M012072  = . ;
IF M012073  = 9                THEN M012073  = . ;
IF M012074  = 9                THEN M012074  = . ;
IF M012075  = 9                THEN M012075  = . ;
IF S012068  = 99               THEN S012068  = . ;
IF S012069  = 9                THEN S012069  = . ;
IF S012070  = 9                THEN S012070  = . ;
IF S012071  = 9                THEN S012071  = . ;
IF S012072  = 9                THEN S012072  = . ;
IF S012073  = 9                THEN S012073  = . ;
IF S012074  = 9                THEN S012074  = . ;
IF S012075  = 9                THEN S012075  = . ;
IF S012076  = 9                THEN S012076  = . ;
IF S012077  = 99               THEN S012077  = . ;
IF S012078  = 9                THEN S012078  = . ;
IF S012079  = 9                THEN S012079  = . ;
IF S012080  = 9                THEN S012080  = . ;
IF S012081  = 99               THEN S012081  = . ;
IF S012082  = 9                THEN S012082  = . ;
IF S012083  = 9                THEN S012083  = . ;
IF S012084  = 9                THEN S012084  = . ;
IF M012076  = 9                THEN M012076  = . ;
IF M012077  = 9                THEN M012077  = . ;
IF M012078  = 9                THEN M012078  = . ;
IF M012079  = 9                THEN M012079  = . ;
IF M012080  = 9                THEN M012080  = . ;
IF M012081  = 9                THEN M012081  = . ;
IF M012082  = 9                THEN M012082  = . ;
IF M012083  = 9                THEN M012083  = . ;
IF M012084  = 99               THEN M012084  = . ;
IF M012085  = 9                THEN M012085  = . ;
IF M012086  = 9                THEN M012086  = . ;
IF M012087  = 9                THEN M012087  = . ;
IF M012088  = 9                THEN M012088  = . ;
IF M012089  = 9                THEN M012089  = . ;
IF M012090  = 9                THEN M012090  = . ;
IF M012091  = 99               THEN M012091  = . ;
IF M012092  = 9                THEN M012092  = . ;
IF M012093  = 99               THEN M012093  = . ;
IF S012085  = 9                THEN S012085  = . ;
IF S012086  = 99               THEN S012086  = . ;
IF S012087  = 99               THEN S012087  = . ;
IF S012088  = 9                THEN S012088  = . ;
IF S012089  = 99               THEN S012089  = . ;
IF S012090  = 9                THEN S012090  = . ;
IF S012091  = 9                THEN S012091  = . ;
IF S012092  = 9                THEN S012092  = . ;
IF S012093  = 9                THEN S012093  = . ;
IF S012094  = 9                THEN S012094  = . ;
IF S012095  = 9                THEN S012095  = . ;
IF S012096  = 99               THEN S012096  = . ;
IF S012097  = 9                THEN S012097  = . ;
IF S012098  = 9                THEN S012098  = . ;
IF S012099  = 99               THEN S012099  = . ;
IF M012095  = 9                THEN M012095  = . ;
IF M012096  = 9                THEN M012096  = . ;
IF M012097  = 99               THEN M012097  = . ;
IF M012098  = 9                THEN M012098  = . ;
IF M012099  = 9                THEN M012099  = . ;
IF M012100  = 9                THEN M012100  = . ;
IF M012101  = 9                THEN M012101  = . ;
IF M012102  = 9                THEN M012102  = . ;
IF M012103  = 99               THEN M012103  = . ;
IF M012104  = 9                THEN M012104  = . ;
IF M012105  = 9                THEN M012105  = . ;
IF M012106  = 9                THEN M012106  = . ;
IF M012107  = 9                THEN M012107  = . ;
IF M012108  = 9                THEN M012108  = . ;
IF M012109  = 99               THEN M012109  = . ;
IF M012110  = 9                THEN M012110  = . ;
IF M012111  = 9                THEN M012111  = . ;
IF M012112  = 99               THEN M012112  = . ;
IF S012100  = 99               THEN S012100  = . ;
IF S012101  = 9                THEN S012101  = . ;
IF S012102  = 9                THEN S012102  = . ;
IF S012103  = 9                THEN S012103  = . ;
IF S012104  = 99               THEN S012104  = . ;
IF S012105  = 9                THEN S012105  = . ;
IF S012106  = 99               THEN S012106  = . ;
IF S012107  = 99               THEN S012107  = . ;
IF S012108  = 9                THEN S012108  = . ;
IF S012109  = 99               THEN S012109  = . ;
IF S012110  = 99               THEN S012110  = . ;
IF S012111  = 9                THEN S012111  = . ;
IF S012112  = 99               THEN S012112  = . ;
IF S012113  = 99               THEN S012113  = . ;
IF S012114  = 9                THEN S012114  = . ;
IF M012113  = 9                THEN M012113  = . ;
IF M012114  = 9                THEN M012114  = . ;
IF M012115  = 9                THEN M012115  = . ;
IF M012116  = 9                THEN M012116  = . ;
IF M012117  = 9                THEN M012117  = . ;
IF M012118  = 9                THEN M012118  = . ;
IF M012119  = 9                THEN M012119  = . ;
IF M012120  = 9                THEN M012120  = . ;
IF M012121  = 99               THEN M012121  = . ;
IF M012122  = 9                THEN M012122  = . ;
IF M012123  = 9                THEN M012123  = . ;
IF M012124  = 9                THEN M012124  = . ;
IF M012125  = 9                THEN M012125  = . ;
IF M012126  = 9                THEN M012126  = . ;
IF M012127  = 9                THEN M012127  = . ;
IF M012128  = 9                THEN M012128  = . ;
IF M012129  = 9                THEN M012129  = . ;
IF M012130  = 9                THEN M012130  = . ;
IF M012131  = 9                THEN M012131  = . ;
IF M012132  = 99               THEN M012132  = . ;
IF S012115  = 9                THEN S012115  = . ;
IF S012116  = 99               THEN S012116  = . ;
IF S012117  = 9                THEN S012117  = . ;
IF S012118  = 9                THEN S012118  = . ;
IF S012119  = 9                THEN S012119  = . ;
IF S012120  = 9                THEN S012120  = . ;
IF S012121  = 99               THEN S012121  = . ;
IF S012122  = 99               THEN S012122  = . ;
IF S012123  = 9                THEN S012123  = . ;
IF S012124  = 9                THEN S012124  = . ;
IF S012125  = 99               THEN S012125  = . ;
IF S012126  = 99               THEN S012126  = . ;
IF S012127  = 99               THEN S012127  = . ;
IF M012133  = 9                THEN M012133  = . ;
IF M012134  = 9                THEN M012134  = . ;
IF M012135  = 9                THEN M012135  = . ;
IF M012136  = 9                THEN M012136  = . ;
IF M012137  = 9                THEN M012137  = . ;
IF M012138  = 9                THEN M012138  = . ;
IF M012139  = 9                THEN M012139  = . ;
IF M012140  = 99               THEN M012140  = . ;
IF M012141  = 99               THEN M012141  = . ;
IF M012142A = 99               THEN M012142A = . ;
IF M012142B = 99               THEN M012142B = . ;
IF M012143A = 99               THEN M012143A = . ;
IF M012143B = 99               THEN M012143B = . ;
IF M012143C = 99               THEN M012143C = . ;
IF M012144A = 99               THEN M012144A = . ;
IF M012144B = 99               THEN M012144B = . ;
IF M012144D = 99               THEN M012144D = . ;
IF M012145A = 99               THEN M012145A = . ;
IF M012145B = 99               THEN M012145B = . ;
IF M012146A = 99               THEN M012146A = . ;
IF M012146B = 99               THEN M012146B = . ;
IF M012146D = 99               THEN M012146D = . ;
IF M012147A = 99               THEN M012147A = . ;
IF M012147B = 99               THEN M012147B = . ;
IF M012148  = 99               THEN M012148  = . ;
IF M012149  = 99               THEN M012149  = . ;
IF M012150  = 9                THEN M012150  = . ;
IF M012151  = 99               THEN M012151  = . ;
IF S012128A = 99               THEN S012128A = . ;
IF S012128B = 99               THEN S012128B = . ;
IF S012129  = 99               THEN S012129  = . ;
IF S012130  = 99               THEN S012130  = . ;
IF S012131A = 99               THEN S012131A = . ;
IF S012131B = 99               THEN S012131B = . ;
IF S012132  = 99               THEN S012132  = . ;
IF S012133  = 99               THEN S012133  = . ;
IF S012134A = 99               THEN S012134A = . ;
IF S012134B = 99               THEN S012134B = . ;
IF S012134C = 99               THEN S012134C = . ;
IF S012134D = 99               THEN S012134D = . ;
IF S012135A = 99               THEN S012135A = . ;
IF S012135B = 99               THEN S012135B = . ;
IF S012135D = 99               THEN S012135D = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF BSMSTDR  = 999              THEN BSMSTDR  = . ;
IF BSMNRSC  = 999              THEN BSMNRSC  = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSSSTDR  = 999              THEN BSSSTDR  = . ;
IF BSSNRSC  = 999              THEN BSSNRSC  = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;




