%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bsa&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDCLASS    8 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDSCORA    3 ;
LENGTH      ITEXCLUD   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITPART     3 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ILRELIAB   3 ;
LENGTH      M012001    3 ;
LENGTH      M012002    3 ;
LENGTH      M012003    3 ;
LENGTH      M012004    3 ;
LENGTH      M012005    3 ;
LENGTH      M012006    3 ;
LENGTH      S012001    3 ;
LENGTH      S012002    3 ;
LENGTH      S012003    3 ;
LENGTH      S012004    3 ;
LENGTH      S012005    3 ;
LENGTH      S012006    3 ;
LENGTH      S012007    3 ;
LENGTH      S012008    3 ;
LENGTH      S012009    3 ;
LENGTH      S012010    3 ;
LENGTH      S012011    3 ;
LENGTH      S012012    3 ;
LENGTH      M012007    3 ;
LENGTH      M012008    3 ;
LENGTH      M012009    3 ;
LENGTH      M012010    3 ;
LENGTH      M012011    3 ;
LENGTH      M012012    3 ;
LENGTH      M012013    3 ;
LENGTH      M012014    3 ;
LENGTH      M012015    3 ;
LENGTH      M012016    3 ;
LENGTH      M012017    3 ;
LENGTH      M012018    3 ;
LENGTH      S012013    3 ;
LENGTH      S012014    3 ;
LENGTH      S012015    3 ;
LENGTH      S012016    3 ;
LENGTH      S012017    3 ;
LENGTH      S012018    3 ;
LENGTH      S012019    3 ;
LENGTH      S012020    3 ;
LENGTH      S012021    3 ;
LENGTH      S012022    3 ;
LENGTH      S012023    3 ;
LENGTH      S012024    3 ;
LENGTH      M012019    3 ;
LENGTH      M012020    3 ;
LENGTH      M012021    3 ;
LENGTH      M012022    3 ;
LENGTH      M012023    3 ;
LENGTH      M012024    3 ;
LENGTH      M012025    3 ;
LENGTH      M012026    3 ;
LENGTH      M012027    3 ;
LENGTH      M012028    3 ;
LENGTH      M012029    3 ;
LENGTH      M012030    3 ;
LENGTH      S012025    3 ;
LENGTH      S012026    3 ;
LENGTH      S012027    3 ;
LENGTH      S012028    3 ;
LENGTH      S012029    3 ;
LENGTH      S012030    3 ;
LENGTH      S012031    3 ;
LENGTH      S012032    3 ;
LENGTH      S012033    3 ;
LENGTH      S012034    3 ;
LENGTH      S012035    3 ;
LENGTH      S012036    3 ;
LENGTH      M012031    3 ;
LENGTH      M012032    3 ;
LENGTH      M012033    3 ;
LENGTH      M012034    3 ;
LENGTH      M012035    3 ;
LENGTH      M012036    3 ;
LENGTH      M012037    3 ;
LENGTH      M012038    3 ;
LENGTH      M012039    3 ;
LENGTH      M012040    3 ;
LENGTH      M012041    3 ;
LENGTH      M012042    3 ;
LENGTH      S012037    3 ;
LENGTH      S012038    3 ;
LENGTH      S012039    3 ;
LENGTH      S012040    3 ;
LENGTH      S012041    3 ;
LENGTH      S012042    3 ;
LENGTH      S012043    3 ;
LENGTH      S012044    3 ;
LENGTH      S012045    3 ;
LENGTH      S012046    3 ;
LENGTH      S012047    3 ;
LENGTH      S012048    3 ;
LENGTH      M012043    3 ;
LENGTH      M012044    3 ;
LENGTH      M012045    3 ;
LENGTH      M012046    3 ;
LENGTH      M012047    3 ;
LENGTH      M012048    3 ;
LENGTH      M022002    3 ;
LENGTH      M022004    3 ;
LENGTH      M022005    3 ;
LENGTH      M022008    3 ;
LENGTH      M022010    3 ;
LENGTH      M022012    3 ;
LENGTH      M022021    3 ;
LENGTH      M022016    3 ;
LENGTH      M022252    3 ;
LENGTH      S022183    3 ;
LENGTH      S022276    3 ;
LENGTH      S022115    3 ;
LENGTH      S022022    3 ;
LENGTH      S022019    3 ;
LENGTH      S022002    3 ;
LENGTH      S022294    3 ;
LENGTH      S022106    3 ;
LENGTH      S022244    3 ;
LENGTH      S022150    3 ;
LENGTH      S022042    3 ;
LENGTH      S022073    3 ;
LENGTH      S022099    3 ;
LENGTH      S022174    3 ;
LENGTH      S022009    3 ;
LENGTH      S022012    3 ;
LENGTH      S022082    3 ;
LENGTH      S022094    3 ;
LENGTH      S022278    3 ;
LENGTH      S022081    3 ;
LENGTH      M022022    3 ;
LENGTH      M022246    3 ;
LENGTH      M022026    3 ;
LENGTH      M022030    3 ;
LENGTH      M022031    3 ;
LENGTH      M022033    3 ;
LENGTH      M022037    3 ;
LENGTH      M022041    3 ;
LENGTH      M022038    3 ;
LENGTH      M022043    3 ;
LENGTH      M022046    3 ;
LENGTH      M022049    3 ;
LENGTH      M022050    3 ;
LENGTH      M022055    3 ;
LENGTH      M022057    3 ;
LENGTH      M022257    3 ;
LENGTH      M022062    3 ;
LENGTH      M022066    3 ;
LENGTH      S022035    3 ;
LENGTH      S022225    3 ;
LENGTH      S022117    3 ;
LENGTH      S022235    3 ;
LENGTH      S022188    3 ;
LENGTH      S022074    3 ;
LENGTH      S022240    3 ;
LENGTH      S022206    3 ;
LENGTH      S022160    3 ;
LENGTH      S022058    3 ;
LENGTH      S022014    3 ;
LENGTH      S022131    3 ;
LENGTH      S022132    3 ;
LENGTH      S022017    3 ;
LENGTH      S022295    3 ;
LENGTH      S022194    3 ;
LENGTH      S022118    3 ;
LENGTH      S022140    3 ;
LENGTH      M022070    3 ;
LENGTH      M022073    3 ;
LENGTH      M022258    3 ;
LENGTH      M022078    3 ;
LENGTH      M022079    3 ;
LENGTH      M022042    3 ;
LENGTH      M022083    3 ;
LENGTH      M022085    3 ;
LENGTH      M022089    3 ;
LENGTH      M022093    3 ;
LENGTH      M022097    3 ;
LENGTH      M022259    3 ;
LENGTH      M022101    3 ;
LENGTH      M022104    3 ;
LENGTH      M022105    3 ;
LENGTH      M022106    3 ;
LENGTH      M022108    3 ;
LENGTH      M022110    3 ;
LENGTH      M022181    3 ;
LENGTH      S022187    3 ;
LENGTH      S022161    3 ;
LENGTH      S022222    3 ;
LENGTH      S022191    3 ;
LENGTH      S022279    3 ;
LENGTH      S022040    3 ;
LENGTH      S022007    3 ;
LENGTH      S022141    3 ;
LENGTH      S022123    3 ;
LENGTH      S022238    3 ;
LENGTH      S022145    3 ;
LENGTH      S022293    3 ;
LENGTH      S022178    3 ;
LENGTH      S022137    3 ;
LENGTH      S022030    3 ;
LENGTH      S022049    3 ;
LENGTH      M022113    3 ;
LENGTH      M022116    3 ;
LENGTH      M022118    3 ;
LENGTH      M022121    3 ;
LENGTH      M022124    3 ;
LENGTH      M022126    3 ;
LENGTH      M022128    3 ;
LENGTH      M022249    3 ;
LENGTH      M022132    3 ;
LENGTH      M022135    3 ;
LENGTH      M022139    3 ;
LENGTH      M022142    3 ;
LENGTH      M022144    3 ;
LENGTH      M022146    3 ;
LENGTH      M022148    3 ;
LENGTH      M022253    3 ;
LENGTH      M022154    3 ;
LENGTH      M022156    3 ;
LENGTH      S022086    3 ;
LENGTH      S022198    3 ;
LENGTH      S022275    3 ;
LENGTH      S022041    3 ;
LENGTH      S022283    3 ;
LENGTH      S022202    3 ;
LENGTH      S022152    3 ;
LENGTH      S022154    3 ;
LENGTH      S022280    3 ;
LENGTH      S022043    3 ;
LENGTH      S022258    3 ;
LENGTH      S022157    3 ;
LENGTH      S022277A   3 ;
LENGTH      S022277B   3 ;
LENGTH      S022277D   3 ;
LENGTH      S022158    3 ;
LENGTH      S022245    3 ;
LENGTH      M022159    3 ;
LENGTH      M022176    3 ;
LENGTH      M022160    3 ;
LENGTH      M022165    3 ;
LENGTH      M022168    3 ;
LENGTH      M022169    3 ;
LENGTH      M022172    3 ;
LENGTH      M022173    3 ;
LENGTH      M022260    3 ;
LENGTH      M022178    3 ;
LENGTH      M022251    3 ;
LENGTH      M022185    3 ;
LENGTH      M022188    3 ;
LENGTH      M022189    3 ;
LENGTH      M022191    3 ;
LENGTH      M022194    3 ;
LENGTH      M022196    3 ;
LENGTH      M022198    3 ;
LENGTH      M022199    3 ;
LENGTH      M022202    3 ;
LENGTH      S022290    3 ;
LENGTH      S022292    3 ;
LENGTH      S022054    3 ;
LENGTH      S022181    3 ;
LENGTH      S022208    3 ;
LENGTH      S022078    3 ;
LENGTH      S022126    3 ;
LENGTH      S022281    3 ;
LENGTH      S022264    3 ;
LENGTH      S022064    3 ;
LENGTH      S022165A   3 ;
LENGTH      S022165B   3 ;
LENGTH      S022165D   3 ;
LENGTH      S022284    3 ;
LENGTH      S022213    3 ;
LENGTH      S022254    3 ;
LENGTH      M022204    3 ;
LENGTH      M022206    3 ;
LENGTH      M022208    3 ;
LENGTH      M022210    3 ;
LENGTH      M022213    3 ;
LENGTH      M022166    3 ;
LENGTH      M022245    3 ;
LENGTH      M022219    3 ;
LENGTH      M022222    3 ;
LENGTH      M022261A   3 ;
LENGTH      M022261B   3 ;
LENGTH      M022261C   3 ;
LENGTH      M022227A   3 ;
LENGTH      M022227B   3 ;
LENGTH      M022227C   3 ;
LENGTH      M022127    3 ;
LENGTH      M022228    3 ;
LENGTH      M022231A   3 ;
LENGTH      M022231B   3 ;
LENGTH      M022244    3 ;
LENGTH      M022207    3 ;
LENGTH      M022232    3 ;
LENGTH      M022234A   3 ;
LENGTH      M022234B   3 ;
LENGTH      M022243    3 ;
LENGTH      M022237    3 ;
LENGTH      M022256    3 ;
LENGTH      M022241    3 ;
LENGTH      M022262A   3 ;
LENGTH      M022262B   3 ;
LENGTH      M022262C   3 ;
LENGTH      S022088A   3 ;
LENGTH      S022088B   3 ;
LENGTH      S022249A   3 ;
LENGTH      S022249B   3 ;
LENGTH      S022249D   3 ;
LENGTH      S022286    3 ;
LENGTH      S022282    3 ;
LENGTH      S022172A   3 ;
LENGTH      S022172B   3 ;
LENGTH      S022288    3 ;
LENGTH      S022289    3 ;
LENGTH      S022069    3 ;
LENGTH      S022268    3 ;
LENGTH      S022217A   3 ;
LENGTH      S022217B   3 ;
LENGTH      S022217C   3 ;
LENGTH      S022217D   3 ;
LENGTH      S022090    3 ;
LENGTH      S022048    3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      INTMS99    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      BSSERI01   8 ;
LENGTH      BSSERI02   8 ;
LENGTH      BSSERI03   8 ;
LENGTH      BSSERI04   8 ;
LENGTH      BSSERI05   8 ;
LENGTH      BSSNOS01   8 ;
LENGTH      BSSNOS02   8 ;
LENGTH      BSSNOS03   8 ;
LENGTH      BSSNOS04   8 ;
LENGTH      BSSNOS05   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  IDCLASS      15-  22     
  IDSTUD       23-  32     
  IDGRADE      33-  34     
  IDBOOK       35-  35     
  IDGRADER     36-  36     
  IDSCORR      37-  39     
  IDSCORA      40-  42     
  ITEXCLUD     43-  43     
  ITSEX        44-  44     
  ITPART       45-  45     
  ITBIRTHM     46-  47     
  ITBIRTHY     48-  49     
  ILRELIAB     50-  50     
  M012001      51-  51     
  M012002      52-  52     
  M012003      53-  53     
  M012004      54-  54     
  M012005      55-  55     
  M012006      56-  56     
  S012001      57-  57     
  S012002      58-  58     
  S012003      59-  59     
  S012004      60-  60     
  S012005      61-  61     
  S012006      62-  62     
  S012007      63-  63     
  S012008      64-  64     
  S012009      65-  65     
  S012010      66-  66     
  S012011      67-  67     
  S012012      68-  68     
  M012007      69-  69     
  M012008      70-  70     
  M012009      71-  71     
  M012010      72-  72     
  M012011      73-  73     
  M012012      74-  74     
  M012013      75-  75     
  M012014      76-  76     
  M012015      77-  77     
  M012016      78-  78     
  M012017      79-  79     
  M012018      80-  80     
  S012013      81-  81     
  S012014      82-  82     
  S012015      83-  83     
  S012016      84-  84     
  S012017      85-  85     
  S012018      86-  86     
  S012019      87-  87     
  S012020      88-  88     
  S012021      89-  89     
  S012022      90-  90     
  S012023      91-  91     
  S012024      92-  92     
  M012019      93-  93     
  M012020      94-  94     
  M012021      95-  95     
  M012022      96-  96     
  M012023      97-  97     
  M012024      98-  98     
  M012025      99-  99     
  M012026     100- 100     
  M012027     101- 101     
  M012028     102- 102     
  M012029     103- 103     
  M012030     104- 104     
  S012025     105- 105     
  S012026     106- 106     
  S012027     107- 107     
  S012028     108- 108     
  S012029     109- 109     
  S012030     110- 110     
  S012031     111- 111     
  S012032     112- 112     
  S012033     113- 113     
  S012034     114- 114     
  S012035     115- 115     
  S012036     116- 116     
  M012031     117- 117     
  M012032     118- 118     
  M012033     119- 119     
  M012034     120- 120     
  M012035     121- 121     
  M012036     122- 122     
  M012037     123- 123     
  M012038     124- 124     
  M012039     125- 125     
  M012040     126- 126     
  M012041     127- 127     
  M012042     128- 128     
  S012037     129- 129     
  S012038     130- 130     
  S012039     131- 131     
  S012040     132- 132     
  S012041     133- 133     
  S012042     134- 134     
  S012043     135- 135     
  S012044     136- 136     
  S012045     137- 137     
  S012046     138- 138     
  S012047     139- 139     
  S012048     140- 140     
  M012043     141- 141     
  M012044     142- 142     
  M012045     143- 143     
  M012046     144- 144     
  M012047     145- 145     
  M012048     146- 146     
  M022002     147- 147     
  M022004     148- 148     
  M022005     149- 149     
  M022008     150- 151     
  M022010     152- 152     
  M022012     153- 154     
  M022021     155- 155     
  M022016     156- 156     
  M022252     157- 157     
  S022183     158- 158     
  S022276     159- 159     
  S022115     160- 160     
  S022022     161- 162     
  S022019     163- 163     
  S022002     164- 164     
  S022294     165- 165     
  S022106     166- 166     
  S022244     167- 168     
  S022150     169- 169     
  S022042     170- 170     
  S022073     171- 171     
  S022099     172- 172     
  S022174     173- 174     
  S022009     175- 175     
  S022012     176- 176     
  S022082     177- 177     
  S022094     178- 178     
  S022278     179- 179     
  S022081     180- 181     
  M022022     182- 182     
  M022246     183- 183     
  M022026     184- 185     
  M022030     186- 187     
  M022031     188- 188     
  M022033     189- 189     
  M022037     190- 190     
  M022041     191- 191     
  M022038     192- 192     
  M022043     193- 193     
  M022046     194- 195     
  M022049     196- 196     
  M022050     197- 197     
  M022055     198- 199     
  M022057     200- 200     
  M022257     201- 201     
  M022062     202- 202     
  M022066     203- 203     
  S022035     204- 205     
  S022225     206- 206     
  S022117     207- 207     
  S022235     208- 208     
  S022188     209- 209     
  S022074     210- 210     
  S022240     211- 211     
  S022206     212- 212     
  S022160     213- 214     
  S022058     215- 215     
  S022014     216- 216     
  S022131     217- 217     
  S022132     218- 218     
  S022017     219- 220     
  S022295     221- 221     
  S022194     222- 222     
  S022118     223- 223     
  S022140     224- 225     
  M022070     226- 226     
  M022073     227- 227     
  M022258     228- 228     
  M022078     229- 229     
  M022079     230- 230     
  M022042     231- 231     
  M022083     232- 232     
  M022085     233- 233     
  M022089     234- 235     
  M022093     236- 236     
  M022097     237- 237     
  M022259     238- 238     
  M022101     239- 239     
  M022104     240- 240     
  M022105     241- 241     
  M022106     242- 243     
  M022108     244- 244     
  M022110     245- 246     
  M022181     247- 247     
  S022187     248- 248     
  S022161     249- 250     
  S022222     251- 251     
  S022191     252- 253     
  S022279     254- 255     
  S022040     256- 256     
  S022007     257- 257     
  S022141     258- 259     
  S022123     260- 260     
  S022238     261- 261     
  S022145     262- 262     
  S022293     263- 263     
  S022178     264- 264     
  S022137     265- 265     
  S022030     266- 266     
  S022049     267- 268     
  M022113     269- 269     
  M022116     270- 270     
  M022118     271- 272     
  M022121     273- 273     
  M022124     274- 274     
  M022126     275- 275     
  M022128     276- 276     
  M022249     277- 277     
  M022132     278- 279     
  M022135     280- 280     
  M022139     281- 281     
  M022142     282- 282     
  M022144     283- 283     
  M022146     284- 284     
  M022148     285- 286     
  M022253     287- 288     
  M022154     289- 289     
  M022156     290- 291     
  S022086     292- 293     
  S022198     294- 294     
  S022275     295- 295     
  S022041     296- 296     
  S022283     297- 298     
  S022202     299- 299     
  S022152     300- 301     
  S022154     302- 303     
  S022280     304- 304     
  S022043     305- 306     
  S022258     307- 308     
  S022157     309- 309     
  S022277A    310- 311     
  S022277B    312- 313     
  S022277D    314- 315     
  S022158     316- 317     
  S022245     318- 318     
  M022159     319- 319     
  M022176     320- 320     
  M022160     321- 321     
  M022165     322- 322     
  M022168     323- 323     
  M022169     324- 324     
  M022172     325- 325     
  M022173     326- 326     
  M022260     327- 327     
  M022178     328- 329     
  M022251     330- 330     
  M022185     331- 331     
  M022188     332- 332     
  M022189     333- 333     
  M022191     334- 334     
  M022194     335- 335     
  M022196     336- 336     
  M022198     337- 337     
  M022199     338- 338     
  M022202     339- 340     
  S022290     341- 341     
  S022292     342- 343     
  S022054     344- 344     
  S022181     345- 345     
  S022208     346- 346     
  S022078     347- 348     
  S022126     349- 349     
  S022281     350- 351     
  S022264     352- 352     
  S022064     353- 353     
  S022165A    354- 355     
  S022165B    356- 357     
  S022165D    358- 359     
  S022284     360- 361     
  S022213     362- 363     
  S022254     364- 364     
  M022204     365- 365     
  M022206     366- 366     
  M022208     367- 367     
  M022210     368- 368     
  M022213     369- 369     
  M022166     370- 370     
  M022245     371- 371     
  M022219     372- 373     
  M022222     374- 375     
  M022261A    376- 377     
  M022261B    378- 379     
  M022261C    380- 381     
  M022227A    382- 383     
  M022227B    384- 385     
  M022227C    386- 387     
  M022127     388- 388     
  M022228     389- 390     
  M022231A    391- 392     
  M022231B    393- 394     
  M022244     395- 396     
  M022207     397- 397     
  M022232     398- 399     
  M022234A    400- 401     
  M022234B    402- 403     
  M022243     404- 405     
  M022237     406- 407     
  M022256     408- 409     
  M022241     410- 410     
  M022262A    411- 412     
  M022262B    413- 414     
  M022262C    415- 416     
  S022088A    417- 418     
  S022088B    419- 420     
  S022249A    421- 422     
  S022249B    423- 424     
  S022249D    425- 426     
  S022286     427- 428     
  S022282     429- 430     
  S022172A    431- 432     
  S022172B    433- 434     
  S022288     435- 436     
  S022289     437- 438     
  S022069     439- 440     
  S022268     441- 442     
  S022217A    443- 444     
  S022217B    445- 446     
  S022217C    447- 448     
  S022217D    449- 450     
  S022090     451- 452     
  S022048     453- 454     
  TOTWGT      455- 467 .6
  HOUWGT      468- 480 .6
  SENWGT      481- 493 .6
  JKZONE      494- 495     
  JKREP       496- 496     
  BSMSTDR     497- 504 .3
  BSMNRSC     505- 512 .3
  BSMSCPT     513- 514     
  BSSSTDR     515- 522 .3
  BSSNRSC     523- 530 .3
  BSSSCPT     531- 532     
  INTMS99     533- 533     
  INTMS95     534- 534     
  BSMMAT01    535- 540 .2
  BSMMAT02    541- 546 .2
  BSMMAT03    547- 552 .2
  BSMMAT04    553- 558 .2
  BSMMAT05    559- 564 .2
  BSSSCI01    565- 570 .2
  BSSSCI02    571- 576 .2
  BSSSCI03    577- 582 .2
  BSSSCI04    583- 588 .2
  BSSSCI05    589- 594 .2
  BSMALG01    595- 600 .2
  BSMALG02    601- 606 .2
  BSMALG03    607- 612 .2
  BSMALG04    613- 618 .2
  BSMALG05    619- 624 .2
  BSMDAP01    625- 630 .2
  BSMDAP02    631- 636 .2
  BSMDAP03    637- 642 .2
  BSMDAP04    643- 648 .2
  BSMDAP05    649- 654 .2
  BSMFNS01    655- 660 .2
  BSMFNS02    661- 666 .2
  BSMFNS03    667- 672 .2
  BSMFNS04    673- 678 .2
  BSMFNS05    679- 684 .2
  BSMGEO01    685- 690 .2
  BSMGEO02    691- 696 .2
  BSMGEO03    697- 702 .2
  BSMGEO04    703- 708 .2
  BSMGEO05    709- 714 .2
  BSMMEA01    715- 720 .2
  BSMMEA02    721- 726 .2
  BSMMEA03    727- 732 .2
  BSMMEA04    733- 738 .2
  BSMMEA05    739- 744 .2
  BSSCHE01    745- 750 .2
  BSSCHE02    751- 756 .2
  BSSCHE03    757- 762 .2
  BSSCHE04    763- 768 .2
  BSSCHE05    769- 774 .2
  BSSEAS01    775- 780 .2
  BSSEAS02    781- 786 .2
  BSSEAS03    787- 792 .2
  BSSEAS04    793- 798 .2
  BSSEAS05    799- 804 .2
  BSSLIS01    805- 810 .2
  BSSLIS02    811- 816 .2
  BSSLIS03    817- 822 .2
  BSSLIS04    823- 828 .2
  BSSLIS05    829- 834 .2
  BSSPHY01    835- 840 .2
  BSSPHY02    841- 846 .2
  BSSPHY03    847- 852 .2
  BSSPHY04    853- 858 .2
  BSSPHY05    859- 864 .2
  BSSERI01    865- 870 .2
  BSSERI02    871- 876 .2
  BSSERI03    877- 882 .2
  BSSERI04    883- 888 .2
  BSSERI05    889- 894 .2
  BSSNOS01    895- 900 .2
  BSSNOS02    901- 906 .2
  BSSNOS03    907- 912 .2
  BSSNOS04    913- 918 .2
  BSSNOS05    919- 924 .2
  DPCDATE     925- 930     
;

%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDGRADE  = "*GRADE*"
  IDBOOK   = "*BOOKLET ID*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDSCORR  = "*CODER*"
  IDSCORA  = "*2ND CODER*"
  ITEXCLUD = "*INDICATOR FOR EXCLUDED STUDENTS*"
  ITSEX    = "*STUDENT'S SEX*"
  ITPART   = "*PARTICIPATION STATUS/ACHIEVEMENT SESS.*"
  ITBIRTHM = "*STUDENT'S DATE OF BIRTH\MONTH*"
  ITBIRTHY = "*STUDENT'S DATE OF BIRTH\YEAR*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  M012001  = "HOW MANY MORE SQUARES SHADED (A)"
  M012002  = "WHAT IS THE WEIGHT OF ONE BRICK (C)"
  M012003  = "WHICH COULD BE BOX LENGTH (D)"
  M012004  = "HOW MANY LAPS HAS ALICE RUN (D)"
  M012005  = "WHICH IS FALSE (B)"
  M012006  = "COMPARE JOE'S AND MARY'S SCORE (C)"
  S012001  = "WHICH ORGAN NOT IN ABDOMEN (E)"
  S012002  = "WHICH SPRING HAS MORE ENERGY (B)"
  S012003  = "FANNING MAKE FIRE BURN HOTTER (B)"
  S012004  = "WHY PERSON OUTSIDE CANNOT SEE (A)"
  S012005  = "PROBLEM OF OVERGRAZING AND (C)"
  S012006  = "WHAT WILL RIVER LOOK LIKE (C)"
  S012007  = "WHERE IS HOTTEST LAYER OF EARTH (C)"
  S012008  = "CHANGE OF CHEMICAL ENERGY INTO (B)"
  S012009  = "WHICH HAS GREATEST DENSITY (C)"
  S012010  = "CHANGE PULSE AFTER RACE (C)"
  S012011  = "WHICH FEATURE IS LOCATED AT (A)"
  S012012  = "WHAT COLOR SHOULD THEY PAINT (A)"
  M012007  = "WHEN GREATEST INCREASE OF SALES (D)"
  M012008  = "HOW MANY CALORIES IN 30G FOOD (A)"
  M012009  = "WHICH PICTURE SHOWS 2/5 = 4/10 (A)"
  M012010  = "WHICH IS SMALLEST NUMBER (E)"
  M012011  = "WHICH CUBE BY FOLDING FIGURE (C)"
  M012012  = "WHICH OF EQUATIONS REPRESENTS (A)"
  M012013  = "STACK WITH DIFFERENT VOLUME IS (A)"
  M012014  = "WHICH STATEMENT TRUE (D)"
  M012015  = "WHICH COULD BE TRUE (A)"
  M012016  = "WHEN 2.25 LARGER / SMALLER (B)"
  M012017  = "# MATCHSTICKS FOR 10TH FIGURE (B)"
  M012018  = "WHICH IS WORST ESTIMATE (A)"
  S012013  = "WHICH ABOUT MOUNTAINS TRUE (B)"
  S012014  = "CARRY MESSAGE-EYE TO BRAIN (D)"
  S012015  = "WHICH IS REFLECTION OF CANDLE (B)"
  S012016  = "POWDER OF WHITE/BLACK SPECK (C)"
  S012017  = "WHAT POSSIBLE SERIOUS EFFECT (A)"
  S012018  = "WHICH IS NOT A FOSSIL FUEL (C)"
  S012019  = "DIAGRAM BEST SHOW LIGHT HIT (B)"
  S012020  = "MAGNET AND COFFEE (C)"
  S012021  = "IN WHICH DIRECTION FLOWS RIVER (B)"
  S012022  = "DIAGRAM SHOWS WHICH EVENT (C)"
  S012023  = "SENSORY MESSAGES TO BRAIN BY (C)"
  S012024  = "SEEDS COME FROM WHICH PART (A)"
  M012019  = "MEASURE OF ANGLE BCD IS (C)"
  M012020  = "7:13 = X:52, WHAT IS X (C)"
  M012021  = "WHICH IS SMALLEST FRACTION (A)"
  M012022  = "WHICH EQUATION SHOWS COST OF (A)"
  M012023  = "BEST UNIT TO MEASURE EGG (C)"
  M012024  = "BEST ESTIMATE WHAT NUMBER P (B)"
  M012025  = "AT WHAT TIME DID THEY MEET (D)"
  M012026  = "WHAT'S MEASURE OF ANGLE EGC (D)"
  M012027  = "WHAT FRACTION OF HOUR PASSED (B)"
  M012028  = "DIFFERENCE 4-DIGIT NUMBERS (C)"
  M012029  = "WHICH IS RIGHT DESCRIPTION (E)"
  M012030  = "WHAT IS THE LENGTH OF RECTANGLE (B)"
  S012025  = "NUCLEUS MOST ATOMS CONSISTS OF (B)"
  S012026  = "A SON CAN INHERIT TRAITS (C)"
  S012027  = "WHEN WIND BECAME COLDER (D)"
  S012028  = "WHAT CHARACTERISTIC USED (A)"
  S012029  = "WHAT NEW SIDE ON SHADOW (D)"
  S012030  = "MOST CAVES ARE FORMED BY (B)"
  S012031  = "WHAT SHOWS MAMMAL (B)"
  S012032  = "LIGHT-COLOR CLOTHES FEEL COOLER (A)"
  S012033  = "WHERE ARE SENSES INTERPRETATED (A)"
  S012034  = "AREAS SOIL WASHED AWAY (D)"
  S012035  = "WHY OXYGEN EQUIPMENT NECESSARY (A)"
  S012036  = "REASON WHY PAINT PREVENTS RUST (E)"
  M012031  = "WHAT WAS AVERAGE SPEED IN M/SEC (B)"
  M012032  = "WHAT HAPPEN IN FIFTH COIN TOSS (C)"
  M012033  = "WHICH NUMBER BETWEEN 0.07/0.08 (C)"
  M012034  = "MEASURE ACCURATELY - NEAREST (D)"
  M012035  = "WHAT 1/3 OF NUMBER (A)"
  M012036  = "WHAT FRACTION IS SHADED (C)"
  M012037  = "# IN CLASS SCORE < 7 (B)"
  M012038  = "LENGTH OF PIPE (C)"
  M012039  = "WHAT IS THE VALUE OF X + Y (C)"
  M012040  = "IF 12/N = 36/21B,VALUE OF N (B)"
  M012041  = "HOW MANY BIRTHDAY IN FIRST HALF (D)"
  M012042  = "IF X=-3, VALUE OF -3X IS (E)"
  S012037  = "WHICH WAY BATTERIES BE PLACED (A)"
  S012038  = "MAIN FUNCTION OF RED BLOOD CELLS(B)"
  S012039  = "TRAITS ARE TRANSFERRED FROM (C)"
  S012040  = "WHAT LEFT IF TOOK ALL ATOMS (C)"
  S012041  = "NAME OF ROCK UNDER WATER (C)"
  S012042  = "WHICH - NONRENEWABLE RESOURCE (D)"
  S012043  = "WHICH NOT A FUNCTION OF BLOOD (A)"
  S012044  = "WHAT ARE VITAMINS (D)"
  S012045  = "WHAT'S THE BEST EXPLANATION (A)"
  S012046  = "LAYER CONTAIN MOST ORGANIC (A)"
  S012047  = "WHERE CAME ENERGY IN FOOD FROM (B)"
  S012048  = "REACTION OF BURNING WOOD WILL (A)"
  M012043  = "HOW MANY PUPILS TRAVEL >10 MIN (C)"
  M012044  = "WHICH SHOWS 2/3 SHADE OF SQUARE (E)"
  M012045  = "WHICH SUM CLOSEST TO 691+208 (B)"
  M012046  = "EQUATION EXPRESS RELATIONSHIP (D)"
  M012047  = "HOW MANY DEFECTIVE BULBS (C)"
  M012048  = "WHICH REPRESENTS TOTAL NUMBER (B)"
  M022002  = "THREE CONSECUTIVE EVEN NR ADDING TO  (A)"
  M022004  = "4/5 OF BOOKS MORE THAN 2/5     (C)"
  M022005  = "250 ML BOTTLES FILLED W. 400 LITERS (C)"
  M022008  = "NR IN SEQUENCE INCREASING BY 4 (X)"
  M022010  = "HOW MUCH LONG. FOR BETTY TO RUN RACE (A)"
  M022012  = "FRACTION LESS THAN 4/9   (X)"
  M022021  = "AREA OF PAVED WALKWAY AROUND POOL (C)"
  M022016  = "POINT ON A LINE DEFINED BY TWO P. (D)"
  M022252  = "MOST LIKELY SECTOR ON SPINNER  (B)"
  S022183  = "GAS NEEDED FOR RUSTING  (B)"
  S022276  = "BUBBLING AT ELECTR. - OBSERVATION (A)"
  S022115  = "OXYGEN/CARBON DIOXIDE CYCLE  (D)"
  S022022  = "CURRENT/VOLTAGE TABLE  (X)"
  S022019  = "TRANSMISSION OF SOUND ON THE MOON (C)"
  S022002  = "HEAT CONDUCT. EXPERIMENT - MELTING (C)"
  S022294  = "DIAGRAMM EARTHS WATER CYCLE  (B)"
  S022106  = "ANIMAL ON EARTH LONGEST TIME  (C)"
  S022244  = "FORMAT. OF A.-RAIN FROM SULFUR DIOXI (X)"
  S022150  = "LEVELS OF ORGANIZ. IN LIVING THINGS (A)"
  S022042  = "GRAPH INTERPRETATION - BICYCLE FLAT (B)"
  S022073  = "MOVEM.OF EARTH'S PLATES OVER BILLIONS(C)"
  S022099  = "FEATURES SHARED BY ALL INSECTS  (A)"
  S022174  = "COMPOUNDS, MOLECULES AND ATOMS  (X)"
  S022009  = "EVAPORATION RATE - SURFACE AREA (C)"
  S022012  = "GRAVITY ACTING ON ROCKET   (D)"
  S022082  = "EARTH'S SEASONS         (C)"
  S022094  = "REASON FOR PROTEIN IN DIET (C)"
  S022278  = "SUNSCREEN TO PROTECT AGAINST RADIATON (D)"
  S022081  = "LIFE ON OTHER PLANETS  (X)"
  M022022  = "AREA OF PATH AROUND GARDEN   (B)"
  M022246  = "NOT TRUE FOR ALL RECTANGLES  (E)"
  M022026  = "DIVISION OF FRACTIONS   (X)"
  M022030  = "INTERPRET. OF PICTOGRAPH OF HOUSES (X)"
  M022031  = "DIVISION OF DECIMALS    (E)"
  M022033  = "TWO SIMILAR TRIANGLES   (C)"
  M022037  = "POINT ON GRAPH FROM COORDINATES  (D)"
  M022041  = "MISSING NUMBER IN TABLE  (A)"
  M022038  = "DISTANCE BETWEEN TOWNS FROM MAP (D)"
  M022043  = "CIRCLE WITH SAME SHADED FRACTION (D)"
  M022046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (X)"
  M022049  = "ROTATED 3-DIMENSIONAL OBJECT    (D)"
  M022050  = "INEQUALITY EQUIVALENT TO X/3 > 8 (E)"
  M022055  = "PERIMETER OF SQUARE FROM AREA  (X)"
  M022057  = "APPROXIMATE TONS OF FERTILIZER SOLD (C)"
  M022257  = "HOW MANY BLUE BADS ARE IN THE BOWL  (C)"
  M022062  = "VALUE OF ANGLE IN CONGRUENT TRIANG. (B)"
  M022066  = "ADDITION OF THREE FRACTIONS  (D)"
  S022035  = "POLES ON CUT MAGNET   (X)"
  S022225  = "THERMOM.SCALE FOR MEASURING BOILING (D)"
  S022117  = "INSECTS - BIOLOGICAL CONTROL   (B)"
  S022235  = "PLANT GROWTH EXPERI.- NEED FOR SAND (E)"
  S022188  = "REACT.RELEASING ENERGY - BURNING/EXP (C)"
  S022074  = "FOSSIL FUELS   (B)"
  S022240  = "MAIN CAUSE OF ACID RAIN (C)"
  S022206  = "BURNING WOOD TO FORM COMPOUND (B)"
  S022160  = "ADVANTAGE OF HAVING TWO EARS  (X)"
  S022058  = "ANGLE OF BEAM REFLECTED FROM MIRROR  (B)"
  S022014  = "ROTATING FORCES ON WHEEL  (D)"
  S022131  = "LARGE LEAVES ON SEEDLINGS - NEED FOR (D)"
  S022132  = "FEATURES OF PREY (A)"
  S022017  = "EFFICIENCY OF MACHINES PUMPING WATER (X)"
  S022295  = "WHEN MALE WOLVES THEIR PLACE (C)"
  S022194  = "FILTRATION OF MIXTURES (B)"
  S022118  = "EFFECTIVENESS OF INSECTICIDES (B)"
  S022140  = "COMPLETE FOOD WEB (X)"
  M022070  = "LENGTH OF BUILDING COMPARED TO CAR (B)"
  M022073  = "WHICH NR IS TWO HUNDRED SIX AND NINE (B)"
  M022258  = "GRAPH OF HUMIDITY IN ROOM          (C)"
  M022078  = "DISTANCE TRAVELED BY ELEVATOR (C)"
  M022079  = "MOST PACES TO WALK TO END OF HALLWAY (D)"
  M022042  = "CORRECT EQUATION BASED ON RELATION IN(E)"
  M022083  = "VALUES IN PROPORTIONALITY TABLE (E)"
  M022085  = "MEASURE OF FOURTH ANGLE IN QUADRILAT.(A)"
  M022089  = "FIND VALUE OF X IN MATHEMAT. EQUATIO (X)"
  M022093  = "SUBTRACTION WITH THREE FRACTIONS (B)"
  M022097  = "VOLTAGE SHOWN ON METER (C)"
  M022259  = "LINES OF SYMMETRY IN RHOMBUS        (B)"
  M022101  = "WHICH BOX GIVES GREAT.CHANCE OF PICK.(A)"
  M022104  = "WHICH FRACTION IS SMALLEST  (D)"
  M022105  = "ROTAT.OF TRIANGLE ABOUT A POINT IN A (D)"
  M022106  = "RATIO OF CHILDREN TO ADULTS ON BUS  (X)"
  M022108  = "DEGREE MEASURE OF ANGLE PRS BASED ON (C)"
  M022110  = "MULTIPLY TWO DECIMALS   (X)"
  M022181  = "WHICH GRAPH SHOWS INFORMAT.IN TABLE (B)"
  S022187  = "NOT A MIXTURE  (B)"
  S022161  = "HOW GLASSES/C.LENSES IMPROVE VISI    (X)"
  S022222  = "CONTROL.EXPERIMENT - CART AT DIFFEREN(E)"
  S022191  = "CANDLES IN 3 JARS-OXYGEN FOR COMBUST.(X)"
  S022279  = "BRUSH REFLECTED IN MIRROR - ANGLED   (X)"
  S022040  = "PATH OF BALL RELEAS.FROM CIRCULAR ORB(A)"
  S022007  = "COMPLETE CIRCUITS - ELECTRICAL COND. (C)"
  S022141  = "FOOD WEB - EFFECT OF CROP FAILURE (X)"
  S022123  = "BACTERIA TO CONVERT MILK TO YOGURT  (A)"
  S022238  = "EVAPORAT.OF VINEGAR/OIL - CONCLUSION (C)"
  S022145  = "BONE-MEAL FOR PLANT GROWTH  (B)"
  S022293  = "DEFINITION OF TISSUE  (A)"
  S022178  = "EXAMPLE OF CHEMICAL CHANGE (C)"
  S022137  = "MAMMAL/LIZARDS LIVING IN COLD REGIONS(D)"
  S022030  = "MAN BALANCING 10 ML AND 5 ML BUCKETS (D)"
  S022049  = "FLASHL. WITH WHITE/BLACK REFLECTORS (X)"
  M022113  = "NUMBER OF CARS FROM ROUNDED VALUE (C)"
  M022116  = "POSITION OF POINT ON NUMBER LINE  (A)"
  M022118  = "FIND VALUE OF EXPRESS.BY SUBSTITUTING(X)"
  M022121  = "LIST OF EQUIVALENT FRACTIONS  (B)"
  M022124  = "ANGLES CLOSEST TO 45 DEGREES  (D)"
  M022126  = "NR OF MARBLES IN BAG BEFORE REMOVING (B)"
  M022128  = "AMOUNT OF PAINT LEFT  (B)"
  M022249  = "PROBABIL.OF DRAWING A CHIP WITH MULT (C)"
  M022132  = "SHADE IN 3/8 OF SQUARES IN GRID  (X)"
  M022135  = "MINUTES FOR WATER TO COOL 20 DEGREES (A)"
  M022139  = "PERCENT DECREASE IN TRAVEL TIME      (C)"
  M022142  = "SUM OF ANGLES EQUAL TO 180 DEGREES   (B)"
  M022144  = "DECIMAL ROUNDED TO NEAREST HUNDREDTH (D)"
  M022146  = "NUMBER OF STUDENTS LESS THAN 13 FROM (E)"
  M022148  = "TIME WHEN FINISH HOMEWORK   (X)"
  M022253  = "SOLVE EQUATION FOR X  (X)"
  M022154  = "POINT AT CENTER OF ROTAT.OF RECTANGL (C)"
  M022156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG   (X)"
  S022086  = "HOLE IN OZONE LAYER (X)"
  S022198  = "WHICH IS CHEMICAL CHANGE - ELEMENTS  (C)"
  S022275  = "ABUNDANCE OF GASES IN ATMOSPHERE (A)"
  S022041  = "EXTRAPOLAT.FROM DISTANCE/TIME GRAPH (D)"
  S022283  = "APPEARANCE OF JUPITER AND MOON (X)"
  S022202  = "NEUTRAL ATOM GAINS ELECTRON    (B)"
  S022152  = "PROCESS TO PREVENT BODY FROM OVERHEA.(X)"
  S022154  = "TRANSMISSION OF COLD - CLASSROOM  (X)"
  S022280  = "DETERMINATION OF SPEED FROM GRAPH (D)"
  S022043  = "FLASHL. - AMOUNT OF LIGHT ON WALL AN (X)"
  S022258  = "TREE GROWTH - HEIGHT OF NAIL IN TRUNK(X)"
  S022157  = "HIBERNATING ANIMALS  (D)"
  S022277A = "REASONS FOR FAMINE   (X)"
  S022277B = "REASONS FOR FAMINE   (X)"
  S022277D = "TWO REASONS FOR FAMINE"
  S022158  = "DIGESTION IN STOMACH  (X)"
  S022245  = "REPLICAT./RELIABILITY OF MEASUREMENTS(C)"
  M022159  = "RATIO OF WIDTH PERIMETER IN RECTANGLE(D)"
  M022176  = "EXPRESSION EQUIVALENT TO N X N X N  (D)"
  M022160  = "LENGTH OF SIDE FROM SIMILAR TRIANGLE (B)"
  M022165  = "EXPRESSION EQUIVALENT TO K+K+K+K+K   (B)"
  M022168  = "LENGTH OF STRING PULLED STRAIGHT (C)"
  M022169  = "ESTIMATE OF TOTAL CARS IN PARK. LOT (C)"
  M022172  = "ESTIMATE OF DISTANCE FROM EXPLOSION (B)"
  M022173  = "FRACT.OF CHERRIES REMAINING IN BASKE (A)"
  M022260  = "DAY/TIME IN TABLE AT SHOWN TEMPER. (A)"
  M022178  = "WRITE DECIMAL AS FRACT. REDUCED TO LO(X)"
  M022251  = "TOTAL NUMBER OF CDS THREE GIRLS HAVE (C)"
  M022185  = "SUBTRACT FRACTIONS INVOLVING X  (E)"
  M022188  = "WHICH IS LEAST AMOUNT OF TIME   (B)"
  M022189  = "HOW MANY PENCILS SOLD FROM BAR GRAPH (C)"
  M022191  = "TRUE STATEMENT ABOUT MEN AND WOMEN  (A)"
  M022194  = "APPROXIMATELY HOW MANY MAGAZINES SOLD(D)"
  M022196  = "TRUE EXPRESS.BASED ON VALUES OF L,K, (A)"
  M022198  = "LIST OF DECIMALS ORDER.FROM GREATEST (D)"
  M022199  = "ADDITION AND MULTIPLICAT.WITH FRACTI (E)"
  M022202  = "FIND MEASURE OF ANGLE FROM SERIES ADJ(X)"
  S022290  = "EARTH YEAR  (D)"
  S022292  = "FLUID LEVEL IN U-TUBE  (X)"
  S022054  = "EXPANSION OF ALCOHOL IN THERMOMETERS (D)"
  S022181  = "SUGAR DISSOLVING IN WATER   (B)"
  S022208  = "NOT A CHEMICAL CHANGE   (A)"
  S022078  = "LIGHT FROM SUN AND MOON (X)"
  S022126  = "FUNCTION OF CHLOROPHYLL (A)"
  S022281  = "MASS OF FREEZING WATER  (X)"
  S022264  = "BACTERIA/MOLD EXPERIMENT - HYPOTHESIS(B)"
  S022064  = "RED DRESS IN GREEN LIGHT - WHY BLACK (C)"
  S022165A = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  S022165B = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  S022165D = "TWO OUTCOMES OF INTRODUCING NEW SPECIES"
  S022284  = "ATMOSPHERIC CONDITIONS - CONTROLL.JE (X)"
  S022213  = "SMALL PIECES OF WOOD BURN FASTER (X)"
  S022254  = "RESULT OF GLOBAL WARMING  (A)"
  M022204  = "SUBTRACT.OF DECIMALS TO THOUSANDTHS (A)"
  M022206  = "AVERAGE WEIGHT OF SALT CRYSTALS  (B)"
  M022208  = "TIME PENDULUM TO SWING 20 TIMES BASE (B)"
  M022210  = "TRUE EXPRESS.WHEN A,B,C ARE DIFFEREN (D)"
  M022213  = "HOW MANY RIGHT TRIANG.TO COVER RECTAN(C)"
  M022166  = "OPERATION ON NEGATIVE NR TO PRODUCE  (A)"
  M022245  = "SUBTRACTION OF TWO 4-DIGIT WHOLE NRS (B)"
  M022219  = "HOW MUCH MONEY LEFT IF SPENT 5/8 (X)"
  M022222  = "MONEY MARK RECEIV.FROM TOTAL MAGAZINE(X)"
  M022261A = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  M022261B = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  M022261C = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  M022227A = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  M022227B = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  M022227C = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  M022127  = "FUEL REMAINING IN TANK AT END OF TRIP(A)"
  M022228  = "NR OF CLUB MEMBERS THAT ARE BOYS (X)"
  M022231A = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  M022231B = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  M022244  = "AREA SHADED RECTANGLE INS. PARALLEL  (X)"
  M022207  = "HEIGHT STACK OF PAPER FROM SHEET  (C)"
  M022232  = "ESTIMATE TIME FOR WATER TO COOL FROM (X)"
  M022234A = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  M022234B = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  M022243  = "AREA SHADED TRIANGLE INSIDE A SQUARE (X)"
  M022237  = "TWO POSSIBILI.FOR ACTUAL HEIGHT BAS  (X)"
  M022256  = "CHEAPER MAGAZINE SUBSCRIPT.BASED ON  (X)"
  M022241  = "RATIO OF NITRATE TO TOTAL FERTILIZER (D)"
  M022262A = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  M022262B = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  M022262C = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  S022088A = "POS./NEGAT. EFFECT OF DAM ON (X)"
  S022088B = "POS./NEGAT. EFFECT OF DAM ON (X)"
  S022249A = "WATER SUPPLY  (X)"
  S022249B = "WATER SUPPLY  (X)"
  S022249D = "TWO REASONS FOR WATER SHORTAGE"
  S022286  = "DATA TREND DESCR.- MASSES ON SPRIN (X)"
  S022282  = "ENERGY CONVERSION - ELECTRICAL/LIGHT (X)"
  S022172A = "ECOSYSTEM IN RAIN FOREST (X)"
  S022172B = "ECOSYSTEM IN RAIN FOREST (X)"
  S022288  = "HEART RATE EXPERIMENT DESIGN (X)"
  S022289  = "EXPLAN. OF PULSE RATE INCREASING WIT (X)"
  S022069  = "TEMPERATURE OF BOILING WATER (X)"
  S022268  = "FREEZING SALT WATER EXPERIMENT (X)"
  S022217A = "GALVANIZATION OF STEEL (X)"
  S022217B = "GALVANIZATION OF STEEL (X)"
  S022217C = "GALVANIZATION OF STEEL (X)"
  S022217D = "GALVANIZATION OF STEEL"
  S022090  = "DIAGRAM OF RAIN FROM SEA FALL ON LAND(X)"
  S022048  = "HEAT EXPANS.OF BALLOONS - VAPOR PRES (X)"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  JKZONE   = "*JACKKNIFE ZONE*"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  BSMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  BSSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  INTMS99  = "*IN 1999 ASSESSMENT POPULATION*"
  INTMS95  = "*IN 1995 ASSESSMENT POPULATION*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  BSSERI01 = "*1ST PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI02 = "*2ND PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI03 = "*3RD PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI04 = "*4TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI05 = "*5TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSNOS01 = "*1ST PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS02 = "*2ND PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS03 = "*3RD PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS04 = "*4TH PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS05 = "*5TH PV SCIENT. INQUIRY + NAT. OF SCI*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDCLASS  = 99999998         THEN IDCLASS  = .A ;
IF IDSTUD   = 9999999998       THEN IDSTUD   = .A ;
IF IDGRADE  = 98               THEN IDGRADE  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDSCORA  = 998              THEN IDSCORA  = .A ;
IF ITEXCLUD = 8                THEN ITEXCLUD = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITPART   = 8                THEN ITPART   = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF M012001  = 8                THEN M012001  = .A ;
IF M012002  = 8                THEN M012002  = .A ;
IF M012003  = 8                THEN M012003  = .A ;
IF M012004  = 8                THEN M012004  = .A ;
IF M012005  = 8                THEN M012005  = .A ;
IF M012006  = 8                THEN M012006  = .A ;
IF S012001  = 8                THEN S012001  = .A ;
IF S012002  = 8                THEN S012002  = .A ;
IF S012003  = 8                THEN S012003  = .A ;
IF S012004  = 8                THEN S012004  = .A ;
IF S012005  = 8                THEN S012005  = .A ;
IF S012006  = 8                THEN S012006  = .A ;
IF S012007  = 8                THEN S012007  = .A ;
IF S012008  = 8                THEN S012008  = .A ;
IF S012009  = 8                THEN S012009  = .A ;
IF S012010  = 8                THEN S012010  = .A ;
IF S012011  = 8                THEN S012011  = .A ;
IF S012012  = 8                THEN S012012  = .A ;
IF M012007  = 8                THEN M012007  = .A ;
IF M012008  = 8                THEN M012008  = .A ;
IF M012009  = 8                THEN M012009  = .A ;
IF M012010  = 8                THEN M012010  = .A ;
IF M012011  = 8                THEN M012011  = .A ;
IF M012012  = 8                THEN M012012  = .A ;
IF M012013  = 8                THEN M012013  = .A ;
IF M012014  = 8                THEN M012014  = .A ;
IF M012015  = 8                THEN M012015  = .A ;
IF M012016  = 8                THEN M012016  = .A ;
IF M012017  = 8                THEN M012017  = .A ;
IF M012018  = 8                THEN M012018  = .A ;
IF S012013  = 8                THEN S012013  = .A ;
IF S012014  = 8                THEN S012014  = .A ;
IF S012015  = 8                THEN S012015  = .A ;
IF S012016  = 8                THEN S012016  = .A ;
IF S012017  = 8                THEN S012017  = .A ;
IF S012018  = 8                THEN S012018  = .A ;
IF S012019  = 8                THEN S012019  = .A ;
IF S012020  = 8                THEN S012020  = .A ;
IF S012021  = 8                THEN S012021  = .A ;
IF S012022  = 8                THEN S012022  = .A ;
IF S012023  = 8                THEN S012023  = .A ;
IF S012024  = 8                THEN S012024  = .A ;
IF M012019  = 8                THEN M012019  = .A ;
IF M012020  = 8                THEN M012020  = .A ;
IF M012021  = 8                THEN M012021  = .A ;
IF M012022  = 8                THEN M012022  = .A ;
IF M012023  = 8                THEN M012023  = .A ;
IF M012024  = 8                THEN M012024  = .A ;
IF M012025  = 8                THEN M012025  = .A ;
IF M012026  = 8                THEN M012026  = .A ;
IF M012027  = 8                THEN M012027  = .A ;
IF M012028  = 8                THEN M012028  = .A ;
IF M012029  = 8                THEN M012029  = .A ;
IF M012030  = 8                THEN M012030  = .A ;
IF S012025  = 8                THEN S012025  = .A ;
IF S012026  = 8                THEN S012026  = .A ;
IF S012027  = 8                THEN S012027  = .A ;
IF S012028  = 8                THEN S012028  = .A ;
IF S012029  = 8                THEN S012029  = .A ;
IF S012030  = 8                THEN S012030  = .A ;
IF S012031  = 8                THEN S012031  = .A ;
IF S012032  = 8                THEN S012032  = .A ;
IF S012033  = 8                THEN S012033  = .A ;
IF S012034  = 8                THEN S012034  = .A ;
IF S012035  = 8                THEN S012035  = .A ;
IF S012036  = 8                THEN S012036  = .A ;
IF M012031  = 8                THEN M012031  = .A ;
IF M012032  = 8                THEN M012032  = .A ;
IF M012033  = 8                THEN M012033  = .A ;
IF M012034  = 8                THEN M012034  = .A ;
IF M012035  = 8                THEN M012035  = .A ;
IF M012036  = 8                THEN M012036  = .A ;
IF M012037  = 8                THEN M012037  = .A ;
IF M012038  = 8                THEN M012038  = .A ;
IF M012039  = 8                THEN M012039  = .A ;
IF M012040  = 8                THEN M012040  = .A ;
IF M012041  = 8                THEN M012041  = .A ;
IF M012042  = 8                THEN M012042  = .A ;
IF S012037  = 8                THEN S012037  = .A ;
IF S012038  = 8                THEN S012038  = .A ;
IF S012039  = 8                THEN S012039  = .A ;
IF S012040  = 8                THEN S012040  = .A ;
IF S012041  = 8                THEN S012041  = .A ;
IF S012042  = 8                THEN S012042  = .A ;
IF S012043  = 8                THEN S012043  = .A ;
IF S012044  = 8                THEN S012044  = .A ;
IF S012045  = 8                THEN S012045  = .A ;
IF S012046  = 8                THEN S012046  = .A ;
IF S012047  = 8                THEN S012047  = .A ;
IF S012048  = 8                THEN S012048  = .A ;
IF M012043  = 8                THEN M012043  = .A ;
IF M012044  = 8                THEN M012044  = .A ;
IF M012045  = 8                THEN M012045  = .A ;
IF M012046  = 8                THEN M012046  = .A ;
IF M012047  = 8                THEN M012047  = .A ;
IF M012048  = 8                THEN M012048  = .A ;
IF M022002  = 8                THEN M022002  = .A ;
IF M022004  = 8                THEN M022004  = .A ;
IF M022005  = 8                THEN M022005  = .A ;
IF M022008  = 98               THEN M022008  = .A ;
IF M022010  = 8                THEN M022010  = .A ;
IF M022012  = 98               THEN M022012  = .A ;
IF M022021  = 8                THEN M022021  = .A ;
IF M022016  = 8                THEN M022016  = .A ;
IF M022252  = 8                THEN M022252  = .A ;
IF S022183  = 8                THEN S022183  = .A ;
IF S022276  = 8                THEN S022276  = .A ;
IF S022115  = 8                THEN S022115  = .A ;
IF S022022  = 98               THEN S022022  = .A ;
IF S022019  = 8                THEN S022019  = .A ;
IF S022002  = 8                THEN S022002  = .A ;
IF S022294  = 8                THEN S022294  = .A ;
IF S022106  = 8                THEN S022106  = .A ;
IF S022244  = 98               THEN S022244  = .A ;
IF S022150  = 8                THEN S022150  = .A ;
IF S022042  = 8                THEN S022042  = .A ;
IF S022073  = 8                THEN S022073  = .A ;
IF S022099  = 8                THEN S022099  = .A ;
IF S022174  = 98               THEN S022174  = .A ;
IF S022009  = 8                THEN S022009  = .A ;
IF S022012  = 8                THEN S022012  = .A ;
IF S022082  = 8                THEN S022082  = .A ;
IF S022094  = 8                THEN S022094  = .A ;
IF S022278  = 8                THEN S022278  = .A ;
IF S022081  = 98               THEN S022081  = .A ;
IF M022022  = 8                THEN M022022  = .A ;
IF M022246  = 8                THEN M022246  = .A ;
IF M022026  = 98               THEN M022026  = .A ;
IF M022030  = 98               THEN M022030  = .A ;
IF M022031  = 8                THEN M022031  = .A ;
IF M022033  = 8                THEN M022033  = .A ;
IF M022037  = 8                THEN M022037  = .A ;
IF M022041  = 8                THEN M022041  = .A ;
IF M022038  = 8                THEN M022038  = .A ;
IF M022043  = 8                THEN M022043  = .A ;
IF M022046  = 98               THEN M022046  = .A ;
IF M022049  = 8                THEN M022049  = .A ;
IF M022050  = 8                THEN M022050  = .A ;
IF M022055  = 98               THEN M022055  = .A ;
IF M022057  = 8                THEN M022057  = .A ;
IF M022257  = 8                THEN M022257  = .A ;
IF M022062  = 8                THEN M022062  = .A ;
IF M022066  = 8                THEN M022066  = .A ;
IF S022035  = 98               THEN S022035  = .A ;
IF S022225  = 8                THEN S022225  = .A ;
IF S022117  = 8                THEN S022117  = .A ;
IF S022235  = 8                THEN S022235  = .A ;
IF S022188  = 8                THEN S022188  = .A ;
IF S022074  = 8                THEN S022074  = .A ;
IF S022240  = 8                THEN S022240  = .A ;
IF S022206  = 8                THEN S022206  = .A ;
IF S022160  = 98               THEN S022160  = .A ;
IF S022058  = 8                THEN S022058  = .A ;
IF S022014  = 8                THEN S022014  = .A ;
IF S022131  = 8                THEN S022131  = .A ;
IF S022132  = 8                THEN S022132  = .A ;
IF S022017  = 98               THEN S022017  = .A ;
IF S022295  = 8                THEN S022295  = .A ;
IF S022194  = 8                THEN S022194  = .A ;
IF S022118  = 8                THEN S022118  = .A ;
IF S022140  = 98               THEN S022140  = .A ;
IF M022070  = 8                THEN M022070  = .A ;
IF M022073  = 8                THEN M022073  = .A ;
IF M022258  = 8                THEN M022258  = .A ;
IF M022078  = 8                THEN M022078  = .A ;
IF M022079  = 8                THEN M022079  = .A ;
IF M022042  = 8                THEN M022042  = .A ;
IF M022083  = 8                THEN M022083  = .A ;
IF M022085  = 8                THEN M022085  = .A ;
IF M022089  = 98               THEN M022089  = .A ;
IF M022093  = 8                THEN M022093  = .A ;
IF M022097  = 8                THEN M022097  = .A ;
IF M022259  = 8                THEN M022259  = .A ;
IF M022101  = 8                THEN M022101  = .A ;
IF M022104  = 8                THEN M022104  = .A ;
IF M022105  = 8                THEN M022105  = .A ;
IF M022106  = 98               THEN M022106  = .A ;
IF M022108  = 8                THEN M022108  = .A ;
IF M022110  = 98               THEN M022110  = .A ;
IF M022181  = 8                THEN M022181  = .A ;
IF S022187  = 8                THEN S022187  = .A ;
IF S022161  = 98               THEN S022161  = .A ;
IF S022222  = 8                THEN S022222  = .A ;
IF S022191  = 98               THEN S022191  = .A ;
IF S022279  = 98               THEN S022279  = .A ;
IF S022040  = 8                THEN S022040  = .A ;
IF S022007  = 8                THEN S022007  = .A ;
IF S022141  = 98               THEN S022141  = .A ;
IF S022123  = 8                THEN S022123  = .A ;
IF S022238  = 8                THEN S022238  = .A ;
IF S022145  = 8                THEN S022145  = .A ;
IF S022293  = 8                THEN S022293  = .A ;
IF S022178  = 8                THEN S022178  = .A ;
IF S022137  = 8                THEN S022137  = .A ;
IF S022030  = 8                THEN S022030  = .A ;
IF S022049  = 98               THEN S022049  = .A ;
IF M022113  = 8                THEN M022113  = .A ;
IF M022116  = 8                THEN M022116  = .A ;
IF M022118  = 98               THEN M022118  = .A ;
IF M022121  = 8                THEN M022121  = .A ;
IF M022124  = 8                THEN M022124  = .A ;
IF M022126  = 8                THEN M022126  = .A ;
IF M022128  = 8                THEN M022128  = .A ;
IF M022249  = 8                THEN M022249  = .A ;
IF M022132  = 98               THEN M022132  = .A ;
IF M022135  = 8                THEN M022135  = .A ;
IF M022139  = 8                THEN M022139  = .A ;
IF M022142  = 8                THEN M022142  = .A ;
IF M022144  = 8                THEN M022144  = .A ;
IF M022146  = 8                THEN M022146  = .A ;
IF M022148  = 98               THEN M022148  = .A ;
IF M022253  = 98               THEN M022253  = .A ;
IF M022154  = 8                THEN M022154  = .A ;
IF M022156  = 98               THEN M022156  = .A ;
IF S022086  = 98               THEN S022086  = .A ;
IF S022198  = 8                THEN S022198  = .A ;
IF S022275  = 8                THEN S022275  = .A ;
IF S022041  = 8                THEN S022041  = .A ;
IF S022283  = 98               THEN S022283  = .A ;
IF S022202  = 8                THEN S022202  = .A ;
IF S022152  = 98               THEN S022152  = .A ;
IF S022154  = 98               THEN S022154  = .A ;
IF S022280  = 8                THEN S022280  = .A ;
IF S022043  = 98               THEN S022043  = .A ;
IF S022258  = 98               THEN S022258  = .A ;
IF S022157  = 8                THEN S022157  = .A ;
IF S022277A = 98               THEN S022277A = .A ;
IF S022277B = 98               THEN S022277B = .A ;
IF S022277D = 98               THEN S022277D = .A ;
IF S022158  = 98               THEN S022158  = .A ;
IF S022245  = 8                THEN S022245  = .A ;
IF M022159  = 8                THEN M022159  = .A ;
IF M022176  = 8                THEN M022176  = .A ;
IF M022160  = 8                THEN M022160  = .A ;
IF M022165  = 8                THEN M022165  = .A ;
IF M022168  = 8                THEN M022168  = .A ;
IF M022169  = 8                THEN M022169  = .A ;
IF M022172  = 8                THEN M022172  = .A ;
IF M022173  = 8                THEN M022173  = .A ;
IF M022260  = 8                THEN M022260  = .A ;
IF M022178  = 98               THEN M022178  = .A ;
IF M022251  = 8                THEN M022251  = .A ;
IF M022185  = 8                THEN M022185  = .A ;
IF M022188  = 8                THEN M022188  = .A ;
IF M022189  = 8                THEN M022189  = .A ;
IF M022191  = 8                THEN M022191  = .A ;
IF M022194  = 8                THEN M022194  = .A ;
IF M022196  = 8                THEN M022196  = .A ;
IF M022198  = 8                THEN M022198  = .A ;
IF M022199  = 8                THEN M022199  = .A ;
IF M022202  = 98               THEN M022202  = .A ;
IF S022290  = 8                THEN S022290  = .A ;
IF S022292  = 98               THEN S022292  = .A ;
IF S022054  = 8                THEN S022054  = .A ;
IF S022181  = 8                THEN S022181  = .A ;
IF S022208  = 8                THEN S022208  = .A ;
IF S022078  = 98               THEN S022078  = .A ;
IF S022126  = 8                THEN S022126  = .A ;
IF S022281  = 98               THEN S022281  = .A ;
IF S022264  = 8                THEN S022264  = .A ;
IF S022064  = 8                THEN S022064  = .A ;
IF S022165A = 98               THEN S022165A = .A ;
IF S022165B = 98               THEN S022165B = .A ;
IF S022165D = 98               THEN S022165D = .A ;
IF S022284  = 98               THEN S022284  = .A ;
IF S022213  = 98               THEN S022213  = .A ;
IF S022254  = 8                THEN S022254  = .A ;
IF M022204  = 8                THEN M022204  = .A ;
IF M022206  = 8                THEN M022206  = .A ;
IF M022208  = 8                THEN M022208  = .A ;
IF M022210  = 8                THEN M022210  = .A ;
IF M022213  = 8                THEN M022213  = .A ;
IF M022166  = 8                THEN M022166  = .A ;
IF M022245  = 8                THEN M022245  = .A ;
IF M022219  = 98               THEN M022219  = .A ;
IF M022222  = 98               THEN M022222  = .A ;
IF M022261A = 98               THEN M022261A = .A ;
IF M022261B = 98               THEN M022261B = .A ;
IF M022261C = 98               THEN M022261C = .A ;
IF M022227A = 98               THEN M022227A = .A ;
IF M022227B = 98               THEN M022227B = .A ;
IF M022227C = 98               THEN M022227C = .A ;
IF M022127  = 8                THEN M022127  = .A ;
IF M022228  = 98               THEN M022228  = .A ;
IF M022231A = 98               THEN M022231A = .A ;
IF M022231B = 98               THEN M022231B = .A ;
IF M022244  = 98               THEN M022244  = .A ;
IF M022207  = 8                THEN M022207  = .A ;
IF M022232  = 98               THEN M022232  = .A ;
IF M022234A = 98               THEN M022234A = .A ;
IF M022234B = 98               THEN M022234B = .A ;
IF M022243  = 98               THEN M022243  = .A ;
IF M022237  = 98               THEN M022237  = .A ;
IF M022256  = 98               THEN M022256  = .A ;
IF M022241  = 8                THEN M022241  = .A ;
IF M022262A = 98               THEN M022262A = .A ;
IF M022262B = 98               THEN M022262B = .A ;
IF M022262C = 98               THEN M022262C = .A ;
IF S022088A = 98               THEN S022088A = .A ;
IF S022088B = 98               THEN S022088B = .A ;
IF S022249A = 98               THEN S022249A = .A ;
IF S022249B = 98               THEN S022249B = .A ;
IF S022249D = 98               THEN S022249D = .A ;
IF S022286  = 98               THEN S022286  = .A ;
IF S022282  = 98               THEN S022282  = .A ;
IF S022172A = 98               THEN S022172A = .A ;
IF S022172B = 98               THEN S022172B = .A ;
IF S022288  = 98               THEN S022288  = .A ;
IF S022289  = 98               THEN S022289  = .A ;
IF S022069  = 98               THEN S022069  = .A ;
IF S022268  = 98               THEN S022268  = .A ;
IF S022217A = 98               THEN S022217A = .A ;
IF S022217B = 98               THEN S022217B = .A ;
IF S022217C = 98               THEN S022217C = .A ;
IF S022217D = 98               THEN S022217D = .A ;
IF S022090  = 98               THEN S022090  = .A ;
IF S022048  = 98               THEN S022048  = .A ;
IF TOTWGT   = 9998             THEN TOTWGT   = .A ;
IF HOUWGT   = 98               THEN HOUWGT   = .A ;
IF SENWGT   = 8                THEN SENWGT   = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF BSMSTDR  = 98               THEN BSMSTDR  = .A ;
IF BSMNRSC  = 998              THEN BSMNRSC  = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSSSTDR  = 98               THEN BSSSTDR  = .A ;
IF BSSNRSC  = 998              THEN BSSNRSC  = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;
IF BSSERI01 = 998              THEN BSSERI01 = .A ;
IF BSSERI02 = 998              THEN BSSERI02 = .A ;
IF BSSERI03 = 998              THEN BSSERI03 = .A ;
IF BSSERI04 = 998              THEN BSSERI04 = .A ;
IF BSSERI05 = 998              THEN BSSERI05 = .A ;
IF BSSNOS01 = 998              THEN BSSNOS01 = .A ;
IF BSSNOS02 = 998              THEN BSSNOS02 = .A ;
IF BSSNOS03 = 998              THEN BSSNOS03 = .A ;
IF BSSNOS04 = 998              THEN BSSNOS04 = .A ;
IF BSSNOS05 = 998              THEN BSSNOS05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF M012001  = 6                THEN M012001  = .R ;
IF M012001  = 7                THEN M012001  = .N ;
IF M012002  = 6                THEN M012002  = .R ;
IF M012002  = 7                THEN M012002  = .N ;
IF M012003  = 6                THEN M012003  = .R ;
IF M012003  = 7                THEN M012003  = .N ;
IF M012004  = 6                THEN M012004  = .R ;
IF M012004  = 7                THEN M012004  = .N ;
IF M012005  = 6                THEN M012005  = .R ;
IF M012005  = 7                THEN M012005  = .N ;
IF M012006  = 6                THEN M012006  = .R ;
IF M012006  = 7                THEN M012006  = .N ;
IF S012001  = 6                THEN S012001  = .R ;
IF S012001  = 7                THEN S012001  = .N ;
IF S012002  = 6                THEN S012002  = .R ;
IF S012002  = 7                THEN S012002  = .N ;
IF S012003  = 6                THEN S012003  = .R ;
IF S012003  = 7                THEN S012003  = .N ;
IF S012004  = 6                THEN S012004  = .R ;
IF S012004  = 7                THEN S012004  = .N ;
IF S012005  = 6                THEN S012005  = .R ;
IF S012005  = 7                THEN S012005  = .N ;
IF S012006  = 6                THEN S012006  = .R ;
IF S012006  = 7                THEN S012006  = .N ;
IF S012007  = 6                THEN S012007  = .R ;
IF S012007  = 7                THEN S012007  = .N ;
IF S012008  = 6                THEN S012008  = .R ;
IF S012008  = 7                THEN S012008  = .N ;
IF S012009  = 6                THEN S012009  = .R ;
IF S012009  = 7                THEN S012009  = .N ;
IF S012010  = 6                THEN S012010  = .R ;
IF S012010  = 7                THEN S012010  = .N ;
IF S012011  = 6                THEN S012011  = .R ;
IF S012011  = 7                THEN S012011  = .N ;
IF S012012  = 6                THEN S012012  = .R ;
IF S012012  = 7                THEN S012012  = .N ;
IF M012007  = 6                THEN M012007  = .R ;
IF M012007  = 7                THEN M012007  = .N ;
IF M012008  = 6                THEN M012008  = .R ;
IF M012008  = 7                THEN M012008  = .N ;
IF M012009  = 6                THEN M012009  = .R ;
IF M012009  = 7                THEN M012009  = .N ;
IF M012010  = 6                THEN M012010  = .R ;
IF M012010  = 7                THEN M012010  = .N ;
IF M012011  = 6                THEN M012011  = .R ;
IF M012011  = 7                THEN M012011  = .N ;
IF M012012  = 6                THEN M012012  = .R ;
IF M012012  = 7                THEN M012012  = .N ;
IF M012013  = 6                THEN M012013  = .R ;
IF M012013  = 7                THEN M012013  = .N ;
IF M012014  = 6                THEN M012014  = .R ;
IF M012014  = 7                THEN M012014  = .N ;
IF M012015  = 6                THEN M012015  = .R ;
IF M012015  = 7                THEN M012015  = .N ;
IF M012016  = 6                THEN M012016  = .R ;
IF M012016  = 7                THEN M012016  = .N ;
IF M012017  = 6                THEN M012017  = .R ;
IF M012017  = 7                THEN M012017  = .N ;
IF M012018  = 6                THEN M012018  = .R ;
IF M012018  = 7                THEN M012018  = .N ;
IF S012013  = 6                THEN S012013  = .R ;
IF S012013  = 7                THEN S012013  = .N ;
IF S012014  = 6                THEN S012014  = .R ;
IF S012014  = 7                THEN S012014  = .N ;
IF S012015  = 6                THEN S012015  = .R ;
IF S012015  = 7                THEN S012015  = .N ;
IF S012016  = 6                THEN S012016  = .R ;
IF S012016  = 7                THEN S012016  = .N ;
IF S012017  = 6                THEN S012017  = .R ;
IF S012017  = 7                THEN S012017  = .N ;
IF S012018  = 6                THEN S012018  = .R ;
IF S012018  = 7                THEN S012018  = .N ;
IF S012019  = 6                THEN S012019  = .R ;
IF S012019  = 7                THEN S012019  = .N ;
IF S012020  = 6                THEN S012020  = .R ;
IF S012020  = 7                THEN S012020  = .N ;
IF S012021  = 6                THEN S012021  = .R ;
IF S012021  = 7                THEN S012021  = .N ;
IF S012022  = 6                THEN S012022  = .R ;
IF S012022  = 7                THEN S012022  = .N ;
IF S012023  = 6                THEN S012023  = .R ;
IF S012023  = 7                THEN S012023  = .N ;
IF S012024  = 6                THEN S012024  = .R ;
IF S012024  = 7                THEN S012024  = .N ;
IF M012019  = 6                THEN M012019  = .R ;
IF M012019  = 7                THEN M012019  = .N ;
IF M012020  = 6                THEN M012020  = .R ;
IF M012020  = 7                THEN M012020  = .N ;
IF M012021  = 6                THEN M012021  = .R ;
IF M012021  = 7                THEN M012021  = .N ;
IF M012022  = 6                THEN M012022  = .R ;
IF M012022  = 7                THEN M012022  = .N ;
IF M012023  = 6                THEN M012023  = .R ;
IF M012023  = 7                THEN M012023  = .N ;
IF M012024  = 6                THEN M012024  = .R ;
IF M012024  = 7                THEN M012024  = .N ;
IF M012025  = 6                THEN M012025  = .R ;
IF M012025  = 7                THEN M012025  = .N ;
IF M012026  = 6                THEN M012026  = .R ;
IF M012026  = 7                THEN M012026  = .N ;
IF M012027  = 6                THEN M012027  = .R ;
IF M012027  = 7                THEN M012027  = .N ;
IF M012028  = 6                THEN M012028  = .R ;
IF M012028  = 7                THEN M012028  = .N ;
IF M012029  = 6                THEN M012029  = .R ;
IF M012029  = 7                THEN M012029  = .N ;
IF M012030  = 6                THEN M012030  = .R ;
IF M012030  = 7                THEN M012030  = .N ;
IF S012025  = 6                THEN S012025  = .R ;
IF S012025  = 7                THEN S012025  = .N ;
IF S012026  = 6                THEN S012026  = .R ;
IF S012026  = 7                THEN S012026  = .N ;
IF S012027  = 6                THEN S012027  = .R ;
IF S012027  = 7                THEN S012027  = .N ;
IF S012028  = 6                THEN S012028  = .R ;
IF S012028  = 7                THEN S012028  = .N ;
IF S012029  = 6                THEN S012029  = .R ;
IF S012029  = 7                THEN S012029  = .N ;
IF S012030  = 6                THEN S012030  = .R ;
IF S012030  = 7                THEN S012030  = .N ;
IF S012031  = 6                THEN S012031  = .R ;
IF S012031  = 7                THEN S012031  = .N ;
IF S012032  = 6                THEN S012032  = .R ;
IF S012032  = 7                THEN S012032  = .N ;
IF S012033  = 6                THEN S012033  = .R ;
IF S012033  = 7                THEN S012033  = .N ;
IF S012034  = 6                THEN S012034  = .R ;
IF S012034  = 7                THEN S012034  = .N ;
IF S012035  = 6                THEN S012035  = .R ;
IF S012035  = 7                THEN S012035  = .N ;
IF S012036  = 6                THEN S012036  = .R ;
IF S012036  = 7                THEN S012036  = .N ;
IF M012031  = 6                THEN M012031  = .R ;
IF M012031  = 7                THEN M012031  = .N ;
IF M012032  = 6                THEN M012032  = .R ;
IF M012032  = 7                THEN M012032  = .N ;
IF M012033  = 6                THEN M012033  = .R ;
IF M012033  = 7                THEN M012033  = .N ;
IF M012034  = 6                THEN M012034  = .R ;
IF M012034  = 7                THEN M012034  = .N ;
IF M012035  = 6                THEN M012035  = .R ;
IF M012035  = 7                THEN M012035  = .N ;
IF M012036  = 6                THEN M012036  = .R ;
IF M012036  = 7                THEN M012036  = .N ;
IF M012037  = 6                THEN M012037  = .R ;
IF M012037  = 7                THEN M012037  = .N ;
IF M012038  = 6                THEN M012038  = .R ;
IF M012038  = 7                THEN M012038  = .N ;
IF M012039  = 6                THEN M012039  = .R ;
IF M012039  = 7                THEN M012039  = .N ;
IF M012040  = 6                THEN M012040  = .R ;
IF M012040  = 7                THEN M012040  = .N ;
IF M012041  = 6                THEN M012041  = .R ;
IF M012041  = 7                THEN M012041  = .N ;
IF M012042  = 6                THEN M012042  = .R ;
IF M012042  = 7                THEN M012042  = .N ;
IF S012037  = 6                THEN S012037  = .R ;
IF S012037  = 7                THEN S012037  = .N ;
IF S012038  = 6                THEN S012038  = .R ;
IF S012038  = 7                THEN S012038  = .N ;
IF S012039  = 6                THEN S012039  = .R ;
IF S012039  = 7                THEN S012039  = .N ;
IF S012040  = 6                THEN S012040  = .R ;
IF S012040  = 7                THEN S012040  = .N ;
IF S012041  = 6                THEN S012041  = .R ;
IF S012041  = 7                THEN S012041  = .N ;
IF S012042  = 6                THEN S012042  = .R ;
IF S012042  = 7                THEN S012042  = .N ;
IF S012043  = 6                THEN S012043  = .R ;
IF S012043  = 7                THEN S012043  = .N ;
IF S012044  = 6                THEN S012044  = .R ;
IF S012044  = 7                THEN S012044  = .N ;
IF S012045  = 6                THEN S012045  = .R ;
IF S012045  = 7                THEN S012045  = .N ;
IF S012046  = 6                THEN S012046  = .R ;
IF S012046  = 7                THEN S012046  = .N ;
IF S012047  = 6                THEN S012047  = .R ;
IF S012047  = 7                THEN S012047  = .N ;
IF S012048  = 6                THEN S012048  = .R ;
IF S012048  = 7                THEN S012048  = .N ;
IF M012043  = 6                THEN M012043  = .R ;
IF M012043  = 7                THEN M012043  = .N ;
IF M012044  = 6                THEN M012044  = .R ;
IF M012044  = 7                THEN M012044  = .N ;
IF M012045  = 6                THEN M012045  = .R ;
IF M012045  = 7                THEN M012045  = .N ;
IF M012046  = 6                THEN M012046  = .R ;
IF M012046  = 7                THEN M012046  = .N ;
IF M012047  = 6                THEN M012047  = .R ;
IF M012047  = 7                THEN M012047  = .N ;
IF M012048  = 6                THEN M012048  = .R ;
IF M012048  = 7                THEN M012048  = .N ;
IF M022002  = 6                THEN M022002  = .R ;
IF M022002  = 7                THEN M022002  = .N ;
IF M022004  = 6                THEN M022004  = .R ;
IF M022004  = 7                THEN M022004  = .N ;
IF M022005  = 6                THEN M022005  = .R ;
IF M022005  = 7                THEN M022005  = .N ;
IF M022008  = 96               THEN M022008  = .R ;
IF M022008  = 97               THEN M022008  = .N ;
IF M022010  = 6                THEN M022010  = .R ;
IF M022010  = 7                THEN M022010  = .N ;
IF M022012  = 96               THEN M022012  = .R ;
IF M022012  = 97               THEN M022012  = .N ;
IF M022021  = 6                THEN M022021  = .R ;
IF M022021  = 7                THEN M022021  = .N ;
IF M022016  = 6                THEN M022016  = .R ;
IF M022016  = 7                THEN M022016  = .N ;
IF M022252  = 6                THEN M022252  = .R ;
IF M022252  = 7                THEN M022252  = .N ;
IF S022183  = 6                THEN S022183  = .R ;
IF S022183  = 7                THEN S022183  = .N ;
IF S022276  = 6                THEN S022276  = .R ;
IF S022276  = 7                THEN S022276  = .N ;
IF S022115  = 6                THEN S022115  = .R ;
IF S022115  = 7                THEN S022115  = .N ;
IF S022022  = 96               THEN S022022  = .R ;
IF S022022  = 97               THEN S022022  = .N ;
IF S022019  = 6                THEN S022019  = .R ;
IF S022019  = 7                THEN S022019  = .N ;
IF S022002  = 6                THEN S022002  = .R ;
IF S022002  = 7                THEN S022002  = .N ;
IF S022294  = 6                THEN S022294  = .R ;
IF S022294  = 7                THEN S022294  = .N ;
IF S022106  = 6                THEN S022106  = .R ;
IF S022106  = 7                THEN S022106  = .N ;
IF S022244  = 96               THEN S022244  = .R ;
IF S022244  = 97               THEN S022244  = .N ;
IF S022150  = 6                THEN S022150  = .R ;
IF S022150  = 7                THEN S022150  = .N ;
IF S022042  = 6                THEN S022042  = .R ;
IF S022042  = 7                THEN S022042  = .N ;
IF S022073  = 6                THEN S022073  = .R ;
IF S022073  = 7                THEN S022073  = .N ;
IF S022099  = 6                THEN S022099  = .R ;
IF S022099  = 7                THEN S022099  = .N ;
IF S022174  = 96               THEN S022174  = .R ;
IF S022174  = 97               THEN S022174  = .N ;
IF S022009  = 6                THEN S022009  = .R ;
IF S022009  = 7                THEN S022009  = .N ;
IF S022012  = 6                THEN S022012  = .R ;
IF S022012  = 7                THEN S022012  = .N ;
IF S022082  = 6                THEN S022082  = .R ;
IF S022082  = 7                THEN S022082  = .N ;
IF S022094  = 6                THEN S022094  = .R ;
IF S022094  = 7                THEN S022094  = .N ;
IF S022278  = 6                THEN S022278  = .R ;
IF S022278  = 7                THEN S022278  = .N ;
IF S022081  = 96               THEN S022081  = .R ;
IF S022081  = 97               THEN S022081  = .N ;
IF M022022  = 6                THEN M022022  = .R ;
IF M022022  = 7                THEN M022022  = .N ;
IF M022246  = 6                THEN M022246  = .R ;
IF M022246  = 7                THEN M022246  = .N ;
IF M022026  = 96               THEN M022026  = .R ;
IF M022026  = 97               THEN M022026  = .N ;
IF M022030  = 96               THEN M022030  = .R ;
IF M022030  = 97               THEN M022030  = .N ;
IF M022031  = 6                THEN M022031  = .R ;
IF M022031  = 7                THEN M022031  = .N ;
IF M022033  = 6                THEN M022033  = .R ;
IF M022033  = 7                THEN M022033  = .N ;
IF M022037  = 6                THEN M022037  = .R ;
IF M022037  = 7                THEN M022037  = .N ;
IF M022041  = 6                THEN M022041  = .R ;
IF M022041  = 7                THEN M022041  = .N ;
IF M022038  = 6                THEN M022038  = .R ;
IF M022038  = 7                THEN M022038  = .N ;
IF M022043  = 6                THEN M022043  = .R ;
IF M022043  = 7                THEN M022043  = .N ;
IF M022046  = 96               THEN M022046  = .R ;
IF M022046  = 97               THEN M022046  = .N ;
IF M022049  = 6                THEN M022049  = .R ;
IF M022049  = 7                THEN M022049  = .N ;
IF M022050  = 6                THEN M022050  = .R ;
IF M022050  = 7                THEN M022050  = .N ;
IF M022055  = 96               THEN M022055  = .R ;
IF M022055  = 97               THEN M022055  = .N ;
IF M022057  = 6                THEN M022057  = .R ;
IF M022057  = 7                THEN M022057  = .N ;
IF M022257  = 6                THEN M022257  = .R ;
IF M022257  = 7                THEN M022257  = .N ;
IF M022062  = 6                THEN M022062  = .R ;
IF M022062  = 7                THEN M022062  = .N ;
IF M022066  = 6                THEN M022066  = .R ;
IF M022066  = 7                THEN M022066  = .N ;
IF S022035  = 96               THEN S022035  = .R ;
IF S022035  = 97               THEN S022035  = .N ;
IF S022225  = 6                THEN S022225  = .R ;
IF S022225  = 7                THEN S022225  = .N ;
IF S022117  = 6                THEN S022117  = .R ;
IF S022117  = 7                THEN S022117  = .N ;
IF S022235  = 6                THEN S022235  = .R ;
IF S022235  = 7                THEN S022235  = .N ;
IF S022188  = 6                THEN S022188  = .R ;
IF S022188  = 7                THEN S022188  = .N ;
IF S022074  = 6                THEN S022074  = .R ;
IF S022074  = 7                THEN S022074  = .N ;
IF S022240  = 6                THEN S022240  = .R ;
IF S022240  = 7                THEN S022240  = .N ;
IF S022206  = 6                THEN S022206  = .R ;
IF S022206  = 7                THEN S022206  = .N ;
IF S022160  = 96               THEN S022160  = .R ;
IF S022160  = 97               THEN S022160  = .N ;
IF S022058  = 6                THEN S022058  = .R ;
IF S022058  = 7                THEN S022058  = .N ;
IF S022014  = 6                THEN S022014  = .R ;
IF S022014  = 7                THEN S022014  = .N ;
IF S022131  = 6                THEN S022131  = .R ;
IF S022131  = 7                THEN S022131  = .N ;
IF S022132  = 6                THEN S022132  = .R ;
IF S022132  = 7                THEN S022132  = .N ;
IF S022017  = 96               THEN S022017  = .R ;
IF S022017  = 97               THEN S022017  = .N ;
IF S022295  = 6                THEN S022295  = .R ;
IF S022295  = 7                THEN S022295  = .N ;
IF S022194  = 6                THEN S022194  = .R ;
IF S022194  = 7                THEN S022194  = .N ;
IF S022118  = 6                THEN S022118  = .R ;
IF S022118  = 7                THEN S022118  = .N ;
IF S022140  = 96               THEN S022140  = .R ;
IF S022140  = 97               THEN S022140  = .N ;
IF M022070  = 6                THEN M022070  = .R ;
IF M022070  = 7                THEN M022070  = .N ;
IF M022073  = 6                THEN M022073  = .R ;
IF M022073  = 7                THEN M022073  = .N ;
IF M022258  = 6                THEN M022258  = .R ;
IF M022258  = 7                THEN M022258  = .N ;
IF M022078  = 6                THEN M022078  = .R ;
IF M022078  = 7                THEN M022078  = .N ;
IF M022079  = 6                THEN M022079  = .R ;
IF M022079  = 7                THEN M022079  = .N ;
IF M022042  = 6                THEN M022042  = .R ;
IF M022042  = 7                THEN M022042  = .N ;
IF M022083  = 6                THEN M022083  = .R ;
IF M022083  = 7                THEN M022083  = .N ;
IF M022085  = 6                THEN M022085  = .R ;
IF M022085  = 7                THEN M022085  = .N ;
IF M022089  = 96               THEN M022089  = .R ;
IF M022089  = 97               THEN M022089  = .N ;
IF M022093  = 6                THEN M022093  = .R ;
IF M022093  = 7                THEN M022093  = .N ;
IF M022097  = 6                THEN M022097  = .R ;
IF M022097  = 7                THEN M022097  = .N ;
IF M022259  = 6                THEN M022259  = .R ;
IF M022259  = 7                THEN M022259  = .N ;
IF M022101  = 6                THEN M022101  = .R ;
IF M022101  = 7                THEN M022101  = .N ;
IF M022104  = 6                THEN M022104  = .R ;
IF M022104  = 7                THEN M022104  = .N ;
IF M022105  = 6                THEN M022105  = .R ;
IF M022105  = 7                THEN M022105  = .N ;
IF M022106  = 96               THEN M022106  = .R ;
IF M022106  = 97               THEN M022106  = .N ;
IF M022108  = 6                THEN M022108  = .R ;
IF M022108  = 7                THEN M022108  = .N ;
IF M022110  = 96               THEN M022110  = .R ;
IF M022110  = 97               THEN M022110  = .N ;
IF M022181  = 6                THEN M022181  = .R ;
IF M022181  = 7                THEN M022181  = .N ;
IF S022187  = 6                THEN S022187  = .R ;
IF S022187  = 7                THEN S022187  = .N ;
IF S022161  = 96               THEN S022161  = .R ;
IF S022161  = 97               THEN S022161  = .N ;
IF S022222  = 6                THEN S022222  = .R ;
IF S022222  = 7                THEN S022222  = .N ;
IF S022191  = 96               THEN S022191  = .R ;
IF S022191  = 97               THEN S022191  = .N ;
IF S022279  = 96               THEN S022279  = .R ;
IF S022279  = 97               THEN S022279  = .N ;
IF S022040  = 6                THEN S022040  = .R ;
IF S022040  = 7                THEN S022040  = .N ;
IF S022007  = 6                THEN S022007  = .R ;
IF S022007  = 7                THEN S022007  = .N ;
IF S022141  = 96               THEN S022141  = .R ;
IF S022141  = 97               THEN S022141  = .N ;
IF S022123  = 6                THEN S022123  = .R ;
IF S022123  = 7                THEN S022123  = .N ;
IF S022238  = 6                THEN S022238  = .R ;
IF S022238  = 7                THEN S022238  = .N ;
IF S022145  = 6                THEN S022145  = .R ;
IF S022145  = 7                THEN S022145  = .N ;
IF S022293  = 6                THEN S022293  = .R ;
IF S022293  = 7                THEN S022293  = .N ;
IF S022178  = 6                THEN S022178  = .R ;
IF S022178  = 7                THEN S022178  = .N ;
IF S022137  = 6                THEN S022137  = .R ;
IF S022137  = 7                THEN S022137  = .N ;
IF S022030  = 6                THEN S022030  = .R ;
IF S022030  = 7                THEN S022030  = .N ;
IF S022049  = 96               THEN S022049  = .R ;
IF S022049  = 97               THEN S022049  = .N ;
IF M022113  = 6                THEN M022113  = .R ;
IF M022113  = 7                THEN M022113  = .N ;
IF M022116  = 6                THEN M022116  = .R ;
IF M022116  = 7                THEN M022116  = .N ;
IF M022118  = 96               THEN M022118  = .R ;
IF M022118  = 97               THEN M022118  = .N ;
IF M022121  = 6                THEN M022121  = .R ;
IF M022121  = 7                THEN M022121  = .N ;
IF M022124  = 6                THEN M022124  = .R ;
IF M022124  = 7                THEN M022124  = .N ;
IF M022126  = 6                THEN M022126  = .R ;
IF M022126  = 7                THEN M022126  = .N ;
IF M022128  = 6                THEN M022128  = .R ;
IF M022128  = 7                THEN M022128  = .N ;
IF M022249  = 6                THEN M022249  = .R ;
IF M022249  = 7                THEN M022249  = .N ;
IF M022132  = 96               THEN M022132  = .R ;
IF M022132  = 97               THEN M022132  = .N ;
IF M022135  = 6                THEN M022135  = .R ;
IF M022135  = 7                THEN M022135  = .N ;
IF M022139  = 6                THEN M022139  = .R ;
IF M022139  = 7                THEN M022139  = .N ;
IF M022142  = 6                THEN M022142  = .R ;
IF M022142  = 7                THEN M022142  = .N ;
IF M022144  = 6                THEN M022144  = .R ;
IF M022144  = 7                THEN M022144  = .N ;
IF M022146  = 6                THEN M022146  = .R ;
IF M022146  = 7                THEN M022146  = .N ;
IF M022148  = 96               THEN M022148  = .R ;
IF M022148  = 97               THEN M022148  = .N ;
IF M022253  = 96               THEN M022253  = .R ;
IF M022253  = 97               THEN M022253  = .N ;
IF M022154  = 6                THEN M022154  = .R ;
IF M022154  = 7                THEN M022154  = .N ;
IF M022156  = 96               THEN M022156  = .R ;
IF M022156  = 97               THEN M022156  = .N ;
IF S022086  = 96               THEN S022086  = .R ;
IF S022086  = 97               THEN S022086  = .N ;
IF S022198  = 6                THEN S022198  = .R ;
IF S022198  = 7                THEN S022198  = .N ;
IF S022275  = 6                THEN S022275  = .R ;
IF S022275  = 7                THEN S022275  = .N ;
IF S022041  = 6                THEN S022041  = .R ;
IF S022041  = 7                THEN S022041  = .N ;
IF S022283  = 96               THEN S022283  = .R ;
IF S022283  = 97               THEN S022283  = .N ;
IF S022202  = 6                THEN S022202  = .R ;
IF S022202  = 7                THEN S022202  = .N ;
IF S022152  = 96               THEN S022152  = .R ;
IF S022152  = 97               THEN S022152  = .N ;
IF S022154  = 96               THEN S022154  = .R ;
IF S022154  = 97               THEN S022154  = .N ;
IF S022280  = 6                THEN S022280  = .R ;
IF S022280  = 7                THEN S022280  = .N ;
IF S022043  = 96               THEN S022043  = .R ;
IF S022043  = 97               THEN S022043  = .N ;
IF S022258  = 96               THEN S022258  = .R ;
IF S022258  = 97               THEN S022258  = .N ;
IF S022157  = 6                THEN S022157  = .R ;
IF S022157  = 7                THEN S022157  = .N ;
IF S022277A = 96               THEN S022277A = .R ;
IF S022277A = 97               THEN S022277A = .N ;
IF S022277B = 96               THEN S022277B = .R ;
IF S022277B = 97               THEN S022277B = .N ;
IF S022277D = 96               THEN S022277D = .R ;
IF S022277D = 97               THEN S022277D = .N ;
IF S022158  = 96               THEN S022158  = .R ;
IF S022158  = 97               THEN S022158  = .N ;
IF S022245  = 6                THEN S022245  = .R ;
IF S022245  = 7                THEN S022245  = .N ;
IF M022159  = 6                THEN M022159  = .R ;
IF M022159  = 7                THEN M022159  = .N ;
IF M022176  = 6                THEN M022176  = .R ;
IF M022176  = 7                THEN M022176  = .N ;
IF M022160  = 6                THEN M022160  = .R ;
IF M022160  = 7                THEN M022160  = .N ;
IF M022165  = 6                THEN M022165  = .R ;
IF M022165  = 7                THEN M022165  = .N ;
IF M022168  = 6                THEN M022168  = .R ;
IF M022168  = 7                THEN M022168  = .N ;
IF M022169  = 6                THEN M022169  = .R ;
IF M022169  = 7                THEN M022169  = .N ;
IF M022172  = 6                THEN M022172  = .R ;
IF M022172  = 7                THEN M022172  = .N ;
IF M022173  = 6                THEN M022173  = .R ;
IF M022173  = 7                THEN M022173  = .N ;
IF M022260  = 6                THEN M022260  = .R ;
IF M022260  = 7                THEN M022260  = .N ;
IF M022178  = 96               THEN M022178  = .R ;
IF M022178  = 97               THEN M022178  = .N ;
IF M022251  = 6                THEN M022251  = .R ;
IF M022251  = 7                THEN M022251  = .N ;
IF M022185  = 6                THEN M022185  = .R ;
IF M022185  = 7                THEN M022185  = .N ;
IF M022188  = 6                THEN M022188  = .R ;
IF M022188  = 7                THEN M022188  = .N ;
IF M022189  = 6                THEN M022189  = .R ;
IF M022189  = 7                THEN M022189  = .N ;
IF M022191  = 6                THEN M022191  = .R ;
IF M022191  = 7                THEN M022191  = .N ;
IF M022194  = 6                THEN M022194  = .R ;
IF M022194  = 7                THEN M022194  = .N ;
IF M022196  = 6                THEN M022196  = .R ;
IF M022196  = 7                THEN M022196  = .N ;
IF M022198  = 6                THEN M022198  = .R ;
IF M022198  = 7                THEN M022198  = .N ;
IF M022199  = 6                THEN M022199  = .R ;
IF M022199  = 7                THEN M022199  = .N ;
IF M022202  = 96               THEN M022202  = .R ;
IF M022202  = 97               THEN M022202  = .N ;
IF S022290  = 6                THEN S022290  = .R ;
IF S022290  = 7                THEN S022290  = .N ;
IF S022292  = 96               THEN S022292  = .R ;
IF S022292  = 97               THEN S022292  = .N ;
IF S022054  = 6                THEN S022054  = .R ;
IF S022054  = 7                THEN S022054  = .N ;
IF S022181  = 6                THEN S022181  = .R ;
IF S022181  = 7                THEN S022181  = .N ;
IF S022208  = 6                THEN S022208  = .R ;
IF S022208  = 7                THEN S022208  = .N ;
IF S022078  = 96               THEN S022078  = .R ;
IF S022078  = 97               THEN S022078  = .N ;
IF S022126  = 6                THEN S022126  = .R ;
IF S022126  = 7                THEN S022126  = .N ;
IF S022281  = 96               THEN S022281  = .R ;
IF S022281  = 97               THEN S022281  = .N ;
IF S022264  = 6                THEN S022264  = .R ;
IF S022264  = 7                THEN S022264  = .N ;
IF S022064  = 6                THEN S022064  = .R ;
IF S022064  = 7                THEN S022064  = .N ;
IF S022165A = 96               THEN S022165A = .R ;
IF S022165A = 97               THEN S022165A = .N ;
IF S022165B = 96               THEN S022165B = .R ;
IF S022165B = 97               THEN S022165B = .N ;
IF S022165D = 96               THEN S022165D = .R ;
IF S022165D = 97               THEN S022165D = .N ;
IF S022284  = 96               THEN S022284  = .R ;
IF S022284  = 97               THEN S022284  = .N ;
IF S022213  = 96               THEN S022213  = .R ;
IF S022213  = 97               THEN S022213  = .N ;
IF S022254  = 6                THEN S022254  = .R ;
IF S022254  = 7                THEN S022254  = .N ;
IF M022204  = 6                THEN M022204  = .R ;
IF M022204  = 7                THEN M022204  = .N ;
IF M022206  = 6                THEN M022206  = .R ;
IF M022206  = 7                THEN M022206  = .N ;
IF M022208  = 6                THEN M022208  = .R ;
IF M022208  = 7                THEN M022208  = .N ;
IF M022210  = 6                THEN M022210  = .R ;
IF M022210  = 7                THEN M022210  = .N ;
IF M022213  = 6                THEN M022213  = .R ;
IF M022213  = 7                THEN M022213  = .N ;
IF M022166  = 6                THEN M022166  = .R ;
IF M022166  = 7                THEN M022166  = .N ;
IF M022245  = 6                THEN M022245  = .R ;
IF M022245  = 7                THEN M022245  = .N ;
IF M022219  = 96               THEN M022219  = .R ;
IF M022219  = 97               THEN M022219  = .N ;
IF M022222  = 96               THEN M022222  = .R ;
IF M022222  = 97               THEN M022222  = .N ;
IF M022261A = 96               THEN M022261A = .R ;
IF M022261A = 97               THEN M022261A = .N ;
IF M022261B = 96               THEN M022261B = .R ;
IF M022261B = 97               THEN M022261B = .N ;
IF M022261C = 96               THEN M022261C = .R ;
IF M022261C = 97               THEN M022261C = .N ;
IF M022227A = 96               THEN M022227A = .R ;
IF M022227A = 97               THEN M022227A = .N ;
IF M022227B = 96               THEN M022227B = .R ;
IF M022227B = 97               THEN M022227B = .N ;
IF M022227C = 96               THEN M022227C = .R ;
IF M022227C = 97               THEN M022227C = .N ;
IF M022127  = 6                THEN M022127  = .R ;
IF M022127  = 7                THEN M022127  = .N ;
IF M022228  = 96               THEN M022228  = .R ;
IF M022228  = 97               THEN M022228  = .N ;
IF M022231A = 96               THEN M022231A = .R ;
IF M022231A = 97               THEN M022231A = .N ;
IF M022231B = 96               THEN M022231B = .R ;
IF M022231B = 97               THEN M022231B = .N ;
IF M022244  = 96               THEN M022244  = .R ;
IF M022244  = 97               THEN M022244  = .N ;
IF M022207  = 6                THEN M022207  = .R ;
IF M022207  = 7                THEN M022207  = .N ;
IF M022232  = 96               THEN M022232  = .R ;
IF M022232  = 97               THEN M022232  = .N ;
IF M022234A = 96               THEN M022234A = .R ;
IF M022234A = 97               THEN M022234A = .N ;
IF M022234B = 96               THEN M022234B = .R ;
IF M022234B = 97               THEN M022234B = .N ;
IF M022243  = 96               THEN M022243  = .R ;
IF M022243  = 97               THEN M022243  = .N ;
IF M022237  = 96               THEN M022237  = .R ;
IF M022237  = 97               THEN M022237  = .N ;
IF M022256  = 96               THEN M022256  = .R ;
IF M022256  = 97               THEN M022256  = .N ;
IF M022241  = 6                THEN M022241  = .R ;
IF M022241  = 7                THEN M022241  = .N ;
IF M022262A = 96               THEN M022262A = .R ;
IF M022262A = 97               THEN M022262A = .N ;
IF M022262B = 96               THEN M022262B = .R ;
IF M022262B = 97               THEN M022262B = .N ;
IF M022262C = 96               THEN M022262C = .R ;
IF M022262C = 97               THEN M022262C = .N ;
IF S022088A = 96               THEN S022088A = .R ;
IF S022088A = 97               THEN S022088A = .N ;
IF S022088B = 96               THEN S022088B = .R ;
IF S022088B = 97               THEN S022088B = .N ;
IF S022249A = 96               THEN S022249A = .R ;
IF S022249A = 97               THEN S022249A = .N ;
IF S022249B = 96               THEN S022249B = .R ;
IF S022249B = 97               THEN S022249B = .N ;
IF S022249D = 96               THEN S022249D = .R ;
IF S022249D = 97               THEN S022249D = .N ;
IF S022286  = 96               THEN S022286  = .R ;
IF S022286  = 97               THEN S022286  = .N ;
IF S022282  = 96               THEN S022282  = .R ;
IF S022282  = 97               THEN S022282  = .N ;
IF S022172A = 96               THEN S022172A = .R ;
IF S022172A = 97               THEN S022172A = .N ;
IF S022172B = 96               THEN S022172B = .R ;
IF S022172B = 97               THEN S022172B = .N ;
IF S022288  = 96               THEN S022288  = .R ;
IF S022288  = 97               THEN S022288  = .N ;
IF S022289  = 96               THEN S022289  = .R ;
IF S022289  = 97               THEN S022289  = .N ;
IF S022069  = 96               THEN S022069  = .R ;
IF S022069  = 97               THEN S022069  = .N ;
IF S022268  = 96               THEN S022268  = .R ;
IF S022268  = 97               THEN S022268  = .N ;
IF S022217A = 96               THEN S022217A = .R ;
IF S022217A = 97               THEN S022217A = .N ;
IF S022217B = 96               THEN S022217B = .R ;
IF S022217B = 97               THEN S022217B = .N ;
IF S022217C = 96               THEN S022217C = .R ;
IF S022217C = 97               THEN S022217C = .N ;
IF S022217D = 96               THEN S022217D = .R ;
IF S022217D = 97               THEN S022217D = .N ;
IF S022090  = 96               THEN S022090  = .R ;
IF S022090  = 97               THEN S022090  = .N ;
IF S022048  = 96               THEN S022048  = .R ;
IF S022048  = 97               THEN S022048  = .N ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDCLASS  = 99999999         THEN IDCLASS  = . ;
IF IDSTUD   = 9999999999       THEN IDSTUD   = . ;
IF IDGRADE  = 99               THEN IDGRADE  = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF IDSCORR  = 999              THEN IDSCORR  = . ;
IF IDSCORA  = 999              THEN IDSCORA  = . ;
IF ITEXCLUD = 9                THEN ITEXCLUD = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITPART   = 9                THEN ITPART   = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF M012001  = 9                THEN M012001  = . ;
IF M012002  = 9                THEN M012002  = . ;
IF M012003  = 9                THEN M012003  = . ;
IF M012004  = 9                THEN M012004  = . ;
IF M012005  = 9                THEN M012005  = . ;
IF M012006  = 9                THEN M012006  = . ;
IF S012001  = 9                THEN S012001  = . ;
IF S012002  = 9                THEN S012002  = . ;
IF S012003  = 9                THEN S012003  = . ;
IF S012004  = 9                THEN S012004  = . ;
IF S012005  = 9                THEN S012005  = . ;
IF S012006  = 9                THEN S012006  = . ;
IF S012007  = 9                THEN S012007  = . ;
IF S012008  = 9                THEN S012008  = . ;
IF S012009  = 9                THEN S012009  = . ;
IF S012010  = 9                THEN S012010  = . ;
IF S012011  = 9                THEN S012011  = . ;
IF S012012  = 9                THEN S012012  = . ;
IF M012007  = 9                THEN M012007  = . ;
IF M012008  = 9                THEN M012008  = . ;
IF M012009  = 9                THEN M012009  = . ;
IF M012010  = 9                THEN M012010  = . ;
IF M012011  = 9                THEN M012011  = . ;
IF M012012  = 9                THEN M012012  = . ;
IF M012013  = 9                THEN M012013  = . ;
IF M012014  = 9                THEN M012014  = . ;
IF M012015  = 9                THEN M012015  = . ;
IF M012016  = 9                THEN M012016  = . ;
IF M012017  = 9                THEN M012017  = . ;
IF M012018  = 9                THEN M012018  = . ;
IF S012013  = 9                THEN S012013  = . ;
IF S012014  = 9                THEN S012014  = . ;
IF S012015  = 9                THEN S012015  = . ;
IF S012016  = 9                THEN S012016  = . ;
IF S012017  = 9                THEN S012017  = . ;
IF S012018  = 9                THEN S012018  = . ;
IF S012019  = 9                THEN S012019  = . ;
IF S012020  = 9                THEN S012020  = . ;
IF S012021  = 9                THEN S012021  = . ;
IF S012022  = 9                THEN S012022  = . ;
IF S012023  = 9                THEN S012023  = . ;
IF S012024  = 9                THEN S012024  = . ;
IF M012019  = 9                THEN M012019  = . ;
IF M012020  = 9                THEN M012020  = . ;
IF M012021  = 9                THEN M012021  = . ;
IF M012022  = 9                THEN M012022  = . ;
IF M012023  = 9                THEN M012023  = . ;
IF M012024  = 9                THEN M012024  = . ;
IF M012025  = 9                THEN M012025  = . ;
IF M012026  = 9                THEN M012026  = . ;
IF M012027  = 9                THEN M012027  = . ;
IF M012028  = 9                THEN M012028  = . ;
IF M012029  = 9                THEN M012029  = . ;
IF M012030  = 9                THEN M012030  = . ;
IF S012025  = 9                THEN S012025  = . ;
IF S012026  = 9                THEN S012026  = . ;
IF S012027  = 9                THEN S012027  = . ;
IF S012028  = 9                THEN S012028  = . ;
IF S012029  = 9                THEN S012029  = . ;
IF S012030  = 9                THEN S012030  = . ;
IF S012031  = 9                THEN S012031  = . ;
IF S012032  = 9                THEN S012032  = . ;
IF S012033  = 9                THEN S012033  = . ;
IF S012034  = 9                THEN S012034  = . ;
IF S012035  = 9                THEN S012035  = . ;
IF S012036  = 9                THEN S012036  = . ;
IF M012031  = 9                THEN M012031  = . ;
IF M012032  = 9                THEN M012032  = . ;
IF M012033  = 9                THEN M012033  = . ;
IF M012034  = 9                THEN M012034  = . ;
IF M012035  = 9                THEN M012035  = . ;
IF M012036  = 9                THEN M012036  = . ;
IF M012037  = 9                THEN M012037  = . ;
IF M012038  = 9                THEN M012038  = . ;
IF M012039  = 9                THEN M012039  = . ;
IF M012040  = 9                THEN M012040  = . ;
IF M012041  = 9                THEN M012041  = . ;
IF M012042  = 9                THEN M012042  = . ;
IF S012037  = 9                THEN S012037  = . ;
IF S012038  = 9                THEN S012038  = . ;
IF S012039  = 9                THEN S012039  = . ;
IF S012040  = 9                THEN S012040  = . ;
IF S012041  = 9                THEN S012041  = . ;
IF S012042  = 9                THEN S012042  = . ;
IF S012043  = 9                THEN S012043  = . ;
IF S012044  = 9                THEN S012044  = . ;
IF S012045  = 9                THEN S012045  = . ;
IF S012046  = 9                THEN S012046  = . ;
IF S012047  = 9                THEN S012047  = . ;
IF S012048  = 9                THEN S012048  = . ;
IF M012043  = 9                THEN M012043  = . ;
IF M012044  = 9                THEN M012044  = . ;
IF M012045  = 9                THEN M012045  = . ;
IF M012046  = 9                THEN M012046  = . ;
IF M012047  = 9                THEN M012047  = . ;
IF M012048  = 9                THEN M012048  = . ;
IF M022002  = 9                THEN M022002  = . ;
IF M022004  = 9                THEN M022004  = . ;
IF M022005  = 9                THEN M022005  = . ;
IF M022008  = 99               THEN M022008  = . ;
IF M022010  = 9                THEN M022010  = . ;
IF M022012  = 99               THEN M022012  = . ;
IF M022021  = 9                THEN M022021  = . ;
IF M022016  = 9                THEN M022016  = . ;
IF M022252  = 9                THEN M022252  = . ;
IF S022183  = 9                THEN S022183  = . ;
IF S022276  = 9                THEN S022276  = . ;
IF S022115  = 9                THEN S022115  = . ;
IF S022022  = 99               THEN S022022  = . ;
IF S022019  = 9                THEN S022019  = . ;
IF S022002  = 9                THEN S022002  = . ;
IF S022294  = 9                THEN S022294  = . ;
IF S022106  = 9                THEN S022106  = . ;
IF S022244  = 99               THEN S022244  = . ;
IF S022150  = 9                THEN S022150  = . ;
IF S022042  = 9                THEN S022042  = . ;
IF S022073  = 9                THEN S022073  = . ;
IF S022099  = 9                THEN S022099  = . ;
IF S022174  = 99               THEN S022174  = . ;
IF S022009  = 9                THEN S022009  = . ;
IF S022012  = 9                THEN S022012  = . ;
IF S022082  = 9                THEN S022082  = . ;
IF S022094  = 9                THEN S022094  = . ;
IF S022278  = 9                THEN S022278  = . ;
IF S022081  = 99               THEN S022081  = . ;
IF M022022  = 9                THEN M022022  = . ;
IF M022246  = 9                THEN M022246  = . ;
IF M022026  = 99               THEN M022026  = . ;
IF M022030  = 99               THEN M022030  = . ;
IF M022031  = 9                THEN M022031  = . ;
IF M022033  = 9                THEN M022033  = . ;
IF M022037  = 9                THEN M022037  = . ;
IF M022041  = 9                THEN M022041  = . ;
IF M022038  = 9                THEN M022038  = . ;
IF M022043  = 9                THEN M022043  = . ;
IF M022046  = 99               THEN M022046  = . ;
IF M022049  = 9                THEN M022049  = . ;
IF M022050  = 9                THEN M022050  = . ;
IF M022055  = 99               THEN M022055  = . ;
IF M022057  = 9                THEN M022057  = . ;
IF M022257  = 9                THEN M022257  = . ;
IF M022062  = 9                THEN M022062  = . ;
IF M022066  = 9                THEN M022066  = . ;
IF S022035  = 99               THEN S022035  = . ;
IF S022225  = 9                THEN S022225  = . ;
IF S022117  = 9                THEN S022117  = . ;
IF S022235  = 9                THEN S022235  = . ;
IF S022188  = 9                THEN S022188  = . ;
IF S022074  = 9                THEN S022074  = . ;
IF S022240  = 9                THEN S022240  = . ;
IF S022206  = 9                THEN S022206  = . ;
IF S022160  = 99               THEN S022160  = . ;
IF S022058  = 9                THEN S022058  = . ;
IF S022014  = 9                THEN S022014  = . ;
IF S022131  = 9                THEN S022131  = . ;
IF S022132  = 9                THEN S022132  = . ;
IF S022017  = 99               THEN S022017  = . ;
IF S022295  = 9                THEN S022295  = . ;
IF S022194  = 9                THEN S022194  = . ;
IF S022118  = 9                THEN S022118  = . ;
IF S022140  = 99               THEN S022140  = . ;
IF M022070  = 9                THEN M022070  = . ;
IF M022073  = 9                THEN M022073  = . ;
IF M022258  = 9                THEN M022258  = . ;
IF M022078  = 9                THEN M022078  = . ;
IF M022079  = 9                THEN M022079  = . ;
IF M022042  = 9                THEN M022042  = . ;
IF M022083  = 9                THEN M022083  = . ;
IF M022085  = 9                THEN M022085  = . ;
IF M022089  = 99               THEN M022089  = . ;
IF M022093  = 9                THEN M022093  = . ;
IF M022097  = 9                THEN M022097  = . ;
IF M022259  = 9                THEN M022259  = . ;
IF M022101  = 9                THEN M022101  = . ;
IF M022104  = 9                THEN M022104  = . ;
IF M022105  = 9                THEN M022105  = . ;
IF M022106  = 99               THEN M022106  = . ;
IF M022108  = 9                THEN M022108  = . ;
IF M022110  = 99               THEN M022110  = . ;
IF M022181  = 9                THEN M022181  = . ;
IF S022187  = 9                THEN S022187  = . ;
IF S022161  = 99               THEN S022161  = . ;
IF S022222  = 9                THEN S022222  = . ;
IF S022191  = 99               THEN S022191  = . ;
IF S022279  = 99               THEN S022279  = . ;
IF S022040  = 9                THEN S022040  = . ;
IF S022007  = 9                THEN S022007  = . ;
IF S022141  = 99               THEN S022141  = . ;
IF S022123  = 9                THEN S022123  = . ;
IF S022238  = 9                THEN S022238  = . ;
IF S022145  = 9                THEN S022145  = . ;
IF S022293  = 9                THEN S022293  = . ;
IF S022178  = 9                THEN S022178  = . ;
IF S022137  = 9                THEN S022137  = . ;
IF S022030  = 9                THEN S022030  = . ;
IF S022049  = 99               THEN S022049  = . ;
IF M022113  = 9                THEN M022113  = . ;
IF M022116  = 9                THEN M022116  = . ;
IF M022118  = 99               THEN M022118  = . ;
IF M022121  = 9                THEN M022121  = . ;
IF M022124  = 9                THEN M022124  = . ;
IF M022126  = 9                THEN M022126  = . ;
IF M022128  = 9                THEN M022128  = . ;
IF M022249  = 9                THEN M022249  = . ;
IF M022132  = 99               THEN M022132  = . ;
IF M022135  = 9                THEN M022135  = . ;
IF M022139  = 9                THEN M022139  = . ;
IF M022142  = 9                THEN M022142  = . ;
IF M022144  = 9                THEN M022144  = . ;
IF M022146  = 9                THEN M022146  = . ;
IF M022148  = 99               THEN M022148  = . ;
IF M022253  = 99               THEN M022253  = . ;
IF M022154  = 9                THEN M022154  = . ;
IF M022156  = 99               THEN M022156  = . ;
IF S022086  = 99               THEN S022086  = . ;
IF S022198  = 9                THEN S022198  = . ;
IF S022275  = 9                THEN S022275  = . ;
IF S022041  = 9                THEN S022041  = . ;
IF S022283  = 99               THEN S022283  = . ;
IF S022202  = 9                THEN S022202  = . ;
IF S022152  = 99               THEN S022152  = . ;
IF S022154  = 99               THEN S022154  = . ;
IF S022280  = 9                THEN S022280  = . ;
IF S022043  = 99               THEN S022043  = . ;
IF S022258  = 99               THEN S022258  = . ;
IF S022157  = 9                THEN S022157  = . ;
IF S022277A = 99               THEN S022277A = . ;
IF S022277B = 99               THEN S022277B = . ;
IF S022277D = 99               THEN S022277D = . ;
IF S022158  = 99               THEN S022158  = . ;
IF S022245  = 9                THEN S022245  = . ;
IF M022159  = 9                THEN M022159  = . ;
IF M022176  = 9                THEN M022176  = . ;
IF M022160  = 9                THEN M022160  = . ;
IF M022165  = 9                THEN M022165  = . ;
IF M022168  = 9                THEN M022168  = . ;
IF M022169  = 9                THEN M022169  = . ;
IF M022172  = 9                THEN M022172  = . ;
IF M022173  = 9                THEN M022173  = . ;
IF M022260  = 9                THEN M022260  = . ;
IF M022178  = 99               THEN M022178  = . ;
IF M022251  = 9                THEN M022251  = . ;
IF M022185  = 9                THEN M022185  = . ;
IF M022188  = 9                THEN M022188  = . ;
IF M022189  = 9                THEN M022189  = . ;
IF M022191  = 9                THEN M022191  = . ;
IF M022194  = 9                THEN M022194  = . ;
IF M022196  = 9                THEN M022196  = . ;
IF M022198  = 9                THEN M022198  = . ;
IF M022199  = 9                THEN M022199  = . ;
IF M022202  = 99               THEN M022202  = . ;
IF S022290  = 9                THEN S022290  = . ;
IF S022292  = 99               THEN S022292  = . ;
IF S022054  = 9                THEN S022054  = . ;
IF S022181  = 9                THEN S022181  = . ;
IF S022208  = 9                THEN S022208  = . ;
IF S022078  = 99               THEN S022078  = . ;
IF S022126  = 9                THEN S022126  = . ;
IF S022281  = 99               THEN S022281  = . ;
IF S022264  = 9                THEN S022264  = . ;
IF S022064  = 9                THEN S022064  = . ;
IF S022165A = 99               THEN S022165A = . ;
IF S022165B = 99               THEN S022165B = . ;
IF S022165D = 99               THEN S022165D = . ;
IF S022284  = 99               THEN S022284  = . ;
IF S022213  = 99               THEN S022213  = . ;
IF S022254  = 9                THEN S022254  = . ;
IF M022204  = 9                THEN M022204  = . ;
IF M022206  = 9                THEN M022206  = . ;
IF M022208  = 9                THEN M022208  = . ;
IF M022210  = 9                THEN M022210  = . ;
IF M022213  = 9                THEN M022213  = . ;
IF M022166  = 9                THEN M022166  = . ;
IF M022245  = 9                THEN M022245  = . ;
IF M022219  = 99               THEN M022219  = . ;
IF M022222  = 99               THEN M022222  = . ;
IF M022261A = 99               THEN M022261A = . ;
IF M022261B = 99               THEN M022261B = . ;
IF M022261C = 99               THEN M022261C = . ;
IF M022227A = 99               THEN M022227A = . ;
IF M022227B = 99               THEN M022227B = . ;
IF M022227C = 99               THEN M022227C = . ;
IF M022127  = 9                THEN M022127  = . ;
IF M022228  = 99               THEN M022228  = . ;
IF M022231A = 99               THEN M022231A = . ;
IF M022231B = 99               THEN M022231B = . ;
IF M022244  = 99               THEN M022244  = . ;
IF M022207  = 9                THEN M022207  = . ;
IF M022232  = 99               THEN M022232  = . ;
IF M022234A = 99               THEN M022234A = . ;
IF M022234B = 99               THEN M022234B = . ;
IF M022243  = 99               THEN M022243  = . ;
IF M022237  = 99               THEN M022237  = . ;
IF M022256  = 99               THEN M022256  = . ;
IF M022241  = 9                THEN M022241  = . ;
IF M022262A = 99               THEN M022262A = . ;
IF M022262B = 99               THEN M022262B = . ;
IF M022262C = 99               THEN M022262C = . ;
IF S022088A = 99               THEN S022088A = . ;
IF S022088B = 99               THEN S022088B = . ;
IF S022249A = 99               THEN S022249A = . ;
IF S022249B = 99               THEN S022249B = . ;
IF S022249D = 99               THEN S022249D = . ;
IF S022286  = 99               THEN S022286  = . ;
IF S022282  = 99               THEN S022282  = . ;
IF S022172A = 99               THEN S022172A = . ;
IF S022172B = 99               THEN S022172B = . ;
IF S022288  = 99               THEN S022288  = . ;
IF S022289  = 99               THEN S022289  = . ;
IF S022069  = 99               THEN S022069  = . ;
IF S022268  = 99               THEN S022268  = . ;
IF S022217A = 99               THEN S022217A = . ;
IF S022217B = 99               THEN S022217B = . ;
IF S022217C = 99               THEN S022217C = . ;
IF S022217D = 99               THEN S022217D = . ;
IF S022090  = 99               THEN S022090  = . ;
IF S022048  = 99               THEN S022048  = . ;
IF TOTWGT   = 9999             THEN TOTWGT   = . ;
IF HOUWGT   = 99               THEN HOUWGT   = . ;
IF SENWGT   = 9                THEN SENWGT   = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF BSMSTDR  = 99               THEN BSMSTDR  = . ;
IF BSMNRSC  = 999              THEN BSMNRSC  = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSSSTDR  = 99               THEN BSSSTDR  = . ;
IF BSSNRSC  = 999              THEN BSSNRSC  = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;
IF BSSERI01 = 999              THEN BSSERI01 = . ;
IF BSSERI02 = 999              THEN BSSERI02 = . ;
IF BSSERI03 = 999              THEN BSSERI03 = . ;
IF BSSERI04 = 999              THEN BSSERI04 = . ;
IF BSSERI05 = 999              THEN BSSERI05 = . ;
IF BSSNOS01 = 999              THEN BSSNOS01 = . ;
IF BSSNOS02 = 999              THEN BSSNOS02 = . ;
IF BSSNOS03 = 999              THEN BSSNOS03 = . ;
IF BSSNOS04 = 999              THEN BSSNOS04 = . ;
IF BSSNOS05 = 999              THEN BSSNOS05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idstud;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;














