%let cty =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
            FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
            KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
            SCO SGP SVK SVN ESP SWE CHE THA USA ITA ZAF;

Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bsg&ccode.m1 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1100 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDCLASS    8 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDBOOK     3 ;
LENGTH      ITEXCLUD   3 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITDATEM    3 ;
LENGTH      ITDATEY    4 ;
LENGTH      IDGRADER   3 ;
LENGTH      ILRELIAB   3 ;
LENGTH      ITPART     3 ;
LENGTH      BSBGBIRD   3 ;
LENGTH      BSBGBIRM   3 ;
LENGTH      BSBGBIRY   3 ;
LENGTH      BSBGSEX    3 ;
LENGTH      BSBGBRN1   3 ;
LENGTH      BSBGBRN2   3 ;
LENGTH      BSBGLANG   3 ;
LENGTH      BSBMEXTR   3 ;
LENGTH      BSBSEXTR   3 ;
LENGTH      BSBGCLUB   3 ;
LENGTH      BSBGPAID   3 ;
LENGTH      BSBGDAY1   3 ;
LENGTH      BSBGDAY2   3 ;
LENGTH      BSBGDAY3   3 ;
LENGTH      BSBGDAY4   3 ;
LENGTH      BSBGDAY5   3 ;
LENGTH      BSBGDAY6   3 ;
LENGTH      BSBMDAY7   3 ;
LENGTH      BSBSDAY8   3 ;
LENGTH      BSBGDAY9   3 ;
LENGTH      BSBGADU1   3 ;
LENGTH      BSBGADU2   3 ;
LENGTH      BSBGADU3   3 ;
LENGTH      BSBGADU4   3 ;
LENGTH      BSBGADU5   3 ;
LENGTH      BSBGADU6   3 ;
LENGTH      BSBGADU7   3 ;
LENGTH      BSBGADU8   3 ;
LENGTH      BSBGADU9   3 ;
LENGTH      BSBGHOME   3 ;
LENGTH      BSBGEDUM   3 ;
LENGTH      BSBGEDUF   3 ;
LENGTH      BSBGEDUS   3 ;
LENGTH      BSBGBRNM   3 ;
LENGTH      BSBGBRNF   3 ;
LENGTH      BSBGBOOK   3 ;
LENGTH      BSBGPS01   3 ;
LENGTH      BSBGPS02   3 ;
LENGTH      BSBGPS03   3 ;
LENGTH      BSBGPS04   3 ;
LENGTH      BSBGPS05   3 ;
LENGTH      BSBGPS06   3 ;
LENGTH      BSBGPS07   3 ;
LENGTH      BSBGPS08   3 ;
LENGTH      BSBGPS09   3 ;
LENGTH      BSBGPS10   3 ;
LENGTH      BSBGPS11   3 ;
LENGTH      BSBGPS12   3 ;
LENGTH      BSBGPS13   3 ;
LENGTH      BSBGPS14   3 ;
LENGTH      BSBGPS15   3 ;
LENGTH      BSBGPS16   3 ;
LENGTH      BSBSMIP1   3 ;
LENGTH      BSBMMIP2   3 ;
LENGTH      BSBGMIP3   3 ;
LENGTH      BSBGMIP4   3 ;
LENGTH      BSBGMIP5   3 ;
LENGTH      BSBGMIP6   3 ;
LENGTH      BSBMCLS1   3 ;
LENGTH      BSBMCLS2   3 ;
LENGTH      BSBMCLS3   3 ;
LENGTH      BSBSFIP1   3 ;
LENGTH      BSBMFIP2   3 ;
LENGTH      BSBGFIP3   3 ;
LENGTH      BSBGFIP4   3 ;
LENGTH      BSBGFIP5   3 ;
LENGTH      BSBGFIP6   3 ;
LENGTH      BSBSSIP1   3 ;
LENGTH      BSBMSIP2   3 ;
LENGTH      BSBGSIP3   3 ;
LENGTH      BSBGSIP4   3 ;
LENGTH      BSBGSIP5   3 ;
LENGTH      BSBGSIP6   3 ;
LENGTH      BSBMGOOD   3 ;
LENGTH      BSBSGOOD   3 ;
LENGTH      BSBGSSKP   3 ;
LENGTH      BSBGSSTL   3 ;
LENGTH      BSBGSHRT   3 ;
LENGTH      BSBGFSKP   3 ;
LENGTH      BSBGFSTL   3 ;
LENGTH      BSBGFHRT   3 ;
LENGTH      BSBMDOW1   3 ;
LENGTH      BSBMDOW2   3 ;
LENGTH      BSBMDOW3   3 ;
LENGTH      BSBMDOW4   3 ;
LENGTH      BSBSDOW1   3 ;
LENGTH      BSBSDOW2   3 ;
LENGTH      BSBSDOW3   3 ;
LENGTH      BSBSDOW4   3 ;
LENGTH      BSBMLIKE   3 ;
LENGTH      BSBSLIKE   3 ;
LENGTH      BSBMCMLK   3 ;
LENGTH      BSBSCMLK   3 ;
LENGTH      BSBMENJY   3 ;
LENGTH      BSBMBORE   3 ;
LENGTH      BSBMEASY   3 ;
LENGTH      BSBMLIFE   3 ;
LENGTH      BSBMWORK   3 ;
LENGTH      BSBMJOB    3 ;
LENGTH      BSBMPRNT   3 ;
LENGTH      BSBMSCHL   3 ;
LENGTH      BSBMSELF   3 ;
LENGTH      BSBMPROB   3 ;
LENGTH      BSBMNOTE   3 ;
LENGTH      BSBMTEST   3 ;
LENGTH      BSBMWSHT   3 ;
LENGTH      BSBMPROJ   3 ;
LENGTH      BSBMCALC   3 ;
LENGTH      BSBMCOMP   3 ;
LENGTH      BSBMSGRP   3 ;
LENGTH      BSBMEVLF   3 ;
LENGTH      BSBMHWGV   3 ;
LENGTH      BSBMHWCL   3 ;
LENGTH      BSBMHWTC   3 ;
LENGTH      BSBMHWFC   3 ;
LENGTH      BSBMHWDS   3 ;
LENGTH      BSBMRULE   3 ;
LENGTH      BSBMPRAC   3 ;
LENGTH      BSBMSMGP   3 ;
LENGTH      BSBMASK    3 ;
LENGTH      BSBMTXBK   3 ;
LENGTH      BSBMEG     3 ;
LENGTH      BSBGENV1   3 ;
LENGTH      BSBGENV2   3 ;
LENGTH      BSBGENV3   3 ;
LENGTH      BSBGENV4   3 ;
LENGTH      BSBGENV5   3 ;
LENGTH      BSBGENV6   3 ;
LENGTH      BSBGWORR   3 ;
LENGTH      BSBSENJY   3 ;
LENGTH      BSBSBORE   3 ;
LENGTH      BSBSEASY   3 ;
LENGTH      BSBSLIFE   3 ;
LENGTH      BSBSWORK   3 ;
LENGTH      BSBSJOB    3 ;
LENGTH      BSBSPRNT   3 ;
LENGTH      BSBSSCHL   3 ;
LENGTH      BSBSSELF   3 ;
LENGTH      BSBSCARE   3 ;
LENGTH      BSBSPROB   3 ;
LENGTH      BSBSNOTE   3 ;
LENGTH      BSBSTEST   3 ;
LENGTH      BSBSPROJ   3 ;
LENGTH      BSBSWSHT   3 ;
LENGTH      BSBSCALC   3 ;
LENGTH      BSBSCOMP   3 ;
LENGTH      BSBSEVLF   3 ;
LENGTH      BSBSSGRP   3 ;
LENGTH      BSBSHWGV   3 ;
LENGTH      BSBSHWCL   3 ;
LENGTH      BSBSHWTC   3 ;
LENGTH      BSBSHWFC   3 ;
LENGTH      BSBSHWDS   3 ;
LENGTH      BSBSDEMO   3 ;
LENGTH      BSBSEXPR   3 ;
LENGTH      BSBSRULE   3 ;
LENGTH      BSBSPRAC   3 ;
LENGTH      BSBSSMGP   3 ;
LENGTH      BSBSASK    3 ;
LENGTH      BSBSTXBK   3 ;
LENGTH      BSBSEG     3 ;
LENGTH      BSBBGOOD   3 ;
LENGTH      BSBEGOOD   3 ;
LENGTH      BSBYGOOD   3 ;
LENGTH      BSBBLIKE   3 ;
LENGTH      BSBELIKE   3 ;
LENGTH      BSBYLIKE   3 ;
LENGTH      BSBBSTDY   3 ;
LENGTH      BSBCSTDY   3 ;
LENGTH      BSBESTDY   3 ;
LENGTH      BSBPSTDY   3 ;
LENGTH      BSBBENJY   3 ;
LENGTH      BSBBBORE   3 ;
LENGTH      BSBBEASY   3 ;
LENGTH      BSBBLIFE   3 ;
LENGTH      BSBBWORK   3 ;
LENGTH      BSBBJOB    3 ;
LENGTH      BSBBPRNT   3 ;
LENGTH      BSBBSCHL   3 ;
LENGTH      BSBBSELF   3 ;
LENGTH      BSBBPROB   3 ;
LENGTH      BSBBNOTE   3 ;
LENGTH      BSBBTEST   3 ;
LENGTH      BSBBPROJ   3 ;
LENGTH      BSBBWSHT   3 ;
LENGTH      BSBBCALC   3 ;
LENGTH      BSBBCOMP   3 ;
LENGTH      BSBBEVLF   3 ;
LENGTH      BSBBSGRP   3 ;
LENGTH      BSBBHWGV   3 ;
LENGTH      BSBBHWCL   3 ;
LENGTH      BSBBHWTC   3 ;
LENGTH      BSBBHWFC   3 ;
LENGTH      BSBBHWDS   3 ;
LENGTH      BSBBDEMO   3 ;
LENGTH      BSBBEXPR   3 ;
LENGTH      BSBBRULE   3 ;
LENGTH      BSBBPRAC   3 ;
LENGTH      BSBBSMGP   3 ;
LENGTH      BSBBASK    3 ;
LENGTH      BSBBTXBK   3 ;
LENGTH      BSBBEG     3 ;
LENGTH      BSBCENJY   3 ;
LENGTH      BSBCBORE   3 ;
LENGTH      BSBCEASY   3 ;
LENGTH      BSBCLIFE   3 ;
LENGTH      BSBCWORK   3 ;
LENGTH      BSBCJOB    3 ;
LENGTH      BSBCPRNT   3 ;
LENGTH      BSBCSCHL   3 ;
LENGTH      BSBCSELF   3 ;
LENGTH      BSBCPROB   3 ;
LENGTH      BSBCNOTE   3 ;
LENGTH      BSBCTEST   3 ;
LENGTH      BSBCPROJ   3 ;
LENGTH      BSBCWSHT   3 ;
LENGTH      BSBCCALC   3 ;
LENGTH      BSBCCOMP   3 ;
LENGTH      BSBCEVLF   3 ;
LENGTH      BSBCSGRP   3 ;
LENGTH      BSBCHWGV   3 ;
LENGTH      BSBCHWCL   3 ;
LENGTH      BSBCHWTC   3 ;
LENGTH      BSBCHWFC   3 ;
LENGTH      BSBCHWDS   3 ;
LENGTH      BSBCDEMO   3 ;
LENGTH      BSBCEXPR   3 ;
LENGTH      BSBCRULE   3 ;
LENGTH      BSBCPRAC   3 ;
LENGTH      BSBCSMGP   3 ;
LENGTH      BSBCASK    3 ;
LENGTH      BSBCTXBK   3 ;
LENGTH      BSBCEG     3 ;
LENGTH      BSBEENJY   3 ;
LENGTH      BSBEBORE   3 ;
LENGTH      BSBEEASY   3 ;
LENGTH      BSBELIFE   3 ;
LENGTH      BSBEWORK   3 ;
LENGTH      BSBEJOB    3 ;
LENGTH      BSBEPRNT   3 ;
LENGTH      BSBESCHL   3 ;
LENGTH      BSBESELF   3 ;
LENGTH      BSBEPROB   3 ;
LENGTH      BSBENOTE   3 ;
LENGTH      BSBETEST   3 ;
LENGTH      BSBEPROJ   3 ;
LENGTH      BSBEWSHT   3 ;
LENGTH      BSBECALC   3 ;
LENGTH      BSBECOMP   3 ;
LENGTH      BSBEEVLF   3 ;
LENGTH      BSBESGRP   3 ;
LENGTH      BSBEHWGV   3 ;
LENGTH      BSBEHWCL   3 ;
LENGTH      BSBEHWTC   3 ;
LENGTH      BSBEHWFC   3 ;
LENGTH      BSBEHWDS   3 ;
LENGTH      BSBEDEMO   3 ;
LENGTH      BSBEEXPR   3 ;
LENGTH      BSBERULE   3 ;
LENGTH      BSBEPRAC   3 ;
LENGTH      BSBESMGP   3 ;
LENGTH      BSBEASK    3 ;
LENGTH      BSBETXBK   3 ;
LENGTH      BSBEEG     3 ;
LENGTH      BSBPENJY   3 ;
LENGTH      BSBPBORE   3 ;
LENGTH      BSBPEASY   3 ;
LENGTH      BSBPLIFE   3 ;
LENGTH      BSBPWORK   3 ;
LENGTH      BSBPJOB    3 ;
LENGTH      BSBPPRNT   3 ;
LENGTH      BSBPSCHL   3 ;
LENGTH      BSBPSELF   3 ;
LENGTH      BSBPPROB   3 ;
LENGTH      BSBPNOTE   3 ;
LENGTH      BSBPTEST   3 ;
LENGTH      BSBPPROJ   3 ;
LENGTH      BSBPWSHT   3 ;
LENGTH      BSBPCALC   3 ;
LENGTH      BSBPCOMP   3 ;
LENGTH      BSBPEVLF   3 ;
LENGTH      BSBPSGRP   3 ;
LENGTH      BSBPHWGV   3 ;
LENGTH      BSBPHWCL   3 ;
LENGTH      BSBPHWTC   3 ;
LENGTH      BSBPHWFC   3 ;
LENGTH      BSBPHWDS   3 ;
LENGTH      BSBPDEMO   3 ;
LENGTH      BSBPEXPR   3 ;
LENGTH      BSBPRULE   3 ;
LENGTH      BSBPPRAC   3 ;
LENGTH      BSBPSMGP   3 ;
LENGTH      BSBPASK    3 ;
LENGTH      BSBPTXBK   3 ;
LENGTH      BSBPEG     3 ;
LENGTH      BSBGACT1   3 ;
LENGTH      BSBGACT2   3 ;
LENGTH      BSBGACT3   3 ;
LENGTH      BSBGACT4   3 ;
LENGTH      BSBGACT5   3 ;
LENGTH      BSBGNEWS   3 ;
LENGTH      BSBGOPER   3 ;
LENGTH      BSBGNATR   3 ;
LENGTH      BSBGPOPU   3 ;
LENGTH      BSBGSPRT   3 ;
LENGTH      BSBGVIDE   3 ;
LENGTH      BSBGCRTN   3 ;
LENGTH      BSBGCMDY   3 ;
LENGTH      BSDAGE     8 ;
LENGTH      BSDGPSA    3 ;
LENGTH      BSDGEDUP   3 ;
LENGTH      BSDMDAY7   8 ;
LENGTH      BSDSDAY8   8 ;
LENGTH      BSDGDAY9   8 ;
LENGTH      BSDGSTDT   8 ;
LENGTH      BSDEPATS   3 ;
LENGTH      BSDMPATM   3 ;
LENGTH      BSDPPATS   3 ;
LENGTH      BSDSPATS   3 ;
LENGTH      BSDBPATS   3 ;
LENGTH      BSDCPATS   3 ;
LENGTH      BSDGHERI   3 ;
LENGTH      BSDGOSTI   3 ;
LENGTH      BSDGSALL   3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTFAC2    8 ;
LENGTH      WGTFAC3    8 ;
LENGTH      WGTADJ3    8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      INTMS95    3 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  IDCLASS      15-  22     
  IDSTUD       23-  32     
  IDGRADE      33-  34     
  IDBOOK       35-  35     
  ITEXCLUD     36-  36     
  ITBIRTHM     37-  38     
  ITBIRTHY     39-  40     
  ITSEX        41-  41     
  ITLANG       42-  44     
  ITDATEM      45-  46     
  ITDATEY      47-  50     
  IDGRADER     51-  51     
  ILRELIAB     52-  52     
  ITPART       53-  53     
  BSBGBIRD     54-  55     
  BSBGBIRM     56-  57     
  BSBGBIRY     58-  59     
  BSBGSEX      60-  60     
  BSBGBRN1     61-  61     
  BSBGBRN2     62-  63     
  BSBGLANG     64-  64     
  BSBMEXTR     65-  65     
  BSBSEXTR     66-  66     
  BSBGCLUB     67-  67     
  BSBGPAID     68-  68     
  BSBGDAY1     69-  69     
  BSBGDAY2     70-  70     
  BSBGDAY3     71-  71     
  BSBGDAY4     72-  72     
  BSBGDAY5     73-  73     
  BSBGDAY6     74-  74     
  BSBMDAY7     75-  75     
  BSBSDAY8     76-  76     
  BSBGDAY9     77-  77     
  BSBGADU1     78-  78     
  BSBGADU2     79-  79     
  BSBGADU3     80-  80     
  BSBGADU4     81-  81     
  BSBGADU5     82-  82     
  BSBGADU6     83-  83     
  BSBGADU7     84-  84     
  BSBGADU8     85-  85     
  BSBGADU9     86-  86     
  BSBGHOME     87-  88     
  BSBGEDUM     89-  90     
  BSBGEDUF     91-  92     
  BSBGEDUS     93-  94     
  BSBGBRNM     95-  95     
  BSBGBRNF     96-  96     
  BSBGBOOK     97-  97     
  BSBGPS01     98-  98     
  BSBGPS02     99-  99     
  BSBGPS03    100- 100     
  BSBGPS04    101- 101     
  BSBGPS05    102- 102     
  BSBGPS06    103- 103     
  BSBGPS07    104- 104     
  BSBGPS08    105- 105     
  BSBGPS09    106- 106     
  BSBGPS10    107- 107     
  BSBGPS11    108- 108     
  BSBGPS12    109- 109     
  BSBGPS13    110- 110     
  BSBGPS14    111- 111     
  BSBGPS15    112- 112     
  BSBGPS16    113- 113     
  BSBSMIP1    114- 114     
  BSBMMIP2    115- 115     
  BSBGMIP3    116- 116     
  BSBGMIP4    117- 117     
  BSBGMIP5    118- 118     
  BSBGMIP6    119- 119     
  BSBMCLS1    120- 120     
  BSBMCLS2    121- 121     
  BSBMCLS3    122- 122     
  BSBSFIP1    123- 123     
  BSBMFIP2    124- 124     
  BSBGFIP3    125- 125     
  BSBGFIP4    126- 126     
  BSBGFIP5    127- 127     
  BSBGFIP6    128- 128     
  BSBSSIP1    129- 129     
  BSBMSIP2    130- 130     
  BSBGSIP3    131- 131     
  BSBGSIP4    132- 132     
  BSBGSIP5    133- 133     
  BSBGSIP6    134- 134     
  BSBMGOOD    135- 135     
  BSBSGOOD    136- 136     
  BSBGSSKP    137- 137     
  BSBGSSTL    138- 138     
  BSBGSHRT    139- 139     
  BSBGFSKP    140- 140     
  BSBGFSTL    141- 141     
  BSBGFHRT    142- 142     
  BSBMDOW1    143- 143     
  BSBMDOW2    144- 144     
  BSBMDOW3    145- 145     
  BSBMDOW4    146- 146     
  BSBSDOW1    147- 147     
  BSBSDOW2    148- 148     
  BSBSDOW3    149- 149     
  BSBSDOW4    150- 150     
  BSBMLIKE    151- 151     
  BSBSLIKE    152- 152     
  BSBMCMLK    153- 153     
  BSBSCMLK    154- 154     
  BSBMENJY    155- 155     
  BSBMBORE    156- 156     
  BSBMEASY    157- 157     
  BSBMLIFE    158- 158     
  BSBMWORK    159- 159     
  BSBMJOB     160- 160     
  BSBMPRNT    161- 161     
  BSBMSCHL    162- 162     
  BSBMSELF    163- 163     
  BSBMPROB    164- 164     
  BSBMNOTE    165- 165     
  BSBMTEST    166- 166     
  BSBMWSHT    167- 167     
  BSBMPROJ    168- 168     
  BSBMCALC    169- 169     
  BSBMCOMP    170- 170     
  BSBMSGRP    171- 171     
  BSBMEVLF    172- 172     
  BSBMHWGV    173- 173     
  BSBMHWCL    174- 174     
  BSBMHWTC    175- 175     
  BSBMHWFC    176- 176     
  BSBMHWDS    177- 177     
  BSBMRULE    178- 178     
  BSBMPRAC    179- 179     
  BSBMSMGP    180- 180     
  BSBMASK     181- 181     
  BSBMTXBK    182- 182     
  BSBMEG      183- 183     
  BSBGENV1    184- 184     
  BSBGENV2    185- 185     
  BSBGENV3    186- 186     
  BSBGENV4    187- 187     
  BSBGENV5    188- 188     
  BSBGENV6    189- 189     
  BSBGWORR    190- 191     
  BSBSENJY    192- 192     
  BSBSBORE    193- 193     
  BSBSEASY    194- 194     
  BSBSLIFE    195- 195     
  BSBSWORK    196- 196     
  BSBSJOB     197- 197     
  BSBSPRNT    198- 198     
  BSBSSCHL    199- 199     
  BSBSSELF    200- 200     
  BSBSCARE    201- 201     
  BSBSPROB    202- 202     
  BSBSNOTE    203- 203     
  BSBSTEST    204- 204     
  BSBSPROJ    205- 205     
  BSBSWSHT    206- 206     
  BSBSCALC    207- 207     
  BSBSCOMP    208- 208     
  BSBSEVLF    209- 209     
  BSBSSGRP    210- 210     
  BSBSHWGV    211- 211     
  BSBSHWCL    212- 212     
  BSBSHWTC    213- 213     
  BSBSHWFC    214- 214     
  BSBSHWDS    215- 215     
  BSBSDEMO    216- 216     
  BSBSEXPR    217- 217     
  BSBSRULE    218- 218     
  BSBSPRAC    219- 219     
  BSBSSMGP    220- 220     
  BSBSASK     221- 221     
  BSBSTXBK    222- 222     
  BSBSEG      223- 223     
  BSBBGOOD    224- 224     
  BSBEGOOD    225- 225     
  BSBYGOOD    226- 226     
  BSBBLIKE    227- 227     
  BSBELIKE    228- 228     
  BSBYLIKE    229- 229     
  BSBBSTDY    230- 230     
  BSBCSTDY    231- 231     
  BSBESTDY    232- 232     
  BSBPSTDY    233- 233     
  BSBBENJY    234- 234     
  BSBBBORE    235- 235     
  BSBBEASY    236- 236     
  BSBBLIFE    237- 237     
  BSBBWORK    238- 238     
  BSBBJOB     239- 239     
  BSBBPRNT    240- 240     
  BSBBSCHL    241- 241     
  BSBBSELF    242- 242     
  BSBBPROB    243- 243     
  BSBBNOTE    244- 244     
  BSBBTEST    245- 245     
  BSBBPROJ    246- 246     
  BSBBWSHT    247- 247     
  BSBBCALC    248- 248     
  BSBBCOMP    249- 249     
  BSBBEVLF    250- 250     
  BSBBSGRP    251- 251     
  BSBBHWGV    252- 252     
  BSBBHWCL    253- 253     
  BSBBHWTC    254- 254     
  BSBBHWFC    255- 255     
  BSBBHWDS    256- 256     
  BSBBDEMO    257- 257     
  BSBBEXPR    258- 258     
  BSBBRULE    259- 259     
  BSBBPRAC    260- 260     
  BSBBSMGP    261- 261     
  BSBBASK     262- 262     
  BSBBTXBK    263- 263     
  BSBBEG      264- 264     
  BSBCENJY    265- 265     
  BSBCBORE    266- 266     
  BSBCEASY    267- 267     
  BSBCLIFE    268- 268     
  BSBCWORK    269- 269     
  BSBCJOB     270- 270     
  BSBCPRNT    271- 271     
  BSBCSCHL    272- 272     
  BSBCSELF    273- 273     
  BSBCPROB    274- 274     
  BSBCNOTE    275- 275     
  BSBCTEST    276- 276     
  BSBCPROJ    277- 277     
  BSBCWSHT    278- 278     
  BSBCCALC    279- 279     
  BSBCCOMP    280- 280     
  BSBCEVLF    281- 281     
  BSBCSGRP    282- 282     
  BSBCHWGV    283- 283     
  BSBCHWCL    284- 284     
  BSBCHWTC    285- 285     
  BSBCHWFC    286- 286     
  BSBCHWDS    287- 287     
  BSBCDEMO    288- 288     
  BSBCEXPR    289- 289     
  BSBCRULE    290- 290     
  BSBCPRAC    291- 291     
  BSBCSMGP    292- 292     
  BSBCASK     293- 293     
  BSBCTXBK    294- 294     
  BSBCEG      295- 295     
  BSBEENJY    296- 296     
  BSBEBORE    297- 297     
  BSBEEASY    298- 298     
  BSBELIFE    299- 299     
  BSBEWORK    300- 300     
  BSBEJOB     301- 301     
  BSBEPRNT    302- 302     
  BSBESCHL    303- 303     
  BSBESELF    304- 304     
  BSBEPROB    305- 305     
  BSBENOTE    306- 306     
  BSBETEST    307- 307     
  BSBEPROJ    308- 308     
  BSBEWSHT    309- 309     
  BSBECALC    310- 310     
  BSBECOMP    311- 311     
  BSBEEVLF    312- 312     
  BSBESGRP    313- 313     
  BSBEHWGV    314- 314     
  BSBEHWCL    315- 315     
  BSBEHWTC    316- 316     
  BSBEHWFC    317- 317     
  BSBEHWDS    318- 318     
  BSBEDEMO    319- 319     
  BSBEEXPR    320- 320     
  BSBERULE    321- 321     
  BSBEPRAC    322- 322     
  BSBESMGP    323- 323     
  BSBEASK     324- 324     
  BSBETXBK    325- 325     
  BSBEEG      326- 326     
  BSBPENJY    327- 327     
  BSBPBORE    328- 328     
  BSBPEASY    329- 329     
  BSBPLIFE    330- 330     
  BSBPWORK    331- 331     
  BSBPJOB     332- 332     
  BSBPPRNT    333- 333     
  BSBPSCHL    334- 334     
  BSBPSELF    335- 335     
  BSBPPROB    336- 336     
  BSBPNOTE    337- 337     
  BSBPTEST    338- 338     
  BSBPPROJ    339- 339     
  BSBPWSHT    340- 340     
  BSBPCALC    341- 341     
  BSBPCOMP    342- 342     
  BSBPEVLF    343- 343     
  BSBPSGRP    344- 344     
  BSBPHWGV    345- 345     
  BSBPHWCL    346- 346     
  BSBPHWTC    347- 347     
  BSBPHWFC    348- 348     
  BSBPHWDS    349- 349     
  BSBPDEMO    350- 350     
  BSBPEXPR    351- 351     
  BSBPRULE    352- 352     
  BSBPPRAC    353- 353     
  BSBPSMGP    354- 354     
  BSBPASK     355- 355     
  BSBPTXBK    356- 356     
  BSBPEG      357- 357     
  BSBGACT1    358- 358     
  BSBGACT2    359- 359     
  BSBGACT3    360- 360     
  BSBGACT4    361- 361     
  BSBGACT5    362- 362     
  BSBGNEWS    363- 363     
  BSBGOPER    364- 364     
  BSBGNATR    365- 365     
  BSBGPOPU    366- 366     
  BSBGSPRT    367- 367     
  BSBGVIDE    368- 368     
  BSBGCRTN    369- 369     
  BSBGCMDY    370- 370     
  BSDAGE      371- 374 .1
  BSDGPSA     375- 375     
  BSDGEDUP    376- 376     
  BSDMDAY7    377- 379 .1
  BSDSDAY8    380- 382 .1
  BSDGDAY9    383- 385 .1
  BSDGSTDT    386- 390 .2
  BSDEPATS    391- 391     
  BSDMPATM    392- 392     
  BSDPPATS    393- 393     
  BSDSPATS    394- 394     
  BSDBPATS    395- 395     
  BSDCPATS    396- 396     
  BSDGHERI    397- 397     
  BSDGOSTI    398- 398     
  BSDGSALL    399- 399     
  TOTWGT      400- 412 .6
  HOUWGT      413- 425 .6
  SENWGT      426- 438 .6
  WGTFAC1     439- 451 .6
  WGTADJ1     452- 464 .6
  WGTFAC2     465- 477 .6
  WGTFAC3     478- 490 .6
  WGTADJ3     491- 503 .6
  JKZONE      504- 505     
  JKREP       506- 506     
  BSMSTDR     507- 511 .2
  BSMNRSC     512- 516 .1
  BSMSCPT     517- 518     
  BSSSTDR     519- 523 .2
  BSSNRSC     524- 528 .1
  BSSSCPT     529- 530     
  INTMS95     531- 531     
  BSMMAT01    532- 537 .2
  BSMMAT02    538- 543 .2
  BSMMAT03    544- 549 .2
  BSMMAT04    550- 555 .2
  BSMMAT05    556- 561 .2
  BSSSCI01    562- 567 .2
  BSSSCI02    568- 573 .2
  BSSSCI03    574- 579 .2
  BSSSCI04    580- 585 .2
  BSSSCI05    586- 591 .2
  BSMALG01    592- 597 .2
  BSMALG02    598- 603 .2
  BSMALG03    604- 609 .2
  BSMALG04    610- 615 .2
  BSMALG05    616- 621 .2
  BSMDAP01    622- 627 .2
  BSMDAP02    628- 633 .2
  BSMDAP03    634- 639 .2
  BSMDAP04    640- 645 .2
  BSMDAP05    646- 651 .2
  BSMFNS01    652- 657 .2
  BSMFNS02    658- 663 .2
  BSMFNS03    664- 669 .2
  BSMFNS04    670- 675 .2
  BSMFNS05    676- 681 .2
  BSMGEO01    682- 687 .2
  BSMGEO02    688- 693 .2
  BSMGEO03    694- 699 .2
  BSMGEO04    700- 705 .2
  BSMGEO05    706- 711 .2
  BSMMEA01    712- 717 .2
  BSMMEA02    718- 723 .2
  BSMMEA03    724- 729 .2
  BSMMEA04    730- 735 .2
  BSMMEA05    736- 741 .2
  BSSCHE01    742- 747 .2
  BSSCHE02    748- 753 .2
  BSSCHE03    754- 759 .2
  BSSCHE04    760- 765 .2
  BSSCHE05    766- 771 .2
  BSSEAS01    772- 777 .2
  BSSEAS02    778- 783 .2
  BSSEAS03    784- 789 .2
  BSSEAS04    790- 795 .2
  BSSEAS05    796- 801 .2
  BSSLIS01    802- 807 .2
  BSSLIS02    808- 813 .2
  BSSLIS03    814- 819 .2
  BSSLIS04    820- 825 .2
  BSSLIS05    826- 831 .2
  BSSPHY01    832- 837 .2
  BSSPHY02    838- 843 .2
  BSSPHY03    844- 849 .2
  BSSPHY04    850- 855 .2
  BSSPHY05    856- 861 .2
  DPCDATE     862- 867     
;

%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDGRADE  = "*GRADE*"
  IDBOOK   = "*BOOKLET ID*"
  ITEXCLUD = "*INDICATOR FOR EXCLUDED STUDENTS*"
  ITBIRTHM = "*STUDENT'S DATE OF BIRTH\MONTH*"
  ITBIRTHY = "*STUDENT'S DATE OF BIRTH\YEAR*"
  ITSEX    = "*STUDENT'S SEX*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITDATEM  = "*DATE OF TESTING/MONTH*"
  ITDATEY  = "*DATE OF TESTING/YEAR*"
  IDGRADER = "*GRADE*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  ITPART   = "*PARTICIPATION STATUS/ACHIEVEMENT SESS.*"
  BSBGBIRD = "GEN\DATE OF BIRTH\DAY"
  BSBGBIRM = "GEN\DATE OF BIRTH\MONTH"
  BSBGBIRY = "GEN\DATE OF BIRTH\YEAR"
  BSBGSEX  = "GEN\STUDENT'S SEX"
  BSBGBRN1 = "GEN\BORN IN COUNTRY"
  BSBGBRN2 = "GEN\BORN IN COUNTRY\AGE"
  BSBGLANG = "GEN\SPEAK LANGUAGE OF TEST AT HOME"
  BSBMEXTR = "MAT\OUTSIDE SCHL\EXTRA LESSONS"
  BSBSEXTR = "SCI\OUTSIDE SCHL\EXTRA LESSONS"
  BSBGCLUB = "GEN\OUTSIDE SCHL\CLUBS PARTICIPATION"
  BSBGPAID = "GEN\OUTSIDE SCHL\WORK AT PAID JOB"
  BSBGDAY1 = "GEN\OUTSIDE SCHL\WATCH TY OR VIDEOS"
  BSBGDAY2 = "GEN\OUTSIDE SCHL\PLAY COMPUTER GAMES"
  BSBGDAY3 = "GEN\OUTSIDE SCHL\PLAY WITH FRIENDS"
  BSBGDAY4 = "GEN\OUTSIDE SCHL\DOING JOBS AT HOME"
  BSBGDAY5 = "GEN\OUTSIDE SCHL\PLAYING SPORTS"
  BSBGDAY6 = "GEN\OUTSIDE SCHL\READING A BOOK"
  BSBMDAY7 = "MAT\OUTSIDE SCHL\STUDYING MATH"
  BSBSDAY8 = "SCI\OUTSIDE SCHL\STUDYING SCIENCE"
  BSBGDAY9 = "GEN\OUTSIDE SCHL\STUDYING OTHER SUBJ"
  BSBGADU1 = "GEN\STUDENT LIVES WITH\MOTHER"
  BSBGADU2 = "GEN\STUDENT LIVES WITH\FATHER"
  BSBGADU3 = "GEN\STUDENT LIVES WITH\BROTHER(S)"
  BSBGADU4 = "GEN\STUDENT LIVES WITH\SISTER(S)"
  BSBGADU5 = "GEN\STUDENT LIVES WITH\STEPMOTHER"
  BSBGADU6 = "GEN\STUDENT LIVES WITH\STEPFATHER"
  BSBGADU7 = "GEN\STUDENT LIVES WITH\GRANDPRNT(S)"
  BSBGADU8 = "GEN\STUDENT LIVES WITH\RELATIVE(S)"
  BSBGADU9 = "GEN\STUDENT LIVES WITH\OTHER(S)"
  BSBGHOME = "GEN\# OF PEOPLE LIVING IN HOME"
  BSBGEDUM = "GEN\HIGHEST EDUC LEVEL\MOTHER"
  BSBGEDUF = "GEN\HIGHEST EDUC LEVEL\FATHER"
  BSBGEDUS = "GEN\HIGHEST EDUC LEVEL\SELF"
  BSBGBRNM = "GEN\BORN IN COUNTRY\MOTHER"
  BSBGBRNF = "GEN\BORN IN COUNTRY\FATHER"
  BSBGBOOK = "GEN\# OF BOOKS IN STUDENT'S HOME"
  BSBGPS01 = "GEN\HOME POSSESS\CALCULATOR"
  BSBGPS02 = "GEN\HOME POSSESS\COMPUTER"
  BSBGPS03 = "GEN\HOME POSSESS\STUDY DESK"
  BSBGPS04 = "GEN\HOME POSSESS\DICTIONARY"
  BSBGPS05 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS06 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS07 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS08 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS09 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS10 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS11 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS12 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS13 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS14 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS15 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS16 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBSMIP1 = "SCI\MOTHER IMPT\DO WELL IN SCIENCE"
  BSBMMIP2 = "MAT\MOTHER IMPT\DO WELL IN MATH"
  BSBGMIP3 = "GEN\MOTHER IMPT\DO WELL IN LANGUAGE"
  BSBGMIP4 = "GEN\MOTHER IMPT\GOOD IN SPORTS"
  BSBGMIP5 = "GEN\MOTHER IMPT\HAVE TIME FOR FUN"
  BSBGMIP6 = "GEN\MOTHER IMPT\HIGH ACHIEVE CLASS"
  BSBMCLS1 = "MAT\STUDENTS NEGLECT SCHOOL WORK"
  BSBMCLS2 = "MAT\STUDENTS ORDERLY & QUIET"
  BSBMCLS3 = "MAT\STUDENTS DO EXACTLY AS TOLD"
  BSBSFIP1 = "SCI\FRIENDS IMPT\DO WELL IN SCIENCE"
  BSBMFIP2 = "MAT\FRIENDS IMPT\DO WELL IN MATH"
  BSBGFIP3 = "GEN\FRIENDS IMPT\DO WELL IN LANGUAGE"
  BSBGFIP4 = "GEN\FRIENDS IMPT\HAVE TIME FOR FUN"
  BSBGFIP5 = "GEN\FRIENDS IMPT\GOOD IN SPORTS"
  BSBGFIP6 = "GEN\FRIENDS IMPT\HIGH ACHIEVE CLASS"
  BSBSSIP1 = "SCI\SELF IMPT\DO WELL IN SCIENCE"
  BSBMSIP2 = "MAT\SELF IMPT\DO WELL IN MATH"
  BSBGSIP3 = "GEN\SELF IMPT\DO WELL IN LANGUAGE"
  BSBGSIP4 = "GEN\SELF IMPT\HAVE TIME FOR FUN"
  BSBGSIP5 = "GEN\SELF IMPT\GOOD IN SPORTS"
  BSBGSIP6 = "GEN\SELF IMPT\HIGH ACHIEVE CLASS"
  BSBMGOOD = "MAT\USUALLY DO WELL IN MATH"
  BSBSGOOD = "SCI\USUALLY DO WELL IN SCIENCE"
  BSBGSSKP = "GEN\STUDENT SKIPPED A CLASS"
  BSBGSSTL = "GEN\STUDENT HAD SOMETHING STOLEN"
  BSBGSHRT = "GEN\STUDENT THOUGHT MIGHT GET HURT"
  BSBGFSKP = "GEN\FRIEND SKIPPED A CLASS"
  BSBGFSTL = "GEN\FRIEND HAD SOMETHING STOLEN"
  BSBGFHRT = "GEN\FRIEND THOUGHT MIGHT GET HURT"
  BSBMDOW1 = "MAT\DO WELL\NATURAL TALENT"
  BSBMDOW2 = "MAT\DO WELL\GOOD LUCK"
  BSBMDOW3 = "MAT\DO WELL\HARD WORK STUDYING"
  BSBMDOW4 = "MAT\DO WELL\MEMORIZE NOTES"
  BSBSDOW1 = "SCI\DO WELL\NATURAL TALENT"
  BSBSDOW2 = "SCI\DO WELL\GOOD LUCK"
  BSBSDOW3 = "SCI\DO WELL\HARD WORK STUDYING"
  BSBSDOW4 = "SCI\DO WELL\MEMORIZE NOTES"
  BSBMLIKE = "MAT\LIKE MATHEMATICS"
  BSBSLIKE = "SCI\LIKE SCIENCE"
  BSBMCMLK = "MAT\LIKE COMPUTERS\MATH CLASS"
  BSBSCMLK = "SCI\LIKE COMPUTERS\SCIENCE CLASS"
  BSBMENJY = "MAT\THINK\ENJOY LEARNING MATH"
  BSBMBORE = "MAT\THINK\MATH IS BORING"
  BSBMEASY = "MAT\THINK\MATH IS AN EASY SUBJECT"
  BSBMLIFE = "MAT\THINK\MATH IS IMPORTANT IN LIFE"
  BSBMWORK = "MAT\THINK\LIKE JOB INVOLVING MATH"
  BSBMJOB  = "MAT\DO WELL\TO GET DESIRED JOB"
  BSBMPRNT = "MAT\DO WELL\TO PLEASE PARENTS"
  BSBMSCHL = "MAT\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBMSELF = "MAT\DO WELL\TO PLEASE SELF"
  BSBMPROB = "MAT\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBMNOTE = "MAT\COPY NOTES FROM THE BOARD"
  BSBMTEST = "MAT\HAVE A QUIZ OR TEST"
  BSBMWSHT = "MAT\WORK FROM WORKSHEETS ON OWR OWN"
  BSBMPROJ = "MAT\WORK ON PROJECTS"
  BSBMCALC = "MAT\USE CALCULATORS"
  BSBMCOMP = "MAT\USE COMPUTERS"
  BSBMSGRP = "MAT\WORK IN PAIRS OR SMALL GROUPS"
  BSBMEVLF = "MAT\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBMHWGV = "MAT\TEACHER GIVES HOMEWORK"
  BSBMHWCL = "MAT\BEGIN HOMEWORK IN CLASS"
  BSBMHWTC = "MAT\TEACHER CHECKS HOMEWORK"
  BSBMHWFC = "MAT\CHECK EACH OTHER'S HOMEWORK"
  BSBMHWDS = "MAT\DISCUSS COMPLETED HOMEWORK"
  BSBMRULE = "MAT\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBMPRAC = "MAT\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBMSMGP = "MAT\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBMASK  = "MAT\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBMTXBK = "MAT\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBMEG   = "MAT\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBGENV1 = "GEN\AIR POLLUTION"
  BSBGENV2 = "GEN\WATER POLLUTION"
  BSBGENV3 = "GEN\DESTRUCTION OF FORESTS"
  BSBGENV4 = "GEN\ENDANGERED SPECIES"
  BSBGENV5 = "GEN\DAMAGE TO OZONE LAYER"
  BSBGENV6 = "GEN\PROBLEMS FR NUCLEAR POWER PLANTS"
  BSBGWORR = "GEN\MOST CONCERNED ENVIR. PROBLEM"
  BSBSENJY = "SCI\THINK\ENJOY LEARNING SCIENCE"
  BSBSBORE = "SCI\THINK\SCIENCE IS BORING"
  BSBSEASY = "SCI\THINK\SCIENCE IS AN EASY SUBJECT"
  BSBSLIFE = "SCI\THINK\SCIENCE IS IMPORT IN LIFE"
  BSBSWORK = "SCI\THINK\LIKE JOB INVOLVING SCIENCE"
  BSBSJOB  = "SCI\DO WELL\TO GET DESIRED JOB"
  BSBSPRNT = "SCI\DO WELL\TO PLEASE PARENTS"
  BSBSSCHL = "SCI\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBSSELF = "SCI\DO WELL\TO PLEASE SELF"
  BSBSCARE = "SCI\CHOICE OF CAREER IN SCIENCE"
  BSBSPROB = "SCI\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBSNOTE = "SCI\COPY NOTES FROM THE BOARD"
  BSBSTEST = "SCI\HAVE A QUIZ OR TEST"
  BSBSPROJ = "SCI\WORK ON PROJECTS"
  BSBSWSHT = "SCI\WORK FROM WORKSHEETS ON OWR OWN"
  BSBSCALC = "SCI\USE CALCULATORS"
  BSBSCOMP = "SCI\USE COMPUTERS"
  BSBSEVLF = "SCI\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBSSGRP = "SCI\WORK IN PAIRS OR SMALL GROUPS"
  BSBSHWGV = "SCI\TEACHER GIVES HOMEWORK"
  BSBSHWCL = "SCI\BEGIN HOMEWORK IN CLASS"
  BSBSHWTC = "SCI\TEACHER CHECKS HOMEWORK"
  BSBSHWFC = "SCI\CHECK EACH OTHER'S HOMEWORK"
  BSBSHWDS = "SCI\DISCUSS COMPLETED HOMEWORK"
  BSBSDEMO = "SCI\TEACHER GIVES DEMONSTRATION"
  BSBSEXPR = "SCI\STUDENTS DO EXPERIMENT IN CLASS"
  BSBSRULE = "SCI\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBSPRAC = "SCI\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBSSMGP = "SCI\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBSASK  = "SCI\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBSTXBK = "SCI\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBSEG   = "SCI\SOLVE EXAMPLE RELATED TO PROBLEM"
  BSBBGOOD = "BIO\USUALLY DO WELL IN BIOLOGY"
  BSBEGOOD = "EAR\USUALLY DO WELL IN EARTH SCI"
  BSBYGOOD = "PHY\USUALLY DO WELL IN PHYSICAL SCI"
  BSBBLIKE = "BIO\LIKE BIOLOGICAL SCIENCE"
  BSBELIKE = "EAR\LIKE EARTH SCIENCE"
  BSBYLIKE = "PHY\LIKE\PHYSICAL SCIENCE"
  BSBBSTDY = "SCI\STUDYING THIS YEAR\BIOLOGY"
  BSBCSTDY = "SCI\STUDYING THIS YEAR\CHEMISTRY"
  BSBESTDY = "SCI\STUDYING THIS YEAR\EARTH SCIENCE"
  BSBPSTDY = "SCI\STUDYING THIS YEAR\PHYSICS"
  BSBBENJY = "BIO\THINK\ENJOY LEARNING BIOLOGY"
  BSBBBORE = "BIO\THINK\BIOLOGY IS BORING"
  BSBBEASY = "BIO\THINK\BIOLOGY IS AN EASY SUBJECT"
  BSBBLIFE = "BIO\THINK\BIOLOGY IS IMPORT IN LIFE"
  BSBBWORK = "BIO\THINK\LIKE JOB INVOLVING BIOLOGY"
  BSBBJOB  = "BIO\DO WELL\TO GET DESIRED JOB"
  BSBBPRNT = "BIO\DO WELL\TO PLEASE PARENTS"
  BSBBSCHL = "BIO\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBBSELF = "BIO\DO WELL\TO PLEASE SELF"
  BSBBPROB = "BIO\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBBNOTE = "BIO\COPY NOTES FROM THE BOARD"
  BSBBTEST = "BIO\HAVE A QUIZ OR TEST"
  BSBBPROJ = "BIO\WORK ON PROJECTS"
  BSBBWSHT = "BIO\WORK FROM WORKSHEETS ON OWR OWN"
  BSBBCALC = "BIO\USE CALCULATORS"
  BSBBCOMP = "BIO\USE COMPUTERS"
  BSBBEVLF = "BIO\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBBSGRP = "BIO\WORK IN PAIRS OR SMALL GROUPS"
  BSBBHWGV = "BIO\TEACHER GIVES HOMEWORK"
  BSBBHWCL = "BIO\BEGIN HOMEWORK IN CLASS"
  BSBBHWTC = "BIO\TEACHER CHECKS HOMEWORK"
  BSBBHWFC = "BIO\CHECK EACH OTHER'S HOMEWORK"
  BSBBHWDS = "BIO\DISCUSS COMPLETED HOMEWORK"
  BSBBDEMO = "BIO\TEACHER GIVES DEMONSTRATION"
  BSBBEXPR = "BIO\STUDENTS DO EXPERIMENT IN CLASS"
  BSBBRULE = "BIO\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBBPRAC = "BIO\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBBSMGP = "BIO\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBBASK  = "BIO\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBBTXBK = "BIO\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBBEG   = "BIO\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBCENJY = "CHE\THINK\ENJOY LEARNING CHEMISTRY"
  BSBCBORE = "CHE\THINK\CHEMISTRY IS BORING"
  BSBCEASY = "CHE\THINK\CHEM IS AN EASY SUBJECT"
  BSBCLIFE = "CHE\THINK\CHEM IS IMPORT IN LIFE"
  BSBCWORK = "CHE\THINK\LIKE JOB INVOLVING CHEM"
  BSBCJOB  = "CHE\DO WELL\TO GET DESIRED JOB"
  BSBCPRNT = "CHE\DO WELL\TO PLEASE PARENTS"
  BSBCSCHL = "CHE\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBCSELF = "CHE\DO WELL\TO PLEASE SELF"
  BSBCPROB = "CHE\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBCNOTE = "CHE\COPY NOTES FROM THE BOARD"
  BSBCTEST = "CHE\HAVE A QUIZ OR TEST"
  BSBCPROJ = "CHE\WORK ON PROJECTS"
  BSBCWSHT = "CHE\WORK FROM WORKSHEETS ON OWR OWN"
  BSBCCALC = "CHE\USE CALCULATORS"
  BSBCCOMP = "CHE\USE COMPUTERS"
  BSBCEVLF = "CHE\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBCSGRP = "CHE\WORK IN PAIRS OR SMALL GROUPS"
  BSBCHWGV = "CHE\TEACHER GIVES HOMEWORK"
  BSBCHWCL = "CHE\BEGIN HOMEWORK IN CLASS"
  BSBCHWTC = "CHE\TEACHER CHECKS HOMEWORK"
  BSBCHWFC = "CHE\CHECK EACH OTHER'S HOMEWORK"
  BSBCHWDS = "CHE\DISCUSS COMPLETED HOMEWORK"
  BSBCDEMO = "CHE\TEACHER GIVES DEMONSTRATION"
  BSBCEXPR = "CHE\STUDENTS DO EXPERIMENT IN CLASS"
  BSBCRULE = "CHE\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBCPRAC = "CHE\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBCSMGP = "CHE\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBCASK  = "CHE\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBCTXBK = "CHE\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBCEG   = "CHE\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBEENJY = "EAR\THINK\ENJOY LEARNING EARTH SCI"
  BSBEBORE = "EAR\THINK\EARTH SCI IS BORING"
  BSBEEASY = "EAR\THINK\EARTH SCI EASY SUBJECT"
  BSBELIFE = "EAR\THINK\EARTH SCI IMPORT IN LIFE"
  BSBEWORK = "EAR\THINK\JOB INVOLVING EARTH SCI"
  BSBEJOB  = "EAR\DO WELL\TO GET DESIRED JOB"
  BSBEPRNT = "EAR\DO WELL\TO PLEASE PARENTS"
  BSBESCHL = "EAR\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBESELF = "EAR\DO WELL\TO PLEASE SELF"
  BSBEPROB = "EAR\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBENOTE = "EAR\COPY NOTES FROM THE BOARD"
  BSBETEST = "EAR\HAVE A QUIZ OR TEST"
  BSBEPROJ = "EAR\WORK ON PROJECTS"
  BSBEWSHT = "EAR\WORK FROM WORKSHEETS ON OWR OWN"
  BSBECALC = "EAR\USE CALCULATORS"
  BSBECOMP = "EAR\USE COMPUTERS"
  BSBEEVLF = "EAR\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBESGRP = "EAR\WORK IN PAIRS OR SMALL GROUPS"
  BSBEHWGV = "EAR\TEACHER GIVES HOMEWORK"
  BSBEHWCL = "EAR\BEGIN HOMEWORK IN CLASS"
  BSBEHWTC = "EAR\TEACHER CHECKS HOMEWORK"
  BSBEHWFC = "EAR\CHECK EACH OTHER'S HOMEWORK"
  BSBEHWDS = "EAR\DISCUSS COMPLETED HOMEWORK"
  BSBEDEMO = "EAR\TEACHER GIVES DEMONSTRATION"
  BSBEEXPR = "EAR\STUDENTS DO EXPERIMENT IN CLASS"
  BSBERULE = "EAR\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBEPRAC = "EAR\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBESMGP = "EAR\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBEASK  = "EAR\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBETXBK = "EAR\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBEEG   = "EAR\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBPENJY = "PHY\THINK\ENJOY LEARNING PHYSICS"
  BSBPBORE = "PHY\THINK\PHYSICS IS BORING"
  BSBPEASY = "PHY\THINK\PHYSICS IS EASY SUBJECT"
  BSBPLIFE = "PHY\THINK\PHYSICS IMPORT IN LIFE"
  BSBPWORK = "PHY\THINK\JOB INVOLVING PHYSICS"
  BSBPJOB  = "PHY\DO WELL\TO GET DESIRED JOB"
  BSBPPRNT = "PHY\DO WELL\TO PLEASE PARENTS"
  BSBPSCHL = "PHY\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBPSELF = "PHY\DO WELL\TO PLEASE SELF"
  BSBPPROB = "PHY\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBPNOTE = "PHY\COPY NOTES FROM THE BOARD"
  BSBPTEST = "PHY\HAVE A QUIZ OR TEST"
  BSBPPROJ = "PHY\WORK ON PROJECTS"
  BSBPWSHT = "PHY\WORK FROM WORKSHEETS ON OWR OWN"
  BSBPCALC = "PHY\USE CALCULATORS"
  BSBPCOMP = "PHY\USE COMPUTERS"
  BSBPEVLF = "PHY\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBPSGRP = "PHY\WORK IN PAIRS OR SMALL GROUPS"
  BSBPHWGV = "PHY\TEACHER GIVES HOMEWORK"
  BSBPHWCL = "PHY\BEGIN HOMEWORK IN CLASS"
  BSBPHWTC = "PHY\TEACHER CHECKS HOMEWORK"
  BSBPHWFC = "PHY\CHECK EACH OTHER'S HOMEWORK"
  BSBPHWDS = "PHY\DISCUSS COMPLETED HOMEWORK"
  BSBPDEMO = "PHY\TEACHER GIVES DEMONSTRATION"
  BSBPEXPR = "PHY\STUDENTS DO EXPERIMENT IN CLASS"
  BSBPRULE = "PHY\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBPPRAC = "PHY\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBPSMGP = "PHY\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBPASK  = "PHY\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBPTXBK = "PHY\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBPEG   = "PHY\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBGACT1 = "GEN\READ A BOOK"
  BSBGACT2 = "GEN\VISIT A MUSEUM"
  BSBGACT3 = "GEN\ATTEND A CONCERT"
  BSBGACT4 = "GEN\GO TO THE THEATRE"
  BSBGACT5 = "GEN\GO TO THE MOVIES"
  BSBGNEWS = "GEN\WATCH NEWS OR DOCUMENTATIES"
  BSBGOPER = "GEN\WATCH OPERA,BALLET,CLASS. MUSIC"
  BSBGNATR = "GEN\WATCH NATURE,WILDLIFE,HISTORY"
  BSBGPOPU = "GEN\WATCH POPULAR MUSIC"
  BSBGSPRT = "GEN\WATCH SPORTS"
  BSBGVIDE = "GEN\WATCH VIDEO GAMES"
  BSBGCRTN = "GEN\WATCH CARTOONS"
  BSBGCMDY = "GEN\WATCH COMEDY,ADVENTURE,SUSPENSE"
  BSDAGE   = "GEN\STUDENT'S AGE"
  BSDGPSA  = "GEN\HOME\POSSESS ALL\COMPUTER\DESK\DICTI"
  BSDGEDUP = "GEN\HIGHEST EDUC LEVEL\PARENTS"
  BSDMDAY7 = "GEN\OUTSIDE SCHL\STUDYING MATH"
  BSDSDAY8 = "GEN\OUTSIDE SCHL\STUDYING SCIENCE"
  BSDGDAY9 = "GEN\OUTSIDE SCHL\STUDYING OTHER SUBJ"
  BSDGSTDT = "GEN\DAILY HOURS SPENT STUDYING"
  BSDEPATS = "SCI\POSITIVE ATTITUDE\TOWARD EARTH SCIEN"
  BSDMPATM = "MAT\POSITIVE ATTITUDE\TOWARD MATHEMATICS"
  BSDPPATS = "SCI\POSITIVE ATTITUDE\TOWARD PHYSICS"
  BSDSPATS = "SCI\POSITIVE ATTITUDE\TOWARD SCIENCE"
  BSDBPATS = "SCI\POSITIVE ATTITUDE\TOWARD BIOLOGY"
  BSDCPATS = "SCI\POSITIVE ATTITUDE\TOWARD CHEMISTRY"
  BSDGHERI = "GEN\INDEX OF HOME EDUCATIONAL RESOURCES"
  BSDGOSTI = "GEN\OUT-OF-SCHOOL STUDY TIME"
  BSDGSALL = "GEN\OUTSIDE SCHL\STUDY ALL 3 FIELDS"
  TOTWGT   = "*STUDENT WEIGHT*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  WGTFAC1  = "*WEIGHTING FACTOR I (SCHOOL)*"
  WGTADJ1  = "*WEIGHTING ADJUSTMENT I (SCHOOL)*"
  WGTFAC2  = "*WEIGHTING FACTOR II (CLASS)*"
  WGTFAC3  = "*WEIGHTING FACTOR III (STUDENT)*"
  WGTADJ3  = "*WEIGHTING ADJUSTMENT III (STUDENT)*"
  JKZONE   = "*ZONE CODE*"
  JKREP    = "*REPLICATE CODE*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE*"
  BSMSCPT  = "*# OF SCORE POINTS IN MATH ITEMS*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE*"
  BSSSCPT  = "*# OF SCORE POINTS IN SCIENCE ITEMS*"
  INTMS95  = "*IN 1995 ASSESSMENT POPULATION*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 8                THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDCLASS  = 99999998         THEN IDCLASS  = .A ;
IF IDSTUD   = 9999999998       THEN IDSTUD   = .A ;
IF IDGRADE  = 98               THEN IDGRADE  = .A ;
IF ITEXCLUD = 8                THEN ITEXCLUD = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 998              THEN ITLANG   = .A ;
IF ITDATEM  = 98               THEN ITDATEM  = .A ;
IF ITDATEY  = 9998             THEN ITDATEY  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF ITPART   = 8                THEN ITPART   = .A ;
IF BSBGBIRD = 98               THEN BSBGBIRD = .A ;
IF BSBGBIRM = 98               THEN BSBGBIRM = .A ;
IF BSBGBIRY = 98               THEN BSBGBIRY = .A ;
IF BSBGSEX  = 8                THEN BSBGSEX  = .A ;
IF BSBGBRN1 = 8                THEN BSBGBRN1 = .A ;
IF BSBGBRN2 = 98               THEN BSBGBRN2 = .A ;
IF BSBGLANG = 8                THEN BSBGLANG = .A ;
IF BSBMEXTR = 8                THEN BSBMEXTR = .A ;
IF BSBSEXTR = 8                THEN BSBSEXTR = .A ;
IF BSBGCLUB = 8                THEN BSBGCLUB = .A ;
IF BSBGPAID = 8                THEN BSBGPAID = .A ;
IF BSBGDAY1 = 8                THEN BSBGDAY1 = .A ;
IF BSBGDAY2 = 8                THEN BSBGDAY2 = .A ;
IF BSBGDAY3 = 8                THEN BSBGDAY3 = .A ;
IF BSBGDAY4 = 8                THEN BSBGDAY4 = .A ;
IF BSBGDAY5 = 8                THEN BSBGDAY5 = .A ;
IF BSBGDAY6 = 8                THEN BSBGDAY6 = .A ;
IF BSBMDAY7 = 8                THEN BSBMDAY7 = .A ;
IF BSBSDAY8 = 8                THEN BSBSDAY8 = .A ;
IF BSBGDAY9 = 8                THEN BSBGDAY9 = .A ;
IF BSBGADU1 = 8                THEN BSBGADU1 = .A ;
IF BSBGADU2 = 8                THEN BSBGADU2 = .A ;
IF BSBGADU3 = 8                THEN BSBGADU3 = .A ;
IF BSBGADU4 = 8                THEN BSBGADU4 = .A ;
IF BSBGADU5 = 8                THEN BSBGADU5 = .A ;
IF BSBGADU6 = 8                THEN BSBGADU6 = .A ;
IF BSBGADU7 = 8                THEN BSBGADU7 = .A ;
IF BSBGADU8 = 8                THEN BSBGADU8 = .A ;
IF BSBGADU9 = 8                THEN BSBGADU9 = .A ;
IF BSBGHOME = 98               THEN BSBGHOME = .A ;
IF BSBGEDUM = 98               THEN BSBGEDUM = .A ;
IF BSBGEDUF = 98               THEN BSBGEDUF = .A ;
IF BSBGEDUS = 98               THEN BSBGEDUS = .A ;
IF BSBGBRNM = 8                THEN BSBGBRNM = .A ;
IF BSBGBRNF = 8                THEN BSBGBRNF = .A ;
IF BSBGBOOK = 8                THEN BSBGBOOK = .A ;
IF BSBGPS01 = 8                THEN BSBGPS01 = .A ;
IF BSBGPS02 = 8                THEN BSBGPS02 = .A ;
IF BSBGPS03 = 8                THEN BSBGPS03 = .A ;
IF BSBGPS04 = 8                THEN BSBGPS04 = .A ;
IF BSBGPS05 = 8                THEN BSBGPS05 = .A ;
IF BSBGPS06 = 8                THEN BSBGPS06 = .A ;
IF BSBGPS07 = 8                THEN BSBGPS07 = .A ;
IF BSBGPS08 = 8                THEN BSBGPS08 = .A ;
IF BSBGPS09 = 8                THEN BSBGPS09 = .A ;
IF BSBGPS10 = 8                THEN BSBGPS10 = .A ;
IF BSBGPS11 = 8                THEN BSBGPS11 = .A ;
IF BSBGPS12 = 8                THEN BSBGPS12 = .A ;
IF BSBGPS13 = 8                THEN BSBGPS13 = .A ;
IF BSBGPS14 = 8                THEN BSBGPS14 = .A ;
IF BSBGPS15 = 8                THEN BSBGPS15 = .A ;
IF BSBGPS16 = 8                THEN BSBGPS16 = .A ;
IF BSBSMIP1 = 8                THEN BSBSMIP1 = .A ;
IF BSBMMIP2 = 8                THEN BSBMMIP2 = .A ;
IF BSBGMIP3 = 8                THEN BSBGMIP3 = .A ;
IF BSBGMIP4 = 8                THEN BSBGMIP4 = .A ;
IF BSBGMIP5 = 8                THEN BSBGMIP5 = .A ;
IF BSBGMIP6 = 8                THEN BSBGMIP6 = .A ;
IF BSBMCLS1 = 8                THEN BSBMCLS1 = .A ;
IF BSBMCLS2 = 8                THEN BSBMCLS2 = .A ;
IF BSBMCLS3 = 8                THEN BSBMCLS3 = .A ;
IF BSBSFIP1 = 8                THEN BSBSFIP1 = .A ;
IF BSBMFIP2 = 8                THEN BSBMFIP2 = .A ;
IF BSBGFIP3 = 8                THEN BSBGFIP3 = .A ;
IF BSBGFIP4 = 8                THEN BSBGFIP4 = .A ;
IF BSBGFIP5 = 8                THEN BSBGFIP5 = .A ;
IF BSBGFIP6 = 8                THEN BSBGFIP6 = .A ;
IF BSBSSIP1 = 8                THEN BSBSSIP1 = .A ;
IF BSBMSIP2 = 8                THEN BSBMSIP2 = .A ;
IF BSBGSIP3 = 8                THEN BSBGSIP3 = .A ;
IF BSBGSIP4 = 8                THEN BSBGSIP4 = .A ;
IF BSBGSIP5 = 8                THEN BSBGSIP5 = .A ;
IF BSBGSIP6 = 8                THEN BSBGSIP6 = .A ;
IF BSBMGOOD = 8                THEN BSBMGOOD = .A ;
IF BSBSGOOD = 8                THEN BSBSGOOD = .A ;
IF BSBGSSKP = 8                THEN BSBGSSKP = .A ;
IF BSBGSSTL = 8                THEN BSBGSSTL = .A ;
IF BSBGSHRT = 8                THEN BSBGSHRT = .A ;
IF BSBGFSKP = 8                THEN BSBGFSKP = .A ;
IF BSBGFSTL = 8                THEN BSBGFSTL = .A ;
IF BSBGFHRT = 8                THEN BSBGFHRT = .A ;
IF BSBMDOW1 = 8                THEN BSBMDOW1 = .A ;
IF BSBMDOW2 = 8                THEN BSBMDOW2 = .A ;
IF BSBMDOW3 = 8                THEN BSBMDOW3 = .A ;
IF BSBMDOW4 = 8                THEN BSBMDOW4 = .A ;
IF BSBSDOW1 = 8                THEN BSBSDOW1 = .A ;
IF BSBSDOW2 = 8                THEN BSBSDOW2 = .A ;
IF BSBSDOW3 = 8                THEN BSBSDOW3 = .A ;
IF BSBSDOW4 = 8                THEN BSBSDOW4 = .A ;
IF BSBMLIKE = 8                THEN BSBMLIKE = .A ;
IF BSBSLIKE = 8                THEN BSBSLIKE = .A ;
IF BSBMCMLK = 8                THEN BSBMCMLK = .A ;
IF BSBSCMLK = 8                THEN BSBSCMLK = .A ;
IF BSBMENJY = 8                THEN BSBMENJY = .A ;
IF BSBMBORE = 8                THEN BSBMBORE = .A ;
IF BSBMEASY = 8                THEN BSBMEASY = .A ;
IF BSBMLIFE = 8                THEN BSBMLIFE = .A ;
IF BSBMWORK = 8                THEN BSBMWORK = .A ;
IF BSBMJOB  = 8                THEN BSBMJOB  = .A ;
IF BSBMPRNT = 8                THEN BSBMPRNT = .A ;
IF BSBMSCHL = 8                THEN BSBMSCHL = .A ;
IF BSBMSELF = 8                THEN BSBMSELF = .A ;
IF BSBMPROB = 8                THEN BSBMPROB = .A ;
IF BSBMNOTE = 8                THEN BSBMNOTE = .A ;
IF BSBMTEST = 8                THEN BSBMTEST = .A ;
IF BSBMWSHT = 8                THEN BSBMWSHT = .A ;
IF BSBMPROJ = 8                THEN BSBMPROJ = .A ;
IF BSBMCALC = 8                THEN BSBMCALC = .A ;
IF BSBMCOMP = 8                THEN BSBMCOMP = .A ;
IF BSBMSGRP = 8                THEN BSBMSGRP = .A ;
IF BSBMEVLF = 8                THEN BSBMEVLF = .A ;
IF BSBMHWGV = 8                THEN BSBMHWGV = .A ;
IF BSBMHWCL = 8                THEN BSBMHWCL = .A ;
IF BSBMHWTC = 8                THEN BSBMHWTC = .A ;
IF BSBMHWFC = 8                THEN BSBMHWFC = .A ;
IF BSBMHWDS = 8                THEN BSBMHWDS = .A ;
IF BSBMRULE = 8                THEN BSBMRULE = .A ;
IF BSBMPRAC = 8                THEN BSBMPRAC = .A ;
IF BSBMSMGP = 8                THEN BSBMSMGP = .A ;
IF BSBMASK  = 8                THEN BSBMASK  = .A ;
IF BSBMTXBK = 8                THEN BSBMTXBK = .A ;
IF BSBMEG   = 8                THEN BSBMEG   = .A ;
IF BSBGENV1 = 8                THEN BSBGENV1 = .A ;
IF BSBGENV2 = 8                THEN BSBGENV2 = .A ;
IF BSBGENV3 = 8                THEN BSBGENV3 = .A ;
IF BSBGENV4 = 8                THEN BSBGENV4 = .A ;
IF BSBGENV5 = 8                THEN BSBGENV5 = .A ;
IF BSBGENV6 = 8                THEN BSBGENV6 = .A ;
IF BSBGWORR = 98               THEN BSBGWORR = .A ;
IF BSBSENJY = 8                THEN BSBSENJY = .A ;
IF BSBSBORE = 8                THEN BSBSBORE = .A ;
IF BSBSEASY = 8                THEN BSBSEASY = .A ;
IF BSBSLIFE = 8                THEN BSBSLIFE = .A ;
IF BSBSWORK = 8                THEN BSBSWORK = .A ;
IF BSBSJOB  = 8                THEN BSBSJOB  = .A ;
IF BSBSPRNT = 8                THEN BSBSPRNT = .A ;
IF BSBSSCHL = 8                THEN BSBSSCHL = .A ;
IF BSBSSELF = 8                THEN BSBSSELF = .A ;
IF BSBSCARE = 8                THEN BSBSCARE = .A ;
IF BSBSPROB = 8                THEN BSBSPROB = .A ;
IF BSBSNOTE = 8                THEN BSBSNOTE = .A ;
IF BSBSTEST = 8                THEN BSBSTEST = .A ;
IF BSBSPROJ = 8                THEN BSBSPROJ = .A ;
IF BSBSWSHT = 8                THEN BSBSWSHT = .A ;
IF BSBSCALC = 8                THEN BSBSCALC = .A ;
IF BSBSCOMP = 8                THEN BSBSCOMP = .A ;
IF BSBSEVLF = 8                THEN BSBSEVLF = .A ;
IF BSBSSGRP = 8                THEN BSBSSGRP = .A ;
IF BSBSHWGV = 8                THEN BSBSHWGV = .A ;
IF BSBSHWCL = 8                THEN BSBSHWCL = .A ;
IF BSBSHWTC = 8                THEN BSBSHWTC = .A ;
IF BSBSHWFC = 8                THEN BSBSHWFC = .A ;
IF BSBSHWDS = 8                THEN BSBSHWDS = .A ;
IF BSBSDEMO = 8                THEN BSBSDEMO = .A ;
IF BSBSEXPR = 8                THEN BSBSEXPR = .A ;
IF BSBSRULE = 8                THEN BSBSRULE = .A ;
IF BSBSPRAC = 8                THEN BSBSPRAC = .A ;
IF BSBSSMGP = 8                THEN BSBSSMGP = .A ;
IF BSBSASK  = 8                THEN BSBSASK  = .A ;
IF BSBSTXBK = 8                THEN BSBSTXBK = .A ;
IF BSBSEG   = 8                THEN BSBSEG   = .A ;
IF BSBBGOOD = 8                THEN BSBBGOOD = .A ;
IF BSBEGOOD = 8                THEN BSBEGOOD = .A ;
IF BSBYGOOD = 8                THEN BSBYGOOD = .A ;
IF BSBBLIKE = 8                THEN BSBBLIKE = .A ;
IF BSBELIKE = 8                THEN BSBELIKE = .A ;
IF BSBYLIKE = 8                THEN BSBYLIKE = .A ;
IF BSBBSTDY = 8                THEN BSBBSTDY = .A ;
IF BSBCSTDY = 8                THEN BSBCSTDY = .A ;
IF BSBESTDY = 8                THEN BSBESTDY = .A ;
IF BSBPSTDY = 8                THEN BSBPSTDY = .A ;
IF BSBBENJY = 8                THEN BSBBENJY = .A ;
IF BSBBBORE = 8                THEN BSBBBORE = .A ;
IF BSBBEASY = 8                THEN BSBBEASY = .A ;
IF BSBBLIFE = 8                THEN BSBBLIFE = .A ;
IF BSBBWORK = 8                THEN BSBBWORK = .A ;
IF BSBBJOB  = 8                THEN BSBBJOB  = .A ;
IF BSBBPRNT = 8                THEN BSBBPRNT = .A ;
IF BSBBSCHL = 8                THEN BSBBSCHL = .A ;
IF BSBBSELF = 8                THEN BSBBSELF = .A ;
IF BSBBPROB = 8                THEN BSBBPROB = .A ;
IF BSBBNOTE = 8                THEN BSBBNOTE = .A ;
IF BSBBTEST = 8                THEN BSBBTEST = .A ;
IF BSBBPROJ = 8                THEN BSBBPROJ = .A ;
IF BSBBWSHT = 8                THEN BSBBWSHT = .A ;
IF BSBBCALC = 8                THEN BSBBCALC = .A ;
IF BSBBCOMP = 8                THEN BSBBCOMP = .A ;
IF BSBBEVLF = 8                THEN BSBBEVLF = .A ;
IF BSBBSGRP = 8                THEN BSBBSGRP = .A ;
IF BSBBHWGV = 8                THEN BSBBHWGV = .A ;
IF BSBBHWCL = 8                THEN BSBBHWCL = .A ;
IF BSBBHWTC = 8                THEN BSBBHWTC = .A ;
IF BSBBHWFC = 8                THEN BSBBHWFC = .A ;
IF BSBBHWDS = 8                THEN BSBBHWDS = .A ;
IF BSBBDEMO = 8                THEN BSBBDEMO = .A ;
IF BSBBEXPR = 8                THEN BSBBEXPR = .A ;
IF BSBBRULE = 8                THEN BSBBRULE = .A ;
IF BSBBPRAC = 8                THEN BSBBPRAC = .A ;
IF BSBBSMGP = 8                THEN BSBBSMGP = .A ;
IF BSBBASK  = 8                THEN BSBBASK  = .A ;
IF BSBBTXBK = 8                THEN BSBBTXBK = .A ;
IF BSBBEG   = 8                THEN BSBBEG   = .A ;
IF BSBCENJY = 8                THEN BSBCENJY = .A ;
IF BSBCBORE = 8                THEN BSBCBORE = .A ;
IF BSBCEASY = 8                THEN BSBCEASY = .A ;
IF BSBCLIFE = 8                THEN BSBCLIFE = .A ;
IF BSBCWORK = 8                THEN BSBCWORK = .A ;
IF BSBCJOB  = 8                THEN BSBCJOB  = .A ;
IF BSBCPRNT = 8                THEN BSBCPRNT = .A ;
IF BSBCSCHL = 8                THEN BSBCSCHL = .A ;
IF BSBCSELF = 8                THEN BSBCSELF = .A ;
IF BSBCPROB = 8                THEN BSBCPROB = .A ;
IF BSBCNOTE = 8                THEN BSBCNOTE = .A ;
IF BSBCTEST = 8                THEN BSBCTEST = .A ;
IF BSBCPROJ = 8                THEN BSBCPROJ = .A ;
IF BSBCWSHT = 8                THEN BSBCWSHT = .A ;
IF BSBCCALC = 8                THEN BSBCCALC = .A ;
IF BSBCCOMP = 8                THEN BSBCCOMP = .A ;
IF BSBCEVLF = 8                THEN BSBCEVLF = .A ;
IF BSBCSGRP = 8                THEN BSBCSGRP = .A ;
IF BSBCHWGV = 8                THEN BSBCHWGV = .A ;
IF BSBCHWCL = 8                THEN BSBCHWCL = .A ;
IF BSBCHWTC = 8                THEN BSBCHWTC = .A ;
IF BSBCHWFC = 8                THEN BSBCHWFC = .A ;
IF BSBCHWDS = 8                THEN BSBCHWDS = .A ;
IF BSBCDEMO = 8                THEN BSBCDEMO = .A ;
IF BSBCEXPR = 8                THEN BSBCEXPR = .A ;
IF BSBCRULE = 8                THEN BSBCRULE = .A ;
IF BSBCPRAC = 8                THEN BSBCPRAC = .A ;
IF BSBCSMGP = 8                THEN BSBCSMGP = .A ;
IF BSBCASK  = 8                THEN BSBCASK  = .A ;
IF BSBCTXBK = 8                THEN BSBCTXBK = .A ;
IF BSBCEG   = 8                THEN BSBCEG   = .A ;
IF BSBEENJY = 8                THEN BSBEENJY = .A ;
IF BSBEBORE = 8                THEN BSBEBORE = .A ;
IF BSBEEASY = 8                THEN BSBEEASY = .A ;
IF BSBELIFE = 8                THEN BSBELIFE = .A ;
IF BSBEWORK = 8                THEN BSBEWORK = .A ;
IF BSBEJOB  = 8                THEN BSBEJOB  = .A ;
IF BSBEPRNT = 8                THEN BSBEPRNT = .A ;
IF BSBESCHL = 8                THEN BSBESCHL = .A ;
IF BSBESELF = 8                THEN BSBESELF = .A ;
IF BSBEPROB = 8                THEN BSBEPROB = .A ;
IF BSBENOTE = 8                THEN BSBENOTE = .A ;
IF BSBETEST = 8                THEN BSBETEST = .A ;
IF BSBEPROJ = 8                THEN BSBEPROJ = .A ;
IF BSBEWSHT = 8                THEN BSBEWSHT = .A ;
IF BSBECALC = 8                THEN BSBECALC = .A ;
IF BSBECOMP = 8                THEN BSBECOMP = .A ;
IF BSBEEVLF = 8                THEN BSBEEVLF = .A ;
IF BSBESGRP = 8                THEN BSBESGRP = .A ;
IF BSBEHWGV = 8                THEN BSBEHWGV = .A ;
IF BSBEHWCL = 8                THEN BSBEHWCL = .A ;
IF BSBEHWTC = 8                THEN BSBEHWTC = .A ;
IF BSBEHWFC = 8                THEN BSBEHWFC = .A ;
IF BSBEHWDS = 8                THEN BSBEHWDS = .A ;
IF BSBEDEMO = 8                THEN BSBEDEMO = .A ;
IF BSBEEXPR = 8                THEN BSBEEXPR = .A ;
IF BSBERULE = 8                THEN BSBERULE = .A ;
IF BSBEPRAC = 8                THEN BSBEPRAC = .A ;
IF BSBESMGP = 8                THEN BSBESMGP = .A ;
IF BSBEASK  = 8                THEN BSBEASK  = .A ;
IF BSBETXBK = 8                THEN BSBETXBK = .A ;
IF BSBEEG   = 8                THEN BSBEEG   = .A ;
IF BSBPENJY = 8                THEN BSBPENJY = .A ;
IF BSBPBORE = 8                THEN BSBPBORE = .A ;
IF BSBPEASY = 8                THEN BSBPEASY = .A ;
IF BSBPLIFE = 8                THEN BSBPLIFE = .A ;
IF BSBPWORK = 8                THEN BSBPWORK = .A ;
IF BSBPJOB  = 8                THEN BSBPJOB  = .A ;
IF BSBPPRNT = 8                THEN BSBPPRNT = .A ;
IF BSBPSCHL = 8                THEN BSBPSCHL = .A ;
IF BSBPSELF = 8                THEN BSBPSELF = .A ;
IF BSBPPROB = 8                THEN BSBPPROB = .A ;
IF BSBPNOTE = 8                THEN BSBPNOTE = .A ;
IF BSBPTEST = 8                THEN BSBPTEST = .A ;
IF BSBPPROJ = 8                THEN BSBPPROJ = .A ;
IF BSBPWSHT = 8                THEN BSBPWSHT = .A ;
IF BSBPCALC = 8                THEN BSBPCALC = .A ;
IF BSBPCOMP = 8                THEN BSBPCOMP = .A ;
IF BSBPEVLF = 8                THEN BSBPEVLF = .A ;
IF BSBPSGRP = 8                THEN BSBPSGRP = .A ;
IF BSBPHWGV = 8                THEN BSBPHWGV = .A ;
IF BSBPHWCL = 8                THEN BSBPHWCL = .A ;
IF BSBPHWTC = 8                THEN BSBPHWTC = .A ;
IF BSBPHWFC = 8                THEN BSBPHWFC = .A ;
IF BSBPHWDS = 8                THEN BSBPHWDS = .A ;
IF BSBPDEMO = 8                THEN BSBPDEMO = .A ;
IF BSBPEXPR = 8                THEN BSBPEXPR = .A ;
IF BSBPRULE = 8                THEN BSBPRULE = .A ;
IF BSBPPRAC = 8                THEN BSBPPRAC = .A ;
IF BSBPSMGP = 8                THEN BSBPSMGP = .A ;
IF BSBPASK  = 8                THEN BSBPASK  = .A ;
IF BSBPTXBK = 8                THEN BSBPTXBK = .A ;
IF BSBPEG   = 8                THEN BSBPEG   = .A ;
IF BSBGACT1 = 8                THEN BSBGACT1 = .A ;
IF BSBGACT2 = 8                THEN BSBGACT2 = .A ;
IF BSBGACT3 = 8                THEN BSBGACT3 = .A ;
IF BSBGACT4 = 8                THEN BSBGACT4 = .A ;
IF BSBGACT5 = 8                THEN BSBGACT5 = .A ;
IF BSBGNEWS = 8                THEN BSBGNEWS = .A ;
IF BSBGOPER = 8                THEN BSBGOPER = .A ;
IF BSBGNATR = 8                THEN BSBGNATR = .A ;
IF BSBGPOPU = 8                THEN BSBGPOPU = .A ;
IF BSBGSPRT = 8                THEN BSBGSPRT = .A ;
IF BSBGVIDE = 8                THEN BSBGVIDE = .A ;
IF BSBGCRTN = 8                THEN BSBGCRTN = .A ;
IF BSBGCMDY = 8                THEN BSBGCMDY = .A ;
IF BSDAGE   = 98               THEN BSDAGE   = .A ;
IF BSDGPSA  = 8                THEN BSDGPSA  = .A ;
IF BSDGEDUP = 8                THEN BSDGEDUP = .A ;
IF BSDMDAY7 = 8                THEN BSDMDAY7 = .A ;
IF BSDSDAY8 = 8                THEN BSDSDAY8 = .A ;
IF BSDGDAY9 = 8                THEN BSDGDAY9 = .A ;
IF BSDGSTDT = 98               THEN BSDGSTDT = .A ;
IF BSDEPATS = 8                THEN BSDEPATS = .A ;
IF BSDMPATM = 8                THEN BSDMPATM = .A ;
IF BSDPPATS = 8                THEN BSDPPATS = .A ;
IF BSDSPATS = 8                THEN BSDSPATS = .A ;
IF BSDBPATS = 8                THEN BSDBPATS = .A ;
IF BSDCPATS = 8                THEN BSDCPATS = .A ;
IF BSDGHERI = 8                THEN BSDGHERI = .A ;
IF BSDGOSTI = 8                THEN BSDGOSTI = .A ;
IF BSDGSALL = 8                THEN BSDGSALL = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF WGTFAC1  = 999998           THEN WGTFAC1  = .A ;
IF WGTADJ1  = 999998           THEN WGTADJ1  = .A ;
IF WGTFAC2  = 999998           THEN WGTFAC2  = .A ;
IF WGTFAC3  = 999998           THEN WGTFAC3  = .A ;
IF WGTADJ3  = 999998           THEN WGTADJ3  = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF BSMSTDR  = 998              THEN BSMSTDR  = .A ;
IF BSMNRSC  = 998              THEN BSMNRSC  = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSSSTDR  = 998              THEN BSSSTDR  = .A ;
IF BSSNRSC  = 998              THEN BSSNRSC  = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes

IF BSBGBIRD = 96               THEN BSBGBIRD = .B ;
IF BSBGBIRM = 96               THEN BSBGBIRM = .B ;
IF BSBGBIRY = 96               THEN BSBGBIRY = .B ;
IF BSBGSEX  = 6                THEN BSBGSEX  = .B ;
IF BSBGBRN1 = 6                THEN BSBGBRN1 = .B ;
IF BSBGBRN2 = 96               THEN BSBGBRN2 = .B ;
IF BSBGLANG = 6                THEN BSBGLANG = .B ;
IF BSBMEXTR = 6                THEN BSBMEXTR = .B ;
IF BSBSEXTR = 6                THEN BSBSEXTR = .B ;
IF BSBGCLUB = 6                THEN BSBGCLUB = .B ;
IF BSBGPAID = 6                THEN BSBGPAID = .B ;
IF BSBGDAY1 = 6                THEN BSBGDAY1 = .B ;
IF BSBGDAY2 = 6                THEN BSBGDAY2 = .B ;
IF BSBGDAY3 = 6                THEN BSBGDAY3 = .B ;
IF BSBGDAY4 = 6                THEN BSBGDAY4 = .B ;
IF BSBGDAY5 = 6                THEN BSBGDAY5 = .B ;
IF BSBGDAY6 = 6                THEN BSBGDAY6 = .B ;
IF BSBMDAY7 = 6                THEN BSBMDAY7 = .B ;
IF BSBSDAY8 = 6                THEN BSBSDAY8 = .B ;
IF BSBGDAY9 = 6                THEN BSBGDAY9 = .B ;
IF BSBGADU1 = 6                THEN BSBGADU1 = .B ;
IF BSBGADU2 = 6                THEN BSBGADU2 = .B ;
IF BSBGADU3 = 6                THEN BSBGADU3 = .B ;
IF BSBGADU4 = 6                THEN BSBGADU4 = .B ;
IF BSBGADU5 = 6                THEN BSBGADU5 = .B ;
IF BSBGADU6 = 6                THEN BSBGADU6 = .B ;
IF BSBGADU7 = 6                THEN BSBGADU7 = .B ;
IF BSBGADU8 = 6                THEN BSBGADU8 = .B ;
IF BSBGADU9 = 6                THEN BSBGADU9 = .B ;
IF BSBGHOME = 96               THEN BSBGHOME = .B ;
IF BSBGEDUM = 96               THEN BSBGEDUM = .B ;
IF BSBGEDUF = 96               THEN BSBGEDUF = .B ;
IF BSBGEDUS = 96               THEN BSBGEDUS = .B ;
IF BSBGBRNM = 6                THEN BSBGBRNM = .B ;
IF BSBGBRNF = 6                THEN BSBGBRNF = .B ;
IF BSBGBOOK = 6                THEN BSBGBOOK = .B ;
IF BSBGPS01 = 6                THEN BSBGPS01 = .B ;
IF BSBGPS02 = 6                THEN BSBGPS02 = .B ;
IF BSBGPS03 = 6                THEN BSBGPS03 = .B ;
IF BSBGPS04 = 6                THEN BSBGPS04 = .B ;
IF BSBGPS05 = 6                THEN BSBGPS05 = .B ;
IF BSBGPS06 = 6                THEN BSBGPS06 = .B ;
IF BSBGPS07 = 6                THEN BSBGPS07 = .B ;
IF BSBGPS08 = 6                THEN BSBGPS08 = .B ;
IF BSBGPS09 = 6                THEN BSBGPS09 = .B ;
IF BSBGPS10 = 6                THEN BSBGPS10 = .B ;
IF BSBGPS11 = 6                THEN BSBGPS11 = .B ;
IF BSBGPS12 = 6                THEN BSBGPS12 = .B ;
IF BSBGPS13 = 6                THEN BSBGPS13 = .B ;
IF BSBGPS14 = 6                THEN BSBGPS14 = .B ;
IF BSBGPS15 = 6                THEN BSBGPS15 = .B ;
IF BSBGPS16 = 6                THEN BSBGPS16 = .B ;
IF BSBSMIP1 = 6                THEN BSBSMIP1 = .B ;
IF BSBMMIP2 = 6                THEN BSBMMIP2 = .B ;
IF BSBGMIP3 = 6                THEN BSBGMIP3 = .B ;
IF BSBGMIP4 = 6                THEN BSBGMIP4 = .B ;
IF BSBGMIP5 = 6                THEN BSBGMIP5 = .B ;
IF BSBGMIP6 = 6                THEN BSBGMIP6 = .B ;
IF BSBMCLS1 = 6                THEN BSBMCLS1 = .B ;
IF BSBMCLS2 = 6                THEN BSBMCLS2 = .B ;
IF BSBMCLS3 = 6                THEN BSBMCLS3 = .B ;
IF BSBSFIP1 = 6                THEN BSBSFIP1 = .B ;
IF BSBMFIP2 = 6                THEN BSBMFIP2 = .B ;
IF BSBGFIP3 = 6                THEN BSBGFIP3 = .B ;
IF BSBGFIP4 = 6                THEN BSBGFIP4 = .B ;
IF BSBGFIP5 = 6                THEN BSBGFIP5 = .B ;
IF BSBGFIP6 = 6                THEN BSBGFIP6 = .B ;
IF BSBSSIP1 = 6                THEN BSBSSIP1 = .B ;
IF BSBMSIP2 = 6                THEN BSBMSIP2 = .B ;
IF BSBGSIP3 = 6                THEN BSBGSIP3 = .B ;
IF BSBGSIP4 = 6                THEN BSBGSIP4 = .B ;
IF BSBGSIP5 = 6                THEN BSBGSIP5 = .B ;
IF BSBGSIP6 = 6                THEN BSBGSIP6 = .B ;
IF BSBMGOOD = 6                THEN BSBMGOOD = .B ;
IF BSBSGOOD = 6                THEN BSBSGOOD = .B ;
IF BSBGSSKP = 6                THEN BSBGSSKP = .B ;
IF BSBGSSTL = 6                THEN BSBGSSTL = .B ;
IF BSBGSHRT = 6                THEN BSBGSHRT = .B ;
IF BSBGFSKP = 6                THEN BSBGFSKP = .B ;
IF BSBGFSTL = 6                THEN BSBGFSTL = .B ;
IF BSBGFHRT = 6                THEN BSBGFHRT = .B ;
IF BSBMDOW1 = 6                THEN BSBMDOW1 = .B ;
IF BSBMDOW2 = 6                THEN BSBMDOW2 = .B ;
IF BSBMDOW3 = 6                THEN BSBMDOW3 = .B ;
IF BSBMDOW4 = 6                THEN BSBMDOW4 = .B ;
IF BSBSDOW1 = 6                THEN BSBSDOW1 = .B ;
IF BSBSDOW2 = 6                THEN BSBSDOW2 = .B ;
IF BSBSDOW3 = 6                THEN BSBSDOW3 = .B ;
IF BSBSDOW4 = 6                THEN BSBSDOW4 = .B ;
IF BSBMLIKE = 6                THEN BSBMLIKE = .B ;
IF BSBSLIKE = 6                THEN BSBSLIKE = .B ;
IF BSBMCMLK = 6                THEN BSBMCMLK = .B ;
IF BSBSCMLK = 6                THEN BSBSCMLK = .B ;
IF BSBMENJY = 6                THEN BSBMENJY = .B ;
IF BSBMBORE = 6                THEN BSBMBORE = .B ;
IF BSBMEASY = 6                THEN BSBMEASY = .B ;
IF BSBMLIFE = 6                THEN BSBMLIFE = .B ;
IF BSBMWORK = 6                THEN BSBMWORK = .B ;
IF BSBMJOB  = 6                THEN BSBMJOB  = .B ;
IF BSBMPRNT = 6                THEN BSBMPRNT = .B ;
IF BSBMSCHL = 6                THEN BSBMSCHL = .B ;
IF BSBMSELF = 6                THEN BSBMSELF = .B ;
IF BSBMPROB = 6                THEN BSBMPROB = .B ;
IF BSBMNOTE = 6                THEN BSBMNOTE = .B ;
IF BSBMTEST = 6                THEN BSBMTEST = .B ;
IF BSBMWSHT = 6                THEN BSBMWSHT = .B ;
IF BSBMPROJ = 6                THEN BSBMPROJ = .B ;
IF BSBMCALC = 6                THEN BSBMCALC = .B ;
IF BSBMCOMP = 6                THEN BSBMCOMP = .B ;
IF BSBMSGRP = 6                THEN BSBMSGRP = .B ;
IF BSBMEVLF = 6                THEN BSBMEVLF = .B ;
IF BSBMHWGV = 6                THEN BSBMHWGV = .B ;
IF BSBMHWCL = 6                THEN BSBMHWCL = .B ;
IF BSBMHWTC = 6                THEN BSBMHWTC = .B ;
IF BSBMHWFC = 6                THEN BSBMHWFC = .B ;
IF BSBMHWDS = 6                THEN BSBMHWDS = .B ;
IF BSBMRULE = 6                THEN BSBMRULE = .B ;
IF BSBMPRAC = 6                THEN BSBMPRAC = .B ;
IF BSBMSMGP = 6                THEN BSBMSMGP = .B ;
IF BSBMASK  = 6                THEN BSBMASK  = .B ;
IF BSBMTXBK = 6                THEN BSBMTXBK = .B ;
IF BSBMEG   = 6                THEN BSBMEG   = .B ;
IF BSBGENV1 = 6                THEN BSBGENV1 = .B ;
IF BSBGENV2 = 6                THEN BSBGENV2 = .B ;
IF BSBGENV3 = 6                THEN BSBGENV3 = .B ;
IF BSBGENV4 = 6                THEN BSBGENV4 = .B ;
IF BSBGENV5 = 6                THEN BSBGENV5 = .B ;
IF BSBGENV6 = 6                THEN BSBGENV6 = .B ;
IF BSBGWORR = 96               THEN BSBGWORR = .B ;
IF BSBSENJY = 6                THEN BSBSENJY = .B ;
IF BSBSBORE = 6                THEN BSBSBORE = .B ;
IF BSBSEASY = 6                THEN BSBSEASY = .B ;
IF BSBSLIFE = 6                THEN BSBSLIFE = .B ;
IF BSBSWORK = 6                THEN BSBSWORK = .B ;
IF BSBSJOB  = 6                THEN BSBSJOB  = .B ;
IF BSBSPRNT = 6                THEN BSBSPRNT = .B ;
IF BSBSSCHL = 6                THEN BSBSSCHL = .B ;
IF BSBSSELF = 6                THEN BSBSSELF = .B ;
IF BSBSCARE = 6                THEN BSBSCARE = .B ;
IF BSBSPROB = 6                THEN BSBSPROB = .B ;
IF BSBSNOTE = 6                THEN BSBSNOTE = .B ;
IF BSBSTEST = 6                THEN BSBSTEST = .B ;
IF BSBSPROJ = 6                THEN BSBSPROJ = .B ;
IF BSBSWSHT = 6                THEN BSBSWSHT = .B ;
IF BSBSCALC = 6                THEN BSBSCALC = .B ;
IF BSBSCOMP = 6                THEN BSBSCOMP = .B ;
IF BSBSEVLF = 6                THEN BSBSEVLF = .B ;
IF BSBSSGRP = 6                THEN BSBSSGRP = .B ;
IF BSBSHWGV = 6                THEN BSBSHWGV = .B ;
IF BSBSHWCL = 6                THEN BSBSHWCL = .B ;
IF BSBSHWTC = 6                THEN BSBSHWTC = .B ;
IF BSBSHWFC = 6                THEN BSBSHWFC = .B ;
IF BSBSHWDS = 6                THEN BSBSHWDS = .B ;
IF BSBSDEMO = 6                THEN BSBSDEMO = .B ;
IF BSBSEXPR = 6                THEN BSBSEXPR = .B ;
IF BSBSRULE = 6                THEN BSBSRULE = .B ;
IF BSBSPRAC = 6                THEN BSBSPRAC = .B ;
IF BSBSSMGP = 6                THEN BSBSSMGP = .B ;
IF BSBSASK  = 6                THEN BSBSASK  = .B ;
IF BSBSTXBK = 6                THEN BSBSTXBK = .B ;
IF BSBSEG   = 6                THEN BSBSEG   = .B ;
IF BSBBGOOD = 6                THEN BSBBGOOD = .B ;
IF BSBEGOOD = 6                THEN BSBEGOOD = .B ;
IF BSBYGOOD = 6                THEN BSBYGOOD = .B ;
IF BSBBLIKE = 6                THEN BSBBLIKE = .B ;
IF BSBELIKE = 6                THEN BSBELIKE = .B ;
IF BSBYLIKE = 6                THEN BSBYLIKE = .B ;
IF BSBBSTDY = 6                THEN BSBBSTDY = .B ;
IF BSBCSTDY = 6                THEN BSBCSTDY = .B ;
IF BSBESTDY = 6                THEN BSBESTDY = .B ;
IF BSBPSTDY = 6                THEN BSBPSTDY = .B ;
IF BSBBENJY = 6                THEN BSBBENJY = .B ;
IF BSBBBORE = 6                THEN BSBBBORE = .B ;
IF BSBBEASY = 6                THEN BSBBEASY = .B ;
IF BSBBLIFE = 6                THEN BSBBLIFE = .B ;
IF BSBBWORK = 6                THEN BSBBWORK = .B ;
IF BSBBJOB  = 6                THEN BSBBJOB  = .B ;
IF BSBBPRNT = 6                THEN BSBBPRNT = .B ;
IF BSBBSCHL = 6                THEN BSBBSCHL = .B ;
IF BSBBSELF = 6                THEN BSBBSELF = .B ;
IF BSBBPROB = 6                THEN BSBBPROB = .B ;
IF BSBBNOTE = 6                THEN BSBBNOTE = .B ;
IF BSBBTEST = 6                THEN BSBBTEST = .B ;
IF BSBBPROJ = 6                THEN BSBBPROJ = .B ;
IF BSBBWSHT = 6                THEN BSBBWSHT = .B ;
IF BSBBCALC = 6                THEN BSBBCALC = .B ;
IF BSBBCOMP = 6                THEN BSBBCOMP = .B ;
IF BSBBEVLF = 6                THEN BSBBEVLF = .B ;
IF BSBBSGRP = 6                THEN BSBBSGRP = .B ;
IF BSBBHWGV = 6                THEN BSBBHWGV = .B ;
IF BSBBHWCL = 6                THEN BSBBHWCL = .B ;
IF BSBBHWTC = 6                THEN BSBBHWTC = .B ;
IF BSBBHWFC = 6                THEN BSBBHWFC = .B ;
IF BSBBHWDS = 6                THEN BSBBHWDS = .B ;
IF BSBBDEMO = 6                THEN BSBBDEMO = .B ;
IF BSBBEXPR = 6                THEN BSBBEXPR = .B ;
IF BSBBRULE = 6                THEN BSBBRULE = .B ;
IF BSBBPRAC = 6                THEN BSBBPRAC = .B ;
IF BSBBSMGP = 6                THEN BSBBSMGP = .B ;
IF BSBBASK  = 6                THEN BSBBASK  = .B ;
IF BSBBTXBK = 6                THEN BSBBTXBK = .B ;
IF BSBBEG   = 6                THEN BSBBEG   = .B ;
IF BSBCENJY = 6                THEN BSBCENJY = .B ;
IF BSBCBORE = 6                THEN BSBCBORE = .B ;
IF BSBCEASY = 6                THEN BSBCEASY = .B ;
IF BSBCLIFE = 6                THEN BSBCLIFE = .B ;
IF BSBCWORK = 6                THEN BSBCWORK = .B ;
IF BSBCJOB  = 6                THEN BSBCJOB  = .B ;
IF BSBCPRNT = 6                THEN BSBCPRNT = .B ;
IF BSBCSCHL = 6                THEN BSBCSCHL = .B ;
IF BSBCSELF = 6                THEN BSBCSELF = .B ;
IF BSBCPROB = 6                THEN BSBCPROB = .B ;
IF BSBCNOTE = 6                THEN BSBCNOTE = .B ;
IF BSBCTEST = 6                THEN BSBCTEST = .B ;
IF BSBCPROJ = 6                THEN BSBCPROJ = .B ;
IF BSBCWSHT = 6                THEN BSBCWSHT = .B ;
IF BSBCCALC = 6                THEN BSBCCALC = .B ;
IF BSBCCOMP = 6                THEN BSBCCOMP = .B ;
IF BSBCEVLF = 6                THEN BSBCEVLF = .B ;
IF BSBCSGRP = 6                THEN BSBCSGRP = .B ;
IF BSBCHWGV = 6                THEN BSBCHWGV = .B ;
IF BSBCHWCL = 6                THEN BSBCHWCL = .B ;
IF BSBCHWTC = 6                THEN BSBCHWTC = .B ;
IF BSBCHWFC = 6                THEN BSBCHWFC = .B ;
IF BSBCHWDS = 6                THEN BSBCHWDS = .B ;
IF BSBCDEMO = 6                THEN BSBCDEMO = .B ;
IF BSBCEXPR = 6                THEN BSBCEXPR = .B ;
IF BSBCRULE = 6                THEN BSBCRULE = .B ;
IF BSBCPRAC = 6                THEN BSBCPRAC = .B ;
IF BSBCSMGP = 6                THEN BSBCSMGP = .B ;
IF BSBCASK  = 6                THEN BSBCASK  = .B ;
IF BSBCTXBK = 6                THEN BSBCTXBK = .B ;
IF BSBCEG   = 6                THEN BSBCEG   = .B ;
IF BSBEENJY = 6                THEN BSBEENJY = .B ;
IF BSBEBORE = 6                THEN BSBEBORE = .B ;
IF BSBEEASY = 6                THEN BSBEEASY = .B ;
IF BSBELIFE = 6                THEN BSBELIFE = .B ;
IF BSBEWORK = 6                THEN BSBEWORK = .B ;
IF BSBEJOB  = 6                THEN BSBEJOB  = .B ;
IF BSBEPRNT = 6                THEN BSBEPRNT = .B ;
IF BSBESCHL = 6                THEN BSBESCHL = .B ;
IF BSBESELF = 6                THEN BSBESELF = .B ;
IF BSBEPROB = 6                THEN BSBEPROB = .B ;
IF BSBENOTE = 6                THEN BSBENOTE = .B ;
IF BSBETEST = 6                THEN BSBETEST = .B ;
IF BSBEPROJ = 6                THEN BSBEPROJ = .B ;
IF BSBEWSHT = 6                THEN BSBEWSHT = .B ;
IF BSBECALC = 6                THEN BSBECALC = .B ;
IF BSBECOMP = 6                THEN BSBECOMP = .B ;
IF BSBEEVLF = 6                THEN BSBEEVLF = .B ;
IF BSBESGRP = 6                THEN BSBESGRP = .B ;
IF BSBEHWGV = 6                THEN BSBEHWGV = .B ;
IF BSBEHWCL = 6                THEN BSBEHWCL = .B ;
IF BSBEHWTC = 6                THEN BSBEHWTC = .B ;
IF BSBEHWFC = 6                THEN BSBEHWFC = .B ;
IF BSBEHWDS = 6                THEN BSBEHWDS = .B ;
IF BSBEDEMO = 6                THEN BSBEDEMO = .B ;
IF BSBEEXPR = 6                THEN BSBEEXPR = .B ;
IF BSBERULE = 6                THEN BSBERULE = .B ;
IF BSBEPRAC = 6                THEN BSBEPRAC = .B ;
IF BSBESMGP = 6                THEN BSBESMGP = .B ;
IF BSBEASK  = 6                THEN BSBEASK  = .B ;
IF BSBETXBK = 6                THEN BSBETXBK = .B ;
IF BSBEEG   = 6                THEN BSBEEG   = .B ;
IF BSBPENJY = 6                THEN BSBPENJY = .B ;
IF BSBPBORE = 6                THEN BSBPBORE = .B ;
IF BSBPEASY = 6                THEN BSBPEASY = .B ;
IF BSBPLIFE = 6                THEN BSBPLIFE = .B ;
IF BSBPWORK = 6                THEN BSBPWORK = .B ;
IF BSBPJOB  = 6                THEN BSBPJOB  = .B ;
IF BSBPPRNT = 6                THEN BSBPPRNT = .B ;
IF BSBPSCHL = 6                THEN BSBPSCHL = .B ;
IF BSBPSELF = 6                THEN BSBPSELF = .B ;
IF BSBPPROB = 6                THEN BSBPPROB = .B ;
IF BSBPNOTE = 6                THEN BSBPNOTE = .B ;
IF BSBPTEST = 6                THEN BSBPTEST = .B ;
IF BSBPPROJ = 6                THEN BSBPPROJ = .B ;
IF BSBPWSHT = 6                THEN BSBPWSHT = .B ;
IF BSBPCALC = 6                THEN BSBPCALC = .B ;
IF BSBPCOMP = 6                THEN BSBPCOMP = .B ;
IF BSBPEVLF = 6                THEN BSBPEVLF = .B ;
IF BSBPSGRP = 6                THEN BSBPSGRP = .B ;
IF BSBPHWGV = 6                THEN BSBPHWGV = .B ;
IF BSBPHWCL = 6                THEN BSBPHWCL = .B ;
IF BSBPHWTC = 6                THEN BSBPHWTC = .B ;
IF BSBPHWFC = 6                THEN BSBPHWFC = .B ;
IF BSBPHWDS = 6                THEN BSBPHWDS = .B ;
IF BSBPDEMO = 6                THEN BSBPDEMO = .B ;
IF BSBPEXPR = 6                THEN BSBPEXPR = .B ;
IF BSBPRULE = 6                THEN BSBPRULE = .B ;
IF BSBPPRAC = 6                THEN BSBPPRAC = .B ;
IF BSBPSMGP = 6                THEN BSBPSMGP = .B ;
IF BSBPASK  = 6                THEN BSBPASK  = .B ;
IF BSBPTXBK = 6                THEN BSBPTXBK = .B ;
IF BSBPEG   = 6                THEN BSBPEG   = .B ;
IF BSBGACT1 = 6                THEN BSBGACT1 = .B ;
IF BSBGACT2 = 6                THEN BSBGACT2 = .B ;
IF BSBGACT3 = 6                THEN BSBGACT3 = .B ;
IF BSBGACT4 = 6                THEN BSBGACT4 = .B ;
IF BSBGACT5 = 6                THEN BSBGACT5 = .B ;
IF BSBGNEWS = 6                THEN BSBGNEWS = .B ;
IF BSBGOPER = 6                THEN BSBGOPER = .B ;
IF BSBGNATR = 6                THEN BSBGNATR = .B ;
IF BSBGPOPU = 6                THEN BSBGPOPU = .B ;
IF BSBGSPRT = 6                THEN BSBGSPRT = .B ;
IF BSBGVIDE = 6                THEN BSBGVIDE = .B ;
IF BSBGCRTN = 6                THEN BSBGCRTN = .B ;
IF BSBGCMDY = 6                THEN BSBGCMDY = .B ;
IF BSDAGE   = 96               THEN BSDAGE   = .B ;
IF BSDGPSA  = 6                THEN BSDGPSA  = .B ;
IF BSDGEDUP = 6                THEN BSDGEDUP = .B ;
IF BSDMDAY7 = 6                THEN BSDMDAY7 = .B ;
IF BSDSDAY8 = 6                THEN BSDSDAY8 = .B ;
IF BSDGDAY9 = 6                THEN BSDGDAY9 = .B ;
IF BSDGSTDT = 96               THEN BSDGSTDT = .B ;
IF BSDEPATS = 6                THEN BSDEPATS = .B ;
IF BSDMPATM = 6                THEN BSDMPATM = .B ;
IF BSDPPATS = 6                THEN BSDPPATS = .B ;
IF BSDSPATS = 6                THEN BSDSPATS = .B ;
IF BSDBPATS = 6                THEN BSDBPATS = .B ;
IF BSDCPATS = 6                THEN BSDCPATS = .B ;
IF BSDGHERI = 6                THEN BSDGHERI = .B ;
IF BSDGOSTI = 6                THEN BSDGOSTI = .B ;
IF BSDGSALL = 6                THEN BSDGSALL = .B ;
IF TOTWGT   = 999996           THEN TOTWGT   = .B ;
IF HOUWGT   = 999996           THEN HOUWGT   = .B ;
IF SENWGT   = 999996           THEN SENWGT   = .B ;
IF WGTFAC1  = 999996           THEN WGTFAC1  = .B ;
IF WGTADJ1  = 999996           THEN WGTADJ1  = .B ;
IF WGTFAC2  = 999996           THEN WGTFAC2  = .B ;
IF WGTFAC3  = 999996           THEN WGTFAC3  = .B ;
IF WGTADJ3  = 999996           THEN WGTADJ3  = .B ;
IF JKZONE   = 96               THEN JKZONE   = .B ;
IF JKREP    = 6                THEN JKREP    = .B ;
IF BSMSTDR  = 996              THEN BSMSTDR  = .B ;
IF BSMNRSC  = 996              THEN BSMNRSC  = .B ;
IF BSMSCPT  = 96               THEN BSMSCPT  = .B ;
IF BSSSTDR  = 996              THEN BSSSTDR  = .B ;
IF BSSNRSC  = 996              THEN BSSNRSC  = .B ;
IF BSSSCPT  = 96               THEN BSSSCPT  = .B ;
IF INTMS95  = 6                THEN INTMS95  = .B ;
IF BSMMAT01 = 996              THEN BSMMAT01 = .B ;
IF BSMMAT02 = 996              THEN BSMMAT02 = .B ;
IF BSMMAT03 = 996              THEN BSMMAT03 = .B ;
IF BSMMAT04 = 996              THEN BSMMAT04 = .B ;
IF BSMMAT05 = 996              THEN BSMMAT05 = .B ;
IF BSSSCI01 = 996              THEN BSSSCI01 = .B ;
IF BSSSCI02 = 996              THEN BSSSCI02 = .B ;
IF BSSSCI03 = 996              THEN BSSSCI03 = .B ;
IF BSSSCI04 = 996              THEN BSSSCI04 = .B ;
IF BSSSCI05 = 996              THEN BSSSCI05 = .B ;
IF BSMALG01 = 996              THEN BSMALG01 = .B ;
IF BSMALG02 = 996              THEN BSMALG02 = .B ;
IF BSMALG03 = 996              THEN BSMALG03 = .B ;
IF BSMALG04 = 996              THEN BSMALG04 = .B ;
IF BSMALG05 = 996              THEN BSMALG05 = .B ;
IF BSMDAP01 = 996              THEN BSMDAP01 = .B ;
IF BSMDAP02 = 996              THEN BSMDAP02 = .B ;
IF BSMDAP03 = 996              THEN BSMDAP03 = .B ;
IF BSMDAP04 = 996              THEN BSMDAP04 = .B ;
IF BSMDAP05 = 996              THEN BSMDAP05 = .B ;
IF BSMFNS01 = 996              THEN BSMFNS01 = .B ;
IF BSMFNS02 = 996              THEN BSMFNS02 = .B ;
IF BSMFNS03 = 996              THEN BSMFNS03 = .B ;
IF BSMFNS04 = 996              THEN BSMFNS04 = .B ;
IF BSMFNS05 = 996              THEN BSMFNS05 = .B ;
IF BSMGEO01 = 996              THEN BSMGEO01 = .B ;
IF BSMGEO02 = 996              THEN BSMGEO02 = .B ;
IF BSMGEO03 = 996              THEN BSMGEO03 = .B ;
IF BSMGEO04 = 996              THEN BSMGEO04 = .B ;
IF BSMGEO05 = 996              THEN BSMGEO05 = .B ;
IF BSMMEA01 = 996              THEN BSMMEA01 = .B ;
IF BSMMEA02 = 996              THEN BSMMEA02 = .B ;
IF BSMMEA03 = 996              THEN BSMMEA03 = .B ;
IF BSMMEA04 = 996              THEN BSMMEA04 = .B ;
IF BSMMEA05 = 996              THEN BSMMEA05 = .B ;
IF BSSCHE01 = 996              THEN BSSCHE01 = .B ;
IF BSSCHE02 = 996              THEN BSSCHE02 = .B ;
IF BSSCHE03 = 996              THEN BSSCHE03 = .B ;
IF BSSCHE04 = 996              THEN BSSCHE04 = .B ;
IF BSSCHE05 = 996              THEN BSSCHE05 = .B ;
IF BSSEAS01 = 996              THEN BSSEAS01 = .B ;
IF BSSEAS02 = 996              THEN BSSEAS02 = .B ;
IF BSSEAS03 = 996              THEN BSSEAS03 = .B ;
IF BSSEAS04 = 996              THEN BSSEAS04 = .B ;
IF BSSEAS05 = 996              THEN BSSEAS05 = .B ;
IF BSSLIS01 = 996              THEN BSSLIS01 = .B ;
IF BSSLIS02 = 996              THEN BSSLIS02 = .B ;
IF BSSLIS03 = 996              THEN BSSLIS03 = .B ;
IF BSSLIS04 = 996              THEN BSSLIS04 = .B ;
IF BSSLIS05 = 996              THEN BSSLIS05 = .B ;
IF BSSPHY01 = 996              THEN BSSPHY01 = .B ;
IF BSSPHY02 = 996              THEN BSSPHY02 = .B ;
IF BSSPHY03 = 996              THEN BSSPHY03 = .B ;
IF BSSPHY04 = 996              THEN BSSPHY04 = .B ;
IF BSSPHY05 = 996              THEN BSSPHY05 = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 9                THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDCLASS  = 99999999         THEN IDCLASS  = . ;
IF IDSTUD   = 9999999999       THEN IDSTUD   = . ;
IF IDGRADE  = 99               THEN IDGRADE  = . ;
IF ITEXCLUD = 9                THEN ITEXCLUD = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 999              THEN ITLANG   = . ;
IF ITDATEM  = 99               THEN ITDATEM  = . ;
IF ITDATEY  = 9999             THEN ITDATEY  = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF ITPART   = 9                THEN ITPART   = . ;
IF BSBGBIRD = 99               THEN BSBGBIRD = . ;
IF BSBGBIRM = 99               THEN BSBGBIRM = . ;
IF BSBGBIRY = 99               THEN BSBGBIRY = . ;
IF BSBGSEX  = 9                THEN BSBGSEX  = . ;
IF BSBGBRN1 = 9                THEN BSBGBRN1 = . ;
IF BSBGBRN2 = 99               THEN BSBGBRN2 = . ;
IF BSBGLANG = 9                THEN BSBGLANG = . ;
IF BSBMEXTR = 9                THEN BSBMEXTR = . ;
IF BSBSEXTR = 9                THEN BSBSEXTR = . ;
IF BSBGCLUB = 9                THEN BSBGCLUB = . ;
IF BSBGPAID = 9                THEN BSBGPAID = . ;
IF BSBGDAY1 = 9                THEN BSBGDAY1 = . ;
IF BSBGDAY2 = 9                THEN BSBGDAY2 = . ;
IF BSBGDAY3 = 9                THEN BSBGDAY3 = . ;
IF BSBGDAY4 = 9                THEN BSBGDAY4 = . ;
IF BSBGDAY5 = 9                THEN BSBGDAY5 = . ;
IF BSBGDAY6 = 9                THEN BSBGDAY6 = . ;
IF BSBMDAY7 = 9                THEN BSBMDAY7 = . ;
IF BSBSDAY8 = 9                THEN BSBSDAY8 = . ;
IF BSBGDAY9 = 9                THEN BSBGDAY9 = . ;
IF BSBGADU1 = 9                THEN BSBGADU1 = . ;
IF BSBGADU2 = 9                THEN BSBGADU2 = . ;
IF BSBGADU3 = 9                THEN BSBGADU3 = . ;
IF BSBGADU4 = 9                THEN BSBGADU4 = . ;
IF BSBGADU5 = 9                THEN BSBGADU5 = . ;
IF BSBGADU6 = 9                THEN BSBGADU6 = . ;
IF BSBGADU7 = 9                THEN BSBGADU7 = . ;
IF BSBGADU8 = 9                THEN BSBGADU8 = . ;
IF BSBGADU9 = 9                THEN BSBGADU9 = . ;
IF BSBGHOME = 99               THEN BSBGHOME = . ;
IF BSBGEDUM = 99               THEN BSBGEDUM = . ;
IF BSBGEDUF = 99               THEN BSBGEDUF = . ;
IF BSBGEDUS = 99               THEN BSBGEDUS = . ;
IF BSBGBRNM = 9                THEN BSBGBRNM = . ;
IF BSBGBRNF = 9                THEN BSBGBRNF = . ;
IF BSBGBOOK = 9                THEN BSBGBOOK = . ;
IF BSBGPS01 = 9                THEN BSBGPS01 = . ;
IF BSBGPS02 = 9                THEN BSBGPS02 = . ;
IF BSBGPS03 = 9                THEN BSBGPS03 = . ;
IF BSBGPS04 = 9                THEN BSBGPS04 = . ;
IF BSBGPS05 = 9                THEN BSBGPS05 = . ;
IF BSBGPS06 = 9                THEN BSBGPS06 = . ;
IF BSBGPS07 = 9                THEN BSBGPS07 = . ;
IF BSBGPS08 = 9                THEN BSBGPS08 = . ;
IF BSBGPS09 = 9                THEN BSBGPS09 = . ;
IF BSBGPS10 = 9                THEN BSBGPS10 = . ;
IF BSBGPS11 = 9                THEN BSBGPS11 = . ;
IF BSBGPS12 = 9                THEN BSBGPS12 = . ;
IF BSBGPS13 = 9                THEN BSBGPS13 = . ;
IF BSBGPS14 = 9                THEN BSBGPS14 = . ;
IF BSBGPS15 = 9                THEN BSBGPS15 = . ;
IF BSBGPS16 = 9                THEN BSBGPS16 = . ;
IF BSBSMIP1 = 9                THEN BSBSMIP1 = . ;
IF BSBMMIP2 = 9                THEN BSBMMIP2 = . ;
IF BSBGMIP3 = 9                THEN BSBGMIP3 = . ;
IF BSBGMIP4 = 9                THEN BSBGMIP4 = . ;
IF BSBGMIP5 = 9                THEN BSBGMIP5 = . ;
IF BSBGMIP6 = 9                THEN BSBGMIP6 = . ;
IF BSBMCLS1 = 9                THEN BSBMCLS1 = . ;
IF BSBMCLS2 = 9                THEN BSBMCLS2 = . ;
IF BSBMCLS3 = 9                THEN BSBMCLS3 = . ;
IF BSBSFIP1 = 9                THEN BSBSFIP1 = . ;
IF BSBMFIP2 = 9                THEN BSBMFIP2 = . ;
IF BSBGFIP3 = 9                THEN BSBGFIP3 = . ;
IF BSBGFIP4 = 9                THEN BSBGFIP4 = . ;
IF BSBGFIP5 = 9                THEN BSBGFIP5 = . ;
IF BSBGFIP6 = 9                THEN BSBGFIP6 = . ;
IF BSBSSIP1 = 9                THEN BSBSSIP1 = . ;
IF BSBMSIP2 = 9                THEN BSBMSIP2 = . ;
IF BSBGSIP3 = 9                THEN BSBGSIP3 = . ;
IF BSBGSIP4 = 9                THEN BSBGSIP4 = . ;
IF BSBGSIP5 = 9                THEN BSBGSIP5 = . ;
IF BSBGSIP6 = 9                THEN BSBGSIP6 = . ;
IF BSBMGOOD = 9                THEN BSBMGOOD = . ;
IF BSBSGOOD = 9                THEN BSBSGOOD = . ;
IF BSBGSSKP = 9                THEN BSBGSSKP = . ;
IF BSBGSSTL = 9                THEN BSBGSSTL = . ;
IF BSBGSHRT = 9                THEN BSBGSHRT = . ;
IF BSBGFSKP = 9                THEN BSBGFSKP = . ;
IF BSBGFSTL = 9                THEN BSBGFSTL = . ;
IF BSBGFHRT = 9                THEN BSBGFHRT = . ;
IF BSBMDOW1 = 9                THEN BSBMDOW1 = . ;
IF BSBMDOW2 = 9                THEN BSBMDOW2 = . ;
IF BSBMDOW3 = 9                THEN BSBMDOW3 = . ;
IF BSBMDOW4 = 9                THEN BSBMDOW4 = . ;
IF BSBSDOW1 = 9                THEN BSBSDOW1 = . ;
IF BSBSDOW2 = 9                THEN BSBSDOW2 = . ;
IF BSBSDOW3 = 9                THEN BSBSDOW3 = . ;
IF BSBSDOW4 = 9                THEN BSBSDOW4 = . ;
IF BSBMLIKE = 9                THEN BSBMLIKE = . ;
IF BSBSLIKE = 9                THEN BSBSLIKE = . ;
IF BSBMCMLK = 9                THEN BSBMCMLK = . ;
IF BSBSCMLK = 9                THEN BSBSCMLK = . ;
IF BSBMENJY = 9                THEN BSBMENJY = . ;
IF BSBMBORE = 9                THEN BSBMBORE = . ;
IF BSBMEASY = 9                THEN BSBMEASY = . ;
IF BSBMLIFE = 9                THEN BSBMLIFE = . ;
IF BSBMWORK = 9                THEN BSBMWORK = . ;
IF BSBMJOB  = 9                THEN BSBMJOB  = . ;
IF BSBMPRNT = 9                THEN BSBMPRNT = . ;
IF BSBMSCHL = 9                THEN BSBMSCHL = . ;
IF BSBMSELF = 9                THEN BSBMSELF = . ;
IF BSBMPROB = 9                THEN BSBMPROB = . ;
IF BSBMNOTE = 9                THEN BSBMNOTE = . ;
IF BSBMTEST = 9                THEN BSBMTEST = . ;
IF BSBMWSHT = 9                THEN BSBMWSHT = . ;
IF BSBMPROJ = 9                THEN BSBMPROJ = . ;
IF BSBMCALC = 9                THEN BSBMCALC = . ;
IF BSBMCOMP = 9                THEN BSBMCOMP = . ;
IF BSBMSGRP = 9                THEN BSBMSGRP = . ;
IF BSBMEVLF = 9                THEN BSBMEVLF = . ;
IF BSBMHWGV = 9                THEN BSBMHWGV = . ;
IF BSBMHWCL = 9                THEN BSBMHWCL = . ;
IF BSBMHWTC = 9                THEN BSBMHWTC = . ;
IF BSBMHWFC = 9                THEN BSBMHWFC = . ;
IF BSBMHWDS = 9                THEN BSBMHWDS = . ;
IF BSBMRULE = 9                THEN BSBMRULE = . ;
IF BSBMPRAC = 9                THEN BSBMPRAC = . ;
IF BSBMSMGP = 9                THEN BSBMSMGP = . ;
IF BSBMASK  = 9                THEN BSBMASK  = . ;
IF BSBMTXBK = 9                THEN BSBMTXBK = . ;
IF BSBMEG   = 9                THEN BSBMEG   = . ;
IF BSBGENV1 = 9                THEN BSBGENV1 = . ;
IF BSBGENV2 = 9                THEN BSBGENV2 = . ;
IF BSBGENV3 = 9                THEN BSBGENV3 = . ;
IF BSBGENV4 = 9                THEN BSBGENV4 = . ;
IF BSBGENV5 = 9                THEN BSBGENV5 = . ;
IF BSBGENV6 = 9                THEN BSBGENV6 = . ;
IF BSBGWORR = 99               THEN BSBGWORR = . ;
IF BSBSENJY = 9                THEN BSBSENJY = . ;
IF BSBSBORE = 9                THEN BSBSBORE = . ;
IF BSBSEASY = 9                THEN BSBSEASY = . ;
IF BSBSLIFE = 9                THEN BSBSLIFE = . ;
IF BSBSWORK = 9                THEN BSBSWORK = . ;
IF BSBSJOB  = 9                THEN BSBSJOB  = . ;
IF BSBSPRNT = 9                THEN BSBSPRNT = . ;
IF BSBSSCHL = 9                THEN BSBSSCHL = . ;
IF BSBSSELF = 9                THEN BSBSSELF = . ;
IF BSBSCARE = 9                THEN BSBSCARE = . ;
IF BSBSPROB = 9                THEN BSBSPROB = . ;
IF BSBSNOTE = 9                THEN BSBSNOTE = . ;
IF BSBSTEST = 9                THEN BSBSTEST = . ;
IF BSBSPROJ = 9                THEN BSBSPROJ = . ;
IF BSBSWSHT = 9                THEN BSBSWSHT = . ;
IF BSBSCALC = 9                THEN BSBSCALC = . ;
IF BSBSCOMP = 9                THEN BSBSCOMP = . ;
IF BSBSEVLF = 9                THEN BSBSEVLF = . ;
IF BSBSSGRP = 9                THEN BSBSSGRP = . ;
IF BSBSHWGV = 9                THEN BSBSHWGV = . ;
IF BSBSHWCL = 9                THEN BSBSHWCL = . ;
IF BSBSHWTC = 9                THEN BSBSHWTC = . ;
IF BSBSHWFC = 9                THEN BSBSHWFC = . ;
IF BSBSHWDS = 9                THEN BSBSHWDS = . ;
IF BSBSDEMO = 9                THEN BSBSDEMO = . ;
IF BSBSEXPR = 9                THEN BSBSEXPR = . ;
IF BSBSRULE = 9                THEN BSBSRULE = . ;
IF BSBSPRAC = 9                THEN BSBSPRAC = . ;
IF BSBSSMGP = 9                THEN BSBSSMGP = . ;
IF BSBSASK  = 9                THEN BSBSASK  = . ;
IF BSBSTXBK = 9                THEN BSBSTXBK = . ;
IF BSBSEG   = 9                THEN BSBSEG   = . ;
IF BSBBGOOD = 9                THEN BSBBGOOD = . ;
IF BSBEGOOD = 9                THEN BSBEGOOD = . ;
IF BSBYGOOD = 9                THEN BSBYGOOD = . ;
IF BSBBLIKE = 9                THEN BSBBLIKE = . ;
IF BSBELIKE = 9                THEN BSBELIKE = . ;
IF BSBYLIKE = 9                THEN BSBYLIKE = . ;
IF BSBBSTDY = 9                THEN BSBBSTDY = . ;
IF BSBCSTDY = 9                THEN BSBCSTDY = . ;
IF BSBESTDY = 9                THEN BSBESTDY = . ;
IF BSBPSTDY = 9                THEN BSBPSTDY = . ;
IF BSBBENJY = 9                THEN BSBBENJY = . ;
IF BSBBBORE = 9                THEN BSBBBORE = . ;
IF BSBBEASY = 9                THEN BSBBEASY = . ;
IF BSBBLIFE = 9                THEN BSBBLIFE = . ;
IF BSBBWORK = 9                THEN BSBBWORK = . ;
IF BSBBJOB  = 9                THEN BSBBJOB  = . ;
IF BSBBPRNT = 9                THEN BSBBPRNT = . ;
IF BSBBSCHL = 9                THEN BSBBSCHL = . ;
IF BSBBSELF = 9                THEN BSBBSELF = . ;
IF BSBBPROB = 9                THEN BSBBPROB = . ;
IF BSBBNOTE = 9                THEN BSBBNOTE = . ;
IF BSBBTEST = 9                THEN BSBBTEST = . ;
IF BSBBPROJ = 9                THEN BSBBPROJ = . ;
IF BSBBWSHT = 9                THEN BSBBWSHT = . ;
IF BSBBCALC = 9                THEN BSBBCALC = . ;
IF BSBBCOMP = 9                THEN BSBBCOMP = . ;
IF BSBBEVLF = 9                THEN BSBBEVLF = . ;
IF BSBBSGRP = 9                THEN BSBBSGRP = . ;
IF BSBBHWGV = 9                THEN BSBBHWGV = . ;
IF BSBBHWCL = 9                THEN BSBBHWCL = . ;
IF BSBBHWTC = 9                THEN BSBBHWTC = . ;
IF BSBBHWFC = 9                THEN BSBBHWFC = . ;
IF BSBBHWDS = 9                THEN BSBBHWDS = . ;
IF BSBBDEMO = 9                THEN BSBBDEMO = . ;
IF BSBBEXPR = 9                THEN BSBBEXPR = . ;
IF BSBBRULE = 9                THEN BSBBRULE = . ;
IF BSBBPRAC = 9                THEN BSBBPRAC = . ;
IF BSBBSMGP = 9                THEN BSBBSMGP = . ;
IF BSBBASK  = 9                THEN BSBBASK  = . ;
IF BSBBTXBK = 9                THEN BSBBTXBK = . ;
IF BSBBEG   = 9                THEN BSBBEG   = . ;
IF BSBCENJY = 9                THEN BSBCENJY = . ;
IF BSBCBORE = 9                THEN BSBCBORE = . ;
IF BSBCEASY = 9                THEN BSBCEASY = . ;
IF BSBCLIFE = 9                THEN BSBCLIFE = . ;
IF BSBCWORK = 9                THEN BSBCWORK = . ;
IF BSBCJOB  = 9                THEN BSBCJOB  = . ;
IF BSBCPRNT = 9                THEN BSBCPRNT = . ;
IF BSBCSCHL = 9                THEN BSBCSCHL = . ;
IF BSBCSELF = 9                THEN BSBCSELF = . ;
IF BSBCPROB = 9                THEN BSBCPROB = . ;
IF BSBCNOTE = 9                THEN BSBCNOTE = . ;
IF BSBCTEST = 9                THEN BSBCTEST = . ;
IF BSBCPROJ = 9                THEN BSBCPROJ = . ;
IF BSBCWSHT = 9                THEN BSBCWSHT = . ;
IF BSBCCALC = 9                THEN BSBCCALC = . ;
IF BSBCCOMP = 9                THEN BSBCCOMP = . ;
IF BSBCEVLF = 9                THEN BSBCEVLF = . ;
IF BSBCSGRP = 9                THEN BSBCSGRP = . ;
IF BSBCHWGV = 9                THEN BSBCHWGV = . ;
IF BSBCHWCL = 9                THEN BSBCHWCL = . ;
IF BSBCHWTC = 9                THEN BSBCHWTC = . ;
IF BSBCHWFC = 9                THEN BSBCHWFC = . ;
IF BSBCHWDS = 9                THEN BSBCHWDS = . ;
IF BSBCDEMO = 9                THEN BSBCDEMO = . ;
IF BSBCEXPR = 9                THEN BSBCEXPR = . ;
IF BSBCRULE = 9                THEN BSBCRULE = . ;
IF BSBCPRAC = 9                THEN BSBCPRAC = . ;
IF BSBCSMGP = 9                THEN BSBCSMGP = . ;
IF BSBCASK  = 9                THEN BSBCASK  = . ;
IF BSBCTXBK = 9                THEN BSBCTXBK = . ;
IF BSBCEG   = 9                THEN BSBCEG   = . ;
IF BSBEENJY = 9                THEN BSBEENJY = . ;
IF BSBEBORE = 9                THEN BSBEBORE = . ;
IF BSBEEASY = 9                THEN BSBEEASY = . ;
IF BSBELIFE = 9                THEN BSBELIFE = . ;
IF BSBEWORK = 9                THEN BSBEWORK = . ;
IF BSBEJOB  = 9                THEN BSBEJOB  = . ;
IF BSBEPRNT = 9                THEN BSBEPRNT = . ;
IF BSBESCHL = 9                THEN BSBESCHL = . ;
IF BSBESELF = 9                THEN BSBESELF = . ;
IF BSBEPROB = 9                THEN BSBEPROB = . ;
IF BSBENOTE = 9                THEN BSBENOTE = . ;
IF BSBETEST = 9                THEN BSBETEST = . ;
IF BSBEPROJ = 9                THEN BSBEPROJ = . ;
IF BSBEWSHT = 9                THEN BSBEWSHT = . ;
IF BSBECALC = 9                THEN BSBECALC = . ;
IF BSBECOMP = 9                THEN BSBECOMP = . ;
IF BSBEEVLF = 9                THEN BSBEEVLF = . ;
IF BSBESGRP = 9                THEN BSBESGRP = . ;
IF BSBEHWGV = 9                THEN BSBEHWGV = . ;
IF BSBEHWCL = 9                THEN BSBEHWCL = . ;
IF BSBEHWTC = 9                THEN BSBEHWTC = . ;
IF BSBEHWFC = 9                THEN BSBEHWFC = . ;
IF BSBEHWDS = 9                THEN BSBEHWDS = . ;
IF BSBEDEMO = 9                THEN BSBEDEMO = . ;
IF BSBEEXPR = 9                THEN BSBEEXPR = . ;
IF BSBERULE = 9                THEN BSBERULE = . ;
IF BSBEPRAC = 9                THEN BSBEPRAC = . ;
IF BSBESMGP = 9                THEN BSBESMGP = . ;
IF BSBEASK  = 9                THEN BSBEASK  = . ;
IF BSBETXBK = 9                THEN BSBETXBK = . ;
IF BSBEEG   = 9                THEN BSBEEG   = . ;
IF BSBPENJY = 9                THEN BSBPENJY = . ;
IF BSBPBORE = 9                THEN BSBPBORE = . ;
IF BSBPEASY = 9                THEN BSBPEASY = . ;
IF BSBPLIFE = 9                THEN BSBPLIFE = . ;
IF BSBPWORK = 9                THEN BSBPWORK = . ;
IF BSBPJOB  = 9                THEN BSBPJOB  = . ;
IF BSBPPRNT = 9                THEN BSBPPRNT = . ;
IF BSBPSCHL = 9                THEN BSBPSCHL = . ;
IF BSBPSELF = 9                THEN BSBPSELF = . ;
IF BSBPPROB = 9                THEN BSBPPROB = . ;
IF BSBPNOTE = 9                THEN BSBPNOTE = . ;
IF BSBPTEST = 9                THEN BSBPTEST = . ;
IF BSBPPROJ = 9                THEN BSBPPROJ = . ;
IF BSBPWSHT = 9                THEN BSBPWSHT = . ;
IF BSBPCALC = 9                THEN BSBPCALC = . ;
IF BSBPCOMP = 9                THEN BSBPCOMP = . ;
IF BSBPEVLF = 9                THEN BSBPEVLF = . ;
IF BSBPSGRP = 9                THEN BSBPSGRP = . ;
IF BSBPHWGV = 9                THEN BSBPHWGV = . ;
IF BSBPHWCL = 9                THEN BSBPHWCL = . ;
IF BSBPHWTC = 9                THEN BSBPHWTC = . ;
IF BSBPHWFC = 9                THEN BSBPHWFC = . ;
IF BSBPHWDS = 9                THEN BSBPHWDS = . ;
IF BSBPDEMO = 9                THEN BSBPDEMO = . ;
IF BSBPEXPR = 9                THEN BSBPEXPR = . ;
IF BSBPRULE = 9                THEN BSBPRULE = . ;
IF BSBPPRAC = 9                THEN BSBPPRAC = . ;
IF BSBPSMGP = 9                THEN BSBPSMGP = . ;
IF BSBPASK  = 9                THEN BSBPASK  = . ;
IF BSBPTXBK = 9                THEN BSBPTXBK = . ;
IF BSBPEG   = 9                THEN BSBPEG   = . ;
IF BSBGACT1 = 9                THEN BSBGACT1 = . ;
IF BSBGACT2 = 9                THEN BSBGACT2 = . ;
IF BSBGACT3 = 9                THEN BSBGACT3 = . ;
IF BSBGACT4 = 9                THEN BSBGACT4 = . ;
IF BSBGACT5 = 9                THEN BSBGACT5 = . ;
IF BSBGNEWS = 9                THEN BSBGNEWS = . ;
IF BSBGOPER = 9                THEN BSBGOPER = . ;
IF BSBGNATR = 9                THEN BSBGNATR = . ;
IF BSBGPOPU = 9                THEN BSBGPOPU = . ;
IF BSBGSPRT = 9                THEN BSBGSPRT = . ;
IF BSBGVIDE = 9                THEN BSBGVIDE = . ;
IF BSBGCRTN = 9                THEN BSBGCRTN = . ;
IF BSBGCMDY = 9                THEN BSBGCMDY = . ;
IF BSDAGE   = 99               THEN BSDAGE   = . ;
IF BSDGPSA  = 9                THEN BSDGPSA  = . ;
IF BSDGEDUP = 9                THEN BSDGEDUP = . ;
IF BSDMDAY7 = 9                THEN BSDMDAY7 = . ;
IF BSDSDAY8 = 9                THEN BSDSDAY8 = . ;
IF BSDGDAY9 = 9                THEN BSDGDAY9 = . ;
IF BSDGSTDT = 99               THEN BSDGSTDT = . ;
IF BSDEPATS = 9                THEN BSDEPATS = . ;
IF BSDMPATM = 9                THEN BSDMPATM = . ;
IF BSDPPATS = 9                THEN BSDPPATS = . ;
IF BSDSPATS = 9                THEN BSDSPATS = . ;
IF BSDBPATS = 9                THEN BSDBPATS = . ;
IF BSDCPATS = 9                THEN BSDCPATS = . ;
IF BSDGHERI = 9                THEN BSDGHERI = . ;
IF BSDGOSTI = 9                THEN BSDGOSTI = . ;
IF BSDGSALL = 9                THEN BSDGSALL = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF WGTFAC1  = 999999           THEN WGTFAC1  = . ;
IF WGTADJ1  = 999999           THEN WGTADJ1  = . ;
IF WGTFAC2  = 999999           THEN WGTFAC2  = . ;
IF WGTFAC3  = 999999           THEN WGTFAC3  = . ;
IF WGTADJ3  = 999999           THEN WGTADJ3  = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF BSMSTDR  = 999              THEN BSMSTDR  = . ;
IF BSMNRSC  = 999              THEN BSMNRSC  = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSSSTDR  = 999              THEN BSSSTDR  = . ;
IF BSSNRSC  = 999              THEN BSSNRSC  = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idstud;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;











