%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bsg&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDBSET     3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDSCORA    3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDCLASS    8 ;
LENGTH      IDSTUD     8 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDGRADER   3 ;
LENGTH      IDBOOK     3 ;
LENGTH      ITBOOK     3 ;
LENGTH      ITEXCLUD   3 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITLANG     3 ;
LENGTH      ITADMINI   3 ;
LENGTH      ITDATEM    3 ;
LENGTH      ITDATEY    4 ;
LENGTH      ITPART     3 ;
LENGTH      ILRELIAB   3 ;
LENGTH      BSBGBIRD   3 ;
LENGTH      BSBGBIRM   3 ;
LENGTH      BSBGBIRY   3 ;
LENGTH      BSDAGE     8 ;
LENGTH      BSBGSEX    3 ;
LENGTH      BSBGBRN1   3 ;
LENGTH      BSBGBRN2   3 ;
LENGTH      BSBGLANG   3 ;
LENGTH      BSBMEXTR   3 ;
LENGTH      BSBSEXTR   3 ;
LENGTH      BSBGCLUB   3 ;
LENGTH      BSBGPAID   3 ;
LENGTH      BSBGDAY1   3 ;
LENGTH      BSBGDAY2   3 ;
LENGTH      BSBGDAY3   3 ;
LENGTH      BSBGDAY4   3 ;
LENGTH      BSBGDAY5   3 ;
LENGTH      BSBGDAY6   3 ;
LENGTH      BSBMDAY7   3 ;
LENGTH      BSBSDAY8   3 ;
LENGTH      BSBGDAY9   3 ;
LENGTH      BSBGEDMO   3 ;
LENGTH      BSBGEDFA   3 ;
LENGTH      BSBGEDSE   3 ;
LENGTH      BSBGBRNM   3 ;
LENGTH      BSBGBRNF   3 ;
LENGTH      BSBGBOOK   3 ;
LENGTH      BSBGPS01   3 ;
LENGTH      BSBGPS02   3 ;
LENGTH      BSBGPS03   3 ;
LENGTH      BSBGPS04   3 ;
LENGTH      BSBGPS05   3 ;
LENGTH      BSBGPS06   3 ;
LENGTH      BSBGPS07   3 ;
LENGTH      BSBGPS08   3 ;
LENGTH      BSBGPS09   3 ;
LENGTH      BSBGPS10   3 ;
LENGTH      BSBGPS11   3 ;
LENGTH      BSBGPS12   3 ;
LENGTH      BSBGPS13   3 ;
LENGTH      BSBGPS14   3 ;
LENGTH      BSBGPS15   3 ;
LENGTH      BSBGPS16   3 ;
LENGTH      BSBSMIP1   3 ;
LENGTH      BSBMMIP2   3 ;
LENGTH      BSBGMIP3   3 ;
LENGTH      BSBGMIP5   3 ;
LENGTH      BSBGMIP4   3 ;
LENGTH      BSBMCLS1   3 ;
LENGTH      BSBMCLS2   3 ;
LENGTH      BSBMCLS3   3 ;
LENGTH      BSBSFIP1   3 ;
LENGTH      BSBMFIP2   3 ;
LENGTH      BSBGFIP3   3 ;
LENGTH      BSBGFIP4   3 ;
LENGTH      BSBGFIP5   3 ;
LENGTH      BSBSSIP1   3 ;
LENGTH      BSBMSIP2   3 ;
LENGTH      BSBGSIP3   3 ;
LENGTH      BSBGSIP4   3 ;
LENGTH      BSBGSIP5   3 ;
LENGTH      BSBMGOOD   3 ;
LENGTH      BSBBGOOD   3 ;
LENGTH      BSBEGOOD   3 ;
LENGTH      BSBCGOOD   3 ;
LENGTH      BSBPGOOD   3 ;
LENGTH      BSBMMYT1   3 ;
LENGTH      BSBMMYT2   3 ;
LENGTH      BSBMMYT3   3 ;
LENGTH      BSBMMYT4   3 ;
LENGTH      BSBMMYT5   3 ;
LENGTH      BSBMDOW1   3 ;
LENGTH      BSBMDOW2   3 ;
LENGTH      BSBMDOW3   3 ;
LENGTH      BSBMDOW4   3 ;
LENGTH      BSBSBYT1   3 ;
LENGTH      BSBSBYT2   3 ;
LENGTH      BSBSBYT3   3 ;
LENGTH      BSBSBYT4   3 ;
LENGTH      BSBSEYT1   3 ;
LENGTH      BSBSEYT2   3 ;
LENGTH      BSBSEYT3   3 ;
LENGTH      BSBSEYT4   3 ;
LENGTH      BSBSCYT1   3 ;
LENGTH      BSBSCYT2   3 ;
LENGTH      BSBSCYT3   3 ;
LENGTH      BSBSCYT4   3 ;
LENGTH      BSBSPYT1   3 ;
LENGTH      BSBSPYT2   3 ;
LENGTH      BSBSPYT3   3 ;
LENGTH      BSBSPYT4   3 ;
LENGTH      BSBSDOW1   3 ;
LENGTH      BSBSDOW2   3 ;
LENGTH      BSBSDOW3   3 ;
LENGTH      BSBSDOW4   3 ;
LENGTH      BSBMLIKE   3 ;
LENGTH      BSBBLIKB   3 ;
LENGTH      BSBBLIKE   3 ;
LENGTH      BSBELIKS   3 ;
LENGTH      BSBELIKE   3 ;
LENGTH      BSBCLIKC   3 ;
LENGTH      BSBCLIKE   3 ;
LENGTH      BSBPLIKP   3 ;
LENGTH      BSBPLIKE   3 ;
LENGTH      BSBMLUCM   3 ;
LENGTH      BSBSLUCS   3 ;
LENGTH      BSBGINT1   3 ;
LENGTH      BSBGINT2   3 ;
LENGTH      BSBGINT3   3 ;
LENGTH      BSBGOFT1   3 ;
LENGTH      BSBGOFT2   3 ;
LENGTH      BSBGOFT3   3 ;
LENGTH      BSBGOFT4   3 ;
LENGTH      BSBMENJY   3 ;
LENGTH      BSBMBORE   3 ;
LENGTH      BSBMEASY   3 ;
LENGTH      BSBMLIFE   3 ;
LENGTH      BSBMWORK   3 ;
LENGTH      BSBMJOB    3 ;
LENGTH      BSBMPRNT   3 ;
LENGTH      BSBMSCHL   3 ;
LENGTH      BSBMSELF   3 ;
LENGTH      BSBMPROB   3 ;
LENGTH      BSBMNOTE   3 ;
LENGTH      BSBMTEST   3 ;
LENGTH      BSBMPROJ   3 ;
LENGTH      BSBMWSHT   3 ;
LENGTH      BSBMCALC   3 ;
LENGTH      BSBMCOMP   3 ;
LENGTH      BSBMEVLF   3 ;
LENGTH      BSBMSGRP   3 ;
LENGTH      BSBMHWGV   3 ;
LENGTH      BSBMHWCL   3 ;
LENGTH      BSBMHWTC   3 ;
LENGTH      BSBMHWFC   3 ;
LENGTH      BSBMHWDS   3 ;
LENGTH      BSBMUSBT   3 ;
LENGTH      BSBMUSOT   3 ;
LENGTH      BSBMUSBS   3 ;
LENGTH      BSBMUSOS   3 ;
LENGTH      BSBMRUPT   3 ;
LENGTH      BSBMIDEA   3 ;
LENGTH      BSBMRULE   3 ;
LENGTH      BSBMPRAC   3 ;
LENGTH      BSBMSMGP   3 ;
LENGTH      BSBMASK    3 ;
LENGTH      BSBMTXBK   3 ;
LENGTH      BSBMEG     3 ;
LENGTH      BSBBSTDY   3 ;
LENGTH      BSBCSTDY   3 ;
LENGTH      BSBESTDY   3 ;
LENGTH      BSBPSTDY   3 ;
LENGTH      BSBBENJY   3 ;
LENGTH      BSBBBORE   3 ;
LENGTH      BSBBEASY   3 ;
LENGTH      BSBBLIFE   3 ;
LENGTH      BSBBWORK   3 ;
LENGTH      BSBBJOB    3 ;
LENGTH      BSBBPRNT   3 ;
LENGTH      BSBBSCHL   3 ;
LENGTH      BSBBSELF   3 ;
LENGTH      BSBBPROB   3 ;
LENGTH      BSBBNOTE   3 ;
LENGTH      BSBBTEST   3 ;
LENGTH      BSBBPROJ   3 ;
LENGTH      BSBBWSHT   3 ;
LENGTH      BSBBCALC   3 ;
LENGTH      BSBBCOMP   3 ;
LENGTH      BSBBEVLF   3 ;
LENGTH      BSBBSGRP   3 ;
LENGTH      BSBBHWGV   3 ;
LENGTH      BSBBHWCL   3 ;
LENGTH      BSBBHWTC   3 ;
LENGTH      BSBBHWFC   3 ;
LENGTH      BSBBHWDS   3 ;
LENGTH      BSBBDEMO   3 ;
LENGTH      BSBBEXPR   3 ;
LENGTH      BSBBUSBT   3 ;
LENGTH      BSBBUSOT   3 ;
LENGTH      BSBBUSBS   3 ;
LENGTH      BSBBUSOS   3 ;
LENGTH      BSBBRUPT   3 ;
LENGTH      BSBBIDEA   3 ;
LENGTH      BSBBRULE   3 ;
LENGTH      BSBBPRAC   3 ;
LENGTH      BSBBSMGP   3 ;
LENGTH      BSBBASK    3 ;
LENGTH      BSBBTXBK   3 ;
LENGTH      BSBBEG     3 ;
LENGTH      BSBCENJY   3 ;
LENGTH      BSBCBORE   3 ;
LENGTH      BSBCEASY   3 ;
LENGTH      BSBCLIFE   3 ;
LENGTH      BSBCWORK   3 ;
LENGTH      BSBCJOB    3 ;
LENGTH      BSBCPRNT   3 ;
LENGTH      BSBCSCHL   3 ;
LENGTH      BSBCSELF   3 ;
LENGTH      BSBCPROB   3 ;
LENGTH      BSBCNOTE   3 ;
LENGTH      BSBCTEST   3 ;
LENGTH      BSBCPROJ   3 ;
LENGTH      BSBCWSHT   3 ;
LENGTH      BSBCCALC   3 ;
LENGTH      BSBCCOMP   3 ;
LENGTH      BSBCEVLF   3 ;
LENGTH      BSBCSGRP   3 ;
LENGTH      BSBCHWGV   3 ;
LENGTH      BSBCHWCL   3 ;
LENGTH      BSBCHWTC   3 ;
LENGTH      BSBCHWFC   3 ;
LENGTH      BSBCHWDS   3 ;
LENGTH      BSBCDEMO   3 ;
LENGTH      BSBCEXPR   3 ;
LENGTH      BSBCUSBT   3 ;
LENGTH      BSBCUSOT   3 ;
LENGTH      BSBCUSBS   3 ;
LENGTH      BSBCUSOS   3 ;
LENGTH      BSBCRUPT   3 ;
LENGTH      BSBCIDEA   3 ;
LENGTH      BSBCRULE   3 ;
LENGTH      BSBCPRAC   3 ;
LENGTH      BSBCSMGP   3 ;
LENGTH      BSBCASK    3 ;
LENGTH      BSBCTXBK   3 ;
LENGTH      BSBCEG     3 ;
LENGTH      BSBEENJY   3 ;
LENGTH      BSBEBORE   3 ;
LENGTH      BSBEEASY   3 ;
LENGTH      BSBELIFE   3 ;
LENGTH      BSBEWORK   3 ;
LENGTH      BSBEJOB    3 ;
LENGTH      BSBEPRNT   3 ;
LENGTH      BSBESCHL   3 ;
LENGTH      BSBESELF   3 ;
LENGTH      BSBEPROB   3 ;
LENGTH      BSBENOTE   3 ;
LENGTH      BSBETEST   3 ;
LENGTH      BSBEPROJ   3 ;
LENGTH      BSBEWSHT   3 ;
LENGTH      BSBECALC   3 ;
LENGTH      BSBECOMP   3 ;
LENGTH      BSBEEVLF   3 ;
LENGTH      BSBESGRP   3 ;
LENGTH      BSBEHWGV   3 ;
LENGTH      BSBEHWCL   3 ;
LENGTH      BSBEHWTC   3 ;
LENGTH      BSBEHWFC   3 ;
LENGTH      BSBEHWDS   3 ;
LENGTH      BSBEDEMO   3 ;
LENGTH      BSBEEXPR   3 ;
LENGTH      BSBEUSBT   3 ;
LENGTH      BSBEUSOT   3 ;
LENGTH      BSBEUSBS   3 ;
LENGTH      BSBEUSOS   3 ;
LENGTH      BSBERUPT   3 ;
LENGTH      BSBEIDEA   3 ;
LENGTH      BSBERULE   3 ;
LENGTH      BSBEPRAC   3 ;
LENGTH      BSBESMGP   3 ;
LENGTH      BSBEASK    3 ;
LENGTH      BSBETXBK   3 ;
LENGTH      BSBEEG     3 ;
LENGTH      BSBPENJY   3 ;
LENGTH      BSBPBORE   3 ;
LENGTH      BSBPEASY   3 ;
LENGTH      BSBPLIFE   3 ;
LENGTH      BSBPWORK   3 ;
LENGTH      BSBPJOB    3 ;
LENGTH      BSBPPRNT   3 ;
LENGTH      BSBPSCHL   3 ;
LENGTH      BSBPSELF   3 ;
LENGTH      BSBPPROB   3 ;
LENGTH      BSBPNOTE   3 ;
LENGTH      BSBPTEST   3 ;
LENGTH      BSBPPROJ   3 ;
LENGTH      BSBPWSHT   3 ;
LENGTH      BSBPCALC   3 ;
LENGTH      BSBPCOMP   3 ;
LENGTH      BSBPEVLF   3 ;
LENGTH      BSBPSGRP   3 ;
LENGTH      BSBPHWGV   3 ;
LENGTH      BSBPHWCL   3 ;
LENGTH      BSBPHWTC   3 ;
LENGTH      BSBPHWFC   3 ;
LENGTH      BSBPHWDS   3 ;
LENGTH      BSBPDEMO   3 ;
LENGTH      BSBPEXPR   3 ;
LENGTH      BSBPUSBT   3 ;
LENGTH      BSBPUSOT   3 ;
LENGTH      BSBPUSBS   3 ;
LENGTH      BSBPUSOS   3 ;
LENGTH      BSBPRUPT   3 ;
LENGTH      BSBPIDEA   3 ;
LENGTH      BSBPRULE   3 ;
LENGTH      BSBPPRAC   3 ;
LENGTH      BSBPSMGP   3 ;
LENGTH      BSBPASK    3 ;
LENGTH      BSBPTXBK   3 ;
LENGTH      BSBPEG     3 ;
LENGTH      BSBGADU1   3 ;
LENGTH      BSBGADU2   3 ;
LENGTH      BSBGADU3   3 ;
LENGTH      BSBGADU4   3 ;
LENGTH      BSBGADU5   3 ;
LENGTH      BSBGADU6   3 ;
LENGTH      BSBGADU7   3 ;
LENGTH      BSBGADU8   3 ;
LENGTH      BSBGADU9   3 ;
LENGTH      BSBGHOME   3 ;
LENGTH      BSBGACT1   3 ;
LENGTH      BSBGACT2   3 ;
LENGTH      BSBGACT3   3 ;
LENGTH      BSBGACT4   3 ;
LENGTH      BSBGACT5   3 ;
LENGTH      BSBGNEWS   3 ;
LENGTH      BSBGOPER   3 ;
LENGTH      BSBGNATR   3 ;
LENGTH      BSBGPOPU   3 ;
LENGTH      BSBGSPRT   3 ;
LENGTH      BSBGVIDE   3 ;
LENGTH      BSBGCRTN   3 ;
LENGTH      BSBGCMDY   3 ;
LENGTH      BSBGSSKP   3 ;
LENGTH      BSBGSSTL   3 ;
LENGTH      BSBGSHRT   3 ;
LENGTH      BSBGFSKP   3 ;
LENGTH      BSBGFSTL   3 ;
LENGTH      BSBGFHRT   3 ;
LENGTH      BSBGENV1   3 ;
LENGTH      BSBGENV2   3 ;
LENGTH      BSBGENV3   3 ;
LENGTH      BSBGENV4   3 ;
LENGTH      BSBGENV5   3 ;
LENGTH      BSBGENV6   3 ;
LENGTH      BSBSCARE   3 ;
LENGTH      BSBSSYT1   3 ;
LENGTH      BSBSSYT2   3 ;
LENGTH      BSBSSYT3   3 ;
LENGTH      BSBSSYT4   3 ;
LENGTH      BSBMLIKM   3 ;
LENGTH      BSBSLIKE   3 ;
LENGTH      BSBSLIKS   3 ;
LENGTH      BSBSSCYE   3 ;
LENGTH      BSBSENJY   3 ;
LENGTH      BSBSBORE   3 ;
LENGTH      BSBSEASY   3 ;
LENGTH      BSBSLIFE   3 ;
LENGTH      BSBSWORK   3 ;
LENGTH      BSBSJOB    3 ;
LENGTH      BSBSPRNT   3 ;
LENGTH      BSBSSCHL   3 ;
LENGTH      BSBSSELF   3 ;
LENGTH      BSBSPROB   3 ;
LENGTH      BSBSNOTE   3 ;
LENGTH      BSBSTEST   3 ;
LENGTH      BSBSPROJ   3 ;
LENGTH      BSBSWSHT   3 ;
LENGTH      BSBSCALC   3 ;
LENGTH      BSBSCOMP   3 ;
LENGTH      BSBSEVLF   3 ;
LENGTH      BSBSSGRP   3 ;
LENGTH      BSBSHWGV   3 ;
LENGTH      BSBSHWCL   3 ;
LENGTH      BSBSHWTC   3 ;
LENGTH      BSBSHWFC   3 ;
LENGTH      BSBSHWDS   3 ;
LENGTH      BSBSDEMO   3 ;
LENGTH      BSBSEXPR   3 ;
LENGTH      BSBSUSBT   3 ;
LENGTH      BSBSUSOT   3 ;
LENGTH      BSBSUSBS   3 ;
LENGTH      BSBSUSOS   3 ;
LENGTH      BSBSRUPT   3 ;
LENGTH      BSBSIDEA   3 ;
LENGTH      BSBSRULE   3 ;
LENGTH      BSBSPRAC   3 ;
LENGTH      BSBSSMGP   3 ;
LENGTH      BSBSASK    3 ;
LENGTH      BSBSTXBK   3 ;
LENGTH      BSBSEG     3 ;
LENGTH      BSBSGOOD   3 ;
LENGTH      BSDGEDUP   3 ;
LENGTH      BSDGPSA    3 ;
LENGTH      BSDGHERI   3 ;
LENGTH      BSDGSPPI   3 ;
LENGTH      BSDGOSTI   3 ;
LENGTH      BSDMDAY7   8 ;
LENGTH      BSDSDAY8   8 ;
LENGTH      BSDGDAY9   8 ;
LENGTH      BSDGSALL   3 ;
LENGTH      BSDMCMAI   3 ;
LENGTH      BSDMPATM   3 ;
LENGTH      BSDGSTDT   8 ;
LENGTH      BSDSCSAI   3 ;
LENGTH      BSDECSAI   3 ;
LENGTH      BSDBCSAI   3 ;
LENGTH      BSDCCSAI   3 ;
LENGTH      BSDPCSAI   3 ;
LENGTH      BSDSPATS   3 ;
LENGTH      BSDEPATS   3 ;
LENGTH      BSDBPATS   3 ;
LENGTH      BSDCPATS   3 ;
LENGTH      BSDPPATS   3 ;
LENGTH      TOTWGT     8 ;
LENGTH      HOUWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTFAC2    8 ;
LENGTH      WGTFAC3    8 ;
LENGTH      WGTADJ3    8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      INTMS95    3 ;
LENGTH      INTMS99    3 ;
LENGTH      BSMSTDR    8 ;
LENGTH      BSMNRSC    8 ;
LENGTH      BSMSCPT    3 ;
LENGTH      BSSSTDR    8 ;
LENGTH      BSSNRSC    8 ;
LENGTH      BSSSCPT    3 ;
LENGTH      BSMMAT01   8 ;
LENGTH      BSMMAT02   8 ;
LENGTH      BSMMAT03   8 ;
LENGTH      BSMMAT04   8 ;
LENGTH      BSMMAT05   8 ;
LENGTH      BSSSCI01   8 ;
LENGTH      BSSSCI02   8 ;
LENGTH      BSSSCI03   8 ;
LENGTH      BSSSCI04   8 ;
LENGTH      BSSSCI05   8 ;
LENGTH      BSMALG01   8 ;
LENGTH      BSMALG02   8 ;
LENGTH      BSMALG03   8 ;
LENGTH      BSMALG04   8 ;
LENGTH      BSMALG05   8 ;
LENGTH      BSMDAP01   8 ;
LENGTH      BSMDAP02   8 ;
LENGTH      BSMDAP03   8 ;
LENGTH      BSMDAP04   8 ;
LENGTH      BSMDAP05   8 ;
LENGTH      BSMFNS01   8 ;
LENGTH      BSMFNS02   8 ;
LENGTH      BSMFNS03   8 ;
LENGTH      BSMFNS04   8 ;
LENGTH      BSMFNS05   8 ;
LENGTH      BSMGEO01   8 ;
LENGTH      BSMGEO02   8 ;
LENGTH      BSMGEO03   8 ;
LENGTH      BSMGEO04   8 ;
LENGTH      BSMGEO05   8 ;
LENGTH      BSMMEA01   8 ;
LENGTH      BSMMEA02   8 ;
LENGTH      BSMMEA03   8 ;
LENGTH      BSMMEA04   8 ;
LENGTH      BSMMEA05   8 ;
LENGTH      BSSCHE01   8 ;
LENGTH      BSSCHE02   8 ;
LENGTH      BSSCHE03   8 ;
LENGTH      BSSCHE04   8 ;
LENGTH      BSSCHE05   8 ;
LENGTH      BSSEAS01   8 ;
LENGTH      BSSEAS02   8 ;
LENGTH      BSSEAS03   8 ;
LENGTH      BSSEAS04   8 ;
LENGTH      BSSEAS05   8 ;
LENGTH      BSSLIS01   8 ;
LENGTH      BSSLIS02   8 ;
LENGTH      BSSLIS03   8 ;
LENGTH      BSSLIS04   8 ;
LENGTH      BSSLIS05   8 ;
LENGTH      BSSPHY01   8 ;
LENGTH      BSSPHY02   8 ;
LENGTH      BSSPHY03   8 ;
LENGTH      BSSPHY04   8 ;
LENGTH      BSSPHY05   8 ;
LENGTH      BSSERI01   8 ;
LENGTH      BSSERI02   8 ;
LENGTH      BSSERI03   8 ;
LENGTH      BSSERI04   8 ;
LENGTH      BSSERI05   8 ;
LENGTH      BSSNOS01   8 ;
LENGTH      BSSNOS02   8 ;
LENGTH      BSSNOS03   8 ;
LENGTH      BSSNOS04   8 ;
LENGTH      BSSNOS05   8 ;
LENGTH      BSMIBM01   3 ;
LENGTH      BSMIBM02   3 ;
LENGTH      BSMIBM03   3 ;
LENGTH      BSMIBM04   3 ;
LENGTH      BSMIBM05   3 ;
LENGTH      BSMNBM01   3 ;
LENGTH      BSMNBM02   3 ;
LENGTH      BSMNBM03   3 ;
LENGTH      BSMNBM04   3 ;
LENGTH      BSMNBM05   3 ;
LENGTH      BSSIBM01   3 ;
LENGTH      BSSIBM02   3 ;
LENGTH      BSSIBM03   3 ;
LENGTH      BSSIBM04   3 ;
LENGTH      BSSIBM05   3 ;
LENGTH      BSSNBM01   3 ;
LENGTH      BSSNBM02   3 ;
LENGTH      BSSNBM03   3 ;
LENGTH      BSSNBM04   3 ;
LENGTH      BSSNBM05   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDBSET        9-   9     
  IDSCORR      10-  12     
  IDSCORA      13-  15     
  IDSCHOOL     16-  21     
  IDCLASS      22-  29     
  IDSTUD       30-  39     
  IDGRADE      40-  41     
  IDGRADER     42-  42     
  IDBOOK       43-  43     
  ITBOOK       44-  44     
  ITEXCLUD     45-  45     
  ITBIRTHM     46-  47     
  ITBIRTHY     48-  49     
  ITSEX        50-  50     
  ITLANG       51-  53     
  ITADMINI     54-  54     
  ITDATEM      55-  56     
  ITDATEY      57-  60     
  ITPART       61-  61     
  ILRELIAB     62-  62     
  BSBGBIRD     63-  64     
  BSBGBIRM     65-  66     
  BSBGBIRY     67-  68     
  BSDAGE       69-  73 .2
  BSBGSEX      74-  74     
  BSBGBRN1     75-  75     
  BSBGBRN2     76-  77     
  BSBGLANG     78-  78     
  BSBMEXTR     79-  79     
  BSBSEXTR     80-  80     
  BSBGCLUB     81-  81     
  BSBGPAID     82-  82     
  BSBGDAY1     83-  83     
  BSBGDAY2     84-  84     
  BSBGDAY3     85-  85     
  BSBGDAY4     86-  86     
  BSBGDAY5     87-  87     
  BSBGDAY6     88-  88     
  BSBMDAY7     89-  89     
  BSBSDAY8     90-  90     
  BSBGDAY9     91-  91     
  BSBGEDMO     92-  93     
  BSBGEDFA     94-  95     
  BSBGEDSE     96-  96     
  BSBGBRNM     97-  97     
  BSBGBRNF     98-  98     
  BSBGBOOK     99-  99     
  BSBGPS01    100- 100     
  BSBGPS02    101- 101     
  BSBGPS03    102- 102     
  BSBGPS04    103- 103     
  BSBGPS05    104- 104     
  BSBGPS06    105- 105     
  BSBGPS07    106- 106     
  BSBGPS08    107- 107     
  BSBGPS09    108- 108     
  BSBGPS10    109- 109     
  BSBGPS11    110- 110     
  BSBGPS12    111- 111     
  BSBGPS13    112- 112     
  BSBGPS14    113- 113     
  BSBGPS15    114- 114     
  BSBGPS16    115- 115     
  BSBSMIP1    116- 116     
  BSBMMIP2    117- 117     
  BSBGMIP3    118- 118     
  BSBGMIP5    119- 119     
  BSBGMIP4    120- 120     
  BSBMCLS1    121- 121     
  BSBMCLS2    122- 122     
  BSBMCLS3    123- 123     
  BSBSFIP1    124- 124     
  BSBMFIP2    125- 125     
  BSBGFIP3    126- 126     
  BSBGFIP4    127- 127     
  BSBGFIP5    128- 128     
  BSBSSIP1    129- 129     
  BSBMSIP2    130- 130     
  BSBGSIP3    131- 131     
  BSBGSIP4    132- 132     
  BSBGSIP5    133- 133     
  BSBMGOOD    134- 134     
  BSBBGOOD    135- 135     
  BSBEGOOD    136- 136     
  BSBCGOOD    137- 137     
  BSBPGOOD    138- 138     
  BSBMMYT1    139- 139     
  BSBMMYT2    140- 140     
  BSBMMYT3    141- 141     
  BSBMMYT4    142- 142     
  BSBMMYT5    143- 143     
  BSBMDOW1    144- 144     
  BSBMDOW2    145- 145     
  BSBMDOW3    146- 146     
  BSBMDOW4    147- 147     
  BSBSBYT1    148- 148     
  BSBSBYT2    149- 149     
  BSBSBYT3    150- 150     
  BSBSBYT4    151- 151     
  BSBSEYT1    152- 152     
  BSBSEYT2    153- 153     
  BSBSEYT3    154- 154     
  BSBSEYT4    155- 155     
  BSBSCYT1    156- 156     
  BSBSCYT2    157- 157     
  BSBSCYT3    158- 158     
  BSBSCYT4    159- 159     
  BSBSPYT1    160- 160     
  BSBSPYT2    161- 161     
  BSBSPYT3    162- 162     
  BSBSPYT4    163- 163     
  BSBSDOW1    164- 164     
  BSBSDOW2    165- 165     
  BSBSDOW3    166- 166     
  BSBSDOW4    167- 167     
  BSBMLIKE    168- 168     
  BSBBLIKB    169- 169     
  BSBBLIKE    170- 170     
  BSBELIKS    171- 171     
  BSBELIKE    172- 172     
  BSBCLIKC    173- 173     
  BSBCLIKE    174- 174     
  BSBPLIKP    175- 175     
  BSBPLIKE    176- 176     
  BSBMLUCM    177- 177     
  BSBSLUCS    178- 178     
  BSBGINT1    179- 179     
  BSBGINT2    180- 180     
  BSBGINT3    181- 181     
  BSBGOFT1    182- 182     
  BSBGOFT2    183- 183     
  BSBGOFT3    184- 184     
  BSBGOFT4    185- 185     
  BSBMENJY    186- 186     
  BSBMBORE    187- 187     
  BSBMEASY    188- 188     
  BSBMLIFE    189- 189     
  BSBMWORK    190- 190     
  BSBMJOB     191- 191     
  BSBMPRNT    192- 192     
  BSBMSCHL    193- 193     
  BSBMSELF    194- 194     
  BSBMPROB    195- 195     
  BSBMNOTE    196- 196     
  BSBMTEST    197- 197     
  BSBMPROJ    198- 198     
  BSBMWSHT    199- 199     
  BSBMCALC    200- 200     
  BSBMCOMP    201- 201     
  BSBMEVLF    202- 202     
  BSBMSGRP    203- 203     
  BSBMHWGV    204- 204     
  BSBMHWCL    205- 205     
  BSBMHWTC    206- 206     
  BSBMHWFC    207- 207     
  BSBMHWDS    208- 208     
  BSBMUSBT    209- 209     
  BSBMUSOT    210- 210     
  BSBMUSBS    211- 211     
  BSBMUSOS    212- 212     
  BSBMRUPT    213- 213     
  BSBMIDEA    214- 214     
  BSBMRULE    215- 215     
  BSBMPRAC    216- 216     
  BSBMSMGP    217- 217     
  BSBMASK     218- 218     
  BSBMTXBK    219- 219     
  BSBMEG      220- 220     
  BSBBSTDY    221- 221     
  BSBCSTDY    222- 222     
  BSBESTDY    223- 223     
  BSBPSTDY    224- 224     
  BSBBENJY    225- 225     
  BSBBBORE    226- 226     
  BSBBEASY    227- 227     
  BSBBLIFE    228- 228     
  BSBBWORK    229- 229     
  BSBBJOB     230- 230     
  BSBBPRNT    231- 231     
  BSBBSCHL    232- 232     
  BSBBSELF    233- 233     
  BSBBPROB    234- 234     
  BSBBNOTE    235- 235     
  BSBBTEST    236- 236     
  BSBBPROJ    237- 237     
  BSBBWSHT    238- 238     
  BSBBCALC    239- 239     
  BSBBCOMP    240- 240     
  BSBBEVLF    241- 241     
  BSBBSGRP    242- 242     
  BSBBHWGV    243- 243     
  BSBBHWCL    244- 244     
  BSBBHWTC    245- 245     
  BSBBHWFC    246- 246     
  BSBBHWDS    247- 247     
  BSBBDEMO    248- 248     
  BSBBEXPR    249- 249     
  BSBBUSBT    250- 250     
  BSBBUSOT    251- 251     
  BSBBUSBS    252- 252     
  BSBBUSOS    253- 253     
  BSBBRUPT    254- 254     
  BSBBIDEA    255- 255     
  BSBBRULE    256- 256     
  BSBBPRAC    257- 257     
  BSBBSMGP    258- 258     
  BSBBASK     259- 259     
  BSBBTXBK    260- 260     
  BSBBEG      261- 261     
  BSBCENJY    262- 262     
  BSBCBORE    263- 263     
  BSBCEASY    264- 264     
  BSBCLIFE    265- 265     
  BSBCWORK    266- 266     
  BSBCJOB     267- 267     
  BSBCPRNT    268- 268     
  BSBCSCHL    269- 269     
  BSBCSELF    270- 270     
  BSBCPROB    271- 271     
  BSBCNOTE    272- 272     
  BSBCTEST    273- 273     
  BSBCPROJ    274- 274     
  BSBCWSHT    275- 275     
  BSBCCALC    276- 276     
  BSBCCOMP    277- 277     
  BSBCEVLF    278- 278     
  BSBCSGRP    279- 279     
  BSBCHWGV    280- 280     
  BSBCHWCL    281- 281     
  BSBCHWTC    282- 282     
  BSBCHWFC    283- 283     
  BSBCHWDS    284- 284     
  BSBCDEMO    285- 285     
  BSBCEXPR    286- 286     
  BSBCUSBT    287- 287     
  BSBCUSOT    288- 288     
  BSBCUSBS    289- 289     
  BSBCUSOS    290- 290     
  BSBCRUPT    291- 291     
  BSBCIDEA    292- 292     
  BSBCRULE    293- 293     
  BSBCPRAC    294- 294     
  BSBCSMGP    295- 295     
  BSBCASK     296- 296     
  BSBCTXBK    297- 297     
  BSBCEG      298- 298     
  BSBEENJY    299- 299     
  BSBEBORE    300- 300     
  BSBEEASY    301- 301     
  BSBELIFE    302- 302     
  BSBEWORK    303- 303     
  BSBEJOB     304- 304     
  BSBEPRNT    305- 305     
  BSBESCHL    306- 306     
  BSBESELF    307- 307     
  BSBEPROB    308- 308     
  BSBENOTE    309- 309     
  BSBETEST    310- 310     
  BSBEPROJ    311- 311     
  BSBEWSHT    312- 312     
  BSBECALC    313- 313     
  BSBECOMP    314- 314     
  BSBEEVLF    315- 315     
  BSBESGRP    316- 316     
  BSBEHWGV    317- 317     
  BSBEHWCL    318- 318     
  BSBEHWTC    319- 319     
  BSBEHWFC    320- 320     
  BSBEHWDS    321- 321     
  BSBEDEMO    322- 322     
  BSBEEXPR    323- 323     
  BSBEUSBT    324- 324     
  BSBEUSOT    325- 325     
  BSBEUSBS    326- 326     
  BSBEUSOS    327- 327     
  BSBERUPT    328- 328     
  BSBEIDEA    329- 329     
  BSBERULE    330- 330     
  BSBEPRAC    331- 331     
  BSBESMGP    332- 332     
  BSBEASK     333- 333     
  BSBETXBK    334- 334     
  BSBEEG      335- 335     
  BSBPENJY    336- 336     
  BSBPBORE    337- 337     
  BSBPEASY    338- 338     
  BSBPLIFE    339- 339     
  BSBPWORK    340- 340     
  BSBPJOB     341- 341     
  BSBPPRNT    342- 342     
  BSBPSCHL    343- 343     
  BSBPSELF    344- 344     
  BSBPPROB    345- 345     
  BSBPNOTE    346- 346     
  BSBPTEST    347- 347     
  BSBPPROJ    348- 348     
  BSBPWSHT    349- 349     
  BSBPCALC    350- 350     
  BSBPCOMP    351- 351     
  BSBPEVLF    352- 352     
  BSBPSGRP    353- 353     
  BSBPHWGV    354- 354     
  BSBPHWCL    355- 355     
  BSBPHWTC    356- 356     
  BSBPHWFC    357- 357     
  BSBPHWDS    358- 358     
  BSBPDEMO    359- 359     
  BSBPEXPR    360- 360     
  BSBPUSBT    361- 361     
  BSBPUSOT    362- 362     
  BSBPUSBS    363- 363     
  BSBPUSOS    364- 364     
  BSBPRUPT    365- 365     
  BSBPIDEA    366- 366     
  BSBPRULE    367- 367     
  BSBPPRAC    368- 368     
  BSBPSMGP    369- 369     
  BSBPASK     370- 370     
  BSBPTXBK    371- 371     
  BSBPEG      372- 372     
  BSBGADU1    373- 373     
  BSBGADU2    374- 374     
  BSBGADU3    375- 375     
  BSBGADU4    376- 376     
  BSBGADU5    377- 377     
  BSBGADU6    378- 378     
  BSBGADU7    379- 379     
  BSBGADU8    380- 380     
  BSBGADU9    381- 381     
  BSBGHOME    382- 383     
  BSBGACT1    384- 384     
  BSBGACT2    385- 385     
  BSBGACT3    386- 386     
  BSBGACT4    387- 387     
  BSBGACT5    388- 388     
  BSBGNEWS    389- 389     
  BSBGOPER    390- 390     
  BSBGNATR    391- 391     
  BSBGPOPU    392- 392     
  BSBGSPRT    393- 393     
  BSBGVIDE    394- 394     
  BSBGCRTN    395- 395     
  BSBGCMDY    396- 396     
  BSBGSSKP    397- 397     
  BSBGSSTL    398- 398     
  BSBGSHRT    399- 399     
  BSBGFSKP    400- 400     
  BSBGFSTL    401- 401     
  BSBGFHRT    402- 402     
  BSBGENV1    403- 403     
  BSBGENV2    404- 404     
  BSBGENV3    405- 405     
  BSBGENV4    406- 406     
  BSBGENV5    407- 407     
  BSBGENV6    408- 408     
  BSBSCARE    409- 409     
  BSBSSYT1    410- 410     
  BSBSSYT2    411- 411     
  BSBSSYT3    412- 412     
  BSBSSYT4    413- 413     
  BSBMLIKM    414- 414     
  BSBSLIKE    415- 415     
  BSBSLIKS    416- 416     
  BSBSSCYE    417- 417     
  BSBSENJY    418- 418     
  BSBSBORE    419- 419     
  BSBSEASY    420- 420     
  BSBSLIFE    421- 421     
  BSBSWORK    422- 422     
  BSBSJOB     423- 423     
  BSBSPRNT    424- 424     
  BSBSSCHL    425- 425     
  BSBSSELF    426- 426     
  BSBSPROB    427- 427     
  BSBSNOTE    428- 428     
  BSBSTEST    429- 429     
  BSBSPROJ    430- 430     
  BSBSWSHT    431- 431     
  BSBSCALC    432- 432     
  BSBSCOMP    433- 433     
  BSBSEVLF    434- 434     
  BSBSSGRP    435- 435     
  BSBSHWGV    436- 436     
  BSBSHWCL    437- 437     
  BSBSHWTC    438- 438     
  BSBSHWFC    439- 439     
  BSBSHWDS    440- 440     
  BSBSDEMO    441- 441     
  BSBSEXPR    442- 442     
  BSBSUSBT    443- 443     
  BSBSUSOT    444- 444     
  BSBSUSBS    445- 445     
  BSBSUSOS    446- 446     
  BSBSRUPT    447- 447     
  BSBSIDEA    448- 448     
  BSBSRULE    449- 449     
  BSBSPRAC    450- 450     
  BSBSSMGP    451- 451     
  BSBSASK     452- 452     
  BSBSTXBK    453- 453     
  BSBSEG      454- 454     
  BSBSGOOD    455- 455     
  BSDGEDUP    456- 456     
  BSDGPSA     457- 457     
  BSDGHERI    458- 458     
  BSDGSPPI    459- 459     
  BSDGOSTI    460- 460     
  BSDMDAY7    461- 463 .1
  BSDSDAY8    464- 466 .1
  BSDGDAY9    467- 469 .1
  BSDGSALL    470- 470     
  BSDMCMAI    471- 471     
  BSDMPATM    472- 472     
  BSDGSTDT    473- 477 .2
  BSDSCSAI    478- 478     
  BSDECSAI    479- 479     
  BSDBCSAI    480- 480     
  BSDCCSAI    481- 481     
  BSDPCSAI    482- 482     
  BSDSPATS    483- 483     
  BSDEPATS    484- 484     
  BSDBPATS    485- 485     
  BSDCPATS    486- 486     
  BSDPPATS    487- 487     
  TOTWGT      488- 500 .6
  HOUWGT      501- 513 .6
  SENWGT      514- 526 .6
  WGTFAC1     527- 539 .6
  WGTADJ1     540- 552 .6
  WGTFAC2     553- 565 .6
  WGTFAC3     566- 578 .6
  WGTADJ3     579- 591 .6
  JKZONE      592- 593     
  JKREP       594- 594     
  INTMS95     595- 595     
  INTMS99     596- 596     
  BSMSTDR     597- 604 .3
  BSMNRSC     605- 612 .3
  BSMSCPT     613- 614     
  BSSSTDR     615- 622 .3
  BSSNRSC     623- 630 .3
  BSSSCPT     631- 632     
  BSMMAT01    633- 638 .2
  BSMMAT02    639- 644 .2
  BSMMAT03    645- 650 .2
  BSMMAT04    651- 656 .2
  BSMMAT05    657- 662 .2
  BSSSCI01    663- 668 .2
  BSSSCI02    669- 674 .2
  BSSSCI03    675- 680 .2
  BSSSCI04    681- 686 .2
  BSSSCI05    687- 692 .2
  BSMALG01    693- 698 .2
  BSMALG02    699- 704 .2
  BSMALG03    705- 710 .2
  BSMALG04    711- 716 .2
  BSMALG05    717- 722 .2
  BSMDAP01    723- 728 .2
  BSMDAP02    729- 734 .2
  BSMDAP03    735- 740 .2
  BSMDAP04    741- 746 .2
  BSMDAP05    747- 752 .2
  BSMFNS01    753- 758 .2
  BSMFNS02    759- 764 .2
  BSMFNS03    765- 770 .2
  BSMFNS04    771- 776 .2
  BSMFNS05    777- 782 .2
  BSMGEO01    783- 788 .2
  BSMGEO02    789- 794 .2
  BSMGEO03    795- 800 .2
  BSMGEO04    801- 806 .2
  BSMGEO05    807- 812 .2
  BSMMEA01    813- 818 .2
  BSMMEA02    819- 824 .2
  BSMMEA03    825- 830 .2
  BSMMEA04    831- 836 .2
  BSMMEA05    837- 842 .2
  BSSCHE01    843- 848 .2
  BSSCHE02    849- 854 .2
  BSSCHE03    855- 860 .2
  BSSCHE04    861- 866 .2
  BSSCHE05    867- 872 .2
  BSSEAS01    873- 878 .2
  BSSEAS02    879- 884 .2
  BSSEAS03    885- 890 .2
  BSSEAS04    891- 896 .2
  BSSEAS05    897- 902 .2
  BSSLIS01    903- 908 .2
  BSSLIS02    909- 914 .2
  BSSLIS03    915- 920 .2
  BSSLIS04    921- 926 .2
  BSSLIS05    927- 932 .2
  BSSPHY01    933- 938 .2
  BSSPHY02    939- 944 .2
  BSSPHY03    945- 950 .2
  BSSPHY04    951- 956 .2
  BSSPHY05    957- 962 .2
  BSSERI01    963- 968 .2
  BSSERI02    969- 974 .2
  BSSERI03    975- 980 .2
  BSSERI04    981- 986 .2
  BSSERI05    987- 992 .2
  BSSNOS01    993- 998 .2
  BSSNOS02    999-1004 .2
  BSSNOS03   1005-1010 .2
  BSSNOS04   1011-1016 .2
  BSSNOS05   1017-1022 .2
  BSMIBM01   1023-1023     
  BSMIBM02   1024-1024     
  BSMIBM03   1025-1025     
  BSMIBM04   1026-1026     
  BSMIBM05   1027-1027     
  BSMNBM01   1028-1028     
  BSMNBM02   1029-1029     
  BSMNBM03   1030-1030     
  BSMNBM04   1031-1031     
  BSMNBM05   1032-1032     
  BSSIBM01   1033-1033     
  BSSIBM02   1034-1034     
  BSSIBM03   1035-1035     
  BSSIBM04   1036-1036     
  BSSIBM05   1037-1037     
  BSSNBM01   1038-1038     
  BSSNBM02   1039-1039     
  BSSNBM03   1040-1040     
  BSSNBM04   1041-1041     
  BSSNBM05   1042-1042     
  DPCDATE    1043-1048     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDBSET   = "*BOOKLET SET (CODING)*"
  IDSCORR  = "*CODER*"
  IDSCORA  = "*2ND CODER*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  IDGRADE  = "*GRADE*"
  IDGRADER = "*STANDARDIZED GRADE ID*"
  IDBOOK   = "*BOOKLET ID*"
  ITBOOK   = "*ACHIEVEMENT TEST BOOKLET*"
  ITEXCLUD = "*INDICATOR FOR EXCLUDED STUDENTS*"
  ITBIRTHM = "*STUDENT'S DATE OF BIRTH\MONTH*"
  ITBIRTHY = "*STUDENT'S DATE OF BIRTH\YEAR*"
  ITSEX    = "*STUDENT'S SEX*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  ITADMINI = "*TEST ADMINISTRATORS POSITION*"
  ITDATEM  = "*DATE OF TESTING/MONTH*"
  ITDATEY  = "*DATE OF TESTING/YEAR*"
  ITPART   = "*PARTICIPATION STATUS/ACHIEVEMENT SESS.*"
  ILRELIAB = "*RELIABILITY CODING STATUS*"
  BSBGBIRD = "GEN\DATE OF BIRTH\DAY"
  BSBGBIRM = "GEN\DATE OF BIRTH\MONTH"
  BSBGBIRY = "GEN\DATE OF BIRTH\YEAR"
  BSDAGE   = "D:STUDENTS AGE"
  BSBGSEX  = "GEN\STUDENT'S SEX"
  BSBGBRN1 = "GEN\BORN IN COUNTRY"
  BSBGBRN2 = "GEN\BORN IN COUNTRY\AGE"
  BSBGLANG = "GEN\SPEAK LANGUAGE OF TEST AT HOME"
  BSBMEXTR = "MAT\OUTSIDE SCHL\EXTRA LESSONS"
  BSBSEXTR = "SCI\OUTSIDE SCHL\EXTRA LESSONS"
  BSBGCLUB = "GEN\OUTSIDE SCHL\CLUBS PARTICIPATION"
  BSBGPAID = "GEN\OUTSIDE SCHL\WORK AT PAID JOB"
  BSBGDAY1 = "GEN\OUTSIDE SCHL\WATCH TV OR VIDEOS"
  BSBGDAY2 = "GEN\OUTSIDE SCHL\PLAY COMPUTER GAMES"
  BSBGDAY3 = "GEN\OUTSIDE SCHL\PLAY WITH FRIENDS"
  BSBGDAY4 = "GEN\OUTSIDE SCHL\DOING JOBS AT HOME"
  BSBGDAY5 = "GEN\OUTSIDE SCHL\PLAYING SPORTS"
  BSBGDAY6 = "GEN\OUTSIDE SCHL\READING A BOOK"
  BSBMDAY7 = "MAT\OUTSIDE SCHL\STUDYING MATH"
  BSBSDAY8 = "SCI\OUTSIDE SCHL\STUDYING SCIENCE"
  BSBGDAY9 = "GEN\OUTSIDE SCHL\STUDYING OTHER SUBJ"
  BSBGEDMO = "GEN\HIGHEST EDUC LEVEL\MOTHER"
  BSBGEDFA = "GEN\HIGHEST EDUC LEVEL\FATHER"
  BSBGEDSE = "GEN\HIGHEST EDUC LEVEL\SELF"
  BSBGBRNM = "GEN\BORN IN COUNTRY\MOTHER"
  BSBGBRNF = "GEN\BORN IN COUNTRY\FATHER"
  BSBGBOOK = "GEN\# OF BOOKS IN STUDENT'S HOME"
  BSBGPS01 = "GEN\HOME POSSESS\CALCULATOR"
  BSBGPS02 = "GEN\HOME POSSESS\COMPUTER"
  BSBGPS03 = "GEN\HOME POSSESS\STUDY DESK"
  BSBGPS04 = "GEN\HOME POSSESS\DICTIONARY"
  BSBGPS05 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS06 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS07 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS08 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS09 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS10 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS11 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS12 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS13 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS14 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS15 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBGPS16 = "GEN\HOME POSSESS\<COUNTRY SPECIFIC>"
  BSBSMIP1 = "SCI\MOTHER IMPT\DO WELL IN SCIENCE"
  BSBMMIP2 = "MAT\MOTHER IMPT\DO WELL IN MATH"
  BSBGMIP3 = "GEN\MOTHER IMPT\DO WELL IN LANGUAGE"
  BSBGMIP5 = "GEN\MOTHER IMPT\HAVE TIME FOR FUN"
  BSBGMIP4 = "GEN\MOTHER IMPT\GOOD IN SPORTS"
  BSBMCLS1 = "MAT\STUDENTS NEGLECT SCHOOL WORK"
  BSBMCLS2 = "MAT\STUDENTS ORDERLY AND QUITE"
  BSBMCLS3 = "MAT\STUDENTS DO EXACTLY AS TOLD"
  BSBSFIP1 = "SCI\FRIENDS IMPT\DO WELL IN SCIENCE"
  BSBMFIP2 = "MAT\FRIENDS IMPT\DO WELL IN MATH"
  BSBGFIP3 = "GEN\FRIENDS IMPT\DO WELL IN LANGUAGE"
  BSBGFIP4 = "GEN\FRIENDS IMPT\HAVE TIME FOR FUN"
  BSBGFIP5 = "GEN\FRIENDS IMPT\GOOD IN SPORTS"
  BSBSSIP1 = "SCI\SELF IMPT\DO WELL IN SCIENCE"
  BSBMSIP2 = "MAT\SELF IMPT\DO WELL IN MATH"
  BSBGSIP3 = "GEN\SELF IMPT\DO WELL IN LANGUAGE"
  BSBGSIP4 = "GEN\SELF IMPT\HAVE TIME FOR FUN"
  BSBGSIP5 = "GEN\SELF IMPT\GOOD IN SPORTS"
  BSBMGOOD = "MAT\USUALLY DO WELL IN MATH"
  BSBBGOOD = "BIO\USUALLY DO WELL IN BIOLOGY"
  BSBEGOOD = "EAR\USUALLY DO WELL IN EARTH SCI"
  BSBCGOOD = "CHEM\USUALLY DO WELL IN CHEMISTRY"
  BSBPGOOD = "PHY\USUALLY DO WELL IN PHYSICS"
  BSBMMYT1 = "MAT\LIKE MORE IF NOT SO DIFFICULT"
  BSBMMYT2 = "MAT\MORE DIFFICULT FOR ME THAN FOR OTHER"
  BSBMMYT3 = "MAT\I AM JUST NOT TALENTED"
  BSBMMYT4 = "MAT\I WILL NEVER REALLY UNDERSTAND IT"
  BSBMMYT5 = "MAT\NOT ONE OF MY STRENGTHS"
  BSBMDOW1 = "MAT\DO WELL\NATURAL TALENT"
  BSBMDOW2 = "MAT\DO WELL\GOOD LUCK"
  BSBMDOW3 = "MAT\DO WELL\HARD WORK STUDYING"
  BSBMDOW4 = "MAT\DO WELL\MEMORIZE NOTES"
  BSBSBYT1 = "BIO\LIKE MORE IF NOT SO DIFFICULT"
  BSBSBYT2 = "BIO\MORE DIFFICULT FOR ME THAN FOR OTHER"
  BSBSBYT3 = "BIO\I AM JUST NOT TALENTED"
  BSBSBYT4 = "BIO\NOT ONE OF MY STRENGTHS"
  BSBSEYT1 = "EAR\LIKE MORE IF NOT SO DIFFICULT"
  BSBSEYT2 = "EAR\MORE DIFFICULT FOR ME THAN FOR OTHER"
  BSBSEYT3 = "EAR\I AM JUST NOT TALENTED"
  BSBSEYT4 = "EAR\NOT ONE OF MY STRENGTHS"
  BSBSCYT1 = "CHEM\LIKE MORE IF NOT SO DIFFICULT"
  BSBSCYT2 = "CHEM\MORE DIFFICULT FOR ME THAN FOR OTHR"
  BSBSCYT3 = "CHEM\I AM JUST NOT TALENTED"
  BSBSCYT4 = "CHEM\NOT ONE OF MY STRENGTHS"
  BSBSPYT1 = "PHY\LIKE MORE IF NOT SO DIFFICULT"
  BSBSPYT2 = "PHY\MORE DIFFICULT FOR ME THAN FOR OTHER"
  BSBSPYT3 = "PHY\I AM JUST NOT TALENTED"
  BSBSPYT4 = "PHY\NOT ONE OF MY STRENGTHS"
  BSBSDOW1 = "SCI\DO WELL\NATURAL TALENT"
  BSBSDOW2 = "SCI\DO WELL\GOOD LUCK"
  BSBSDOW3 = "SCI\DO WELL\HARD WORK STUDYING"
  BSBSDOW4 = "SCI\DO WELL\MEMORIZE NOTES"
  BSBMLIKE = "MAT\LIKE MATHEMATICS"
  BSBBLIKB = "BIO\LIKE BIOLOGICAL SCIENCE"
  BSBBLIKE = "BIO\LIKE BIOLOGICAL SCIENCE"
  BSBELIKS = "EAR\LIKE EARTH SCIENCE"
  BSBELIKE = "EAR\LIKE EARTH SCIENCE"
  BSBCLIKC = "CHEM\LIKE\CHEMISTRY"
  BSBCLIKE = "CHEM\LIKE\CHEMISTRY"
  BSBPLIKP = "PHY\LIKE\PHYSICS"
  BSBPLIKE = "PHY\LIKE\PHYSICS"
  BSBMLUCM = "MAT\LIKE COMPUTERS\MATH CLASS"
  BSBSLUCS = "SCI\LIKE COMPUTERS\SCIENCE CLASS"
  BSBGINT1 = "GEN\INTERNET\AT HOME"
  BSBGINT2 = "GEN\INTERNET\AT SCHOOL"
  BSBGINT3 = "GEN\INTERNET\ELSEWHERE"
  BSBGOFT1 = "GEN\INTERNET\EMAILS MATH PROJECTS"
  BSBGOFT2 = "GEN\INTERNET\EMAILS SCIENCE PROJECTS"
  BSBGOFT3 = "GEN\INTERNET\WWW MATH PROJECTS"
  BSBGOFT4 = "GEN\INTERNET\WWW SCIENCE PROJECTS"
  BSBMENJY = "MAT\THINK\ENJOY LEARNING MATH"
  BSBMBORE = "MAT\THINK\MATH IS BORING"
  BSBMEASY = "MAT\THINK\MATH IS AN EASY SUBJECT"
  BSBMLIFE = "MAT\THINK\MATH IS IMPORTANT IN LIFE"
  BSBMWORK = "MAT\THINK\LIKE JOB INVOLVING MATH"
  BSBMJOB  = "MAT\DO WELL\TO GET DESIRED JOB"
  BSBMPRNT = "MAT\DO WELL\TO PLEASE PARENTS"
  BSBMSCHL = "MAT\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBMSELF = "MAT\DO WELL\TO PLEASE SELF"
  BSBMPROB = "MAT\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBMNOTE = "MAT\COPY NOTES FROM THE BOARD"
  BSBMTEST = "MAT\HAVE A QUIZ OR TEST"
  BSBMPROJ = "MAT\WORK ON PROJECTS"
  BSBMWSHT = "MAT\WORK FROM WORKSHEETS ON OUR OWN"
  BSBMCALC = "MAT\USE CALCULATORS"
  BSBMCOMP = "MAT\USE COMPUTERS"
  BSBMEVLF = "MAT\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBMSGRP = "MAT\WORK IN PAIRS OR SMALL GROUPS"
  BSBMHWGV = "MAT\TEACHER GIVES HOMEWORK"
  BSBMHWCL = "MAT\BEGIN HOMEWORK IN CLASS"
  BSBMHWTC = "MAT\TEACHER CHECKS HOMEWORK"
  BSBMHWFC = "MAT\CHECK EACH OTHER'S HOMEWORK"
  BSBMHWDS = "MAT\DISCUSS COMPLETED HOMEWORK"
  BSBMUSBT = "MAT\TEACHER USES BOARD"
  BSBMUSOT = "MAT\TEACHER USES OVERHEAD"
  BSBMUSBS = "MAT\STUDENTS USE BOARD"
  BSBMUSOS = "MAT\STUDENTS USE OVERHEAD"
  BSBMRUPT = "MAT\TEACHER GETS INTERRUPTED"
  BSBMIDEA = "MAT\TEACHER USES COMPUTER"
  BSBMRULE = "MAT\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBMPRAC = "MAT\NEW TOPIC\DISCUSS PROCTICAL PROB"
  BSBMSMGP = "MAT\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBMASK  = "MAT\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBMTXBK = "MAT\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBMEG   = "MAT\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBBSTDY = "SCI\STUDYING THIS YEAR\BIOLOGY"
  BSBCSTDY = "SCI\STUDYING THIS YEAR\CHEMISTRY"
  BSBESTDY = "SCI\STUDYING THIS YEAR\EARTH SCIENCE"
  BSBPSTDY = "SCI\STUDYING THIS YEAR\PHYSICS"
  BSBBENJY = "BIO\THINK\ENJOY LEARNING BIOLOGY"
  BSBBBORE = "BIO\THINK\BIOLOGY IS BORING"
  BSBBEASY = "BIO\THINK\BIOLOGY IS AN EASY SUBJECT"
  BSBBLIFE = "BIO\THINK\BIOLOGY IS IMPORT IN LIFE"
  BSBBWORK = "BIO\THINK\LIKE JOB INVOLVING BIOLOGY"
  BSBBJOB  = "BIO\DO WELL\TO GET DESIRED JOB"
  BSBBPRNT = "BIO\DO WELL\TO PLEASE PARENTS"
  BSBBSCHL = "BIO\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBBSELF = "BIO\DO WELL\TO PLEASE SELF"
  BSBBPROB = "BIO\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBBNOTE = "BIO\COPY NOTES FROM THE BOARD"
  BSBBTEST = "BIO\HAVE A QUIZ OR TEST"
  BSBBPROJ = "BIO\WORK ON PROJECTS"
  BSBBWSHT = "BIO\WORK FROM WORKSHEETS ON OWR OWN"
  BSBBCALC = "BIO\USE CALCULATORS"
  BSBBCOMP = "BIO\USE COMPUTERS"
  BSBBEVLF = "BIO\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBBSGRP = "BIO\WORK IN PAIRS OR SMALL GROUPS"
  BSBBHWGV = "BIO\TEACHER GIVES HOMEWORK"
  BSBBHWCL = "BIO\BEGIN HOMEWORK IN CLASS"
  BSBBHWTC = "BIO\TEACHER CHECKS HOMEWORK"
  BSBBHWFC = "BIO\CHECK EACH OTHER'S HOMEWORK"
  BSBBHWDS = "BIO\DISCUSS COMPLETED HOMEWORK"
  BSBBDEMO = "BIO\TEACHER GIVES DEMOSTRATION"
  BSBBEXPR = "BIO\STUDENTS DO EXPERIMENT IN CLASS"
  BSBBUSBT = "BIO\TEACHER USES BOARD"
  BSBBUSOT = "BIO\TEACHER USES OVERHEAD"
  BSBBUSBS = "BIO\STUDENTS USE BOARD"
  BSBBUSOS = "BIO\STUDENTS USE OVERHEAD"
  BSBBRUPT = "BIO\TEACHER GETS INTERRUPTED"
  BSBBIDEA = "BIO\TEACHER USES COMPUTER"
  BSBBRULE = "BIO\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBBPRAC = "BIO\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBBSMGP = "BIO\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBBASK  = "BIO\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBBTXBK = "BIO\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBBEG   = "BIO\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBCENJY = "CHE\THINK\ENJOY LEARNING CHEMISTRY"
  BSBCBORE = "CHE\THINK\CHEMISTRY IS BORING"
  BSBCEASY = "CHE\THINK\CHEM IS AN EASY SUBJECT"
  BSBCLIFE = "CHE\THINK\CHEM IS IMPORT IN LIFE"
  BSBCWORK = "CHE\THINK\LIKE JOB INVOLVING CHEM"
  BSBCJOB  = "CHE\DO WELL\TO GET DESIRED JOB"
  BSBCPRNT = "CHE\DO WELL\TO PLEASE PARENTS"
  BSBCSCHL = "CHE\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBCSELF = "CHE\DO WELL\TO PLEASE SELF"
  BSBCPROB = "CHE\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBCNOTE = "CHE\COPY NOTES FROM THE BOARD"
  BSBCTEST = "CHE\HAVE A QUIZ OR TEST"
  BSBCPROJ = "CHE\WORK ON PROJECTS"
  BSBCWSHT = "CHE\WORK FROM WORKSHEETS ON OWR OWN"
  BSBCCALC = "CHE\USE CALCULATORS"
  BSBCCOMP = "CHE\USE COMPUTERS"
  BSBCEVLF = "CHE\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBCSGRP = "CHE\WORK IN PAIRS OR SMALL GROUPS"
  BSBCHWGV = "CHE\TEACHER GIVES HOMEWORK"
  BSBCHWCL = "CHE\BEGIN HOMEWORK IN CLASS"
  BSBCHWTC = "CHE\TEACHER CHECKS HOMEWORK"
  BSBCHWFC = "CHE\CHECK EACH OTHER'S HOMEWORK"
  BSBCHWDS = "CHE\DISCUSS COMPLETED HOMEWORK"
  BSBCDEMO = "CHE\TEACHER GIVES DEMOSTRATION"
  BSBCEXPR = "CHE\STUDENTS DO EXPERIMENT IN CLASS"
  BSBCUSBT = "CHE\TEACHER USES BOARD"
  BSBCUSOT = "CHE\TEACHER USES OVERHEAD"
  BSBCUSBS = "CHE\STUDENTS USE BOARD"
  BSBCUSOS = "CHE\STUDENTS USE OVERHEAD"
  BSBCRUPT = "CHE\TEACHER GETS INTERRUPTED"
  BSBCIDEA = "CHE\TEACHER USES COMPUTER"
  BSBCRULE = "CHE\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBCPRAC = "CHE\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBCSMGP = "CHE\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBCASK  = "CHE\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBCTXBK = "CHE\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBCEG   = "CHE\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBEENJY = "EAR\THINK\ENJOY LEARNING EARTH SCI"
  BSBEBORE = "EAR\THINK\EARTH SCI IS BORING"
  BSBEEASY = "EAR\THINK\EARTH SCI EASY SUBJECT"
  BSBELIFE = "EAR\THINK\EARTH SCI IMPORT IN LIFE"
  BSBEWORK = "EAR\THINK\JOB INVOLVING EARTH SCI"
  BSBEJOB  = "EAR\DO WELL\TO GET DESIRED JOB"
  BSBEPRNT = "EAR\DO WELL\TO PLEASE PARENTS"
  BSBESCHL = "EAR\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBESELF = "EAR\DO WELL\TO PLEASE SELF"
  BSBEPROB = "EAR\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBENOTE = "EAR\COPY NOTES FROM THE BOARD"
  BSBETEST = "EAR\HAVE A QUIZ OR TEST"
  BSBEPROJ = "EAR\WORK ON PROJECTS"
  BSBEWSHT = "EAR\WORK FROM WORKSHEETS ON OWR OWN"
  BSBECALC = "EAR\USE CALCULATORS"
  BSBECOMP = "EAR\USE COMPUTERS"
  BSBEEVLF = "EAR\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBESGRP = "EAR\WORK IN PAIRS OR SMALL GROUPS"
  BSBEHWGV = "EAR\TEACHER GIVES HOMEWORK"
  BSBEHWCL = "EAR\BEGIN HOMEWORK IN CLASS"
  BSBEHWTC = "EAR\TEACHER CHECKS HOMEWORK"
  BSBEHWFC = "EAR\CHECK EACH OTHER'S HOMEWORK"
  BSBEHWDS = "EAR\DISCUSS COMPLETED HOMEWORK"
  BSBEDEMO = "EAR\TEACHER GIVES DEMOSTRATION"
  BSBEEXPR = "EAR\STUDENTS DO EXPERIMENT IN CLASS"
  BSBEUSBT = "EAR\TEACHER USES BOARD"
  BSBEUSOT = "EAR\TEACHER USES OVERHEAD"
  BSBEUSBS = "EAR\STUDENTS USE BOARD"
  BSBEUSOS = "EAR\STUDENTS USE OVERHEAD"
  BSBERUPT = "EAR\TEACHER GETS INTERRUPTED"
  BSBEIDEA = "EAR\TEACHER USES COMPUTER"
  BSBERULE = "EAR\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBEPRAC = "EAR\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBESMGP = "EAR\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBEASK  = "EAR\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBETXBK = "EAR\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBEEG   = "EAR\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBPENJY = "PHY\THINK\ENJOY LEARNING PHYSICS"
  BSBPBORE = "PHY\THINK\PHYSICS IS BORING"
  BSBPEASY = "PHY\THINK\PHYSICS IS EASY SUBJECT"
  BSBPLIFE = "PHY\THINK\PHYSICS IMPORT IN LIFE"
  BSBPWORK = "PHY\THINK\JOB INVOLVING PHYSICS"
  BSBPJOB  = "PHY\DO WELL\TO GET DESIRED JOB"
  BSBPPRNT = "PHY\DO WELL\TO PLEASE PARENTS"
  BSBPSCHL = "PHY\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBPSELF = "PHY\DO WELL\TO PLEASE SELF"
  BSBPPROB = "PHY\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBPNOTE = "PHY\COPY NOTES FROM THE BOARD"
  BSBPTEST = "PHY\HAVE A QUIZ OR TEST"
  BSBPPROJ = "PHY\WORK ON PROJECTS"
  BSBPWSHT = "PHY\WORK FROM WORKSHEETS ON OWR OWN"
  BSBPCALC = "PHY\USE CALCULATORS"
  BSBPCOMP = "PHY\USE COMPUTERS"
  BSBPEVLF = "PHY\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBPSGRP = "PHY\WORK IN PAIRS OR SMALL GROUPS"
  BSBPHWGV = "PHY\TEACHER GIVES HOMEWORK"
  BSBPHWCL = "PHY\BEGIN HOMEWORK IN CLASS"
  BSBPHWTC = "PHY\TEACHER CHECKS HOMEWORK"
  BSBPHWFC = "PHY\CHECK EACH OTHER'S HOMEWORK"
  BSBPHWDS = "PHY\DISCUSS COMPLETED HOMEWORK"
  BSBPDEMO = "PHY\TEACHER GIVES DEMOSTRATION"
  BSBPEXPR = "PHY\STUDENTS DO EXPERIMENT IN CLASS"
  BSBPUSBT = "PHY\TEACHER USES BOARD"
  BSBPUSOT = "PHY\TEACHER USES OVERHEAD"
  BSBPUSBS = "PHY\STUDENTS USE BOARD"
  BSBPUSOS = "PHY\STUDENTS USE OVERHEAD"
  BSBPRUPT = "PHY\TEACHER GETS INTERRUPTED"
  BSBPIDEA = "PHY\TEACHER USES COMPUTER"
  BSBPRULE = "PHY\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBPPRAC = "PHY\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBPSMGP = "PHY\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBPASK  = "PHY\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBPTXBK = "PHY\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBPEG   = "PHY\NEW TOPIC\SOLVE RELATED EXAMPLE"
  BSBGADU1 = "GEN\STUDENT LIVES WITH\MOTHER"
  BSBGADU2 = "GEN\STUDENT LIVES WITH\FATHER"
  BSBGADU3 = "GEN\STUDENT LIVES WITH\BROTHERS(S)"
  BSBGADU4 = "GEN\STUDENT LIVES WITH\SISTER(S)"
  BSBGADU5 = "GEN\STUDENT LIVES WITH\STEPMOTHER"
  BSBGADU6 = "GEN\STUDENT LIVES WITH\STEPFATHER"
  BSBGADU7 = "GEN\STUDENT LIVES WITH\GRANDPRNT(S)"
  BSBGADU8 = "GEN\STUDENT LIVES WITH\RELATIVE(S)"
  BSBGADU9 = "GEN\STUDENT LIVES WIHT\OTHER(S)"
  BSBGHOME = "GEN\# OF PEOPLE LIVING IN HOME"
  BSBGACT1 = "GEN\READ A BOOK"
  BSBGACT2 = "GEN\VISIT A MUSEUM"
  BSBGACT3 = "GEN\ATTEND A CONCERT"
  BSBGACT4 = "GEN\GO TO THE THEATRE"
  BSBGACT5 = "GEN\GO TO THE MOVIES"
  BSBGNEWS = "GEN\WATCH NEWS OR DOCUMENTATIES"
  BSBGOPER = "GEN\WATCH OPERA,BALLET,CLASS. MUSIC"
  BSBGNATR = "GEN\WATCH NATURE,WILDLIFE,HISTORY"
  BSBGPOPU = "GEN\WATCH POPULAR MUSIC"
  BSBGSPRT = "GEN\WATCH SPORTS"
  BSBGVIDE = "GEN\WATCH VIDEO GAMES"
  BSBGCRTN = "GEN\WATCH CARTOONS"
  BSBGCMDY = "GEN\WATCH COMEDY,ADVENTURE,SUSPENSE"
  BSBGSSKP = "GEN\STUDENT SKIPPED A CLASS"
  BSBGSSTL = "GEN\STUDENT HAD SOMETHING STOLEN"
  BSBGSHRT = "GEN\STUDENT THOUGHT MIGHT GET HURT"
  BSBGFSKP = "GEN\FRIEND SKIPPED A CLASS"
  BSBGFSTL = "GEN\FRIEND HAD SOMETHING STOLEN"
  BSBGFHRT = "GEN\FRIEND THOUGHT MIGHT GET HURT"
  BSBGENV1 = "GEN\AIR POLLUTION"
  BSBGENV2 = "GEN\WATER POLLUTION"
  BSBGENV3 = "GEN\DESTRUCTION OF FORESTS"
  BSBGENV4 = "GEN\ENDANGERED SPECIES"
  BSBGENV5 = "GEN\DAMAGE TO OZONE LAYER"
  BSBGENV6 = "GEN\PROBLEMS FR NUCLEAR POWER PLANTS"
  BSBSCARE = "SCI\CHOOSE OF CARRER IN SCIENCE"
  BSBSSYT1 = "SCI\DIFFICULT\WLD MORE LIKE IF LESS DIFF"
  BSBSSYT2 = "SCI\DIFFICULT\MORE DIFF THAN FOR CLSMATE"
  BSBSSYT3 = "SCI\DIFFICULT\I AM JUST NOT TALENTED"
  BSBSSYT4 = "SCI\DIFFICULT\NOT ONE OF MY STRENGTHS"
  BSBMLIKM = "MAT\LIKE MATHEMATICS"
  BSBSLIKE = "SCI\LIKE SCIENCE"
  BSBSLIKS = "SCI\LIKE SCIENCE"
  BSBSSCYE = "SCI\STUDYING SCIENCE THIS YEAR"
  BSBSENJY = "SCI\THINK\ENJOY LEARNING SCIENCE"
  BSBSBORE = "SCI\THINK\SCIENCE IS BORING"
  BSBSEASY = "SCI\THINK\SCIENCE IS AN EASY SUBJECT"
  BSBSLIFE = "SCI\THINK\SCIENCE IS IMPORT IN LIFE"
  BSBSWORK = "SCI\THINK\LIKE JOB INVOLVING SCIENCE"
  BSBSJOB  = "SCI\DO WELL\TO GET DESIRED JOB"
  BSBSPRNT = "SCI\DO WELL\TO PLEASE PARENTS"
  BSBSSCHL = "SCI\DO WELL\TO ENTER DESIRED SCHOOL"
  BSBSSELF = "SCI\DO WELL\TO PLEASE SELF"
  BSBSPROB = "SCI\TEACHER SHOW HOW TO DO PROBLEMS"
  BSBSNOTE = "SCI\COPY NOTES FROM THE BOARD"
  BSBSTEST = "SCI\HAVE A QUIZ OR TEST"
  BSBSPROJ = "SCI\WORK ON PROJECTS"
  BSBSWSHT = "SCI\WORK FROM WORKSHEETS ON OWR OWN"
  BSBSCALC = "SCI\USE CALCULATORS"
  BSBSCOMP = "SCI\USE COMPUTERS"
  BSBSEVLF = "SCI\SOLVE WITH EVERYDAY LIFE THINGS"
  BSBSSGRP = "SCI\WORK IN PAIRS OR SMALL GROUPS"
  BSBSHWGV = "SCI\TEACHER GIVES HOMEWORK"
  BSBSHWCL = "SCI\BEGIN HOMEWORK IN CLASS"
  BSBSHWTC = "SCI\TEACHER CHECKS HOMEWORK"
  BSBSHWFC = "SCI\CHECK EACH OTHER'S HOMEWORK"
  BSBSHWDS = "SCI\DISCUSS COMPLETED HOMEWORK"
  BSBSDEMO = "SCI\TEACHER GIVES DEMOSTRATION"
  BSBSEXPR = "SCI\STUDENTS DO EXPERIMENT IN CLASS"
  BSBSUSBT = "SCI\TEACHER USES BOARD"
  BSBSUSOT = "SCI\TEACHER USES OVERHEAD"
  BSBSUSBS = "SCI\STUDENTS USE BOARD"
  BSBSUSOS = "SCI\STUDENTS USE OVERHEAD"
  BSBSRUPT = "SCI\TEACHER GETS INTERRUPTED"
  BSBSIDEA = "SCI\TEACHER USES COMPUTER"
  BSBSRULE = "SCI\NEW TOPIC\TEACHER EXPLAINS RULES"
  BSBSPRAC = "SCI\NEW TOPIC\DISCUSS PRACTICAL PROB"
  BSBSSMGP = "SCI\NEW TOPIC\WORK IN SMALL GROUPS"
  BSBSASK  = "SCI\NEW TOPIC\ASK WHAT STUDENTS KNOW"
  BSBSTXBK = "SCI\NEW TOPIC\LOOK AT TEXTBOOK"
  BSBSEG   = "SCI\SOLVE EXAMPLE RELATED TO PROBLEM"
  BSBSGOOD = "SCI\USUALLY DO WELL IN SCIENCE"
  BSDGEDUP = "GEN\HIGHEST EDUC LEVEL\PARENTS"
  BSDGPSA  = "GEN\POSSESS ALL\COMPUTER\DESK\DICTIONARY"
  BSDGHERI = "GEN\INDEX OF HOME EDUCATIONAL RESOURCES"
  BSDGSPPI = "GEN\PEER PRESS ON ACADEMIC WORK"
  BSDGOSTI = "GEN\OUT-OF-SCHOOL STUDY TIME"
  BSDMDAY7 = "MAT\OUTSIDE SCHL\STUDY MATH"
  BSDSDAY8 = "SCI\OUTSIDE SCHL\STUDY SCIENCE"
  BSDGDAY9 = "GEN\OUTSIDE SCHL\STUDY OTHER SUBJ"
  BSDGSALL = "GEN\OUTSIDE SCHL\STUDY ALL 3 FIELDS"
  BSDMCMAI = "MAT\INDEX OF CONFIDENCE IN MATH ABILITY"
  BSDMPATM = "MAT\POSITIVE ATTITUDE\TOWARD MATHEMATICS"
  BSDGSTDT = "GEN\DAILY HOURS SPENT STUDYING (DPC)"
  BSDSCSAI = "SCI\INDEX OF CONFIDENCE IN SCIENCE ABILI"
  BSDECSAI = "SCI\INDEX OF CONFIDENCE IN EARTH SCIENCE"
  BSDBCSAI = "SCI\INDEX OF CONFIDENCE IN BIOLOGY ABILI"
  BSDCCSAI = "SCI\INDEX OF CONFIDENCE IN CHEMISTRY ABI"
  BSDPCSAI = "SCI\INDEX OF CONFIDENCE IN PHYSICS ABILI"
  BSDSPATS = "SCI\POSITIVE ATTITUDE\TOWARD SCIENCE"
  BSDEPATS = "SCI\POSITIVE ATTITUDE\TOWARD EARTH SCIEN"
  BSDBPATS = "SCI\POSITIVE ATTITUDE\TOWARD BIOLOGY"
  BSDCPATS = "SCI\POSITIVE ATTITUDE\TOWARD CHEMISTRY"
  BSDPPATS = "SCI\POSITIVE ATTITUDE\TOWARD PHYSICS"
  TOTWGT   = "*TOTAL STUDENT WEIGHT*"
  HOUWGT   = "*HOUSE WEIGHT*"
  SENWGT   = "*SENATE WEIGHT*"
  WGTFAC1  = "*SCHOOL WEIGHT FACTOR*"
  WGTADJ1  = "*SCHOOL WEIGHT ADJUSTMENT*"
  WGTFAC2  = "*CLASS WEIGHT FACTOR*"
  WGTFAC3  = "*STUDENT WEIGHT FACTOR*"
  WGTADJ3  = "*STUDENT WEIGHT ADJUSTMENT*"
  JKZONE   = "*JACKKNIFE ZONE*"
  JKREP    = "*JACKKNIFE REPLICATE CODE*"
  INTMS95  = "*IN 1995 ASSESSMENT POPULATION*"
  INTMS99  = "*IN 1999 ASSESSMENT POPULATION*"
  BSMSTDR  = "*STANDARDIZED MATH RAW SCORE (50,10)*"
  BSMNRSC  = "*NATIONAL MATH RASCH SCORE (150,10)*"
  BSMSCPT  = "*RAW SCORE ON MATH ITEMS*"
  BSSSTDR  = "*STANDARDIZED SCIENCE RAW SCORE (50,10)*"
  BSSNRSC  = "*NATIONAL SCIENCE RASCH SCORE (150,10)*"
  BSSSCPT  = "*RAW SCORE ON SCIENCE ITEM*"
  BSMMAT01 = "*1ST PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT02 = "*2ND PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT03 = "*3RD PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT04 = "*4TH PLAUSIBLE VALUE MATHEMATICS*"
  BSMMAT05 = "*5TH PLAUSIBLE VALUE MATHEMATICS*"
  BSSSCI01 = "*1ST PLAUSIBLE VALUE SCIENCE*"
  BSSSCI02 = "*2ND PLAUSIBLE VALUE SCIENCE*"
  BSSSCI03 = "*3RD PLAUSIBLE VALUE SCIENCE*"
  BSSSCI04 = "*4TH PLAUSIBLE VALUE SCIENCE*"
  BSSSCI05 = "*5TH PLAUSIBLE VALUE SCIENCE*"
  BSMALG01 = "*1ST PV ALGEBRA*"
  BSMALG02 = "*2ND PV ALGEBRA*"
  BSMALG03 = "*3RD PV ALGEBRA*"
  BSMALG04 = "*4TH PV ALGEBRA*"
  BSMALG05 = "*5TH PV ALGEBRA*"
  BSMDAP01 = "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP02 = "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP03 = "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP04 = "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMDAP05 = "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*"
  BSMFNS01 = "*1ST PV FRACTIONS + NUMBER SENSE*"
  BSMFNS02 = "*2ND PV FRACTIONS + NUMBER SENSE*"
  BSMFNS03 = "*3RD PV FRACTIONS + NUMBER SENSE*"
  BSMFNS04 = "*4TH PV FRACTIONS + NUMBER SENSE*"
  BSMFNS05 = "*5TH PV FRACTIONS + NUMBER SENSE*"
  BSMGEO01 = "*1ST PV GEOMETRY*"
  BSMGEO02 = "*2ND PV GEOMETRY*"
  BSMGEO03 = "*3RD PV GEOMETRY*"
  BSMGEO04 = "*4TH PV GEOMETRY*"
  BSMGEO05 = "*5TH PV GEOMETRY*"
  BSMMEA01 = "*1ST PV MEASUREMENT*"
  BSMMEA02 = "*2ND PV MEASUREMENT*"
  BSMMEA03 = "*3RD PV MEASUREMENT*"
  BSMMEA04 = "*4TH PV MEASUREMENT*"
  BSMMEA05 = "*5TH PV MEASUREMENT*"
  BSSCHE01 = "*1ST PV CHEMISTRY*"
  BSSCHE02 = "*2ND PV CHEMISTRY*"
  BSSCHE03 = "*3RD PV CHEMISTRY*"
  BSSCHE04 = "*4TH PV CHEMISTRY*"
  BSSCHE05 = "*5TH PV CHEMISTRY*"
  BSSEAS01 = "*1ST PV EARTH SCIENCE*"
  BSSEAS02 = "*2ND PV EARTH SCIENCE*"
  BSSEAS03 = "*3RD PV EARTH SCIENCE*"
  BSSEAS04 = "*4TH PV EARTH SCIENCE*"
  BSSEAS05 = "*5TH PV EARTH SCIENCE*"
  BSSLIS01 = "*1ST PV LIFE SCIENCE*"
  BSSLIS02 = "*2ND PV LIFE SCIENCE*"
  BSSLIS03 = "*3RD PV LIFE SCIENCE*"
  BSSLIS04 = "*4TH PV LIFE SCIENCE*"
  BSSLIS05 = "*5TH PV LIFE SCIENCE*"
  BSSPHY01 = "*1ST PV PHYSICS*"
  BSSPHY02 = "*2ND PV PHYSICS*"
  BSSPHY03 = "*3RD PV PHYSICS*"
  BSSPHY04 = "*4TH PV PHYSICS*"
  BSSPHY05 = "*5TH PV PHYSICS*"
  BSSERI01 = "*1ST PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI02 = "*2ND PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI03 = "*3RD PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI04 = "*4TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSERI05 = "*5TH PV ENVIRONM.ISS. + RESOURCE ISS.*"
  BSSNOS01 = "*1ST PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS02 = "*2ND PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS03 = "*3RD PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS04 = "*4TH PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSSNOS05 = "*5TH PV SCIENT. INQUIRY + NAT. OF SCI*"
  BSMIBM01 = "*INTERN. MATH BENCH REACHED WITH 1ST PV*"
  BSMIBM02 = "*INTERN. MATH BENCH REACHED WITH 2ND PV*"
  BSMIBM03 = "*INTERN. MATH BENCH REACHED WITH 3RD PV*"
  BSMIBM04 = "*INTERN. MATH BENCH REACHED WITH 4TH PV*"
  BSMIBM05 = "*INTERN. MATH BENCH REACHED WITH 5TH PV*"
  BSMNBM01 = "*NAT. MATH BENCH REACHED WITH 1ST PV*"
  BSMNBM02 = "*NAT. MATH BENCH REACHED WITH 2ND PV*"
  BSMNBM03 = "*NAT. MATH BENCH REACHED WITH 3RD PV*"
  BSMNBM04 = "*NAT. MATH BENCH REACHED WITH 4TH PV*"
  BSMNBM05 = "*NAT. MATH BENCH REACHED WITH 5TH PV*"
  BSSIBM01 = "*INTERN. SCI BENCH REACHED WITH 1ST PV*"
  BSSIBM02 = "*INTERN. SCI BENCH REACHED WITH 2ND PV*"
  BSSIBM03 = "*INTERN. SCI BENCH REACHED WITH 3RD PV*"
  BSSIBM04 = "*INTERN. SCI BENCH REACHED WITH 4TH PV*"
  BSSIBM05 = "*INTERN. SCI BENCH REACHED WITH 5TH PV*"
  BSSNBM01 = "*NAT. SCI BENCH REACHED WITH 1ST PV*"
  BSSNBM02 = "*NAT. SCI BENCH REACHED WITH 2ND PV*"
  BSSNBM03 = "*NAT. SCI BENCH REACHED WITH 3RD PV*"
  BSSNBM04 = "*NAT. SCI BENCH REACHED WITH 4TH PV*"
  BSSNBM05 = "*NAT. SCI BENCH REACHED WITH 5TH PV*"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDBSET   = 8                THEN IDBSET   = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDSCORA  = 998              THEN IDSCORA  = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDCLASS  = 99999998         THEN IDCLASS  = .A ;
IF IDSTUD   = 9999999998       THEN IDSTUD   = .A ;
IF IDGRADE  = 98               THEN IDGRADE  = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF ITEXCLUD = 8                THEN ITEXCLUD = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITLANG   = 998              THEN ITLANG   = .A ;
IF ITADMINI = 8                THEN ITADMINI = .A ;
IF ITDATEM  = 98               THEN ITDATEM  = .A ;
IF ITDATEY  = 9998             THEN ITDATEY  = .A ;
IF ITPART   = 8                THEN ITPART   = .A ;
IF ILRELIAB = 8                THEN ILRELIAB = .A ;
IF BSBGBIRD = 98               THEN BSBGBIRD = .A ;
IF BSBGBIRM = 98               THEN BSBGBIRM = .A ;
IF BSBGBIRY = 98               THEN BSBGBIRY = .A ;
IF BSDAGE   = 98               THEN BSDAGE   = .A ;
IF BSBGSEX  = 8                THEN BSBGSEX  = .A ;
IF BSBGBRN1 = 8                THEN BSBGBRN1 = .A ;
IF BSBGBRN2 = 98               THEN BSBGBRN2 = .A ;
IF BSBGLANG = 8                THEN BSBGLANG = .A ;
IF BSBMEXTR = 8                THEN BSBMEXTR = .A ;
IF BSBSEXTR = 8                THEN BSBSEXTR = .A ;
IF BSBGCLUB = 8                THEN BSBGCLUB = .A ;
IF BSBGPAID = 8                THEN BSBGPAID = .A ;
IF BSBGDAY1 = 8                THEN BSBGDAY1 = .A ;
IF BSBGDAY2 = 8                THEN BSBGDAY2 = .A ;
IF BSBGDAY3 = 8                THEN BSBGDAY3 = .A ;
IF BSBGDAY4 = 8                THEN BSBGDAY4 = .A ;
IF BSBGDAY5 = 8                THEN BSBGDAY5 = .A ;
IF BSBGDAY6 = 8                THEN BSBGDAY6 = .A ;
IF BSBMDAY7 = 8                THEN BSBMDAY7 = .A ;
IF BSBSDAY8 = 8                THEN BSBSDAY8 = .A ;
IF BSBGDAY9 = 8                THEN BSBGDAY9 = .A ;
IF BSBGEDMO = 98               THEN BSBGEDMO = .A ;
IF BSBGEDFA = 98               THEN BSBGEDFA = .A ;
IF BSBGEDSE = 8                THEN BSBGEDSE = .A ;
IF BSBGBRNM = 8                THEN BSBGBRNM = .A ;
IF BSBGBRNF = 8                THEN BSBGBRNF = .A ;
IF BSBGBOOK = 8                THEN BSBGBOOK = .A ;
IF BSBGPS01 = 8                THEN BSBGPS01 = .A ;
IF BSBGPS02 = 8                THEN BSBGPS02 = .A ;
IF BSBGPS03 = 8                THEN BSBGPS03 = .A ;
IF BSBGPS04 = 8                THEN BSBGPS04 = .A ;
IF BSBGPS05 = 8                THEN BSBGPS05 = .A ;
IF BSBGPS06 = 8                THEN BSBGPS06 = .A ;
IF BSBGPS07 = 8                THEN BSBGPS07 = .A ;
IF BSBGPS08 = 8                THEN BSBGPS08 = .A ;
IF BSBGPS09 = 8                THEN BSBGPS09 = .A ;
IF BSBGPS10 = 8                THEN BSBGPS10 = .A ;
IF BSBGPS11 = 8                THEN BSBGPS11 = .A ;
IF BSBGPS12 = 8                THEN BSBGPS12 = .A ;
IF BSBGPS13 = 8                THEN BSBGPS13 = .A ;
IF BSBGPS14 = 8                THEN BSBGPS14 = .A ;
IF BSBGPS15 = 8                THEN BSBGPS15 = .A ;
IF BSBGPS16 = 8                THEN BSBGPS16 = .A ;
IF BSBSMIP1 = 8                THEN BSBSMIP1 = .A ;
IF BSBMMIP2 = 8                THEN BSBMMIP2 = .A ;
IF BSBGMIP3 = 8                THEN BSBGMIP3 = .A ;
IF BSBGMIP5 = 8                THEN BSBGMIP5 = .A ;
IF BSBGMIP4 = 8                THEN BSBGMIP4 = .A ;
IF BSBMCLS1 = 8                THEN BSBMCLS1 = .A ;
IF BSBMCLS2 = 8                THEN BSBMCLS2 = .A ;
IF BSBMCLS3 = 8                THEN BSBMCLS3 = .A ;
IF BSBSFIP1 = 8                THEN BSBSFIP1 = .A ;
IF BSBMFIP2 = 8                THEN BSBMFIP2 = .A ;
IF BSBGFIP3 = 8                THEN BSBGFIP3 = .A ;
IF BSBGFIP4 = 8                THEN BSBGFIP4 = .A ;
IF BSBGFIP5 = 8                THEN BSBGFIP5 = .A ;
IF BSBSSIP1 = 8                THEN BSBSSIP1 = .A ;
IF BSBMSIP2 = 8                THEN BSBMSIP2 = .A ;
IF BSBGSIP3 = 8                THEN BSBGSIP3 = .A ;
IF BSBGSIP4 = 8                THEN BSBGSIP4 = .A ;
IF BSBGSIP5 = 8                THEN BSBGSIP5 = .A ;
IF BSBMGOOD = 8                THEN BSBMGOOD = .A ;
IF BSBBGOOD = 8                THEN BSBBGOOD = .A ;
IF BSBEGOOD = 8                THEN BSBEGOOD = .A ;
IF BSBCGOOD = 8                THEN BSBCGOOD = .A ;
IF BSBPGOOD = 8                THEN BSBPGOOD = .A ;
IF BSBMMYT1 = 8                THEN BSBMMYT1 = .A ;
IF BSBMMYT2 = 8                THEN BSBMMYT2 = .A ;
IF BSBMMYT3 = 8                THEN BSBMMYT3 = .A ;
IF BSBMMYT4 = 8                THEN BSBMMYT4 = .A ;
IF BSBMMYT5 = 8                THEN BSBMMYT5 = .A ;
IF BSBMDOW1 = 8                THEN BSBMDOW1 = .A ;
IF BSBMDOW2 = 8                THEN BSBMDOW2 = .A ;
IF BSBMDOW3 = 8                THEN BSBMDOW3 = .A ;
IF BSBMDOW4 = 8                THEN BSBMDOW4 = .A ;
IF BSBSBYT1 = 8                THEN BSBSBYT1 = .A ;
IF BSBSBYT2 = 8                THEN BSBSBYT2 = .A ;
IF BSBSBYT3 = 8                THEN BSBSBYT3 = .A ;
IF BSBSBYT4 = 8                THEN BSBSBYT4 = .A ;
IF BSBSEYT1 = 8                THEN BSBSEYT1 = .A ;
IF BSBSEYT2 = 8                THEN BSBSEYT2 = .A ;
IF BSBSEYT3 = 8                THEN BSBSEYT3 = .A ;
IF BSBSEYT4 = 8                THEN BSBSEYT4 = .A ;
IF BSBSCYT1 = 8                THEN BSBSCYT1 = .A ;
IF BSBSCYT2 = 8                THEN BSBSCYT2 = .A ;
IF BSBSCYT3 = 8                THEN BSBSCYT3 = .A ;
IF BSBSCYT4 = 8                THEN BSBSCYT4 = .A ;
IF BSBSPYT1 = 8                THEN BSBSPYT1 = .A ;
IF BSBSPYT2 = 8                THEN BSBSPYT2 = .A ;
IF BSBSPYT3 = 8                THEN BSBSPYT3 = .A ;
IF BSBSPYT4 = 8                THEN BSBSPYT4 = .A ;
IF BSBSDOW1 = 8                THEN BSBSDOW1 = .A ;
IF BSBSDOW2 = 8                THEN BSBSDOW2 = .A ;
IF BSBSDOW3 = 8                THEN BSBSDOW3 = .A ;
IF BSBSDOW4 = 8                THEN BSBSDOW4 = .A ;
IF BSBMLIKE = 8                THEN BSBMLIKE = .A ;
IF BSBBLIKB = 8                THEN BSBBLIKB = .A ;
IF BSBBLIKE = 8                THEN BSBBLIKE = .A ;
IF BSBELIKS = 8                THEN BSBELIKS = .A ;
IF BSBELIKE = 8                THEN BSBELIKE = .A ;
IF BSBCLIKC = 8                THEN BSBCLIKC = .A ;
IF BSBCLIKE = 8                THEN BSBCLIKE = .A ;
IF BSBPLIKP = 8                THEN BSBPLIKP = .A ;
IF BSBPLIKE = 8                THEN BSBPLIKE = .A ;
IF BSBMLUCM = 8                THEN BSBMLUCM = .A ;
IF BSBSLUCS = 8                THEN BSBSLUCS = .A ;
IF BSBGINT1 = 8                THEN BSBGINT1 = .A ;
IF BSBGINT2 = 8                THEN BSBGINT2 = .A ;
IF BSBGINT3 = 8                THEN BSBGINT3 = .A ;
IF BSBGOFT1 = 8                THEN BSBGOFT1 = .A ;
IF BSBGOFT2 = 8                THEN BSBGOFT2 = .A ;
IF BSBGOFT3 = 8                THEN BSBGOFT3 = .A ;
IF BSBGOFT4 = 8                THEN BSBGOFT4 = .A ;
IF BSBMENJY = 8                THEN BSBMENJY = .A ;
IF BSBMBORE = 8                THEN BSBMBORE = .A ;
IF BSBMEASY = 8                THEN BSBMEASY = .A ;
IF BSBMLIFE = 8                THEN BSBMLIFE = .A ;
IF BSBMWORK = 8                THEN BSBMWORK = .A ;
IF BSBMJOB  = 8                THEN BSBMJOB  = .A ;
IF BSBMPRNT = 8                THEN BSBMPRNT = .A ;
IF BSBMSCHL = 8                THEN BSBMSCHL = .A ;
IF BSBMSELF = 8                THEN BSBMSELF = .A ;
IF BSBMPROB = 8                THEN BSBMPROB = .A ;
IF BSBMNOTE = 8                THEN BSBMNOTE = .A ;
IF BSBMTEST = 8                THEN BSBMTEST = .A ;
IF BSBMPROJ = 8                THEN BSBMPROJ = .A ;
IF BSBMWSHT = 8                THEN BSBMWSHT = .A ;
IF BSBMCALC = 8                THEN BSBMCALC = .A ;
IF BSBMCOMP = 8                THEN BSBMCOMP = .A ;
IF BSBMEVLF = 8                THEN BSBMEVLF = .A ;
IF BSBMSGRP = 8                THEN BSBMSGRP = .A ;
IF BSBMHWGV = 8                THEN BSBMHWGV = .A ;
IF BSBMHWCL = 8                THEN BSBMHWCL = .A ;
IF BSBMHWTC = 8                THEN BSBMHWTC = .A ;
IF BSBMHWFC = 8                THEN BSBMHWFC = .A ;
IF BSBMHWDS = 8                THEN BSBMHWDS = .A ;
IF BSBMUSBT = 8                THEN BSBMUSBT = .A ;
IF BSBMUSOT = 8                THEN BSBMUSOT = .A ;
IF BSBMUSBS = 8                THEN BSBMUSBS = .A ;
IF BSBMUSOS = 8                THEN BSBMUSOS = .A ;
IF BSBMRUPT = 8                THEN BSBMRUPT = .A ;
IF BSBMIDEA = 8                THEN BSBMIDEA = .A ;
IF BSBMRULE = 8                THEN BSBMRULE = .A ;
IF BSBMPRAC = 8                THEN BSBMPRAC = .A ;
IF BSBMSMGP = 8                THEN BSBMSMGP = .A ;
IF BSBMASK  = 8                THEN BSBMASK  = .A ;
IF BSBMTXBK = 8                THEN BSBMTXBK = .A ;
IF BSBMEG   = 8                THEN BSBMEG   = .A ;
IF BSBBSTDY = 8                THEN BSBBSTDY = .A ;
IF BSBCSTDY = 8                THEN BSBCSTDY = .A ;
IF BSBESTDY = 8                THEN BSBESTDY = .A ;
IF BSBPSTDY = 8                THEN BSBPSTDY = .A ;
IF BSBBENJY = 8                THEN BSBBENJY = .A ;
IF BSBBBORE = 8                THEN BSBBBORE = .A ;
IF BSBBEASY = 8                THEN BSBBEASY = .A ;
IF BSBBLIFE = 8                THEN BSBBLIFE = .A ;
IF BSBBWORK = 8                THEN BSBBWORK = .A ;
IF BSBBJOB  = 8                THEN BSBBJOB  = .A ;
IF BSBBPRNT = 8                THEN BSBBPRNT = .A ;
IF BSBBSCHL = 8                THEN BSBBSCHL = .A ;
IF BSBBSELF = 8                THEN BSBBSELF = .A ;
IF BSBBPROB = 8                THEN BSBBPROB = .A ;
IF BSBBNOTE = 8                THEN BSBBNOTE = .A ;
IF BSBBTEST = 8                THEN BSBBTEST = .A ;
IF BSBBPROJ = 8                THEN BSBBPROJ = .A ;
IF BSBBWSHT = 8                THEN BSBBWSHT = .A ;
IF BSBBCALC = 8                THEN BSBBCALC = .A ;
IF BSBBCOMP = 8                THEN BSBBCOMP = .A ;
IF BSBBEVLF = 8                THEN BSBBEVLF = .A ;
IF BSBBSGRP = 8                THEN BSBBSGRP = .A ;
IF BSBBHWGV = 8                THEN BSBBHWGV = .A ;
IF BSBBHWCL = 8                THEN BSBBHWCL = .A ;
IF BSBBHWTC = 8                THEN BSBBHWTC = .A ;
IF BSBBHWFC = 8                THEN BSBBHWFC = .A ;
IF BSBBHWDS = 8                THEN BSBBHWDS = .A ;
IF BSBBDEMO = 8                THEN BSBBDEMO = .A ;
IF BSBBEXPR = 8                THEN BSBBEXPR = .A ;
IF BSBBUSBT = 8                THEN BSBBUSBT = .A ;
IF BSBBUSOT = 8                THEN BSBBUSOT = .A ;
IF BSBBUSBS = 8                THEN BSBBUSBS = .A ;
IF BSBBUSOS = 8                THEN BSBBUSOS = .A ;
IF BSBBRUPT = 8                THEN BSBBRUPT = .A ;
IF BSBBIDEA = 8                THEN BSBBIDEA = .A ;
IF BSBBRULE = 8                THEN BSBBRULE = .A ;
IF BSBBPRAC = 8                THEN BSBBPRAC = .A ;
IF BSBBSMGP = 8                THEN BSBBSMGP = .A ;
IF BSBBASK  = 8                THEN BSBBASK  = .A ;
IF BSBBTXBK = 8                THEN BSBBTXBK = .A ;
IF BSBBEG   = 8                THEN BSBBEG   = .A ;
IF BSBCENJY = 8                THEN BSBCENJY = .A ;
IF BSBCBORE = 8                THEN BSBCBORE = .A ;
IF BSBCEASY = 8                THEN BSBCEASY = .A ;
IF BSBCLIFE = 8                THEN BSBCLIFE = .A ;
IF BSBCWORK = 8                THEN BSBCWORK = .A ;
IF BSBCJOB  = 8                THEN BSBCJOB  = .A ;
IF BSBCPRNT = 8                THEN BSBCPRNT = .A ;
IF BSBCSCHL = 8                THEN BSBCSCHL = .A ;
IF BSBCSELF = 8                THEN BSBCSELF = .A ;
IF BSBCPROB = 8                THEN BSBCPROB = .A ;
IF BSBCNOTE = 8                THEN BSBCNOTE = .A ;
IF BSBCTEST = 8                THEN BSBCTEST = .A ;
IF BSBCPROJ = 8                THEN BSBCPROJ = .A ;
IF BSBCWSHT = 8                THEN BSBCWSHT = .A ;
IF BSBCCALC = 8                THEN BSBCCALC = .A ;
IF BSBCCOMP = 8                THEN BSBCCOMP = .A ;
IF BSBCEVLF = 8                THEN BSBCEVLF = .A ;
IF BSBCSGRP = 8                THEN BSBCSGRP = .A ;
IF BSBCHWGV = 8                THEN BSBCHWGV = .A ;
IF BSBCHWCL = 8                THEN BSBCHWCL = .A ;
IF BSBCHWTC = 8                THEN BSBCHWTC = .A ;
IF BSBCHWFC = 8                THEN BSBCHWFC = .A ;
IF BSBCHWDS = 8                THEN BSBCHWDS = .A ;
IF BSBCDEMO = 8                THEN BSBCDEMO = .A ;
IF BSBCEXPR = 8                THEN BSBCEXPR = .A ;
IF BSBCUSBT = 8                THEN BSBCUSBT = .A ;
IF BSBCUSOT = 8                THEN BSBCUSOT = .A ;
IF BSBCUSBS = 8                THEN BSBCUSBS = .A ;
IF BSBCUSOS = 8                THEN BSBCUSOS = .A ;
IF BSBCRUPT = 8                THEN BSBCRUPT = .A ;
IF BSBCIDEA = 8                THEN BSBCIDEA = .A ;
IF BSBCRULE = 8                THEN BSBCRULE = .A ;
IF BSBCPRAC = 8                THEN BSBCPRAC = .A ;
IF BSBCSMGP = 8                THEN BSBCSMGP = .A ;
IF BSBCASK  = 8                THEN BSBCASK  = .A ;
IF BSBCTXBK = 8                THEN BSBCTXBK = .A ;
IF BSBCEG   = 8                THEN BSBCEG   = .A ;
IF BSBEENJY = 8                THEN BSBEENJY = .A ;
IF BSBEBORE = 8                THEN BSBEBORE = .A ;
IF BSBEEASY = 8                THEN BSBEEASY = .A ;
IF BSBELIFE = 8                THEN BSBELIFE = .A ;
IF BSBEWORK = 8                THEN BSBEWORK = .A ;
IF BSBEJOB  = 8                THEN BSBEJOB  = .A ;
IF BSBEPRNT = 8                THEN BSBEPRNT = .A ;
IF BSBESCHL = 8                THEN BSBESCHL = .A ;
IF BSBESELF = 8                THEN BSBESELF = .A ;
IF BSBEPROB = 8                THEN BSBEPROB = .A ;
IF BSBENOTE = 8                THEN BSBENOTE = .A ;
IF BSBETEST = 8                THEN BSBETEST = .A ;
IF BSBEPROJ = 8                THEN BSBEPROJ = .A ;
IF BSBEWSHT = 8                THEN BSBEWSHT = .A ;
IF BSBECALC = 8                THEN BSBECALC = .A ;
IF BSBECOMP = 8                THEN BSBECOMP = .A ;
IF BSBEEVLF = 8                THEN BSBEEVLF = .A ;
IF BSBESGRP = 8                THEN BSBESGRP = .A ;
IF BSBEHWGV = 8                THEN BSBEHWGV = .A ;
IF BSBEHWCL = 8                THEN BSBEHWCL = .A ;
IF BSBEHWTC = 8                THEN BSBEHWTC = .A ;
IF BSBEHWFC = 8                THEN BSBEHWFC = .A ;
IF BSBEHWDS = 8                THEN BSBEHWDS = .A ;
IF BSBEDEMO = 8                THEN BSBEDEMO = .A ;
IF BSBEEXPR = 8                THEN BSBEEXPR = .A ;
IF BSBEUSBT = 8                THEN BSBEUSBT = .A ;
IF BSBEUSOT = 8                THEN BSBEUSOT = .A ;
IF BSBEUSBS = 8                THEN BSBEUSBS = .A ;
IF BSBEUSOS = 8                THEN BSBEUSOS = .A ;
IF BSBERUPT = 8                THEN BSBERUPT = .A ;
IF BSBEIDEA = 8                THEN BSBEIDEA = .A ;
IF BSBERULE = 8                THEN BSBERULE = .A ;
IF BSBEPRAC = 8                THEN BSBEPRAC = .A ;
IF BSBESMGP = 8                THEN BSBESMGP = .A ;
IF BSBEASK  = 8                THEN BSBEASK  = .A ;
IF BSBETXBK = 8                THEN BSBETXBK = .A ;
IF BSBEEG   = 8                THEN BSBEEG   = .A ;
IF BSBPENJY = 8                THEN BSBPENJY = .A ;
IF BSBPBORE = 8                THEN BSBPBORE = .A ;
IF BSBPEASY = 8                THEN BSBPEASY = .A ;
IF BSBPLIFE = 8                THEN BSBPLIFE = .A ;
IF BSBPWORK = 8                THEN BSBPWORK = .A ;
IF BSBPJOB  = 8                THEN BSBPJOB  = .A ;
IF BSBPPRNT = 8                THEN BSBPPRNT = .A ;
IF BSBPSCHL = 8                THEN BSBPSCHL = .A ;
IF BSBPSELF = 8                THEN BSBPSELF = .A ;
IF BSBPPROB = 8                THEN BSBPPROB = .A ;
IF BSBPNOTE = 8                THEN BSBPNOTE = .A ;
IF BSBPTEST = 8                THEN BSBPTEST = .A ;
IF BSBPPROJ = 8                THEN BSBPPROJ = .A ;
IF BSBPWSHT = 8                THEN BSBPWSHT = .A ;
IF BSBPCALC = 8                THEN BSBPCALC = .A ;
IF BSBPCOMP = 8                THEN BSBPCOMP = .A ;
IF BSBPEVLF = 8                THEN BSBPEVLF = .A ;
IF BSBPSGRP = 8                THEN BSBPSGRP = .A ;
IF BSBPHWGV = 8                THEN BSBPHWGV = .A ;
IF BSBPHWCL = 8                THEN BSBPHWCL = .A ;
IF BSBPHWTC = 8                THEN BSBPHWTC = .A ;
IF BSBPHWFC = 8                THEN BSBPHWFC = .A ;
IF BSBPHWDS = 8                THEN BSBPHWDS = .A ;
IF BSBPDEMO = 8                THEN BSBPDEMO = .A ;
IF BSBPEXPR = 8                THEN BSBPEXPR = .A ;
IF BSBPUSBT = 8                THEN BSBPUSBT = .A ;
IF BSBPUSOT = 8                THEN BSBPUSOT = .A ;
IF BSBPUSBS = 8                THEN BSBPUSBS = .A ;
IF BSBPUSOS = 8                THEN BSBPUSOS = .A ;
IF BSBPRUPT = 8                THEN BSBPRUPT = .A ;
IF BSBPIDEA = 8                THEN BSBPIDEA = .A ;
IF BSBPRULE = 8                THEN BSBPRULE = .A ;
IF BSBPPRAC = 8                THEN BSBPPRAC = .A ;
IF BSBPSMGP = 8                THEN BSBPSMGP = .A ;
IF BSBPASK  = 8                THEN BSBPASK  = .A ;
IF BSBPTXBK = 8                THEN BSBPTXBK = .A ;
IF BSBPEG   = 8                THEN BSBPEG   = .A ;
IF BSBGADU1 = 8                THEN BSBGADU1 = .A ;
IF BSBGADU2 = 8                THEN BSBGADU2 = .A ;
IF BSBGADU3 = 8                THEN BSBGADU3 = .A ;
IF BSBGADU4 = 8                THEN BSBGADU4 = .A ;
IF BSBGADU5 = 8                THEN BSBGADU5 = .A ;
IF BSBGADU6 = 8                THEN BSBGADU6 = .A ;
IF BSBGADU7 = 8                THEN BSBGADU7 = .A ;
IF BSBGADU8 = 8                THEN BSBGADU8 = .A ;
IF BSBGADU9 = 8                THEN BSBGADU9 = .A ;
IF BSBGHOME = 98               THEN BSBGHOME = .A ;
IF BSBGACT1 = 8                THEN BSBGACT1 = .A ;
IF BSBGACT2 = 8                THEN BSBGACT2 = .A ;
IF BSBGACT3 = 8                THEN BSBGACT3 = .A ;
IF BSBGACT4 = 8                THEN BSBGACT4 = .A ;
IF BSBGACT5 = 8                THEN BSBGACT5 = .A ;
IF BSBGNEWS = 8                THEN BSBGNEWS = .A ;
IF BSBGOPER = 8                THEN BSBGOPER = .A ;
IF BSBGNATR = 8                THEN BSBGNATR = .A ;
IF BSBGPOPU = 8                THEN BSBGPOPU = .A ;
IF BSBGSPRT = 8                THEN BSBGSPRT = .A ;
IF BSBGVIDE = 8                THEN BSBGVIDE = .A ;
IF BSBGCRTN = 8                THEN BSBGCRTN = .A ;
IF BSBGCMDY = 8                THEN BSBGCMDY = .A ;
IF BSBGSSKP = 8                THEN BSBGSSKP = .A ;
IF BSBGSSTL = 8                THEN BSBGSSTL = .A ;
IF BSBGSHRT = 8                THEN BSBGSHRT = .A ;
IF BSBGFSKP = 8                THEN BSBGFSKP = .A ;
IF BSBGFSTL = 8                THEN BSBGFSTL = .A ;
IF BSBGFHRT = 8                THEN BSBGFHRT = .A ;
IF BSBGENV1 = 8                THEN BSBGENV1 = .A ;
IF BSBGENV2 = 8                THEN BSBGENV2 = .A ;
IF BSBGENV3 = 8                THEN BSBGENV3 = .A ;
IF BSBGENV4 = 8                THEN BSBGENV4 = .A ;
IF BSBGENV5 = 8                THEN BSBGENV5 = .A ;
IF BSBGENV6 = 8                THEN BSBGENV6 = .A ;
IF BSBSCARE = 8                THEN BSBSCARE = .A ;
IF BSBSSYT1 = 8                THEN BSBSSYT1 = .A ;
IF BSBSSYT2 = 8                THEN BSBSSYT2 = .A ;
IF BSBSSYT3 = 8                THEN BSBSSYT3 = .A ;
IF BSBSSYT4 = 8                THEN BSBSSYT4 = .A ;
IF BSBMLIKM = 8                THEN BSBMLIKM = .A ;
IF BSBSLIKE = 8                THEN BSBSLIKE = .A ;
IF BSBSLIKS = 8                THEN BSBSLIKS = .A ;
IF BSBSSCYE = 8                THEN BSBSSCYE = .A ;
IF BSBSENJY = 8                THEN BSBSENJY = .A ;
IF BSBSBORE = 8                THEN BSBSBORE = .A ;
IF BSBSEASY = 8                THEN BSBSEASY = .A ;
IF BSBSLIFE = 8                THEN BSBSLIFE = .A ;
IF BSBSWORK = 8                THEN BSBSWORK = .A ;
IF BSBSJOB  = 8                THEN BSBSJOB  = .A ;
IF BSBSPRNT = 8                THEN BSBSPRNT = .A ;
IF BSBSSCHL = 8                THEN BSBSSCHL = .A ;
IF BSBSSELF = 8                THEN BSBSSELF = .A ;
IF BSBSPROB = 8                THEN BSBSPROB = .A ;
IF BSBSNOTE = 8                THEN BSBSNOTE = .A ;
IF BSBSTEST = 8                THEN BSBSTEST = .A ;
IF BSBSPROJ = 8                THEN BSBSPROJ = .A ;
IF BSBSWSHT = 8                THEN BSBSWSHT = .A ;
IF BSBSCALC = 8                THEN BSBSCALC = .A ;
IF BSBSCOMP = 8                THEN BSBSCOMP = .A ;
IF BSBSEVLF = 8                THEN BSBSEVLF = .A ;
IF BSBSSGRP = 8                THEN BSBSSGRP = .A ;
IF BSBSHWGV = 8                THEN BSBSHWGV = .A ;
IF BSBSHWCL = 8                THEN BSBSHWCL = .A ;
IF BSBSHWTC = 8                THEN BSBSHWTC = .A ;
IF BSBSHWFC = 8                THEN BSBSHWFC = .A ;
IF BSBSHWDS = 8                THEN BSBSHWDS = .A ;
IF BSBSDEMO = 8                THEN BSBSDEMO = .A ;
IF BSBSEXPR = 8                THEN BSBSEXPR = .A ;
IF BSBSUSBT = 8                THEN BSBSUSBT = .A ;
IF BSBSUSOT = 8                THEN BSBSUSOT = .A ;
IF BSBSUSBS = 8                THEN BSBSUSBS = .A ;
IF BSBSUSOS = 8                THEN BSBSUSOS = .A ;
IF BSBSRUPT = 8                THEN BSBSRUPT = .A ;
IF BSBSIDEA = 8                THEN BSBSIDEA = .A ;
IF BSBSRULE = 8                THEN BSBSRULE = .A ;
IF BSBSPRAC = 8                THEN BSBSPRAC = .A ;
IF BSBSSMGP = 8                THEN BSBSSMGP = .A ;
IF BSBSASK  = 8                THEN BSBSASK  = .A ;
IF BSBSTXBK = 8                THEN BSBSTXBK = .A ;
IF BSBSEG   = 8                THEN BSBSEG   = .A ;
IF BSBSGOOD = 8                THEN BSBSGOOD = .A ;
IF BSDGEDUP = 8                THEN BSDGEDUP = .A ;
IF BSDGPSA  = 8                THEN BSDGPSA  = .A ;
IF BSDGHERI = 8                THEN BSDGHERI = .A ;
IF BSDGSPPI = 8                THEN BSDGSPPI = .A ;
IF BSDGOSTI = 8                THEN BSDGOSTI = .A ;
IF BSDMDAY7 = 8                THEN BSDMDAY7 = .A ;
IF BSDSDAY8 = 8                THEN BSDSDAY8 = .A ;
IF BSDGDAY9 = 8                THEN BSDGDAY9 = .A ;
IF BSDGSALL = 8                THEN BSDGSALL = .A ;
IF BSDMCMAI = 8                THEN BSDMCMAI = .A ;
IF BSDMPATM = 8                THEN BSDMPATM = .A ;
IF BSDGSTDT = 98               THEN BSDGSTDT = .A ;
IF BSDSCSAI = 8                THEN BSDSCSAI = .A ;
IF BSDECSAI = 8                THEN BSDECSAI = .A ;
IF BSDBCSAI = 8                THEN BSDBCSAI = .A ;
IF BSDCCSAI = 8                THEN BSDCCSAI = .A ;
IF BSDPCSAI = 8                THEN BSDPCSAI = .A ;
IF BSDSPATS = 8                THEN BSDSPATS = .A ;
IF BSDEPATS = 8                THEN BSDEPATS = .A ;
IF BSDBPATS = 8                THEN BSDBPATS = .A ;
IF BSDCPATS = 8                THEN BSDCPATS = .A ;
IF BSDPPATS = 8                THEN BSDPPATS = .A ;
IF TOTWGT   = 9998             THEN TOTWGT   = .A ;
IF HOUWGT   = 98               THEN HOUWGT   = .A ;
IF SENWGT   = 8                THEN SENWGT   = .A ;
IF WGTFAC1  = 9998             THEN WGTFAC1  = .A ;
IF WGTADJ1  = 98               THEN WGTADJ1  = .A ;
IF WGTFAC2  = 998              THEN WGTFAC2  = .A ;
IF WGTFAC3  = 998              THEN WGTFAC3  = .A ;
IF WGTADJ3  = 98               THEN WGTADJ3  = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF INTMS95  = 8                THEN INTMS95  = .A ;
IF INTMS99  = 8                THEN INTMS99  = .A ;
IF BSMSTDR  = 98               THEN BSMSTDR  = .A ;
IF BSMNRSC  = 998              THEN BSMNRSC  = .A ;
IF BSMSCPT  = 98               THEN BSMSCPT  = .A ;
IF BSSSTDR  = 98               THEN BSSSTDR  = .A ;
IF BSSNRSC  = 998              THEN BSSNRSC  = .A ;
IF BSSSCPT  = 98               THEN BSSSCPT  = .A ;
IF BSMMAT01 = 998              THEN BSMMAT01 = .A ;
IF BSMMAT02 = 998              THEN BSMMAT02 = .A ;
IF BSMMAT03 = 998              THEN BSMMAT03 = .A ;
IF BSMMAT04 = 998              THEN BSMMAT04 = .A ;
IF BSMMAT05 = 998              THEN BSMMAT05 = .A ;
IF BSSSCI01 = 998              THEN BSSSCI01 = .A ;
IF BSSSCI02 = 998              THEN BSSSCI02 = .A ;
IF BSSSCI03 = 998              THEN BSSSCI03 = .A ;
IF BSSSCI04 = 998              THEN BSSSCI04 = .A ;
IF BSSSCI05 = 998              THEN BSSSCI05 = .A ;
IF BSMALG01 = 998              THEN BSMALG01 = .A ;
IF BSMALG02 = 998              THEN BSMALG02 = .A ;
IF BSMALG03 = 998              THEN BSMALG03 = .A ;
IF BSMALG04 = 998              THEN BSMALG04 = .A ;
IF BSMALG05 = 998              THEN BSMALG05 = .A ;
IF BSMDAP01 = 998              THEN BSMDAP01 = .A ;
IF BSMDAP02 = 998              THEN BSMDAP02 = .A ;
IF BSMDAP03 = 998              THEN BSMDAP03 = .A ;
IF BSMDAP04 = 998              THEN BSMDAP04 = .A ;
IF BSMDAP05 = 998              THEN BSMDAP05 = .A ;
IF BSMFNS01 = 998              THEN BSMFNS01 = .A ;
IF BSMFNS02 = 998              THEN BSMFNS02 = .A ;
IF BSMFNS03 = 998              THEN BSMFNS03 = .A ;
IF BSMFNS04 = 998              THEN BSMFNS04 = .A ;
IF BSMFNS05 = 998              THEN BSMFNS05 = .A ;
IF BSMGEO01 = 998              THEN BSMGEO01 = .A ;
IF BSMGEO02 = 998              THEN BSMGEO02 = .A ;
IF BSMGEO03 = 998              THEN BSMGEO03 = .A ;
IF BSMGEO04 = 998              THEN BSMGEO04 = .A ;
IF BSMGEO05 = 998              THEN BSMGEO05 = .A ;
IF BSMMEA01 = 998              THEN BSMMEA01 = .A ;
IF BSMMEA02 = 998              THEN BSMMEA02 = .A ;
IF BSMMEA03 = 998              THEN BSMMEA03 = .A ;
IF BSMMEA04 = 998              THEN BSMMEA04 = .A ;
IF BSMMEA05 = 998              THEN BSMMEA05 = .A ;
IF BSSCHE01 = 998              THEN BSSCHE01 = .A ;
IF BSSCHE02 = 998              THEN BSSCHE02 = .A ;
IF BSSCHE03 = 998              THEN BSSCHE03 = .A ;
IF BSSCHE04 = 998              THEN BSSCHE04 = .A ;
IF BSSCHE05 = 998              THEN BSSCHE05 = .A ;
IF BSSEAS01 = 998              THEN BSSEAS01 = .A ;
IF BSSEAS02 = 998              THEN BSSEAS02 = .A ;
IF BSSEAS03 = 998              THEN BSSEAS03 = .A ;
IF BSSEAS04 = 998              THEN BSSEAS04 = .A ;
IF BSSEAS05 = 998              THEN BSSEAS05 = .A ;
IF BSSLIS01 = 998              THEN BSSLIS01 = .A ;
IF BSSLIS02 = 998              THEN BSSLIS02 = .A ;
IF BSSLIS03 = 998              THEN BSSLIS03 = .A ;
IF BSSLIS04 = 998              THEN BSSLIS04 = .A ;
IF BSSLIS05 = 998              THEN BSSLIS05 = .A ;
IF BSSPHY01 = 998              THEN BSSPHY01 = .A ;
IF BSSPHY02 = 998              THEN BSSPHY02 = .A ;
IF BSSPHY03 = 998              THEN BSSPHY03 = .A ;
IF BSSPHY04 = 998              THEN BSSPHY04 = .A ;
IF BSSPHY05 = 998              THEN BSSPHY05 = .A ;
IF BSSERI01 = 998              THEN BSSERI01 = .A ;
IF BSSERI02 = 998              THEN BSSERI02 = .A ;
IF BSSERI03 = 998              THEN BSSERI03 = .A ;
IF BSSERI04 = 998              THEN BSSERI04 = .A ;
IF BSSERI05 = 998              THEN BSSERI05 = .A ;
IF BSSNOS01 = 998              THEN BSSNOS01 = .A ;
IF BSSNOS02 = 998              THEN BSSNOS02 = .A ;
IF BSSNOS03 = 998              THEN BSSNOS03 = .A ;
IF BSSNOS04 = 998              THEN BSSNOS04 = .A ;
IF BSSNOS05 = 998              THEN BSSNOS05 = .A ;
IF BSMIBM01 = 8                THEN BSMIBM01 = .A ;
IF BSMIBM02 = 8                THEN BSMIBM02 = .A ;
IF BSMIBM03 = 8                THEN BSMIBM03 = .A ;
IF BSMIBM04 = 8                THEN BSMIBM04 = .A ;
IF BSMIBM05 = 8                THEN BSMIBM05 = .A ;
IF BSMNBM01 = 8                THEN BSMNBM01 = .A ;
IF BSMNBM02 = 8                THEN BSMNBM02 = .A ;
IF BSMNBM03 = 8                THEN BSMNBM03 = .A ;
IF BSMNBM04 = 8                THEN BSMNBM04 = .A ;
IF BSMNBM05 = 8                THEN BSMNBM05 = .A ;
IF BSSIBM01 = 8                THEN BSSIBM01 = .A ;
IF BSSIBM02 = 8                THEN BSSIBM02 = .A ;
IF BSSIBM03 = 8                THEN BSSIBM03 = .A ;
IF BSSIBM04 = 8                THEN BSSIBM04 = .A ;
IF BSSIBM05 = 8                THEN BSSIBM05 = .A ;
IF BSSNBM01 = 8                THEN BSSNBM01 = .A ;
IF BSSNBM02 = 8                THEN BSSNBM02 = .A ;
IF BSSNBM03 = 8                THEN BSSNBM03 = .A ;
IF BSSNBM04 = 8                THEN BSSNBM04 = .A ;
IF BSSNBM05 = 8                THEN BSSNBM05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ITEXCLUD = 6                THEN ITEXCLUD = .R ;
IF ITEXCLUD = 7                THEN ITEXCLUD = .N ;
IF BSBGBIRD = 96               THEN BSBGBIRD = .B ;
IF BSBGBIRM = 96               THEN BSBGBIRM = .B ;
IF BSBGBIRY = 96               THEN BSBGBIRY = .B ;
IF BSDAGE   = 96               THEN BSDAGE   = .B ;
IF BSBGSEX  = 6                THEN BSBGSEX  = .B ;
IF BSBGBRN1 = 6                THEN BSBGBRN1 = .B ;
IF BSBGBRN2 = 96               THEN BSBGBRN2 = .B ;
IF BSBGLANG = 6                THEN BSBGLANG = .B ;
IF BSBMEXTR = 6                THEN BSBMEXTR = .B ;
IF BSBSEXTR = 6                THEN BSBSEXTR = .B ;
IF BSBGCLUB = 6                THEN BSBGCLUB = .B ;
IF BSBGPAID = 6                THEN BSBGPAID = .B ;
IF BSBGDAY1 = 6                THEN BSBGDAY1 = .B ;
IF BSBGDAY2 = 6                THEN BSBGDAY2 = .B ;
IF BSBGDAY3 = 6                THEN BSBGDAY3 = .B ;
IF BSBGDAY4 = 6                THEN BSBGDAY4 = .B ;
IF BSBGDAY5 = 6                THEN BSBGDAY5 = .B ;
IF BSBGDAY6 = 6                THEN BSBGDAY6 = .B ;
IF BSBMDAY7 = 6                THEN BSBMDAY7 = .B ;
IF BSBSDAY8 = 6                THEN BSBSDAY8 = .B ;
IF BSBGDAY9 = 6                THEN BSBGDAY9 = .B ;
IF BSBGEDMO = 96               THEN BSBGEDMO = .B ;
IF BSBGEDFA = 96               THEN BSBGEDFA = .B ;
IF BSBGBRNM = 6                THEN BSBGBRNM = .B ;
IF BSBGBRNF = 6                THEN BSBGBRNF = .B ;
IF BSBGBOOK = 6                THEN BSBGBOOK = .B ;
IF BSBGPS01 = 6                THEN BSBGPS01 = .B ;
IF BSBGPS02 = 6                THEN BSBGPS02 = .B ;
IF BSBGPS03 = 6                THEN BSBGPS03 = .B ;
IF BSBGPS04 = 6                THEN BSBGPS04 = .B ;
IF BSBGPS05 = 6                THEN BSBGPS05 = .B ;
IF BSBGPS06 = 6                THEN BSBGPS06 = .B ;
IF BSBGPS07 = 6                THEN BSBGPS07 = .B ;
IF BSBGPS08 = 6                THEN BSBGPS08 = .B ;
IF BSBGPS09 = 6                THEN BSBGPS09 = .B ;
IF BSBGPS10 = 6                THEN BSBGPS10 = .B ;
IF BSBGPS11 = 6                THEN BSBGPS11 = .B ;
IF BSBGPS12 = 6                THEN BSBGPS12 = .B ;
IF BSBGPS13 = 6                THEN BSBGPS13 = .B ;
IF BSBGPS14 = 6                THEN BSBGPS14 = .B ;
IF BSBGPS15 = 6                THEN BSBGPS15 = .B ;
IF BSBGPS16 = 6                THEN BSBGPS16 = .B ;
IF BSBSMIP1 = 6                THEN BSBSMIP1 = .B ;
IF BSBMMIP2 = 6                THEN BSBMMIP2 = .B ;
IF BSBGMIP3 = 6                THEN BSBGMIP3 = .B ;
IF BSBGMIP5 = 6                THEN BSBGMIP5 = .B ;
IF BSBGMIP4 = 6                THEN BSBGMIP4 = .B ;
IF BSBMCLS1 = 6                THEN BSBMCLS1 = .B ;
IF BSBMCLS2 = 6                THEN BSBMCLS2 = .B ;
IF BSBMCLS3 = 6                THEN BSBMCLS3 = .B ;
IF BSBSFIP1 = 6                THEN BSBSFIP1 = .B ;
IF BSBMFIP2 = 6                THEN BSBMFIP2 = .B ;
IF BSBGFIP3 = 6                THEN BSBGFIP3 = .B ;
IF BSBGFIP4 = 6                THEN BSBGFIP4 = .B ;
IF BSBGFIP5 = 6                THEN BSBGFIP5 = .B ;
IF BSBSSIP1 = 6                THEN BSBSSIP1 = .B ;
IF BSBMSIP2 = 6                THEN BSBMSIP2 = .B ;
IF BSBGSIP3 = 6                THEN BSBGSIP3 = .B ;
IF BSBGSIP4 = 6                THEN BSBGSIP4 = .B ;
IF BSBGSIP5 = 6                THEN BSBGSIP5 = .B ;
IF BSBMGOOD = 6                THEN BSBMGOOD = .B ;
IF BSBBGOOD = 6                THEN BSBBGOOD = .B ;
IF BSBEGOOD = 6                THEN BSBEGOOD = .B ;
IF BSBCGOOD = 6                THEN BSBCGOOD = .B ;
IF BSBPGOOD = 6                THEN BSBPGOOD = .B ;
IF BSBMMYT1 = 6                THEN BSBMMYT1 = .B ;
IF BSBMMYT2 = 6                THEN BSBMMYT2 = .B ;
IF BSBMMYT3 = 6                THEN BSBMMYT3 = .B ;
IF BSBMMYT4 = 6                THEN BSBMMYT4 = .B ;
IF BSBMMYT5 = 6                THEN BSBMMYT5 = .B ;
IF BSBMDOW1 = 6                THEN BSBMDOW1 = .B ;
IF BSBMDOW2 = 6                THEN BSBMDOW2 = .B ;
IF BSBMDOW3 = 6                THEN BSBMDOW3 = .B ;
IF BSBMDOW4 = 6                THEN BSBMDOW4 = .B ;
IF BSBSBYT1 = 6                THEN BSBSBYT1 = .B ;
IF BSBSBYT2 = 6                THEN BSBSBYT2 = .B ;
IF BSBSBYT3 = 6                THEN BSBSBYT3 = .B ;
IF BSBSBYT4 = 6                THEN BSBSBYT4 = .B ;
IF BSBSEYT1 = 6                THEN BSBSEYT1 = .B ;
IF BSBSEYT2 = 6                THEN BSBSEYT2 = .B ;
IF BSBSEYT3 = 6                THEN BSBSEYT3 = .B ;
IF BSBSEYT4 = 6                THEN BSBSEYT4 = .B ;
IF BSBSCYT1 = 6                THEN BSBSCYT1 = .B ;
IF BSBSCYT2 = 6                THEN BSBSCYT2 = .B ;
IF BSBSCYT3 = 6                THEN BSBSCYT3 = .B ;
IF BSBSCYT4 = 6                THEN BSBSCYT4 = .B ;
IF BSBSPYT1 = 6                THEN BSBSPYT1 = .B ;
IF BSBSPYT2 = 6                THEN BSBSPYT2 = .B ;
IF BSBSPYT3 = 6                THEN BSBSPYT3 = .B ;
IF BSBSPYT4 = 6                THEN BSBSPYT4 = .B ;
IF BSBSDOW1 = 6                THEN BSBSDOW1 = .B ;
IF BSBSDOW2 = 6                THEN BSBSDOW2 = .B ;
IF BSBSDOW3 = 6                THEN BSBSDOW3 = .B ;
IF BSBSDOW4 = 6                THEN BSBSDOW4 = .B ;
IF BSBMLIKE = 6                THEN BSBMLIKE = .B ;
IF BSBBLIKB = 6                THEN BSBBLIKB = .B ;
IF BSBBLIKE = 6                THEN BSBBLIKE = .B ;
IF BSBELIKS = 6                THEN BSBELIKS = .B ;
IF BSBELIKE = 6                THEN BSBELIKE = .B ;
IF BSBCLIKC = 6                THEN BSBCLIKC = .B ;
IF BSBCLIKE = 6                THEN BSBCLIKE = .B ;
IF BSBPLIKP = 6                THEN BSBPLIKP = .B ;
IF BSBPLIKE = 6                THEN BSBPLIKE = .B ;
IF BSBMLUCM = 6                THEN BSBMLUCM = .B ;
IF BSBSLUCS = 6                THEN BSBSLUCS = .B ;
IF BSBGINT1 = 6                THEN BSBGINT1 = .B ;
IF BSBGINT2 = 6                THEN BSBGINT2 = .B ;
IF BSBGINT3 = 6                THEN BSBGINT3 = .B ;
IF BSBGOFT1 = 6                THEN BSBGOFT1 = .B ;
IF BSBGOFT2 = 6                THEN BSBGOFT2 = .B ;
IF BSBGOFT3 = 6                THEN BSBGOFT3 = .B ;
IF BSBGOFT4 = 6                THEN BSBGOFT4 = .B ;
IF BSBMENJY = 6                THEN BSBMENJY = .B ;
IF BSBMBORE = 6                THEN BSBMBORE = .B ;
IF BSBMEASY = 6                THEN BSBMEASY = .B ;
IF BSBMLIFE = 6                THEN BSBMLIFE = .B ;
IF BSBMWORK = 6                THEN BSBMWORK = .B ;
IF BSBMJOB  = 6                THEN BSBMJOB  = .B ;
IF BSBMPRNT = 6                THEN BSBMPRNT = .B ;
IF BSBMSCHL = 6                THEN BSBMSCHL = .B ;
IF BSBMSELF = 6                THEN BSBMSELF = .B ;
IF BSBMPROB = 6                THEN BSBMPROB = .B ;
IF BSBMNOTE = 6                THEN BSBMNOTE = .B ;
IF BSBMTEST = 6                THEN BSBMTEST = .B ;
IF BSBMPROJ = 6                THEN BSBMPROJ = .B ;
IF BSBMWSHT = 6                THEN BSBMWSHT = .B ;
IF BSBMCALC = 6                THEN BSBMCALC = .B ;
IF BSBMCOMP = 6                THEN BSBMCOMP = .B ;
IF BSBMEVLF = 6                THEN BSBMEVLF = .B ;
IF BSBMSGRP = 6                THEN BSBMSGRP = .B ;
IF BSBMHWGV = 6                THEN BSBMHWGV = .B ;
IF BSBMHWCL = 6                THEN BSBMHWCL = .B ;
IF BSBMHWTC = 6                THEN BSBMHWTC = .B ;
IF BSBMHWFC = 6                THEN BSBMHWFC = .B ;
IF BSBMHWDS = 6                THEN BSBMHWDS = .B ;
IF BSBMUSBT = 6                THEN BSBMUSBT = .B ;
IF BSBMUSOT = 6                THEN BSBMUSOT = .B ;
IF BSBMUSBS = 6                THEN BSBMUSBS = .B ;
IF BSBMUSOS = 6                THEN BSBMUSOS = .B ;
IF BSBMRUPT = 6                THEN BSBMRUPT = .B ;
IF BSBMIDEA = 6                THEN BSBMIDEA = .B ;
IF BSBMRULE = 6                THEN BSBMRULE = .B ;
IF BSBMPRAC = 6                THEN BSBMPRAC = .B ;
IF BSBMSMGP = 6                THEN BSBMSMGP = .B ;
IF BSBMASK  = 6                THEN BSBMASK  = .B ;
IF BSBMTXBK = 6                THEN BSBMTXBK = .B ;
IF BSBMEG   = 6                THEN BSBMEG   = .B ;
IF BSBBSTDY = 6                THEN BSBBSTDY = .B ;
IF BSBCSTDY = 6                THEN BSBCSTDY = .B ;
IF BSBESTDY = 6                THEN BSBESTDY = .B ;
IF BSBPSTDY = 6                THEN BSBPSTDY = .B ;
IF BSBBENJY = 6                THEN BSBBENJY = .B ;
IF BSBBBORE = 6                THEN BSBBBORE = .B ;
IF BSBBEASY = 6                THEN BSBBEASY = .B ;
IF BSBBLIFE = 6                THEN BSBBLIFE = .B ;
IF BSBBWORK = 6                THEN BSBBWORK = .B ;
IF BSBBJOB  = 6                THEN BSBBJOB  = .B ;
IF BSBBPRNT = 6                THEN BSBBPRNT = .B ;
IF BSBBSCHL = 6                THEN BSBBSCHL = .B ;
IF BSBBSELF = 6                THEN BSBBSELF = .B ;
IF BSBBPROB = 6                THEN BSBBPROB = .B ;
IF BSBBNOTE = 6                THEN BSBBNOTE = .B ;
IF BSBBTEST = 6                THEN BSBBTEST = .B ;
IF BSBBPROJ = 6                THEN BSBBPROJ = .B ;
IF BSBBWSHT = 6                THEN BSBBWSHT = .B ;
IF BSBBCALC = 6                THEN BSBBCALC = .B ;
IF BSBBCOMP = 6                THEN BSBBCOMP = .B ;
IF BSBBEVLF = 6                THEN BSBBEVLF = .B ;
IF BSBBSGRP = 6                THEN BSBBSGRP = .B ;
IF BSBBHWGV = 6                THEN BSBBHWGV = .B ;
IF BSBBHWCL = 6                THEN BSBBHWCL = .B ;
IF BSBBHWTC = 6                THEN BSBBHWTC = .B ;
IF BSBBHWFC = 6                THEN BSBBHWFC = .B ;
IF BSBBHWDS = 6                THEN BSBBHWDS = .B ;
IF BSBBDEMO = 6                THEN BSBBDEMO = .B ;
IF BSBBEXPR = 6                THEN BSBBEXPR = .B ;
IF BSBBUSBT = 6                THEN BSBBUSBT = .B ;
IF BSBBUSOT = 6                THEN BSBBUSOT = .B ;
IF BSBBUSBS = 6                THEN BSBBUSBS = .B ;
IF BSBBUSOS = 6                THEN BSBBUSOS = .B ;
IF BSBBRUPT = 6                THEN BSBBRUPT = .B ;
IF BSBBIDEA = 6                THEN BSBBIDEA = .B ;
IF BSBBRULE = 6                THEN BSBBRULE = .B ;
IF BSBBPRAC = 6                THEN BSBBPRAC = .B ;
IF BSBBSMGP = 6                THEN BSBBSMGP = .B ;
IF BSBBASK  = 6                THEN BSBBASK  = .B ;
IF BSBBTXBK = 6                THEN BSBBTXBK = .B ;
IF BSBBEG   = 6                THEN BSBBEG   = .B ;
IF BSBCENJY = 6                THEN BSBCENJY = .B ;
IF BSBCBORE = 6                THEN BSBCBORE = .B ;
IF BSBCEASY = 6                THEN BSBCEASY = .B ;
IF BSBCLIFE = 6                THEN BSBCLIFE = .B ;
IF BSBCWORK = 6                THEN BSBCWORK = .B ;
IF BSBCJOB  = 6                THEN BSBCJOB  = .B ;
IF BSBCPRNT = 6                THEN BSBCPRNT = .B ;
IF BSBCSCHL = 6                THEN BSBCSCHL = .B ;
IF BSBCSELF = 6                THEN BSBCSELF = .B ;
IF BSBCPROB = 6                THEN BSBCPROB = .B ;
IF BSBCNOTE = 6                THEN BSBCNOTE = .B ;
IF BSBCTEST = 6                THEN BSBCTEST = .B ;
IF BSBCPROJ = 6                THEN BSBCPROJ = .B ;
IF BSBCWSHT = 6                THEN BSBCWSHT = .B ;
IF BSBCCALC = 6                THEN BSBCCALC = .B ;
IF BSBCCOMP = 6                THEN BSBCCOMP = .B ;
IF BSBCEVLF = 6                THEN BSBCEVLF = .B ;
IF BSBCSGRP = 6                THEN BSBCSGRP = .B ;
IF BSBCHWGV = 6                THEN BSBCHWGV = .B ;
IF BSBCHWCL = 6                THEN BSBCHWCL = .B ;
IF BSBCHWTC = 6                THEN BSBCHWTC = .B ;
IF BSBCHWFC = 6                THEN BSBCHWFC = .B ;
IF BSBCHWDS = 6                THEN BSBCHWDS = .B ;
IF BSBCDEMO = 6                THEN BSBCDEMO = .B ;
IF BSBCEXPR = 6                THEN BSBCEXPR = .B ;
IF BSBCUSBT = 6                THEN BSBCUSBT = .B ;
IF BSBCUSOT = 6                THEN BSBCUSOT = .B ;
IF BSBCUSBS = 6                THEN BSBCUSBS = .B ;
IF BSBCUSOS = 6                THEN BSBCUSOS = .B ;
IF BSBCRUPT = 6                THEN BSBCRUPT = .B ;
IF BSBCIDEA = 6                THEN BSBCIDEA = .B ;
IF BSBCRULE = 6                THEN BSBCRULE = .B ;
IF BSBCPRAC = 6                THEN BSBCPRAC = .B ;
IF BSBCSMGP = 6                THEN BSBCSMGP = .B ;
IF BSBCASK  = 6                THEN BSBCASK  = .B ;
IF BSBCTXBK = 6                THEN BSBCTXBK = .B ;
IF BSBCEG   = 6                THEN BSBCEG   = .B ;
IF BSBEENJY = 6                THEN BSBEENJY = .B ;
IF BSBEBORE = 6                THEN BSBEBORE = .B ;
IF BSBEEASY = 6                THEN BSBEEASY = .B ;
IF BSBELIFE = 6                THEN BSBELIFE = .B ;
IF BSBEWORK = 6                THEN BSBEWORK = .B ;
IF BSBEJOB  = 6                THEN BSBEJOB  = .B ;
IF BSBEPRNT = 6                THEN BSBEPRNT = .B ;
IF BSBESCHL = 6                THEN BSBESCHL = .B ;
IF BSBESELF = 6                THEN BSBESELF = .B ;
IF BSBEPROB = 6                THEN BSBEPROB = .B ;
IF BSBENOTE = 6                THEN BSBENOTE = .B ;
IF BSBETEST = 6                THEN BSBETEST = .B ;
IF BSBEPROJ = 6                THEN BSBEPROJ = .B ;
IF BSBEWSHT = 6                THEN BSBEWSHT = .B ;
IF BSBECALC = 6                THEN BSBECALC = .B ;
IF BSBECOMP = 6                THEN BSBECOMP = .B ;
IF BSBEEVLF = 6                THEN BSBEEVLF = .B ;
IF BSBESGRP = 6                THEN BSBESGRP = .B ;
IF BSBEHWGV = 6                THEN BSBEHWGV = .B ;
IF BSBEHWCL = 6                THEN BSBEHWCL = .B ;
IF BSBEHWTC = 6                THEN BSBEHWTC = .B ;
IF BSBEHWFC = 6                THEN BSBEHWFC = .B ;
IF BSBEHWDS = 6                THEN BSBEHWDS = .B ;
IF BSBEDEMO = 6                THEN BSBEDEMO = .B ;
IF BSBEEXPR = 6                THEN BSBEEXPR = .B ;
IF BSBEUSBT = 6                THEN BSBEUSBT = .B ;
IF BSBEUSOT = 6                THEN BSBEUSOT = .B ;
IF BSBEUSBS = 6                THEN BSBEUSBS = .B ;
IF BSBEUSOS = 6                THEN BSBEUSOS = .B ;
IF BSBERUPT = 6                THEN BSBERUPT = .B ;
IF BSBEIDEA = 6                THEN BSBEIDEA = .B ;
IF BSBERULE = 6                THEN BSBERULE = .B ;
IF BSBEPRAC = 6                THEN BSBEPRAC = .B ;
IF BSBESMGP = 6                THEN BSBESMGP = .B ;
IF BSBEASK  = 6                THEN BSBEASK  = .B ;
IF BSBETXBK = 6                THEN BSBETXBK = .B ;
IF BSBEEG   = 6                THEN BSBEEG   = .B ;
IF BSBPENJY = 6                THEN BSBPENJY = .B ;
IF BSBPBORE = 6                THEN BSBPBORE = .B ;
IF BSBPEASY = 6                THEN BSBPEASY = .B ;
IF BSBPLIFE = 6                THEN BSBPLIFE = .B ;
IF BSBPWORK = 6                THEN BSBPWORK = .B ;
IF BSBPJOB  = 6                THEN BSBPJOB  = .B ;
IF BSBPPRNT = 6                THEN BSBPPRNT = .B ;
IF BSBPSCHL = 6                THEN BSBPSCHL = .B ;
IF BSBPSELF = 6                THEN BSBPSELF = .B ;
IF BSBPPROB = 6                THEN BSBPPROB = .B ;
IF BSBPNOTE = 6                THEN BSBPNOTE = .B ;
IF BSBPTEST = 6                THEN BSBPTEST = .B ;
IF BSBPPROJ = 6                THEN BSBPPROJ = .B ;
IF BSBPWSHT = 6                THEN BSBPWSHT = .B ;
IF BSBPCALC = 6                THEN BSBPCALC = .B ;
IF BSBPCOMP = 6                THEN BSBPCOMP = .B ;
IF BSBPEVLF = 6                THEN BSBPEVLF = .B ;
IF BSBPSGRP = 6                THEN BSBPSGRP = .B ;
IF BSBPHWGV = 6                THEN BSBPHWGV = .B ;
IF BSBPHWCL = 6                THEN BSBPHWCL = .B ;
IF BSBPHWTC = 6                THEN BSBPHWTC = .B ;
IF BSBPHWFC = 6                THEN BSBPHWFC = .B ;
IF BSBPHWDS = 6                THEN BSBPHWDS = .B ;
IF BSBPDEMO = 6                THEN BSBPDEMO = .B ;
IF BSBPEXPR = 6                THEN BSBPEXPR = .B ;
IF BSBPUSBT = 6                THEN BSBPUSBT = .B ;
IF BSBPUSOT = 6                THEN BSBPUSOT = .B ;
IF BSBPUSBS = 6                THEN BSBPUSBS = .B ;
IF BSBPUSOS = 6                THEN BSBPUSOS = .B ;
IF BSBPRUPT = 6                THEN BSBPRUPT = .B ;
IF BSBPIDEA = 6                THEN BSBPIDEA = .B ;
IF BSBPRULE = 6                THEN BSBPRULE = .B ;
IF BSBPPRAC = 6                THEN BSBPPRAC = .B ;
IF BSBPSMGP = 6                THEN BSBPSMGP = .B ;
IF BSBPASK  = 6                THEN BSBPASK  = .B ;
IF BSBPTXBK = 6                THEN BSBPTXBK = .B ;
IF BSBPEG   = 6                THEN BSBPEG   = .B ;
IF BSBGADU1 = 6                THEN BSBGADU1 = .B ;
IF BSBGADU2 = 6                THEN BSBGADU2 = .B ;
IF BSBGADU3 = 6                THEN BSBGADU3 = .B ;
IF BSBGADU4 = 6                THEN BSBGADU4 = .B ;
IF BSBGADU5 = 6                THEN BSBGADU5 = .B ;
IF BSBGADU6 = 6                THEN BSBGADU6 = .B ;
IF BSBGADU7 = 6                THEN BSBGADU7 = .B ;
IF BSBGADU8 = 6                THEN BSBGADU8 = .B ;
IF BSBGADU9 = 6                THEN BSBGADU9 = .B ;
IF BSBGHOME = 96               THEN BSBGHOME = .B ;
IF BSBGACT1 = 6                THEN BSBGACT1 = .B ;
IF BSBGACT2 = 6                THEN BSBGACT2 = .B ;
IF BSBGACT3 = 6                THEN BSBGACT3 = .B ;
IF BSBGACT4 = 6                THEN BSBGACT4 = .B ;
IF BSBGACT5 = 6                THEN BSBGACT5 = .B ;
IF BSBGNEWS = 6                THEN BSBGNEWS = .B ;
IF BSBGOPER = 6                THEN BSBGOPER = .B ;
IF BSBGNATR = 6                THEN BSBGNATR = .B ;
IF BSBGPOPU = 6                THEN BSBGPOPU = .B ;
IF BSBGSPRT = 6                THEN BSBGSPRT = .B ;
IF BSBGVIDE = 6                THEN BSBGVIDE = .B ;
IF BSBGCRTN = 6                THEN BSBGCRTN = .B ;
IF BSBGCMDY = 6                THEN BSBGCMDY = .B ;
IF BSBGSSKP = 6                THEN BSBGSSKP = .B ;
IF BSBGSSTL = 6                THEN BSBGSSTL = .B ;
IF BSBGSHRT = 6                THEN BSBGSHRT = .B ;
IF BSBGFSKP = 6                THEN BSBGFSKP = .B ;
IF BSBGFSTL = 6                THEN BSBGFSTL = .B ;
IF BSBGFHRT = 6                THEN BSBGFHRT = .B ;
IF BSBGENV1 = 6                THEN BSBGENV1 = .B ;
IF BSBGENV2 = 6                THEN BSBGENV2 = .B ;
IF BSBGENV3 = 6                THEN BSBGENV3 = .B ;
IF BSBGENV4 = 6                THEN BSBGENV4 = .B ;
IF BSBGENV5 = 6                THEN BSBGENV5 = .B ;
IF BSBGENV6 = 6                THEN BSBGENV6 = .B ;
IF BSBSCARE = 6                THEN BSBSCARE = .B ;
IF BSBSSYT1 = 6                THEN BSBSSYT1 = .B ;
IF BSBSSYT2 = 6                THEN BSBSSYT2 = .B ;
IF BSBSSYT3 = 6                THEN BSBSSYT3 = .B ;
IF BSBSSYT4 = 6                THEN BSBSSYT4 = .B ;
IF BSBMLIKM = 6                THEN BSBMLIKM = .B ;
IF BSBSLIKE = 6                THEN BSBSLIKE = .B ;
IF BSBSLIKS = 6                THEN BSBSLIKS = .B ;
IF BSBSSCYE = 6                THEN BSBSSCYE = .B ;
IF BSBSENJY = 6                THEN BSBSENJY = .B ;
IF BSBSBORE = 6                THEN BSBSBORE = .B ;
IF BSBSEASY = 6                THEN BSBSEASY = .B ;
IF BSBSLIFE = 6                THEN BSBSLIFE = .B ;
IF BSBSWORK = 6                THEN BSBSWORK = .B ;
IF BSBSJOB  = 6                THEN BSBSJOB  = .B ;
IF BSBSPRNT = 6                THEN BSBSPRNT = .B ;
IF BSBSSCHL = 6                THEN BSBSSCHL = .B ;
IF BSBSSELF = 6                THEN BSBSSELF = .B ;
IF BSBSPROB = 6                THEN BSBSPROB = .B ;
IF BSBSNOTE = 6                THEN BSBSNOTE = .B ;
IF BSBSTEST = 6                THEN BSBSTEST = .B ;
IF BSBSPROJ = 6                THEN BSBSPROJ = .B ;
IF BSBSWSHT = 6                THEN BSBSWSHT = .B ;
IF BSBSCALC = 6                THEN BSBSCALC = .B ;
IF BSBSCOMP = 6                THEN BSBSCOMP = .B ;
IF BSBSEVLF = 6                THEN BSBSEVLF = .B ;
IF BSBSSGRP = 6                THEN BSBSSGRP = .B ;
IF BSBSHWGV = 6                THEN BSBSHWGV = .B ;
IF BSBSHWCL = 6                THEN BSBSHWCL = .B ;
IF BSBSHWTC = 6                THEN BSBSHWTC = .B ;
IF BSBSHWFC = 6                THEN BSBSHWFC = .B ;
IF BSBSHWDS = 6                THEN BSBSHWDS = .B ;
IF BSBSDEMO = 6                THEN BSBSDEMO = .B ;
IF BSBSEXPR = 6                THEN BSBSEXPR = .B ;
IF BSBSUSBT = 6                THEN BSBSUSBT = .B ;
IF BSBSUSOT = 6                THEN BSBSUSOT = .B ;
IF BSBSUSBS = 6                THEN BSBSUSBS = .B ;
IF BSBSUSOS = 6                THEN BSBSUSOS = .B ;
IF BSBSRUPT = 6                THEN BSBSRUPT = .B ;
IF BSBSIDEA = 6                THEN BSBSIDEA = .B ;
IF BSBSRULE = 6                THEN BSBSRULE = .B ;
IF BSBSPRAC = 6                THEN BSBSPRAC = .B ;
IF BSBSSMGP = 6                THEN BSBSSMGP = .B ;
IF BSBSASK  = 6                THEN BSBSASK  = .B ;
IF BSBSTXBK = 6                THEN BSBSTXBK = .B ;
IF BSBSEG   = 6                THEN BSBSEG   = .B ;
IF BSBSGOOD = 6                THEN BSBSGOOD = .B ;
IF BSDGEDUP = 6                THEN BSDGEDUP = .B ;
IF BSDGPSA  = 6                THEN BSDGPSA  = .B ;
IF BSDGHERI = 6                THEN BSDGHERI = .B ;
IF BSDGSPPI = 6                THEN BSDGSPPI = .B ;
IF BSDGOSTI = 6                THEN BSDGOSTI = .B ;
IF BSDMDAY7 = 6                THEN BSDMDAY7 = .B ;
IF BSDSDAY8 = 6                THEN BSDSDAY8 = .B ;
IF BSDGDAY9 = 6                THEN BSDGDAY9 = .B ;
IF BSDGSALL = 6                THEN BSDGSALL = .B ;
IF BSDMCMAI = 6                THEN BSDMCMAI = .B ;
IF BSDMPATM = 6                THEN BSDMPATM = .B ;
IF BSDGSTDT = 96               THEN BSDGSTDT = .B ;
IF BSDSCSAI = 6                THEN BSDSCSAI = .B ;
IF BSDECSAI = 6                THEN BSDECSAI = .B ;
IF BSDBCSAI = 6                THEN BSDBCSAI = .B ;
IF BSDCCSAI = 6                THEN BSDCCSAI = .B ;
IF BSDPCSAI = 6                THEN BSDPCSAI = .B ;
IF BSDSPATS = 6                THEN BSDSPATS = .B ;
IF BSDEPATS = 6                THEN BSDEPATS = .B ;
IF BSDBPATS = 6                THEN BSDBPATS = .B ;
IF BSDCPATS = 6                THEN BSDCPATS = .B ;
IF BSDPPATS = 6                THEN BSDPPATS = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDBSET   = 9                THEN IDBSET   = . ;
IF IDSCORR  = 999              THEN IDSCORR  = . ;
IF IDSCORA  = 999              THEN IDSCORA  = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDCLASS  = 99999999         THEN IDCLASS  = . ;
IF IDSTUD   = 9999999999       THEN IDSTUD   = . ;
IF IDGRADE  = 99               THEN IDGRADE  = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF ITEXCLUD = 9                THEN ITEXCLUD = . ;
IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITLANG   = 999              THEN ITLANG   = . ;
IF ITADMINI = 9                THEN ITADMINI = . ;
IF ITDATEM  = 99               THEN ITDATEM  = . ;
IF ITDATEY  = 9999             THEN ITDATEY  = . ;
IF ITPART   = 9                THEN ITPART   = . ;
IF ILRELIAB = 9                THEN ILRELIAB = . ;
IF BSBGBIRD = 99               THEN BSBGBIRD = . ;
IF BSBGBIRM = 99               THEN BSBGBIRM = . ;
IF BSBGBIRY = 99               THEN BSBGBIRY = . ;
IF BSDAGE   = 99               THEN BSDAGE   = . ;
IF BSBGSEX  = 9                THEN BSBGSEX  = . ;
IF BSBGBRN1 = 9                THEN BSBGBRN1 = . ;
IF BSBGBRN2 = 99               THEN BSBGBRN2 = . ;
IF BSBGLANG = 9                THEN BSBGLANG = . ;
IF BSBMEXTR = 9                THEN BSBMEXTR = . ;
IF BSBSEXTR = 9                THEN BSBSEXTR = . ;
IF BSBGCLUB = 9                THEN BSBGCLUB = . ;
IF BSBGPAID = 9                THEN BSBGPAID = . ;
IF BSBGDAY1 = 9                THEN BSBGDAY1 = . ;
IF BSBGDAY2 = 9                THEN BSBGDAY2 = . ;
IF BSBGDAY3 = 9                THEN BSBGDAY3 = . ;
IF BSBGDAY4 = 9                THEN BSBGDAY4 = . ;
IF BSBGDAY5 = 9                THEN BSBGDAY5 = . ;
IF BSBGDAY6 = 9                THEN BSBGDAY6 = . ;
IF BSBMDAY7 = 9                THEN BSBMDAY7 = . ;
IF BSBSDAY8 = 9                THEN BSBSDAY8 = . ;
IF BSBGDAY9 = 9                THEN BSBGDAY9 = . ;
IF BSBGEDMO = 99               THEN BSBGEDMO = . ;
IF BSBGEDFA = 99               THEN BSBGEDFA = . ;
IF BSBGEDSE = 9                THEN BSBGEDSE = . ;
IF BSBGBRNM = 9                THEN BSBGBRNM = . ;
IF BSBGBRNF = 9                THEN BSBGBRNF = . ;
IF BSBGBOOK = 9                THEN BSBGBOOK = . ;
IF BSBGPS01 = 9                THEN BSBGPS01 = . ;
IF BSBGPS02 = 9                THEN BSBGPS02 = . ;
IF BSBGPS03 = 9                THEN BSBGPS03 = . ;
IF BSBGPS04 = 9                THEN BSBGPS04 = . ;
IF BSBGPS05 = 9                THEN BSBGPS05 = . ;
IF BSBGPS06 = 9                THEN BSBGPS06 = . ;
IF BSBGPS07 = 9                THEN BSBGPS07 = . ;
IF BSBGPS08 = 9                THEN BSBGPS08 = . ;
IF BSBGPS09 = 9                THEN BSBGPS09 = . ;
IF BSBGPS10 = 9                THEN BSBGPS10 = . ;
IF BSBGPS11 = 9                THEN BSBGPS11 = . ;
IF BSBGPS12 = 9                THEN BSBGPS12 = . ;
IF BSBGPS13 = 9                THEN BSBGPS13 = . ;
IF BSBGPS14 = 9                THEN BSBGPS14 = . ;
IF BSBGPS15 = 9                THEN BSBGPS15 = . ;
IF BSBGPS16 = 9                THEN BSBGPS16 = . ;
IF BSBSMIP1 = 9                THEN BSBSMIP1 = . ;
IF BSBMMIP2 = 9                THEN BSBMMIP2 = . ;
IF BSBGMIP3 = 9                THEN BSBGMIP3 = . ;
IF BSBGMIP5 = 9                THEN BSBGMIP5 = . ;
IF BSBGMIP4 = 9                THEN BSBGMIP4 = . ;
IF BSBMCLS1 = 9                THEN BSBMCLS1 = . ;
IF BSBMCLS2 = 9                THEN BSBMCLS2 = . ;
IF BSBMCLS3 = 9                THEN BSBMCLS3 = . ;
IF BSBSFIP1 = 9                THEN BSBSFIP1 = . ;
IF BSBMFIP2 = 9                THEN BSBMFIP2 = . ;
IF BSBGFIP3 = 9                THEN BSBGFIP3 = . ;
IF BSBGFIP4 = 9                THEN BSBGFIP4 = . ;
IF BSBGFIP5 = 9                THEN BSBGFIP5 = . ;
IF BSBSSIP1 = 9                THEN BSBSSIP1 = . ;
IF BSBMSIP2 = 9                THEN BSBMSIP2 = . ;
IF BSBGSIP3 = 9                THEN BSBGSIP3 = . ;
IF BSBGSIP4 = 9                THEN BSBGSIP4 = . ;
IF BSBGSIP5 = 9                THEN BSBGSIP5 = . ;
IF BSBMGOOD = 9                THEN BSBMGOOD = . ;
IF BSBBGOOD = 9                THEN BSBBGOOD = . ;
IF BSBEGOOD = 9                THEN BSBEGOOD = . ;
IF BSBCGOOD = 9                THEN BSBCGOOD = . ;
IF BSBPGOOD = 9                THEN BSBPGOOD = . ;
IF BSBMMYT1 = 9                THEN BSBMMYT1 = . ;
IF BSBMMYT2 = 9                THEN BSBMMYT2 = . ;
IF BSBMMYT3 = 9                THEN BSBMMYT3 = . ;
IF BSBMMYT4 = 9                THEN BSBMMYT4 = . ;
IF BSBMMYT5 = 9                THEN BSBMMYT5 = . ;
IF BSBMDOW1 = 9                THEN BSBMDOW1 = . ;
IF BSBMDOW2 = 9                THEN BSBMDOW2 = . ;
IF BSBMDOW3 = 9                THEN BSBMDOW3 = . ;
IF BSBMDOW4 = 9                THEN BSBMDOW4 = . ;
IF BSBSBYT1 = 9                THEN BSBSBYT1 = . ;
IF BSBSBYT2 = 9                THEN BSBSBYT2 = . ;
IF BSBSBYT3 = 9                THEN BSBSBYT3 = . ;
IF BSBSBYT4 = 9                THEN BSBSBYT4 = . ;
IF BSBSEYT1 = 9                THEN BSBSEYT1 = . ;
IF BSBSEYT2 = 9                THEN BSBSEYT2 = . ;
IF BSBSEYT3 = 9                THEN BSBSEYT3 = . ;
IF BSBSEYT4 = 9                THEN BSBSEYT4 = . ;
IF BSBSCYT1 = 9                THEN BSBSCYT1 = . ;
IF BSBSCYT2 = 9                THEN BSBSCYT2 = . ;
IF BSBSCYT3 = 9                THEN BSBSCYT3 = . ;
IF BSBSCYT4 = 9                THEN BSBSCYT4 = . ;
IF BSBSPYT1 = 9                THEN BSBSPYT1 = . ;
IF BSBSPYT2 = 9                THEN BSBSPYT2 = . ;
IF BSBSPYT3 = 9                THEN BSBSPYT3 = . ;
IF BSBSPYT4 = 9                THEN BSBSPYT4 = . ;
IF BSBSDOW1 = 9                THEN BSBSDOW1 = . ;
IF BSBSDOW2 = 9                THEN BSBSDOW2 = . ;
IF BSBSDOW3 = 9                THEN BSBSDOW3 = . ;
IF BSBSDOW4 = 9                THEN BSBSDOW4 = . ;
IF BSBMLIKE = 9                THEN BSBMLIKE = . ;
IF BSBBLIKB = 9                THEN BSBBLIKB = . ;
IF BSBBLIKE = 9                THEN BSBBLIKE = . ;
IF BSBELIKS = 9                THEN BSBELIKS = . ;
IF BSBELIKE = 9                THEN BSBELIKE = . ;
IF BSBCLIKC = 9                THEN BSBCLIKC = . ;
IF BSBCLIKE = 9                THEN BSBCLIKE = . ;
IF BSBPLIKP = 9                THEN BSBPLIKP = . ;
IF BSBPLIKE = 9                THEN BSBPLIKE = . ;
IF BSBMLUCM = 9                THEN BSBMLUCM = . ;
IF BSBSLUCS = 9                THEN BSBSLUCS = . ;
IF BSBGINT1 = 9                THEN BSBGINT1 = . ;
IF BSBGINT2 = 9                THEN BSBGINT2 = . ;
IF BSBGINT3 = 9                THEN BSBGINT3 = . ;
IF BSBGOFT1 = 9                THEN BSBGOFT1 = . ;
IF BSBGOFT2 = 9                THEN BSBGOFT2 = . ;
IF BSBGOFT3 = 9                THEN BSBGOFT3 = . ;
IF BSBGOFT4 = 9                THEN BSBGOFT4 = . ;
IF BSBMENJY = 9                THEN BSBMENJY = . ;
IF BSBMBORE = 9                THEN BSBMBORE = . ;
IF BSBMEASY = 9                THEN BSBMEASY = . ;
IF BSBMLIFE = 9                THEN BSBMLIFE = . ;
IF BSBMWORK = 9                THEN BSBMWORK = . ;
IF BSBMJOB  = 9                THEN BSBMJOB  = . ;
IF BSBMPRNT = 9                THEN BSBMPRNT = . ;
IF BSBMSCHL = 9                THEN BSBMSCHL = . ;
IF BSBMSELF = 9                THEN BSBMSELF = . ;
IF BSBMPROB = 9                THEN BSBMPROB = . ;
IF BSBMNOTE = 9                THEN BSBMNOTE = . ;
IF BSBMTEST = 9                THEN BSBMTEST = . ;
IF BSBMPROJ = 9                THEN BSBMPROJ = . ;
IF BSBMWSHT = 9                THEN BSBMWSHT = . ;
IF BSBMCALC = 9                THEN BSBMCALC = . ;
IF BSBMCOMP = 9                THEN BSBMCOMP = . ;
IF BSBMEVLF = 9                THEN BSBMEVLF = . ;
IF BSBMSGRP = 9                THEN BSBMSGRP = . ;
IF BSBMHWGV = 9                THEN BSBMHWGV = . ;
IF BSBMHWCL = 9                THEN BSBMHWCL = . ;
IF BSBMHWTC = 9                THEN BSBMHWTC = . ;
IF BSBMHWFC = 9                THEN BSBMHWFC = . ;
IF BSBMHWDS = 9                THEN BSBMHWDS = . ;
IF BSBMUSBT = 9                THEN BSBMUSBT = . ;
IF BSBMUSOT = 9                THEN BSBMUSOT = . ;
IF BSBMUSBS = 9                THEN BSBMUSBS = . ;
IF BSBMUSOS = 9                THEN BSBMUSOS = . ;
IF BSBMRUPT = 9                THEN BSBMRUPT = . ;
IF BSBMIDEA = 9                THEN BSBMIDEA = . ;
IF BSBMRULE = 9                THEN BSBMRULE = . ;
IF BSBMPRAC = 9                THEN BSBMPRAC = . ;
IF BSBMSMGP = 9                THEN BSBMSMGP = . ;
IF BSBMASK  = 9                THEN BSBMASK  = . ;
IF BSBMTXBK = 9                THEN BSBMTXBK = . ;
IF BSBMEG   = 9                THEN BSBMEG   = . ;
IF BSBBSTDY = 9                THEN BSBBSTDY = . ;
IF BSBCSTDY = 9                THEN BSBCSTDY = . ;
IF BSBESTDY = 9                THEN BSBESTDY = . ;
IF BSBPSTDY = 9                THEN BSBPSTDY = . ;
IF BSBBENJY = 9                THEN BSBBENJY = . ;
IF BSBBBORE = 9                THEN BSBBBORE = . ;
IF BSBBEASY = 9                THEN BSBBEASY = . ;
IF BSBBLIFE = 9                THEN BSBBLIFE = . ;
IF BSBBWORK = 9                THEN BSBBWORK = . ;
IF BSBBJOB  = 9                THEN BSBBJOB  = . ;
IF BSBBPRNT = 9                THEN BSBBPRNT = . ;
IF BSBBSCHL = 9                THEN BSBBSCHL = . ;
IF BSBBSELF = 9                THEN BSBBSELF = . ;
IF BSBBPROB = 9                THEN BSBBPROB = . ;
IF BSBBNOTE = 9                THEN BSBBNOTE = . ;
IF BSBBTEST = 9                THEN BSBBTEST = . ;
IF BSBBPROJ = 9                THEN BSBBPROJ = . ;
IF BSBBWSHT = 9                THEN BSBBWSHT = . ;
IF BSBBCALC = 9                THEN BSBBCALC = . ;
IF BSBBCOMP = 9                THEN BSBBCOMP = . ;
IF BSBBEVLF = 9                THEN BSBBEVLF = . ;
IF BSBBSGRP = 9                THEN BSBBSGRP = . ;
IF BSBBHWGV = 9                THEN BSBBHWGV = . ;
IF BSBBHWCL = 9                THEN BSBBHWCL = . ;
IF BSBBHWTC = 9                THEN BSBBHWTC = . ;
IF BSBBHWFC = 9                THEN BSBBHWFC = . ;
IF BSBBHWDS = 9                THEN BSBBHWDS = . ;
IF BSBBDEMO = 9                THEN BSBBDEMO = . ;
IF BSBBEXPR = 9                THEN BSBBEXPR = . ;
IF BSBBUSBT = 9                THEN BSBBUSBT = . ;
IF BSBBUSOT = 9                THEN BSBBUSOT = . ;
IF BSBBUSBS = 9                THEN BSBBUSBS = . ;
IF BSBBUSOS = 9                THEN BSBBUSOS = . ;
IF BSBBRUPT = 9                THEN BSBBRUPT = . ;
IF BSBBIDEA = 9                THEN BSBBIDEA = . ;
IF BSBBRULE = 9                THEN BSBBRULE = . ;
IF BSBBPRAC = 9                THEN BSBBPRAC = . ;
IF BSBBSMGP = 9                THEN BSBBSMGP = . ;
IF BSBBASK  = 9                THEN BSBBASK  = . ;
IF BSBBTXBK = 9                THEN BSBBTXBK = . ;
IF BSBBEG   = 9                THEN BSBBEG   = . ;
IF BSBCENJY = 9                THEN BSBCENJY = . ;
IF BSBCBORE = 9                THEN BSBCBORE = . ;
IF BSBCEASY = 9                THEN BSBCEASY = . ;
IF BSBCLIFE = 9                THEN BSBCLIFE = . ;
IF BSBCWORK = 9                THEN BSBCWORK = . ;
IF BSBCJOB  = 9                THEN BSBCJOB  = . ;
IF BSBCPRNT = 9                THEN BSBCPRNT = . ;
IF BSBCSCHL = 9                THEN BSBCSCHL = . ;
IF BSBCSELF = 9                THEN BSBCSELF = . ;
IF BSBCPROB = 9                THEN BSBCPROB = . ;
IF BSBCNOTE = 9                THEN BSBCNOTE = . ;
IF BSBCTEST = 9                THEN BSBCTEST = . ;
IF BSBCPROJ = 9                THEN BSBCPROJ = . ;
IF BSBCWSHT = 9                THEN BSBCWSHT = . ;
IF BSBCCALC = 9                THEN BSBCCALC = . ;
IF BSBCCOMP = 9                THEN BSBCCOMP = . ;
IF BSBCEVLF = 9                THEN BSBCEVLF = . ;
IF BSBCSGRP = 9                THEN BSBCSGRP = . ;
IF BSBCHWGV = 9                THEN BSBCHWGV = . ;
IF BSBCHWCL = 9                THEN BSBCHWCL = . ;
IF BSBCHWTC = 9                THEN BSBCHWTC = . ;
IF BSBCHWFC = 9                THEN BSBCHWFC = . ;
IF BSBCHWDS = 9                THEN BSBCHWDS = . ;
IF BSBCDEMO = 9                THEN BSBCDEMO = . ;
IF BSBCEXPR = 9                THEN BSBCEXPR = . ;
IF BSBCUSBT = 9                THEN BSBCUSBT = . ;
IF BSBCUSOT = 9                THEN BSBCUSOT = . ;
IF BSBCUSBS = 9                THEN BSBCUSBS = . ;
IF BSBCUSOS = 9                THEN BSBCUSOS = . ;
IF BSBCRUPT = 9                THEN BSBCRUPT = . ;
IF BSBCIDEA = 9                THEN BSBCIDEA = . ;
IF BSBCRULE = 9                THEN BSBCRULE = . ;
IF BSBCPRAC = 9                THEN BSBCPRAC = . ;
IF BSBCSMGP = 9                THEN BSBCSMGP = . ;
IF BSBCASK  = 9                THEN BSBCASK  = . ;
IF BSBCTXBK = 9                THEN BSBCTXBK = . ;
IF BSBCEG   = 9                THEN BSBCEG   = . ;
IF BSBEENJY = 9                THEN BSBEENJY = . ;
IF BSBEBORE = 9                THEN BSBEBORE = . ;
IF BSBEEASY = 9                THEN BSBEEASY = . ;
IF BSBELIFE = 9                THEN BSBELIFE = . ;
IF BSBEWORK = 9                THEN BSBEWORK = . ;
IF BSBEJOB  = 9                THEN BSBEJOB  = . ;
IF BSBEPRNT = 9                THEN BSBEPRNT = . ;
IF BSBESCHL = 9                THEN BSBESCHL = . ;
IF BSBESELF = 9                THEN BSBESELF = . ;
IF BSBEPROB = 9                THEN BSBEPROB = . ;
IF BSBENOTE = 9                THEN BSBENOTE = . ;
IF BSBETEST = 9                THEN BSBETEST = . ;
IF BSBEPROJ = 9                THEN BSBEPROJ = . ;
IF BSBEWSHT = 9                THEN BSBEWSHT = . ;
IF BSBECALC = 9                THEN BSBECALC = . ;
IF BSBECOMP = 9                THEN BSBECOMP = . ;
IF BSBEEVLF = 9                THEN BSBEEVLF = . ;
IF BSBESGRP = 9                THEN BSBESGRP = . ;
IF BSBEHWGV = 9                THEN BSBEHWGV = . ;
IF BSBEHWCL = 9                THEN BSBEHWCL = . ;
IF BSBEHWTC = 9                THEN BSBEHWTC = . ;
IF BSBEHWFC = 9                THEN BSBEHWFC = . ;
IF BSBEHWDS = 9                THEN BSBEHWDS = . ;
IF BSBEDEMO = 9                THEN BSBEDEMO = . ;
IF BSBEEXPR = 9                THEN BSBEEXPR = . ;
IF BSBEUSBT = 9                THEN BSBEUSBT = . ;
IF BSBEUSOT = 9                THEN BSBEUSOT = . ;
IF BSBEUSBS = 9                THEN BSBEUSBS = . ;
IF BSBEUSOS = 9                THEN BSBEUSOS = . ;
IF BSBERUPT = 9                THEN BSBERUPT = . ;
IF BSBEIDEA = 9                THEN BSBEIDEA = . ;
IF BSBERULE = 9                THEN BSBERULE = . ;
IF BSBEPRAC = 9                THEN BSBEPRAC = . ;
IF BSBESMGP = 9                THEN BSBESMGP = . ;
IF BSBEASK  = 9                THEN BSBEASK  = . ;
IF BSBETXBK = 9                THEN BSBETXBK = . ;
IF BSBEEG   = 9                THEN BSBEEG   = . ;
IF BSBPENJY = 9                THEN BSBPENJY = . ;
IF BSBPBORE = 9                THEN BSBPBORE = . ;
IF BSBPEASY = 9                THEN BSBPEASY = . ;
IF BSBPLIFE = 9                THEN BSBPLIFE = . ;
IF BSBPWORK = 9                THEN BSBPWORK = . ;
IF BSBPJOB  = 9                THEN BSBPJOB  = . ;
IF BSBPPRNT = 9                THEN BSBPPRNT = . ;
IF BSBPSCHL = 9                THEN BSBPSCHL = . ;
IF BSBPSELF = 9                THEN BSBPSELF = . ;
IF BSBPPROB = 9                THEN BSBPPROB = . ;
IF BSBPNOTE = 9                THEN BSBPNOTE = . ;
IF BSBPTEST = 9                THEN BSBPTEST = . ;
IF BSBPPROJ = 9                THEN BSBPPROJ = . ;
IF BSBPWSHT = 9                THEN BSBPWSHT = . ;
IF BSBPCALC = 9                THEN BSBPCALC = . ;
IF BSBPCOMP = 9                THEN BSBPCOMP = . ;
IF BSBPEVLF = 9                THEN BSBPEVLF = . ;
IF BSBPSGRP = 9                THEN BSBPSGRP = . ;
IF BSBPHWGV = 9                THEN BSBPHWGV = . ;
IF BSBPHWCL = 9                THEN BSBPHWCL = . ;
IF BSBPHWTC = 9                THEN BSBPHWTC = . ;
IF BSBPHWFC = 9                THEN BSBPHWFC = . ;
IF BSBPHWDS = 9                THEN BSBPHWDS = . ;
IF BSBPDEMO = 9                THEN BSBPDEMO = . ;
IF BSBPEXPR = 9                THEN BSBPEXPR = . ;
IF BSBPUSBT = 9                THEN BSBPUSBT = . ;
IF BSBPUSOT = 9                THEN BSBPUSOT = . ;
IF BSBPUSBS = 9                THEN BSBPUSBS = . ;
IF BSBPUSOS = 9                THEN BSBPUSOS = . ;
IF BSBPRUPT = 9                THEN BSBPRUPT = . ;
IF BSBPIDEA = 9                THEN BSBPIDEA = . ;
IF BSBPRULE = 9                THEN BSBPRULE = . ;
IF BSBPPRAC = 9                THEN BSBPPRAC = . ;
IF BSBPSMGP = 9                THEN BSBPSMGP = . ;
IF BSBPASK  = 9                THEN BSBPASK  = . ;
IF BSBPTXBK = 9                THEN BSBPTXBK = . ;
IF BSBPEG   = 9                THEN BSBPEG   = . ;
IF BSBGADU1 = 9                THEN BSBGADU1 = . ;
IF BSBGADU2 = 9                THEN BSBGADU2 = . ;
IF BSBGADU3 = 9                THEN BSBGADU3 = . ;
IF BSBGADU4 = 9                THEN BSBGADU4 = . ;
IF BSBGADU5 = 9                THEN BSBGADU5 = . ;
IF BSBGADU6 = 9                THEN BSBGADU6 = . ;
IF BSBGADU7 = 9                THEN BSBGADU7 = . ;
IF BSBGADU8 = 9                THEN BSBGADU8 = . ;
IF BSBGADU9 = 9                THEN BSBGADU9 = . ;
IF BSBGHOME = 99               THEN BSBGHOME = . ;
IF BSBGACT1 = 9                THEN BSBGACT1 = . ;
IF BSBGACT2 = 9                THEN BSBGACT2 = . ;
IF BSBGACT3 = 9                THEN BSBGACT3 = . ;
IF BSBGACT4 = 9                THEN BSBGACT4 = . ;
IF BSBGACT5 = 9                THEN BSBGACT5 = . ;
IF BSBGNEWS = 9                THEN BSBGNEWS = . ;
IF BSBGOPER = 9                THEN BSBGOPER = . ;
IF BSBGNATR = 9                THEN BSBGNATR = . ;
IF BSBGPOPU = 9                THEN BSBGPOPU = . ;
IF BSBGSPRT = 9                THEN BSBGSPRT = . ;
IF BSBGVIDE = 9                THEN BSBGVIDE = . ;
IF BSBGCRTN = 9                THEN BSBGCRTN = . ;
IF BSBGCMDY = 9                THEN BSBGCMDY = . ;
IF BSBGSSKP = 9                THEN BSBGSSKP = . ;
IF BSBGSSTL = 9                THEN BSBGSSTL = . ;
IF BSBGSHRT = 9                THEN BSBGSHRT = . ;
IF BSBGFSKP = 9                THEN BSBGFSKP = . ;
IF BSBGFSTL = 9                THEN BSBGFSTL = . ;
IF BSBGFHRT = 9                THEN BSBGFHRT = . ;
IF BSBGENV1 = 9                THEN BSBGENV1 = . ;
IF BSBGENV2 = 9                THEN BSBGENV2 = . ;
IF BSBGENV3 = 9                THEN BSBGENV3 = . ;
IF BSBGENV4 = 9                THEN BSBGENV4 = . ;
IF BSBGENV5 = 9                THEN BSBGENV5 = . ;
IF BSBGENV6 = 9                THEN BSBGENV6 = . ;
IF BSBSCARE = 9                THEN BSBSCARE = . ;
IF BSBSSYT1 = 9                THEN BSBSSYT1 = . ;
IF BSBSSYT2 = 9                THEN BSBSSYT2 = . ;
IF BSBSSYT3 = 9                THEN BSBSSYT3 = . ;
IF BSBSSYT4 = 9                THEN BSBSSYT4 = . ;
IF BSBMLIKM = 9                THEN BSBMLIKM = . ;
IF BSBSLIKE = 9                THEN BSBSLIKE = . ;
IF BSBSLIKS = 9                THEN BSBSLIKS = . ;
IF BSBSSCYE = 9                THEN BSBSSCYE = . ;
IF BSBSENJY = 9                THEN BSBSENJY = . ;
IF BSBSBORE = 9                THEN BSBSBORE = . ;
IF BSBSEASY = 9                THEN BSBSEASY = . ;
IF BSBSLIFE = 9                THEN BSBSLIFE = . ;
IF BSBSWORK = 9                THEN BSBSWORK = . ;
IF BSBSJOB  = 9                THEN BSBSJOB  = . ;
IF BSBSPRNT = 9                THEN BSBSPRNT = . ;
IF BSBSSCHL = 9                THEN BSBSSCHL = . ;
IF BSBSSELF = 9                THEN BSBSSELF = . ;
IF BSBSPROB = 9                THEN BSBSPROB = . ;
IF BSBSNOTE = 9                THEN BSBSNOTE = . ;
IF BSBSTEST = 9                THEN BSBSTEST = . ;
IF BSBSPROJ = 9                THEN BSBSPROJ = . ;
IF BSBSWSHT = 9                THEN BSBSWSHT = . ;
IF BSBSCALC = 9                THEN BSBSCALC = . ;
IF BSBSCOMP = 9                THEN BSBSCOMP = . ;
IF BSBSEVLF = 9                THEN BSBSEVLF = . ;
IF BSBSSGRP = 9                THEN BSBSSGRP = . ;
IF BSBSHWGV = 9                THEN BSBSHWGV = . ;
IF BSBSHWCL = 9                THEN BSBSHWCL = . ;
IF BSBSHWTC = 9                THEN BSBSHWTC = . ;
IF BSBSHWFC = 9                THEN BSBSHWFC = . ;
IF BSBSHWDS = 9                THEN BSBSHWDS = . ;
IF BSBSDEMO = 9                THEN BSBSDEMO = . ;
IF BSBSEXPR = 9                THEN BSBSEXPR = . ;
IF BSBSUSBT = 9                THEN BSBSUSBT = . ;
IF BSBSUSOT = 9                THEN BSBSUSOT = . ;
IF BSBSUSBS = 9                THEN BSBSUSBS = . ;
IF BSBSUSOS = 9                THEN BSBSUSOS = . ;
IF BSBSRUPT = 9                THEN BSBSRUPT = . ;
IF BSBSIDEA = 9                THEN BSBSIDEA = . ;
IF BSBSRULE = 9                THEN BSBSRULE = . ;
IF BSBSPRAC = 9                THEN BSBSPRAC = . ;
IF BSBSSMGP = 9                THEN BSBSSMGP = . ;
IF BSBSASK  = 9                THEN BSBSASK  = . ;
IF BSBSTXBK = 9                THEN BSBSTXBK = . ;
IF BSBSEG   = 9                THEN BSBSEG   = . ;
IF BSBSGOOD = 9                THEN BSBSGOOD = . ;
IF BSDGEDUP = 9                THEN BSDGEDUP = . ;
IF BSDGPSA  = 9                THEN BSDGPSA  = . ;
IF BSDGHERI = 9                THEN BSDGHERI = . ;
IF BSDGSPPI = 9                THEN BSDGSPPI = . ;
IF BSDGOSTI = 9                THEN BSDGOSTI = . ;
IF BSDMDAY7 = 9                THEN BSDMDAY7 = . ;
IF BSDSDAY8 = 9                THEN BSDSDAY8 = . ;
IF BSDGDAY9 = 9                THEN BSDGDAY9 = . ;
IF BSDGSALL = 9                THEN BSDGSALL = . ;
IF BSDMCMAI = 9                THEN BSDMCMAI = . ;
IF BSDMPATM = 9                THEN BSDMPATM = . ;
IF BSDGSTDT = 99               THEN BSDGSTDT = . ;
IF BSDSCSAI = 9                THEN BSDSCSAI = . ;
IF BSDECSAI = 9                THEN BSDECSAI = . ;
IF BSDBCSAI = 9                THEN BSDBCSAI = . ;
IF BSDCCSAI = 9                THEN BSDCCSAI = . ;
IF BSDPCSAI = 9                THEN BSDPCSAI = . ;
IF BSDSPATS = 9                THEN BSDSPATS = . ;
IF BSDEPATS = 9                THEN BSDEPATS = . ;
IF BSDBPATS = 9                THEN BSDBPATS = . ;
IF BSDCPATS = 9                THEN BSDCPATS = . ;
IF BSDPPATS = 9                THEN BSDPPATS = . ;
IF TOTWGT   = 9999             THEN TOTWGT   = . ;
IF HOUWGT   = 99               THEN HOUWGT   = . ;
IF SENWGT   = 9                THEN SENWGT   = . ;
IF WGTFAC1  = 9999             THEN WGTFAC1  = . ;
IF WGTADJ1  = 99               THEN WGTADJ1  = . ;
IF WGTFAC2  = 999              THEN WGTFAC2  = . ;
IF WGTFAC3  = 999              THEN WGTFAC3  = . ;
IF WGTADJ3  = 99               THEN WGTADJ3  = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF INTMS95  = 9                THEN INTMS95  = . ;
IF INTMS99  = 9                THEN INTMS99  = . ;
IF BSMSTDR  = 99               THEN BSMSTDR  = . ;
IF BSMNRSC  = 999              THEN BSMNRSC  = . ;
IF BSMSCPT  = 99               THEN BSMSCPT  = . ;
IF BSSSTDR  = 99               THEN BSSSTDR  = . ;
IF BSSNRSC  = 999              THEN BSSNRSC  = . ;
IF BSSSCPT  = 99               THEN BSSSCPT  = . ;
IF BSMMAT01 = 999              THEN BSMMAT01 = . ;
IF BSMMAT02 = 999              THEN BSMMAT02 = . ;
IF BSMMAT03 = 999              THEN BSMMAT03 = . ;
IF BSMMAT04 = 999              THEN BSMMAT04 = . ;
IF BSMMAT05 = 999              THEN BSMMAT05 = . ;
IF BSSSCI01 = 999              THEN BSSSCI01 = . ;
IF BSSSCI02 = 999              THEN BSSSCI02 = . ;
IF BSSSCI03 = 999              THEN BSSSCI03 = . ;
IF BSSSCI04 = 999              THEN BSSSCI04 = . ;
IF BSSSCI05 = 999              THEN BSSSCI05 = . ;
IF BSMALG01 = 999              THEN BSMALG01 = . ;
IF BSMALG02 = 999              THEN BSMALG02 = . ;
IF BSMALG03 = 999              THEN BSMALG03 = . ;
IF BSMALG04 = 999              THEN BSMALG04 = . ;
IF BSMALG05 = 999              THEN BSMALG05 = . ;
IF BSMDAP01 = 999              THEN BSMDAP01 = . ;
IF BSMDAP02 = 999              THEN BSMDAP02 = . ;
IF BSMDAP03 = 999              THEN BSMDAP03 = . ;
IF BSMDAP04 = 999              THEN BSMDAP04 = . ;
IF BSMDAP05 = 999              THEN BSMDAP05 = . ;
IF BSMFNS01 = 999              THEN BSMFNS01 = . ;
IF BSMFNS02 = 999              THEN BSMFNS02 = . ;
IF BSMFNS03 = 999              THEN BSMFNS03 = . ;
IF BSMFNS04 = 999              THEN BSMFNS04 = . ;
IF BSMFNS05 = 999              THEN BSMFNS05 = . ;
IF BSMGEO01 = 999              THEN BSMGEO01 = . ;
IF BSMGEO02 = 999              THEN BSMGEO02 = . ;
IF BSMGEO03 = 999              THEN BSMGEO03 = . ;
IF BSMGEO04 = 999              THEN BSMGEO04 = . ;
IF BSMGEO05 = 999              THEN BSMGEO05 = . ;
IF BSMMEA01 = 999              THEN BSMMEA01 = . ;
IF BSMMEA02 = 999              THEN BSMMEA02 = . ;
IF BSMMEA03 = 999              THEN BSMMEA03 = . ;
IF BSMMEA04 = 999              THEN BSMMEA04 = . ;
IF BSMMEA05 = 999              THEN BSMMEA05 = . ;
IF BSSCHE01 = 999              THEN BSSCHE01 = . ;
IF BSSCHE02 = 999              THEN BSSCHE02 = . ;
IF BSSCHE03 = 999              THEN BSSCHE03 = . ;
IF BSSCHE04 = 999              THEN BSSCHE04 = . ;
IF BSSCHE05 = 999              THEN BSSCHE05 = . ;
IF BSSEAS01 = 999              THEN BSSEAS01 = . ;
IF BSSEAS02 = 999              THEN BSSEAS02 = . ;
IF BSSEAS03 = 999              THEN BSSEAS03 = . ;
IF BSSEAS04 = 999              THEN BSSEAS04 = . ;
IF BSSEAS05 = 999              THEN BSSEAS05 = . ;
IF BSSLIS01 = 999              THEN BSSLIS01 = . ;
IF BSSLIS02 = 999              THEN BSSLIS02 = . ;
IF BSSLIS03 = 999              THEN BSSLIS03 = . ;
IF BSSLIS04 = 999              THEN BSSLIS04 = . ;
IF BSSLIS05 = 999              THEN BSSLIS05 = . ;
IF BSSPHY01 = 999              THEN BSSPHY01 = . ;
IF BSSPHY02 = 999              THEN BSSPHY02 = . ;
IF BSSPHY03 = 999              THEN BSSPHY03 = . ;
IF BSSPHY04 = 999              THEN BSSPHY04 = . ;
IF BSSPHY05 = 999              THEN BSSPHY05 = . ;
IF BSSERI01 = 999              THEN BSSERI01 = . ;
IF BSSERI02 = 999              THEN BSSERI02 = . ;
IF BSSERI03 = 999              THEN BSSERI03 = . ;
IF BSSERI04 = 999              THEN BSSERI04 = . ;
IF BSSERI05 = 999              THEN BSSERI05 = . ;
IF BSSNOS01 = 999              THEN BSSNOS01 = . ;
IF BSSNOS02 = 999              THEN BSSNOS02 = . ;
IF BSSNOS03 = 999              THEN BSSNOS03 = . ;
IF BSSNOS04 = 999              THEN BSSNOS04 = . ;
IF BSSNOS05 = 999              THEN BSSNOS05 = . ;
IF BSMIBM01 = 9                THEN BSMIBM01 = . ;
IF BSMIBM02 = 9                THEN BSMIBM02 = . ;
IF BSMIBM03 = 9                THEN BSMIBM03 = . ;
IF BSMIBM04 = 9                THEN BSMIBM04 = . ;
IF BSMIBM05 = 9                THEN BSMIBM05 = . ;
IF BSMNBM01 = 9                THEN BSMNBM01 = . ;
IF BSMNBM02 = 9                THEN BSMNBM02 = . ;
IF BSMNBM03 = 9                THEN BSMNBM03 = . ;
IF BSMNBM04 = 9                THEN BSMNBM04 = . ;
IF BSMNBM05 = 9                THEN BSMNBM05 = . ;
IF BSSIBM01 = 9                THEN BSSIBM01 = . ;
IF BSSIBM02 = 9                THEN BSSIBM02 = . ;
IF BSSIBM03 = 9                THEN BSSIBM03 = . ;
IF BSSIBM04 = 9                THEN BSSIBM04 = . ;
IF BSSIBM05 = 9                THEN BSSIBM05 = . ;
IF BSSNBM01 = 9                THEN BSSNBM01 = . ;
IF BSSNBM02 = 9                THEN BSSNBM02 = . ;
IF BSSNBM03 = 9                THEN BSSNBM03 = . ;
IF BSSNBM04 = 9                THEN BSSNBM04 = . ;
IF BSSNBM05 = 9                THEN BSSNBM05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idstud;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;











