%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bsr&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDBOOK     3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCORR    3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDCLASS    8 ;
LENGTH      IDSTUD     8 ;
LENGTH      MS22261A   3 ;
LENGTH      MI22261A   3 ;
LENGTH      MR22261A   3 ;
LENGTH      MS22261B   3 ;
LENGTH      MI22261B   3 ;
LENGTH      MR22261B   3 ;
LENGTH      MS22261C   3 ;
LENGTH      MI22261C   3 ;
LENGTH      MR22261C   3 ;
LENGTH      MS22227A   3 ;
LENGTH      MI22227A   3 ;
LENGTH      MR22227A   3 ;
LENGTH      MS22227B   3 ;
LENGTH      MI22227B   3 ;
LENGTH      MR22227B   3 ;
LENGTH      MS22227C   3 ;
LENGTH      MI22227C   3 ;
LENGTH      MR22227C   3 ;
LENGTH      MS22008    3 ;
LENGTH      MI22008    3 ;
LENGTH      MR22008    3 ;
LENGTH      MS22012    3 ;
LENGTH      MI22012    3 ;
LENGTH      MR22012    3 ;
LENGTH      SS22022    3 ;
LENGTH      SI22022    3 ;
LENGTH      SR22022    3 ;
LENGTH      SS22244    3 ;
LENGTH      SI22244    3 ;
LENGTH      SR22244    3 ;
LENGTH      MS22231B   3 ;
LENGTH      MI22231B   3 ;
LENGTH      MR22231B   3 ;
LENGTH      MS22244    3 ;
LENGTH      MI22244    3 ;
LENGTH      MR22244    3 ;
LENGTH      SS22088A   3 ;
LENGTH      SI22088A   3 ;
LENGTH      SR22088A   3 ;
LENGTH      SS22088B   3 ;
LENGTH      SI22088B   3 ;
LENGTH      SR22088B   3 ;
LENGTH      SS22249A   3 ;
LENGTH      SI22249A   3 ;
LENGTH      SR22249A   3 ;
LENGTH      SS22249B   3 ;
LENGTH      SI22249B   3 ;
LENGTH      SR22249B   3 ;
LENGTH      SS22286    3 ;
LENGTH      SI22286    3 ;
LENGTH      SR22286    3 ;
LENGTH      SS22174    3 ;
LENGTH      SI22174    3 ;
LENGTH      SR22174    3 ;
LENGTH      SS22081    3 ;
LENGTH      SI22081    3 ;
LENGTH      SR22081    3 ;
LENGTH      MS22026    3 ;
LENGTH      MI22026    3 ;
LENGTH      MR22026    3 ;
LENGTH      MS22030    3 ;
LENGTH      MI22030    3 ;
LENGTH      MR22030    3 ;
LENGTH      SS22172A   3 ;
LENGTH      SI22172A   3 ;
LENGTH      SR22172A   3 ;
LENGTH      MS22228    3 ;
LENGTH      MI22228    3 ;
LENGTH      MR22228    3 ;
LENGTH      MS22231A   3 ;
LENGTH      MI22231A   3 ;
LENGTH      MR22231A   3 ;
LENGTH      MS22046    3 ;
LENGTH      MI22046    3 ;
LENGTH      MR22046    3 ;
LENGTH      MS22055    3 ;
LENGTH      MI22055    3 ;
LENGTH      MR22055    3 ;
LENGTH      SS22035    3 ;
LENGTH      SI22035    3 ;
LENGTH      SR22035    3 ;
LENGTH      SS22160    3 ;
LENGTH      SI22160    3 ;
LENGTH      SR22160    3 ;
LENGTH      MS22232    3 ;
LENGTH      MI22232    3 ;
LENGTH      MR22232    3 ;
LENGTH      MS22234A   3 ;
LENGTH      MI22234A   3 ;
LENGTH      MR22234A   3 ;
LENGTH      MS22234B   3 ;
LENGTH      MI22234B   3 ;
LENGTH      MR22234B   3 ;
LENGTH      MS22243    3 ;
LENGTH      MI22243    3 ;
LENGTH      MR22243    3 ;
LENGTH      SS22282    3 ;
LENGTH      SI22282    3 ;
LENGTH      SR22282    3 ;
LENGTH      SS22172B   3 ;
LENGTH      SI22172B   3 ;
LENGTH      SR22172B   3 ;
LENGTH      SS22288    3 ;
LENGTH      SI22288    3 ;
LENGTH      SR22288    3 ;
LENGTH      SS22017    3 ;
LENGTH      SI22017    3 ;
LENGTH      SR22017    3 ;
LENGTH      SS22140    3 ;
LENGTH      SI22140    3 ;
LENGTH      SR22140    3 ;
LENGTH      MS22089    3 ;
LENGTH      MI22089    3 ;
LENGTH      MR22089    3 ;
LENGTH      SS22289    3 ;
LENGTH      SI22289    3 ;
LENGTH      SR22289    3 ;
LENGTH      SS22069    3 ;
LENGTH      SI22069    3 ;
LENGTH      SR22069    3 ;
LENGTH      SS22268    3 ;
LENGTH      SI22268    3 ;
LENGTH      SR22268    3 ;
LENGTH      MS22106    3 ;
LENGTH      MI22106    3 ;
LENGTH      MR22106    3 ;
LENGTH      MS22110    3 ;
LENGTH      MI22110    3 ;
LENGTH      MR22110    3 ;
LENGTH      SS22161    3 ;
LENGTH      SI22161    3 ;
LENGTH      SR22161    3 ;
LENGTH      SS22191    3 ;
LENGTH      SI22191    3 ;
LENGTH      SR22191    3 ;
LENGTH      SS22279    3 ;
LENGTH      SI22279    3 ;
LENGTH      SR22279    3 ;
LENGTH      MS22256    3 ;
LENGTH      MI22256    3 ;
LENGTH      MR22256    3 ;
LENGTH      MS22262A   3 ;
LENGTH      MI22262A   3 ;
LENGTH      MR22262A   3 ;
LENGTH      MS22262B   3 ;
LENGTH      MI22262B   3 ;
LENGTH      MR22262B   3 ;
LENGTH      MS22262C   3 ;
LENGTH      MI22262C   3 ;
LENGTH      MR22262C   3 ;
LENGTH      SS22141    3 ;
LENGTH      SI22141    3 ;
LENGTH      SR22141    3 ;
LENGTH      SS22049    3 ;
LENGTH      SI22049    3 ;
LENGTH      SR22049    3 ;
LENGTH      MS22118    3 ;
LENGTH      MI22118    3 ;
LENGTH      MR22118    3 ;
LENGTH      MS22132    3 ;
LENGTH      MI22132    3 ;
LENGTH      MR22132    3 ;
LENGTH      SS22217A   3 ;
LENGTH      SI22217A   3 ;
LENGTH      SR22217A   3 ;
LENGTH      SS22217B   3 ;
LENGTH      SI22217B   3 ;
LENGTH      SR22217B   3 ;
LENGTH      SS22217C   3 ;
LENGTH      SI22217C   3 ;
LENGTH      SR22217C   3 ;
LENGTH      SS22090    3 ;
LENGTH      SI22090    3 ;
LENGTH      SR22090    3 ;
LENGTH      SS22048    3 ;
LENGTH      SI22048    3 ;
LENGTH      SR22048    3 ;
LENGTH      MS22237    3 ;
LENGTH      MI22237    3 ;
LENGTH      MR22237    3 ;
LENGTH      MS22148    3 ;
LENGTH      MI22148    3 ;
LENGTH      MR22148    3 ;
LENGTH      MS22253    3 ;
LENGTH      MI22253    3 ;
LENGTH      MR22253    3 ;
LENGTH      MS22156    3 ;
LENGTH      MI22156    3 ;
LENGTH      MR22156    3 ;
LENGTH      SS22086    3 ;
LENGTH      SI22086    3 ;
LENGTH      SR22086    3 ;
LENGTH      SS22283    3 ;
LENGTH      SI22283    3 ;
LENGTH      SR22283    3 ;
LENGTH      SS22152    3 ;
LENGTH      SI22152    3 ;
LENGTH      SR22152    3 ;
LENGTH      SS22154    3 ;
LENGTH      SI22154    3 ;
LENGTH      SR22154    3 ;
LENGTH      MS22202    3 ;
LENGTH      MI22202    3 ;
LENGTH      MR22202    3 ;
LENGTH      SS22292    3 ;
LENGTH      SI22292    3 ;
LENGTH      SR22292    3 ;
LENGTH      SS22078    3 ;
LENGTH      SI22078    3 ;
LENGTH      SR22078    3 ;
LENGTH      SS22281    3 ;
LENGTH      SI22281    3 ;
LENGTH      SR22281    3 ;
LENGTH      SS22165A   3 ;
LENGTH      SI22165A   3 ;
LENGTH      SR22165A   3 ;
LENGTH      SS22165B   3 ;
LENGTH      SI22165B   3 ;
LENGTH      SR22165B   3 ;
LENGTH      SS22284    3 ;
LENGTH      SI22284    3 ;
LENGTH      SR22284    3 ;
LENGTH      SS22213    3 ;
LENGTH      SI22213    3 ;
LENGTH      SR22213    3 ;
LENGTH      MS22219    3 ;
LENGTH      MI22219    3 ;
LENGTH      MR22219    3 ;
LENGTH      MS22222    3 ;
LENGTH      MI22222    3 ;
LENGTH      MR22222    3 ;
LENGTH      SS22043    3 ;
LENGTH      SI22043    3 ;
LENGTH      SR22043    3 ;
LENGTH      SS22258    3 ;
LENGTH      SI22258    3 ;
LENGTH      SR22258    3 ;
LENGTH      SS22277A   3 ;
LENGTH      SI22277A   3 ;
LENGTH      SR22277A   3 ;
LENGTH      SS22277B   3 ;
LENGTH      SI22277B   3 ;
LENGTH      SR22277B   3 ;
LENGTH      SS22158    3 ;
LENGTH      SI22158    3 ;
LENGTH      SR22158    3 ;
LENGTH      MS22178    3 ;
LENGTH      MI22178    3 ;
LENGTH      MR22178    3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDBOOK        3-   3     
  IDCNTRY       4-   8     
  IDPOP         9-   9     
  IDSCORR      10-  12     
  IDSCHOOL     13-  18     
  IDCLASS      19-  26     
  IDSTUD       27-  36     
  MS22261A     37-  38     
  MI22261A     39-  39     
  MR22261A     40-  41     
  MS22261B     42-  43     
  MI22261B     44-  44     
  MR22261B     45-  46     
  MS22261C     47-  48     
  MI22261C     49-  49     
  MR22261C     50-  51     
  MS22227A     52-  53     
  MI22227A     54-  54     
  MR22227A     55-  56     
  MS22227B     57-  58     
  MI22227B     59-  59     
  MR22227B     60-  61     
  MS22227C     62-  63     
  MI22227C     64-  64     
  MR22227C     65-  66     
  MS22008      67-  68     
  MI22008      69-  69     
  MR22008      70-  71     
  MS22012      72-  73     
  MI22012      74-  74     
  MR22012      75-  76     
  SS22022      77-  78     
  SI22022      79-  79     
  SR22022      80-  81     
  SS22244      82-  83     
  SI22244      84-  84     
  SR22244      85-  86     
  MS22231B     87-  88     
  MI22231B     89-  89     
  MR22231B     90-  91     
  MS22244      92-  93     
  MI22244      94-  94     
  MR22244      95-  96     
  SS22088A     97-  98     
  SI22088A     99-  99     
  SR22088A    100- 101     
  SS22088B    102- 103     
  SI22088B    104- 104     
  SR22088B    105- 106     
  SS22249A    107- 108     
  SI22249A    109- 109     
  SR22249A    110- 111     
  SS22249B    112- 113     
  SI22249B    114- 114     
  SR22249B    115- 116     
  SS22286     117- 118     
  SI22286     119- 119     
  SR22286     120- 121     
  SS22174     122- 123     
  SI22174     124- 124     
  SR22174     125- 126     
  SS22081     127- 128     
  SI22081     129- 129     
  SR22081     130- 131     
  MS22026     132- 133     
  MI22026     134- 134     
  MR22026     135- 136     
  MS22030     137- 138     
  MI22030     139- 139     
  MR22030     140- 141     
  SS22172A    142- 143     
  SI22172A    144- 144     
  SR22172A    145- 146     
  MS22228     147- 148     
  MI22228     149- 149     
  MR22228     150- 151     
  MS22231A    152- 153     
  MI22231A    154- 154     
  MR22231A    155- 156     
  MS22046     157- 158     
  MI22046     159- 159     
  MR22046     160- 161     
  MS22055     162- 163     
  MI22055     164- 164     
  MR22055     165- 166     
  SS22035     167- 168     
  SI22035     169- 169     
  SR22035     170- 171     
  SS22160     172- 173     
  SI22160     174- 174     
  SR22160     175- 176     
  MS22232     177- 178     
  MI22232     179- 179     
  MR22232     180- 181     
  MS22234A    182- 183     
  MI22234A    184- 184     
  MR22234A    185- 186     
  MS22234B    187- 188     
  MI22234B    189- 189     
  MR22234B    190- 191     
  MS22243     192- 193     
  MI22243     194- 194     
  MR22243     195- 196     
  SS22282     197- 198     
  SI22282     199- 199     
  SR22282     200- 201     
  SS22172B    202- 203     
  SI22172B    204- 204     
  SR22172B    205- 206     
  SS22288     207- 208     
  SI22288     209- 209     
  SR22288     210- 211     
  SS22017     212- 213     
  SI22017     214- 214     
  SR22017     215- 216     
  SS22140     217- 218     
  SI22140     219- 219     
  SR22140     220- 221     
  MS22089     222- 223     
  MI22089     224- 224     
  MR22089     225- 226     
  SS22289     227- 228     
  SI22289     229- 229     
  SR22289     230- 231     
  SS22069     232- 233     
  SI22069     234- 234     
  SR22069     235- 236     
  SS22268     237- 238     
  SI22268     239- 239     
  SR22268     240- 241     
  MS22106     242- 243     
  MI22106     244- 244     
  MR22106     245- 246     
  MS22110     247- 248     
  MI22110     249- 249     
  MR22110     250- 251     
  SS22161     252- 253     
  SI22161     254- 254     
  SR22161     255- 256     
  SS22191     257- 258     
  SI22191     259- 259     
  SR22191     260- 261     
  SS22279     262- 263     
  SI22279     264- 264     
  SR22279     265- 266     
  MS22256     267- 268     
  MI22256     269- 269     
  MR22256     270- 271     
  MS22262A    272- 273     
  MI22262A    274- 274     
  MR22262A    275- 276     
  MS22262B    277- 278     
  MI22262B    279- 279     
  MR22262B    280- 281     
  MS22262C    282- 283     
  MI22262C    284- 284     
  MR22262C    285- 286     
  SS22141     287- 288     
  SI22141     289- 289     
  SR22141     290- 291     
  SS22049     292- 293     
  SI22049     294- 294     
  SR22049     295- 296     
  MS22118     297- 298     
  MI22118     299- 299     
  MR22118     300- 301     
  MS22132     302- 303     
  MI22132     304- 304     
  MR22132     305- 306     
  SS22217A    307- 308     
  SI22217A    309- 309     
  SR22217A    310- 311     
  SS22217B    312- 313     
  SI22217B    314- 314     
  SR22217B    315- 316     
  SS22217C    317- 318     
  SI22217C    319- 319     
  SR22217C    320- 321     
  SS22090     322- 323     
  SI22090     324- 324     
  SR22090     325- 326     
  SS22048     327- 328     
  SI22048     329- 329     
  SR22048     330- 331     
  MS22237     332- 333     
  MI22237     334- 334     
  MR22237     335- 336     
  MS22148     337- 338     
  MI22148     339- 339     
  MR22148     340- 341     
  MS22253     342- 343     
  MI22253     344- 344     
  MR22253     345- 346     
  MS22156     347- 348     
  MI22156     349- 349     
  MR22156     350- 351     
  SS22086     352- 353     
  SI22086     354- 354     
  SR22086     355- 356     
  SS22283     357- 358     
  SI22283     359- 359     
  SR22283     360- 361     
  SS22152     362- 363     
  SI22152     364- 364     
  SR22152     365- 366     
  SS22154     367- 368     
  SI22154     369- 369     
  SR22154     370- 371     
  MS22202     372- 373     
  MI22202     374- 374     
  MR22202     375- 376     
  SS22292     377- 378     
  SI22292     379- 379     
  SR22292     380- 381     
  SS22078     382- 383     
  SI22078     384- 384     
  SR22078     385- 386     
  SS22281     387- 388     
  SI22281     389- 389     
  SR22281     390- 391     
  SS22165A    392- 393     
  SI22165A    394- 394     
  SR22165A    395- 396     
  SS22165B    397- 398     
  SI22165B    399- 399     
  SR22165B    400- 401     
  SS22284     402- 403     
  SI22284     404- 404     
  SR22284     405- 406     
  SS22213     407- 408     
  SI22213     409- 409     
  SR22213     410- 411     
  MS22219     412- 413     
  MI22219     414- 414     
  MR22219     415- 416     
  MS22222     417- 418     
  MI22222     419- 419     
  MR22222     420- 421     
  SS22043     422- 423     
  SI22043     424- 424     
  SR22043     425- 426     
  SS22258     427- 428     
  SI22258     429- 429     
  SR22258     430- 431     
  SS22277A    432- 433     
  SI22277A    434- 434     
  SR22277A    435- 436     
  SS22277B    437- 438     
  SI22277B    439- 439     
  SR22277B    440- 441     
  SS22158     442- 443     
  SI22158     444- 444     
  SR22158     445- 446     
  MS22178     447- 448     
  MI22178     449- 449     
  MR22178     450- 451     
  DPCDATE     452- 457     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*VERSION NUMBER*"
  IDBOOK   = "*BOOKLET ID*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCORR  = "*CODER*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDSTUD   = "*STUDENT ID*"
  MS22261A = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MI22261A = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MR22261A = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MS22261B = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MI22261B = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MR22261B = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MS22261C = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MI22261C = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MR22261C = "SEQ. OF FIGURES WITH TRIANGLES (X)"
  MS22227A = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MI22227A = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MR22227A = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MS22227B = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MI22227B = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MR22227B = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MS22227C = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MI22227C = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MR22227C = "AREA, SIDE LENGTH, AND PERIM. FROM (X)"
  MS22008  = "NR IN SEQUENCE INCREASING BY 4 (X)"
  MI22008  = "NR IN SEQUENCE INCREASING BY 4 (X)"
  MR22008  = "NR IN SEQUENCE INCREASING BY 4 (X)"
  MS22012  = "FRACTION LESS THAN 4/9   (X)"
  MI22012  = "FRACTION LESS THAN 4/9   (X)"
  MR22012  = "FRACTION LESS THAN 4/9   (X)"
  SS22022  = "CURRENT/VOLTAGE TABLE  (X)"
  SI22022  = "CURRENT/VOLTAGE TABLE  (X)"
  SR22022  = "CURRENT/VOLTAGE TABLE  (X)"
  SS22244  = "FORMAT. OF A.-RAIN FROM SULFUR DIOXI (X)"
  SI22244  = "FORMAT. OF A.-RAIN FROM SULFUR DIOXI (X)"
  SR22244  = "FORMAT. OF A.-RAIN FROM SULFUR DIOXI (X)"
  MS22231B = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MI22231B = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MR22231B = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MS22244  = "AREA SHADED RECTANGLE INS. PARALLEL  (X)"
  MI22244  = "AREA SHADED RECTANGLE INS. PARALLEL  (X)"
  MR22244  = "AREA SHADED RECTANGLE INS. PARALLEL  (X)"
  SS22088A = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SI22088A = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SR22088A = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SS22088B = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SI22088B = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SR22088B = "POS./NEGAT. EFFECT OF DAM ON (X)"
  SS22249A = "WATER SUPPLY  (X)"
  SI22249A = "WATER SUPPLY  (X)"
  SR22249A = "WATER SUPPLY  (X)"
  SS22249B = "WATER SUPPLY  (X)"
  SI22249B = "WATER SUPPLY  (X)"
  SR22249B = "WATER SUPPLY  (X)"
  SS22286  = "DATA TREND DESCR.- MASSES ON SPRIN (X)"
  SI22286  = "DATA TREND DESCR.- MASSES ON SPRIN (X)"
  SR22286  = "DATA TREND DESCR.- MASSES ON SPRIN (X)"
  SS22174  = "COMPOUNDS, MOLECULES AND ATOMS  (X)"
  SI22174  = "COMPOUNDS, MOLECULES AND ATOMS  (X)"
  SR22174  = "COMPOUNDS, MOLECULES AND ATOMS  (X)"
  SS22081  = "LIFE ON OTHER PLANETS  (X)"
  SI22081  = "LIFE ON OTHER PLANETS  (X)"
  SR22081  = "LIFE ON OTHER PLANETS  (X)"
  MS22026  = "DIVISION OF FRACTIONS   (X)"
  MI22026  = "DIVISION OF FRACTIONS   (X)"
  MR22026  = "DIVISION OF FRACTIONS   (X)"
  MS22030  = "INTERPRET. OF PICTOGRAPH OF HOUSES (X)"
  MI22030  = "INTERPRET. OF PICTOGRAPH OF HOUSES (X)"
  MR22030  = "INTERPRET. OF PICTOGRAPH OF HOUSES (X)"
  SS22172A = "ECOSYSTEM IN RAIN FOREST (X)"
  SI22172A = "ECOSYSTEM IN RAIN FOREST (X)"
  SR22172A = "ECOSYSTEM IN RAIN FOREST (X)"
  MS22228  = "NR OF CLUB MEMBERS THAT ARE BOYS (X)"
  MI22228  = "NR OF CLUB MEMBERS THAT ARE BOYS (X)"
  MR22228  = "NR OF CLUB MEMBERS THAT ARE BOYS (X)"
  MS22231A = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MI22231A = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MR22231A = "NR AND FRACTION OF 2 TYPES OF BOXE (X)"
  MS22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (X)"
  MI22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (X)"
  MR22046  = "TOTAL KILOGRAMS OF SEED FROM MIXTURE (X)"
  MS22055  = "PERIMETER OF SQUARE FROM AREA  (X)"
  MI22055  = "PERIMETER OF SQUARE FROM AREA  (X)"
  MR22055  = "PERIMETER OF SQUARE FROM AREA  (X)"
  SS22035  = "POLES ON CUT MAGNET   (X)"
  SI22035  = "POLES ON CUT MAGNET   (X)"
  SR22035  = "POLES ON CUT MAGNET   (X)"
  SS22160  = "ADVANTAGE OF HAVING TWO EARS  (X)"
  SI22160  = "ADVANTAGE OF HAVING TWO EARS  (X)"
  SR22160  = "ADVANTAGE OF HAVING TWO EARS  (X)"
  MS22232  = "ESTIMATE TIME FOR WATER TO COOL FROM (X)"
  MI22232  = "ESTIMATE TIME FOR WATER TO COOL FROM (X)"
  MR22232  = "ESTIMATE TIME FOR WATER TO COOL FROM (X)"
  MS22234A = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MI22234A = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MR22234A = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MS22234B = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MI22234B = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MR22234B = "NEW RECTANGLE AND AREA FROM CHANGING (X)"
  MS22243  = "AREA SHADED TRIANGLE INSIDE A SQUARE (X)"
  MI22243  = "AREA SHADED TRIANGLE INSIDE A SQUARE (X)"
  MR22243  = "AREA SHADED TRIANGLE INSIDE A SQUARE (X)"
  SS22282  = "ENERGY CONVERSION - ELECTRICAL/LIGHT (X)"
  SI22282  = "ENERGY CONVERSION - ELECTRICAL/LIGHT (X)"
  SR22282  = "ENERGY CONVERSION - ELECTRICAL/LIGHT (X)"
  SS22172B = "B/ECOSYSTEM IN RAIN FOREST           (X)"
  SI22172B = "B/ECOSYSTEM IN RAIN FOREST           (X)"
  SR22172B = "B/ECOSYSTEM IN RAIN FOREST           (X)"
  SS22288  = "HEART RATE EXPERIMENT DESIGN         (X)"
  SI22288  = "HEART RATE EXPERIMENT DESIGN         (X)"
  SR22288  = "HEART RATE EXPERIMENT DESIGN         (X)"
  SS22017  = "EFFICIENCY OF MACHINES PUMPING WATER (X)"
  SI22017  = "EFFICIENCY OF MACHINES PUMPING WATER (X)"
  SR22017  = "EFFICIENCY OF MACHINES PUMPING WATER (X)"
  SS22140  = "COMPLETE FOOD WEB (X)"
  SI22140  = "COMPLETE FOOD WEB (X)"
  SR22140  = "COMPLETE FOOD WEB (X)"
  MS22089  = "FIND VALUE OF X IN MATHEMAT. EQUATIO (X)"
  MI22089  = "FIND VALUE OF X IN MATHEMAT. EQUATIO (X)"
  MR22089  = "FIND VALUE OF X IN MATHEMAT. EQUATIO (X)"
  SS22289  = "EXPLAN. OF PULSE RATE INCREASING WIT (X)"
  SI22289  = "EXPLAN. OF PULSE RATE INCREASING WIT (X)"
  SR22289  = "EXPLAN. OF PULSE RATE INCREASING WIT (X)"
  SS22069  = "TEMPERATURE OF BOILING WATER (X)"
  SI22069  = "TEMPERATURE OF BOILING WATER (X)"
  SR22069  = "TEMPERATURE OF BOILING WATER (X)"
  SS22268  = "FREEZING SALT WATER EXPERIMENT (X)"
  SI22268  = "FREEZING SALT WATER EXPERIMENT (X)"
  SR22268  = "FREEZING SALT WATER EXPERIMENT (X)"
  MS22106  = "RATIO OF CHILDREN TO ADULTS ON BUS  (X)"
  MI22106  = "RATIO OF CHILDREN TO ADULTS ON BUS  (X)"
  MR22106  = "RATIO OF CHILDREN TO ADULTS ON BUS  (X)"
  MS22110  = "MULTIPLY TWO DECIMALS   (X)"
  MI22110  = "MULTIPLY TWO DECIMALS   (X)"
  MR22110  = "MULTIPLY TWO DECIMALS   (X)"
  SS22161  = "HOW GLASSES/C.LENSES IMPROVE VISI    (X)"
  SI22161  = "HOW GLASSES/C.LENSES IMPROVE VISI    (X)"
  SR22161  = "HOW GLASSES/C.LENSES IMPROVE VISI    (X)"
  SS22191  = "CANDLES IN 3 JARS-OXYGEN FOR COMBUST.(X)"
  SI22191  = "CANDLES IN 3 JARS-OXYGEN FOR COMBUST.(X)"
  SR22191  = "CANDLES IN 3 JARS-OXYGEN FOR COMBUST.(X)"
  SS22279  = "BRUSH REFLECTED IN MIRROR - ANGLED   (X)"
  SI22279  = "BRUSH REFLECTED IN MIRROR - ANGLED   (X)"
  SR22279  = "BRUSH REFLECTED IN MIRROR - ANGLED   (X)"
  MS22256  = "CHEAPER MAGAZINE SUBSCRIPT.BASED ON  (X)"
  MI22256  = "CHEAPER MAGAZINE SUBSCRIPT.BASED ON  (X)"
  MR22256  = "CHEAPER MAGAZINE SUBSCRIPT.BASED ON  (X)"
  MS22262A = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MI22262A = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MR22262A = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MS22262B = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MI22262B = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MR22262B = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MS22262C = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MI22262C = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  MR22262C = "SEQ.OF FIGURES CONTAINING CIRCLES (X)"
  SS22141  = "FOOD WEB - EFFECT OF CROP FAILURE (X)"
  SI22141  = "FOOD WEB - EFFECT OF CROP FAILURE (X)"
  SR22141  = "FOOD WEB - EFFECT OF CROP FAILURE (X)"
  SS22049  = "FLASHL. WITH WHITE/BLACK REFLECTORS (X)"
  SI22049  = "FLASHL. WITH WHITE/BLACK REFLECTORS (X)"
  SR22049  = "FLASHL. WITH WHITE/BLACK REFLECTORS (X)"
  MS22118  = "FIND VALUE OF EXPRESS.BY SUBSTITUTING(X)"
  MI22118  = "FIND VALUE OF EXPRESS.BY SUBSTITUTING(X)"
  MR22118  = "FIND VALUE OF EXPRESS.BY SUBSTITUTING(X)"
  MS22132  = "SHADE IN 3/8 OF SQUARES IN GRID  (X)"
  MI22132  = "SHADE IN 3/8 OF SQUARES IN GRID  (X)"
  MR22132  = "SHADE IN 3/8 OF SQUARES IN GRID  (X)"
  SS22217A = "GALVANIZATION OF STEEL (X)"
  SI22217A = "GALVANIZATION OF STEEL (X)"
  SR22217A = "GALVANIZATION OF STEEL (X)"
  SS22217B = "GALVANIZATION OF STEEL (X)"
  SI22217B = "GALVANIZATION OF STEEL (X)"
  SR22217B = "GALVANIZATION OF STEEL (X)"
  SS22217C = "GALVANIZATION OF STEEL (X)"
  SI22217C = "GALVANIZATION OF STEEL (X)"
  SR22217C = "GALVANIZATION OF STEEL (X)"
  SS22090  = "DIAGRAM OF RAIN FROM SEA FALL ON LAND(X)"
  SI22090  = "DIAGRAM OF RAIN FROM SEA FALL ON LAND(X)"
  SR22090  = "DIAGRAM OF RAIN FROM SEA FALL ON LAND(X)"
  SS22048  = "HEAT EXPANS.OF BALLOONS - VAPOR PRES (X)"
  SI22048  = "HEAT EXPANS.OF BALLOONS - VAPOR PRES (X)"
  SR22048  = "HEAT EXPANS.OF BALLOONS - VAPOR PRES (X)"
  MS22237  = "TWO POSSIBILI.FOR ACTUAL HEIGHT BAS  (X)"
  MI22237  = "TWO POSSIBILI.FOR ACTUAL HEIGHT BAS  (X)"
  MR22237  = "TWO POSSIBILI.FOR ACTUAL HEIGHT BAS  (X)"
  MS22148  = "TIME WHEN FINISH HOMEWORK   (X)"
  MI22148  = "TIME WHEN FINISH HOMEWORK   (X)"
  MR22148  = "TIME WHEN FINISH HOMEWORK   (X)"
  MS22253  = "SOLVE EQUATION FOR X  (X)"
  MI22253  = "SOLVE EQUATION FOR X  (X)"
  MR22253  = "SOLVE EQUATION FOR X  (X)"
  MS22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG   (X)"
  MI22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG   (X)"
  MR22156  = "SCOOPS OF FLOUR NEEDED TO FILL BAG   (X)"
  SS22086  = "HOLE IN OZONE LAYER (X)"
  SI22086  = "HOLE IN OZONE LAYER (X)"
  SR22086  = "HOLE IN OZONE LAYER (X)"
  SS22283  = "APPEARANCE OF JUPITER AND MOON (X)"
  SI22283  = "APPEARANCE OF JUPITER AND MOON (X)"
  SR22283  = "APPEARANCE OF JUPITER AND MOON (X)"
  SS22152  = "PROCESS TO PREVENT BODY FROM OVERHEA.(X)"
  SI22152  = "PROCESS TO PREVENT BODY FROM OVERHEA.(X)"
  SR22152  = "PROCESS TO PREVENT BODY FROM OVERHEA.(X)"
  SS22154  = "TRANSMISSION OF COLD - CLASSROOM  (X)"
  SI22154  = "TRANSMISSION OF COLD - CLASSROOM  (X)"
  SR22154  = "TRANSMISSION OF COLD - CLASSROOM  (X)"
  MS22202  = "FIND MEASURE OF ANGLE FROM SERIES ADJ(X)"
  MI22202  = "FIND MEASURE OF ANGLE FROM SERIES ADJ(X)"
  MR22202  = "FIND MEASURE OF ANGLE FROM SERIES ADJ(X)"
  SS22292  = "FLUID LEVEL IN U-TUBE  (X)"
  SI22292  = "FLUID LEVEL IN U-TUBE  (X)"
  SR22292  = "FLUID LEVEL IN U-TUBE  (X)"
  SS22078  = "LIGHT FROM SUN AND MOON (X)"
  SI22078  = "LIGHT FROM SUN AND MOON (X)"
  SR22078  = "LIGHT FROM SUN AND MOON (X)"
  SS22281  = "MASS OF FREEZING WATER  (X)"
  SI22281  = "MASS OF FREEZING WATER  (X)"
  SR22281  = "MASS OF FREEZING WATER  (X)"
  SS22165A = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SI22165A = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SR22165A = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SS22165B = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SI22165B = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SR22165B = "OUTCOME OF INTRODUCING NEW FISH SPECI(X)"
  SS22284  = "ATMOSPHERIC CONDITIONS - CONTROLL.JE (X)"
  SI22284  = "ATMOSPHERIC CONDITIONS - CONTROLL.JE (X)"
  SR22284  = "ATMOSPHERIC CONDITIONS - CONTROLL.JE (X)"
  SS22213  = "SMALL PIECES OF WOOD BURN FASTER (X)"
  SI22213  = "SMALL PIECES OF WOOD BURN FASTER (X)"
  SR22213  = "SMALL PIECES OF WOOD BURN FASTER (X)"
  MS22219  = "HOW MUCH MONEY LEFT IF SPENT 5/8 (X)"
  MI22219  = "HOW MUCH MONEY LEFT IF SPENT 5/8 (X)"
  MR22219  = "HOW MUCH MONEY LEFT IF SPENT 5/8 (X)"
  MS22222  = "MONEY MARK RECEIV.FROM TOTAL MAGAZINE(X)"
  MI22222  = "MONEY MARK RECEIV.FROM TOTAL MAGAZINE(X)"
  MR22222  = "MONEY MARK RECEIV.FROM TOTAL MAGAZINE(X)"
  SS22043  = "FLASHL. - AMOUNT OF LIGHT ON WALL AN (X)"
  SI22043  = "FLASHL. - AMOUNT OF LIGHT ON WALL AN (X)"
  SR22043  = "FLASHL. - AMOUNT OF LIGHT ON WALL AN (X)"
  SS22258  = "TREE GROWTH - HEIGHT OF NAIL IN TRUNK(X)"
  SI22258  = "TREE GROWTH - HEIGHT OF NAIL IN TRUNK(X)"
  SR22258  = "TREE GROWTH - HEIGHT OF NAIL IN TRUNK(X)"
  SS22277A = "REASONS FOR FAMINE   (X)"
  SI22277A = "REASONS FOR FAMINE   (X)"
  SR22277A = "REASONS FOR FAMINE   (X)"
  SS22277B = "REASONS FOR FAMINE   (X)"
  SI22277B = "REASONS FOR FAMINE   (X)"
  SR22277B = "REASONS FOR FAMINE   (X)"
  SS22158  = "DIGESTION IN STOMACH  (X)"
  SI22158  = "DIGESTION IN STOMACH  (X)"
  SR22158  = "DIGESTION IN STOMACH  (X)"
  MS22178  = "WRITE DECIMAL AS FRACT. REDUCED TO LO(X)"
  MI22178  = "WRITE DECIMAL AS FRACT. REDUCED TO LO(X)"
  MR22178  = "WRITE DECIMAL AS FRACT. REDUCED TO LO(X)"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCORR  = 998              THEN IDSCORR  = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDCLASS  = 99999998         THEN IDCLASS  = .A ;
IF IDSTUD   = 9999999998       THEN IDSTUD   = .A ;
IF MS22261A = 98               THEN MS22261A = .A ;
IF MI22261A = 8                THEN MI22261A = .A ;
IF MR22261A = 98               THEN MR22261A = .A ;
IF MS22261B = 98               THEN MS22261B = .A ;
IF MI22261B = 8                THEN MI22261B = .A ;
IF MR22261B = 98               THEN MR22261B = .A ;
IF MS22261C = 98               THEN MS22261C = .A ;
IF MI22261C = 8                THEN MI22261C = .A ;
IF MR22261C = 98               THEN MR22261C = .A ;
IF MS22227A = 98               THEN MS22227A = .A ;
IF MI22227A = 8                THEN MI22227A = .A ;
IF MR22227A = 98               THEN MR22227A = .A ;
IF MS22227B = 98               THEN MS22227B = .A ;
IF MI22227B = 8                THEN MI22227B = .A ;
IF MR22227B = 98               THEN MR22227B = .A ;
IF MS22227C = 98               THEN MS22227C = .A ;
IF MI22227C = 8                THEN MI22227C = .A ;
IF MR22227C = 98               THEN MR22227C = .A ;
IF MS22008  = 98               THEN MS22008  = .A ;
IF MI22008  = 8                THEN MI22008  = .A ;
IF MR22008  = 98               THEN MR22008  = .A ;
IF MS22012  = 98               THEN MS22012  = .A ;
IF MI22012  = 8                THEN MI22012  = .A ;
IF MR22012  = 98               THEN MR22012  = .A ;
IF SS22022  = 98               THEN SS22022  = .A ;
IF SI22022  = 8                THEN SI22022  = .A ;
IF SR22022  = 98               THEN SR22022  = .A ;
IF SS22244  = 98               THEN SS22244  = .A ;
IF SI22244  = 8                THEN SI22244  = .A ;
IF SR22244  = 98               THEN SR22244  = .A ;
IF MS22231B = 98               THEN MS22231B = .A ;
IF MI22231B = 8                THEN MI22231B = .A ;
IF MR22231B = 98               THEN MR22231B = .A ;
IF MS22244  = 98               THEN MS22244  = .A ;
IF MI22244  = 8                THEN MI22244  = .A ;
IF MR22244  = 98               THEN MR22244  = .A ;
IF SS22088A = 98               THEN SS22088A = .A ;
IF SI22088A = 8                THEN SI22088A = .A ;
IF SR22088A = 98               THEN SR22088A = .A ;
IF SS22088B = 98               THEN SS22088B = .A ;
IF SI22088B = 8                THEN SI22088B = .A ;
IF SR22088B = 98               THEN SR22088B = .A ;
IF SS22249A = 98               THEN SS22249A = .A ;
IF SI22249A = 8                THEN SI22249A = .A ;
IF SR22249A = 98               THEN SR22249A = .A ;
IF SS22249B = 98               THEN SS22249B = .A ;
IF SI22249B = 8                THEN SI22249B = .A ;
IF SR22249B = 98               THEN SR22249B = .A ;
IF SS22286  = 98               THEN SS22286  = .A ;
IF SI22286  = 8                THEN SI22286  = .A ;
IF SR22286  = 98               THEN SR22286  = .A ;
IF SS22174  = 98               THEN SS22174  = .A ;
IF SI22174  = 8                THEN SI22174  = .A ;
IF SR22174  = 98               THEN SR22174  = .A ;
IF SS22081  = 98               THEN SS22081  = .A ;
IF SI22081  = 8                THEN SI22081  = .A ;
IF SR22081  = 98               THEN SR22081  = .A ;
IF MS22026  = 98               THEN MS22026  = .A ;
IF MI22026  = 8                THEN MI22026  = .A ;
IF MR22026  = 98               THEN MR22026  = .A ;
IF MS22030  = 98               THEN MS22030  = .A ;
IF MI22030  = 8                THEN MI22030  = .A ;
IF MR22030  = 98               THEN MR22030  = .A ;
IF SS22172A = 98               THEN SS22172A = .A ;
IF SI22172A = 8                THEN SI22172A = .A ;
IF SR22172A = 98               THEN SR22172A = .A ;
IF MS22228  = 98               THEN MS22228  = .A ;
IF MI22228  = 8                THEN MI22228  = .A ;
IF MR22228  = 98               THEN MR22228  = .A ;
IF MS22231A = 98               THEN MS22231A = .A ;
IF MI22231A = 8                THEN MI22231A = .A ;
IF MR22231A = 98               THEN MR22231A = .A ;
IF MS22046  = 98               THEN MS22046  = .A ;
IF MI22046  = 8                THEN MI22046  = .A ;
IF MR22046  = 98               THEN MR22046  = .A ;
IF MS22055  = 98               THEN MS22055  = .A ;
IF MI22055  = 8                THEN MI22055  = .A ;
IF MR22055  = 98               THEN MR22055  = .A ;
IF SS22035  = 98               THEN SS22035  = .A ;
IF SI22035  = 8                THEN SI22035  = .A ;
IF SR22035  = 98               THEN SR22035  = .A ;
IF SS22160  = 98               THEN SS22160  = .A ;
IF SI22160  = 8                THEN SI22160  = .A ;
IF SR22160  = 98               THEN SR22160  = .A ;
IF MS22232  = 98               THEN MS22232  = .A ;
IF MI22232  = 8                THEN MI22232  = .A ;
IF MR22232  = 98               THEN MR22232  = .A ;
IF MS22234A = 98               THEN MS22234A = .A ;
IF MI22234A = 8                THEN MI22234A = .A ;
IF MR22234A = 98               THEN MR22234A = .A ;
IF MS22234B = 98               THEN MS22234B = .A ;
IF MI22234B = 8                THEN MI22234B = .A ;
IF MR22234B = 98               THEN MR22234B = .A ;
IF MS22243  = 98               THEN MS22243  = .A ;
IF MI22243  = 8                THEN MI22243  = .A ;
IF MR22243  = 98               THEN MR22243  = .A ;
IF SS22282  = 98               THEN SS22282  = .A ;
IF SI22282  = 8                THEN SI22282  = .A ;
IF SR22282  = 98               THEN SR22282  = .A ;
IF SS22172B = 98               THEN SS22172B = .A ;
IF SI22172B = 8                THEN SI22172B = .A ;
IF SR22172B = 98               THEN SR22172B = .A ;
IF SS22288  = 98               THEN SS22288  = .A ;
IF SI22288  = 8                THEN SI22288  = .A ;
IF SR22288  = 98               THEN SR22288  = .A ;
IF SS22017  = 98               THEN SS22017  = .A ;
IF SI22017  = 8                THEN SI22017  = .A ;
IF SR22017  = 98               THEN SR22017  = .A ;
IF SS22140  = 98               THEN SS22140  = .A ;
IF SI22140  = 8                THEN SI22140  = .A ;
IF SR22140  = 98               THEN SR22140  = .A ;
IF MS22089  = 98               THEN MS22089  = .A ;
IF MI22089  = 8                THEN MI22089  = .A ;
IF MR22089  = 98               THEN MR22089  = .A ;
IF SS22289  = 98               THEN SS22289  = .A ;
IF SI22289  = 8                THEN SI22289  = .A ;
IF SR22289  = 98               THEN SR22289  = .A ;
IF SS22069  = 98               THEN SS22069  = .A ;
IF SI22069  = 8                THEN SI22069  = .A ;
IF SR22069  = 98               THEN SR22069  = .A ;
IF SS22268  = 98               THEN SS22268  = .A ;
IF SI22268  = 8                THEN SI22268  = .A ;
IF SR22268  = 98               THEN SR22268  = .A ;
IF MS22106  = 98               THEN MS22106  = .A ;
IF MI22106  = 8                THEN MI22106  = .A ;
IF MR22106  = 98               THEN MR22106  = .A ;
IF MS22110  = 98               THEN MS22110  = .A ;
IF MI22110  = 8                THEN MI22110  = .A ;
IF MR22110  = 98               THEN MR22110  = .A ;
IF SS22161  = 98               THEN SS22161  = .A ;
IF SI22161  = 8                THEN SI22161  = .A ;
IF SR22161  = 98               THEN SR22161  = .A ;
IF SS22191  = 98               THEN SS22191  = .A ;
IF SI22191  = 8                THEN SI22191  = .A ;
IF SR22191  = 98               THEN SR22191  = .A ;
IF SS22279  = 98               THEN SS22279  = .A ;
IF SI22279  = 8                THEN SI22279  = .A ;
IF SR22279  = 98               THEN SR22279  = .A ;
IF MS22256  = 98               THEN MS22256  = .A ;
IF MI22256  = 8                THEN MI22256  = .A ;
IF MR22256  = 98               THEN MR22256  = .A ;
IF MS22262A = 98               THEN MS22262A = .A ;
IF MI22262A = 8                THEN MI22262A = .A ;
IF MR22262A = 98               THEN MR22262A = .A ;
IF MS22262B = 98               THEN MS22262B = .A ;
IF MI22262B = 8                THEN MI22262B = .A ;
IF MR22262B = 98               THEN MR22262B = .A ;
IF MS22262C = 98               THEN MS22262C = .A ;
IF MI22262C = 8                THEN MI22262C = .A ;
IF MR22262C = 98               THEN MR22262C = .A ;
IF SS22141  = 98               THEN SS22141  = .A ;
IF SI22141  = 8                THEN SI22141  = .A ;
IF SR22141  = 98               THEN SR22141  = .A ;
IF SS22049  = 98               THEN SS22049  = .A ;
IF SI22049  = 8                THEN SI22049  = .A ;
IF SR22049  = 98               THEN SR22049  = .A ;
IF MS22118  = 98               THEN MS22118  = .A ;
IF MI22118  = 8                THEN MI22118  = .A ;
IF MR22118  = 98               THEN MR22118  = .A ;
IF MS22132  = 98               THEN MS22132  = .A ;
IF MI22132  = 8                THEN MI22132  = .A ;
IF MR22132  = 98               THEN MR22132  = .A ;
IF SS22217A = 98               THEN SS22217A = .A ;
IF SI22217A = 8                THEN SI22217A = .A ;
IF SR22217A = 98               THEN SR22217A = .A ;
IF SS22217B = 98               THEN SS22217B = .A ;
IF SI22217B = 8                THEN SI22217B = .A ;
IF SR22217B = 98               THEN SR22217B = .A ;
IF SS22217C = 98               THEN SS22217C = .A ;
IF SI22217C = 8                THEN SI22217C = .A ;
IF SR22217C = 98               THEN SR22217C = .A ;
IF SS22090  = 98               THEN SS22090  = .A ;
IF SI22090  = 8                THEN SI22090  = .A ;
IF SR22090  = 98               THEN SR22090  = .A ;
IF SS22048  = 98               THEN SS22048  = .A ;
IF SI22048  = 8                THEN SI22048  = .A ;
IF SR22048  = 98               THEN SR22048  = .A ;
IF MS22237  = 98               THEN MS22237  = .A ;
IF MI22237  = 8                THEN MI22237  = .A ;
IF MR22237  = 98               THEN MR22237  = .A ;
IF MS22148  = 98               THEN MS22148  = .A ;
IF MI22148  = 8                THEN MI22148  = .A ;
IF MR22148  = 98               THEN MR22148  = .A ;
IF MS22253  = 98               THEN MS22253  = .A ;
IF MI22253  = 8                THEN MI22253  = .A ;
IF MR22253  = 98               THEN MR22253  = .A ;
IF MS22156  = 98               THEN MS22156  = .A ;
IF MI22156  = 8                THEN MI22156  = .A ;
IF MR22156  = 98               THEN MR22156  = .A ;
IF SS22086  = 98               THEN SS22086  = .A ;
IF SI22086  = 8                THEN SI22086  = .A ;
IF SR22086  = 98               THEN SR22086  = .A ;
IF SS22283  = 98               THEN SS22283  = .A ;
IF SI22283  = 8                THEN SI22283  = .A ;
IF SR22283  = 98               THEN SR22283  = .A ;
IF SS22152  = 98               THEN SS22152  = .A ;
IF SI22152  = 8                THEN SI22152  = .A ;
IF SR22152  = 98               THEN SR22152  = .A ;
IF SS22154  = 98               THEN SS22154  = .A ;
IF SI22154  = 8                THEN SI22154  = .A ;
IF SR22154  = 98               THEN SR22154  = .A ;
IF MS22202  = 98               THEN MS22202  = .A ;
IF MI22202  = 8                THEN MI22202  = .A ;
IF MR22202  = 98               THEN MR22202  = .A ;
IF SS22292  = 98               THEN SS22292  = .A ;
IF SI22292  = 8                THEN SI22292  = .A ;
IF SR22292  = 98               THEN SR22292  = .A ;
IF SS22078  = 98               THEN SS22078  = .A ;
IF SI22078  = 8                THEN SI22078  = .A ;
IF SR22078  = 98               THEN SR22078  = .A ;
IF SS22281  = 98               THEN SS22281  = .A ;
IF SI22281  = 8                THEN SI22281  = .A ;
IF SR22281  = 98               THEN SR22281  = .A ;
IF SS22165A = 98               THEN SS22165A = .A ;
IF SI22165A = 8                THEN SI22165A = .A ;
IF SR22165A = 98               THEN SR22165A = .A ;
IF SS22165B = 98               THEN SS22165B = .A ;
IF SI22165B = 8                THEN SI22165B = .A ;
IF SR22165B = 98               THEN SR22165B = .A ;
IF SS22284  = 98               THEN SS22284  = .A ;
IF SI22284  = 8                THEN SI22284  = .A ;
IF SR22284  = 98               THEN SR22284  = .A ;
IF SS22213  = 98               THEN SS22213  = .A ;
IF SI22213  = 8                THEN SI22213  = .A ;
IF SR22213  = 98               THEN SR22213  = .A ;
IF MS22219  = 98               THEN MS22219  = .A ;
IF MI22219  = 8                THEN MI22219  = .A ;
IF MR22219  = 98               THEN MR22219  = .A ;
IF MS22222  = 98               THEN MS22222  = .A ;
IF MI22222  = 8                THEN MI22222  = .A ;
IF MR22222  = 98               THEN MR22222  = .A ;
IF SS22043  = 98               THEN SS22043  = .A ;
IF SI22043  = 8                THEN SI22043  = .A ;
IF SR22043  = 98               THEN SR22043  = .A ;
IF SS22258  = 98               THEN SS22258  = .A ;
IF SI22258  = 8                THEN SI22258  = .A ;
IF SR22258  = 98               THEN SR22258  = .A ;
IF SS22277A = 98               THEN SS22277A = .A ;
IF SI22277A = 8                THEN SI22277A = .A ;
IF SR22277A = 98               THEN SR22277A = .A ;
IF SS22277B = 98               THEN SS22277B = .A ;
IF SI22277B = 8                THEN SI22277B = .A ;
IF SR22277B = 98               THEN SR22277B = .A ;
IF SS22158  = 98               THEN SS22158  = .A ;
IF SI22158  = 8                THEN SI22158  = .A ;
IF SR22158  = 98               THEN SR22158  = .A ;
IF MS22178  = 98               THEN MS22178  = .A ;
IF MI22178  = 8                THEN MI22178  = .A ;
IF MR22178  = 98               THEN MR22178  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF MS22261A = 96               THEN MS22261A = .R ;
IF MS22261A = 97               THEN MS22261A = .N ;
IF MI22261A = 6                THEN MI22261A = .R ;
IF MI22261A = 7                THEN MI22261A = .N ;
IF MR22261A = 96               THEN MR22261A = .R ;
IF MR22261A = 97               THEN MR22261A = .N ;
IF MS22261B = 96               THEN MS22261B = .R ;
IF MS22261B = 97               THEN MS22261B = .N ;
IF MI22261B = 6                THEN MI22261B = .R ;
IF MI22261B = 7                THEN MI22261B = .N ;
IF MR22261B = 96               THEN MR22261B = .R ;
IF MR22261B = 97               THEN MR22261B = .N ;
IF MS22261C = 96               THEN MS22261C = .R ;
IF MS22261C = 97               THEN MS22261C = .N ;
IF MI22261C = 6                THEN MI22261C = .R ;
IF MI22261C = 7                THEN MI22261C = .N ;
IF MR22261C = 96               THEN MR22261C = .R ;
IF MR22261C = 97               THEN MR22261C = .N ;
IF MS22227A = 96               THEN MS22227A = .R ;
IF MS22227A = 97               THEN MS22227A = .N ;
IF MI22227A = 6                THEN MI22227A = .R ;
IF MI22227A = 7                THEN MI22227A = .N ;
IF MR22227A = 96               THEN MR22227A = .R ;
IF MR22227A = 97               THEN MR22227A = .N ;
IF MS22227B = 96               THEN MS22227B = .R ;
IF MS22227B = 97               THEN MS22227B = .N ;
IF MI22227B = 6                THEN MI22227B = .R ;
IF MI22227B = 7                THEN MI22227B = .N ;
IF MR22227B = 96               THEN MR22227B = .R ;
IF MR22227B = 97               THEN MR22227B = .N ;
IF MS22227C = 96               THEN MS22227C = .R ;
IF MS22227C = 97               THEN MS22227C = .N ;
IF MI22227C = 6                THEN MI22227C = .R ;
IF MI22227C = 7                THEN MI22227C = .N ;
IF MR22227C = 96               THEN MR22227C = .R ;
IF MR22227C = 97               THEN MR22227C = .N ;
IF MS22008  = 96               THEN MS22008  = .R ;
IF MS22008  = 97               THEN MS22008  = .N ;
IF MI22008  = 6                THEN MI22008  = .R ;
IF MI22008  = 7                THEN MI22008  = .N ;
IF MR22008  = 96               THEN MR22008  = .R ;
IF MR22008  = 97               THEN MR22008  = .N ;
IF MS22012  = 96               THEN MS22012  = .R ;
IF MS22012  = 97               THEN MS22012  = .N ;
IF MI22012  = 6                THEN MI22012  = .R ;
IF MI22012  = 7                THEN MI22012  = .N ;
IF MR22012  = 96               THEN MR22012  = .R ;
IF MR22012  = 97               THEN MR22012  = .N ;
IF SS22022  = 96               THEN SS22022  = .R ;
IF SS22022  = 97               THEN SS22022  = .N ;
IF SI22022  = 6                THEN SI22022  = .R ;
IF SI22022  = 7                THEN SI22022  = .N ;
IF SR22022  = 96               THEN SR22022  = .R ;
IF SR22022  = 97               THEN SR22022  = .N ;
IF SS22244  = 96               THEN SS22244  = .R ;
IF SS22244  = 97               THEN SS22244  = .N ;
IF SI22244  = 6                THEN SI22244  = .R ;
IF SI22244  = 7                THEN SI22244  = .N ;
IF SR22244  = 96               THEN SR22244  = .R ;
IF SR22244  = 97               THEN SR22244  = .N ;
IF MS22231B = 96               THEN MS22231B = .R ;
IF MS22231B = 97               THEN MS22231B = .N ;
IF MI22231B = 6                THEN MI22231B = .R ;
IF MI22231B = 7                THEN MI22231B = .N ;
IF MR22231B = 96               THEN MR22231B = .R ;
IF MR22231B = 97               THEN MR22231B = .N ;
IF MS22244  = 96               THEN MS22244  = .R ;
IF MS22244  = 97               THEN MS22244  = .N ;
IF MI22244  = 6                THEN MI22244  = .R ;
IF MI22244  = 7                THEN MI22244  = .N ;
IF MR22244  = 96               THEN MR22244  = .R ;
IF MR22244  = 97               THEN MR22244  = .N ;
IF SS22088A = 96               THEN SS22088A = .R ;
IF SS22088A = 97               THEN SS22088A = .N ;
IF SI22088A = 6                THEN SI22088A = .R ;
IF SI22088A = 7                THEN SI22088A = .N ;
IF SR22088A = 96               THEN SR22088A = .R ;
IF SR22088A = 97               THEN SR22088A = .N ;
IF SS22088B = 96               THEN SS22088B = .R ;
IF SS22088B = 97               THEN SS22088B = .N ;
IF SI22088B = 6                THEN SI22088B = .R ;
IF SI22088B = 7                THEN SI22088B = .N ;
IF SR22088B = 96               THEN SR22088B = .R ;
IF SR22088B = 97               THEN SR22088B = .N ;
IF SS22249A = 96               THEN SS22249A = .R ;
IF SS22249A = 97               THEN SS22249A = .N ;
IF SI22249A = 6                THEN SI22249A = .R ;
IF SI22249A = 7                THEN SI22249A = .N ;
IF SR22249A = 96               THEN SR22249A = .R ;
IF SR22249A = 97               THEN SR22249A = .N ;
IF SS22249B = 96               THEN SS22249B = .R ;
IF SS22249B = 97               THEN SS22249B = .N ;
IF SI22249B = 6                THEN SI22249B = .R ;
IF SI22249B = 7                THEN SI22249B = .N ;
IF SR22249B = 96               THEN SR22249B = .R ;
IF SR22249B = 97               THEN SR22249B = .N ;
IF SS22286  = 96               THEN SS22286  = .R ;
IF SS22286  = 97               THEN SS22286  = .N ;
IF SI22286  = 6                THEN SI22286  = .R ;
IF SI22286  = 7                THEN SI22286  = .N ;
IF SR22286  = 96               THEN SR22286  = .R ;
IF SR22286  = 97               THEN SR22286  = .N ;
IF SS22174  = 96               THEN SS22174  = .R ;
IF SS22174  = 97               THEN SS22174  = .N ;
IF SI22174  = 6                THEN SI22174  = .R ;
IF SI22174  = 7                THEN SI22174  = .N ;
IF SR22174  = 96               THEN SR22174  = .R ;
IF SR22174  = 97               THEN SR22174  = .N ;
IF SS22081  = 96               THEN SS22081  = .R ;
IF SS22081  = 97               THEN SS22081  = .N ;
IF SI22081  = 6                THEN SI22081  = .R ;
IF SI22081  = 7                THEN SI22081  = .N ;
IF SR22081  = 96               THEN SR22081  = .R ;
IF SR22081  = 97               THEN SR22081  = .N ;
IF MS22026  = 96               THEN MS22026  = .R ;
IF MS22026  = 97               THEN MS22026  = .N ;
IF MI22026  = 6                THEN MI22026  = .R ;
IF MI22026  = 7                THEN MI22026  = .N ;
IF MR22026  = 96               THEN MR22026  = .R ;
IF MR22026  = 97               THEN MR22026  = .N ;
IF MS22030  = 96               THEN MS22030  = .R ;
IF MS22030  = 97               THEN MS22030  = .N ;
IF MI22030  = 6                THEN MI22030  = .R ;
IF MI22030  = 7                THEN MI22030  = .N ;
IF MR22030  = 96               THEN MR22030  = .R ;
IF MR22030  = 97               THEN MR22030  = .N ;
IF SS22172A = 96               THEN SS22172A = .R ;
IF SS22172A = 97               THEN SS22172A = .N ;
IF SI22172A = 6                THEN SI22172A = .R ;
IF SI22172A = 7                THEN SI22172A = .N ;
IF SR22172A = 96               THEN SR22172A = .R ;
IF SR22172A = 97               THEN SR22172A = .N ;
IF MS22228  = 96               THEN MS22228  = .R ;
IF MS22228  = 97               THEN MS22228  = .N ;
IF MI22228  = 6                THEN MI22228  = .R ;
IF MI22228  = 7                THEN MI22228  = .N ;
IF MR22228  = 96               THEN MR22228  = .R ;
IF MR22228  = 97               THEN MR22228  = .N ;
IF MS22231A = 96               THEN MS22231A = .R ;
IF MS22231A = 97               THEN MS22231A = .N ;
IF MI22231A = 6                THEN MI22231A = .R ;
IF MI22231A = 7                THEN MI22231A = .N ;
IF MR22231A = 96               THEN MR22231A = .R ;
IF MR22231A = 97               THEN MR22231A = .N ;
IF MS22046  = 96               THEN MS22046  = .R ;
IF MS22046  = 97               THEN MS22046  = .N ;
IF MI22046  = 6                THEN MI22046  = .R ;
IF MI22046  = 7                THEN MI22046  = .N ;
IF MR22046  = 96               THEN MR22046  = .R ;
IF MR22046  = 97               THEN MR22046  = .N ;
IF MS22055  = 96               THEN MS22055  = .R ;
IF MS22055  = 97               THEN MS22055  = .N ;
IF MI22055  = 6                THEN MI22055  = .R ;
IF MI22055  = 7                THEN MI22055  = .N ;
IF MR22055  = 96               THEN MR22055  = .R ;
IF MR22055  = 97               THEN MR22055  = .N ;
IF SS22035  = 96               THEN SS22035  = .R ;
IF SS22035  = 97               THEN SS22035  = .N ;
IF SI22035  = 6                THEN SI22035  = .R ;
IF SI22035  = 7                THEN SI22035  = .N ;
IF SR22035  = 96               THEN SR22035  = .R ;
IF SR22035  = 97               THEN SR22035  = .N ;
IF SS22160  = 96               THEN SS22160  = .R ;
IF SS22160  = 97               THEN SS22160  = .N ;
IF SI22160  = 6                THEN SI22160  = .R ;
IF SI22160  = 7                THEN SI22160  = .N ;
IF SR22160  = 96               THEN SR22160  = .R ;
IF SR22160  = 97               THEN SR22160  = .N ;
IF MS22232  = 96               THEN MS22232  = .R ;
IF MS22232  = 97               THEN MS22232  = .N ;
IF MI22232  = 6                THEN MI22232  = .R ;
IF MI22232  = 7                THEN MI22232  = .N ;
IF MR22232  = 96               THEN MR22232  = .R ;
IF MR22232  = 97               THEN MR22232  = .N ;
IF MS22234A = 96               THEN MS22234A = .R ;
IF MS22234A = 97               THEN MS22234A = .N ;
IF MI22234A = 6                THEN MI22234A = .R ;
IF MI22234A = 7                THEN MI22234A = .N ;
IF MR22234A = 96               THEN MR22234A = .R ;
IF MR22234A = 97               THEN MR22234A = .N ;
IF MS22234B = 96               THEN MS22234B = .R ;
IF MS22234B = 97               THEN MS22234B = .N ;
IF MI22234B = 6                THEN MI22234B = .R ;
IF MI22234B = 7                THEN MI22234B = .N ;
IF MR22234B = 96               THEN MR22234B = .R ;
IF MR22234B = 97               THEN MR22234B = .N ;
IF MS22243  = 96               THEN MS22243  = .R ;
IF MS22243  = 97               THEN MS22243  = .N ;
IF MI22243  = 6                THEN MI22243  = .R ;
IF MI22243  = 7                THEN MI22243  = .N ;
IF MR22243  = 96               THEN MR22243  = .R ;
IF MR22243  = 97               THEN MR22243  = .N ;
IF SS22282  = 96               THEN SS22282  = .R ;
IF SS22282  = 97               THEN SS22282  = .N ;
IF SI22282  = 6                THEN SI22282  = .R ;
IF SI22282  = 7                THEN SI22282  = .N ;
IF SR22282  = 96               THEN SR22282  = .R ;
IF SR22282  = 97               THEN SR22282  = .N ;
IF SS22172B = 96               THEN SS22172B = .R ;
IF SS22172B = 97               THEN SS22172B = .N ;
IF SI22172B = 6                THEN SI22172B = .R ;
IF SI22172B = 7                THEN SI22172B = .N ;
IF SR22172B = 96               THEN SR22172B = .R ;
IF SR22172B = 97               THEN SR22172B = .N ;
IF SS22288  = 96               THEN SS22288  = .R ;
IF SS22288  = 97               THEN SS22288  = .N ;
IF SI22288  = 6                THEN SI22288  = .R ;
IF SI22288  = 7                THEN SI22288  = .N ;
IF SR22288  = 96               THEN SR22288  = .R ;
IF SR22288  = 97               THEN SR22288  = .N ;
IF SS22017  = 96               THEN SS22017  = .R ;
IF SS22017  = 97               THEN SS22017  = .N ;
IF SI22017  = 6                THEN SI22017  = .R ;
IF SI22017  = 7                THEN SI22017  = .N ;
IF SR22017  = 96               THEN SR22017  = .R ;
IF SR22017  = 97               THEN SR22017  = .N ;
IF SS22140  = 96               THEN SS22140  = .R ;
IF SS22140  = 97               THEN SS22140  = .N ;
IF SI22140  = 6                THEN SI22140  = .R ;
IF SI22140  = 7                THEN SI22140  = .N ;
IF SR22140  = 96               THEN SR22140  = .R ;
IF SR22140  = 97               THEN SR22140  = .N ;
IF MS22089  = 96               THEN MS22089  = .R ;
IF MS22089  = 97               THEN MS22089  = .N ;
IF MI22089  = 6                THEN MI22089  = .R ;
IF MI22089  = 7                THEN MI22089  = .N ;
IF MR22089  = 96               THEN MR22089  = .R ;
IF MR22089  = 97               THEN MR22089  = .N ;
IF SS22289  = 96               THEN SS22289  = .R ;
IF SS22289  = 97               THEN SS22289  = .N ;
IF SI22289  = 6                THEN SI22289  = .R ;
IF SI22289  = 7                THEN SI22289  = .N ;
IF SR22289  = 96               THEN SR22289  = .R ;
IF SR22289  = 97               THEN SR22289  = .N ;
IF SS22069  = 96               THEN SS22069  = .R ;
IF SS22069  = 97               THEN SS22069  = .N ;
IF SI22069  = 6                THEN SI22069  = .R ;
IF SI22069  = 7                THEN SI22069  = .N ;
IF SR22069  = 96               THEN SR22069  = .R ;
IF SR22069  = 97               THEN SR22069  = .N ;
IF SS22268  = 96               THEN SS22268  = .R ;
IF SS22268  = 97               THEN SS22268  = .N ;
IF SI22268  = 6                THEN SI22268  = .R ;
IF SI22268  = 7                THEN SI22268  = .N ;
IF SR22268  = 96               THEN SR22268  = .R ;
IF SR22268  = 97               THEN SR22268  = .N ;
IF MS22106  = 96               THEN MS22106  = .R ;
IF MS22106  = 97               THEN MS22106  = .N ;
IF MI22106  = 6                THEN MI22106  = .R ;
IF MI22106  = 7                THEN MI22106  = .N ;
IF MR22106  = 96               THEN MR22106  = .R ;
IF MR22106  = 97               THEN MR22106  = .N ;
IF MS22110  = 96               THEN MS22110  = .R ;
IF MS22110  = 97               THEN MS22110  = .N ;
IF MI22110  = 6                THEN MI22110  = .R ;
IF MI22110  = 7                THEN MI22110  = .N ;
IF MR22110  = 96               THEN MR22110  = .R ;
IF MR22110  = 97               THEN MR22110  = .N ;
IF SS22161  = 96               THEN SS22161  = .R ;
IF SS22161  = 97               THEN SS22161  = .N ;
IF SI22161  = 6                THEN SI22161  = .R ;
IF SI22161  = 7                THEN SI22161  = .N ;
IF SR22161  = 96               THEN SR22161  = .R ;
IF SR22161  = 97               THEN SR22161  = .N ;
IF SS22191  = 96               THEN SS22191  = .R ;
IF SS22191  = 97               THEN SS22191  = .N ;
IF SI22191  = 6                THEN SI22191  = .R ;
IF SI22191  = 7                THEN SI22191  = .N ;
IF SR22191  = 96               THEN SR22191  = .R ;
IF SR22191  = 97               THEN SR22191  = .N ;
IF SS22279  = 96               THEN SS22279  = .R ;
IF SS22279  = 97               THEN SS22279  = .N ;
IF SI22279  = 6                THEN SI22279  = .R ;
IF SI22279  = 7                THEN SI22279  = .N ;
IF SR22279  = 96               THEN SR22279  = .R ;
IF SR22279  = 97               THEN SR22279  = .N ;
IF MS22256  = 96               THEN MS22256  = .R ;
IF MS22256  = 97               THEN MS22256  = .N ;
IF MI22256  = 6                THEN MI22256  = .R ;
IF MI22256  = 7                THEN MI22256  = .N ;
IF MR22256  = 96               THEN MR22256  = .R ;
IF MR22256  = 97               THEN MR22256  = .N ;
IF MS22262A = 96               THEN MS22262A = .R ;
IF MS22262A = 97               THEN MS22262A = .N ;
IF MI22262A = 6                THEN MI22262A = .R ;
IF MI22262A = 7                THEN MI22262A = .N ;
IF MR22262A = 96               THEN MR22262A = .R ;
IF MR22262A = 97               THEN MR22262A = .N ;
IF MS22262B = 96               THEN MS22262B = .R ;
IF MS22262B = 97               THEN MS22262B = .N ;
IF MI22262B = 6                THEN MI22262B = .R ;
IF MI22262B = 7                THEN MI22262B = .N ;
IF MR22262B = 96               THEN MR22262B = .R ;
IF MR22262B = 97               THEN MR22262B = .N ;
IF MS22262C = 96               THEN MS22262C = .R ;
IF MS22262C = 97               THEN MS22262C = .N ;
IF MI22262C = 6                THEN MI22262C = .R ;
IF MI22262C = 7                THEN MI22262C = .N ;
IF MR22262C = 96               THEN MR22262C = .R ;
IF MR22262C = 97               THEN MR22262C = .N ;
IF SS22141  = 96               THEN SS22141  = .R ;
IF SS22141  = 97               THEN SS22141  = .N ;
IF SI22141  = 6                THEN SI22141  = .R ;
IF SI22141  = 7                THEN SI22141  = .N ;
IF SR22141  = 96               THEN SR22141  = .R ;
IF SR22141  = 97               THEN SR22141  = .N ;
IF SS22049  = 96               THEN SS22049  = .R ;
IF SS22049  = 97               THEN SS22049  = .N ;
IF SI22049  = 6                THEN SI22049  = .R ;
IF SI22049  = 7                THEN SI22049  = .N ;
IF SR22049  = 96               THEN SR22049  = .R ;
IF SR22049  = 97               THEN SR22049  = .N ;
IF MS22118  = 96               THEN MS22118  = .R ;
IF MS22118  = 97               THEN MS22118  = .N ;
IF MI22118  = 6                THEN MI22118  = .R ;
IF MI22118  = 7                THEN MI22118  = .N ;
IF MR22118  = 96               THEN MR22118  = .R ;
IF MR22118  = 97               THEN MR22118  = .N ;
IF MS22132  = 96               THEN MS22132  = .R ;
IF MS22132  = 97               THEN MS22132  = .N ;
IF MI22132  = 6                THEN MI22132  = .R ;
IF MI22132  = 7                THEN MI22132  = .N ;
IF MR22132  = 96               THEN MR22132  = .R ;
IF MR22132  = 97               THEN MR22132  = .N ;
IF SS22217A = 96               THEN SS22217A = .R ;
IF SS22217A = 97               THEN SS22217A = .N ;
IF SI22217A = 6                THEN SI22217A = .R ;
IF SI22217A = 7                THEN SI22217A = .N ;
IF SR22217A = 96               THEN SR22217A = .R ;
IF SR22217A = 97               THEN SR22217A = .N ;
IF SS22217B = 96               THEN SS22217B = .R ;
IF SS22217B = 97               THEN SS22217B = .N ;
IF SI22217B = 6                THEN SI22217B = .R ;
IF SI22217B = 7                THEN SI22217B = .N ;
IF SR22217B = 96               THEN SR22217B = .R ;
IF SR22217B = 97               THEN SR22217B = .N ;
IF SS22217C = 96               THEN SS22217C = .R ;
IF SS22217C = 97               THEN SS22217C = .N ;
IF SI22217C = 6                THEN SI22217C = .R ;
IF SI22217C = 7                THEN SI22217C = .N ;
IF SR22217C = 96               THEN SR22217C = .R ;
IF SR22217C = 97               THEN SR22217C = .N ;
IF SS22090  = 96               THEN SS22090  = .R ;
IF SS22090  = 97               THEN SS22090  = .N ;
IF SI22090  = 6                THEN SI22090  = .R ;
IF SI22090  = 7                THEN SI22090  = .N ;
IF SR22090  = 96               THEN SR22090  = .R ;
IF SR22090  = 97               THEN SR22090  = .N ;
IF SS22048  = 96               THEN SS22048  = .R ;
IF SS22048  = 97               THEN SS22048  = .N ;
IF SI22048  = 6                THEN SI22048  = .R ;
IF SI22048  = 7                THEN SI22048  = .N ;
IF SR22048  = 96               THEN SR22048  = .R ;
IF SR22048  = 97               THEN SR22048  = .N ;
IF MS22237  = 96               THEN MS22237  = .R ;
IF MS22237  = 97               THEN MS22237  = .N ;
IF MI22237  = 6                THEN MI22237  = .R ;
IF MI22237  = 7                THEN MI22237  = .N ;
IF MR22237  = 96               THEN MR22237  = .R ;
IF MR22237  = 97               THEN MR22237  = .N ;
IF MS22148  = 96               THEN MS22148  = .R ;
IF MS22148  = 97               THEN MS22148  = .N ;
IF MI22148  = 6                THEN MI22148  = .R ;
IF MI22148  = 7                THEN MI22148  = .N ;
IF MR22148  = 96               THEN MR22148  = .R ;
IF MR22148  = 97               THEN MR22148  = .N ;
IF MS22253  = 96               THEN MS22253  = .R ;
IF MS22253  = 97               THEN MS22253  = .N ;
IF MI22253  = 6                THEN MI22253  = .R ;
IF MI22253  = 7                THEN MI22253  = .N ;
IF MR22253  = 96               THEN MR22253  = .R ;
IF MR22253  = 97               THEN MR22253  = .N ;
IF MS22156  = 96               THEN MS22156  = .R ;
IF MS22156  = 97               THEN MS22156  = .N ;
IF MI22156  = 6                THEN MI22156  = .R ;
IF MI22156  = 7                THEN MI22156  = .N ;
IF MR22156  = 96               THEN MR22156  = .R ;
IF MR22156  = 97               THEN MR22156  = .N ;
IF SS22086  = 96               THEN SS22086  = .R ;
IF SS22086  = 97               THEN SS22086  = .N ;
IF SI22086  = 6                THEN SI22086  = .R ;
IF SI22086  = 7                THEN SI22086  = .N ;
IF SR22086  = 96               THEN SR22086  = .R ;
IF SR22086  = 97               THEN SR22086  = .N ;
IF SS22283  = 96               THEN SS22283  = .R ;
IF SS22283  = 97               THEN SS22283  = .N ;
IF SI22283  = 6                THEN SI22283  = .R ;
IF SI22283  = 7                THEN SI22283  = .N ;
IF SR22283  = 96               THEN SR22283  = .R ;
IF SR22283  = 97               THEN SR22283  = .N ;
IF SS22152  = 96               THEN SS22152  = .R ;
IF SS22152  = 97               THEN SS22152  = .N ;
IF SI22152  = 6                THEN SI22152  = .R ;
IF SI22152  = 7                THEN SI22152  = .N ;
IF SR22152  = 96               THEN SR22152  = .R ;
IF SR22152  = 97               THEN SR22152  = .N ;
IF SS22154  = 96               THEN SS22154  = .R ;
IF SS22154  = 97               THEN SS22154  = .N ;
IF SI22154  = 6                THEN SI22154  = .R ;
IF SI22154  = 7                THEN SI22154  = .N ;
IF SR22154  = 96               THEN SR22154  = .R ;
IF SR22154  = 97               THEN SR22154  = .N ;
IF MS22202  = 96               THEN MS22202  = .R ;
IF MS22202  = 97               THEN MS22202  = .N ;
IF MI22202  = 6                THEN MI22202  = .R ;
IF MI22202  = 7                THEN MI22202  = .N ;
IF MR22202  = 96               THEN MR22202  = .R ;
IF MR22202  = 97               THEN MR22202  = .N ;
IF SS22292  = 96               THEN SS22292  = .R ;
IF SS22292  = 97               THEN SS22292  = .N ;
IF SI22292  = 6                THEN SI22292  = .R ;
IF SI22292  = 7                THEN SI22292  = .N ;
IF SR22292  = 96               THEN SR22292  = .R ;
IF SR22292  = 97               THEN SR22292  = .N ;
IF SS22078  = 96               THEN SS22078  = .R ;
IF SS22078  = 97               THEN SS22078  = .N ;
IF SI22078  = 6                THEN SI22078  = .R ;
IF SI22078  = 7                THEN SI22078  = .N ;
IF SR22078  = 96               THEN SR22078  = .R ;
IF SR22078  = 97               THEN SR22078  = .N ;
IF SS22281  = 96               THEN SS22281  = .R ;
IF SS22281  = 97               THEN SS22281  = .N ;
IF SI22281  = 6                THEN SI22281  = .R ;
IF SI22281  = 7                THEN SI22281  = .N ;
IF SR22281  = 96               THEN SR22281  = .R ;
IF SR22281  = 97               THEN SR22281  = .N ;
IF SS22165A = 96               THEN SS22165A = .R ;
IF SS22165A = 97               THEN SS22165A = .N ;
IF SI22165A = 6                THEN SI22165A = .R ;
IF SI22165A = 7                THEN SI22165A = .N ;
IF SR22165A = 96               THEN SR22165A = .R ;
IF SR22165A = 97               THEN SR22165A = .N ;
IF SS22165B = 96               THEN SS22165B = .R ;
IF SS22165B = 97               THEN SS22165B = .N ;
IF SI22165B = 6                THEN SI22165B = .R ;
IF SI22165B = 7                THEN SI22165B = .N ;
IF SR22165B = 96               THEN SR22165B = .R ;
IF SR22165B = 97               THEN SR22165B = .N ;
IF SS22284  = 96               THEN SS22284  = .R ;
IF SS22284  = 97               THEN SS22284  = .N ;
IF SI22284  = 6                THEN SI22284  = .R ;
IF SI22284  = 7                THEN SI22284  = .N ;
IF SR22284  = 96               THEN SR22284  = .R ;
IF SR22284  = 97               THEN SR22284  = .N ;
IF SS22213  = 96               THEN SS22213  = .R ;
IF SS22213  = 97               THEN SS22213  = .N ;
IF SI22213  = 6                THEN SI22213  = .R ;
IF SI22213  = 7                THEN SI22213  = .N ;
IF SR22213  = 96               THEN SR22213  = .R ;
IF SR22213  = 97               THEN SR22213  = .N ;
IF MS22219  = 96               THEN MS22219  = .R ;
IF MS22219  = 97               THEN MS22219  = .N ;
IF MI22219  = 6                THEN MI22219  = .R ;
IF MI22219  = 7                THEN MI22219  = .N ;
IF MR22219  = 96               THEN MR22219  = .R ;
IF MR22219  = 97               THEN MR22219  = .N ;
IF MS22222  = 96               THEN MS22222  = .R ;
IF MS22222  = 97               THEN MS22222  = .N ;
IF MI22222  = 6                THEN MI22222  = .R ;
IF MI22222  = 7                THEN MI22222  = .N ;
IF MR22222  = 96               THEN MR22222  = .R ;
IF MR22222  = 97               THEN MR22222  = .N ;
IF SS22043  = 96               THEN SS22043  = .R ;
IF SS22043  = 97               THEN SS22043  = .N ;
IF SI22043  = 6                THEN SI22043  = .R ;
IF SI22043  = 7                THEN SI22043  = .N ;
IF SR22043  = 96               THEN SR22043  = .R ;
IF SR22043  = 97               THEN SR22043  = .N ;
IF SS22258  = 96               THEN SS22258  = .R ;
IF SS22258  = 97               THEN SS22258  = .N ;
IF SI22258  = 6                THEN SI22258  = .R ;
IF SI22258  = 7                THEN SI22258  = .N ;
IF SR22258  = 96               THEN SR22258  = .R ;
IF SR22258  = 97               THEN SR22258  = .N ;
IF SS22277A = 96               THEN SS22277A = .R ;
IF SS22277A = 97               THEN SS22277A = .N ;
IF SI22277A = 6                THEN SI22277A = .R ;
IF SI22277A = 7                THEN SI22277A = .N ;
IF SR22277A = 96               THEN SR22277A = .R ;
IF SR22277A = 97               THEN SR22277A = .N ;
IF SS22277B = 96               THEN SS22277B = .R ;
IF SS22277B = 97               THEN SS22277B = .N ;
IF SI22277B = 6                THEN SI22277B = .R ;
IF SI22277B = 7                THEN SI22277B = .N ;
IF SR22277B = 96               THEN SR22277B = .R ;
IF SR22277B = 97               THEN SR22277B = .N ;
IF SS22158  = 96               THEN SS22158  = .R ;
IF SS22158  = 97               THEN SS22158  = .N ;
IF SI22158  = 6                THEN SI22158  = .R ;
IF SI22158  = 7                THEN SI22158  = .N ;
IF SR22158  = 96               THEN SR22158  = .R ;
IF SR22158  = 97               THEN SR22158  = .N ;
IF MS22178  = 96               THEN MS22178  = .R ;
IF MS22178  = 97               THEN MS22178  = .N ;
IF MI22178  = 6                THEN MI22178  = .R ;
IF MI22178  = 7                THEN MI22178  = .N ;
IF MR22178  = 96               THEN MR22178  = .R ;
IF MR22178  = 97               THEN MR22178  = .N ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCORR  = 999              THEN IDSCORR  = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDCLASS  = 99999999         THEN IDCLASS  = . ;
IF IDSTUD   = 9999999999       THEN IDSTUD   = . ;
IF MS22261A = 99               THEN MS22261A = . ;
IF MI22261A = 9                THEN MI22261A = . ;
IF MR22261A = 99               THEN MR22261A = . ;
IF MS22261B = 99               THEN MS22261B = . ;
IF MI22261B = 9                THEN MI22261B = . ;
IF MR22261B = 99               THEN MR22261B = . ;
IF MS22261C = 99               THEN MS22261C = . ;
IF MI22261C = 9                THEN MI22261C = . ;
IF MR22261C = 99               THEN MR22261C = . ;
IF MS22227A = 99               THEN MS22227A = . ;
IF MI22227A = 9                THEN MI22227A = . ;
IF MR22227A = 99               THEN MR22227A = . ;
IF MS22227B = 99               THEN MS22227B = . ;
IF MI22227B = 9                THEN MI22227B = . ;
IF MR22227B = 99               THEN MR22227B = . ;
IF MS22227C = 99               THEN MS22227C = . ;
IF MI22227C = 9                THEN MI22227C = . ;
IF MR22227C = 99               THEN MR22227C = . ;
IF MS22008  = 99               THEN MS22008  = . ;
IF MI22008  = 9                THEN MI22008  = . ;
IF MR22008  = 99               THEN MR22008  = . ;
IF MS22012  = 99               THEN MS22012  = . ;
IF MI22012  = 9                THEN MI22012  = . ;
IF MR22012  = 99               THEN MR22012  = . ;
IF SS22022  = 99               THEN SS22022  = . ;
IF SI22022  = 9                THEN SI22022  = . ;
IF SR22022  = 99               THEN SR22022  = . ;
IF SS22244  = 99               THEN SS22244  = . ;
IF SI22244  = 9                THEN SI22244  = . ;
IF SR22244  = 99               THEN SR22244  = . ;
IF MS22231B = 99               THEN MS22231B = . ;
IF MI22231B = 9                THEN MI22231B = . ;
IF MR22231B = 99               THEN MR22231B = . ;
IF MS22244  = 99               THEN MS22244  = . ;
IF MI22244  = 9                THEN MI22244  = . ;
IF MR22244  = 99               THEN MR22244  = . ;
IF SS22088A = 99               THEN SS22088A = . ;
IF SI22088A = 9                THEN SI22088A = . ;
IF SR22088A = 99               THEN SR22088A = . ;
IF SS22088B = 99               THEN SS22088B = . ;
IF SI22088B = 9                THEN SI22088B = . ;
IF SR22088B = 99               THEN SR22088B = . ;
IF SS22249A = 99               THEN SS22249A = . ;
IF SI22249A = 9                THEN SI22249A = . ;
IF SR22249A = 99               THEN SR22249A = . ;
IF SS22249B = 99               THEN SS22249B = . ;
IF SI22249B = 9                THEN SI22249B = . ;
IF SR22249B = 99               THEN SR22249B = . ;
IF SS22286  = 99               THEN SS22286  = . ;
IF SI22286  = 9                THEN SI22286  = . ;
IF SR22286  = 99               THEN SR22286  = . ;
IF SS22174  = 99               THEN SS22174  = . ;
IF SI22174  = 9                THEN SI22174  = . ;
IF SR22174  = 99               THEN SR22174  = . ;
IF SS22081  = 99               THEN SS22081  = . ;
IF SI22081  = 9                THEN SI22081  = . ;
IF SR22081  = 99               THEN SR22081  = . ;
IF MS22026  = 99               THEN MS22026  = . ;
IF MI22026  = 9                THEN MI22026  = . ;
IF MR22026  = 99               THEN MR22026  = . ;
IF MS22030  = 99               THEN MS22030  = . ;
IF MI22030  = 9                THEN MI22030  = . ;
IF MR22030  = 99               THEN MR22030  = . ;
IF SS22172A = 99               THEN SS22172A = . ;
IF SI22172A = 9                THEN SI22172A = . ;
IF SR22172A = 99               THEN SR22172A = . ;
IF MS22228  = 99               THEN MS22228  = . ;
IF MI22228  = 9                THEN MI22228  = . ;
IF MR22228  = 99               THEN MR22228  = . ;
IF MS22231A = 99               THEN MS22231A = . ;
IF MI22231A = 9                THEN MI22231A = . ;
IF MR22231A = 99               THEN MR22231A = . ;
IF MS22046  = 99               THEN MS22046  = . ;
IF MI22046  = 9                THEN MI22046  = . ;
IF MR22046  = 99               THEN MR22046  = . ;
IF MS22055  = 99               THEN MS22055  = . ;
IF MI22055  = 9                THEN MI22055  = . ;
IF MR22055  = 99               THEN MR22055  = . ;
IF SS22035  = 99               THEN SS22035  = . ;
IF SI22035  = 9                THEN SI22035  = . ;
IF SR22035  = 99               THEN SR22035  = . ;
IF SS22160  = 99               THEN SS22160  = . ;
IF SI22160  = 9                THEN SI22160  = . ;
IF SR22160  = 99               THEN SR22160  = . ;
IF MS22232  = 99               THEN MS22232  = . ;
IF MI22232  = 9                THEN MI22232  = . ;
IF MR22232  = 99               THEN MR22232  = . ;
IF MS22234A = 99               THEN MS22234A = . ;
IF MI22234A = 9                THEN MI22234A = . ;
IF MR22234A = 99               THEN MR22234A = . ;
IF MS22234B = 99               THEN MS22234B = . ;
IF MI22234B = 9                THEN MI22234B = . ;
IF MR22234B = 99               THEN MR22234B = . ;
IF MS22243  = 99               THEN MS22243  = . ;
IF MI22243  = 9                THEN MI22243  = . ;
IF MR22243  = 99               THEN MR22243  = . ;
IF SS22282  = 99               THEN SS22282  = . ;
IF SI22282  = 9                THEN SI22282  = . ;
IF SR22282  = 99               THEN SR22282  = . ;
IF SS22172B = 99               THEN SS22172B = . ;
IF SI22172B = 9                THEN SI22172B = . ;
IF SR22172B = 99               THEN SR22172B = . ;
IF SS22288  = 99               THEN SS22288  = . ;
IF SI22288  = 9                THEN SI22288  = . ;
IF SR22288  = 99               THEN SR22288  = . ;
IF SS22017  = 99               THEN SS22017  = . ;
IF SI22017  = 9                THEN SI22017  = . ;
IF SR22017  = 99               THEN SR22017  = . ;
IF SS22140  = 99               THEN SS22140  = . ;
IF SI22140  = 9                THEN SI22140  = . ;
IF SR22140  = 99               THEN SR22140  = . ;
IF MS22089  = 99               THEN MS22089  = . ;
IF MI22089  = 9                THEN MI22089  = . ;
IF MR22089  = 99               THEN MR22089  = . ;
IF SS22289  = 99               THEN SS22289  = . ;
IF SI22289  = 9                THEN SI22289  = . ;
IF SR22289  = 99               THEN SR22289  = . ;
IF SS22069  = 99               THEN SS22069  = . ;
IF SI22069  = 9                THEN SI22069  = . ;
IF SR22069  = 99               THEN SR22069  = . ;
IF SS22268  = 99               THEN SS22268  = . ;
IF SI22268  = 9                THEN SI22268  = . ;
IF SR22268  = 99               THEN SR22268  = . ;
IF MS22106  = 99               THEN MS22106  = . ;
IF MI22106  = 9                THEN MI22106  = . ;
IF MR22106  = 99               THEN MR22106  = . ;
IF MS22110  = 99               THEN MS22110  = . ;
IF MI22110  = 9                THEN MI22110  = . ;
IF MR22110  = 99               THEN MR22110  = . ;
IF SS22161  = 99               THEN SS22161  = . ;
IF SI22161  = 9                THEN SI22161  = . ;
IF SR22161  = 99               THEN SR22161  = . ;
IF SS22191  = 99               THEN SS22191  = . ;
IF SI22191  = 9                THEN SI22191  = . ;
IF SR22191  = 99               THEN SR22191  = . ;
IF SS22279  = 99               THEN SS22279  = . ;
IF SI22279  = 9                THEN SI22279  = . ;
IF SR22279  = 99               THEN SR22279  = . ;
IF MS22256  = 99               THEN MS22256  = . ;
IF MI22256  = 9                THEN MI22256  = . ;
IF MR22256  = 99               THEN MR22256  = . ;
IF MS22262A = 99               THEN MS22262A = . ;
IF MI22262A = 9                THEN MI22262A = . ;
IF MR22262A = 99               THEN MR22262A = . ;
IF MS22262B = 99               THEN MS22262B = . ;
IF MI22262B = 9                THEN MI22262B = . ;
IF MR22262B = 99               THEN MR22262B = . ;
IF MS22262C = 99               THEN MS22262C = . ;
IF MI22262C = 9                THEN MI22262C = . ;
IF MR22262C = 99               THEN MR22262C = . ;
IF SS22141  = 98               THEN SS22141  = . ;
IF SI22141  = 9                THEN SI22141  = . ;
IF SR22141  = 98               THEN SR22141  = . ;
IF SS22049  = 99               THEN SS22049  = . ;
IF SI22049  = 9                THEN SI22049  = . ;
IF SR22049  = 99               THEN SR22049  = . ;
IF MS22118  = 99               THEN MS22118  = . ;
IF MI22118  = 9                THEN MI22118  = . ;
IF MR22118  = 99               THEN MR22118  = . ;
IF MS22132  = 99               THEN MS22132  = . ;
IF MI22132  = 9                THEN MI22132  = . ;
IF MR22132  = 99               THEN MR22132  = . ;
IF SS22217A = 99               THEN SS22217A = . ;
IF SI22217A = 9                THEN SI22217A = . ;
IF SR22217A = 99               THEN SR22217A = . ;
IF SS22217B = 99               THEN SS22217B = . ;
IF SI22217B = 9                THEN SI22217B = . ;
IF SR22217B = 99               THEN SR22217B = . ;
IF SS22217C = 99               THEN SS22217C = . ;
IF SI22217C = 9                THEN SI22217C = . ;
IF SR22217C = 99               THEN SR22217C = . ;
IF SS22090  = 99               THEN SS22090  = . ;
IF SI22090  = 9                THEN SI22090  = . ;
IF SR22090  = 99               THEN SR22090  = . ;
IF SS22048  = 99               THEN SS22048  = . ;
IF SI22048  = 9                THEN SI22048  = . ;
IF SR22048  = 99               THEN SR22048  = . ;
IF MS22237  = 99               THEN MS22237  = . ;
IF MI22237  = 9                THEN MI22237  = . ;
IF MR22237  = 99               THEN MR22237  = . ;
IF MS22148  = 99               THEN MS22148  = . ;
IF MI22148  = 9                THEN MI22148  = . ;
IF MR22148  = 99               THEN MR22148  = . ;
IF MS22253  = 99               THEN MS22253  = . ;
IF MI22253  = 9                THEN MI22253  = . ;
IF MR22253  = 99               THEN MR22253  = . ;
IF MS22156  = 99               THEN MS22156  = . ;
IF MI22156  = 9                THEN MI22156  = . ;
IF MR22156  = 99               THEN MR22156  = . ;
IF SS22086  = 99               THEN SS22086  = . ;
IF SI22086  = 9                THEN SI22086  = . ;
IF SR22086  = 99               THEN SR22086  = . ;
IF SS22283  = 99               THEN SS22283  = . ;
IF SI22283  = 9                THEN SI22283  = . ;
IF SR22283  = 99               THEN SR22283  = . ;
IF SS22152  = 99               THEN SS22152  = . ;
IF SI22152  = 9                THEN SI22152  = . ;
IF SR22152  = 99               THEN SR22152  = . ;
IF SS22154  = 99               THEN SS22154  = . ;
IF SI22154  = 9                THEN SI22154  = . ;
IF SR22154  = 99               THEN SR22154  = . ;
IF MS22202  = 99               THEN MS22202  = . ;
IF MI22202  = 9                THEN MI22202  = . ;
IF MR22202  = 99               THEN MR22202  = . ;
IF SS22292  = 99               THEN SS22292  = . ;
IF SI22292  = 9                THEN SI22292  = . ;
IF SR22292  = 99               THEN SR22292  = . ;
IF SS22078  = 99               THEN SS22078  = . ;
IF SI22078  = 9                THEN SI22078  = . ;
IF SR22078  = 99               THEN SR22078  = . ;
IF SS22281  = 99               THEN SS22281  = . ;
IF SI22281  = 9                THEN SI22281  = . ;
IF SR22281  = 99               THEN SR22281  = . ;
IF SS22165A = 99               THEN SS22165A = . ;
IF SI22165A = 9                THEN SI22165A = . ;
IF SR22165A = 99               THEN SR22165A = . ;
IF SS22165B = 99               THEN SS22165B = . ;
IF SI22165B = 9                THEN SI22165B = . ;
IF SR22165B = 99               THEN SR22165B = . ;
IF SS22284  = 99               THEN SS22284  = . ;
IF SI22284  = 9                THEN SI22284  = . ;
IF SR22284  = 99               THEN SR22284  = . ;
IF SS22213  = 99               THEN SS22213  = . ;
IF SI22213  = 9                THEN SI22213  = . ;
IF SR22213  = 99               THEN SR22213  = . ;
IF MS22219  = 99               THEN MS22219  = . ;
IF MI22219  = 9                THEN MI22219  = . ;
IF MR22219  = 99               THEN MR22219  = . ;
IF MS22222  = 99               THEN MS22222  = . ;
IF MI22222  = 9                THEN MI22222  = . ;
IF MR22222  = 99               THEN MR22222  = . ;
IF SS22043  = 99               THEN SS22043  = . ;
IF SI22043  = 9                THEN SI22043  = . ;
IF SR22043  = 99               THEN SR22043  = . ;
IF SS22258  = 99               THEN SS22258  = . ;
IF SI22258  = 9                THEN SI22258  = . ;
IF SR22258  = 99               THEN SR22258  = . ;
IF SS22277A = 99               THEN SS22277A = . ;
IF SI22277A = 9                THEN SI22277A = . ;
IF SR22277A = 99               THEN SR22277A = . ;
IF SS22277B = 99               THEN SS22277B = . ;
IF SI22277B = 9                THEN SI22277B = . ;
IF SR22277B = 99               THEN SR22277B = . ;
IF SS22158  = 99               THEN SS22158  = . ;
IF SI22158  = 9                THEN SI22158  = . ;
IF SR22158  = 99               THEN SR22158  = . ;
IF MS22178  = 99               THEN MS22178  = . ;
IF MI22178  = 9                THEN MI22178  = . ;
IF MR22178  = 99               THEN MR22178  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;











