SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bst,!cty,'m2.dat"').
!let !savdata = !concat('"',!savpath,bst,!cty,'m2.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  IDCLASS    15-  22     
  IDSTUD     23-  32     
  IDTEACH    33-  40     
  IDLINK     41-  42     
  IDGRADER   43-  43     
  INTMS95    44-  44     
  INTMS99    45-  45     
  JKZONE     46-  47     
  JKREP      48-  48     
  MATSUBJ    49-  49     
  SCISUBJ    50-  50     
  NMTEACH    51-  51     
  NSTEACH    52-  52     
  NTEACH     53-  53     
  MATWGT     54-  66 (6)
  SCIWGT     67-  79 (6)
  TCHWGT     80-  92 (6)
  TOTWGT     93- 105 (6)
  BSMMAT01  106- 111 (2)
  BSMMAT02  112- 117 (2)
  BSMMAT03  118- 123 (2)
  BSMMAT04  124- 129 (2)
  BSMMAT05  130- 135 (2)
  BSSSCI01  136- 141 (2)
  BSSSCI02  142- 147 (2)
  BSSSCI03  148- 153 (2)
  BSSSCI04  154- 159 (2)
  BSSSCI05  160- 165 (2)
  DPCDATE   166- 171     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*FILE VERSION*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDCLASS  "*CLASS ID*" 
                 /IDSTUD   "*STUDENT ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /IDGRADER "*GRADE*" 
                 /INTMS95  "*INTMS95*" 
                 /INTMS99  "*INTMS99*" 
                 /JKZONE   "*ZONE CODE*" 
                 /JKREP    "*REPLICATE CODE*" 
                 /MATSUBJ  "*Mathematics Teacher Link*" 
                 /SCISUBJ  "*Science Teacher Link*" 
                 /NMTEACH  "*Number of Math Teachers for Student*" 
                 /NSTEACH  "*Number of Science Teachers for Student*" 
                 /NTEACH   "*# of Math+Science Teachers combined*" 
                 /MATWGT   "*Weight for Mathematics Teacher Data*" 
                 /SCIWGT   "*Weight for Science Teacher Data*" 
                 /TCHWGT   "*Weight for Mat+Sci Teacher Data combin*" 
                 /TOTWGT   "*STUDENT WEIGHT*" 
                 /BSMMAT01 "*1ST PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT02 "*2ND PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT03 "*3RD PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT04 "*4TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT05 "*5TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSSSCI01 "*1ST PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI02 "*2ND PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI03 "*3RD PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI04 "*4TH PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI05 "*5TH PLAUSIBLE VALUE SCIENCE*" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "population 1"
                       2  "population 2"
                       3  "population 3"
                       /
            IDGRADER   1  "lower grade"
                       2  "upper grade"
                       /
            INTMS95    0  "Student not part of international component of TIMSS95"
                       1  "Student part of international component of TIMSS95"
                       /
            INTMS99    0  "Student not part of international component of TIMSS99"
                       1  "Student part of international component of TIMSS99"
                       /
            JKREP      0  "zero weight"
                       1  "double weight"
                       /
            MATSUBJ    1  "Yes"
                       2  "No"
                       /
            SCISUBJ    1  "Yes"
                       2  "No"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDCLASS  (99999999         = sysmis).
recode IDSTUD   (9999999999       = sysmis).
recode IDTEACH  (99999999         = sysmis).
recode IDLINK   (99               = sysmis).
recode IDGRADER (9                = sysmis).
recode INTMS95  (9                = sysmis).
recode INTMS99  (9                = sysmis).
recode JKZONE   (99               = sysmis).
recode JKREP    (9                = sysmis).
recode MATWGT   (999999           = sysmis).
recode SCIWGT   (999999           = sysmis).
recode TCHWGT   (999999           = sysmis).
recode TOTWGT   (999999           = sysmis).
recode BSMMAT01 (999              = sysmis).
recode BSMMAT02 (999              = sysmis).
recode BSMMAT03 (999              = sysmis).
recode BSMMAT04 (999              = sysmis).
recode BSMMAT05 (999              = sysmis).
recode BSSSCI01 (999              = sysmis).
recode BSSSCI02 (999              = sysmis).
recode BSSSCI03 (999              = sysmis).
recode BSSSCI04 (999              = sysmis).
recode BSSSCI05 (999              = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDCLASS (99999998).
missing value IDSTUD  (9999999998).
missing value IDTEACH (99999998).
missing value IDLINK  (98).
missing value IDGRADER(8).
missing value INTMS95 (8).
missing value INTMS99 (8).
missing value JKZONE  (98).
missing value JKREP   (8).
missing value MATWGT  (999998).
missing value SCIWGT  (999998).
missing value TCHWGT  (999998).
missing value TOTWGT  (999998).
missing value BSMMAT01(998).
missing value BSMMAT02(998).
missing value BSMMAT03(998).
missing value BSMMAT04(998).
missing value BSMMAT05(998).
missing value BSSSCI01(998).
missing value BSSSCI02(998).
missing value BSSSCI03(998).
missing value BSSSCI04(998).
missing value BSSSCI05(998).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDCLASS  (f8.0).
format IDSTUD   (f10.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format IDGRADER (f1.0).
format INTMS95  (f1.0).
format INTMS99  (f1.0).
format JKZONE   (f2.0).
format JKREP    (f1.0).
format MATSUBJ  (f1.0).
format SCISUBJ  (f1.0).
format NMTEACH  (f1.0).
format NSTEACH  (f1.0).
format NTEACH   (f1.0).
format MATWGT   (f13.6).
format SCIWGT   (f13.6).
format TCHWGT   (f13.6).
format TOTWGT   (f13.6).
format BSMMAT01 (f6.2).
format BSMMAT02 (f6.2).
format BSMMAT03 (f6.2).
format BSMMAT04 (f6.2).
format BSMMAT05 (f6.2).
format BSSSCI01 (f6.2).
format BSSSCI02 (f6.2).
format BSSSCI03 (f6.2).
format BSSSCI04 (f6.2).
format BSSSCI05 (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
                 IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
                 MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
                 TUN TWN USA ZAF CHL SVK MAR TUR.