%let cty =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
            FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
            KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
            SCO SGP SVK SVN ESP SWE CHE THA USA ITA ;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= btm&ccode.m1 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;


*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDTEACH    8 ;
LENGTH      IDLINK     3 ;
LENGTH      IDSUBJCT   3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGEDUC   3 ;
LENGTH      BTBMTEAC   3 ;
LENGTH      BTBMGRPK   3 ;
LENGTH      BTBMGRK    3 ;
LENGTH      BTBMGR1    3 ;
LENGTH      BTBMGR2    3 ;
LENGTH      BTBMGR3    3 ;
LENGTH      BTBMGR4    3 ;
LENGTH      BTBMGR5    3 ;
LENGTH      BTBMGR6    3 ;
LENGTH      BTBMGR7    3 ;
LENGTH      BTBMGR8    3 ;
LENGTH      BTBMGR9    3 ;
LENGTH      BTBMGR10   3 ;
LENGTH      BTBMGR11   3 ;
LENGTH      BTBMGR12   3 ;
LENGTH      BTBMGR13   3 ;
LENGTH      BTBSTEAC   3 ;
LENGTH      BTBSGRPK   3 ;
LENGTH      BTBSGRK    3 ;
LENGTH      BTBSGR1    3 ;
LENGTH      BTBSGR2    3 ;
LENGTH      BTBSGR3    3 ;
LENGTH      BTBSGR4    3 ;
LENGTH      BTBSGR5    3 ;
LENGTH      BTBSGR6    3 ;
LENGTH      BTBSGR7    3 ;
LENGTH      BTBSGR8    3 ;
LENGTH      BTBSGR9    3 ;
LENGTH      BTBSGR10   3 ;
LENGTH      BTBSGR11   3 ;
LENGTH      BTBSGR12   3 ;
LENGTH      BTBSGR13   3 ;
LENGTH      BTBGPTFT   3 ;
LENGTH      BTBGTAUG   3 ;
LENGTH      BTBGGRPK   3 ;
LENGTH      BTBGGRK    3 ;
LENGTH      BTBGGR1    3 ;
LENGTH      BTBGGR2    3 ;
LENGTH      BTBGGR3    3 ;
LENGTH      BTBGGR4    3 ;
LENGTH      BTBGGR5    3 ;
LENGTH      BTBGGR6    3 ;
LENGTH      BTBGGR7    3 ;
LENGTH      BTBGGR8    3 ;
LENGTH      BTBGGR9    3 ;
LENGTH      BTBGGR10   3 ;
LENGTH      BTBGGR11   3 ;
LENGTH      BTBGGR12   3 ;
LENGTH      BTBGGR13   3 ;
LENGTH      BTBMSUB1   3 ;
LENGTH      BTBSSUB2   3 ;
LENGTH      BTBSSUB3   3 ;
LENGTH      BTBSSUB4   3 ;
LENGTH      BTBSSUB5   3 ;
LENGTH      BTBSSUB6   3 ;
LENGTH      BTBSSUB7   3 ;
LENGTH      BTBSSUB8   3 ;
LENGTH      BTBGSUB9   3 ;
LENGTH      BTBGTSK1   3 ;
LENGTH      BTBGTSK2   3 ;
LENGTH      BTBGTSK3   3 ;
LENGTH      BTBGTSK4   3 ;
LENGTH      BTBGTSK5   3 ;
LENGTH      BTBGTSK6   3 ;
LENGTH      BTBGTOTL   3 ;
LENGTH      BTBGACT1   3 ;
LENGTH      BTBGACT2   3 ;
LENGTH      BTBGACT3   3 ;
LENGTH      BTBGACT4   3 ;
LENGTH      BTBGACT5   3 ;
LENGTH      BTBGACT6   3 ;
LENGTH      BTBGACT7   3 ;
LENGTH      BTBGACT8   3 ;
LENGTH      BTBGMEET   3 ;
LENGTH      BTBGINF1   3 ;
LENGTH      BTBGINF2   3 ;
LENGTH      BTBGINF3   3 ;
LENGTH      BTBGINF4   3 ;
LENGTH      BTBMIMP1   3 ;
LENGTH      BTBMIMP2   3 ;
LENGTH      BTBMIMP3   3 ;
LENGTH      BTBMIMP4   3 ;
LENGTH      BTBMIMP5   3 ;
LENGTH      BTBMIMP6   3 ;
LENGTH      BTBMAGR1   3 ;
LENGTH      BTBMAGR2   3 ;
LENGTH      BTBMAGR3   3 ;
LENGTH      BTBGAGR4   3 ;
LENGTH      BTBMAGR5   3 ;
LENGTH      BTBMAGR6   3 ;
LENGTH      BTBMAGR7   3 ;
LENGTH      BTBMAGR8   3 ;
LENGTH      BTBMAGR9   3 ;
LENGTH      BTBMFAM1   3 ;
LENGTH      BTBMFAM2   3 ;
LENGTH      BTBGFAM3   3 ;
LENGTH      BTBGFAM4   3 ;
LENGTH      BTBGFAM5   3 ;
LENGTH      BTBMFAM6   3 ;
LENGTH      BTBMFAM7   3 ;
LENGTH      BTBGCARE   3 ;
LENGTH      BTBGCHNG   3 ;
LENGTH      BTBGSOAP   3 ;
LENGTH      BTBGSTAP   3 ;
LENGTH      BTBGBOOK   3 ;
LENGTH      BTBGRNK1   3 ;
LENGTH      BTBGRNK2   3 ;
LENGTH      BTBGRNK3   3 ;
LENGTH      BTBGRNK4   3 ;
LENGTH      BTBGRNK5   3 ;
LENGTH      BTBGRNK6   3 ;
LENGTH      BTBGRNK7   3 ;
LENGTH      BTBGRNK8   3 ;
LENGTH      BTBGRNK9   3 ;
LENGTH      BTBMBOY    3 ;
LENGTH      BTBMGIRL   3 ;
LENGTH      BTBMACH1   3 ;
LENGTH      BTBMACH2   3 ;
LENGTH      BTBMACH3   3 ;
LENGTH      BTBMTIME   4 ;
LENGTH      BTBMTXBK   3 ;
LENGTH      BTBMTXB0   3 ;
LENGTH      BTBMTXB1   3 ;
LENGTH      BTBMTXB2   3 ;
LENGTH      BTBMTXB3   3 ;
LENGTH      BTBMTXB4   3 ;
LENGTH      BTBMTXB5   3 ;
LENGTH      BTBMTXB6   3 ;
LENGTH      BTBMTXB7   3 ;
LENGTH      BTBMTXB8   3 ;
LENGTH      BTBMTXB9   3 ;
LENGTH      BTBMTSNM   3 ;
LENGTH      BTBMTXBS   3 ;
LENGTH      BTBMADTB   3 ;
LENGTH      BTBMLM01   3 ;
LENGTH      BTBMLM02   3 ;
LENGTH      BTBMLM03   3 ;
LENGTH      BTBMLM04   3 ;
LENGTH      BTBMLM05   3 ;
LENGTH      BTBMLM06   3 ;
LENGTH      BTBMLM07   3 ;
LENGTH      BTBMLM08   3 ;
LENGTH      BTBMLM09   3 ;
LENGTH      BTBMLM10   3 ;
LENGTH      BTBMLM11   3 ;
LENGTH      BTBMLM12   3 ;
LENGTH      BTBMLM13   3 ;
LENGTH      BTBMLM14   3 ;
LENGTH      BTBMLM15   3 ;
LENGTH      BTBMLM16   3 ;
LENGTH      BTBMCALC   3 ;
LENGTH      BTBMCAL1   3 ;
LENGTH      BTBMCAL2   3 ;
LENGTH      BTBMCAL3   3 ;
LENGTH      BTBMCAL4   3 ;
LENGTH      BTBMCAL5   3 ;
LENGTH      BTBMRLY1   3 ;
LENGTH      BTBMRLY2   3 ;
LENGTH      BTBMRLY3   3 ;
LENGTH      BTBMRLY4   3 ;
LENGTH      BTBMRLY5   3 ;
LENGTH      BTBMRLY6   3 ;
LENGTH      BTBMRLY7   3 ;
LENGTH      BTBMSRC1   3 ;
LENGTH      BTBMSRC2   3 ;
LENGTH      BTBMSRC3   3 ;
LENGTH      BTBMSRC4   3 ;
LENGTH      BTBMTA     3 ;
LENGTH      BTBMTAA    3 ;
LENGTH      BTBMTAB    3 ;
LENGTH      BTBMTAC    3 ;
LENGTH      BTBMTA1    3 ;
LENGTH      BTBMTA1A   3 ;
LENGTH      BTBMTA1B   3 ;
LENGTH      BTBMTA1C   3 ;
LENGTH      BTBMTA2    3 ;
LENGTH      BTBMTA2A   3 ;
LENGTH      BTBMTA2B   3 ;
LENGTH      BTBMTA2C   3 ;
LENGTH      BTBMTB     3 ;
LENGTH      BTBMTBA    3 ;
LENGTH      BTBMTBB    3 ;
LENGTH      BTBMTBC    3 ;
LENGTH      BTBMTB1    3 ;
LENGTH      BTBMTB1A   3 ;
LENGTH      BTBMTB1B   3 ;
LENGTH      BTBMTB1C   3 ;
LENGTH      BTBMTB2    3 ;
LENGTH      BTBMTB2A   3 ;
LENGTH      BTBMTB2B   3 ;
LENGTH      BTBMTB2C   3 ;
LENGTH      BTBMTB3    3 ;
LENGTH      BTBMTB3A   3 ;
LENGTH      BTBMTB3B   3 ;
LENGTH      BTBMTB3C   3 ;
LENGTH      BTBMTB4    3 ;
LENGTH      BTBMTB4A   3 ;
LENGTH      BTBMTB4B   3 ;
LENGTH      BTBMTB4C   3 ;
LENGTH      BTBMTB5    3 ;
LENGTH      BTBMTB5A   3 ;
LENGTH      BTBMTB5B   3 ;
LENGTH      BTBMTB5C   3 ;
LENGTH      BTBMTB6    3 ;
LENGTH      BTBMTB6A   3 ;
LENGTH      BTBMTB6B   3 ;
LENGTH      BTBMTB6C   3 ;
LENGTH      BTBMTB7    3 ;
LENGTH      BTBMTB7A   3 ;
LENGTH      BTBMTB7B   3 ;
LENGTH      BTBMTB7C   3 ;
LENGTH      BTBMTC     3 ;
LENGTH      BTBMTCA    3 ;
LENGTH      BTBMTCB    3 ;
LENGTH      BTBMTCC    3 ;
LENGTH      BTBMTD     3 ;
LENGTH      BTBMTDA    3 ;
LENGTH      BTBMTDB    3 ;
LENGTH      BTBMTDC    3 ;
LENGTH      BTBMTE     3 ;
LENGTH      BTBMTEA    3 ;
LENGTH      BTBMTEB    3 ;
LENGTH      BTBMTEC    3 ;
LENGTH      BTBMTF     3 ;
LENGTH      BTBMTFA    3 ;
LENGTH      BTBMTFB    3 ;
LENGTH      BTBMTFC    3 ;
LENGTH      BTBMTG     3 ;
LENGTH      BTBMTGA    3 ;
LENGTH      BTBMTGB    3 ;
LENGTH      BTBMTGC    3 ;
LENGTH      BTBMTH     3 ;
LENGTH      BTBMTHA    3 ;
LENGTH      BTBMTHB    3 ;
LENGTH      BTBMTHC    3 ;
LENGTH      BTBMTI     3 ;
LENGTH      BTBMTIA    3 ;
LENGTH      BTBMTIB    3 ;
LENGTH      BTBMTIC    3 ;
LENGTH      BTBMTJ     3 ;
LENGTH      BTBMTJA    3 ;
LENGTH      BTBMTJB    3 ;
LENGTH      BTBMTJC    3 ;
LENGTH      BTBMTK     3 ;
LENGTH      BTBMTKA    3 ;
LENGTH      BTBMTKB    3 ;
LENGTH      BTBMTKC    3 ;
LENGTH      BTBMTL     3 ;
LENGTH      BTBMTLA    3 ;
LENGTH      BTBMTLB    3 ;
LENGTH      BTBMTLC    3 ;
LENGTH      BTBMTM     3 ;
LENGTH      BTBMTMA    3 ;
LENGTH      BTBMTMB    3 ;
LENGTH      BTBMTMC    3 ;
LENGTH      BTBMTN     3 ;
LENGTH      BTBMTNA    3 ;
LENGTH      BTBMTNB    3 ;
LENGTH      BTBMTNC    3 ;
LENGTH      BTBMTN1    3 ;
LENGTH      BTBMTN1A   3 ;
LENGTH      BTBMTN1B   3 ;
LENGTH      BTBMTN1C   3 ;
LENGTH      BTBMTN2    3 ;
LENGTH      BTBMTN2A   3 ;
LENGTH      BTBMTN2B   3 ;
LENGTH      BTBMTN2C   3 ;
LENGTH      BTBMTO     3 ;
LENGTH      BTBMTOA    3 ;
LENGTH      BTBMTOB    3 ;
LENGTH      BTBMTOC    3 ;
LENGTH      BTBMTO1    3 ;
LENGTH      BTBMTO1A   3 ;
LENGTH      BTBMTO1B   3 ;
LENGTH      BTBMTO1C   3 ;
LENGTH      BTBMTO2    3 ;
LENGTH      BTBMTO2A   3 ;
LENGTH      BTBMTO2B   3 ;
LENGTH      BTBMTO2C   3 ;
LENGTH      BTBMTP     3 ;
LENGTH      BTBMTPA    3 ;
LENGTH      BTBMTPB    3 ;
LENGTH      BTBMTPC    3 ;
LENGTH      BTBMTQ     3 ;
LENGTH      BTBMTQA    3 ;
LENGTH      BTBMTQB    3 ;
LENGTH      BTBMTQC    3 ;
LENGTH      BTBMTQ1    3 ;
LENGTH      BTBMTQ1A   3 ;
LENGTH      BTBMTQ1B   3 ;
LENGTH      BTBMTQ1C   3 ;
LENGTH      BTBMTQ2    3 ;
LENGTH      BTBMTQ2A   3 ;
LENGTH      BTBMTQ2B   3 ;
LENGTH      BTBMTQ2C   3 ;
LENGTH      BTBMTR     3 ;
LENGTH      BTBMTRA    3 ;
LENGTH      BTBMTRB    3 ;
LENGTH      BTBMTRC    3 ;
LENGTH      BTBMTS     3 ;
LENGTH      BTBMTSA    3 ;
LENGTH      BTBMTSB    3 ;
LENGTH      BTBMTSC    3 ;
LENGTH      BTBMTT     3 ;
LENGTH      BTBMTTA    3 ;
LENGTH      BTBMTTB    3 ;
LENGTH      BTBMTTC    3 ;
LENGTH      BTBMTU     3 ;
LENGTH      BTBMTUA    3 ;
LENGTH      BTBMTUB    3 ;
LENGTH      BTBMTUC    3 ;
LENGTH      BTBMTV     3 ;
LENGTH      BTBMTVA    3 ;
LENGTH      BTBMTVB    3 ;
LENGTH      BTBMTVC    3 ;
LENGTH      BTBMCLTM   3 ;
LENGTH      BTBMTO01   3 ;
LENGTH      BTBMTO02   3 ;
LENGTH      BTBMTO03   3 ;
LENGTH      BTBMTO04   3 ;
LENGTH      BTBMTO05   3 ;
LENGTH      BTBMTO06   3 ;
LENGTH      BTBMTO07   3 ;
LENGTH      BTBMTO08   3 ;
LENGTH      BTBMTO09   3 ;
LENGTH      BTBMTO10   3 ;
LENGTH      BTBMTO11   3 ;
LENGTH      BTBMTO12   3 ;
LENGTH      BTBMTO13   3 ;
LENGTH      BTBMTO14   3 ;
LENGTH      BTBMTO15   3 ;
LENGTH      BTBMTO16   3 ;
LENGTH      BTBMTO17   3 ;
LENGTH      BTBMTO18   3 ;
LENGTH      BTBMTO19   3 ;
LENGTH      BTBMTO20   3 ;
LENGTH      BTBMTO21   3 ;
LENGTH      BTBMTO22   3 ;
LENGTH      BTBMTOP1   3 ;
LENGTH      BTBMTOP2   3 ;
LENGTH      BTBMTOP3   3 ;
LENGTH      BTBMHMW1   3 ;
LENGTH      BTBMHWT1   3 ;
LENGTH      BTBMCLCM   3 ;
LENGTH      BTBMOR01   3 ;
LENGTH      BTBMTM01   3 ;
LENGTH      BTBMOR02   3 ;
LENGTH      BTBMTM02   3 ;
LENGTH      BTBMOR03   3 ;
LENGTH      BTBMTM03   3 ;
LENGTH      BTBMOR04   3 ;
LENGTH      BTBMTM04   3 ;
LENGTH      BTBMOR05   3 ;
LENGTH      BTBMTM05   3 ;
LENGTH      BTBMOR06   3 ;
LENGTH      BTBMTM06   3 ;
LENGTH      BTBMOR07   3 ;
LENGTH      BTBMTM07   3 ;
LENGTH      BTBMOR08   3 ;
LENGTH      BTBMTM08   3 ;
LENGTH      BTBMOR09   3 ;
LENGTH      BTBMTM09   3 ;
LENGTH      BTBMOR10   3 ;
LENGTH      BTBMTM10   3 ;
LENGTH      BTBMOR11   3 ;
LENGTH      BTBMTM11   3 ;
LENGTH      BTBMSGRP   3 ;
LENGTH      BTBMASK1   3 ;
LENGTH      BTBMASK2   3 ;
LENGTH      BTBMASK3   3 ;
LENGTH      BTBMASK4   3 ;
LENGTH      BTBMASK5   3 ;
LENGTH      BTBMASK6   3 ;
LENGTH      BTBMDO1    3 ;
LENGTH      BTBMDO2    3 ;
LENGTH      BTBMDO3    3 ;
LENGTH      BTBMDO4    3 ;
LENGTH      BTBMLES1   3 ;
LENGTH      BTBMLES2   3 ;
LENGTH      BTBMLES3   3 ;
LENGTH      BTBMLES4   3 ;
LENGTH      BTBMLES5   3 ;
LENGTH      BTBMLES6   3 ;
LENGTH      BTBMHMW2   3 ;
LENGTH      BTBMHWT2   3 ;
LENGTH      BTBMWKBK   3 ;
LENGTH      BTBMPROB   3 ;
LENGTH      BTBMREAD   3 ;
LENGTH      BTBMWRIT   3 ;
LENGTH      BTBMDATA   3 ;
LENGTH      BTBMIEXP   3 ;
LENGTH      BTBMGEXP   3 ;
LENGTH      BTBMFIND   3 ;
LENGTH      BTBMORAL   3 ;
LENGTH      BTBMJOUR   3 ;
LENGTH      BTBMWHW1   3 ;
LENGTH      BTBMWHW2   3 ;
LENGTH      BTBMWHW3   3 ;
LENGTH      BTBMWHW4   3 ;
LENGTH      BTBMWHW5   3 ;
LENGTH      BTBMWHW6   3 ;
LENGTH      BTBMWHW7   3 ;
LENGTH      BTBMWHW8   3 ;
LENGTH      BTBMWGT1   3 ;
LENGTH      BTBMWGT2   3 ;
LENGTH      BTBMWGT3   3 ;
LENGTH      BTBMWGT4   3 ;
LENGTH      BTBMWGT5   3 ;
LENGTH      BTBMWGT6   3 ;
LENGTH      BTBMWGT7   3 ;
LENGTH      BTBGASS1   3 ;
LENGTH      BTBGASS2   3 ;
LENGTH      BTBGASS3   3 ;
LENGTH      BTBGASS4   3 ;
LENGTH      BTBGASS5   3 ;
LENGTH      BTBGASS6   3 ;
LENGTH      BTDMTOEN   3 ;
LENGTH      BTDGADMN   8 ;
LENGTH      BTDGCPLN   8 ;
LENGTH      BTDGOTHR   8 ;
LENGTH      BTDGSUBT   8 ;
LENGTH      BTDGTSKT   8 ;
LENGTH      BTDGTTIM   8 ;
LENGTH      BTDMCALC   3 ;
LENGTH      BTDMCPTM   3 ;
LENGTH      BTDMEMH    3 ;
LENGTH      BTDMERPS   3 ;
LENGTH      BTDMHTM    8 ;
LENGTH      BTDMSIZE   8 ;
LENGTH      BTDMSZ3C   3 ;
LENGTH      BTDMTPTT   8 ;
LENGTH      BTDMTTIM   8 ;
LENGTH      BTDMTIME   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  IDTEACH      15-  22     
  IDLINK       23-  24     
  IDSUBJCT     25-  25     
  BTBGAGE      26-  27     
  BTBGSEX      28-  28     
  BTBGEDUC     29-  30     
  BTBMTEAC     31-  31     
  BTBMGRPK     32-  32     
  BTBMGRK      33-  33     
  BTBMGR1      34-  34     
  BTBMGR2      35-  35     
  BTBMGR3      36-  36     
  BTBMGR4      37-  37     
  BTBMGR5      38-  38     
  BTBMGR6      39-  39     
  BTBMGR7      40-  40     
  BTBMGR8      41-  41     
  BTBMGR9      42-  42     
  BTBMGR10     43-  43     
  BTBMGR11     44-  44     
  BTBMGR12     45-  45     
  BTBMGR13     46-  46     
  BTBSTEAC     47-  47     
  BTBSGRPK     48-  48     
  BTBSGRK      49-  49     
  BTBSGR1      50-  50     
  BTBSGR2      51-  51     
  BTBSGR3      52-  52     
  BTBSGR4      53-  53     
  BTBSGR5      54-  54     
  BTBSGR6      55-  55     
  BTBSGR7      56-  56     
  BTBSGR8      57-  57     
  BTBSGR9      58-  58     
  BTBSGR10     59-  59     
  BTBSGR11     60-  60     
  BTBSGR12     61-  61     
  BTBSGR13     62-  62     
  BTBGPTFT     63-  63     
  BTBGTAUG     64-  65     
  BTBGGRPK     66-  66     
  BTBGGRK      67-  67     
  BTBGGR1      68-  68     
  BTBGGR2      69-  69     
  BTBGGR3      70-  70     
  BTBGGR4      71-  71     
  BTBGGR5      72-  72     
  BTBGGR6      73-  73     
  BTBGGR7      74-  74     
  BTBGGR8      75-  75     
  BTBGGR9      76-  76     
  BTBGGR10     77-  77     
  BTBGGR11     78-  78     
  BTBGGR12     79-  79     
  BTBGGR13     80-  80     
  BTBMSUB1     81-  82     
  BTBSSUB2     83-  84     
  BTBSSUB3     85-  86     
  BTBSSUB4     87-  88     
  BTBSSUB5     89-  90     
  BTBSSUB6     91-  92     
  BTBSSUB7     93-  94     
  BTBSSUB8     95-  96     
  BTBGSUB9     97-  98     
  BTBGTSK1     99- 100     
  BTBGTSK2    101- 102     
  BTBGTSK3    103- 104     
  BTBGTSK4    105- 106     
  BTBGTSK5    107- 108     
  BTBGTSK6    109- 110     
  BTBGTOTL    111- 112     
  BTBGACT1    113- 113     
  BTBGACT2    114- 114     
  BTBGACT3    115- 115     
  BTBGACT4    116- 116     
  BTBGACT5    117- 117     
  BTBGACT6    118- 118     
  BTBGACT7    119- 119     
  BTBGACT8    120- 120     
  BTBGMEET    121- 122     
  BTBGINF1    123- 123     
  BTBGINF2    124- 124     
  BTBGINF3    125- 125     
  BTBGINF4    126- 126     
  BTBMIMP1    127- 127     
  BTBMIMP2    128- 128     
  BTBMIMP3    129- 129     
  BTBMIMP4    130- 130     
  BTBMIMP5    131- 131     
  BTBMIMP6    132- 132     
  BTBMAGR1    133- 133     
  BTBMAGR2    134- 134     
  BTBMAGR3    135- 135     
  BTBGAGR4    136- 136     
  BTBMAGR5    137- 137     
  BTBMAGR6    138- 138     
  BTBMAGR7    139- 139     
  BTBMAGR8    140- 140     
  BTBMAGR9    141- 141     
  BTBMFAM1    142- 142     
  BTBMFAM2    143- 143     
  BTBGFAM3    144- 144     
  BTBGFAM4    145- 145     
  BTBGFAM5    146- 146     
  BTBMFAM6    147- 147     
  BTBMFAM7    148- 148     
  BTBGCARE    149- 149     
  BTBGCHNG    150- 150     
  BTBGSOAP    151- 151     
  BTBGSTAP    152- 152     
  BTBGBOOK    153- 153     
  BTBGRNK1    154- 155     
  BTBGRNK2    156- 157     
  BTBGRNK3    158- 159     
  BTBGRNK4    160- 161     
  BTBGRNK5    162- 163     
  BTBGRNK6    164- 165     
  BTBGRNK7    166- 167     
  BTBGRNK8    168- 169     
  BTBGRNK9    170- 171     
  BTBMBOY     172- 174     
  BTBMGIRL    175- 177     
  BTBMACH1    178- 180     
  BTBMACH2    181- 183     
  BTBMACH3    184- 186     
  BTBMTIME    187- 190     
  BTBMTXBK    191- 191     
  BTBMTXB0    192- 192     
  BTBMTXB1    193- 193     
  BTBMTXB2    194- 194     
  BTBMTXB3    195- 195     
  BTBMTXB4    196- 196     
  BTBMTXB5    197- 197     
  BTBMTXB6    198- 198     
  BTBMTXB7    199- 199     
  BTBMTXB8    200- 200     
  BTBMTXB9    201- 201     
  BTBMTSNM    202- 203     
  BTBMTXBS    204- 204     
  BTBMADTB    205- 206     
  BTBMLM01    207- 207     
  BTBMLM02    208- 208     
  BTBMLM03    209- 209     
  BTBMLM04    210- 210     
  BTBMLM05    211- 211     
  BTBMLM06    212- 212     
  BTBMLM07    213- 213     
  BTBMLM08    214- 214     
  BTBMLM09    215- 215     
  BTBMLM10    216- 216     
  BTBMLM11    217- 217     
  BTBMLM12    218- 218     
  BTBMLM13    219- 219     
  BTBMLM14    220- 220     
  BTBMLM15    221- 221     
  BTBMLM16    222- 222     
  BTBMCALC    223- 223     
  BTBMCAL1    224- 224     
  BTBMCAL2    225- 225     
  BTBMCAL3    226- 226     
  BTBMCAL4    227- 227     
  BTBMCAL5    228- 228     
  BTBMRLY1    229- 229     
  BTBMRLY2    230- 230     
  BTBMRLY3    231- 231     
  BTBMRLY4    232- 232     
  BTBMRLY5    233- 233     
  BTBMRLY6    234- 234     
  BTBMRLY7    235- 235     
  BTBMSRC1    236- 237     
  BTBMSRC2    238- 239     
  BTBMSRC3    240- 241     
  BTBMSRC4    242- 243     
  BTBMTA      244- 244     
  BTBMTAA     245- 245     
  BTBMTAB     246- 246     
  BTBMTAC     247- 247     
  BTBMTA1     248- 248     
  BTBMTA1A    249- 249     
  BTBMTA1B    250- 250     
  BTBMTA1C    251- 251     
  BTBMTA2     252- 252     
  BTBMTA2A    253- 253     
  BTBMTA2B    254- 254     
  BTBMTA2C    255- 255     
  BTBMTB      256- 256     
  BTBMTBA     257- 257     
  BTBMTBB     258- 258     
  BTBMTBC     259- 259     
  BTBMTB1     260- 260     
  BTBMTB1A    261- 261     
  BTBMTB1B    262- 262     
  BTBMTB1C    263- 263     
  BTBMTB2     264- 264     
  BTBMTB2A    265- 265     
  BTBMTB2B    266- 266     
  BTBMTB2C    267- 267     
  BTBMTB3     268- 268     
  BTBMTB3A    269- 269     
  BTBMTB3B    270- 270     
  BTBMTB3C    271- 271     
  BTBMTB4     272- 272     
  BTBMTB4A    273- 273     
  BTBMTB4B    274- 274     
  BTBMTB4C    275- 275     
  BTBMTB5     276- 276     
  BTBMTB5A    277- 277     
  BTBMTB5B    278- 278     
  BTBMTB5C    279- 279     
  BTBMTB6     280- 280     
  BTBMTB6A    281- 281     
  BTBMTB6B    282- 282     
  BTBMTB6C    283- 283     
  BTBMTB7     284- 284     
  BTBMTB7A    285- 285     
  BTBMTB7B    286- 286     
  BTBMTB7C    287- 287     
  BTBMTC      288- 288     
  BTBMTCA     289- 289     
  BTBMTCB     290- 290     
  BTBMTCC     291- 291     
  BTBMTD      292- 292     
  BTBMTDA     293- 293     
  BTBMTDB     294- 294     
  BTBMTDC     295- 295     
  BTBMTE      296- 296     
  BTBMTEA     297- 297     
  BTBMTEB     298- 298     
  BTBMTEC     299- 299     
  BTBMTF      300- 300     
  BTBMTFA     301- 301     
  BTBMTFB     302- 302     
  BTBMTFC     303- 303     
  BTBMTG      304- 304     
  BTBMTGA     305- 305     
  BTBMTGB     306- 306     
  BTBMTGC     307- 307     
  BTBMTH      308- 308     
  BTBMTHA     309- 309     
  BTBMTHB     310- 310     
  BTBMTHC     311- 311     
  BTBMTI      312- 312     
  BTBMTIA     313- 313     
  BTBMTIB     314- 314     
  BTBMTIC     315- 315     
  BTBMTJ      316- 316     
  BTBMTJA     317- 317     
  BTBMTJB     318- 318     
  BTBMTJC     319- 319     
  BTBMTK      320- 320     
  BTBMTKA     321- 321     
  BTBMTKB     322- 322     
  BTBMTKC     323- 323     
  BTBMTL      324- 324     
  BTBMTLA     325- 325     
  BTBMTLB     326- 326     
  BTBMTLC     327- 327     
  BTBMTM      328- 328     
  BTBMTMA     329- 329     
  BTBMTMB     330- 330     
  BTBMTMC     331- 331     
  BTBMTN      332- 332     
  BTBMTNA     333- 333     
  BTBMTNB     334- 334     
  BTBMTNC     335- 335     
  BTBMTN1     336- 336     
  BTBMTN1A    337- 337     
  BTBMTN1B    338- 338     
  BTBMTN1C    339- 339     
  BTBMTN2     340- 340     
  BTBMTN2A    341- 341     
  BTBMTN2B    342- 342     
  BTBMTN2C    343- 343     
  BTBMTO      344- 344     
  BTBMTOA     345- 345     
  BTBMTOB     346- 346     
  BTBMTOC     347- 347     
  BTBMTO1     348- 348     
  BTBMTO1A    349- 349     
  BTBMTO1B    350- 350     
  BTBMTO1C    351- 351     
  BTBMTO2     352- 352     
  BTBMTO2A    353- 353     
  BTBMTO2B    354- 354     
  BTBMTO2C    355- 355     
  BTBMTP      356- 356     
  BTBMTPA     357- 357     
  BTBMTPB     358- 358     
  BTBMTPC     359- 359     
  BTBMTQ      360- 360     
  BTBMTQA     361- 361     
  BTBMTQB     362- 362     
  BTBMTQC     363- 363     
  BTBMTQ1     364- 364     
  BTBMTQ1A    365- 365     
  BTBMTQ1B    366- 366     
  BTBMTQ1C    367- 367     
  BTBMTQ2     368- 368     
  BTBMTQ2A    369- 369     
  BTBMTQ2B    370- 370     
  BTBMTQ2C    371- 371     
  BTBMTR      372- 372     
  BTBMTRA     373- 373     
  BTBMTRB     374- 374     
  BTBMTRC     375- 375     
  BTBMTS      376- 376     
  BTBMTSA     377- 377     
  BTBMTSB     378- 378     
  BTBMTSC     379- 379     
  BTBMTT      380- 380     
  BTBMTTA     381- 381     
  BTBMTTB     382- 382     
  BTBMTTC     383- 383     
  BTBMTU      384- 384     
  BTBMTUA     385- 385     
  BTBMTUB     386- 386     
  BTBMTUC     387- 387     
  BTBMTV      388- 388     
  BTBMTVA     389- 389     
  BTBMTVB     390- 390     
  BTBMTVC     391- 391     
  BTBMCLTM    392- 394     
  BTBMTO01    395- 395     
  BTBMTO02    396- 396     
  BTBMTO03    397- 397     
  BTBMTO04    398- 398     
  BTBMTO05    399- 399     
  BTBMTO06    400- 400     
  BTBMTO07    401- 401     
  BTBMTO08    402- 402     
  BTBMTO09    403- 403     
  BTBMTO10    404- 404     
  BTBMTO11    405- 405     
  BTBMTO12    406- 406     
  BTBMTO13    407- 407     
  BTBMTO14    408- 408     
  BTBMTO15    409- 409     
  BTBMTO16    410- 410     
  BTBMTO17    411- 411     
  BTBMTO18    412- 412     
  BTBMTO19    413- 413     
  BTBMTO20    414- 414     
  BTBMTO21    415- 415     
  BTBMTO22    416- 416     
  BTBMTOP1    417- 417     
  BTBMTOP2    418- 418     
  BTBMTOP3    419- 419     
  BTBMHMW1    420- 420     
  BTBMHWT1    421- 423     
  BTBMCLCM    424- 424     
  BTBMOR01    425- 426     
  BTBMTM01    427- 429     
  BTBMOR02    430- 431     
  BTBMTM02    432- 434     
  BTBMOR03    435- 436     
  BTBMTM03    437- 439     
  BTBMOR04    440- 441     
  BTBMTM04    442- 444     
  BTBMOR05    445- 446     
  BTBMTM05    447- 449     
  BTBMOR06    450- 451     
  BTBMTM06    452- 454     
  BTBMOR07    455- 456     
  BTBMTM07    457- 459     
  BTBMOR08    460- 461     
  BTBMTM08    462- 464     
  BTBMOR09    465- 466     
  BTBMTM09    467- 469     
  BTBMOR10    470- 471     
  BTBMTM10    472- 474     
  BTBMOR11    475- 476     
  BTBMTM11    477- 479     
  BTBMSGRP    480- 480     
  BTBMASK1    481- 481     
  BTBMASK2    482- 482     
  BTBMASK3    483- 483     
  BTBMASK4    484- 484     
  BTBMASK5    485- 485     
  BTBMASK6    486- 486     
  BTBMDO1     487- 487     
  BTBMDO2     488- 488     
  BTBMDO3     489- 489     
  BTBMDO4     490- 490     
  BTBMLES1    491- 491     
  BTBMLES2    492- 492     
  BTBMLES3    493- 493     
  BTBMLES4    494- 494     
  BTBMLES5    495- 495     
  BTBMLES6    496- 496     
  BTBMHMW2    497- 497     
  BTBMHWT2    498- 499     
  BTBMWKBK    500- 500     
  BTBMPROB    501- 501     
  BTBMREAD    502- 502     
  BTBMWRIT    503- 503     
  BTBMDATA    504- 504     
  BTBMIEXP    505- 505     
  BTBMGEXP    506- 506     
  BTBMFIND    507- 507     
  BTBMORAL    508- 508     
  BTBMJOUR    509- 509     
  BTBMWHW1    510- 510     
  BTBMWHW2    511- 511     
  BTBMWHW3    512- 512     
  BTBMWHW4    513- 513     
  BTBMWHW5    514- 514     
  BTBMWHW6    515- 515     
  BTBMWHW7    516- 516     
  BTBMWHW8    517- 517     
  BTBMWGT1    518- 518     
  BTBMWGT2    519- 519     
  BTBMWGT3    520- 520     
  BTBMWGT4    521- 521     
  BTBMWGT5    522- 522     
  BTBMWGT6    523- 523     
  BTBMWGT7    524- 524     
  BTBGASS1    525- 525     
  BTBGASS2    526- 526     
  BTBGASS3    527- 527     
  BTBGASS4    528- 528     
  BTBGASS5    529- 529     
  BTBGASS6    530- 530     
  BTDMTOEN    531- 533     
  BTDGADMN    534- 541 .3
  BTDGCPLN    542- 549 .3
  BTDGOTHR    550- 557 .3
  BTDGSUBT    558- 565 .3
  BTDGTSKT    566- 573 .3
  BTDGTTIM    574- 581 .3
  BTDMCALC    582- 582     
  BTDMCPTM    583- 583     
  BTDMEMH     584- 584     
  BTDMERPS    585- 585     
  BTDMHTM     586- 593 .3
  BTDMSIZE    594- 601 .3
  BTDMSZ3C    602- 602     
  BTDMTPTT    603- 610 .3
  BTDMTTIM    611- 618 .3
  BTDMTIME    619- 619     
  DPCDATE     620- 625     
;

%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  IDSUBJCT = "*SUBJECT ID*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGEDUC = "GEN\LEVEL OF EDUCATION COMPLETED"
  BTBMTEAC = "MAT\DO NOT TEACH MATHEMATICS THIS YEAR"
  BTBMGRPK = "MAT\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBMGRK  = "MAT\GRADE LEVEL\KINDERGARTEN"
  BTBMGR1  = "MAT\GRADE LEVEL\GRADE 1"
  BTBMGR2  = "MAT\GRADE LEVEL\GRADE 2"
  BTBMGR3  = "MAT\GRADE LEVEL\GRADE 3"
  BTBMGR4  = "MAT\GRADE LEVEL\GRADE 4"
  BTBMGR5  = "MAT\GRADE LEVEL\GRADE 5"
  BTBMGR6  = "MAT\GRADE LEVEL\GRADE 6"
  BTBMGR7  = "MAT\GRADE LEVEL\GRADE 7"
  BTBMGR8  = "MAT\GRADE LEVEL\GRADE 8"
  BTBMGR9  = "MAT\GRADE LEVEL\GRADE 9"
  BTBMGR10 = "MAT\GRADE LEVEL\GRADE 10"
  BTBMGR11 = "MAT\GRADE LEVEL\GRADE 11"
  BTBMGR12 = "MAT\GRADE LEVEL\GRADE 12"
  BTBMGR13 = "MAT\GRADE LEVEL\GRADE 13"
  BTBSTEAC = "SCI\DO NOT TEACH SCIENCE THIS YEAR"
  BTBSGRPK = "SCI\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBSGRK  = "SCI\GRADE LEVEL\KINDERGARTEN"
  BTBSGR1  = "SCI\GRADE LEVEL\GRADE 1"
  BTBSGR2  = "SCI\GRADE LEVEL\GRADE 2"
  BTBSGR3  = "SCI\GRADE LEVEL\GRADE 3"
  BTBSGR4  = "SCI\GRADE LEVEL\GRADE 4"
  BTBSGR5  = "SCI\GRADE LEVEL\GRADE 5"
  BTBSGR6  = "SCI\GRADE LEVEL\GRADE 6"
  BTBSGR7  = "SCI\GRADE LEVEL\GRADE 7"
  BTBSGR8  = "SCI\GRADE LEVEL\GRADE 8"
  BTBSGR9  = "SCI\GRADE LEVEL\GRADE 9"
  BTBSGR10 = "SCI\GRADE LEVEL\GRADE 10"
  BTBSGR11 = "SCI\GRADE LEVEL\GRADE 11"
  BTBSGR12 = "SCI\GRADE LEVEL\GRADE 12"
  BTBSGR13 = "SCI\GRADE LEVEL\GRADE 13"
  BTBGPTFT = "GEN\TEACH PART-TIME OR FULL-TIME"
  BTBGTAUG = "GEN\YEARS BEEN TEACHING"
  BTBGGRPK = "GEN\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBGGRK  = "GEN\GRADE LEVEL\KINDERGARTEN"
  BTBGGR1  = "GEN\GRADE LEVEL\GRADE 1"
  BTBGGR2  = "GEN\GRADE LEVEL\GRADE 2"
  BTBGGR3  = "GEN\GRADE LEVEL\GRADE 3"
  BTBGGR4  = "GEN\GRADE LEVEL\GRADE 4"
  BTBGGR5  = "GEN\GRADE LEVEL\GRADE 5"
  BTBGGR6  = "GEN\GRADE LEVEL\GRADE 6"
  BTBGGR7  = "GEN\GRADE LEVEL\GRADE 7"
  BTBGGR8  = "GEN\GRADE LEVEL\GRADE 8"
  BTBGGR9  = "GEN\GRADE LEVEL\GRADE 9"
  BTBGGR10 = "GEN\GRADE LEVEL\GRADE 10"
  BTBGGR11 = "GEN\GRADE LEVEL\GRADE 11"
  BTBGGR12 = "GEN\GRADE LEVEL\GRADE 12"
  BTBGGR13 = "GEN\GRADE LEVEL\GRADE 13"
  BTBMSUB1 = "MAT\SCHEDULED SUBJECTS\MATHEMATICS"
  BTBSSUB2 = "SCI\SCHEDULED SUBJECTS\GENERAL SCI"
  BTBSSUB3 = "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI"
  BTBSSUB4 = "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE"
  BTBSSUB5 = "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE"
  BTBSSUB6 = "SCI\SCHEDULED SUBJECTS\BIOLOGY"
  BTBSSUB7 = "SCI\SCHEDULED SUBJECTS\CHEMISTRY"
  BTBSSUB8 = "SCI\SCHEDULED SUBJECTS\PHYSICS"
  BTBGSUB9 = "GEN\SCHEDULED SUBJECTS\OTHER"
  BTBGTSK1 = "GEN\SCHEDULED TASKS\SUPERVISION"
  BTBGTSK2 = "GEN\SCHEDULED TASKS\COUNSELLING"
  BTBGTSK3 = "GEN\SCHEDULED TASKS\ADMINISTRATION"
  BTBGTSK4 = "GEN\SCHEDULED TASKS\INDIVID PLANNING"
  BTBGTSK5 = "GEN\SCHEDULED TASKS\COOP PLANNING"
  BTBGTSK6 = "GEN\SCHEDULED TASKS\NON SPECIFIED"
  BTBGTOTL = "GEN\SCHEDULED HOURS ALTOGETHER"
  BTBGACT1 = "GEN\OUTSIDE SCHL\PREPARE TEST"
  BTBGACT2 = "GEN\OUTSIDE SCHL\READ STUDENT WORK"
  BTBGACT3 = "GEN\OUTSIDE SCHL\PLAN LESSONS"
  BTBGACT4 = "GEN\OUTSIDE SCHL\MEET STUDENTS"
  BTBGACT5 = "GEN\OUTSIDE SCHL\MEET PARENTS"
  BTBGACT6 = "GEN\OUTSIDE SCHL\PROFESSIONL READING"
  BTBGACT7 = "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS"
  BTBGACT8 = "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS"
  BTBGMEET = "GEN\MEETING WITH OTHER TEACHERS"
  BTBGINF1 = "GEN\INFLUENCE\SUBJECT MATTER"
  BTBGINF2 = "GEN\INFLUENCE\SPECIFIC TEXTBOOKS"
  BTBGINF3 = "GEN\INFLUENCE\MONEY FOR SUPPLIES"
  BTBGINF4 = "GEN\INFLUENCE\KIND OF SUPPLIES"
  BTBMIMP1 = "MAT\GD\IMPT\REMEMBER FORMULAS"
  BTBMIMP2 = "MAT\GD\IMPT\SEQUENTIAL & PROCEDURAL"
  BTBMIMP3 = "MAT\GD\IMPT\UNDERSTAND CONCEPTS"
  BTBMIMP4 = "MAT\GD\IMPT\THINK CREATIVELY"
  BTBMIMP5 = "MAT\GD\IMPT\HOW USED IN REAL WORLD"
  BTBMIMP6 = "MAT\GD\IMPT\SUPPORT SOLUTIONS"
  BTBMAGR1 = "MAT\PRIMARILY AN ABSTRACT SUBJECT"
  BTBMAGR2 = "MAT\FORMAL REPRESENTATION OF WORLD"
  BTBMAGR3 = "MAT\PRACTICAL AND STRUCTURED GUIDE"
  BTBGAGR4 = "GEN\PRACTICE TO OVERCOME DIFFICULTY"
  BTBMAGR5 = "MAT\NATURAL TALENT FOR MATH"
  BTBMAGR6 = "MAT\USE MORE THAN 1 REPRESENTATION"
  BTBMAGR7 = "MAT\SET OF ALGORITHMS OR RULES"
  BTBMAGR8 = "MAT\BASIC COMPUTATIONAL SKILLS"
  BTBMAGR9 = "MAT\LIKING & UNDERSTANDING STUDENTS"
  BTBMFAM1 = "MAT\NATIONAL CURRICULUM GUIDE"
  BTBMFAM2 = "MAT\REGIONAL CURRICULUM GUIDE"
  BTBGFAM3 = "GEN\SCHOOL CURRICULUM GUIDE"
  BTBGFAM4 = "GEN\NATIONAL EXAM SPECIFICATIONS"
  BTBGFAM5 = "GEN\REGIONAL EXAM SPECIFICATIONS"
  BTBMFAM6 = "MAT\NATIONAL PEDAGOGY GUIDE"
  BTBMFAM7 = "MAT\REGIONAL PEDAGOGY GUIDE"
  BTBGCARE = "GEN\WAS TEACHING FIRST CHOICE"
  BTBGCHNG = "GEN\WOULD YOU CHANGE CAREER"
  BTBGSOAP = "GEN\IS WORK APPRECIATED BY SOCIETY"
  BTBGSTAP = "GEN\IS WORK APPRECIATED BY STUDENTS"
  BTBGBOOK = "GEN\NUMBER OF BOOKS IN HOME"
  BTBGRNK1 = "GEN\SOCIAL STATUS\ACCOUNTANT"
  BTBGRNK2 = "GEN\SOCIAL STATUS\<MEDICAL DOCTOR>"
  BTBGRNK3 = "GEN\SOCIAL STATUS\LAWYER"
  BTBGRNK4 = "GEN\SOCIAL STATUS\ENGINEER"
  BTBGRNK5 = "GEN\SOCIAL STATUS\NURSE"
  BTBGRNK6 = "GEN\SOCIAL STATUS\SENIOR"
  BTBGRNK7 = "GEN\SOCIAL STATUS\TEACHER PRIMARY"
  BTBGRNK8 = "GEN\SOCIAL STATUS\TEACHER SECONDARY"
  BTBGRNK9 = "GEN\SOCIAL STATUS\<UNSKILLED WORKER>"
  BTBMBOY  = "MAT\CLSS\NUMBER OF BOYS IN CLASS"
  BTBMGIRL = "MAT\CLSS\NUMBER OF GIRLS IN CLASS"
  BTBMACH1 = "MAT\CLSS\HIGH ACHIEVEMENT LEVELS"
  BTBMACH2 = "MAT\CLSS\MIDDLE ACHIEVEMENT LEVELS"
  BTBMACH3 = "MAT\CLSS\LOW ACHIEVEMENT LEVELS"
  BTBMTIME = "MAT\CLSS\LENGTH OF MATH CLASS"
  BTBMTXBK = "MAT\CLSS\USE MATH TEXTBOOK"
  BTBMTXB0 = "MAT\CLSS\MATH TEXTBOOK USED A"
  BTBMTXB1 = "MAT\CLSS\MATH TEXTBOOK USED B"
  BTBMTXB2 = "MAT\CLSS\MATH TEXTBOOK USED C"
  BTBMTXB3 = "MAT\CLSS\MATH TEXTBOOK USED D"
  BTBMTXB4 = "MAT\CLSS\MATH TEXTBOOK USED E"
  BTBMTXB5 = "MAT\CLSS\MATH TEXTBOOK USED F"
  BTBMTXB6 = "MAT\CLSS\MATH TEXTBOOK USED G"
  BTBMTXB7 = "MAT\CLSS\MATH TEXTBOOK USED H"
  BTBMTXB8 = "MAT\CLSS\MATH TEXTBOOK USED I"
  BTBMTXB9 = "MAT\CLSS\MATH TEXTBOOK USED J"
  BTBMTSNM = "MAT\CLSS\TEXTBOOK NAME ENTERED"
  BTBMTXBS = "MAT\CLSS\TEXTBOOK BASED TEACHING"
  BTBMADTB = "MAT\CLSS\IN ADDITION TO TEXTBOOK"
  BTBMLM01 = "MAT\CLSS\DIFFERENT ACADEMIC ABILITIES"
  BTBMLM02 = "MAT\CLSS\WIDE RANGE OF BACKGROUNDS"
  BTBMLM03 = "MAT\CLSS\SPECIAL NEEDS"
  BTBMLM04 = "MAT\CLSS\UNINTERESTED STUDENTS"
  BTBMLM05 = "MAT\CLSS\DISRUPTIVE STUDENTS"
  BTBMLM06 = "MAT\CLSS\PARENTS INTRESTD IN PROGRSS"
  BTBMLM07 = "MAT\CLSS\PARENTS UNINTRESTD IN PROGR"
  BTBMLM08 = "MAT\CLSS\SHORTGE OF COMPUTR HARDWARE"
  BTBMLM09 = "MAT\CLSS\SHORTGE OF COMPUTR SOFTWARE"
  BTBMLM10 = "MAT\CLSS\SHORTGE OF INSTR EQUIPMENT"
  BTBMLM11 = "MAT\CLSS\SHORTGE OF DEMNSTR EQUIPMNT"
  BTBMLM12 = "MAT\CLSS\INADEQUATE PHYSICL FACILITS"
  BTBMLM13 = "MAT\CLSS\HIGH STUDENT TEACHER RATIO"
  BTBMLM14 = "MAT\CLSS\LOW MORALE AMONG STAFF"
  BTBMLM15 = "MAT\CLSS\LOW MORALE AMONG STUDENTS"
  BTBMLM16 = "MAT\CLSS\THREATS 2 PERS OR STDT SFTY"
  BTBMCALC = "MAT\ACCESS TO CALC DURING MATH LESS"
  BTBMCAL1 = "MAT\CALCS FOR CHECKING ANSWERS"
  BTBMCAL2 = "MAT\CALCS FOR TESTS AND EXAMS"
  BTBMCAL3 = "MAT\CALCS FOR ROUTINE COMPUTATIO"
  BTBMCAL4 = "MAT\CALCS FOR COMPLEX PROBLEMS"
  BTBMCAL5 = "MAT\CALCS FOR NUMBER CONCEPTS"
  BTBMRLY1 = "MAT\RELY ON PREVIOUS LESSONS"
  BTBMRLY2 = "MAT\RELY ON SCHOOL PLAN"
  BTBMRLY3 = "MAT\RELY ON OTHER TEACHERS"
  BTBMRLY4 = "MAT\RELY ON STUDENT TEXTBOOKS"
  BTBMRLY5 = "MAT\RELY ON OTHER TEXTBOOK"
  BTBMRLY6 = "MAT\RELY ON TEACHER GUIDE"
  BTBMRLY7 = "MAT\RELY ON EXT EXAMS OR STND TESTS"
  BTBMSRC1 = "MAT\SOURCE\WHICH TOPIC TO TEACH"
  BTBMSRC2 = "MAT\SOURCE\HOW TO PRESENT A TOPIC"
  BTBMSRC3 = "MAT\SOURCE\CLASS WORK AND HOMEWORK"
  BTBMSRC4 = "MAT\SOURCE\ASSESSMENT AND EVALUATN"
  BTBMTA   = "MAT\WHOLE #"
  BTBMTAA  = "MAT\WHOLE #\TEACH LATER"
  BTBMTAB  = "MAT\WHOLE #\NOT TAUGHT NOW"
  BTBMTAC  = "MAT\WHOLE #\TAUGHT BEFORE"
  BTBMTA1  = "MAT\WHOLE #\MEANINGS"
  BTBMTA1A = "MAT\WHOLE #\MEANINGS\TEACH LATER"
  BTBMTA1B = "MAT\WHOLE #\MEANINGS\NOT TAUGHT NOW"
  BTBMTA1C = "MAT\WHOLE #\MEANINGS\TAUGHT BEFORE"
  BTBMTA2  = "MAT\WHOLE #\OPERATION"
  BTBMTA2A = "MAT\WHOLE #\OPERATION\TEACH LATER"
  BTBMTA2B = "MAT\WHOLE #\OPERATION\NOT TAUGHT NOW"
  BTBMTA2C = "MAT\WHOLE #\OPERATION\TAUGHT BEFORE"
  BTBMTB   = "MAT\FRACTIONS"
  BTBMTBA  = "MAT\FRACTIONS\TEACH LATER"
  BTBMTBB  = "MAT\FRACTIONS\NOT TAUGHT NOW"
  BTBMTBC  = "MAT\FRACTIONS\TAUGHT BEFORE"
  BTBMTB1  = "MAT\COM FRAC\MEANING"
  BTBMTB1A = "MAT\COM FRAC\MEANING\TEACH LATER"
  BTBMTB1B = "MAT\COM FRAC\MEANING\NOT TAUGHT NOW"
  BTBMTB1C = "MAT\COM FRAC\MEANING\TAUGHT BEFORE"
  BTBMTB2  = "MAT\COM FRAC\PROPRTY"
  BTBMTB2A = "MAT\COM FRAC\PROPRTY\TEACH LATER"
  BTBMTB2B = "MAT\COM FRAC\PROPRTY\NOT TAUGHT NOW"
  BTBMTB2C = "MAT\COM FRAC\PROPRTY\TAUGHT BEFORE"
  BTBMTB3  = "MAT\DEC FRAC\MEANING"
  BTBMTB3A = "MAT\DEC FRAC\MEANING\TEACH LATER"
  BTBMTB3B = "MAT\DEC FRAC\MEANING\NOT TAUGHT NOW"
  BTBMTB3C = "MAT\DEC FRAC\MEANING\TAUGHT BEFORE"
  BTBMTB4  = "MAT\DEC FRAC\PROPRTY"
  BTBMTB4A = "MAT\DEC FRAC\PROPRTY\TEACH LATER"
  BTBMTB4B = "MAT\DEC FRAC\PROPRTY\NOT TAUGHT NOW"
  BTBMTB4C = "MAT\DEC FRAC\PROPRTY\TAUGHT BEFORE"
  BTBMTB5  = "MAT\FRAC\REL COM-DEC"
  BTBMTB5A = "MAT\FRAC\REL COM-DEC\TEACH LATER"
  BTBMTB5B = "MAT\FRAC\REL COM-DEC\NOT TAUGHT NOW"
  BTBMTB5C = "MAT\FRAC\REL COM-DEC\TAUGHT BEFORE"
  BTBMTB6  = "MAT\FRAC\CONVERSION"
  BTBMTB6A = "MAT\FRAC\CONVERSION\TEACH LATER"
  BTBMTB6B = "MAT\FRAC\CONVERSION\NOT TAUGHT NOW"
  BTBMTB6C = "MAT\FRAC\CONVERSION\TAUGHT BEFORE"
  BTBMTB7  = "MAT\FRAC\ORD COM-DEC"
  BTBMTB7A = "MAT\FRAC\ORD COM-DEC\TEACH LATER"
  BTBMTB7B = "MAT\FRAC\ORD COM-DEC\NOT TAUGHT NOW"
  BTBMTB7C = "MAT\FRAC\ORD COM-DEC\TAUGHT BEFORE"
  BTBMTC   = "MAT\PERCENTAGES"
  BTBMTCA  = "MAT\PERCENTAGES\TEACH LATER"
  BTBMTCB  = "MAT\PERCENTAGES\NOT TAUGHT NOW"
  BTBMTCC  = "MAT\PERCENTAGES\TAUGHT BEFORE"
  BTBMTD   = "MAT\# SETS"
  BTBMTDA  = "MAT\# SETS\TEACH LATER"
  BTBMTDB  = "MAT\# SETS\NOT TAUGHT NOW"
  BTBMTDC  = "MAT\# SETS\TAUGHT BEFORE"
  BTBMTE   = "MAT\# THEORY"
  BTBMTEA  = "MAT\# THEORY\TEACH LATER"
  BTBMTEB  = "MAT\# THEORY\NOT TAUGHT NOW"
  BTBMTEC  = "MAT\# THEORY\TAUGHT BEFORE"
  BTBMTF   = "MAT\# SENSE"
  BTBMTFA  = "MAT\# SENSE\TEACH LATER"
  BTBMTFB  = "MAT\# SENSE\NOT TAUGHT NOW"
  BTBMTFC  = "MAT\# SENSE\TAUGHT BEFORE"
  BTBMTG   = "MAT\MEAS UNITS"
  BTBMTGA  = "MAT\MEAS UNITS\TEACH LATER"
  BTBMTGB  = "MAT\MEAS UNITS\NOT TAUGHT NOW"
  BTBMTGC  = "MAT\MEAS UNITS\TAUGHT BEFORE"
  BTBMTH   = "MAT\MEAS ERROR"
  BTBMTHA  = "MAT\MEAS ERROR\TEACH LATER"
  BTBMTHB  = "MAT\MEAS ERROR\NOT TAUGHT NOW"
  BTBMTHC  = "MAT\MEAS ERROR\TAUGHT BEFORE"
  BTBMTI   = "MAT\PERIMETER"
  BTBMTIA  = "MAT\PERIMETER\TEACH LATER"
  BTBMTIB  = "MAT\PERIMETER\NOT TAUGHT NOW"
  BTBMTIC  = "MAT\PERIMETER\TAUGHT BEFORE"
  BTBMTJ   = "MAT\1 2 DIMENSIONS"
  BTBMTJA  = "MAT\1 2 DIMENSIONS\TEACH LATER"
  BTBMTJB  = "MAT\1 2 DIMENSIONS\NOT TAUGHT NOW"
  BTBMTJC  = "MAT\1 2 DIMENSIONS\TAUGHT BEFORE"
  BTBMTK   = "MAT\CONGRUENCE"
  BTBMTKA  = "MAT\CONGRUENCE\TEACH LATER"
  BTBMTKB  = "MAT\CONGRUENCE\NOT TAUGHT NOW"
  BTBMTKC  = "MAT\CONGRUENCE\TAUGHT BEFORE"
  BTBMTL   = "MAT\TRANSFORMATION"
  BTBMTLA  = "MAT\TRANSFORMATION\TEACH LATER"
  BTBMTLB  = "MAT\TRANSFORMATION\NOT TAUGHT NOW"
  BTBMTLC  = "MAT\TRANSFORMATION\TAUGHT BEFORE"
  BTBMTM   = "MAT\3 DIMENSIONS"
  BTBMTMA  = "MAT\3 DIMENSIONS\TEACH LATER"
  BTBMTMB  = "MAT\3 DIMENSIONS\NOT TAUGHT NOW"
  BTBMTMC  = "MAT\3 DIMENSIONS\TAUGHT BEFORE"
  BTBMTN   = "MAT\RATIO+PROPORTION"
  BTBMTNA  = "MAT\RATIO+PROPORTION\TEACH LATER"
  BTBMTNB  = "MAT\RATIO+PROPORTION\NOT TAUGHT NOW"
  BTBMTNC  = "MAT\RATIO+PROPORTION\TAUGHT BEFORE"
  BTBMTN1  = "MAT\RATIO\CONCEPTS"
  BTBMTN1A = "MAT\RATIO\CONCEPTS\TEACH LATER"
  BTBMTN1B = "MAT\RATIO\CONCEPTS\NOT TAUGHT NOW"
  BTBMTN1C = "MAT\RATIO\CONCEPTS\TAUGHT BEFORE"
  BTBMTN2  = "MAT\RATIO\USES"
  BTBMTN2A = "MAT\RATIO\USES\TEACH LATER"
  BTBMTN2B = "MAT\RATIO\USES\NOT TAUGHT NOW"
  BTBMTN2C = "MAT\RATIO\USES\TAUGHT BEFORE"
  BTBMTO   = "MAT\PROPORTIONALITY"
  BTBMTOA  = "MAT\PROPORTIONALITY\TEACH LATER"
  BTBMTOB  = "MAT\PROPORTIONALITY\NOT TAUGHT NOW"
  BTBMTOC  = "MAT\PROPORTIONALITY\TAUGHT BEFORE"
  BTBMTO1  = "MAT\PROP\SLOPE"
  BTBMTO1A = "MAT\PROP\SLOPE\TEACH LATER"
  BTBMTO1B = "MAT\PROP\SLOPE\NOT TAUGHT NOW"
  BTBMTO1C = "MAT\PROP\SLOPE\TAUGHT BEFORE"
  BTBMTO2  = "MAT\PROP\INTERPOLATN"
  BTBMTO2A = "MAT\PROP\INTERPOLATN\TEACH LATER"
  BTBMTO2B = "MAT\PROP\INTERPOLATN\NOT TAUGHT NOW"
  BTBMTO2C = "MAT\PROP\INTERPOLATN\TAUGHT BEFORE"
  BTBMTP   = "MAT\FUNCTIONS"
  BTBMTPA  = "MAT\FUNCTIONS\TEACH LATER"
  BTBMTPB  = "MAT\FUNCTIONS\NOT TAUGHT NOW"
  BTBMTPC  = "MAT\FUNCTIONS\TAUGHT BEFORE"
  BTBMTQ   = "MAT\EQUATIONS"
  BTBMTQA  = "MAT\EQUATIONS\TEACH LATER"
  BTBMTQB  = "MAT\EQUATIONS\NOT TAUGHT NOW"
  BTBMTQC  = "MAT\EQUATIONS\TAUGHT BEFORE"
  BTBMTQ1  = "MAT\EQUATIONS\LINEAR"
  BTBMTQ1A = "MAT\EQUATIONS\LINEAR\TEACH LATER"
  BTBMTQ1B = "MAT\EQUATIONS\LINEAR\NOT TAUGHT NOW"
  BTBMTQ1C = "MAT\EQUATIONS\LINEAR\TAUGHT BEFORE"
  BTBMTQ2  = "MAT\EQUATIONS\OTHER"
  BTBMTQ2A = "MAT\EQUATIONS\OTHER\TEACH LATER"
  BTBMTQ2B = "MAT\EQUATIONS\OTHER\NOT TAUGHT NOW"
  BTBMTQ2C = "MAT\EQUATIONS\OTHER\TAUGHT BEFORE"
  BTBMTR   = "MAT\STATISTICS"
  BTBMTRA  = "MAT\STATISTICS\TEACH LATER"
  BTBMTRB  = "MAT\STATISTICS\NOT TAUGHT NOW"
  BTBMTRC  = "MAT\STATISTICS\TAUGHT BEFORE"
  BTBMTS   = "MAT\PROBABILITY"
  BTBMTSA  = "MAT\PROBABILITY\TEACH LATER"
  BTBMTSB  = "MAT\PROBABILITY\NOT TAUGHT NOW"
  BTBMTSC  = "MAT\PROBABILITY\TAUGHT BEFORE"
  BTBMTT   = "MAT\SETS+LOGIC"
  BTBMTTA  = "MAT\SETS+LOGIC\TEACH LATER"
  BTBMTTB  = "MAT\SETS+LOGIC\NOT TAUGHT NOW"
  BTBMTTC  = "MAT\SETS+LOGIC\TAUGHT BEFORE"
  BTBMTU   = "MAT\PROBLEM SOLVING"
  BTBMTUA  = "MAT\PROBLEM SOLVING\TEACH LATER"
  BTBMTUB  = "MAT\PROBLEM SOLVING\NOT TAUGHT NOW"
  BTBMTUC  = "MAT\PROBLEM SOLVING\TAUGHT BEFORE"
  BTBMTV   = "MAT\OTHER CONTENT"
  BTBMTVA  = "MAT\OTHER CONTENT\TEACH LATER"
  BTBMTVB  = "MAT\OTHER CONTENT\NOT TAUGHT NOW"
  BTBMTVC  = "MAT\OTHER CONTENT\TAUGHT BEFORE"
  BTBMCLTM = "MAT\DURATION OF LAST CLASS LESSON"
  BTBMTO01 = "MAT\TOPICS\WHOLE NUMBERS"
  BTBMTO02 = "MAT\TOPICS\FRACTIONS"
  BTBMTO03 = "MAT\TOPICS\PERCENTAGES"
  BTBMTO04 = "MAT\TOPICS\# SETS AND CONCEPTS"
  BTBMTO05 = "MAT\TOPICS\# THEORY"
  BTBMTO06 = "MAT\TOPICS\ESTIMATION AND # SENSE"
  BTBMTO07 = "MAT\TOPICS\MEAS UNITS AND PROCESSES"
  BTBMTO08 = "MAT\TOPICS\ERROR OF MEASUREMENT"
  BTBMTO09 = "MAT\TOPICS\PERIMETER+AREA+VOLUME"
  BTBMTO10 = "MAT\TOPICS\1 2 DIMENSIONAL GEOMETRY"
  BTBMTO11 = "MAT\TOPICS\GEOMETRIC CONGRUENCE"
  BTBMTO12 = "MAT\TOPICS\GEOMETRIC TRANSFORMATION"
  BTBMTO13 = "MAT\TOPICS\3 DIMENSIONAL GEOMETRY"
  BTBMTO14 = "MAT\TOPICS\RATIO AND PROPORTION"
  BTBMTO15 = "MAT\TOPICS\PROPORTIONALITY"
  BTBMTO16 = "MAT\TOPICS\FUNCTIONS AND RELATIONS"
  BTBMTO17 = "MAT\TOPICS\EQUATIONS + INEQUALITIES"
  BTBMTO18 = "MAT\TOPICS\STATISTICS AND DATA"
  BTBMTO19 = "MAT\TOPICS\PROBABILITY+UNCERTAINTY"
  BTBMTO20 = "MAT\TOPICS\SETS AND LOGIC"
  BTBMTO21 = "MAT\TOPICS\PROBLEM SOLVING STRATEGY"
  BTBMTO22 = "MAT\TOPICS\OTHER MATH CONTENT"
  BTBMTOP1 = "MAT\LAST LESSON\INTRODUCTION"
  BTBMTOP2 = "MAT\LAST LESSON\CONTINUATION"
  BTBMTOP3 = "MAT\LAST LESSON\END OF COVERAGE"
  BTBMHMW1 = "MAT\LAST LESSON\HOMEWORK"
  BTBMHWT1 = "MAT\LAST LESSON\HOMEWORK DURATION"
  BTBMCLCM = "MAT\LAST LESSON\WAS COMPUTER USED"
  BTBMOR01 = "MAT\PROCEDURE\ORDER\REVIEW"
  BTBMTM01 = "MAT\PROCEDURE\TIME\REVIEW"
  BTBMOR02 = "MAT\PROCEDURE\ORDER\QUIZ REVIEW"
  BTBMTM02 = "MAT\PROCEDURE\TIME\QUIZ REVIEW"
  BTBMOR03 = "MAT\PROCEDURE\ORDER\ORAL RECITATION"
  BTBMTM03 = "MAT\PROCEDURE\TIME\ORAL RECITATION"
  BTBMOR04 = "MAT\PROCEDURE\ORDER\HOMEWORK REVIEW"
  BTBMTM04 = "MAT\PROCEDURE\TIME\HOMEWORK REVIEW"
  BTBMOR05 = "MAT\PROCEDURE\ORDER\INTRODUCE TOPIC"
  BTBMTM05 = "MAT\PROCEDURE\TIME\INTRODUCE TOPIC"
  BTBMOR06 = "MAT\PROCEDURE\ORDER\DEVELOP TOPIC"
  BTBMTM06 = "MAT\PROCEDURE\TIME\DEVELOP TOPIC"
  BTBMOR07 = "MAT\PROCEDURE\ORDER\GROUP ACTIVITY"
  BTBMTM07 = "MAT\PROCEDURE\TIME\GROUP ACTIVITY"
  BTBMOR08 = "MAT\PROCEDURE\ORDER\EXERCISES"
  BTBMTM08 = "MAT\PROCEDURE\TIME\EXERCISES"
  BTBMOR09 = "MAT\PROCEDURE\ORDER\ASSIGN HOMEWORK"
  BTBMTM09 = "MAT\PROCEDURE\TIME\ASSIGN HOMEWORK"
  BTBMOR10 = "MAT\PROCEDURE\ORDER\DO HOMEWORK"
  BTBMTM10 = "MAT\PROCEDURE\TIME\DO HOMEWORK"
  BTBMOR11 = "MAT\PROCEDURE\ORDER\LABORATORY"
  BTBMTM11 = "MAT\PROCEDURE\TIME\LABORATORY"
  BTBMSGRP = "MAT\STUDENT WORK IN SMALL GROUPS"
  BTBMASK1 = "MAT\TASKS\EXPLAIN REASONING"
  BTBMASK2 = "MAT\TASKS\ANALYZE RELATIONSHIPS"
  BTBMASK3 = "MAT\TASKS\WORK ON PROBLEMS"
  BTBMASK4 = "MAT\TASKS\USE COMPUTERS"
  BTBMASK5 = "MAT\TASKS\WRITE EQUATIONS"
  BTBMASK6 = "MAT\TASKS\PRACTICE COMPUTATION"
  BTBMDO1  = "MAT\REACTION\CORRECT STUDENT"
  BTBMDO2  = "MAT\REACTION\HELP STUDENT"
  BTBMDO3  = "MAT\REACTION\OTHER\CORRECT ANSWER"
  BTBMDO4  = "MAT\REACTION\OTHER\DISCUSS RESPONSE"
  BTBMLES1 = "MAT\INDIVIDUAL WORK\NO ASSISTANCE"
  BTBMLES2 = "MAT\INDIVIDUAL WORK\ASSISTANCE"
  BTBMLES3 = "MAT\WORK TOGETHER\TEACHER TEACHES"
  BTBMLES4 = "MAT\WORK TOGETHER\STUDENTS INTERACT"
  BTBMLES5 = "MAT\WORK IN GROUPS\NO ASSISTANCE"
  BTBMLES6 = "MAT\WORK IN GROUPS\ASSISTANCE"
  BTBMHMW2 = "MAT\HOMEWORK FREQUENCY"
  BTBMHWT2 = "MAT\AVERAGE TIME NEEDED FOR HOMEWK"
  BTBMWKBK = "MAT\HOMEWORK\WORKSHEETS OR -BOOK"
  BTBMPROB = "MAT\HOMEWORK\TEXTBOOK PROBLEMS"
  BTBMREAD = "MAT\HOMEWORK\TEXTBOOK READING"
  BTBMWRIT = "MAT\HOMEWORK\WRITING ASSIGNMENT"
  BTBMDATA = "MAT\HOMEWORK\SMALL INVESTIGATIONS"
  BTBMIEXP = "MAT\HOMEWORK\INDIVIDUAL PROJECTS"
  BTBMGEXP = "MAT\HOMEWORK\SMALL GROUP PROJECTS"
  BTBMFIND = "MAT\HOMEWORK\FIND USES OF CONTENT"
  BTBMORAL = "MAT\HOMEWORK\PREPARE ORAL REPORTS"
  BTBMJOUR = "MAT\HOMEWORK\KEEP A JOURNAL"
  BTBMWHW1 = "MAT\WRITTEN HMWK\RECORD COMPLETION"
  BTBMWHW2 = "MAT\WRITTEN HMWK\KEEP ASSIGNMNTS"
  BTBMWHW3 = "MAT\WRITTEN HMWK\RETURN ASSIGNMENTS"
  BTBMWHW4 = "MAT\WRITTEN HMWK\FEEDBACK TO CLASS"
  BTBMWHW5 = "MAT\WRITTEN HMWK\STUDNT CORRECT OWN"
  BTBMWHW6 = "MAT\WRITTEN HMWK\STUDNT CORRCT OTHR"
  BTBMWHW7 = "MAT\WRITTEN HMWK\BASIS FOR DISCUSSN"
  BTBMWHW8 = "MAT\WRITTEN HMWK\GRADE CONTRIBUTION"
  BTBMWGT1 = "MAT\ASSMNT WEIGHT\STANDARD TESTS"
  BTBMWGT2 = "MAT\ASSMNT WEIGHT\REASONING TESTS"
  BTBMWGT3 = "MAT\ASSMNT WEIGHT\MULTIPLE CHOICE"
  BTBMWGT4 = "MAT\ASSMNT WEIGHT\HOMEWORK PERFRMNCE"
  BTBMWGT5 = "MAT\ASSMNT WEIGHT\PROJECT PERFORMNCE"
  BTBMWGT6 = "MAT\ASSMNT WEIGHT\OBSERVATION"
  BTBMWGT7 = "MAT\ASSMNT WEIGHT\RESPONSES IN CLASS"
  BTBGASS1 = "GEN\FREQUENCY\PROVIDE GRADES"
  BTBGASS2 = "GEN\FREQUENCY\PROVIDE FEEDBACK"
  BTBGASS3 = "GEN\FREQUENCY\DIAGNOSE PROBLEMS"
  BTBGASS4 = "GEN\FREQUENCY\REPORT TO PARENTS"
  BTBGASS5 = "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS"
  BTBGASS6 = "GEN\FREQUENCY\PLAN FUTURE LESSONS"
  BTDMTOEN = "MAT\NUMBER OF STUDENTS IN CLASS\B+G"
  BTDGADMN = "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES"
  BTDGCPLN = "GEN\PERC. OF SCHOOL TIME CURRI.PLANNING"
  BTDGOTHR = "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT."
  BTDGSUBT = "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)"
  BTDGTSKT = "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)"
  BTDGTTIM = "GEN\PERC.  SCHOOL TIME TEACHING ANYTHING"
  BTDMCALC = "MAT\NEVER OR HARDLY EVER USE CALCUL."
  BTDMCPTM = "MAT\INDEX OF CONFIDENCE TO TEACH MATH"
  BTDMEMH  = "MAT\INDEX:EMPHASIS ON MATH HOMEWORK"
  BTDMERPS = "MAT\INDEX:EMPHASIS ON PROB.SOLVING"
  BTDMHTM  = "MAT\HRS/WK TEACHING MATH"
  BTDMSIZE = "MAT\AVERAGE CLASS SIZE"
  BTDMSZ3C = "MAT\MATH CLASS SIZE IN 3 CATEGORIES"
  BTDMTPTT = "MAT\PERC. MATH TOPICS PREPARED TO TEACH"
  BTDMTTIM = "MAT\PERC. OF SCHOOL TIME TEACHING MATH"
  BTDMTIME = "MAT\CLSS\LENGTH OF MATH CLASS"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDTEACH  = 99999998         THEN IDTEACH  = .A ;
IF IDLINK   = 98               THEN IDLINK   = .A ;
IF IDSUBJCT = 8                THEN IDSUBJCT = .A ;
IF BTBGAGE  = 98               THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGEDUC = 98               THEN BTBGEDUC = .A ;
IF BTBMTEAC = 8                THEN BTBMTEAC = .A ;
IF BTBMGRPK = 8                THEN BTBMGRPK = .A ;
IF BTBMGRK  = 8                THEN BTBMGRK  = .A ;
IF BTBMGR1  = 8                THEN BTBMGR1  = .A ;
IF BTBMGR2  = 8                THEN BTBMGR2  = .A ;
IF BTBMGR3  = 8                THEN BTBMGR3  = .A ;
IF BTBMGR4  = 8                THEN BTBMGR4  = .A ;
IF BTBMGR5  = 8                THEN BTBMGR5  = .A ;
IF BTBMGR6  = 8                THEN BTBMGR6  = .A ;
IF BTBMGR7  = 8                THEN BTBMGR7  = .A ;
IF BTBMGR8  = 8                THEN BTBMGR8  = .A ;
IF BTBMGR9  = 8                THEN BTBMGR9  = .A ;
IF BTBMGR10 = 8                THEN BTBMGR10 = .A ;
IF BTBMGR11 = 8                THEN BTBMGR11 = .A ;
IF BTBMGR12 = 8                THEN BTBMGR12 = .A ;
IF BTBMGR13 = 8                THEN BTBMGR13 = .A ;
IF BTBSTEAC = 8                THEN BTBSTEAC = .A ;
IF BTBSGRPK = 8                THEN BTBSGRPK = .A ;
IF BTBSGRK  = 8                THEN BTBSGRK  = .A ;
IF BTBSGR1  = 8                THEN BTBSGR1  = .A ;
IF BTBSGR2  = 8                THEN BTBSGR2  = .A ;
IF BTBSGR3  = 8                THEN BTBSGR3  = .A ;
IF BTBSGR4  = 8                THEN BTBSGR4  = .A ;
IF BTBSGR5  = 8                THEN BTBSGR5  = .A ;
IF BTBSGR6  = 8                THEN BTBSGR6  = .A ;
IF BTBSGR7  = 8                THEN BTBSGR7  = .A ;
IF BTBSGR8  = 8                THEN BTBSGR8  = .A ;
IF BTBSGR9  = 8                THEN BTBSGR9  = .A ;
IF BTBSGR10 = 8                THEN BTBSGR10 = .A ;
IF BTBSGR11 = 8                THEN BTBSGR11 = .A ;
IF BTBSGR12 = 8                THEN BTBSGR12 = .A ;
IF BTBSGR13 = 8                THEN BTBSGR13 = .A ;
IF BTBGPTFT = 8                THEN BTBGPTFT = .A ;
IF BTBGTAUG = 98               THEN BTBGTAUG = .A ;
IF BTBGGRPK = 8                THEN BTBGGRPK = .A ;
IF BTBGGRK  = 8                THEN BTBGGRK  = .A ;
IF BTBGGR1  = 8                THEN BTBGGR1  = .A ;
IF BTBGGR2  = 8                THEN BTBGGR2  = .A ;
IF BTBGGR3  = 8                THEN BTBGGR3  = .A ;
IF BTBGGR4  = 8                THEN BTBGGR4  = .A ;
IF BTBGGR5  = 8                THEN BTBGGR5  = .A ;
IF BTBGGR6  = 8                THEN BTBGGR6  = .A ;
IF BTBGGR7  = 8                THEN BTBGGR7  = .A ;
IF BTBGGR8  = 8                THEN BTBGGR8  = .A ;
IF BTBGGR9  = 8                THEN BTBGGR9  = .A ;
IF BTBGGR10 = 8                THEN BTBGGR10 = .A ;
IF BTBGGR11 = 8                THEN BTBGGR11 = .A ;
IF BTBGGR12 = 8                THEN BTBGGR12 = .A ;
IF BTBGGR13 = 8                THEN BTBGGR13 = .A ;
IF BTBMSUB1 = 98               THEN BTBMSUB1 = .A ;
IF BTBSSUB2 = 98               THEN BTBSSUB2 = .A ;
IF BTBSSUB3 = 98               THEN BTBSSUB3 = .A ;
IF BTBSSUB4 = 98               THEN BTBSSUB4 = .A ;
IF BTBSSUB5 = 98               THEN BTBSSUB5 = .A ;
IF BTBSSUB6 = 98               THEN BTBSSUB6 = .A ;
IF BTBSSUB7 = 98               THEN BTBSSUB7 = .A ;
IF BTBSSUB8 = 98               THEN BTBSSUB8 = .A ;
IF BTBGSUB9 = 98               THEN BTBGSUB9 = .A ;
IF BTBGTSK1 = 98               THEN BTBGTSK1 = .A ;
IF BTBGTSK2 = 98               THEN BTBGTSK2 = .A ;
IF BTBGTSK3 = 98               THEN BTBGTSK3 = .A ;
IF BTBGTSK4 = 98               THEN BTBGTSK4 = .A ;
IF BTBGTSK5 = 98               THEN BTBGTSK5 = .A ;
IF BTBGTSK6 = 98               THEN BTBGTSK6 = .A ;
IF BTBGTOTL = 98               THEN BTBGTOTL = .A ;
IF BTBGACT1 = 8                THEN BTBGACT1 = .A ;
IF BTBGACT2 = 8                THEN BTBGACT2 = .A ;
IF BTBGACT3 = 8                THEN BTBGACT3 = .A ;
IF BTBGACT4 = 8                THEN BTBGACT4 = .A ;
IF BTBGACT5 = 8                THEN BTBGACT5 = .A ;
IF BTBGACT6 = 8                THEN BTBGACT6 = .A ;
IF BTBGACT7 = 8                THEN BTBGACT7 = .A ;
IF BTBGACT8 = 8                THEN BTBGACT8 = .A ;
IF BTBGMEET = 98               THEN BTBGMEET = .A ;
IF BTBGINF1 = 8                THEN BTBGINF1 = .A ;
IF BTBGINF2 = 8                THEN BTBGINF2 = .A ;
IF BTBGINF3 = 8                THEN BTBGINF3 = .A ;
IF BTBGINF4 = 8                THEN BTBGINF4 = .A ;
IF BTBMIMP1 = 8                THEN BTBMIMP1 = .A ;
IF BTBMIMP2 = 8                THEN BTBMIMP2 = .A ;
IF BTBMIMP3 = 8                THEN BTBMIMP3 = .A ;
IF BTBMIMP4 = 8                THEN BTBMIMP4 = .A ;
IF BTBMIMP5 = 8                THEN BTBMIMP5 = .A ;
IF BTBMIMP6 = 8                THEN BTBMIMP6 = .A ;
IF BTBMAGR1 = 8                THEN BTBMAGR1 = .A ;
IF BTBMAGR2 = 8                THEN BTBMAGR2 = .A ;
IF BTBMAGR3 = 8                THEN BTBMAGR3 = .A ;
IF BTBGAGR4 = 8                THEN BTBGAGR4 = .A ;
IF BTBMAGR5 = 8                THEN BTBMAGR5 = .A ;
IF BTBMAGR6 = 8                THEN BTBMAGR6 = .A ;
IF BTBMAGR7 = 8                THEN BTBMAGR7 = .A ;
IF BTBMAGR8 = 8                THEN BTBMAGR8 = .A ;
IF BTBMAGR9 = 8                THEN BTBMAGR9 = .A ;
IF BTBMFAM1 = 8                THEN BTBMFAM1 = .A ;
IF BTBMFAM2 = 8                THEN BTBMFAM2 = .A ;
IF BTBGFAM3 = 8                THEN BTBGFAM3 = .A ;
IF BTBGFAM4 = 8                THEN BTBGFAM4 = .A ;
IF BTBGFAM5 = 8                THEN BTBGFAM5 = .A ;
IF BTBMFAM6 = 8                THEN BTBMFAM6 = .A ;
IF BTBMFAM7 = 8                THEN BTBMFAM7 = .A ;
IF BTBGCARE = 8                THEN BTBGCARE = .A ;
IF BTBGCHNG = 8                THEN BTBGCHNG = .A ;
IF BTBGSOAP = 8                THEN BTBGSOAP = .A ;
IF BTBGSTAP = 8                THEN BTBGSTAP = .A ;
IF BTBGBOOK = 8                THEN BTBGBOOK = .A ;
IF BTBGRNK1 = 98               THEN BTBGRNK1 = .A ;
IF BTBGRNK2 = 98               THEN BTBGRNK2 = .A ;
IF BTBGRNK3 = 98               THEN BTBGRNK3 = .A ;
IF BTBGRNK4 = 98               THEN BTBGRNK4 = .A ;
IF BTBGRNK5 = 98               THEN BTBGRNK5 = .A ;
IF BTBGRNK6 = 98               THEN BTBGRNK6 = .A ;
IF BTBGRNK7 = 98               THEN BTBGRNK7 = .A ;
IF BTBGRNK8 = 98               THEN BTBGRNK8 = .A ;
IF BTBGRNK9 = 98               THEN BTBGRNK9 = .A ;
IF BTBMBOY  = 98               THEN BTBMBOY  = .A ;
IF BTBMGIRL = 98               THEN BTBMGIRL = .A ;
IF BTBMACH1 = 998              THEN BTBMACH1 = .A ;
IF BTBMACH2 = 998              THEN BTBMACH2 = .A ;
IF BTBMACH3 = 998              THEN BTBMACH3 = .A ;
IF BTBMTIME = 9998             THEN BTBMTIME = .A ;
IF BTBMTXBK = 8                THEN BTBMTXBK = .A ;
IF BTBMTXB0 = 8                THEN BTBMTXB0 = .A ;
IF BTBMTXB1 = 8                THEN BTBMTXB1 = .A ;
IF BTBMTXB2 = 8                THEN BTBMTXB2 = .A ;
IF BTBMTXB3 = 8                THEN BTBMTXB3 = .A ;
IF BTBMTXB4 = 8                THEN BTBMTXB4 = .A ;
IF BTBMTXB5 = 8                THEN BTBMTXB5 = .A ;
IF BTBMTXB6 = 8                THEN BTBMTXB6 = .A ;
IF BTBMTXB7 = 8                THEN BTBMTXB7 = .A ;
IF BTBMTXB8 = 8                THEN BTBMTXB8 = .A ;
IF BTBMTXB9 = 8                THEN BTBMTXB9 = .A ;
IF BTBMTSNM = 98               THEN BTBMTSNM = .A ;
IF BTBMTXBS = 8                THEN BTBMTXBS = .A ;
IF BTBMADTB = 98               THEN BTBMADTB = .A ;
IF BTBMLM01 = 8                THEN BTBMLM01 = .A ;
IF BTBMLM02 = 8                THEN BTBMLM02 = .A ;
IF BTBMLM03 = 8                THEN BTBMLM03 = .A ;
IF BTBMLM04 = 8                THEN BTBMLM04 = .A ;
IF BTBMLM05 = 8                THEN BTBMLM05 = .A ;
IF BTBMLM06 = 8                THEN BTBMLM06 = .A ;
IF BTBMLM07 = 8                THEN BTBMLM07 = .A ;
IF BTBMLM08 = 8                THEN BTBMLM08 = .A ;
IF BTBMLM09 = 8                THEN BTBMLM09 = .A ;
IF BTBMLM10 = 8                THEN BTBMLM10 = .A ;
IF BTBMLM11 = 8                THEN BTBMLM11 = .A ;
IF BTBMLM12 = 8                THEN BTBMLM12 = .A ;
IF BTBMLM13 = 8                THEN BTBMLM13 = .A ;
IF BTBMLM14 = 8                THEN BTBMLM14 = .A ;
IF BTBMLM15 = 8                THEN BTBMLM15 = .A ;
IF BTBMLM16 = 8                THEN BTBMLM16 = .A ;
IF BTBMCALC = 8                THEN BTBMCALC = .A ;
IF BTBMCAL1 = 8                THEN BTBMCAL1 = .A ;
IF BTBMCAL2 = 8                THEN BTBMCAL2 = .A ;
IF BTBMCAL3 = 8                THEN BTBMCAL3 = .A ;
IF BTBMCAL4 = 8                THEN BTBMCAL4 = .A ;
IF BTBMCAL5 = 8                THEN BTBMCAL5 = .A ;
IF BTBMRLY1 = 8                THEN BTBMRLY1 = .A ;
IF BTBMRLY2 = 8                THEN BTBMRLY2 = .A ;
IF BTBMRLY3 = 8                THEN BTBMRLY3 = .A ;
IF BTBMRLY4 = 8                THEN BTBMRLY4 = .A ;
IF BTBMRLY5 = 8                THEN BTBMRLY5 = .A ;
IF BTBMRLY6 = 8                THEN BTBMRLY6 = .A ;
IF BTBMRLY7 = 8                THEN BTBMRLY7 = .A ;
IF BTBMSRC1 = 98               THEN BTBMSRC1 = .A ;
IF BTBMSRC2 = 98               THEN BTBMSRC2 = .A ;
IF BTBMSRC3 = 98               THEN BTBMSRC3 = .A ;
IF BTBMSRC4 = 98               THEN BTBMSRC4 = .A ;
IF BTBMTA   = 8                THEN BTBMTA   = .A ;
IF BTBMTAA  = 8                THEN BTBMTAA  = .A ;
IF BTBMTAB  = 8                THEN BTBMTAB  = .A ;
IF BTBMTAC  = 8                THEN BTBMTAC  = .A ;
IF BTBMTA1  = 8                THEN BTBMTA1  = .A ;
IF BTBMTA1A = 8                THEN BTBMTA1A = .A ;
IF BTBMTA1B = 8                THEN BTBMTA1B = .A ;
IF BTBMTA1C = 8                THEN BTBMTA1C = .A ;
IF BTBMTA2  = 8                THEN BTBMTA2  = .A ;
IF BTBMTA2A = 8                THEN BTBMTA2A = .A ;
IF BTBMTA2B = 8                THEN BTBMTA2B = .A ;
IF BTBMTA2C = 8                THEN BTBMTA2C = .A ;
IF BTBMTB   = 8                THEN BTBMTB   = .A ;
IF BTBMTBA  = 8                THEN BTBMTBA  = .A ;
IF BTBMTBB  = 8                THEN BTBMTBB  = .A ;
IF BTBMTBC  = 8                THEN BTBMTBC  = .A ;
IF BTBMTB1  = 8                THEN BTBMTB1  = .A ;
IF BTBMTB1A = 8                THEN BTBMTB1A = .A ;
IF BTBMTB1B = 8                THEN BTBMTB1B = .A ;
IF BTBMTB1C = 8                THEN BTBMTB1C = .A ;
IF BTBMTB2  = 8                THEN BTBMTB2  = .A ;
IF BTBMTB2A = 8                THEN BTBMTB2A = .A ;
IF BTBMTB2B = 8                THEN BTBMTB2B = .A ;
IF BTBMTB2C = 8                THEN BTBMTB2C = .A ;
IF BTBMTB3  = 8                THEN BTBMTB3  = .A ;
IF BTBMTB3A = 8                THEN BTBMTB3A = .A ;
IF BTBMTB3B = 8                THEN BTBMTB3B = .A ;
IF BTBMTB3C = 8                THEN BTBMTB3C = .A ;
IF BTBMTB4  = 8                THEN BTBMTB4  = .A ;
IF BTBMTB4A = 8                THEN BTBMTB4A = .A ;
IF BTBMTB4B = 8                THEN BTBMTB4B = .A ;
IF BTBMTB4C = 8                THEN BTBMTB4C = .A ;
IF BTBMTB5  = 8                THEN BTBMTB5  = .A ;
IF BTBMTB5A = 8                THEN BTBMTB5A = .A ;
IF BTBMTB5B = 8                THEN BTBMTB5B = .A ;
IF BTBMTB5C = 8                THEN BTBMTB5C = .A ;
IF BTBMTB6  = 8                THEN BTBMTB6  = .A ;
IF BTBMTB6A = 8                THEN BTBMTB6A = .A ;
IF BTBMTB6B = 8                THEN BTBMTB6B = .A ;
IF BTBMTB6C = 8                THEN BTBMTB6C = .A ;
IF BTBMTB7  = 8                THEN BTBMTB7  = .A ;
IF BTBMTB7A = 8                THEN BTBMTB7A = .A ;
IF BTBMTB7B = 8                THEN BTBMTB7B = .A ;
IF BTBMTB7C = 8                THEN BTBMTB7C = .A ;
IF BTBMTC   = 8                THEN BTBMTC   = .A ;
IF BTBMTCA  = 8                THEN BTBMTCA  = .A ;
IF BTBMTCB  = 8                THEN BTBMTCB  = .A ;
IF BTBMTCC  = 8                THEN BTBMTCC  = .A ;
IF BTBMTD   = 8                THEN BTBMTD   = .A ;
IF BTBMTDA  = 8                THEN BTBMTDA  = .A ;
IF BTBMTDB  = 8                THEN BTBMTDB  = .A ;
IF BTBMTDC  = 8                THEN BTBMTDC  = .A ;
IF BTBMTE   = 8                THEN BTBMTE   = .A ;
IF BTBMTEA  = 8                THEN BTBMTEA  = .A ;
IF BTBMTEB  = 8                THEN BTBMTEB  = .A ;
IF BTBMTEC  = 8                THEN BTBMTEC  = .A ;
IF BTBMTF   = 8                THEN BTBMTF   = .A ;
IF BTBMTFA  = 8                THEN BTBMTFA  = .A ;
IF BTBMTFB  = 8                THEN BTBMTFB  = .A ;
IF BTBMTFC  = 8                THEN BTBMTFC  = .A ;
IF BTBMTG   = 8                THEN BTBMTG   = .A ;
IF BTBMTGA  = 8                THEN BTBMTGA  = .A ;
IF BTBMTGB  = 8                THEN BTBMTGB  = .A ;
IF BTBMTGC  = 8                THEN BTBMTGC  = .A ;
IF BTBMTH   = 8                THEN BTBMTH   = .A ;
IF BTBMTHA  = 8                THEN BTBMTHA  = .A ;
IF BTBMTHB  = 8                THEN BTBMTHB  = .A ;
IF BTBMTHC  = 8                THEN BTBMTHC  = .A ;
IF BTBMTI   = 8                THEN BTBMTI   = .A ;
IF BTBMTIA  = 8                THEN BTBMTIA  = .A ;
IF BTBMTIB  = 8                THEN BTBMTIB  = .A ;
IF BTBMTIC  = 8                THEN BTBMTIC  = .A ;
IF BTBMTJ   = 8                THEN BTBMTJ   = .A ;
IF BTBMTJA  = 8                THEN BTBMTJA  = .A ;
IF BTBMTJB  = 8                THEN BTBMTJB  = .A ;
IF BTBMTJC  = 8                THEN BTBMTJC  = .A ;
IF BTBMTK   = 8                THEN BTBMTK   = .A ;
IF BTBMTKA  = 8                THEN BTBMTKA  = .A ;
IF BTBMTKB  = 8                THEN BTBMTKB  = .A ;
IF BTBMTKC  = 8                THEN BTBMTKC  = .A ;
IF BTBMTL   = 8                THEN BTBMTL   = .A ;
IF BTBMTLA  = 8                THEN BTBMTLA  = .A ;
IF BTBMTLB  = 8                THEN BTBMTLB  = .A ;
IF BTBMTLC  = 8                THEN BTBMTLC  = .A ;
IF BTBMTM   = 8                THEN BTBMTM   = .A ;
IF BTBMTMA  = 8                THEN BTBMTMA  = .A ;
IF BTBMTMB  = 8                THEN BTBMTMB  = .A ;
IF BTBMTMC  = 8                THEN BTBMTMC  = .A ;
IF BTBMTN   = 8                THEN BTBMTN   = .A ;
IF BTBMTNA  = 8                THEN BTBMTNA  = .A ;
IF BTBMTNB  = 8                THEN BTBMTNB  = .A ;
IF BTBMTNC  = 8                THEN BTBMTNC  = .A ;
IF BTBMTN1  = 8                THEN BTBMTN1  = .A ;
IF BTBMTN1A = 8                THEN BTBMTN1A = .A ;
IF BTBMTN1B = 8                THEN BTBMTN1B = .A ;
IF BTBMTN1C = 8                THEN BTBMTN1C = .A ;
IF BTBMTN2  = 8                THEN BTBMTN2  = .A ;
IF BTBMTN2A = 8                THEN BTBMTN2A = .A ;
IF BTBMTN2B = 8                THEN BTBMTN2B = .A ;
IF BTBMTN2C = 8                THEN BTBMTN2C = .A ;
IF BTBMTO   = 8                THEN BTBMTO   = .A ;
IF BTBMTOA  = 8                THEN BTBMTOA  = .A ;
IF BTBMTOB  = 8                THEN BTBMTOB  = .A ;
IF BTBMTOC  = 8                THEN BTBMTOC  = .A ;
IF BTBMTO1  = 8                THEN BTBMTO1  = .A ;
IF BTBMTO1A = 8                THEN BTBMTO1A = .A ;
IF BTBMTO1B = 8                THEN BTBMTO1B = .A ;
IF BTBMTO1C = 8                THEN BTBMTO1C = .A ;
IF BTBMTO2  = 8                THEN BTBMTO2  = .A ;
IF BTBMTO2A = 8                THEN BTBMTO2A = .A ;
IF BTBMTO2B = 8                THEN BTBMTO2B = .A ;
IF BTBMTO2C = 8                THEN BTBMTO2C = .A ;
IF BTBMTP   = 8                THEN BTBMTP   = .A ;
IF BTBMTPA  = 8                THEN BTBMTPA  = .A ;
IF BTBMTPB  = 8                THEN BTBMTPB  = .A ;
IF BTBMTPC  = 8                THEN BTBMTPC  = .A ;
IF BTBMTQ   = 8                THEN BTBMTQ   = .A ;
IF BTBMTQA  = 8                THEN BTBMTQA  = .A ;
IF BTBMTQB  = 8                THEN BTBMTQB  = .A ;
IF BTBMTQC  = 8                THEN BTBMTQC  = .A ;
IF BTBMTQ1  = 8                THEN BTBMTQ1  = .A ;
IF BTBMTQ1A = 8                THEN BTBMTQ1A = .A ;
IF BTBMTQ1B = 8                THEN BTBMTQ1B = .A ;
IF BTBMTQ1C = 8                THEN BTBMTQ1C = .A ;
IF BTBMTQ2  = 8                THEN BTBMTQ2  = .A ;
IF BTBMTQ2A = 8                THEN BTBMTQ2A = .A ;
IF BTBMTQ2B = 8                THEN BTBMTQ2B = .A ;
IF BTBMTQ2C = 8                THEN BTBMTQ2C = .A ;
IF BTBMTR   = 8                THEN BTBMTR   = .A ;
IF BTBMTRA  = 8                THEN BTBMTRA  = .A ;
IF BTBMTRB  = 8                THEN BTBMTRB  = .A ;
IF BTBMTRC  = 8                THEN BTBMTRC  = .A ;
IF BTBMTS   = 8                THEN BTBMTS   = .A ;
IF BTBMTSA  = 8                THEN BTBMTSA  = .A ;
IF BTBMTSB  = 8                THEN BTBMTSB  = .A ;
IF BTBMTSC  = 8                THEN BTBMTSC  = .A ;
IF BTBMTT   = 8                THEN BTBMTT   = .A ;
IF BTBMTTA  = 8                THEN BTBMTTA  = .A ;
IF BTBMTTB  = 8                THEN BTBMTTB  = .A ;
IF BTBMTTC  = 8                THEN BTBMTTC  = .A ;
IF BTBMTU   = 8                THEN BTBMTU   = .A ;
IF BTBMTUA  = 8                THEN BTBMTUA  = .A ;
IF BTBMTUB  = 8                THEN BTBMTUB  = .A ;
IF BTBMTUC  = 8                THEN BTBMTUC  = .A ;
IF BTBMTV   = 8                THEN BTBMTV   = .A ;
IF BTBMTVA  = 8                THEN BTBMTVA  = .A ;
IF BTBMTVB  = 8                THEN BTBMTVB  = .A ;
IF BTBMTVC  = 8                THEN BTBMTVC  = .A ;
IF BTBMCLTM = 998              THEN BTBMCLTM = .A ;
IF BTBMTO01 = 8                THEN BTBMTO01 = .A ;
IF BTBMTO02 = 8                THEN BTBMTO02 = .A ;
IF BTBMTO03 = 8                THEN BTBMTO03 = .A ;
IF BTBMTO04 = 8                THEN BTBMTO04 = .A ;
IF BTBMTO05 = 8                THEN BTBMTO05 = .A ;
IF BTBMTO06 = 8                THEN BTBMTO06 = .A ;
IF BTBMTO07 = 8                THEN BTBMTO07 = .A ;
IF BTBMTO08 = 8                THEN BTBMTO08 = .A ;
IF BTBMTO09 = 8                THEN BTBMTO09 = .A ;
IF BTBMTO10 = 8                THEN BTBMTO10 = .A ;
IF BTBMTO11 = 8                THEN BTBMTO11 = .A ;
IF BTBMTO12 = 8                THEN BTBMTO12 = .A ;
IF BTBMTO13 = 8                THEN BTBMTO13 = .A ;
IF BTBMTO14 = 8                THEN BTBMTO14 = .A ;
IF BTBMTO15 = 8                THEN BTBMTO15 = .A ;
IF BTBMTO16 = 8                THEN BTBMTO16 = .A ;
IF BTBMTO17 = 8                THEN BTBMTO17 = .A ;
IF BTBMTO18 = 8                THEN BTBMTO18 = .A ;
IF BTBMTO19 = 8                THEN BTBMTO19 = .A ;
IF BTBMTO20 = 8                THEN BTBMTO20 = .A ;
IF BTBMTO21 = 8                THEN BTBMTO21 = .A ;
IF BTBMTO22 = 8                THEN BTBMTO22 = .A ;
IF BTBMTOP1 = 8                THEN BTBMTOP1 = .A ;
IF BTBMTOP2 = 8                THEN BTBMTOP2 = .A ;
IF BTBMTOP3 = 8                THEN BTBMTOP3 = .A ;
IF BTBMHMW1 = 8                THEN BTBMHMW1 = .A ;
IF BTBMHWT1 = 998              THEN BTBMHWT1 = .A ;
IF BTBMCLCM = 8                THEN BTBMCLCM = .A ;
IF BTBMOR01 = 98               THEN BTBMOR01 = .A ;
IF BTBMTM01 = 998              THEN BTBMTM01 = .A ;
IF BTBMOR02 = 98               THEN BTBMOR02 = .A ;
IF BTBMTM02 = 998              THEN BTBMTM02 = .A ;
IF BTBMOR03 = 98               THEN BTBMOR03 = .A ;
IF BTBMTM03 = 998              THEN BTBMTM03 = .A ;
IF BTBMOR04 = 98               THEN BTBMOR04 = .A ;
IF BTBMTM04 = 998              THEN BTBMTM04 = .A ;
IF BTBMOR05 = 98               THEN BTBMOR05 = .A ;
IF BTBMTM05 = 998              THEN BTBMTM05 = .A ;
IF BTBMOR06 = 98               THEN BTBMOR06 = .A ;
IF BTBMTM06 = 998              THEN BTBMTM06 = .A ;
IF BTBMOR07 = 98               THEN BTBMOR07 = .A ;
IF BTBMTM07 = 998              THEN BTBMTM07 = .A ;
IF BTBMOR08 = 98               THEN BTBMOR08 = .A ;
IF BTBMTM08 = 998              THEN BTBMTM08 = .A ;
IF BTBMOR09 = 98               THEN BTBMOR09 = .A ;
IF BTBMTM09 = 998              THEN BTBMTM09 = .A ;
IF BTBMOR10 = 98               THEN BTBMOR10 = .A ;
IF BTBMTM10 = 998              THEN BTBMTM10 = .A ;
IF BTBMOR11 = 98               THEN BTBMOR11 = .A ;
IF BTBMTM11 = 998              THEN BTBMTM11 = .A ;
IF BTBMSGRP = 8                THEN BTBMSGRP = .A ;
IF BTBMASK1 = 8                THEN BTBMASK1 = .A ;
IF BTBMASK2 = 8                THEN BTBMASK2 = .A ;
IF BTBMASK3 = 8                THEN BTBMASK3 = .A ;
IF BTBMASK4 = 8                THEN BTBMASK4 = .A ;
IF BTBMASK5 = 8                THEN BTBMASK5 = .A ;
IF BTBMASK6 = 8                THEN BTBMASK6 = .A ;
IF BTBMDO1  = 8                THEN BTBMDO1  = .A ;
IF BTBMDO2  = 8                THEN BTBMDO2  = .A ;
IF BTBMDO3  = 8                THEN BTBMDO3  = .A ;
IF BTBMDO4  = 8                THEN BTBMDO4  = .A ;
IF BTBMLES1 = 8                THEN BTBMLES1 = .A ;
IF BTBMLES2 = 8                THEN BTBMLES2 = .A ;
IF BTBMLES3 = 8                THEN BTBMLES3 = .A ;
IF BTBMLES4 = 8                THEN BTBMLES4 = .A ;
IF BTBMLES5 = 8                THEN BTBMLES5 = .A ;
IF BTBMLES6 = 8                THEN BTBMLES6 = .A ;
IF BTBMHMW2 = 8                THEN BTBMHMW2 = .A ;
IF BTBMHWT2 = 98               THEN BTBMHWT2 = .A ;
IF BTBMWKBK = 8                THEN BTBMWKBK = .A ;
IF BTBMPROB = 8                THEN BTBMPROB = .A ;
IF BTBMREAD = 8                THEN BTBMREAD = .A ;
IF BTBMWRIT = 8                THEN BTBMWRIT = .A ;
IF BTBMDATA = 8                THEN BTBMDATA = .A ;
IF BTBMIEXP = 8                THEN BTBMIEXP = .A ;
IF BTBMGEXP = 8                THEN BTBMGEXP = .A ;
IF BTBMFIND = 8                THEN BTBMFIND = .A ;
IF BTBMORAL = 8                THEN BTBMORAL = .A ;
IF BTBMJOUR = 8                THEN BTBMJOUR = .A ;
IF BTBMWHW1 = 8                THEN BTBMWHW1 = .A ;
IF BTBMWHW2 = 8                THEN BTBMWHW2 = .A ;
IF BTBMWHW3 = 8                THEN BTBMWHW3 = .A ;
IF BTBMWHW4 = 8                THEN BTBMWHW4 = .A ;
IF BTBMWHW5 = 8                THEN BTBMWHW5 = .A ;
IF BTBMWHW6 = 8                THEN BTBMWHW6 = .A ;
IF BTBMWHW7 = 8                THEN BTBMWHW7 = .A ;
IF BTBMWHW8 = 8                THEN BTBMWHW8 = .A ;
IF BTBMWGT1 = 8                THEN BTBMWGT1 = .A ;
IF BTBMWGT2 = 8                THEN BTBMWGT2 = .A ;
IF BTBMWGT3 = 8                THEN BTBMWGT3 = .A ;
IF BTBMWGT4 = 8                THEN BTBMWGT4 = .A ;
IF BTBMWGT5 = 8                THEN BTBMWGT5 = .A ;
IF BTBMWGT6 = 8                THEN BTBMWGT6 = .A ;
IF BTBMWGT7 = 8                THEN BTBMWGT7 = .A ;
IF BTBGASS1 = 8                THEN BTBGASS1 = .A ;
IF BTBGASS2 = 8                THEN BTBGASS2 = .A ;
IF BTBGASS3 = 8                THEN BTBGASS3 = .A ;
IF BTBGASS4 = 8                THEN BTBGASS4 = .A ;
IF BTBGASS5 = 8                THEN BTBGASS5 = .A ;
IF BTBGASS6 = 8                THEN BTBGASS6 = .A ;
IF BTDMTOEN = 998              THEN BTDMTOEN = .A ;
IF BTDGADMN = 9998             THEN BTDGADMN = .A ;
IF BTDGCPLN = 9998             THEN BTDGCPLN = .A ;
IF BTDGOTHR = 9998             THEN BTDGOTHR = .A ;
IF BTDGSUBT = 9998             THEN BTDGSUBT = .A ;
IF BTDGTSKT = 9998             THEN BTDGTSKT = .A ;
IF BTDGTTIM = 9998             THEN BTDGTTIM = .A ;
IF BTDMCALC = 8                THEN BTDMCALC = .A ;
IF BTDMCPTM = 8                THEN BTDMCPTM = .A ;
IF BTDMEMH  = 8                THEN BTDMEMH  = .A ;
IF BTDMERPS = 8                THEN BTDMERPS = .A ;
IF BTDMHTM  = 9998             THEN BTDMHTM  = .A ;
IF BTDMSIZE = 9998             THEN BTDMSIZE = .A ;
IF BTDMSZ3C = 8                THEN BTDMSZ3C = .A ;
IF BTDMTPTT = 9998             THEN BTDMTPTT = .A ;
IF BTDMTTIM = 9998             THEN BTDMTTIM = .A ;
IF BTDMTIME = 8                THEN BTDMTIME = .A ;
IF DPCDATE  = 999998           THEN DPCDATE  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BTBGAGE  = 96               THEN BTBGAGE  = .B ;
IF BTBGSEX  = 6                THEN BTBGSEX  = .B ;
IF BTBGEDUC = 96               THEN BTBGEDUC = .B ;
IF BTBMTEAC = 6                THEN BTBMTEAC = .B ;
IF BTBMGRPK = 6                THEN BTBMGRPK = .B ;
IF BTBMGRK  = 6                THEN BTBMGRK  = .B ;
IF BTBMGR1  = 6                THEN BTBMGR1  = .B ;
IF BTBMGR2  = 6                THEN BTBMGR2  = .B ;
IF BTBMGR3  = 6                THEN BTBMGR3  = .B ;
IF BTBMGR4  = 6                THEN BTBMGR4  = .B ;
IF BTBMGR5  = 6                THEN BTBMGR5  = .B ;
IF BTBMGR6  = 6                THEN BTBMGR6  = .B ;
IF BTBMGR7  = 6                THEN BTBMGR7  = .B ;
IF BTBMGR8  = 6                THEN BTBMGR8  = .B ;
IF BTBMGR9  = 6                THEN BTBMGR9  = .B ;
IF BTBMGR10 = 6                THEN BTBMGR10 = .B ;
IF BTBMGR11 = 6                THEN BTBMGR11 = .B ;
IF BTBMGR12 = 6                THEN BTBMGR12 = .B ;
IF BTBMGR13 = 6                THEN BTBMGR13 = .B ;
IF BTBSTEAC = 6                THEN BTBSTEAC = .B ;
IF BTBSGRPK = 6                THEN BTBSGRPK = .B ;
IF BTBSGRK  = 6                THEN BTBSGRK  = .B ;
IF BTBSGR1  = 6                THEN BTBSGR1  = .B ;
IF BTBSGR2  = 6                THEN BTBSGR2  = .B ;
IF BTBSGR3  = 6                THEN BTBSGR3  = .B ;
IF BTBSGR4  = 6                THEN BTBSGR4  = .B ;
IF BTBSGR5  = 6                THEN BTBSGR5  = .B ;
IF BTBSGR6  = 6                THEN BTBSGR6  = .B ;
IF BTBSGR7  = 6                THEN BTBSGR7  = .B ;
IF BTBSGR8  = 6                THEN BTBSGR8  = .B ;
IF BTBSGR9  = 6                THEN BTBSGR9  = .B ;
IF BTBSGR10 = 6                THEN BTBSGR10 = .B ;
IF BTBSGR11 = 6                THEN BTBSGR11 = .B ;
IF BTBSGR12 = 6                THEN BTBSGR12 = .B ;
IF BTBSGR13 = 6                THEN BTBSGR13 = .B ;
IF BTBGPTFT = 6                THEN BTBGPTFT = .B ;
IF BTBGTAUG = 96               THEN BTBGTAUG = .B ;
IF BTBGGRPK = 6                THEN BTBGGRPK = .B ;
IF BTBGGRK  = 6                THEN BTBGGRK  = .B ;
IF BTBGGR1  = 6                THEN BTBGGR1  = .B ;
IF BTBGGR2  = 6                THEN BTBGGR2  = .B ;
IF BTBGGR3  = 6                THEN BTBGGR3  = .B ;
IF BTBGGR4  = 6                THEN BTBGGR4  = .B ;
IF BTBGGR5  = 6                THEN BTBGGR5  = .B ;
IF BTBGGR6  = 6                THEN BTBGGR6  = .B ;
IF BTBGGR7  = 6                THEN BTBGGR7  = .B ;
IF BTBGGR8  = 6                THEN BTBGGR8  = .B ;
IF BTBGGR9  = 6                THEN BTBGGR9  = .B ;
IF BTBGGR10 = 6                THEN BTBGGR10 = .B ;
IF BTBGGR11 = 6                THEN BTBGGR11 = .B ;
IF BTBGGR12 = 6                THEN BTBGGR12 = .B ;
IF BTBGGR13 = 6                THEN BTBGGR13 = .B ;
IF BTBMSUB1 = 96               THEN BTBMSUB1 = .B ;
IF BTBSSUB2 = 96               THEN BTBSSUB2 = .B ;
IF BTBSSUB3 = 96               THEN BTBSSUB3 = .B ;
IF BTBSSUB4 = 96               THEN BTBSSUB4 = .B ;
IF BTBSSUB5 = 96               THEN BTBSSUB5 = .B ;
IF BTBSSUB6 = 96               THEN BTBSSUB6 = .B ;
IF BTBSSUB7 = 96               THEN BTBSSUB7 = .B ;
IF BTBSSUB8 = 96               THEN BTBSSUB8 = .B ;
IF BTBGSUB9 = 96               THEN BTBGSUB9 = .B ;
IF BTBGTSK1 = 96               THEN BTBGTSK1 = .B ;
IF BTBGTSK2 = 96               THEN BTBGTSK2 = .B ;
IF BTBGTSK3 = 96               THEN BTBGTSK3 = .B ;
IF BTBGTSK4 = 96               THEN BTBGTSK4 = .B ;
IF BTBGTSK5 = 96               THEN BTBGTSK5 = .B ;
IF BTBGTSK6 = 96               THEN BTBGTSK6 = .B ;
IF BTBGTOTL = 96               THEN BTBGTOTL = .B ;
IF BTBGACT1 = 6                THEN BTBGACT1 = .B ;
IF BTBGACT2 = 6                THEN BTBGACT2 = .B ;
IF BTBGACT3 = 6                THEN BTBGACT3 = .B ;
IF BTBGACT4 = 6                THEN BTBGACT4 = .B ;
IF BTBGACT5 = 6                THEN BTBGACT5 = .B ;
IF BTBGACT6 = 6                THEN BTBGACT6 = .B ;
IF BTBGACT7 = 6                THEN BTBGACT7 = .B ;
IF BTBGACT8 = 6                THEN BTBGACT8 = .B ;
IF BTBGMEET = 96               THEN BTBGMEET = .B ;
IF BTBGINF1 = 6                THEN BTBGINF1 = .B ;
IF BTBGINF2 = 6                THEN BTBGINF2 = .B ;
IF BTBGINF3 = 6                THEN BTBGINF3 = .B ;
IF BTBGINF4 = 6                THEN BTBGINF4 = .B ;
IF BTBMIMP1 = 6                THEN BTBMIMP1 = .B ;
IF BTBMIMP2 = 6                THEN BTBMIMP2 = .B ;
IF BTBMIMP3 = 6                THEN BTBMIMP3 = .B ;
IF BTBMIMP4 = 6                THEN BTBMIMP4 = .B ;
IF BTBMIMP5 = 6                THEN BTBMIMP5 = .B ;
IF BTBMIMP6 = 6                THEN BTBMIMP6 = .B ;
IF BTBMAGR1 = 6                THEN BTBMAGR1 = .B ;
IF BTBMAGR2 = 6                THEN BTBMAGR2 = .B ;
IF BTBMAGR3 = 6                THEN BTBMAGR3 = .B ;
IF BTBGAGR4 = 6                THEN BTBGAGR4 = .B ;
IF BTBMAGR5 = 6                THEN BTBMAGR5 = .B ;
IF BTBMAGR6 = 6                THEN BTBMAGR6 = .B ;
IF BTBMAGR7 = 6                THEN BTBMAGR7 = .B ;
IF BTBMAGR8 = 6                THEN BTBMAGR8 = .B ;
IF BTBMAGR9 = 6                THEN BTBMAGR9 = .B ;
IF BTBMFAM1 = 6                THEN BTBMFAM1 = .B ;
IF BTBMFAM2 = 6                THEN BTBMFAM2 = .B ;
IF BTBGFAM3 = 6                THEN BTBGFAM3 = .B ;
IF BTBGFAM4 = 6                THEN BTBGFAM4 = .B ;
IF BTBGFAM5 = 6                THEN BTBGFAM5 = .B ;
IF BTBMFAM6 = 6                THEN BTBMFAM6 = .B ;
IF BTBMFAM7 = 6                THEN BTBMFAM7 = .B ;
IF BTBGCARE = 6                THEN BTBGCARE = .B ;
IF BTBGCHNG = 6                THEN BTBGCHNG = .B ;
IF BTBGSOAP = 6                THEN BTBGSOAP = .B ;
IF BTBGSTAP = 6                THEN BTBGSTAP = .B ;
IF BTBGBOOK = 6                THEN BTBGBOOK = .B ;
IF BTBGRNK1 = 96               THEN BTBGRNK1 = .B ;
IF BTBGRNK2 = 96               THEN BTBGRNK2 = .B ;
IF BTBGRNK3 = 96               THEN BTBGRNK3 = .B ;
IF BTBGRNK4 = 96               THEN BTBGRNK4 = .B ;
IF BTBGRNK5 = 96               THEN BTBGRNK5 = .B ;
IF BTBGRNK6 = 96               THEN BTBGRNK6 = .B ;
IF BTBGRNK7 = 96               THEN BTBGRNK7 = .B ;
IF BTBGRNK8 = 96               THEN BTBGRNK8 = .B ;
IF BTBGRNK9 = 96               THEN BTBGRNK9 = .B ;
IF BTBMBOY  = 96               THEN BTBMBOY  = .B ;
IF BTBMGIRL = 96               THEN BTBMGIRL = .B ;
IF BTBMACH1 = 996              THEN BTBMACH1 = .B ;
IF BTBMACH2 = 996              THEN BTBMACH2 = .B ;
IF BTBMACH3 = 996              THEN BTBMACH3 = .B ;
IF BTBMTIME = 9996             THEN BTBMTIME = .B ;
IF BTBMTXBK = 6                THEN BTBMTXBK = .B ;
IF BTBMTXB0 = 6                THEN BTBMTXB0 = .B ;
IF BTBMTXB1 = 6                THEN BTBMTXB1 = .B ;
IF BTBMTXB2 = 6                THEN BTBMTXB2 = .B ;
IF BTBMTXB3 = 6                THEN BTBMTXB3 = .B ;
IF BTBMTXB4 = 6                THEN BTBMTXB4 = .B ;
IF BTBMTXB5 = 6                THEN BTBMTXB5 = .B ;
IF BTBMTXB6 = 6                THEN BTBMTXB6 = .B ;
IF BTBMTXB7 = 6                THEN BTBMTXB7 = .B ;
IF BTBMTXB8 = 6                THEN BTBMTXB8 = .B ;
IF BTBMTXB9 = 6                THEN BTBMTXB9 = .B ;
IF BTBMTSNM = 96               THEN BTBMTSNM = .B ;
IF BTBMTXBS = 6                THEN BTBMTXBS = .B ;
IF BTBMADTB = 96               THEN BTBMADTB = .B ;
IF BTBMLM01 = 6                THEN BTBMLM01 = .B ;
IF BTBMLM02 = 6                THEN BTBMLM02 = .B ;
IF BTBMLM03 = 6                THEN BTBMLM03 = .B ;
IF BTBMLM04 = 6                THEN BTBMLM04 = .B ;
IF BTBMLM05 = 6                THEN BTBMLM05 = .B ;
IF BTBMLM06 = 6                THEN BTBMLM06 = .B ;
IF BTBMLM07 = 6                THEN BTBMLM07 = .B ;
IF BTBMLM08 = 6                THEN BTBMLM08 = .B ;
IF BTBMLM09 = 6                THEN BTBMLM09 = .B ;
IF BTBMLM10 = 6                THEN BTBMLM10 = .B ;
IF BTBMLM11 = 6                THEN BTBMLM11 = .B ;
IF BTBMLM12 = 6                THEN BTBMLM12 = .B ;
IF BTBMLM13 = 6                THEN BTBMLM13 = .B ;
IF BTBMLM14 = 6                THEN BTBMLM14 = .B ;
IF BTBMLM15 = 6                THEN BTBMLM15 = .B ;
IF BTBMLM16 = 6                THEN BTBMLM16 = .B ;
IF BTBMCALC = 6                THEN BTBMCALC = .B ;
IF BTBMCAL1 = 6                THEN BTBMCAL1 = .B ;
IF BTBMCAL2 = 6                THEN BTBMCAL2 = .B ;
IF BTBMCAL3 = 6                THEN BTBMCAL3 = .B ;
IF BTBMCAL4 = 6                THEN BTBMCAL4 = .B ;
IF BTBMCAL5 = 6                THEN BTBMCAL5 = .B ;
IF BTBMRLY1 = 6                THEN BTBMRLY1 = .B ;
IF BTBMRLY2 = 6                THEN BTBMRLY2 = .B ;
IF BTBMRLY3 = 6                THEN BTBMRLY3 = .B ;
IF BTBMRLY4 = 6                THEN BTBMRLY4 = .B ;
IF BTBMRLY5 = 6                THEN BTBMRLY5 = .B ;
IF BTBMRLY6 = 6                THEN BTBMRLY6 = .B ;
IF BTBMRLY7 = 6                THEN BTBMRLY7 = .B ;
IF BTBMSRC1 = 96               THEN BTBMSRC1 = .B ;
IF BTBMSRC2 = 96               THEN BTBMSRC2 = .B ;
IF BTBMSRC3 = 96               THEN BTBMSRC3 = .B ;
IF BTBMSRC4 = 96               THEN BTBMSRC4 = .B ;
IF BTBMTA   = 6                THEN BTBMTA   = .B ;
IF BTBMTAA  = 6                THEN BTBMTAA  = .B ;
IF BTBMTAB  = 6                THEN BTBMTAB  = .B ;
IF BTBMTAC  = 6                THEN BTBMTAC  = .B ;
IF BTBMTA1  = 6                THEN BTBMTA1  = .B ;
IF BTBMTA1A = 6                THEN BTBMTA1A = .B ;
IF BTBMTA1B = 6                THEN BTBMTA1B = .B ;
IF BTBMTA1C = 6                THEN BTBMTA1C = .B ;
IF BTBMTA2  = 6                THEN BTBMTA2  = .B ;
IF BTBMTA2A = 6                THEN BTBMTA2A = .B ;
IF BTBMTA2B = 6                THEN BTBMTA2B = .B ;
IF BTBMTA2C = 6                THEN BTBMTA2C = .B ;
IF BTBMTB   = 6                THEN BTBMTB   = .B ;
IF BTBMTBA  = 6                THEN BTBMTBA  = .B ;
IF BTBMTBB  = 6                THEN BTBMTBB  = .B ;
IF BTBMTBC  = 6                THEN BTBMTBC  = .B ;
IF BTBMTB1  = 6                THEN BTBMTB1  = .B ;
IF BTBMTB1A = 6                THEN BTBMTB1A = .B ;
IF BTBMTB1B = 6                THEN BTBMTB1B = .B ;
IF BTBMTB1C = 6                THEN BTBMTB1C = .B ;
IF BTBMTB2  = 6                THEN BTBMTB2  = .B ;
IF BTBMTB2A = 6                THEN BTBMTB2A = .B ;
IF BTBMTB2B = 6                THEN BTBMTB2B = .B ;
IF BTBMTB2C = 6                THEN BTBMTB2C = .B ;
IF BTBMTB3  = 6                THEN BTBMTB3  = .B ;
IF BTBMTB3A = 6                THEN BTBMTB3A = .B ;
IF BTBMTB3B = 6                THEN BTBMTB3B = .B ;
IF BTBMTB3C = 6                THEN BTBMTB3C = .B ;
IF BTBMTB4  = 6                THEN BTBMTB4  = .B ;
IF BTBMTB4A = 6                THEN BTBMTB4A = .B ;
IF BTBMTB4B = 6                THEN BTBMTB4B = .B ;
IF BTBMTB4C = 6                THEN BTBMTB4C = .B ;
IF BTBMTB5  = 6                THEN BTBMTB5  = .B ;
IF BTBMTB5A = 6                THEN BTBMTB5A = .B ;
IF BTBMTB5B = 6                THEN BTBMTB5B = .B ;
IF BTBMTB5C = 6                THEN BTBMTB5C = .B ;
IF BTBMTB6  = 6                THEN BTBMTB6  = .B ;
IF BTBMTB6A = 6                THEN BTBMTB6A = .B ;
IF BTBMTB6B = 6                THEN BTBMTB6B = .B ;
IF BTBMTB6C = 6                THEN BTBMTB6C = .B ;
IF BTBMTB7  = 6                THEN BTBMTB7  = .B ;
IF BTBMTB7A = 6                THEN BTBMTB7A = .B ;
IF BTBMTB7B = 6                THEN BTBMTB7B = .B ;
IF BTBMTB7C = 6                THEN BTBMTB7C = .B ;
IF BTBMTC   = 6                THEN BTBMTC   = .B ;
IF BTBMTCA  = 6                THEN BTBMTCA  = .B ;
IF BTBMTCB  = 6                THEN BTBMTCB  = .B ;
IF BTBMTCC  = 6                THEN BTBMTCC  = .B ;
IF BTBMTD   = 6                THEN BTBMTD   = .B ;
IF BTBMTDA  = 6                THEN BTBMTDA  = .B ;
IF BTBMTDB  = 6                THEN BTBMTDB  = .B ;
IF BTBMTDC  = 6                THEN BTBMTDC  = .B ;
IF BTBMTE   = 6                THEN BTBMTE   = .B ;
IF BTBMTEA  = 6                THEN BTBMTEA  = .B ;
IF BTBMTEB  = 6                THEN BTBMTEB  = .B ;
IF BTBMTEC  = 6                THEN BTBMTEC  = .B ;
IF BTBMTF   = 6                THEN BTBMTF   = .B ;
IF BTBMTFA  = 6                THEN BTBMTFA  = .B ;
IF BTBMTFB  = 6                THEN BTBMTFB  = .B ;
IF BTBMTFC  = 6                THEN BTBMTFC  = .B ;
IF BTBMTG   = 6                THEN BTBMTG   = .B ;
IF BTBMTGA  = 6                THEN BTBMTGA  = .B ;
IF BTBMTGB  = 6                THEN BTBMTGB  = .B ;
IF BTBMTGC  = 6                THEN BTBMTGC  = .B ;
IF BTBMTH   = 6                THEN BTBMTH   = .B ;
IF BTBMTHA  = 6                THEN BTBMTHA  = .B ;
IF BTBMTHB  = 6                THEN BTBMTHB  = .B ;
IF BTBMTHC  = 6                THEN BTBMTHC  = .B ;
IF BTBMTI   = 6                THEN BTBMTI   = .B ;
IF BTBMTIA  = 6                THEN BTBMTIA  = .B ;
IF BTBMTIB  = 6                THEN BTBMTIB  = .B ;
IF BTBMTIC  = 6                THEN BTBMTIC  = .B ;
IF BTBMTJ   = 6                THEN BTBMTJ   = .B ;
IF BTBMTJA  = 6                THEN BTBMTJA  = .B ;
IF BTBMTJB  = 6                THEN BTBMTJB  = .B ;
IF BTBMTJC  = 6                THEN BTBMTJC  = .B ;
IF BTBMTK   = 6                THEN BTBMTK   = .B ;
IF BTBMTKA  = 6                THEN BTBMTKA  = .B ;
IF BTBMTKB  = 6                THEN BTBMTKB  = .B ;
IF BTBMTKC  = 6                THEN BTBMTKC  = .B ;
IF BTBMTL   = 6                THEN BTBMTL   = .B ;
IF BTBMTLA  = 6                THEN BTBMTLA  = .B ;
IF BTBMTLB  = 6                THEN BTBMTLB  = .B ;
IF BTBMTLC  = 6                THEN BTBMTLC  = .B ;
IF BTBMTM   = 6                THEN BTBMTM   = .B ;
IF BTBMTMA  = 6                THEN BTBMTMA  = .B ;
IF BTBMTMB  = 6                THEN BTBMTMB  = .B ;
IF BTBMTMC  = 6                THEN BTBMTMC  = .B ;
IF BTBMTN   = 6                THEN BTBMTN   = .B ;
IF BTBMTNA  = 6                THEN BTBMTNA  = .B ;
IF BTBMTNB  = 6                THEN BTBMTNB  = .B ;
IF BTBMTNC  = 6                THEN BTBMTNC  = .B ;
IF BTBMTN1  = 6                THEN BTBMTN1  = .B ;
IF BTBMTN1A = 6                THEN BTBMTN1A = .B ;
IF BTBMTN1B = 6                THEN BTBMTN1B = .B ;
IF BTBMTN1C = 6                THEN BTBMTN1C = .B ;
IF BTBMTN2  = 6                THEN BTBMTN2  = .B ;
IF BTBMTN2A = 6                THEN BTBMTN2A = .B ;
IF BTBMTN2B = 6                THEN BTBMTN2B = .B ;
IF BTBMTN2C = 6                THEN BTBMTN2C = .B ;
IF BTBMTO   = 6                THEN BTBMTO   = .B ;
IF BTBMTOA  = 6                THEN BTBMTOA  = .B ;
IF BTBMTOB  = 6                THEN BTBMTOB  = .B ;
IF BTBMTOC  = 6                THEN BTBMTOC  = .B ;
IF BTBMTO1  = 6                THEN BTBMTO1  = .B ;
IF BTBMTO1A = 6                THEN BTBMTO1A = .B ;
IF BTBMTO1B = 6                THEN BTBMTO1B = .B ;
IF BTBMTO1C = 6                THEN BTBMTO1C = .B ;
IF BTBMTO2  = 6                THEN BTBMTO2  = .B ;
IF BTBMTO2A = 6                THEN BTBMTO2A = .B ;
IF BTBMTO2B = 6                THEN BTBMTO2B = .B ;
IF BTBMTO2C = 6                THEN BTBMTO2C = .B ;
IF BTBMTP   = 6                THEN BTBMTP   = .B ;
IF BTBMTPA  = 6                THEN BTBMTPA  = .B ;
IF BTBMTPB  = 6                THEN BTBMTPB  = .B ;
IF BTBMTPC  = 6                THEN BTBMTPC  = .B ;
IF BTBMTQ   = 6                THEN BTBMTQ   = .B ;
IF BTBMTQA  = 6                THEN BTBMTQA  = .B ;
IF BTBMTQB  = 6                THEN BTBMTQB  = .B ;
IF BTBMTQC  = 6                THEN BTBMTQC  = .B ;
IF BTBMTQ1  = 6                THEN BTBMTQ1  = .B ;
IF BTBMTQ1A = 6                THEN BTBMTQ1A = .B ;
IF BTBMTQ1B = 6                THEN BTBMTQ1B = .B ;
IF BTBMTQ1C = 6                THEN BTBMTQ1C = .B ;
IF BTBMTQ2  = 6                THEN BTBMTQ2  = .B ;
IF BTBMTQ2A = 6                THEN BTBMTQ2A = .B ;
IF BTBMTQ2B = 6                THEN BTBMTQ2B = .B ;
IF BTBMTQ2C = 6                THEN BTBMTQ2C = .B ;
IF BTBMTR   = 6                THEN BTBMTR   = .B ;
IF BTBMTRA  = 6                THEN BTBMTRA  = .B ;
IF BTBMTRB  = 6                THEN BTBMTRB  = .B ;
IF BTBMTRC  = 6                THEN BTBMTRC  = .B ;
IF BTBMTS   = 6                THEN BTBMTS   = .B ;
IF BTBMTSA  = 6                THEN BTBMTSA  = .B ;
IF BTBMTSB  = 6                THEN BTBMTSB  = .B ;
IF BTBMTSC  = 6                THEN BTBMTSC  = .B ;
IF BTBMTT   = 6                THEN BTBMTT   = .B ;
IF BTBMTTA  = 6                THEN BTBMTTA  = .B ;
IF BTBMTTB  = 6                THEN BTBMTTB  = .B ;
IF BTBMTTC  = 6                THEN BTBMTTC  = .B ;
IF BTBMTU   = 6                THEN BTBMTU   = .B ;
IF BTBMTUA  = 6                THEN BTBMTUA  = .B ;
IF BTBMTUB  = 6                THEN BTBMTUB  = .B ;
IF BTBMTUC  = 6                THEN BTBMTUC  = .B ;
IF BTBMTV   = 6                THEN BTBMTV   = .B ;
IF BTBMTVA  = 6                THEN BTBMTVA  = .B ;
IF BTBMTVB  = 6                THEN BTBMTVB  = .B ;
IF BTBMTVC  = 6                THEN BTBMTVC  = .B ;
IF BTBMCLTM = 996              THEN BTBMCLTM = .B ;
IF BTBMTO01 = 6                THEN BTBMTO01 = .B ;
IF BTBMTO02 = 6                THEN BTBMTO02 = .B ;
IF BTBMTO03 = 6                THEN BTBMTO03 = .B ;
IF BTBMTO04 = 6                THEN BTBMTO04 = .B ;
IF BTBMTO05 = 6                THEN BTBMTO05 = .B ;
IF BTBMTO06 = 6                THEN BTBMTO06 = .B ;
IF BTBMTO07 = 6                THEN BTBMTO07 = .B ;
IF BTBMTO08 = 6                THEN BTBMTO08 = .B ;
IF BTBMTO09 = 6                THEN BTBMTO09 = .B ;
IF BTBMTO10 = 6                THEN BTBMTO10 = .B ;
IF BTBMTO11 = 6                THEN BTBMTO11 = .B ;
IF BTBMTO12 = 6                THEN BTBMTO12 = .B ;
IF BTBMTO13 = 6                THEN BTBMTO13 = .B ;
IF BTBMTO14 = 6                THEN BTBMTO14 = .B ;
IF BTBMTO15 = 6                THEN BTBMTO15 = .B ;
IF BTBMTO16 = 6                THEN BTBMTO16 = .B ;
IF BTBMTO17 = 6                THEN BTBMTO17 = .B ;
IF BTBMTO18 = 6                THEN BTBMTO18 = .B ;
IF BTBMTO19 = 6                THEN BTBMTO19 = .B ;
IF BTBMTO20 = 6                THEN BTBMTO20 = .B ;
IF BTBMTO21 = 6                THEN BTBMTO21 = .B ;
IF BTBMTO22 = 6                THEN BTBMTO22 = .B ;
IF BTBMTOP1 = 6                THEN BTBMTOP1 = .B ;
IF BTBMTOP2 = 6                THEN BTBMTOP2 = .B ;
IF BTBMTOP3 = 6                THEN BTBMTOP3 = .B ;
IF BTBMHMW1 = 6                THEN BTBMHMW1 = .B ;
IF BTBMHWT1 = 996              THEN BTBMHWT1 = .B ;
IF BTBMCLCM = 6                THEN BTBMCLCM = .B ;
IF BTBMOR01 = 96               THEN BTBMOR01 = .B ;
IF BTBMTM01 = 996              THEN BTBMTM01 = .B ;
IF BTBMOR02 = 96               THEN BTBMOR02 = .B ;
IF BTBMTM02 = 996              THEN BTBMTM02 = .B ;
IF BTBMOR03 = 96               THEN BTBMOR03 = .B ;
IF BTBMTM03 = 996              THEN BTBMTM03 = .B ;
IF BTBMOR04 = 96               THEN BTBMOR04 = .B ;
IF BTBMTM04 = 996              THEN BTBMTM04 = .B ;
IF BTBMOR05 = 96               THEN BTBMOR05 = .B ;
IF BTBMTM05 = 996              THEN BTBMTM05 = .B ;
IF BTBMOR06 = 96               THEN BTBMOR06 = .B ;
IF BTBMTM06 = 996              THEN BTBMTM06 = .B ;
IF BTBMOR07 = 96               THEN BTBMOR07 = .B ;
IF BTBMTM07 = 996              THEN BTBMTM07 = .B ;
IF BTBMOR08 = 96               THEN BTBMOR08 = .B ;
IF BTBMTM08 = 996              THEN BTBMTM08 = .B ;
IF BTBMOR09 = 96               THEN BTBMOR09 = .B ;
IF BTBMTM09 = 996              THEN BTBMTM09 = .B ;
IF BTBMOR10 = 96               THEN BTBMOR10 = .B ;
IF BTBMTM10 = 996              THEN BTBMTM10 = .B ;
IF BTBMOR11 = 96               THEN BTBMOR11 = .B ;
IF BTBMTM11 = 996              THEN BTBMTM11 = .B ;
IF BTBMSGRP = 6                THEN BTBMSGRP = .B ;
IF BTBMASK1 = 6                THEN BTBMASK1 = .B ;
IF BTBMASK2 = 6                THEN BTBMASK2 = .B ;
IF BTBMASK3 = 6                THEN BTBMASK3 = .B ;
IF BTBMASK4 = 6                THEN BTBMASK4 = .B ;
IF BTBMASK5 = 6                THEN BTBMASK5 = .B ;
IF BTBMASK6 = 6                THEN BTBMASK6 = .B ;
IF BTBMDO1  = 6                THEN BTBMDO1  = .B ;
IF BTBMDO2  = 6                THEN BTBMDO2  = .B ;
IF BTBMDO3  = 6                THEN BTBMDO3  = .B ;
IF BTBMDO4  = 6                THEN BTBMDO4  = .B ;
IF BTBMLES1 = 6                THEN BTBMLES1 = .B ;
IF BTBMLES2 = 6                THEN BTBMLES2 = .B ;
IF BTBMLES3 = 6                THEN BTBMLES3 = .B ;
IF BTBMLES4 = 6                THEN BTBMLES4 = .B ;
IF BTBMLES5 = 6                THEN BTBMLES5 = .B ;
IF BTBMLES6 = 6                THEN BTBMLES6 = .B ;
IF BTBMHMW2 = 6                THEN BTBMHMW2 = .B ;
IF BTBMHWT2 = 96               THEN BTBMHWT2 = .B ;
IF BTBMWKBK = 6                THEN BTBMWKBK = .B ;
IF BTBMPROB = 6                THEN BTBMPROB = .B ;
IF BTBMREAD = 6                THEN BTBMREAD = .B ;
IF BTBMWRIT = 6                THEN BTBMWRIT = .B ;
IF BTBMDATA = 6                THEN BTBMDATA = .B ;
IF BTBMIEXP = 6                THEN BTBMIEXP = .B ;
IF BTBMGEXP = 6                THEN BTBMGEXP = .B ;
IF BTBMFIND = 6                THEN BTBMFIND = .B ;
IF BTBMORAL = 6                THEN BTBMORAL = .B ;
IF BTBMJOUR = 6                THEN BTBMJOUR = .B ;
IF BTBMWHW1 = 6                THEN BTBMWHW1 = .B ;
IF BTBMWHW2 = 6                THEN BTBMWHW2 = .B ;
IF BTBMWHW3 = 6                THEN BTBMWHW3 = .B ;
IF BTBMWHW4 = 6                THEN BTBMWHW4 = .B ;
IF BTBMWHW5 = 6                THEN BTBMWHW5 = .B ;
IF BTBMWHW6 = 6                THEN BTBMWHW6 = .B ;
IF BTBMWHW7 = 6                THEN BTBMWHW7 = .B ;
IF BTBMWHW8 = 6                THEN BTBMWHW8 = .B ;
IF BTBMWGT1 = 6                THEN BTBMWGT1 = .B ;
IF BTBMWGT2 = 6                THEN BTBMWGT2 = .B ;
IF BTBMWGT3 = 6                THEN BTBMWGT3 = .B ;
IF BTBMWGT4 = 6                THEN BTBMWGT4 = .B ;
IF BTBMWGT5 = 6                THEN BTBMWGT5 = .B ;
IF BTBMWGT6 = 6                THEN BTBMWGT6 = .B ;
IF BTBMWGT7 = 6                THEN BTBMWGT7 = .B ;
IF BTBGASS1 = 6                THEN BTBGASS1 = .B ;
IF BTBGASS2 = 6                THEN BTBGASS2 = .B ;
IF BTBGASS3 = 6                THEN BTBGASS3 = .B ;
IF BTBGASS4 = 6                THEN BTBGASS4 = .B ;
IF BTBGASS5 = 6                THEN BTBGASS5 = .B ;
IF BTBGASS6 = 6                THEN BTBGASS6 = .B ;
IF BTDMTOEN = 996              THEN BTDMTOEN = .B ;
IF BTDGADMN = 9996             THEN BTDGADMN = .B ;
IF BTDGCPLN = 9996             THEN BTDGCPLN = .B ;
IF BTDGOTHR = 9996             THEN BTDGOTHR = .B ;
IF BTDGSUBT = 9996             THEN BTDGSUBT = .B ;
IF BTDGTSKT = 9996             THEN BTDGTSKT = .B ;
IF BTDGTTIM = 9996             THEN BTDGTTIM = .B ;
IF BTDMCALC = 6                THEN BTDMCALC = .B ;
IF BTDMCPTM = 6                THEN BTDMCPTM = .B ;
IF BTDMEMH  = 6                THEN BTDMEMH  = .B ;
IF BTDMERPS = 6                THEN BTDMERPS = .B ;
IF BTDMHTM  = 9996             THEN BTDMHTM  = .B ;
IF BTDMSIZE = 9996             THEN BTDMSIZE = .B ;
IF BTDMSZ3C = 6                THEN BTDMSZ3C = .B ;
IF BTDMTPTT = 9996             THEN BTDMTPTT = .B ;
IF BTDMTTIM = 9996             THEN BTDMTTIM = .B ;
IF BTDMTIME = 6                THEN BTDMTIME = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDTEACH  = 99999999         THEN IDTEACH  = . ;
IF IDLINK   = 99               THEN IDLINK   = . ;
IF IDSUBJCT = 9                THEN IDSUBJCT = . ;
IF BTBGAGE  = 99               THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGEDUC = 99               THEN BTBGEDUC = . ;
IF BTBMTEAC = 9                THEN BTBMTEAC = . ;
IF BTBMGRPK = 9                THEN BTBMGRPK = . ;
IF BTBMGRK  = 9                THEN BTBMGRK  = . ;
IF BTBMGR1  = 9                THEN BTBMGR1  = . ;
IF BTBMGR2  = 9                THEN BTBMGR2  = . ;
IF BTBMGR3  = 9                THEN BTBMGR3  = . ;
IF BTBMGR4  = 9                THEN BTBMGR4  = . ;
IF BTBMGR5  = 9                THEN BTBMGR5  = . ;
IF BTBMGR6  = 9                THEN BTBMGR6  = . ;
IF BTBMGR7  = 9                THEN BTBMGR7  = . ;
IF BTBMGR8  = 9                THEN BTBMGR8  = . ;
IF BTBMGR9  = 9                THEN BTBMGR9  = . ;
IF BTBMGR10 = 9                THEN BTBMGR10 = . ;
IF BTBMGR11 = 9                THEN BTBMGR11 = . ;
IF BTBMGR12 = 9                THEN BTBMGR12 = . ;
IF BTBMGR13 = 9                THEN BTBMGR13 = . ;
IF BTBSTEAC = 9                THEN BTBSTEAC = . ;
IF BTBSGRPK = 9                THEN BTBSGRPK = . ;
IF BTBSGRK  = 9                THEN BTBSGRK  = . ;
IF BTBSGR1  = 9                THEN BTBSGR1  = . ;
IF BTBSGR2  = 9                THEN BTBSGR2  = . ;
IF BTBSGR3  = 9                THEN BTBSGR3  = . ;
IF BTBSGR4  = 9                THEN BTBSGR4  = . ;
IF BTBSGR5  = 9                THEN BTBSGR5  = . ;
IF BTBSGR6  = 9                THEN BTBSGR6  = . ;
IF BTBSGR7  = 9                THEN BTBSGR7  = . ;
IF BTBSGR8  = 9                THEN BTBSGR8  = . ;
IF BTBSGR9  = 9                THEN BTBSGR9  = . ;
IF BTBSGR10 = 9                THEN BTBSGR10 = . ;
IF BTBSGR11 = 9                THEN BTBSGR11 = . ;
IF BTBSGR12 = 9                THEN BTBSGR12 = . ;
IF BTBSGR13 = 9                THEN BTBSGR13 = . ;
IF BTBGPTFT = 9                THEN BTBGPTFT = . ;
IF BTBGTAUG = 99               THEN BTBGTAUG = . ;
IF BTBGGRPK = 9                THEN BTBGGRPK = . ;
IF BTBGGRK  = 9                THEN BTBGGRK  = . ;
IF BTBGGR1  = 9                THEN BTBGGR1  = . ;
IF BTBGGR2  = 9                THEN BTBGGR2  = . ;
IF BTBGGR3  = 9                THEN BTBGGR3  = . ;
IF BTBGGR4  = 9                THEN BTBGGR4  = . ;
IF BTBGGR5  = 9                THEN BTBGGR5  = . ;
IF BTBGGR6  = 9                THEN BTBGGR6  = . ;
IF BTBGGR7  = 9                THEN BTBGGR7  = . ;
IF BTBGGR8  = 9                THEN BTBGGR8  = . ;
IF BTBGGR9  = 9                THEN BTBGGR9  = . ;
IF BTBGGR10 = 9                THEN BTBGGR10 = . ;
IF BTBGGR11 = 9                THEN BTBGGR11 = . ;
IF BTBGGR12 = 9                THEN BTBGGR12 = . ;
IF BTBGGR13 = 9                THEN BTBGGR13 = . ;
IF BTBMSUB1 = 99               THEN BTBMSUB1 = . ;
IF BTBSSUB2 = 99               THEN BTBSSUB2 = . ;
IF BTBSSUB3 = 99               THEN BTBSSUB3 = . ;
IF BTBSSUB4 = 99               THEN BTBSSUB4 = . ;
IF BTBSSUB5 = 99               THEN BTBSSUB5 = . ;
IF BTBSSUB6 = 99               THEN BTBSSUB6 = . ;
IF BTBSSUB7 = 99               THEN BTBSSUB7 = . ;
IF BTBSSUB8 = 99               THEN BTBSSUB8 = . ;
IF BTBGSUB9 = 99               THEN BTBGSUB9 = . ;
IF BTBGTSK1 = 99               THEN BTBGTSK1 = . ;
IF BTBGTSK2 = 99               THEN BTBGTSK2 = . ;
IF BTBGTSK3 = 99               THEN BTBGTSK3 = . ;
IF BTBGTSK4 = 99               THEN BTBGTSK4 = . ;
IF BTBGTSK5 = 99               THEN BTBGTSK5 = . ;
IF BTBGTSK6 = 99               THEN BTBGTSK6 = . ;
IF BTBGTOTL = 99               THEN BTBGTOTL = . ;
IF BTBGACT1 = 9                THEN BTBGACT1 = . ;
IF BTBGACT2 = 9                THEN BTBGACT2 = . ;
IF BTBGACT3 = 9                THEN BTBGACT3 = . ;
IF BTBGACT4 = 9                THEN BTBGACT4 = . ;
IF BTBGACT5 = 9                THEN BTBGACT5 = . ;
IF BTBGACT6 = 9                THEN BTBGACT6 = . ;
IF BTBGACT7 = 9                THEN BTBGACT7 = . ;
IF BTBGACT8 = 9                THEN BTBGACT8 = . ;
IF BTBGMEET = 99               THEN BTBGMEET = . ;
IF BTBGINF1 = 9                THEN BTBGINF1 = . ;
IF BTBGINF2 = 9                THEN BTBGINF2 = . ;
IF BTBGINF3 = 9                THEN BTBGINF3 = . ;
IF BTBGINF4 = 9                THEN BTBGINF4 = . ;
IF BTBMIMP1 = 9                THEN BTBMIMP1 = . ;
IF BTBMIMP2 = 9                THEN BTBMIMP2 = . ;
IF BTBMIMP3 = 9                THEN BTBMIMP3 = . ;
IF BTBMIMP4 = 9                THEN BTBMIMP4 = . ;
IF BTBMIMP5 = 9                THEN BTBMIMP5 = . ;
IF BTBMIMP6 = 9                THEN BTBMIMP6 = . ;
IF BTBMAGR1 = 9                THEN BTBMAGR1 = . ;
IF BTBMAGR2 = 9                THEN BTBMAGR2 = . ;
IF BTBMAGR3 = 9                THEN BTBMAGR3 = . ;
IF BTBGAGR4 = 9                THEN BTBGAGR4 = . ;
IF BTBMAGR5 = 9                THEN BTBMAGR5 = . ;
IF BTBMAGR6 = 9                THEN BTBMAGR6 = . ;
IF BTBMAGR7 = 9                THEN BTBMAGR7 = . ;
IF BTBMAGR8 = 9                THEN BTBMAGR8 = . ;
IF BTBMAGR9 = 9                THEN BTBMAGR9 = . ;
IF BTBMFAM1 = 9                THEN BTBMFAM1 = . ;
IF BTBMFAM2 = 9                THEN BTBMFAM2 = . ;
IF BTBGFAM3 = 9                THEN BTBGFAM3 = . ;
IF BTBGFAM4 = 9                THEN BTBGFAM4 = . ;
IF BTBGFAM5 = 9                THEN BTBGFAM5 = . ;
IF BTBMFAM6 = 9                THEN BTBMFAM6 = . ;
IF BTBMFAM7 = 9                THEN BTBMFAM7 = . ;
IF BTBGCARE = 9                THEN BTBGCARE = . ;
IF BTBGCHNG = 9                THEN BTBGCHNG = . ;
IF BTBGSOAP = 9                THEN BTBGSOAP = . ;
IF BTBGSTAP = 9                THEN BTBGSTAP = . ;
IF BTBGBOOK = 9                THEN BTBGBOOK = . ;
IF BTBGRNK1 = 99               THEN BTBGRNK1 = . ;
IF BTBGRNK2 = 99               THEN BTBGRNK2 = . ;
IF BTBGRNK3 = 99               THEN BTBGRNK3 = . ;
IF BTBGRNK4 = 99               THEN BTBGRNK4 = . ;
IF BTBGRNK5 = 99               THEN BTBGRNK5 = . ;
IF BTBGRNK6 = 99               THEN BTBGRNK6 = . ;
IF BTBGRNK7 = 99               THEN BTBGRNK7 = . ;
IF BTBGRNK8 = 99               THEN BTBGRNK8 = . ;
IF BTBGRNK9 = 99               THEN BTBGRNK9 = . ;
IF BTBMBOY  = 999              THEN BTBMBOY  = . ;
IF BTBMGIRL = 999              THEN BTBMGIRL = . ;
IF BTBMACH1 = 999              THEN BTBMACH1 = . ;
IF BTBMACH2 = 999              THEN BTBMACH2 = . ;
IF BTBMACH3 = 999              THEN BTBMACH3 = . ;
IF BTBMTIME = 9999             THEN BTBMTIME = . ;
IF BTBMTXBK = 9                THEN BTBMTXBK = . ;
IF BTBMTXB0 = 9                THEN BTBMTXB0 = . ;
IF BTBMTXB1 = 9                THEN BTBMTXB1 = . ;
IF BTBMTXB2 = 9                THEN BTBMTXB2 = . ;
IF BTBMTXB3 = 9                THEN BTBMTXB3 = . ;
IF BTBMTXB4 = 9                THEN BTBMTXB4 = . ;
IF BTBMTXB5 = 9                THEN BTBMTXB5 = . ;
IF BTBMTXB6 = 9                THEN BTBMTXB6 = . ;
IF BTBMTXB7 = 9                THEN BTBMTXB7 = . ;
IF BTBMTXB8 = 9                THEN BTBMTXB8 = . ;
IF BTBMTXB9 = 9                THEN BTBMTXB9 = . ;
IF BTBMTSNM = 99               THEN BTBMTSNM = . ;
IF BTBMTXBS = 9                THEN BTBMTXBS = . ;
IF BTBMADTB = 99               THEN BTBMADTB = . ;
IF BTBMLM01 = 9                THEN BTBMLM01 = . ;
IF BTBMLM02 = 9                THEN BTBMLM02 = . ;
IF BTBMLM03 = 9                THEN BTBMLM03 = . ;
IF BTBMLM04 = 9                THEN BTBMLM04 = . ;
IF BTBMLM05 = 9                THEN BTBMLM05 = . ;
IF BTBMLM06 = 9                THEN BTBMLM06 = . ;
IF BTBMLM07 = 9                THEN BTBMLM07 = . ;
IF BTBMLM08 = 9                THEN BTBMLM08 = . ;
IF BTBMLM09 = 9                THEN BTBMLM09 = . ;
IF BTBMLM10 = 9                THEN BTBMLM10 = . ;
IF BTBMLM11 = 9                THEN BTBMLM11 = . ;
IF BTBMLM12 = 9                THEN BTBMLM12 = . ;
IF BTBMLM13 = 9                THEN BTBMLM13 = . ;
IF BTBMLM14 = 9                THEN BTBMLM14 = . ;
IF BTBMLM15 = 9                THEN BTBMLM15 = . ;
IF BTBMLM16 = 9                THEN BTBMLM16 = . ;
IF BTBMCALC = 9                THEN BTBMCALC = . ;
IF BTBMCAL1 = 9                THEN BTBMCAL1 = . ;
IF BTBMCAL2 = 9                THEN BTBMCAL2 = . ;
IF BTBMCAL3 = 9                THEN BTBMCAL3 = . ;
IF BTBMCAL4 = 9                THEN BTBMCAL4 = . ;
IF BTBMCAL5 = 9                THEN BTBMCAL5 = . ;
IF BTBMRLY1 = 9                THEN BTBMRLY1 = . ;
IF BTBMRLY2 = 9                THEN BTBMRLY2 = . ;
IF BTBMRLY3 = 9                THEN BTBMRLY3 = . ;
IF BTBMRLY4 = 9                THEN BTBMRLY4 = . ;
IF BTBMRLY5 = 9                THEN BTBMRLY5 = . ;
IF BTBMRLY6 = 9                THEN BTBMRLY6 = . ;
IF BTBMRLY7 = 9                THEN BTBMRLY7 = . ;
IF BTBMSRC1 = 99               THEN BTBMSRC1 = . ;
IF BTBMSRC2 = 99               THEN BTBMSRC2 = . ;
IF BTBMSRC3 = 99               THEN BTBMSRC3 = . ;
IF BTBMSRC4 = 99               THEN BTBMSRC4 = . ;
IF BTBMTA   = 9                THEN BTBMTA   = . ;
IF BTBMTAA  = 9                THEN BTBMTAA  = . ;
IF BTBMTAB  = 9                THEN BTBMTAB  = . ;
IF BTBMTAC  = 9                THEN BTBMTAC  = . ;
IF BTBMTA1  = 9                THEN BTBMTA1  = . ;
IF BTBMTA1A = 9                THEN BTBMTA1A = . ;
IF BTBMTA1B = 9                THEN BTBMTA1B = . ;
IF BTBMTA1C = 9                THEN BTBMTA1C = . ;
IF BTBMTA2  = 9                THEN BTBMTA2  = . ;
IF BTBMTA2A = 9                THEN BTBMTA2A = . ;
IF BTBMTA2B = 9                THEN BTBMTA2B = . ;
IF BTBMTA2C = 9                THEN BTBMTA2C = . ;
IF BTBMTB   = 9                THEN BTBMTB   = . ;
IF BTBMTBA  = 9                THEN BTBMTBA  = . ;
IF BTBMTBB  = 9                THEN BTBMTBB  = . ;
IF BTBMTBC  = 9                THEN BTBMTBC  = . ;
IF BTBMTB1  = 9                THEN BTBMTB1  = . ;
IF BTBMTB1A = 9                THEN BTBMTB1A = . ;
IF BTBMTB1B = 9                THEN BTBMTB1B = . ;
IF BTBMTB1C = 9                THEN BTBMTB1C = . ;
IF BTBMTB2  = 9                THEN BTBMTB2  = . ;
IF BTBMTB2A = 9                THEN BTBMTB2A = . ;
IF BTBMTB2B = 9                THEN BTBMTB2B = . ;
IF BTBMTB2C = 9                THEN BTBMTB2C = . ;
IF BTBMTB3  = 9                THEN BTBMTB3  = . ;
IF BTBMTB3A = 9                THEN BTBMTB3A = . ;
IF BTBMTB3B = 9                THEN BTBMTB3B = . ;
IF BTBMTB3C = 9                THEN BTBMTB3C = . ;
IF BTBMTB4  = 9                THEN BTBMTB4  = . ;
IF BTBMTB4A = 9                THEN BTBMTB4A = . ;
IF BTBMTB4B = 9                THEN BTBMTB4B = . ;
IF BTBMTB4C = 9                THEN BTBMTB4C = . ;
IF BTBMTB5  = 9                THEN BTBMTB5  = . ;
IF BTBMTB5A = 9                THEN BTBMTB5A = . ;
IF BTBMTB5B = 9                THEN BTBMTB5B = . ;
IF BTBMTB5C = 9                THEN BTBMTB5C = . ;
IF BTBMTB6  = 9                THEN BTBMTB6  = . ;
IF BTBMTB6A = 9                THEN BTBMTB6A = . ;
IF BTBMTB6B = 9                THEN BTBMTB6B = . ;
IF BTBMTB6C = 9                THEN BTBMTB6C = . ;
IF BTBMTB7  = 9                THEN BTBMTB7  = . ;
IF BTBMTB7A = 9                THEN BTBMTB7A = . ;
IF BTBMTB7B = 9                THEN BTBMTB7B = . ;
IF BTBMTB7C = 9                THEN BTBMTB7C = . ;
IF BTBMTC   = 9                THEN BTBMTC   = . ;
IF BTBMTCA  = 9                THEN BTBMTCA  = . ;
IF BTBMTCB  = 9                THEN BTBMTCB  = . ;
IF BTBMTCC  = 9                THEN BTBMTCC  = . ;
IF BTBMTD   = 9                THEN BTBMTD   = . ;
IF BTBMTDA  = 9                THEN BTBMTDA  = . ;
IF BTBMTDB  = 9                THEN BTBMTDB  = . ;
IF BTBMTDC  = 9                THEN BTBMTDC  = . ;
IF BTBMTE   = 9                THEN BTBMTE   = . ;
IF BTBMTEA  = 9                THEN BTBMTEA  = . ;
IF BTBMTEB  = 9                THEN BTBMTEB  = . ;
IF BTBMTEC  = 9                THEN BTBMTEC  = . ;
IF BTBMTF   = 9                THEN BTBMTF   = . ;
IF BTBMTFA  = 9                THEN BTBMTFA  = . ;
IF BTBMTFB  = 9                THEN BTBMTFB  = . ;
IF BTBMTFC  = 9                THEN BTBMTFC  = . ;
IF BTBMTG   = 9                THEN BTBMTG   = . ;
IF BTBMTGA  = 9                THEN BTBMTGA  = . ;
IF BTBMTGB  = 9                THEN BTBMTGB  = . ;
IF BTBMTGC  = 9                THEN BTBMTGC  = . ;
IF BTBMTH   = 9                THEN BTBMTH   = . ;
IF BTBMTHA  = 9                THEN BTBMTHA  = . ;
IF BTBMTHB  = 9                THEN BTBMTHB  = . ;
IF BTBMTHC  = 9                THEN BTBMTHC  = . ;
IF BTBMTI   = 9                THEN BTBMTI   = . ;
IF BTBMTIA  = 9                THEN BTBMTIA  = . ;
IF BTBMTIB  = 9                THEN BTBMTIB  = . ;
IF BTBMTIC  = 9                THEN BTBMTIC  = . ;
IF BTBMTJ   = 9                THEN BTBMTJ   = . ;
IF BTBMTJA  = 9                THEN BTBMTJA  = . ;
IF BTBMTJB  = 9                THEN BTBMTJB  = . ;
IF BTBMTJC  = 9                THEN BTBMTJC  = . ;
IF BTBMTK   = 9                THEN BTBMTK   = . ;
IF BTBMTKA  = 9                THEN BTBMTKA  = . ;
IF BTBMTKB  = 9                THEN BTBMTKB  = . ;
IF BTBMTKC  = 9                THEN BTBMTKC  = . ;
IF BTBMTL   = 9                THEN BTBMTL   = . ;
IF BTBMTLA  = 9                THEN BTBMTLA  = . ;
IF BTBMTLB  = 9                THEN BTBMTLB  = . ;
IF BTBMTLC  = 9                THEN BTBMTLC  = . ;
IF BTBMTM   = 9                THEN BTBMTM   = . ;
IF BTBMTMA  = 9                THEN BTBMTMA  = . ;
IF BTBMTMB  = 9                THEN BTBMTMB  = . ;
IF BTBMTMC  = 9                THEN BTBMTMC  = . ;
IF BTBMTN   = 9                THEN BTBMTN   = . ;
IF BTBMTNA  = 9                THEN BTBMTNA  = . ;
IF BTBMTNB  = 9                THEN BTBMTNB  = . ;
IF BTBMTNC  = 9                THEN BTBMTNC  = . ;
IF BTBMTN1  = 9                THEN BTBMTN1  = . ;
IF BTBMTN1A = 9                THEN BTBMTN1A = . ;
IF BTBMTN1B = 9                THEN BTBMTN1B = . ;
IF BTBMTN1C = 9                THEN BTBMTN1C = . ;
IF BTBMTN2  = 9                THEN BTBMTN2  = . ;
IF BTBMTN2A = 9                THEN BTBMTN2A = . ;
IF BTBMTN2B = 9                THEN BTBMTN2B = . ;
IF BTBMTN2C = 9                THEN BTBMTN2C = . ;
IF BTBMTO   = 9                THEN BTBMTO   = . ;
IF BTBMTOA  = 9                THEN BTBMTOA  = . ;
IF BTBMTOB  = 9                THEN BTBMTOB  = . ;
IF BTBMTOC  = 9                THEN BTBMTOC  = . ;
IF BTBMTO1  = 9                THEN BTBMTO1  = . ;
IF BTBMTO1A = 9                THEN BTBMTO1A = . ;
IF BTBMTO1B = 9                THEN BTBMTO1B = . ;
IF BTBMTO1C = 9                THEN BTBMTO1C = . ;
IF BTBMTO2  = 9                THEN BTBMTO2  = . ;
IF BTBMTO2A = 9                THEN BTBMTO2A = . ;
IF BTBMTO2B = 9                THEN BTBMTO2B = . ;
IF BTBMTO2C = 9                THEN BTBMTO2C = . ;
IF BTBMTP   = 9                THEN BTBMTP   = . ;
IF BTBMTPA  = 9                THEN BTBMTPA  = . ;
IF BTBMTPB  = 9                THEN BTBMTPB  = . ;
IF BTBMTPC  = 9                THEN BTBMTPC  = . ;
IF BTBMTQ   = 9                THEN BTBMTQ   = . ;
IF BTBMTQA  = 9                THEN BTBMTQA  = . ;
IF BTBMTQB  = 9                THEN BTBMTQB  = . ;
IF BTBMTQC  = 9                THEN BTBMTQC  = . ;
IF BTBMTQ1  = 9                THEN BTBMTQ1  = . ;
IF BTBMTQ1A = 9                THEN BTBMTQ1A = . ;
IF BTBMTQ1B = 9                THEN BTBMTQ1B = . ;
IF BTBMTQ1C = 9                THEN BTBMTQ1C = . ;
IF BTBMTQ2  = 9                THEN BTBMTQ2  = . ;
IF BTBMTQ2A = 9                THEN BTBMTQ2A = . ;
IF BTBMTQ2B = 9                THEN BTBMTQ2B = . ;
IF BTBMTQ2C = 9                THEN BTBMTQ2C = . ;
IF BTBMTR   = 9                THEN BTBMTR   = . ;
IF BTBMTRA  = 9                THEN BTBMTRA  = . ;
IF BTBMTRB  = 9                THEN BTBMTRB  = . ;
IF BTBMTRC  = 9                THEN BTBMTRC  = . ;
IF BTBMTS   = 9                THEN BTBMTS   = . ;
IF BTBMTSA  = 9                THEN BTBMTSA  = . ;
IF BTBMTSB  = 9                THEN BTBMTSB  = . ;
IF BTBMTSC  = 9                THEN BTBMTSC  = . ;
IF BTBMTT   = 9                THEN BTBMTT   = . ;
IF BTBMTTA  = 9                THEN BTBMTTA  = . ;
IF BTBMTTB  = 9                THEN BTBMTTB  = . ;
IF BTBMTTC  = 9                THEN BTBMTTC  = . ;
IF BTBMTU   = 9                THEN BTBMTU   = . ;
IF BTBMTUA  = 9                THEN BTBMTUA  = . ;
IF BTBMTUB  = 9                THEN BTBMTUB  = . ;
IF BTBMTUC  = 9                THEN BTBMTUC  = . ;
IF BTBMTV   = 9                THEN BTBMTV   = . ;
IF BTBMTVA  = 9                THEN BTBMTVA  = . ;
IF BTBMTVB  = 9                THEN BTBMTVB  = . ;
IF BTBMTVC  = 9                THEN BTBMTVC  = . ;
IF BTBMCLTM = 999              THEN BTBMCLTM = . ;
IF BTBMTO01 = 9                THEN BTBMTO01 = . ;
IF BTBMTO02 = 9                THEN BTBMTO02 = . ;
IF BTBMTO03 = 9                THEN BTBMTO03 = . ;
IF BTBMTO04 = 9                THEN BTBMTO04 = . ;
IF BTBMTO05 = 9                THEN BTBMTO05 = . ;
IF BTBMTO06 = 9                THEN BTBMTO06 = . ;
IF BTBMTO07 = 9                THEN BTBMTO07 = . ;
IF BTBMTO08 = 9                THEN BTBMTO08 = . ;
IF BTBMTO09 = 9                THEN BTBMTO09 = . ;
IF BTBMTO10 = 9                THEN BTBMTO10 = . ;
IF BTBMTO11 = 9                THEN BTBMTO11 = . ;
IF BTBMTO12 = 9                THEN BTBMTO12 = . ;
IF BTBMTO13 = 9                THEN BTBMTO13 = . ;
IF BTBMTO14 = 9                THEN BTBMTO14 = . ;
IF BTBMTO15 = 9                THEN BTBMTO15 = . ;
IF BTBMTO16 = 9                THEN BTBMTO16 = . ;
IF BTBMTO17 = 9                THEN BTBMTO17 = . ;
IF BTBMTO18 = 9                THEN BTBMTO18 = . ;
IF BTBMTO19 = 9                THEN BTBMTO19 = . ;
IF BTBMTO20 = 9                THEN BTBMTO20 = . ;
IF BTBMTO21 = 9                THEN BTBMTO21 = . ;
IF BTBMTO22 = 9                THEN BTBMTO22 = . ;
IF BTBMTOP1 = 9                THEN BTBMTOP1 = . ;
IF BTBMTOP2 = 9                THEN BTBMTOP2 = . ;
IF BTBMTOP3 = 9                THEN BTBMTOP3 = . ;
IF BTBMHMW1 = 9                THEN BTBMHMW1 = . ;
IF BTBMHWT1 = 999              THEN BTBMHWT1 = . ;
IF BTBMCLCM = 9                THEN BTBMCLCM = . ;
IF BTBMOR01 = 99               THEN BTBMOR01 = . ;
IF BTBMTM01 = 999              THEN BTBMTM01 = . ;
IF BTBMOR02 = 99               THEN BTBMOR02 = . ;
IF BTBMTM02 = 999              THEN BTBMTM02 = . ;
IF BTBMOR03 = 99               THEN BTBMOR03 = . ;
IF BTBMTM03 = 999              THEN BTBMTM03 = . ;
IF BTBMOR04 = 99               THEN BTBMOR04 = . ;
IF BTBMTM04 = 999              THEN BTBMTM04 = . ;
IF BTBMOR05 = 99               THEN BTBMOR05 = . ;
IF BTBMTM05 = 999              THEN BTBMTM05 = . ;
IF BTBMOR06 = 99               THEN BTBMOR06 = . ;
IF BTBMTM06 = 999              THEN BTBMTM06 = . ;
IF BTBMOR07 = 99               THEN BTBMOR07 = . ;
IF BTBMTM07 = 999              THEN BTBMTM07 = . ;
IF BTBMOR08 = 99               THEN BTBMOR08 = . ;
IF BTBMTM08 = 999              THEN BTBMTM08 = . ;
IF BTBMOR09 = 99               THEN BTBMOR09 = . ;
IF BTBMTM09 = 999              THEN BTBMTM09 = . ;
IF BTBMOR10 = 99               THEN BTBMOR10 = . ;
IF BTBMTM10 = 999              THEN BTBMTM10 = . ;
IF BTBMOR11 = 99               THEN BTBMOR11 = . ;
IF BTBMTM11 = 999              THEN BTBMTM11 = . ;
IF BTBMSGRP = 9                THEN BTBMSGRP = . ;
IF BTBMASK1 = 9                THEN BTBMASK1 = . ;
IF BTBMASK2 = 9                THEN BTBMASK2 = . ;
IF BTBMASK3 = 9                THEN BTBMASK3 = . ;
IF BTBMASK4 = 9                THEN BTBMASK4 = . ;
IF BTBMASK5 = 9                THEN BTBMASK5 = . ;
IF BTBMASK6 = 9                THEN BTBMASK6 = . ;
IF BTBMDO1  = 9                THEN BTBMDO1  = . ;
IF BTBMDO2  = 9                THEN BTBMDO2  = . ;
IF BTBMDO3  = 9                THEN BTBMDO3  = . ;
IF BTBMDO4  = 9                THEN BTBMDO4  = . ;
IF BTBMLES1 = 9                THEN BTBMLES1 = . ;
IF BTBMLES2 = 9                THEN BTBMLES2 = . ;
IF BTBMLES3 = 9                THEN BTBMLES3 = . ;
IF BTBMLES4 = 9                THEN BTBMLES4 = . ;
IF BTBMLES5 = 9                THEN BTBMLES5 = . ;
IF BTBMLES6 = 9                THEN BTBMLES6 = . ;
IF BTBMHMW2 = 9                THEN BTBMHMW2 = . ;
IF BTBMHWT2 = 99               THEN BTBMHWT2 = . ;
IF BTBMWKBK = 9                THEN BTBMWKBK = . ;
IF BTBMPROB = 9                THEN BTBMPROB = . ;
IF BTBMREAD = 9                THEN BTBMREAD = . ;
IF BTBMWRIT = 9                THEN BTBMWRIT = . ;
IF BTBMDATA = 9                THEN BTBMDATA = . ;
IF BTBMIEXP = 9                THEN BTBMIEXP = . ;
IF BTBMGEXP = 9                THEN BTBMGEXP = . ;
IF BTBMFIND = 9                THEN BTBMFIND = . ;
IF BTBMORAL = 9                THEN BTBMORAL = . ;
IF BTBMJOUR = 9                THEN BTBMJOUR = . ;
IF BTBMWHW1 = 9                THEN BTBMWHW1 = . ;
IF BTBMWHW2 = 9                THEN BTBMWHW2 = . ;
IF BTBMWHW3 = 9                THEN BTBMWHW3 = . ;
IF BTBMWHW4 = 9                THEN BTBMWHW4 = . ;
IF BTBMWHW5 = 9                THEN BTBMWHW5 = . ;
IF BTBMWHW6 = 9                THEN BTBMWHW6 = . ;
IF BTBMWHW7 = 9                THEN BTBMWHW7 = . ;
IF BTBMWHW8 = 9                THEN BTBMWHW8 = . ;
IF BTBMWGT1 = 9                THEN BTBMWGT1 = . ;
IF BTBMWGT2 = 9                THEN BTBMWGT2 = . ;
IF BTBMWGT3 = 9                THEN BTBMWGT3 = . ;
IF BTBMWGT4 = 9                THEN BTBMWGT4 = . ;
IF BTBMWGT5 = 9                THEN BTBMWGT5 = . ;
IF BTBMWGT6 = 9                THEN BTBMWGT6 = . ;
IF BTBMWGT7 = 9                THEN BTBMWGT7 = . ;
IF BTBGASS1 = 9                THEN BTBGASS1 = . ;
IF BTBGASS2 = 9                THEN BTBGASS2 = . ;
IF BTBGASS3 = 9                THEN BTBGASS3 = . ;
IF BTBGASS4 = 9                THEN BTBGASS4 = . ;
IF BTBGASS5 = 9                THEN BTBGASS5 = . ;
IF BTBGASS6 = 9                THEN BTBGASS6 = . ;
IF BTDMTOEN = 999              THEN BTDMTOEN = . ;
IF BTDGADMN = 9999             THEN BTDGADMN = . ;
IF BTDGCPLN = 9999             THEN BTDGCPLN = . ;
IF BTDGOTHR = 9999             THEN BTDGOTHR = . ;
IF BTDGSUBT = 9999             THEN BTDGSUBT = . ;
IF BTDGTSKT = 9999             THEN BTDGTSKT = . ;
IF BTDGTTIM = 9999             THEN BTDGTTIM = . ;
IF BTDMCALC = 9                THEN BTDMCALC = . ;
IF BTDMCPTM = 9                THEN BTDMCPTM = . ;
IF BTDMEMH  = 9                THEN BTDMEMH  = . ;
IF BTDMERPS = 9                THEN BTDMERPS = . ;
IF BTDMHTM  = 9999             THEN BTDMHTM  = . ;
IF BTDMSIZE = 9999             THEN BTDMSIZE = . ;
IF BTDMSZ3C = 9                THEN BTDMSZ3C = . ;
IF BTDMTPTT = 9999             THEN BTDMTPTT = . ;
IF BTDMTTIM = 9999             THEN BTDMTTIM = . ;
IF BTDMTIME = 9                THEN BTDMTIME = . ;
IF DPCDATE  = 999999           THEN DPCDATE  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;

