%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;

Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= btm&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1100 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDSUBJCT   3 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDTEACH    8 ;
LENGTH      IDLINK     3 ;
LENGTH      ITCOURSE   3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGTAUG   3 ;
LENGTH      BTBGTOTL   3 ;
LENGTH      BTBMSUB1   3 ;
LENGTH      BTBSSUB2   3 ;
LENGTH      BTBSSUB3   3 ;
LENGTH      BTBSSUB4   3 ;
LENGTH      BTBSSUB5   3 ;
LENGTH      BTBSSUB6   3 ;
LENGTH      BTBSSUB7   3 ;
LENGTH      BTBSSUB8   3 ;
LENGTH      BTBGSUB9   3 ;
LENGTH      BTBGTSK1   3 ;
LENGTH      BTBGTSK2   3 ;
LENGTH      BTBGTSK3   3 ;
LENGTH      BTBGTSK4   3 ;
LENGTH      BTBGTSK5   3 ;
LENGTH      BTBGTSK6   3 ;
LENGTH      BTBGTSK7   3 ;
LENGTH      BTBGACT1   3 ;
LENGTH      BTBGACT2   3 ;
LENGTH      BTBGACT3   3 ;
LENGTH      BTBGACT4   3 ;
LENGTH      BTBGACT5   3 ;
LENGTH      BTBGACT6   3 ;
LENGTH      BTBGACT7   3 ;
LENGTH      BTBGACT8   3 ;
LENGTH      BTBGACT9   3 ;
LENGTH      BTBGALTO   3 ;
LENGTH      BTBGMEET   3 ;
LENGTH      BTBGINF1   3 ;
LENGTH      BTBGINF2   3 ;
LENGTH      BTBGINF3   3 ;
LENGTH      BTBGINF4   3 ;
LENGTH      BTBMIMP1   3 ;
LENGTH      BTBMIMP2   3 ;
LENGTH      BTBMIMP3   3 ;
LENGTH      BTBMIMP4   3 ;
LENGTH      BTBMIMP5   3 ;
LENGTH      BTBMIMP6   3 ;
LENGTH      BTBMAGR1   3 ;
LENGTH      BTBMAGR2   3 ;
LENGTH      BTBMAGR3   3 ;
LENGTH      BTBGAGR4   3 ;
LENGTH      BTBMAGR5   3 ;
LENGTH      BTBMAGR6   3 ;
LENGTH      BTBMAGR7   3 ;
LENGTH      BTBMAGR8   3 ;
LENGTH      BTBMAGR9   3 ;
LENGTH      BTBMFAM1   3 ;
LENGTH      BTBMFAM2   3 ;
LENGTH      BTBGFAM3   3 ;
LENGTH      BTBGFAM4   3 ;
LENGTH      BTBGFAM5   3 ;
LENGTH      BTBMFAM6   3 ;
LENGTH      BTBMFAM7   3 ;
LENGTH      BTBMFP01   3 ;
LENGTH      BTBMFP02   3 ;
LENGTH      BTBMFP03   3 ;
LENGTH      BTBMFP04   3 ;
LENGTH      BTBMFP05   3 ;
LENGTH      BTBMFP06   3 ;
LENGTH      BTBMFP07   3 ;
LENGTH      BTBMFP08   3 ;
LENGTH      BTBMFP09   3 ;
LENGTH      BTBMFP10   3 ;
LENGTH      BTBMFP11   3 ;
LENGTH      BTBMFP12   3 ;
LENGTH      BTBGEDUC   3 ;
LENGTH      BTBGTRAC   3 ;
LENGTH      BTBGYETR   3 ;
LENGTH      BTBGPRTR   3 ;
LENGTH      BTBGCMAS   3 ;
LENGTH      BTBGCMA1   3 ;
LENGTH      BTBGCMA2   3 ;
LENGTH      BTBGCMA3   3 ;
LENGTH      BTBGCMA4   3 ;
LENGTH      BTBGCMA5   3 ;
LENGTH      BTBGCMA6   3 ;
LENGTH      BTBGCMA7   3 ;
LENGTH      BTBGCMA8   3 ;
LENGTH      BTBGMMAS   3 ;
LENGTH      BTBGMMA1   3 ;
LENGTH      BTBGMMA2   3 ;
LENGTH      BTBGMMA3   3 ;
LENGTH      BTBGMMA4   3 ;
LENGTH      BTBGMMA5   3 ;
LENGTH      BTBGMMA6   3 ;
LENGTH      BTBGMMA7   3 ;
LENGTH      BTBGMMA8   3 ;
LENGTH      BTBGCARE   3 ;
LENGTH      BTBGCHNG   3 ;
LENGTH      BTBGSOAP   3 ;
LENGTH      BTBGSTAP   3 ;
LENGTH      BTBGBOOK   3 ;
LENGTH      BTBMBOY    3 ;
LENGTH      BTBMGIRL   3 ;
LENGTH      BTDMTOEN   3 ;
LENGTH      BTBMSMEC   3 ;
LENGTH      BTBMTIME   4 ;
LENGTH      BTBMTXBK   3 ;
LENGTH      BTBMTXBR   3 ;
LENGTH      BTBMCUDL   3 ;
LENGTH      BTBMWECP   3 ;
LENGTH      BTBMCAL1   3 ;
LENGTH      BTBMCAL2   3 ;
LENGTH      BTBMCAL3   3 ;
LENGTH      BTBMCAL4   3 ;
LENGTH      BTBMCAL5   3 ;
LENGTH      BTBMCOM1   3 ;
LENGTH      BTBMCOM2   3 ;
LENGTH      BTBMINT1   3 ;
LENGTH      BTBMINT2   3 ;
LENGTH      BTBMSRC1   3 ;
LENGTH      BTBMSRC2   3 ;
LENGTH      BTBMSRC3   3 ;
LENGTH      BTBMSRC4   3 ;
LENGTH      BTBMASK1   3 ;
LENGTH      BTBMASK2   3 ;
LENGTH      BTBMASK3   3 ;
LENGTH      BTBMASK4   3 ;
LENGTH      BTBMASK5   3 ;
LENGTH      BTBMASK6   3 ;
LENGTH      BTBMASK7   3 ;
LENGTH      BTBMLES1   3 ;
LENGTH      BTBMLES2   3 ;
LENGTH      BTBMLES3   3 ;
LENGTH      BTBMLES4   3 ;
LENGTH      BTBMLES5   3 ;
LENGTH      BTBMLES6   3 ;
LENGTH      BTBMACT1   3 ;
LENGTH      BTBMACT2   3 ;
LENGTH      BTBMACT3   3 ;
LENGTH      BTBMACT4   3 ;
LENGTH      BTBMACT5   3 ;
LENGTH      BTBMACT6   3 ;
LENGTH      BTBMACT7   3 ;
LENGTH      BTBMACT8   3 ;
LENGTH      BTBMTB01   3 ;
LENGTH      BTBMTT01   3 ;
LENGTH      BTBMNT01   3 ;
LENGTH      BTBMTB02   3 ;
LENGTH      BTBMTT02   3 ;
LENGTH      BTBMNT02   3 ;
LENGTH      BTBMTB03   3 ;
LENGTH      BTBMTT03   3 ;
LENGTH      BTBMNT03   3 ;
LENGTH      BTBMTB04   3 ;
LENGTH      BTBMTT04   3 ;
LENGTH      BTBMNT04   3 ;
LENGTH      BTBMTB05   3 ;
LENGTH      BTBMTT05   3 ;
LENGTH      BTBMNT05   3 ;
LENGTH      BTBMTB06   3 ;
LENGTH      BTBMTT06   3 ;
LENGTH      BTBMNT06   3 ;
LENGTH      BTBMTB07   3 ;
LENGTH      BTBMTT07   3 ;
LENGTH      BTBMNT07   3 ;
LENGTH      BTBMTB08   3 ;
LENGTH      BTBMTT08   3 ;
LENGTH      BTBMNT08   3 ;
LENGTH      BTBMTB09   3 ;
LENGTH      BTBMTT09   3 ;
LENGTH      BTBMNT09   3 ;
LENGTH      BTBMTB10   3 ;
LENGTH      BTBMTT10   3 ;
LENGTH      BTBMNT10   3 ;
LENGTH      BTBMTB11   3 ;
LENGTH      BTBMTT11   3 ;
LENGTH      BTBMNT11   3 ;
LENGTH      BTBMTB12   3 ;
LENGTH      BTBMTT12   3 ;
LENGTH      BTBMNT12   3 ;
LENGTH      BTBMTB13   3 ;
LENGTH      BTBMTT13   3 ;
LENGTH      BTBMNT13   3 ;
LENGTH      BTBMTB14   3 ;
LENGTH      BTBMTT14   3 ;
LENGTH      BTBMNT14   3 ;
LENGTH      BTBMTB15   3 ;
LENGTH      BTBMTT15   3 ;
LENGTH      BTBMNT15   3 ;
LENGTH      BTBMTB16   3 ;
LENGTH      BTBMTT16   3 ;
LENGTH      BTBMNT16   3 ;
LENGTH      BTBMTB17   3 ;
LENGTH      BTBMTT17   3 ;
LENGTH      BTBMNT17   3 ;
LENGTH      BTBMTB18   3 ;
LENGTH      BTBMTT18   3 ;
LENGTH      BTBMNT18   3 ;
LENGTH      BTBMTB19   3 ;
LENGTH      BTBMTT19   3 ;
LENGTH      BTBMNT19   3 ;
LENGTH      BTBMTB20   3 ;
LENGTH      BTBMTT20   3 ;
LENGTH      BTBMNT20   3 ;
LENGTH      BTBMTB21   3 ;
LENGTH      BTBMTT21   3 ;
LENGTH      BTBMNT21   3 ;
LENGTH      BTBMTB22   3 ;
LENGTH      BTBMTT22   3 ;
LENGTH      BTBMNT22   3 ;
LENGTH      BTBMTB23   3 ;
LENGTH      BTBMTT23   3 ;
LENGTH      BTBMNT23   3 ;
LENGTH      BTBMTB24   3 ;
LENGTH      BTBMTT24   3 ;
LENGTH      BTBMNT24   3 ;
LENGTH      BTBMTB25   3 ;
LENGTH      BTBMTT25   3 ;
LENGTH      BTBMNT25   3 ;
LENGTH      BTBMTB26   3 ;
LENGTH      BTBMTT26   3 ;
LENGTH      BTBMNT26   3 ;
LENGTH      BTBMTB27   3 ;
LENGTH      BTBMTT27   3 ;
LENGTH      BTBMNT27   3 ;
LENGTH      BTBMTB28   3 ;
LENGTH      BTBMTT28   3 ;
LENGTH      BTBMNT28   3 ;
LENGTH      BTBMTB29   3 ;
LENGTH      BTBMTT29   3 ;
LENGTH      BTBMNT29   3 ;
LENGTH      BTBMTB30   3 ;
LENGTH      BTBMTT30   3 ;
LENGTH      BTBMNT30   3 ;
LENGTH      BTBMTB31   3 ;
LENGTH      BTBMTT31   3 ;
LENGTH      BTBMNT31   3 ;
LENGTH      BTBMTB32   3 ;
LENGTH      BTBMTT32   3 ;
LENGTH      BTBMNT32   3 ;
LENGTH      BTBMTB33   3 ;
LENGTH      BTBMTT33   3 ;
LENGTH      BTBMNT33   3 ;
LENGTH      BTBMTB34   3 ;
LENGTH      BTBMTT34   3 ;
LENGTH      BTBMNT34   3 ;
LENGTH      BTBMLM01   3 ;
LENGTH      BTBMLM02   3 ;
LENGTH      BTBMLM03   3 ;
LENGTH      BTBMLM04   3 ;
LENGTH      BTBMLM05   3 ;
LENGTH      BTBMLM06   3 ;
LENGTH      BTBMLM07   3 ;
LENGTH      BTBMLM08   3 ;
LENGTH      BTBMLM09   3 ;
LENGTH      BTBMLM10   3 ;
LENGTH      BTBMLM11   3 ;
LENGTH      BTBMLM12   3 ;
LENGTH      BTBMLM13   3 ;
LENGTH      BTBMLM14   3 ;
LENGTH      BTBMLM15   3 ;
LENGTH      BTBMLM16   3 ;
LENGTH      BTBMHMW2   3 ;
LENGTH      BTBMHWMA   3 ;
LENGTH      BTBMWKBR   3 ;
LENGTH      BTBMPROR   3 ;
LENGTH      BTBMREAR   3 ;
LENGTH      BTBMWRIR   3 ;
LENGTH      BTBMDATR   3 ;
LENGTH      BTBMIEXR   3 ;
LENGTH      BTBMGEXR   3 ;
LENGTH      BTBMFINR   3 ;
LENGTH      BTBMORAR   3 ;
LENGTH      BTBMJORR   3 ;
LENGTH      BTBMWHNA   3 ;
LENGTH      BTBMWHR1   3 ;
LENGTH      BTBMWHR2   3 ;
LENGTH      BTBMWHR3   3 ;
LENGTH      BTBMWHR4   3 ;
LENGTH      BTBMWHR5   3 ;
LENGTH      BTBMWHR6   3 ;
LENGTH      BTBMWHR7   3 ;
LENGTH      BTBMWHR8   3 ;
LENGTH      BTBMWGT1   3 ;
LENGTH      BTBMWGT2   3 ;
LENGTH      BTBMWGT3   3 ;
LENGTH      BTBMWGT4   3 ;
LENGTH      BTBMWGT5   3 ;
LENGTH      BTBMWGT6   3 ;
LENGTH      BTBMWGT7   3 ;
LENGTH      BTBGASS1   3 ;
LENGTH      BTBGASS2   3 ;
LENGTH      BTBGASS3   3 ;
LENGTH      BTBGASS4   3 ;
LENGTH      BTBGASS5   3 ;
LENGTH      BTBGASS6   3 ;
LENGTH      BTDGSUBT   8 ;
LENGTH      BTDGTSKT   8 ;
LENGTH      BTDMMGRD   3 ;
LENGTH      BTDMQUA    3 ;
LENGTH      BTDMCPTM   3 ;
LENGTH      BTDMTPTT   8 ;
LENGTH      BTDMSIZE   8 ;
LENGTH      BTDMSZ3C   3 ;
LENGTH      BTDMERPS   3 ;
LENGTH      BTDMEMH    3 ;
LENGTH      BTDGMMJ1   3 ;
LENGTH      BTDGMMJ2   3 ;
LENGTH      BTDGMMJ3   3 ;
LENGTH      BTDGMMJ4   3 ;
LENGTH      BTDGMMJ5   3 ;
LENGTH      BTDMHTM    8 ;
LENGTH      BTDMTIME   3 ;
LENGTH      BTDMCALC   3 ;
LENGTH      BTDMHWK    3 ;
LENGTH      BTDMHWK2   3 ;
LENGTH      BTDGTTIM   8 ;
LENGTH      BTDMTTIM   8 ;
LENGTH      BTDGCPLN   8 ;
LENGTH      BTDGADMN   8 ;
LENGTH      BTDGOTHR   8 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDSUBJCT      8-   8     
  IDPOP         9-   9     
  IDSCHOOL     10-  15     
  IDTEACH      16-  23     
  IDLINK       24-  25     
  ITCOURSE     26-  27     
  BTBGAGE      28-  28     
  BTBGSEX      29-  29     
  BTBGTAUG     30-  31     
  BTBGTOTL     32-  33     
  BTBMSUB1     34-  35     
  BTBSSUB2     36-  37     
  BTBSSUB3     38-  39     
  BTBSSUB4     40-  41     
  BTBSSUB5     42-  43     
  BTBSSUB6     44-  45     
  BTBSSUB7     46-  47     
  BTBSSUB8     48-  49     
  BTBGSUB9     50-  51     
  BTBGTSK1     52-  53     
  BTBGTSK2     54-  55     
  BTBGTSK3     56-  57     
  BTBGTSK4     58-  59     
  BTBGTSK5     60-  61     
  BTBGTSK6     62-  63     
  BTBGTSK7     64-  65     
  BTBGACT1     66-  66     
  BTBGACT2     67-  67     
  BTBGACT3     68-  68     
  BTBGACT4     69-  69     
  BTBGACT5     70-  70     
  BTBGACT6     71-  71     
  BTBGACT7     72-  72     
  BTBGACT8     73-  73     
  BTBGACT9     74-  74     
  BTBGALTO     75-  76     
  BTBGMEET     77-  77     
  BTBGINF1     78-  78     
  BTBGINF2     79-  79     
  BTBGINF3     80-  80     
  BTBGINF4     81-  81     
  BTBMIMP1     82-  82     
  BTBMIMP2     83-  83     
  BTBMIMP3     84-  84     
  BTBMIMP4     85-  85     
  BTBMIMP5     86-  86     
  BTBMIMP6     87-  87     
  BTBMAGR1     88-  88     
  BTBMAGR2     89-  89     
  BTBMAGR3     90-  90     
  BTBGAGR4     91-  91     
  BTBMAGR5     92-  92     
  BTBMAGR6     93-  93     
  BTBMAGR7     94-  94     
  BTBMAGR8     95-  95     
  BTBMAGR9     96-  96     
  BTBMFAM1     97-  97     
  BTBMFAM2     98-  98     
  BTBGFAM3     99-  99     
  BTBGFAM4    100- 100     
  BTBGFAM5    101- 101     
  BTBMFAM6    102- 102     
  BTBMFAM7    103- 103     
  BTBMFP01    104- 104     
  BTBMFP02    105- 105     
  BTBMFP03    106- 106     
  BTBMFP04    107- 107     
  BTBMFP05    108- 108     
  BTBMFP06    109- 109     
  BTBMFP07    110- 110     
  BTBMFP08    111- 111     
  BTBMFP09    112- 112     
  BTBMFP10    113- 113     
  BTBMFP11    114- 114     
  BTBMFP12    115- 115     
  BTBGEDUC    116- 116     
  BTBGTRAC    117- 117     
  BTBGYETR    118- 119     
  BTBGPRTR    120- 120     
  BTBGCMAS    121- 121     
  BTBGCMA1    122- 122     
  BTBGCMA2    123- 123     
  BTBGCMA3    124- 124     
  BTBGCMA4    125- 125     
  BTBGCMA5    126- 126     
  BTBGCMA6    127- 127     
  BTBGCMA7    128- 128     
  BTBGCMA8    129- 129     
  BTBGMMAS    130- 130     
  BTBGMMA1    131- 131     
  BTBGMMA2    132- 132     
  BTBGMMA3    133- 133     
  BTBGMMA4    134- 134     
  BTBGMMA5    135- 135     
  BTBGMMA6    136- 136     
  BTBGMMA7    137- 137     
  BTBGMMA8    138- 138     
  BTBGCARE    139- 139     
  BTBGCHNG    140- 140     
  BTBGSOAP    141- 141     
  BTBGSTAP    142- 142     
  BTBGBOOK    143- 143     
  BTBMBOY     144- 146     
  BTBMGIRL    147- 149     
  BTDMTOEN    150- 152     
  BTBMSMEC    153- 153     
  BTBMTIME    154- 157     
  BTBMTXBK    158- 158     
  BTBMTXBR    159- 159     
  BTBMCUDL    160- 160     
  BTBMWECP    161- 161     
  BTBMCAL1    162- 162     
  BTBMCAL2    163- 163     
  BTBMCAL3    164- 164     
  BTBMCAL4    165- 165     
  BTBMCAL5    166- 166     
  BTBMCOM1    167- 167     
  BTBMCOM2    168- 168     
  BTBMINT1    169- 169     
  BTBMINT2    170- 170     
  BTBMSRC1    171- 171     
  BTBMSRC2    172- 172     
  BTBMSRC3    173- 173     
  BTBMSRC4    174- 174     
  BTBMASK1    175- 175     
  BTBMASK2    176- 176     
  BTBMASK3    177- 177     
  BTBMASK4    178- 178     
  BTBMASK5    179- 179     
  BTBMASK6    180- 180     
  BTBMASK7    181- 181     
  BTBMLES1    182- 182     
  BTBMLES2    183- 183     
  BTBMLES3    184- 184     
  BTBMLES4    185- 185     
  BTBMLES5    186- 186     
  BTBMLES6    187- 187     
  BTBMACT1    188- 190     
  BTBMACT2    191- 193     
  BTBMACT3    194- 196     
  BTBMACT4    197- 199     
  BTBMACT5    200- 202     
  BTBMACT6    203- 205     
  BTBMACT7    206- 208     
  BTBMACT8    209- 211     
  BTBMTB01    212- 212     
  BTBMTT01    213- 213     
  BTBMNT01    214- 214     
  BTBMTB02    215- 215     
  BTBMTT02    216- 216     
  BTBMNT02    217- 217     
  BTBMTB03    218- 218     
  BTBMTT03    219- 219     
  BTBMNT03    220- 220     
  BTBMTB04    221- 221     
  BTBMTT04    222- 222     
  BTBMNT04    223- 223     
  BTBMTB05    224- 224     
  BTBMTT05    225- 225     
  BTBMNT05    226- 226     
  BTBMTB06    227- 227     
  BTBMTT06    228- 228     
  BTBMNT06    229- 229     
  BTBMTB07    230- 230     
  BTBMTT07    231- 231     
  BTBMNT07    232- 232     
  BTBMTB08    233- 233     
  BTBMTT08    234- 234     
  BTBMNT08    235- 235     
  BTBMTB09    236- 236     
  BTBMTT09    237- 237     
  BTBMNT09    238- 238     
  BTBMTB10    239- 239     
  BTBMTT10    240- 240     
  BTBMNT10    241- 241     
  BTBMTB11    242- 242     
  BTBMTT11    243- 243     
  BTBMNT11    244- 244     
  BTBMTB12    245- 245     
  BTBMTT12    246- 246     
  BTBMNT12    247- 247     
  BTBMTB13    248- 248     
  BTBMTT13    249- 249     
  BTBMNT13    250- 250     
  BTBMTB14    251- 251     
  BTBMTT14    252- 252     
  BTBMNT14    253- 253     
  BTBMTB15    254- 254     
  BTBMTT15    255- 255     
  BTBMNT15    256- 256     
  BTBMTB16    257- 257     
  BTBMTT16    258- 258     
  BTBMNT16    259- 259     
  BTBMTB17    260- 260     
  BTBMTT17    261- 261     
  BTBMNT17    262- 262     
  BTBMTB18    263- 263     
  BTBMTT18    264- 264     
  BTBMNT18    265- 265     
  BTBMTB19    266- 266     
  BTBMTT19    267- 267     
  BTBMNT19    268- 268     
  BTBMTB20    269- 269     
  BTBMTT20    270- 270     
  BTBMNT20    271- 271     
  BTBMTB21    272- 272     
  BTBMTT21    273- 273     
  BTBMNT21    274- 274     
  BTBMTB22    275- 275     
  BTBMTT22    276- 276     
  BTBMNT22    277- 277     
  BTBMTB23    278- 278     
  BTBMTT23    279- 279     
  BTBMNT23    280- 280     
  BTBMTB24    281- 281     
  BTBMTT24    282- 282     
  BTBMNT24    283- 283     
  BTBMTB25    284- 284     
  BTBMTT25    285- 285     
  BTBMNT25    286- 286     
  BTBMTB26    287- 287     
  BTBMTT26    288- 288     
  BTBMNT26    289- 289     
  BTBMTB27    290- 290     
  BTBMTT27    291- 291     
  BTBMNT27    292- 292     
  BTBMTB28    293- 293     
  BTBMTT28    294- 294     
  BTBMNT28    295- 295     
  BTBMTB29    296- 296     
  BTBMTT29    297- 297     
  BTBMNT29    298- 298     
  BTBMTB30    299- 299     
  BTBMTT30    300- 300     
  BTBMNT30    301- 301     
  BTBMTB31    302- 302     
  BTBMTT31    303- 303     
  BTBMNT31    304- 304     
  BTBMTB32    305- 305     
  BTBMTT32    306- 306     
  BTBMNT32    307- 307     
  BTBMTB33    308- 308     
  BTBMTT33    309- 309     
  BTBMNT33    310- 310     
  BTBMTB34    311- 311     
  BTBMTT34    312- 312     
  BTBMNT34    313- 313     
  BTBMLM01    314- 314     
  BTBMLM02    315- 315     
  BTBMLM03    316- 316     
  BTBMLM04    317- 317     
  BTBMLM05    318- 318     
  BTBMLM06    319- 319     
  BTBMLM07    320- 320     
  BTBMLM08    321- 321     
  BTBMLM09    322- 322     
  BTBMLM10    323- 323     
  BTBMLM11    324- 324     
  BTBMLM12    325- 325     
  BTBMLM13    326- 326     
  BTBMLM14    327- 327     
  BTBMLM15    328- 328     
  BTBMLM16    329- 329     
  BTBMHMW2    330- 330     
  BTBMHWMA    331- 331     
  BTBMWKBR    332- 332     
  BTBMPROR    333- 333     
  BTBMREAR    334- 334     
  BTBMWRIR    335- 335     
  BTBMDATR    336- 336     
  BTBMIEXR    337- 337     
  BTBMGEXR    338- 338     
  BTBMFINR    339- 339     
  BTBMORAR    340- 340     
  BTBMJORR    341- 341     
  BTBMWHNA    342- 342     
  BTBMWHR1    343- 343     
  BTBMWHR2    344- 344     
  BTBMWHR3    345- 345     
  BTBMWHR4    346- 346     
  BTBMWHR5    347- 347     
  BTBMWHR6    348- 348     
  BTBMWHR7    349- 349     
  BTBMWHR8    350- 350     
  BTBMWGT1    351- 351     
  BTBMWGT2    352- 352     
  BTBMWGT3    353- 353     
  BTBMWGT4    354- 354     
  BTBMWGT5    355- 355     
  BTBMWGT6    356- 356     
  BTBMWGT7    357- 357     
  BTBGASS1    358- 358     
  BTBGASS2    359- 359     
  BTBGASS3    360- 360     
  BTBGASS4    361- 361     
  BTBGASS5    362- 362     
  BTBGASS6    363- 363     
  BTDGSUBT    364- 371 .3
  BTDGTSKT    372- 379 .3
  BTDMMGRD    380- 380     
  BTDMQUA     381- 381     
  BTDMCPTM    382- 382     
  BTDMTPTT    383- 390 .3
  BTDMSIZE    391- 398 .3
  BTDMSZ3C    399- 399     
  BTDMERPS    400- 400     
  BTDMEMH     401- 401     
  BTDGMMJ1    402- 402     
  BTDGMMJ2    403- 403     
  BTDGMMJ3    404- 404     
  BTDGMMJ4    405- 405     
  BTDGMMJ5    406- 406     
  BTDMHTM     407- 414 .3
  BTDMTIME    415- 415     
  BTDMCALC    416- 416     
  BTDMHWK     417- 418     
  BTDMHWK2    419- 419     
  BTDGTTIM    420- 427 .3
  BTDMTTIM    428- 435 .3
  BTDGCPLN    436- 443 .3
  BTDGADMN    444- 451 .3
  BTDGOTHR    452- 459 .3
  DPCDATE     460- 465     
;

%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*VERSION NUMBER*"
  IDCNTRY  = "*COUNTRY ID*"
  IDSUBJCT = "*SUBJECT ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  ITCOURSE = "*NAME OF COURSE*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGTAUG = "GEN\YEARS BEEN TEACHING"
  BTBGTOTL = "GEN\SCHEDULED HOURS ALTOGETHER"
  BTBMSUB1 = "MAT\SCHEDULED SUBJECTS\MATHEMATICS"
  BTBSSUB2 = "SCI\SCHEDULED SUBJECTS\GENERAL SCI"
  BTBSSUB3 = "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI"
  BTBSSUB4 = "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE"
  BTBSSUB5 = "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE"
  BTBSSUB6 = "SCI\SCHEDULED SUBJECTS\BIOLOGY"
  BTBSSUB7 = "SCI\SCHEDULED SUBJECTS\CHEMISTRY"
  BTBSSUB8 = "SCI\SCHEDULED SUBJECTS\PHYSICS"
  BTBGSUB9 = "GEN\SCHEDULED SUBJECTS\OTHER"
  BTBGTSK1 = "GEN\SCHEDULED TASKS\SUPERVISION"
  BTBGTSK2 = "GEN\SCHEDULED TASKS\COUNSELLING"
  BTBGTSK3 = "GEN\SCHEDULED TASKS\ADMINISTRATION"
  BTBGTSK4 = "GEN\SCHEDULED TASKS\INDIVID PLANNING"
  BTBGTSK5 = "GEN\SCHEDULED TASKS\COOP PLANNING"
  BTBGTSK6 = "GEN\SCHEDULED TASKS\NON SPECIFIED"
  BTBGTSK7 = "GEN\SCHEDULED TASKS\OTHER"
  BTBGACT1 = "GEN\OUTSIDE SCHL\PREPARE TEST"
  BTBGACT2 = "GEN\OUTSIDE SCHL\READ STUDENT WORK"
  BTBGACT3 = "GEN\OUTSIDE SCHL\PLAN LESSONS"
  BTBGACT4 = "GEN\OUTSIDE SCHL\MEET STUDENTS"
  BTBGACT5 = "GEN\OUTSIDE SCHL\MEET PARENTS"
  BTBGACT6 = "GEN\OUTSIDE SCHL\PROFESSIONL READING"
  BTBGACT7 = "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS"
  BTBGACT8 = "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS"
  BTBGACT9 = "GEN\OUTSIDE SCHL\OTHER"
  BTBGALTO = "GEN\TEACHING ACTIVITIES ALTOGETHER"
  BTBGMEET = "GEN\MEETING WITH OTHER TEACHERS"
  BTBGINF1 = "GEN\INFLUENCE\SUBJECT MATTER"
  BTBGINF2 = "GEN\INFLUENCE\SPECIFIC TEXTBOOKS"
  BTBGINF3 = "GEN\INFLUENCE\MONEY FOR SUPPLIES"
  BTBGINF4 = "GEN\INFLUENCE\KIND OF SUPPLIES"
  BTBMIMP1 = "MAT\GD\IMPT\REMEMBER FORMULAS"
  BTBMIMP2 = "MAT\GD\IMPT\SEQUENTIAL AND PROCEDURAL"
  BTBMIMP3 = "MAT\GD\IMPT\UNDERSTAND CONCEPTS"
  BTBMIMP4 = "MAT\GD\IMPT\THINK CREATIVELY"
  BTBMIMP5 = "MAT\GD\IMPT\HOW USED IN REAL WORLD"
  BTBMIMP6 = "MAT\GD\IMPT\SUPPORT SOLUTIONS"
  BTBMAGR1 = "MAT\PRIMARILY AN ABSTRACT SUBJECT"
  BTBMAGR2 = "MAT\FORMAL REPRESENTATION OF WORLD"
  BTBMAGR3 = "MAT\PRACTICAL AND STRUCTURED GUIDE"
  BTBGAGR4 = "GEN\PRACTICE TO OVERCOME DIFFICULTY"
  BTBMAGR5 = "MAT\NATURAL TALENT FOR MATH"
  BTBMAGR6 = "MAT\USE MORE THAN 1 REPRESENTATION"
  BTBMAGR7 = "MAT\SET OF ALGORITHMS OR RULES"
  BTBMAGR8 = "MAT\BASIC COMPUTATIONAL SKILLS"
  BTBMAGR9 = "MAT\LIKING AND UNDERSTANDING STUDENTS"
  BTBMFAM1 = "MAT\NATIONAL CURRICULUM GUIDE"
  BTBMFAM2 = "MAT\REGIONAL CURRICULUM GUIDE"
  BTBGFAM3 = "GEN\SCHOOL CURRICULUM GUIDE"
  BTBGFAM4 = "GEN\NATIONAL EXAM SPECIFICATIONS"
  BTBGFAM5 = "GEN\REGIONAL EXAM SPECIFICATIONS"
  BTBMFAM6 = "MAT\NATIONAL PEDAGOGY GUIDE"
  BTBMFAM7 = "MAT\REGIONAL PEDAGOGY GUIDE"
  BTBMFP01 = "MAT\PREP\FRACTIONS, DECIMALS, PERCENTAGE"
  BTBMFP02 = "MAT\PREP\RATIOS AND PROPORTIONS"
  BTBMFP03 = "MAT\PREP\MEASUREMENTS - UNITS, ..."
  BTBMFP04 = "MAT\PREP\PERIMETER, AREA, VOLUME"
  BTBMFP05 = "MAT\PREP\GEOM FIG - DEF, PROPERTIES"
  BTBMFP06 = "MAT\PREP\GEOM FIG - SYMMETRY, ..."
  BTBMFP07 = "MAT\PREP\COORDINATE GEOMETRY"
  BTBMFP08 = "MAT\PREP\ALGEBRAIC REPRESENTATION"
  BTBMFP09 = "MAT\PREP\EVAL. + PERFRM OP ON ALG. EQTN"
  BTBMFP10 = "MAT\PREP\SOLVE LINEAR EQUATIONS"
  BTBMFP11 = "MAT\PREP\REPR. + INTERPR. DATA IN GRAPHS"
  BTBMFP12 = "MAT\PREP\SIMPLE PROBABILITIES"
  BTBGEDUC = "GEN\LEVEL OF EDUCATION COMPLETED"
  BTBGTRAC = "GEN\TEACHER TRAINING CERTIFICATE"
  BTBGYETR = "GEN\YEARS PRE SERVICE TRAINING"
  BTBGPRTR = "GEN\BEGIN SECONDARY SCHOOL"
  BTBGCMAS = "GEN\HAVE BA"
  BTBGCMA1 = "GEN\MAIN STUDY FOR BA\MATHEMATICS"
  BTBGCMA2 = "GEN\MAIN STUDY FOR BA\BIOLOGY"
  BTBGCMA3 = "GEN\MAIN STUDY FOR BA\PHYSICS"
  BTBGCMA4 = "GEN\MAIN STUDY FOR BA\CHEMISTRY"
  BTBGCMA5 = "GEN\MAIN STUDY FOR BA\EDUCATION"
  BTBGCMA6 = "GEN\MAIN STUDY FOR BA\MATH EDUCATION"
  BTBGCMA7 = "GEN\MAIN STUDY FOR BA\SCIENCE EDUCATION"
  BTBGCMA8 = "GEN\MAIN STUDY FOR BA\OTHER"
  BTBGMMAS = "GEN\HAVE MASTERS DEGREE"
  BTBGMMA1 = "GEN\MAIN STUDY FOR MA\MATHEMATICS"
  BTBGMMA2 = "GEN\MAIN STUDY FOR MA\BIOLOGY"
  BTBGMMA3 = "GEN\MAIN STUDY FOR MA\PHYSICS"
  BTBGMMA4 = "GEN\MAIN STUDY FOR MA\CHEMISTRY"
  BTBGMMA5 = "GEN\MAIN STUDY FOR MA\EDUCATION"
  BTBGMMA6 = "GEN\MAIN STUDY FOR MA\MATH EDUCATION"
  BTBGMMA7 = "GEN\MAIN STUDY FOR MA\SCIENCE EDUCATION"
  BTBGMMA8 = "GEN\MAIN STUDY FOR MA\OTHER"
  BTBGCARE = "GEN\WAS TEACHING FIRST CHOICE"
  BTBGCHNG = "GEN\WOULD YOU CHANGE CARREER"
  BTBGSOAP = "GEN\IS WORK APPRECIATED BY SOCIETY"
  BTBGSTAP = "GEN\IS WORK APPRECIATED BY STUDENTS"
  BTBGBOOK = "GEN\NUMBER OF BOOKS IN HOME"
  BTBMBOY  = "MAT\CLSS\NUMBER OF BOYS IN CLASS"
  BTBMGIRL = "MAT\CLSS\NUMBER OF GIRLS IN CLASS"
  BTDMTOEN = "MAT\CLSS\NUMBER OF STUDENTS IN CLASS"
  BTBMSMEC = "MAT\CLSS\SUBJECT MATTER EMPHASIS"
  BTBMTIME = "MAT\CLSS\LENGTH OF MATH CLASS"
  BTBMTXBK = "MAT\CLSS\USE MATH TEXTBOOK"
  BTBMTXBR = "MAT\CLSS\TEXTBOOK BASED TEACHING"
  BTBMCUDL = "MAT\USE CALCULATORS DURING LESSONS"
  BTBMWECP = "MAT\EXTENT CALCULATORS PERMITTED"
  BTBMCAL1 = "MAT\CALCS FOR CHECKING ANSWERS"
  BTBMCAL2 = "MAT\CALCS FOR TESTS AND EXAMS"
  BTBMCAL3 = "MAT\CALCS FOR ROUTINE COMPUTATIO"
  BTBMCAL4 = "MAT\CALCS FOR COMPLEX PROBLEMS"
  BTBMCAL5 = "MAT\CALCS FOR NUMBER CONCEPTS"
  BTBMCOM1 = "MAT\COMPUTERS\IN CLASSROOMS"
  BTBMCOM2 = "MAT\COMPUTERS\IN OTHER ROOMS"
  BTBMINT1 = "MAT\COMPUTERS\ACCESS INTERNET"
  BTBMINT2 = "MAT\COMPUTERS\USE INTERNET"
  BTBMSRC1 = "MAT\SOURCE\WHICH TOPIC TO TEACH"
  BTBMSRC2 = "MAT\SOURCE\HOW TO PRESENT A TOPIC"
  BTBMSRC3 = "MAT\SOURCE\CLASS WORK AND HOMEWORK"
  BTBMSRC4 = "MAT\SOURCE\ASSESSMENT AND EVALUATN"
  BTBMASK1 = "MAT\TASKS\EXPLAIN REASONING"
  BTBMASK2 = "MAT\TASKS\ANALYZE RELATIONSHIPS"
  BTBMASK3 = "MAT\TASKS\WORK ON PROBLEMS"
  BTBMASK4 = "MAT\TASKS\USE COMPUTERS"
  BTBMASK5 = "MAT\TASKS\WRITE EQUATIONS"
  BTBMASK6 = "MAT\TASKS\PRACTICE COMPUTATION"
  BTBMASK7 = "MAT\TASKS\USE GRAPHING CALCULATORS"
  BTBMLES1 = "MAT\INDIVIDUAL WORK\NO ASSISTANCE"
  BTBMLES2 = "MAT\INDIVIDUAL WORK\ASSISTANCE"
  BTBMLES3 = "MAT\WORK TOGETHER\TEACHER TEACHES"
  BTBMLES4 = "MAT\WORK TOGETHER\STUDENTS INTERACT"
  BTBMLES5 = "MAT\WORK IN GROUPS\NO ASSISTANCE"
  BTBMLES6 = "MAT\WORK IN GROUPS\ASSISTANCE"
  BTBMACT1 = "MAT\PERCENTAGE SPENT\ADMINISTRATIVE"
  BTBMACT2 = "MAT\PERCENTAGE SPENT\HOMEWORK REVIEW"
  BTBMACT3 = "MAT\PERCENTAGE SPENT\LECTURE STYLE"
  BTBMACT4 = "MAT\PERCENTAGE SPENT\GUIDED PRACTICE"
  BTBMACT5 = "MAT\PERCENTAGE SPENT\RE-TEACHING"
  BTBMACT6 = "MAT\PERCENTAGE SPENT\STUDENT PRACTICE"
  BTBMACT7 = "MAT\PERCENTAGE SPENT\TEST AND QUIZZES"
  BTBMACT8 = "MAT\PERCENTAGE SPENT\OTHER"
  BTBMTB01 = "MAT\FRAC\WHOLE NUMBERS\BEFORE"
  BTBMTT01 = "MAT\FRAC\WHOLE NUMBERS\THIS YEAR"
  BTBMNT01 = "MAT\FRAC\WHOLE NUMBERS\NOT KNOW"
  BTBMTB02 = "MAT\FRAC\FRAC UNDERSTANDING\BEFORE"
  BTBMTT02 = "MAT\FRAC\FRAC UNDERSTANDING\THIS YEAR"
  BTBMNT02 = "MAT\FRAC\FRAC UNDERSTANDING\NOT KNOW"
  BTBMTB03 = "MAT\FRAC\FRAC COMPUTATIONS\BEFORE"
  BTBMTT03 = "MAT\FRAC\FRAC COMPUTATIONS\THIS YEAR"
  BTBMNT03 = "MAT\FRAC\FRAC COMPUTATIONS\NOT KNOW"
  BTBMTB04 = "MAT\FRAC\DEC FRAC UNDERSTANDING\BEFORE"
  BTBMTT04 = "MAT\FRAC\DEC FRAC UNDERSTANDING\THIS YEA"
  BTBMNT04 = "MAT\FRAC\DEC FRAC UNDERSTANDING\NOT KNOW"
  BTBMTB05 = "MAT\FRAC\DEC FRAC COMPUTATIONS\BEFORE"
  BTBMTT05 = "MAT\FRAC\DEC FRAC COMPUTATIONS\THIS YEAR"
  BTBMNT05 = "MAT\FRAC\DEC FRAC COMPUTATIONS\NOT KNOW"
  BTBMTB06 = "MAT\FRAC\RELATION BETW FRACS\BEFORE"
  BTBMTT06 = "MAT\FRAC\RELATION BETW FRACS\THIS YEAR"
  BTBMNT06 = "MAT\FRAC\RELATION BETW FRACS\NOT KNOW"
  BTBMTB07 = "MAT\FRAC\ROUNDING WHOLE NUMB\BEFORE"
  BTBMTT07 = "MAT\FRAC\ROUNDING WHOLE NUMB\THIS YEAR"
  BTBMNT07 = "MAT\FRAC\ROUNDING WHOLE NUMB\NOT KNOW"
  BTBMTB08 = "MAT\FRAC\ESTIMATING RESULTS\BEFORE"
  BTBMTT08 = "MAT\FRAC\ESTIMATING RESULTS\THIS YEAR"
  BTBMNT08 = "MAT\FRAC\ESTIMATING RESULTS\NOT KNOW"
  BTBMTB09 = "MAT\FRAC\NUMBER LINES\BEFORE"
  BTBMTT09 = "MAT\FRAC\NUMBER LINES\THIS YEAR"
  BTBMNT09 = "MAT\FRAC\NUMBER LINES\NOT KNOW"
  BTBMTB10 = "MAT\FRAC\PERC.: COMPUTS\BEFORE"
  BTBMTT10 = "MAT\FRAC\PERC.: COMPUTS\THIS YEAR"
  BTBMNT10 = "MAT\FRAC\PERC.: COMPUTS\NOT KNOW"
  BTBMTB11 = "MAT\FRAC\NEGATIVE NUMBERS\BEFORE"
  BTBMTT11 = "MAT\FRAC\NEGATIVE NUMBERS\THIS YEAR"
  BTBMNT11 = "MAT\FRAC\NEGATIVE NUMBERS\NOT KNOW"
  BTBMTB12 = "MAT\FRAC\SQUARE ROOTS, EXPONENTS\BEFORE"
  BTBMTT12 = "MAT\FRAC\SQUARE ROOTS, EXPONENTS\THIS YE"
  BTBMNT12 = "MAT\FRAC\SQUARE ROOTS, EXPONENTS\NOT KNO"
  BTBMTB13 = "MAT\MEAS\UNITS\BEFORE"
  BTBMTT13 = "MAT\MEAS\UNITS\THIS YEAR"
  BTBMNT13 = "MAT\MEAS\UNITS\NOT KNOW"
  BTBMTB14 = "MAT\MEAS\MEASUREMENT INSTR.\BEFORE"
  BTBMTT14 = "MAT\MEAS\MEASUREMENT INSTR.\THIS YEAR"
  BTBMNT14 = "MAT\MEAS\MEASUREMENT INSTR.\NOT KNOW"
  BTBMTB15 = "MAT\MEAS\ESTIMATES AND ACCURACY\BEFORE"
  BTBMTT15 = "MAT\MEAS\ESTIMATES AND ACCURACY\THIS YEA"
  BTBMNT15 = "MAT\MEAS\ESTIMATES AND ACCURACY\NOT KNOW"
  BTBMTB16 = "MAT\MEAS\PERIMTR SIMPLE SHAPE\BEFORE"
  BTBMTT16 = "MAT\MEAS\PERIMTR SIMPLE SHAPE\THIS YEAR"
  BTBMNT16 = "MAT\MEAS\PERIMTR SIMPLE SHAPE\NOT KNOW"
  BTBMTB17 = "MAT\MEAS\PERIMTR COMBND SHAPE\BEFORE"
  BTBMTT17 = "MAT\MEAS\PERIMTR COMBND SHAPE\THIS YEAR"
  BTBMNT17 = "MAT\MEAS\PERIMTR COMBND SHAPE\NOT KNOW"
  BTBMTB18 = "MAT\MEAS\VOLUME OF SOLIDS\BEFORE"
  BTBMTT18 = "MAT\MEAS\VOLUME OF SOLIDS\THIS YEAR"
  BTBMNT18 = "MAT\MEAS\VOLUME OF SOLIDS\NOT KNOW"
  BTBMTB19 = "MAT\GEO\CARTESIAN COORD.\BEFORE"
  BTBMTT19 = "MAT\GEO\CARTESIAN COORD.\THIS YEAR"
  BTBMNT19 = "MAT\GEO\CARTESIAN COORD.\NOT KNOW"
  BTBMTB20 = "MAT\GEO\COORDINATES ON A LINE\BEFORE"
  BTBMTT20 = "MAT\GEO\COORDINATES ON A LINE\THIS YEAR"
  BTBMNT20 = "MAT\GEO\COORDINATES ON A LINE\NOT KNOW"
  BTBMTB21 = "MAT\GEO\TWO DIM. GEOMETRY\BEFORE"
  BTBMTT21 = "MAT\GEO\TWO DIM. GEOMETRY\THIS YEAR"
  BTBMNT21 = "MAT\GEO\TWO DIM. GEOMETRY\NOT KNOW"
  BTBMTB22 = "MAT\GEO\CONGRUENCE+SIMILARITY\BEFORE"
  BTBMTT22 = "MAT\GEO\CONGRUENCE+SIMILARITY\THIS YEAR"
  BTBMNT22 = "MAT\GEO\CONGRUENCE+SIMILARITY\NOT KNOW"
  BTBMTB23 = "MAT\GEO\SYMMETRY+TRANSFORM.\BEFORE"
  BTBMTT23 = "MAT\GEO\SYMMETRY+TRANSFORM.\THIS YEAR"
  BTBMNT23 = "MAT\GEO\SYMMETRY+TRANSFORM.\NOT KNOW"
  BTBMTB24 = "MAT\GEO\3-D-SHAPES\BEFORE"
  BTBMTT24 = "MAT\GEO\3-D-SHAPES\THIS YEAR"
  BTBMNT24 = "MAT\GEO\3-D-SHAPESNOT KNOW"
  BTBMTB25 = "MAT\PROP\SCALES APPLIED TO MAPS\BEFORE"
  BTBMTT25 = "MAT\PROP\SCALES APPLIED TO MAPS\THIS YEA"
  BTBMNT25 = "MAT\PROP\SCALES APPLIED TO MAPS\NOT KNOW"
  BTBMTB26 = "MAT\PROP\RATIO AND PROPORTION\BEFORE"
  BTBMTT26 = "MAT\PROP\RATIO AND PROPORTION\THIS YEAR"
  BTBMNT26 = "MAT\PROP\RATIO AND PROPORTION\NOT KNOW"
  BTBMTB27 = "MAT\ALG\NUMBER PATTERNS\BEFORE"
  BTBMTT27 = "MAT\ALG\NUMBER PATTERNS\THIS YEAR"
  BTBMNT27 = "MAT\ALG\NUMBER PATTERNS\NOT KNOW"
  BTBMTB28 = "MAT\ALG\ALGEBRAIC EXPRESSIONS\BEFORE"
  BTBMTT28 = "MAT\ALG\ALGEBRAIC EXPRESSIONS\THIS YEAR"
  BTBMNT28 = "MAT\ALG\ALGEBRAIC EXPRESSIONS\NOT KNOW"
  BTBMTB29 = "MAT\ALG\REPRESENT SITUATIONS\BEFORE"
  BTBMTT29 = "MAT\ALG\REPRESENT SITUATIONS\THIS YEAR"
  BTBMNT29 = "MAT\ALG\REPRESENT SITUATIONS\NOT KNOW"
  BTBMTB30 = "MAT\ALG\SOLVING EQUATIONS\BEFORE"
  BTBMTT30 = "MAT\ALG\SOLVING EQUATIONS\THIS YEAR"
  BTBMNT30 = "MAT\ALG\SOLVING EQUATIONS\NOT KNOW"
  BTBMTB31 = "MAT\ALG\SOLVING INEQUALITIES\BEFORE"
  BTBMTT31 = "MAT\ALG\SOLVING INEQUALITIES\THIS YEAR"
  BTBMNT31 = "MAT\ALG\SOLVING INEQUALITIES\NOT KNOW"
  BTBMTB32 = "MAT\DATA\REPRESENT+INTERPRET\BEFORE"
  BTBMTT32 = "MAT\DATA\REPRESENT+INTERPRET\THIS YEAR"
  BTBMNT32 = "MAT\DATA\REPRESENT+INTERPRET\NOT KNOW"
  BTBMTB33 = "MAT\DATA\ARITHMETIC MEAN\BEFORE"
  BTBMTT33 = "MAT\DATA\ARITHMETIC MEAN\THIS YEAR"
  BTBMNT33 = "MAT\DATA\ARITHMETIC MEAN\NOT KNOW"
  BTBMTB34 = "MAT\DATA\SIMPLE PROBABILITIES\BEFORE"
  BTBMTT34 = "MAT\DATA\SIMPLE PROBABILITIES\THIS YEAR"
  BTBMNT34 = "MAT\DATA\SIMPLE PROBABILITIES\NOT KNOW"
  BTBMLM01 = "MAT\CLSS\DIFFERENT ACADEMIC ABILITIES"
  BTBMLM02 = "MAT\CLSS\WIDE RANGE OF BACKGROUNDS"
  BTBMLM03 = "MAT\CLSS\SPECIAL NEEDS"
  BTBMLM04 = "MAT\CLSS\UNINTERESTED STUDENTS"
  BTBMLM05 = "MAT\CLSS\DISRUPTIVE STUDENTS"
  BTBMLM06 = "MAT\CLSS\PARENTS INTRESTD IN PROGRSS"
  BTBMLM07 = "MAT\CLSS\PARENTS UNINTRESTD IN PROGR"
  BTBMLM08 = "MAT\CLSS\SHORTGE OF COMPUTR HARDWARE"
  BTBMLM09 = "MAT\CLSS\SHORTGE OF COMPUTR SOFTWARE"
  BTBMLM10 = "MAT\CLSS\SHORTGE OF INSTR EQUIPMENT"
  BTBMLM11 = "MAT\CLSS\SHORTGE OF DEMNSTR EQUIPMNT"
  BTBMLM12 = "MAT\CLSS\INADEQUATE PHYSICL FACILITS"
  BTBMLM13 = "MAT\CLSS\HIGH STUDENT TEACHER RATIO"
  BTBMLM14 = "MAT\CLSS\LOW MORAL AMONG STAFF"
  BTBMLM15 = "MAT\CLSS\LOW MORAL AMONG STUDENTS"
  BTBMLM16 = "MAT\CLSS\THREATS 2 PERS OR STDT SFTY"
  BTBMHMW2 = "MAT\HOMEWORK FREQUENCY"
  BTBMHWMA = "MAT\AVERAGE TIME NEEDED FOR HOMEWK"
  BTBMWKBR = "MAT\HOMEWORK\WORKSHEETS OR -BOOK"
  BTBMPROR = "MAT\HOMEWORK\TEXTBOOK PROBLEMS"
  BTBMREAR = "MAT\HOMEWORK\TEXTBOOK READING"
  BTBMWRIR = "MAT\HOMEWORK\WRITING ASSIGNMENT"
  BTBMDATR = "MAT\HOMEWORK\SMALL INVESTIGATIONS"
  BTBMIEXR = "MAT\HOMEWORK\INDIVIDUAL PROJECTS"
  BTBMGEXR = "MAT\HOMEWORK\SMALL GROUP PROJECTS"
  BTBMFINR = "MAT\HOMEWORK\FIND USES OF CONTENT"
  BTBMORAR = "MAT\HOMEWORK\PREPARE ORAL REPORTS"
  BTBMJORR = "MAT\HOMEWORK\KEEP A JOURNAL"
  BTBMWHNA = "MAT\WRITTEN HMWK\DO NOT ASSIGN"
  BTBMWHR1 = "MAT\WRITTEN HMWK\RECORD COMPLETION"
  BTBMWHR2 = "MAT\WRITTEN HMWK\KEEP ASSIGNMENTS"
  BTBMWHR3 = "MAT\WRITTEN HMWK\RETURN ASSIGNMENTS"
  BTBMWHR4 = "MAT\WRITTEN HMWK\FEEDBACK TO CLASS"
  BTBMWHR5 = "MAT\WRITTEN HMWK\STUDENTS CORRECT OWN"
  BTBMWHR6 = "MAT\WRITTEN HMWK\STUDENTS CORRECT OTHER"
  BTBMWHR7 = "MAT\WRITTEN HMWK\BASIS FOR DISCUSSION"
  BTBMWHR8 = "MAT\WRITTEN HMWK\GRADE CONTRIBUTION"
  BTBMWGT1 = "MAT\ASSMNT WEIGHT\STANDARD TESTS"
  BTBMWGT2 = "MAT\ASSMNT WEIGHT\REASONING TESTS"
  BTBMWGT3 = "MAT\ASSMNT WEIGHT\MULTIPLE CHOICE"
  BTBMWGT4 = "MAT\ASSMNT WEIGHT\HOMEWORK PERFRMNCE"
  BTBMWGT5 = "MAT\ASSMNT WEIGHT\PROJECT PERFORMNCE"
  BTBMWGT6 = "MAT\ASSMNT WEIGHT\OBSERVATION"
  BTBMWGT7 = "MAT\ASSMNT WEIGHT\RESPONSES IN CLASS"
  BTBGASS1 = "GEN\FREQUENCY\PROVIDE GRADES"
  BTBGASS2 = "GEN\FREQUENCY\PROVIDE FEEDBACK"
  BTBGASS3 = "GEN\FREQUENCY\DIAGNOSE PROBLEMS"
  BTBGASS4 = "GEN\FREQUENCY\REPORT TO PARENTS"
  BTBGASS5 = "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS"
  BTBGASS6 = "GEN\FREQUENCY\PLAN FUTURE LESSONS"
  BTDGSUBT = "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)"
  BTDGTSKT = "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)"
  BTDMMGRD = "MAT\HAVE BA OR MASTERS IN MATH"
  BTDMQUA  = "MAT\QUALIFICATION TO TEACH MATH"
  BTDMCPTM = "MAT\INDEX OF CONFIDENCE TO TEACH MATH"
  BTDMTPTT = "MAT\PERC. MATH TOPICS PREPARED TO TEACH"
  BTDMSIZE = "MAT\AVERAGE CLASS SIZE"
  BTDMSZ3C = "MAT\MATH CLASS SIZE IN 3 CATEGORIES"
  BTDMERPS = "MAT\INDEX:EMPHASIS ON PROB.SOLVING"
  BTDMEMH  = "MAT\INDEX:EMPHASIS ON MATH HOMEWORK"
  BTDGMMJ1 = "GEN\MAJOR AREA OF STUDY FOR DEG:Math"
  BTDGMMJ2 = "GEN\MAJOR AREA OF STUDY FOR DEG:Science"
  BTDGMMJ3 = "GEN\MAJOR AREA OF STUDY FOR DEG:Educatio"
  BTDGMMJ4 = "GEN\MAJOR AREA OF STUDY FOR DEG:Other"
  BTDGMMJ5 = "GEN\MAJOR AREA OF STUDY FOR DEG:Math Onl"
  BTDMHTM  = "MAT\HRS/WK TEACHING MATH"
  BTDMTIME = "MAT\TEACHING MATH TIME /WK IN 4 CAT."
  BTDMCALC = "MAT\NEVER OR HARDLY EVER USE CALCUL."
  BTDMHWK  = "MAT\AMOUNT OF MATH HOMEWORK"
  BTDMHWK2 = "MAT\HOMEWORK BASED ON PROJ. AND  INVEST"
  BTDGTTIM = "GEN\PERC.  SCHOOL TIME TEACHING ANYTHING"
  BTDMTTIM = "MAT\PERC. OF SCHOOL TIME TEACHING MATH"
  BTDGCPLN = "GEN\PERC. OF SCHOOL TIME CURRI.PLANNING"
  BTDGADMN = "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES"
  BTDGOTHR = "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT."
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDSUBJCT = 8                THEN IDSUBJCT = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDTEACH  = 99999998         THEN IDTEACH  = .A ;
IF IDLINK   = 98               THEN IDLINK   = .A ;
IF ITCOURSE = 98               THEN ITCOURSE = .A ;
IF BTBGAGE  = 8                THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGTAUG = 98               THEN BTBGTAUG = .A ;
IF BTBGTOTL = 98               THEN BTBGTOTL = .A ;
IF BTBMSUB1 = 98               THEN BTBMSUB1 = .A ;
IF BTBSSUB2 = 98               THEN BTBSSUB2 = .A ;
IF BTBSSUB3 = 98               THEN BTBSSUB3 = .A ;
IF BTBSSUB4 = 98               THEN BTBSSUB4 = .A ;
IF BTBSSUB5 = 98               THEN BTBSSUB5 = .A ;
IF BTBSSUB6 = 98               THEN BTBSSUB6 = .A ;
IF BTBSSUB7 = 98               THEN BTBSSUB7 = .A ;
IF BTBSSUB8 = 98               THEN BTBSSUB8 = .A ;
IF BTBGSUB9 = 98               THEN BTBGSUB9 = .A ;
IF BTBGTSK1 = 98               THEN BTBGTSK1 = .A ;
IF BTBGTSK2 = 98               THEN BTBGTSK2 = .A ;
IF BTBGTSK3 = 98               THEN BTBGTSK3 = .A ;
IF BTBGTSK4 = 98               THEN BTBGTSK4 = .A ;
IF BTBGTSK5 = 98               THEN BTBGTSK5 = .A ;
IF BTBGTSK6 = 98               THEN BTBGTSK6 = .A ;
IF BTBGTSK7 = 98               THEN BTBGTSK7 = .A ;
IF BTBGACT1 = 8                THEN BTBGACT1 = .A ;
IF BTBGACT2 = 8                THEN BTBGACT2 = .A ;
IF BTBGACT3 = 8                THEN BTBGACT3 = .A ;
IF BTBGACT4 = 8                THEN BTBGACT4 = .A ;
IF BTBGACT5 = 8                THEN BTBGACT5 = .A ;
IF BTBGACT6 = 8                THEN BTBGACT6 = .A ;
IF BTBGACT7 = 8                THEN BTBGACT7 = .A ;
IF BTBGACT8 = 8                THEN BTBGACT8 = .A ;
IF BTBGACT9 = 8                THEN BTBGACT9 = .A ;
IF BTBGALTO = 98               THEN BTBGALTO = .A ;
IF BTBGMEET = 8                THEN BTBGMEET = .A ;
IF BTBGINF1 = 8                THEN BTBGINF1 = .A ;
IF BTBGINF2 = 8                THEN BTBGINF2 = .A ;
IF BTBGINF3 = 8                THEN BTBGINF3 = .A ;
IF BTBGINF4 = 8                THEN BTBGINF4 = .A ;
IF BTBMIMP1 = 8                THEN BTBMIMP1 = .A ;
IF BTBMIMP2 = 8                THEN BTBMIMP2 = .A ;
IF BTBMIMP3 = 8                THEN BTBMIMP3 = .A ;
IF BTBMIMP4 = 8                THEN BTBMIMP4 = .A ;
IF BTBMIMP5 = 8                THEN BTBMIMP5 = .A ;
IF BTBMIMP6 = 8                THEN BTBMIMP6 = .A ;
IF BTBMAGR1 = 8                THEN BTBMAGR1 = .A ;
IF BTBMAGR2 = 8                THEN BTBMAGR2 = .A ;
IF BTBMAGR3 = 8                THEN BTBMAGR3 = .A ;
IF BTBGAGR4 = 8                THEN BTBGAGR4 = .A ;
IF BTBMAGR5 = 8                THEN BTBMAGR5 = .A ;
IF BTBMAGR6 = 8                THEN BTBMAGR6 = .A ;
IF BTBMAGR7 = 8                THEN BTBMAGR7 = .A ;
IF BTBMAGR8 = 8                THEN BTBMAGR8 = .A ;
IF BTBMAGR9 = 8                THEN BTBMAGR9 = .A ;
IF BTBMFAM1 = 8                THEN BTBMFAM1 = .A ;
IF BTBMFAM2 = 8                THEN BTBMFAM2 = .A ;
IF BTBGFAM3 = 8                THEN BTBGFAM3 = .A ;
IF BTBGFAM4 = 8                THEN BTBGFAM4 = .A ;
IF BTBGFAM5 = 8                THEN BTBGFAM5 = .A ;
IF BTBMFAM6 = 8                THEN BTBMFAM6 = .A ;
IF BTBMFAM7 = 8                THEN BTBMFAM7 = .A ;
IF BTBMFP01 = 8                THEN BTBMFP01 = .A ;
IF BTBMFP02 = 8                THEN BTBMFP02 = .A ;
IF BTBMFP03 = 8                THEN BTBMFP03 = .A ;
IF BTBMFP04 = 8                THEN BTBMFP04 = .A ;
IF BTBMFP05 = 8                THEN BTBMFP05 = .A ;
IF BTBMFP06 = 8                THEN BTBMFP06 = .A ;
IF BTBMFP07 = 8                THEN BTBMFP07 = .A ;
IF BTBMFP08 = 8                THEN BTBMFP08 = .A ;
IF BTBMFP09 = 8                THEN BTBMFP09 = .A ;
IF BTBMFP10 = 8                THEN BTBMFP10 = .A ;
IF BTBMFP11 = 8                THEN BTBMFP11 = .A ;
IF BTBMFP12 = 8                THEN BTBMFP12 = .A ;
IF BTBGEDUC = 8                THEN BTBGEDUC = .A ;
IF BTBGTRAC = 8                THEN BTBGTRAC = .A ;
IF BTBGYETR = 98               THEN BTBGYETR = .A ;
IF BTBGPRTR = 8                THEN BTBGPRTR = .A ;
IF BTBGCMAS = 8                THEN BTBGCMAS = .A ;
IF BTBGCMA1 = 8                THEN BTBGCMA1 = .A ;
IF BTBGCMA2 = 8                THEN BTBGCMA2 = .A ;
IF BTBGCMA3 = 8                THEN BTBGCMA3 = .A ;
IF BTBGCMA4 = 8                THEN BTBGCMA4 = .A ;
IF BTBGCMA5 = 8                THEN BTBGCMA5 = .A ;
IF BTBGCMA6 = 8                THEN BTBGCMA6 = .A ;
IF BTBGCMA7 = 8                THEN BTBGCMA7 = .A ;
IF BTBGCMA8 = 8                THEN BTBGCMA8 = .A ;
IF BTBGMMAS = 8                THEN BTBGMMAS = .A ;
IF BTBGMMA1 = 8                THEN BTBGMMA1 = .A ;
IF BTBGMMA2 = 8                THEN BTBGMMA2 = .A ;
IF BTBGMMA3 = 8                THEN BTBGMMA3 = .A ;
IF BTBGMMA4 = 8                THEN BTBGMMA4 = .A ;
IF BTBGMMA5 = 8                THEN BTBGMMA5 = .A ;
IF BTBGMMA6 = 8                THEN BTBGMMA6 = .A ;
IF BTBGMMA7 = 8                THEN BTBGMMA7 = .A ;
IF BTBGMMA8 = 8                THEN BTBGMMA8 = .A ;
IF BTBGCARE = 8                THEN BTBGCARE = .A ;
IF BTBGCHNG = 8                THEN BTBGCHNG = .A ;
IF BTBGSOAP = 8                THEN BTBGSOAP = .A ;
IF BTBGSTAP = 8                THEN BTBGSTAP = .A ;
IF BTBGBOOK = 8                THEN BTBGBOOK = .A ;
IF BTBMBOY  = 998              THEN BTBMBOY  = .A ;
IF BTBMGIRL = 998              THEN BTBMGIRL = .A ;
IF BTDMTOEN = 998              THEN BTDMTOEN = .A ;
IF BTBMSMEC = 8                THEN BTBMSMEC = .A ;
IF BTBMTIME = 9998             THEN BTBMTIME = .A ;
IF BTBMTXBK = 8                THEN BTBMTXBK = .A ;
IF BTBMTXBR = 8                THEN BTBMTXBR = .A ;
IF BTBMCUDL = 8                THEN BTBMCUDL = .A ;
IF BTBMWECP = 8                THEN BTBMWECP = .A ;
IF BTBMCAL1 = 8                THEN BTBMCAL1 = .A ;
IF BTBMCAL2 = 8                THEN BTBMCAL2 = .A ;
IF BTBMCAL3 = 8                THEN BTBMCAL3 = .A ;
IF BTBMCAL4 = 8                THEN BTBMCAL4 = .A ;
IF BTBMCAL5 = 8                THEN BTBMCAL5 = .A ;
IF BTBMCOM1 = 8                THEN BTBMCOM1 = .A ;
IF BTBMCOM2 = 8                THEN BTBMCOM2 = .A ;
IF BTBMINT1 = 8                THEN BTBMINT1 = .A ;
IF BTBMINT2 = 8                THEN BTBMINT2 = .A ;
IF BTBMSRC1 = 8                THEN BTBMSRC1 = .A ;
IF BTBMSRC2 = 8                THEN BTBMSRC2 = .A ;
IF BTBMSRC3 = 8                THEN BTBMSRC3 = .A ;
IF BTBMSRC4 = 8                THEN BTBMSRC4 = .A ;
IF BTBMASK1 = 8                THEN BTBMASK1 = .A ;
IF BTBMASK2 = 8                THEN BTBMASK2 = .A ;
IF BTBMASK3 = 8                THEN BTBMASK3 = .A ;
IF BTBMASK4 = 8                THEN BTBMASK4 = .A ;
IF BTBMASK5 = 8                THEN BTBMASK5 = .A ;
IF BTBMASK6 = 8                THEN BTBMASK6 = .A ;
IF BTBMASK7 = 8                THEN BTBMASK7 = .A ;
IF BTBMLES1 = 8                THEN BTBMLES1 = .A ;
IF BTBMLES2 = 8                THEN BTBMLES2 = .A ;
IF BTBMLES3 = 8                THEN BTBMLES3 = .A ;
IF BTBMLES4 = 8                THEN BTBMLES4 = .A ;
IF BTBMLES5 = 8                THEN BTBMLES5 = .A ;
IF BTBMLES6 = 8                THEN BTBMLES6 = .A ;
IF BTBMACT1 = 998              THEN BTBMACT1 = .A ;
IF BTBMACT2 = 998              THEN BTBMACT2 = .A ;
IF BTBMACT3 = 998              THEN BTBMACT3 = .A ;
IF BTBMACT4 = 998              THEN BTBMACT4 = .A ;
IF BTBMACT5 = 998              THEN BTBMACT5 = .A ;
IF BTBMACT6 = 998              THEN BTBMACT6 = .A ;
IF BTBMACT7 = 998              THEN BTBMACT7 = .A ;
IF BTBMACT8 = 998              THEN BTBMACT8 = .A ;
IF BTBMTB01 = 8                THEN BTBMTB01 = .A ;
IF BTBMTT01 = 8                THEN BTBMTT01 = .A ;
IF BTBMNT01 = 8                THEN BTBMNT01 = .A ;
IF BTBMTB02 = 8                THEN BTBMTB02 = .A ;
IF BTBMTT02 = 8                THEN BTBMTT02 = .A ;
IF BTBMNT02 = 8                THEN BTBMNT02 = .A ;
IF BTBMTB03 = 8                THEN BTBMTB03 = .A ;
IF BTBMTT03 = 8                THEN BTBMTT03 = .A ;
IF BTBMNT03 = 8                THEN BTBMNT03 = .A ;
IF BTBMTB04 = 8                THEN BTBMTB04 = .A ;
IF BTBMTT04 = 8                THEN BTBMTT04 = .A ;
IF BTBMNT04 = 8                THEN BTBMNT04 = .A ;
IF BTBMTB05 = 8                THEN BTBMTB05 = .A ;
IF BTBMTT05 = 8                THEN BTBMTT05 = .A ;
IF BTBMNT05 = 8                THEN BTBMNT05 = .A ;
IF BTBMTB06 = 8                THEN BTBMTB06 = .A ;
IF BTBMTT06 = 8                THEN BTBMTT06 = .A ;
IF BTBMNT06 = 8                THEN BTBMNT06 = .A ;
IF BTBMTB07 = 8                THEN BTBMTB07 = .A ;
IF BTBMTT07 = 8                THEN BTBMTT07 = .A ;
IF BTBMNT07 = 8                THEN BTBMNT07 = .A ;
IF BTBMTB08 = 8                THEN BTBMTB08 = .A ;
IF BTBMTT08 = 8                THEN BTBMTT08 = .A ;
IF BTBMNT08 = 8                THEN BTBMNT08 = .A ;
IF BTBMTB09 = 8                THEN BTBMTB09 = .A ;
IF BTBMTT09 = 8                THEN BTBMTT09 = .A ;
IF BTBMNT09 = 8                THEN BTBMNT09 = .A ;
IF BTBMTB10 = 8                THEN BTBMTB10 = .A ;
IF BTBMTT10 = 8                THEN BTBMTT10 = .A ;
IF BTBMNT10 = 8                THEN BTBMNT10 = .A ;
IF BTBMTB11 = 8                THEN BTBMTB11 = .A ;
IF BTBMTT11 = 8                THEN BTBMTT11 = .A ;
IF BTBMNT11 = 8                THEN BTBMNT11 = .A ;
IF BTBMTB12 = 8                THEN BTBMTB12 = .A ;
IF BTBMTT12 = 8                THEN BTBMTT12 = .A ;
IF BTBMNT12 = 8                THEN BTBMNT12 = .A ;
IF BTBMTB13 = 8                THEN BTBMTB13 = .A ;
IF BTBMTT13 = 8                THEN BTBMTT13 = .A ;
IF BTBMNT13 = 8                THEN BTBMNT13 = .A ;
IF BTBMTB14 = 8                THEN BTBMTB14 = .A ;
IF BTBMTT14 = 8                THEN BTBMTT14 = .A ;
IF BTBMNT14 = 8                THEN BTBMNT14 = .A ;
IF BTBMTB15 = 8                THEN BTBMTB15 = .A ;
IF BTBMTT15 = 8                THEN BTBMTT15 = .A ;
IF BTBMNT15 = 8                THEN BTBMNT15 = .A ;
IF BTBMTB16 = 8                THEN BTBMTB16 = .A ;
IF BTBMTT16 = 8                THEN BTBMTT16 = .A ;
IF BTBMNT16 = 8                THEN BTBMNT16 = .A ;
IF BTBMTB17 = 8                THEN BTBMTB17 = .A ;
IF BTBMTT17 = 8                THEN BTBMTT17 = .A ;
IF BTBMNT17 = 8                THEN BTBMNT17 = .A ;
IF BTBMTB18 = 8                THEN BTBMTB18 = .A ;
IF BTBMTT18 = 8                THEN BTBMTT18 = .A ;
IF BTBMNT18 = 8                THEN BTBMNT18 = .A ;
IF BTBMTB19 = 8                THEN BTBMTB19 = .A ;
IF BTBMTT19 = 8                THEN BTBMTT19 = .A ;
IF BTBMNT19 = 8                THEN BTBMNT19 = .A ;
IF BTBMTB20 = 8                THEN BTBMTB20 = .A ;
IF BTBMTT20 = 8                THEN BTBMTT20 = .A ;
IF BTBMNT20 = 8                THEN BTBMNT20 = .A ;
IF BTBMTB21 = 8                THEN BTBMTB21 = .A ;
IF BTBMTT21 = 8                THEN BTBMTT21 = .A ;
IF BTBMNT21 = 8                THEN BTBMNT21 = .A ;
IF BTBMTB22 = 8                THEN BTBMTB22 = .A ;
IF BTBMTT22 = 8                THEN BTBMTT22 = .A ;
IF BTBMNT22 = 8                THEN BTBMNT22 = .A ;
IF BTBMTB23 = 8                THEN BTBMTB23 = .A ;
IF BTBMTT23 = 8                THEN BTBMTT23 = .A ;
IF BTBMNT23 = 8                THEN BTBMNT23 = .A ;
IF BTBMTB24 = 8                THEN BTBMTB24 = .A ;
IF BTBMTT24 = 8                THEN BTBMTT24 = .A ;
IF BTBMNT24 = 8                THEN BTBMNT24 = .A ;
IF BTBMTB25 = 8                THEN BTBMTB25 = .A ;
IF BTBMTT25 = 8                THEN BTBMTT25 = .A ;
IF BTBMNT25 = 8                THEN BTBMNT25 = .A ;
IF BTBMTB26 = 8                THEN BTBMTB26 = .A ;
IF BTBMTT26 = 8                THEN BTBMTT26 = .A ;
IF BTBMNT26 = 8                THEN BTBMNT26 = .A ;
IF BTBMTB27 = 8                THEN BTBMTB27 = .A ;
IF BTBMTT27 = 8                THEN BTBMTT27 = .A ;
IF BTBMNT27 = 8                THEN BTBMNT27 = .A ;
IF BTBMTB28 = 8                THEN BTBMTB28 = .A ;
IF BTBMTT28 = 8                THEN BTBMTT28 = .A ;
IF BTBMNT28 = 8                THEN BTBMNT28 = .A ;
IF BTBMTB29 = 8                THEN BTBMTB29 = .A ;
IF BTBMTT29 = 8                THEN BTBMTT29 = .A ;
IF BTBMNT29 = 8                THEN BTBMNT29 = .A ;
IF BTBMTB30 = 8                THEN BTBMTB30 = .A ;
IF BTBMTT30 = 8                THEN BTBMTT30 = .A ;
IF BTBMNT30 = 8                THEN BTBMNT30 = .A ;
IF BTBMTB31 = 8                THEN BTBMTB31 = .A ;
IF BTBMTT31 = 8                THEN BTBMTT31 = .A ;
IF BTBMNT31 = 8                THEN BTBMNT31 = .A ;
IF BTBMTB32 = 8                THEN BTBMTB32 = .A ;
IF BTBMTT32 = 8                THEN BTBMTT32 = .A ;
IF BTBMNT32 = 8                THEN BTBMNT32 = .A ;
IF BTBMTB33 = 8                THEN BTBMTB33 = .A ;
IF BTBMTT33 = 8                THEN BTBMTT33 = .A ;
IF BTBMNT33 = 8                THEN BTBMNT33 = .A ;
IF BTBMTB34 = 8                THEN BTBMTB34 = .A ;
IF BTBMTT34 = 8                THEN BTBMTT34 = .A ;
IF BTBMNT34 = 8                THEN BTBMNT34 = .A ;
IF BTBMLM01 = 8                THEN BTBMLM01 = .A ;
IF BTBMLM02 = 8                THEN BTBMLM02 = .A ;
IF BTBMLM03 = 8                THEN BTBMLM03 = .A ;
IF BTBMLM04 = 8                THEN BTBMLM04 = .A ;
IF BTBMLM05 = 8                THEN BTBMLM05 = .A ;
IF BTBMLM06 = 8                THEN BTBMLM06 = .A ;
IF BTBMLM07 = 8                THEN BTBMLM07 = .A ;
IF BTBMLM08 = 8                THEN BTBMLM08 = .A ;
IF BTBMLM09 = 8                THEN BTBMLM09 = .A ;
IF BTBMLM10 = 8                THEN BTBMLM10 = .A ;
IF BTBMLM11 = 8                THEN BTBMLM11 = .A ;
IF BTBMLM12 = 8                THEN BTBMLM12 = .A ;
IF BTBMLM13 = 8                THEN BTBMLM13 = .A ;
IF BTBMLM14 = 8                THEN BTBMLM14 = .A ;
IF BTBMLM15 = 8                THEN BTBMLM15 = .A ;
IF BTBMLM16 = 8                THEN BTBMLM16 = .A ;
IF BTBMHMW2 = 8                THEN BTBMHMW2 = .A ;
IF BTBMHWMA = 8                THEN BTBMHWMA = .A ;
IF BTBMWKBR = 8                THEN BTBMWKBR = .A ;
IF BTBMPROR = 8                THEN BTBMPROR = .A ;
IF BTBMREAR = 8                THEN BTBMREAR = .A ;
IF BTBMWRIR = 8                THEN BTBMWRIR = .A ;
IF BTBMDATR = 8                THEN BTBMDATR = .A ;
IF BTBMIEXR = 8                THEN BTBMIEXR = .A ;
IF BTBMGEXR = 8                THEN BTBMGEXR = .A ;
IF BTBMFINR = 8                THEN BTBMFINR = .A ;
IF BTBMORAR = 8                THEN BTBMORAR = .A ;
IF BTBMJORR = 8                THEN BTBMJORR = .A ;
IF BTBMWHNA = 8                THEN BTBMWHNA = .A ;
IF BTBMWHR1 = 8                THEN BTBMWHR1 = .A ;
IF BTBMWHR2 = 8                THEN BTBMWHR2 = .A ;
IF BTBMWHR3 = 8                THEN BTBMWHR3 = .A ;
IF BTBMWHR4 = 8                THEN BTBMWHR4 = .A ;
IF BTBMWHR5 = 8                THEN BTBMWHR5 = .A ;
IF BTBMWHR6 = 8                THEN BTBMWHR6 = .A ;
IF BTBMWHR7 = 8                THEN BTBMWHR7 = .A ;
IF BTBMWHR8 = 8                THEN BTBMWHR8 = .A ;
IF BTBMWGT1 = 8                THEN BTBMWGT1 = .A ;
IF BTBMWGT2 = 8                THEN BTBMWGT2 = .A ;
IF BTBMWGT3 = 8                THEN BTBMWGT3 = .A ;
IF BTBMWGT4 = 8                THEN BTBMWGT4 = .A ;
IF BTBMWGT5 = 8                THEN BTBMWGT5 = .A ;
IF BTBMWGT6 = 8                THEN BTBMWGT6 = .A ;
IF BTBMWGT7 = 8                THEN BTBMWGT7 = .A ;
IF BTBGASS1 = 8                THEN BTBGASS1 = .A ;
IF BTBGASS2 = 8                THEN BTBGASS2 = .A ;
IF BTBGASS3 = 8                THEN BTBGASS3 = .A ;
IF BTBGASS4 = 8                THEN BTBGASS4 = .A ;
IF BTBGASS5 = 8                THEN BTBGASS5 = .A ;
IF BTBGASS6 = 8                THEN BTBGASS6 = .A ;
IF BTDGSUBT = 9998             THEN BTDGSUBT = .A ;
IF BTDGTSKT = 9998             THEN BTDGTSKT = .A ;
IF BTDMMGRD = 8                THEN BTDMMGRD = .A ;
IF BTDMQUA  = 8                THEN BTDMQUA  = .A ;
IF BTDMCPTM = 8                THEN BTDMCPTM = .A ;
IF BTDMTPTT = 9998             THEN BTDMTPTT = .A ;
IF BTDMSIZE = 9998             THEN BTDMSIZE = .A ;
IF BTDMSZ3C = 8                THEN BTDMSZ3C = .A ;
IF BTDMERPS = 8                THEN BTDMERPS = .A ;
IF BTDMEMH  = 8                THEN BTDMEMH  = .A ;
IF BTDGMMJ1 = 8                THEN BTDGMMJ1 = .A ;
IF BTDGMMJ2 = 8                THEN BTDGMMJ2 = .A ;
IF BTDGMMJ3 = 8                THEN BTDGMMJ3 = .A ;
IF BTDGMMJ4 = 8                THEN BTDGMMJ4 = .A ;
IF BTDGMMJ5 = 8                THEN BTDGMMJ5 = .A ;
IF BTDMHTM  = 9998             THEN BTDMHTM  = .A ;
IF BTDMTIME = 8                THEN BTDMTIME = .A ;
IF BTDMCALC = 8                THEN BTDMCALC = .A ;
IF BTDMHWK  = 98               THEN BTDMHWK  = .A ;
IF BTDMHWK2 = 8                THEN BTDMHWK2 = .A ;
IF BTDGTTIM = 9998             THEN BTDGTTIM = .A ;
IF BTDMTTIM = 9998             THEN BTDMTTIM = .A ;
IF BTDGCPLN = 9998             THEN BTDGCPLN = .A ;
IF BTDGADMN = 9998             THEN BTDGADMN = .A ;
IF BTDGOTHR = 9998             THEN BTDGOTHR = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes

IF BTBGSEX  = 6                THEN BTBGSEX  = .B ;
IF BTBGTAUG = 96               THEN BTBGTAUG = .B ;
IF BTBGTOTL = 96               THEN BTBGTOTL = .B ;
IF BTBMSUB1 = 96               THEN BTBMSUB1 = .B ;
IF BTBSSUB2 = 96               THEN BTBSSUB2 = .B ;
IF BTBSSUB3 = 96               THEN BTBSSUB3 = .B ;
IF BTBSSUB4 = 96               THEN BTBSSUB4 = .B ;
IF BTBSSUB5 = 96               THEN BTBSSUB5 = .B ;
IF BTBSSUB6 = 96               THEN BTBSSUB6 = .B ;
IF BTBSSUB7 = 96               THEN BTBSSUB7 = .B ;
IF BTBSSUB8 = 96               THEN BTBSSUB8 = .B ;
IF BTBGSUB9 = 96               THEN BTBGSUB9 = .B ;
IF BTBGTSK1 = 96               THEN BTBGTSK1 = .B ;
IF BTBGTSK2 = 96               THEN BTBGTSK2 = .B ;
IF BTBGTSK3 = 96               THEN BTBGTSK3 = .B ;
IF BTBGTSK4 = 96               THEN BTBGTSK4 = .B ;
IF BTBGTSK5 = 96               THEN BTBGTSK5 = .B ;
IF BTBGTSK6 = 96               THEN BTBGTSK6 = .B ;
IF BTBGTSK7 = 96               THEN BTBGTSK7 = .B ;
IF BTBGACT1 = 6                THEN BTBGACT1 = .B ;
IF BTBGACT2 = 6                THEN BTBGACT2 = .B ;
IF BTBGACT3 = 6                THEN BTBGACT3 = .B ;
IF BTBGACT4 = 6                THEN BTBGACT4 = .B ;
IF BTBGACT5 = 6                THEN BTBGACT5 = .B ;
IF BTBGACT6 = 6                THEN BTBGACT6 = .B ;
IF BTBGACT7 = 6                THEN BTBGACT7 = .B ;
IF BTBGACT8 = 6                THEN BTBGACT8 = .B ;
IF BTBGACT9 = 6                THEN BTBGACT9 = .B ;
IF BTBGALTO = 96               THEN BTBGALTO = .B ;
IF BTBGINF1 = 6                THEN BTBGINF1 = .B ;
IF BTBGINF2 = 6                THEN BTBGINF2 = .B ;
IF BTBGINF3 = 6                THEN BTBGINF3 = .B ;
IF BTBGINF4 = 6                THEN BTBGINF4 = .B ;
IF BTBMIMP1 = 6                THEN BTBMIMP1 = .B ;
IF BTBMIMP2 = 6                THEN BTBMIMP2 = .B ;
IF BTBMIMP3 = 6                THEN BTBMIMP3 = .B ;
IF BTBMIMP4 = 6                THEN BTBMIMP4 = .B ;
IF BTBMIMP5 = 6                THEN BTBMIMP5 = .B ;
IF BTBMIMP6 = 6                THEN BTBMIMP6 = .B ;
IF BTBMAGR1 = 6                THEN BTBMAGR1 = .B ;
IF BTBMAGR2 = 6                THEN BTBMAGR2 = .B ;
IF BTBMAGR3 = 6                THEN BTBMAGR3 = .B ;
IF BTBGAGR4 = 6                THEN BTBGAGR4 = .B ;
IF BTBMAGR5 = 6                THEN BTBMAGR5 = .B ;
IF BTBMAGR6 = 6                THEN BTBMAGR6 = .B ;
IF BTBMAGR7 = 6                THEN BTBMAGR7 = .B ;
IF BTBMAGR8 = 6                THEN BTBMAGR8 = .B ;
IF BTBMAGR9 = 6                THEN BTBMAGR9 = .B ;
IF BTBMFAM1 = 6                THEN BTBMFAM1 = .B ;
IF BTBMFAM2 = 6                THEN BTBMFAM2 = .B ;
IF BTBGFAM3 = 6                THEN BTBGFAM3 = .B ;
IF BTBGFAM4 = 6                THEN BTBGFAM4 = .B ;
IF BTBGFAM5 = 6                THEN BTBGFAM5 = .B ;
IF BTBMFAM6 = 6                THEN BTBMFAM6 = .B ;
IF BTBMFAM7 = 6                THEN BTBMFAM7 = .B ;
IF BTBMFP01 = 6                THEN BTBMFP01 = .B ;
IF BTBMFP02 = 6                THEN BTBMFP02 = .B ;
IF BTBMFP03 = 6                THEN BTBMFP03 = .B ;
IF BTBMFP04 = 6                THEN BTBMFP04 = .B ;
IF BTBMFP05 = 6                THEN BTBMFP05 = .B ;
IF BTBMFP06 = 6                THEN BTBMFP06 = .B ;
IF BTBMFP07 = 6                THEN BTBMFP07 = .B ;
IF BTBMFP08 = 6                THEN BTBMFP08 = .B ;
IF BTBMFP09 = 6                THEN BTBMFP09 = .B ;
IF BTBMFP10 = 6                THEN BTBMFP10 = .B ;
IF BTBMFP11 = 6                THEN BTBMFP11 = .B ;
IF BTBMFP12 = 6                THEN BTBMFP12 = .B ;
IF BTBGEDUC = 6                THEN BTBGEDUC = .B ;
IF BTBGTRAC = 6                THEN BTBGTRAC = .B ;
IF BTBGYETR = 96               THEN BTBGYETR = .B ;
IF BTBGPRTR = 6                THEN BTBGPRTR = .B ;
IF BTBGCMAS = 6                THEN BTBGCMAS = .B ;
IF BTBGCMA1 = 6                THEN BTBGCMA1 = .B ;
IF BTBGCMA2 = 6                THEN BTBGCMA2 = .B ;
IF BTBGCMA3 = 6                THEN BTBGCMA3 = .B ;
IF BTBGCMA4 = 6                THEN BTBGCMA4 = .B ;
IF BTBGCMA5 = 6                THEN BTBGCMA5 = .B ;
IF BTBGCMA6 = 6                THEN BTBGCMA6 = .B ;
IF BTBGCMA7 = 6                THEN BTBGCMA7 = .B ;
IF BTBGCMA8 = 6                THEN BTBGCMA8 = .B ;
IF BTBGMMAS = 6                THEN BTBGMMAS = .B ;
IF BTBGMMA1 = 6                THEN BTBGMMA1 = .B ;
IF BTBGMMA2 = 6                THEN BTBGMMA2 = .B ;
IF BTBGMMA3 = 6                THEN BTBGMMA3 = .B ;
IF BTBGMMA4 = 6                THEN BTBGMMA4 = .B ;
IF BTBGMMA5 = 6                THEN BTBGMMA5 = .B ;
IF BTBGMMA6 = 6                THEN BTBGMMA6 = .B ;
IF BTBGMMA7 = 6                THEN BTBGMMA7 = .B ;
IF BTBGMMA8 = 6                THEN BTBGMMA8 = .B ;
IF BTBGCARE = 6                THEN BTBGCARE = .B ;
IF BTBGCHNG = 6                THEN BTBGCHNG = .B ;
IF BTBGSOAP = 6                THEN BTBGSOAP = .B ;
IF BTBGSTAP = 6                THEN BTBGSTAP = .B ;
IF BTBGBOOK = 6                THEN BTBGBOOK = .B ;
IF BTBMBOY  = 996              THEN BTBMBOY  = .B ;
IF BTBMGIRL = 996              THEN BTBMGIRL = .B ;
IF BTDMTOEN = 996              THEN BTDMTOEN = .B ;
IF BTBMTIME = 9996             THEN BTBMTIME = .B ;
IF BTBMTXBK = 6                THEN BTBMTXBK = .B ;
IF BTBMTXBR = 6                THEN BTBMTXBR = .B ;
IF BTBMCUDL = 6                THEN BTBMCUDL = .B ;
IF BTBMWECP = 6                THEN BTBMWECP = .B ;
IF BTBMCAL1 = 6                THEN BTBMCAL1 = .B ;
IF BTBMCAL2 = 6                THEN BTBMCAL2 = .B ;
IF BTBMCAL3 = 6                THEN BTBMCAL3 = .B ;
IF BTBMCAL4 = 6                THEN BTBMCAL4 = .B ;
IF BTBMCAL5 = 6                THEN BTBMCAL5 = .B ;
IF BTBMCOM1 = 6                THEN BTBMCOM1 = .B ;
IF BTBMCOM2 = 6                THEN BTBMCOM2 = .B ;
IF BTBMINT1 = 6                THEN BTBMINT1 = .B ;
IF BTBMINT2 = 6                THEN BTBMINT2 = .B ;
IF BTBMASK1 = 6                THEN BTBMASK1 = .B ;
IF BTBMASK2 = 6                THEN BTBMASK2 = .B ;
IF BTBMASK3 = 6                THEN BTBMASK3 = .B ;
IF BTBMASK4 = 6                THEN BTBMASK4 = .B ;
IF BTBMASK5 = 6                THEN BTBMASK5 = .B ;
IF BTBMASK6 = 6                THEN BTBMASK6 = .B ;
IF BTBMASK7 = 6                THEN BTBMASK7 = .B ;
IF BTBMLES1 = 6                THEN BTBMLES1 = .B ;
IF BTBMLES2 = 6                THEN BTBMLES2 = .B ;
IF BTBMLES3 = 6                THEN BTBMLES3 = .B ;
IF BTBMLES4 = 6                THEN BTBMLES4 = .B ;
IF BTBMLES5 = 6                THEN BTBMLES5 = .B ;
IF BTBMLES6 = 6                THEN BTBMLES6 = .B ;
IF BTBMACT1 = 996              THEN BTBMACT1 = .B ;
IF BTBMACT2 = 996              THEN BTBMACT2 = .B ;
IF BTBMACT3 = 996              THEN BTBMACT3 = .B ;
IF BTBMACT4 = 996              THEN BTBMACT4 = .B ;
IF BTBMACT5 = 996              THEN BTBMACT5 = .B ;
IF BTBMACT6 = 996              THEN BTBMACT6 = .B ;
IF BTBMACT7 = 996              THEN BTBMACT7 = .B ;
IF BTBMACT8 = 996              THEN BTBMACT8 = .B ;
IF BTBMTB01 = 6                THEN BTBMTB01 = .B ;
IF BTBMTT01 = 6                THEN BTBMTT01 = .B ;
IF BTBMNT01 = 6                THEN BTBMNT01 = .B ;
IF BTBMTB02 = 6                THEN BTBMTB02 = .B ;
IF BTBMTT02 = 6                THEN BTBMTT02 = .B ;
IF BTBMNT02 = 6                THEN BTBMNT02 = .B ;
IF BTBMTB03 = 6                THEN BTBMTB03 = .B ;
IF BTBMTT03 = 6                THEN BTBMTT03 = .B ;
IF BTBMNT03 = 6                THEN BTBMNT03 = .B ;
IF BTBMTB04 = 6                THEN BTBMTB04 = .B ;
IF BTBMTT04 = 6                THEN BTBMTT04 = .B ;
IF BTBMNT04 = 6                THEN BTBMNT04 = .B ;
IF BTBMTB05 = 6                THEN BTBMTB05 = .B ;
IF BTBMTT05 = 6                THEN BTBMTT05 = .B ;
IF BTBMNT05 = 6                THEN BTBMNT05 = .B ;
IF BTBMTB06 = 6                THEN BTBMTB06 = .B ;
IF BTBMTT06 = 6                THEN BTBMTT06 = .B ;
IF BTBMNT06 = 6                THEN BTBMNT06 = .B ;
IF BTBMTB07 = 6                THEN BTBMTB07 = .B ;
IF BTBMTT07 = 6                THEN BTBMTT07 = .B ;
IF BTBMNT07 = 6                THEN BTBMNT07 = .B ;
IF BTBMTB08 = 6                THEN BTBMTB08 = .B ;
IF BTBMTT08 = 6                THEN BTBMTT08 = .B ;
IF BTBMNT08 = 6                THEN BTBMNT08 = .B ;
IF BTBMTB09 = 6                THEN BTBMTB09 = .B ;
IF BTBMTT09 = 6                THEN BTBMTT09 = .B ;
IF BTBMNT09 = 6                THEN BTBMNT09 = .B ;
IF BTBMTB10 = 6                THEN BTBMTB10 = .B ;
IF BTBMTT10 = 6                THEN BTBMTT10 = .B ;
IF BTBMNT10 = 6                THEN BTBMNT10 = .B ;
IF BTBMTB11 = 6                THEN BTBMTB11 = .B ;
IF BTBMTT11 = 6                THEN BTBMTT11 = .B ;
IF BTBMNT11 = 6                THEN BTBMNT11 = .B ;
IF BTBMTB12 = 6                THEN BTBMTB12 = .B ;
IF BTBMTT12 = 6                THEN BTBMTT12 = .B ;
IF BTBMNT12 = 6                THEN BTBMNT12 = .B ;
IF BTBMTB13 = 6                THEN BTBMTB13 = .B ;
IF BTBMTT13 = 6                THEN BTBMTT13 = .B ;
IF BTBMNT13 = 6                THEN BTBMNT13 = .B ;
IF BTBMTB14 = 6                THEN BTBMTB14 = .B ;
IF BTBMTT14 = 6                THEN BTBMTT14 = .B ;
IF BTBMNT14 = 6                THEN BTBMNT14 = .B ;
IF BTBMTB15 = 6                THEN BTBMTB15 = .B ;
IF BTBMTT15 = 6                THEN BTBMTT15 = .B ;
IF BTBMNT15 = 6                THEN BTBMNT15 = .B ;
IF BTBMTB16 = 6                THEN BTBMTB16 = .B ;
IF BTBMTT16 = 6                THEN BTBMTT16 = .B ;
IF BTBMNT16 = 6                THEN BTBMNT16 = .B ;
IF BTBMTB17 = 6                THEN BTBMTB17 = .B ;
IF BTBMTT17 = 6                THEN BTBMTT17 = .B ;
IF BTBMNT17 = 6                THEN BTBMNT17 = .B ;
IF BTBMTB18 = 6                THEN BTBMTB18 = .B ;
IF BTBMTT18 = 6                THEN BTBMTT18 = .B ;
IF BTBMNT18 = 6                THEN BTBMNT18 = .B ;
IF BTBMTB19 = 6                THEN BTBMTB19 = .B ;
IF BTBMTT19 = 6                THEN BTBMTT19 = .B ;
IF BTBMNT19 = 6                THEN BTBMNT19 = .B ;
IF BTBMTB20 = 6                THEN BTBMTB20 = .B ;
IF BTBMTT20 = 6                THEN BTBMTT20 = .B ;
IF BTBMNT20 = 6                THEN BTBMNT20 = .B ;
IF BTBMTB21 = 6                THEN BTBMTB21 = .B ;
IF BTBMTT21 = 6                THEN BTBMTT21 = .B ;
IF BTBMNT21 = 6                THEN BTBMNT21 = .B ;
IF BTBMTB22 = 6                THEN BTBMTB22 = .B ;
IF BTBMTT22 = 6                THEN BTBMTT22 = .B ;
IF BTBMNT22 = 6                THEN BTBMNT22 = .B ;
IF BTBMTB23 = 6                THEN BTBMTB23 = .B ;
IF BTBMTT23 = 6                THEN BTBMTT23 = .B ;
IF BTBMNT23 = 6                THEN BTBMNT23 = .B ;
IF BTBMTB24 = 6                THEN BTBMTB24 = .B ;
IF BTBMTT24 = 6                THEN BTBMTT24 = .B ;
IF BTBMNT24 = 6                THEN BTBMNT24 = .B ;
IF BTBMTB25 = 6                THEN BTBMTB25 = .B ;
IF BTBMTT25 = 6                THEN BTBMTT25 = .B ;
IF BTBMNT25 = 6                THEN BTBMNT25 = .B ;
IF BTBMTB26 = 6                THEN BTBMTB26 = .B ;
IF BTBMTT26 = 6                THEN BTBMTT26 = .B ;
IF BTBMNT26 = 6                THEN BTBMNT26 = .B ;
IF BTBMTB27 = 6                THEN BTBMTB27 = .B ;
IF BTBMTT27 = 6                THEN BTBMTT27 = .B ;
IF BTBMNT27 = 6                THEN BTBMNT27 = .B ;
IF BTBMTB28 = 6                THEN BTBMTB28 = .B ;
IF BTBMTT28 = 6                THEN BTBMTT28 = .B ;
IF BTBMNT28 = 6                THEN BTBMNT28 = .B ;
IF BTBMTB29 = 6                THEN BTBMTB29 = .B ;
IF BTBMTT29 = 6                THEN BTBMTT29 = .B ;
IF BTBMNT29 = 6                THEN BTBMNT29 = .B ;
IF BTBMTB30 = 6                THEN BTBMTB30 = .B ;
IF BTBMTT30 = 6                THEN BTBMTT30 = .B ;
IF BTBMNT30 = 6                THEN BTBMNT30 = .B ;
IF BTBMTB31 = 6                THEN BTBMTB31 = .B ;
IF BTBMTT31 = 6                THEN BTBMTT31 = .B ;
IF BTBMNT31 = 6                THEN BTBMNT31 = .B ;
IF BTBMTB32 = 6                THEN BTBMTB32 = .B ;
IF BTBMTT32 = 6                THEN BTBMTT32 = .B ;
IF BTBMNT32 = 6                THEN BTBMNT32 = .B ;
IF BTBMTB33 = 6                THEN BTBMTB33 = .B ;
IF BTBMTT33 = 6                THEN BTBMTT33 = .B ;
IF BTBMNT33 = 6                THEN BTBMNT33 = .B ;
IF BTBMTB34 = 6                THEN BTBMTB34 = .B ;
IF BTBMTT34 = 6                THEN BTBMTT34 = .B ;
IF BTBMNT34 = 6                THEN BTBMNT34 = .B ;
IF BTBMLM01 = 6                THEN BTBMLM01 = .B ;
IF BTBMLM02 = 6                THEN BTBMLM02 = .B ;
IF BTBMLM03 = 6                THEN BTBMLM03 = .B ;
IF BTBMLM04 = 6                THEN BTBMLM04 = .B ;
IF BTBMLM05 = 6                THEN BTBMLM05 = .B ;
IF BTBMLM06 = 6                THEN BTBMLM06 = .B ;
IF BTBMLM07 = 6                THEN BTBMLM07 = .B ;
IF BTBMLM08 = 6                THEN BTBMLM08 = .B ;
IF BTBMLM09 = 6                THEN BTBMLM09 = .B ;
IF BTBMLM10 = 6                THEN BTBMLM10 = .B ;
IF BTBMLM11 = 6                THEN BTBMLM11 = .B ;
IF BTBMLM12 = 6                THEN BTBMLM12 = .B ;
IF BTBMLM13 = 6                THEN BTBMLM13 = .B ;
IF BTBMLM14 = 6                THEN BTBMLM14 = .B ;
IF BTBMLM15 = 6                THEN BTBMLM15 = .B ;
IF BTBMLM16 = 6                THEN BTBMLM16 = .B ;
IF BTBMHMW2 = 6                THEN BTBMHMW2 = .B ;
IF BTBMHWMA = 6                THEN BTBMHWMA = .B ;
IF BTBMWKBR = 6                THEN BTBMWKBR = .B ;
IF BTBMPROR = 6                THEN BTBMPROR = .B ;
IF BTBMREAR = 6                THEN BTBMREAR = .B ;
IF BTBMWRIR = 6                THEN BTBMWRIR = .B ;
IF BTBMDATR = 6                THEN BTBMDATR = .B ;
IF BTBMIEXR = 6                THEN BTBMIEXR = .B ;
IF BTBMGEXR = 6                THEN BTBMGEXR = .B ;
IF BTBMFINR = 6                THEN BTBMFINR = .B ;
IF BTBMORAR = 6                THEN BTBMORAR = .B ;
IF BTBMJORR = 6                THEN BTBMJORR = .B ;
IF BTBMWHNA = 6                THEN BTBMWHNA = .B ;
IF BTBMWHR1 = 6                THEN BTBMWHR1 = .B ;
IF BTBMWHR2 = 6                THEN BTBMWHR2 = .B ;
IF BTBMWHR3 = 6                THEN BTBMWHR3 = .B ;
IF BTBMWHR4 = 6                THEN BTBMWHR4 = .B ;
IF BTBMWHR5 = 6                THEN BTBMWHR5 = .B ;
IF BTBMWHR6 = 6                THEN BTBMWHR6 = .B ;
IF BTBMWHR7 = 6                THEN BTBMWHR7 = .B ;
IF BTBMWHR8 = 6                THEN BTBMWHR8 = .B ;
IF BTBMWGT1 = 6                THEN BTBMWGT1 = .B ;
IF BTBMWGT2 = 6                THEN BTBMWGT2 = .B ;
IF BTBMWGT3 = 6                THEN BTBMWGT3 = .B ;
IF BTBMWGT4 = 6                THEN BTBMWGT4 = .B ;
IF BTBMWGT5 = 6                THEN BTBMWGT5 = .B ;
IF BTBMWGT6 = 6                THEN BTBMWGT6 = .B ;
IF BTBMWGT7 = 6                THEN BTBMWGT7 = .B ;
IF BTBGASS1 = 6                THEN BTBGASS1 = .B ;
IF BTBGASS2 = 6                THEN BTBGASS2 = .B ;
IF BTBGASS3 = 6                THEN BTBGASS3 = .B ;
IF BTBGASS4 = 6                THEN BTBGASS4 = .B ;
IF BTBGASS5 = 6                THEN BTBGASS5 = .B ;
IF BTBGASS6 = 6                THEN BTBGASS6 = .B ;
IF BTDGSUBT = 9996             THEN BTDGSUBT = .B ;
IF BTDGTSKT = 9996             THEN BTDGTSKT = .B ;
IF BTDMMGRD = 6                THEN BTDMMGRD = .B ;
IF BTDMQUA  = 6                THEN BTDMQUA  = .B ;
IF BTDMCPTM = 6                THEN BTDMCPTM = .B ;
IF BTDMTPTT = 9996             THEN BTDMTPTT = .B ;
IF BTDMSIZE = 9996             THEN BTDMSIZE = .B ;
IF BTDMSZ3C = 6                THEN BTDMSZ3C = .B ;
IF BTDMERPS = 6                THEN BTDMERPS = .B ;
IF BTDMEMH  = 6                THEN BTDMEMH  = .B ;
IF BTDGMMJ1 = 6                THEN BTDGMMJ1 = .B ;
IF BTDGMMJ2 = 6                THEN BTDGMMJ2 = .B ;
IF BTDGMMJ3 = 6                THEN BTDGMMJ3 = .B ;
IF BTDGMMJ4 = 6                THEN BTDGMMJ4 = .B ;
IF BTDGMMJ5 = 6                THEN BTDGMMJ5 = .B ;
IF BTDMHTM  = 9996             THEN BTDMHTM  = .B ;
IF BTDMTIME = 6                THEN BTDMTIME = .B ;
IF BTDMCALC = 6                THEN BTDMCALC = .B ;
IF BTDMHWK  = 96               THEN BTDMHWK  = .B ;
IF BTDMHWK2 = 6                THEN BTDMHWK2 = .B ;
IF BTDGTTIM = 9996             THEN BTDGTTIM = .B ;
IF BTDMTTIM = 9996             THEN BTDMTTIM = .B ;
IF BTDGCPLN = 9996             THEN BTDGCPLN = .B ;
IF BTDGADMN = 9996             THEN BTDGADMN = .B ;
IF BTDGOTHR = 9996             THEN BTDGOTHR = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDSUBJCT = 9                THEN IDSUBJCT = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDTEACH  = 99999999         THEN IDTEACH  = . ;
IF IDLINK   = 99               THEN IDLINK   = . ;
IF ITCOURSE = 99               THEN ITCOURSE = . ;
IF BTBGAGE  = 9                THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGTAUG = 99               THEN BTBGTAUG = . ;
IF BTBGTOTL = 99               THEN BTBGTOTL = . ;
IF BTBMSUB1 = 99               THEN BTBMSUB1 = . ;
IF BTBSSUB2 = 99               THEN BTBSSUB2 = . ;
IF BTBSSUB3 = 99               THEN BTBSSUB3 = . ;
IF BTBSSUB4 = 99               THEN BTBSSUB4 = . ;
IF BTBSSUB5 = 99               THEN BTBSSUB5 = . ;
IF BTBSSUB6 = 99               THEN BTBSSUB6 = . ;
IF BTBSSUB7 = 99               THEN BTBSSUB7 = . ;
IF BTBSSUB8 = 99               THEN BTBSSUB8 = . ;
IF BTBGSUB9 = 99               THEN BTBGSUB9 = . ;
IF BTBGTSK1 = 99               THEN BTBGTSK1 = . ;
IF BTBGTSK2 = 99               THEN BTBGTSK2 = . ;
IF BTBGTSK3 = 99               THEN BTBGTSK3 = . ;
IF BTBGTSK4 = 99               THEN BTBGTSK4 = . ;
IF BTBGTSK5 = 99               THEN BTBGTSK5 = . ;
IF BTBGTSK6 = 99               THEN BTBGTSK6 = . ;
IF BTBGTSK7 = 99               THEN BTBGTSK7 = . ;
IF BTBGACT1 = 9                THEN BTBGACT1 = . ;
IF BTBGACT2 = 9                THEN BTBGACT2 = . ;
IF BTBGACT3 = 9                THEN BTBGACT3 = . ;
IF BTBGACT4 = 9                THEN BTBGACT4 = . ;
IF BTBGACT5 = 9                THEN BTBGACT5 = . ;
IF BTBGACT6 = 9                THEN BTBGACT6 = . ;
IF BTBGACT7 = 9                THEN BTBGACT7 = . ;
IF BTBGACT8 = 9                THEN BTBGACT8 = . ;
IF BTBGACT9 = 9                THEN BTBGACT9 = . ;
IF BTBGALTO = 99               THEN BTBGALTO = . ;
IF BTBGMEET = 9                THEN BTBGMEET = . ;
IF BTBGINF1 = 9                THEN BTBGINF1 = . ;
IF BTBGINF2 = 9                THEN BTBGINF2 = . ;
IF BTBGINF3 = 9                THEN BTBGINF3 = . ;
IF BTBGINF4 = 9                THEN BTBGINF4 = . ;
IF BTBMIMP1 = 9                THEN BTBMIMP1 = . ;
IF BTBMIMP2 = 9                THEN BTBMIMP2 = . ;
IF BTBMIMP3 = 9                THEN BTBMIMP3 = . ;
IF BTBMIMP4 = 9                THEN BTBMIMP4 = . ;
IF BTBMIMP5 = 9                THEN BTBMIMP5 = . ;
IF BTBMIMP6 = 9                THEN BTBMIMP6 = . ;
IF BTBMAGR1 = 9                THEN BTBMAGR1 = . ;
IF BTBMAGR2 = 9                THEN BTBMAGR2 = . ;
IF BTBMAGR3 = 9                THEN BTBMAGR3 = . ;
IF BTBGAGR4 = 9                THEN BTBGAGR4 = . ;
IF BTBMAGR5 = 9                THEN BTBMAGR5 = . ;
IF BTBMAGR6 = 9                THEN BTBMAGR6 = . ;
IF BTBMAGR7 = 9                THEN BTBMAGR7 = . ;
IF BTBMAGR8 = 9                THEN BTBMAGR8 = . ;
IF BTBMAGR9 = 9                THEN BTBMAGR9 = . ;
IF BTBMFAM1 = 9                THEN BTBMFAM1 = . ;
IF BTBMFAM2 = 9                THEN BTBMFAM2 = . ;
IF BTBGFAM3 = 9                THEN BTBGFAM3 = . ;
IF BTBGFAM4 = 9                THEN BTBGFAM4 = . ;
IF BTBGFAM5 = 9                THEN BTBGFAM5 = . ;
IF BTBMFAM6 = 9                THEN BTBMFAM6 = . ;
IF BTBMFAM7 = 9                THEN BTBMFAM7 = . ;
IF BTBMFP01 = 9                THEN BTBMFP01 = . ;
IF BTBMFP02 = 9                THEN BTBMFP02 = . ;
IF BTBMFP03 = 9                THEN BTBMFP03 = . ;
IF BTBMFP04 = 9                THEN BTBMFP04 = . ;
IF BTBMFP05 = 9                THEN BTBMFP05 = . ;
IF BTBMFP06 = 9                THEN BTBMFP06 = . ;
IF BTBMFP07 = 9                THEN BTBMFP07 = . ;
IF BTBMFP08 = 9                THEN BTBMFP08 = . ;
IF BTBMFP09 = 9                THEN BTBMFP09 = . ;
IF BTBMFP10 = 9                THEN BTBMFP10 = . ;
IF BTBMFP11 = 9                THEN BTBMFP11 = . ;
IF BTBMFP12 = 9                THEN BTBMFP12 = . ;
IF BTBGEDUC = 9                THEN BTBGEDUC = . ;
IF BTBGTRAC = 9                THEN BTBGTRAC = . ;
IF BTBGYETR = 99               THEN BTBGYETR = . ;
IF BTBGPRTR = 9                THEN BTBGPRTR = . ;
IF BTBGCMAS = 9                THEN BTBGCMAS = . ;
IF BTBGCMA1 = 9                THEN BTBGCMA1 = . ;
IF BTBGCMA2 = 9                THEN BTBGCMA2 = . ;
IF BTBGCMA3 = 9                THEN BTBGCMA3 = . ;
IF BTBGCMA4 = 9                THEN BTBGCMA4 = . ;
IF BTBGCMA5 = 9                THEN BTBGCMA5 = . ;
IF BTBGCMA6 = 9                THEN BTBGCMA6 = . ;
IF BTBGCMA7 = 9                THEN BTBGCMA7 = . ;
IF BTBGCMA8 = 9                THEN BTBGCMA8 = . ;
IF BTBGMMAS = 9                THEN BTBGMMAS = . ;
IF BTBGMMA1 = 9                THEN BTBGMMA1 = . ;
IF BTBGMMA2 = 9                THEN BTBGMMA2 = . ;
IF BTBGMMA3 = 9                THEN BTBGMMA3 = . ;
IF BTBGMMA4 = 9                THEN BTBGMMA4 = . ;
IF BTBGMMA5 = 9                THEN BTBGMMA5 = . ;
IF BTBGMMA6 = 9                THEN BTBGMMA6 = . ;
IF BTBGMMA7 = 9                THEN BTBGMMA7 = . ;
IF BTBGMMA8 = 9                THEN BTBGMMA8 = . ;
IF BTBGCARE = 9                THEN BTBGCARE = . ;
IF BTBGCHNG = 9                THEN BTBGCHNG = . ;
IF BTBGSOAP = 9                THEN BTBGSOAP = . ;
IF BTBGSTAP = 9                THEN BTBGSTAP = . ;
IF BTBGBOOK = 9                THEN BTBGBOOK = . ;
IF BTBMBOY  = 999              THEN BTBMBOY  = . ;
IF BTBMGIRL = 999              THEN BTBMGIRL = . ;
IF BTDMTOEN = 999              THEN BTDMTOEN = . ;
IF BTBMSMEC = 9                THEN BTBMSMEC = . ;
IF BTBMTIME = 9999             THEN BTBMTIME = . ;
IF BTBMTXBK = 9                THEN BTBMTXBK = . ;
IF BTBMTXBR = 9                THEN BTBMTXBR = . ;
IF BTBMCUDL = 9                THEN BTBMCUDL = . ;
IF BTBMWECP = 9                THEN BTBMWECP = . ;
IF BTBMCAL1 = 9                THEN BTBMCAL1 = . ;
IF BTBMCAL2 = 9                THEN BTBMCAL2 = . ;
IF BTBMCAL3 = 9                THEN BTBMCAL3 = . ;
IF BTBMCAL4 = 9                THEN BTBMCAL4 = . ;
IF BTBMCAL5 = 9                THEN BTBMCAL5 = . ;
IF BTBMCOM1 = 9                THEN BTBMCOM1 = . ;
IF BTBMCOM2 = 9                THEN BTBMCOM2 = . ;
IF BTBMINT1 = 9                THEN BTBMINT1 = . ;
IF BTBMINT2 = 9                THEN BTBMINT2 = . ;
IF BTBMSRC1 = 9                THEN BTBMSRC1 = . ;
IF BTBMSRC2 = 9                THEN BTBMSRC2 = . ;
IF BTBMSRC3 = 9                THEN BTBMSRC3 = . ;
IF BTBMSRC4 = 9                THEN BTBMSRC4 = . ;
IF BTBMASK1 = 9                THEN BTBMASK1 = . ;
IF BTBMASK2 = 9                THEN BTBMASK2 = . ;
IF BTBMASK3 = 9                THEN BTBMASK3 = . ;
IF BTBMASK4 = 9                THEN BTBMASK4 = . ;
IF BTBMASK5 = 9                THEN BTBMASK5 = . ;
IF BTBMASK6 = 9                THEN BTBMASK6 = . ;
IF BTBMASK7 = 9                THEN BTBMASK7 = . ;
IF BTBMLES1 = 9                THEN BTBMLES1 = . ;
IF BTBMLES2 = 9                THEN BTBMLES2 = . ;
IF BTBMLES3 = 9                THEN BTBMLES3 = . ;
IF BTBMLES4 = 9                THEN BTBMLES4 = . ;
IF BTBMLES5 = 9                THEN BTBMLES5 = . ;
IF BTBMLES6 = 9                THEN BTBMLES6 = . ;
IF BTBMACT1 = 999              THEN BTBMACT1 = . ;
IF BTBMACT2 = 999              THEN BTBMACT2 = . ;
IF BTBMACT3 = 999              THEN BTBMACT3 = . ;
IF BTBMACT4 = 999              THEN BTBMACT4 = . ;
IF BTBMACT5 = 999              THEN BTBMACT5 = . ;
IF BTBMACT6 = 999              THEN BTBMACT6 = . ;
IF BTBMACT7 = 999              THEN BTBMACT7 = . ;
IF BTBMACT8 = 999              THEN BTBMACT8 = . ;
IF BTBMTB01 = 9                THEN BTBMTB01 = . ;
IF BTBMTT01 = 9                THEN BTBMTT01 = . ;
IF BTBMNT01 = 9                THEN BTBMNT01 = . ;
IF BTBMTB02 = 9                THEN BTBMTB02 = . ;
IF BTBMTT02 = 9                THEN BTBMTT02 = . ;
IF BTBMNT02 = 9                THEN BTBMNT02 = . ;
IF BTBMTB03 = 9                THEN BTBMTB03 = . ;
IF BTBMTT03 = 9                THEN BTBMTT03 = . ;
IF BTBMNT03 = 9                THEN BTBMNT03 = . ;
IF BTBMTB04 = 9                THEN BTBMTB04 = . ;
IF BTBMTT04 = 9                THEN BTBMTT04 = . ;
IF BTBMNT04 = 9                THEN BTBMNT04 = . ;
IF BTBMTB05 = 9                THEN BTBMTB05 = . ;
IF BTBMTT05 = 9                THEN BTBMTT05 = . ;
IF BTBMNT05 = 9                THEN BTBMNT05 = . ;
IF BTBMTB06 = 9                THEN BTBMTB06 = . ;
IF BTBMTT06 = 9                THEN BTBMTT06 = . ;
IF BTBMNT06 = 9                THEN BTBMNT06 = . ;
IF BTBMTB07 = 9                THEN BTBMTB07 = . ;
IF BTBMTT07 = 9                THEN BTBMTT07 = . ;
IF BTBMNT07 = 9                THEN BTBMNT07 = . ;
IF BTBMTB08 = 9                THEN BTBMTB08 = . ;
IF BTBMTT08 = 9                THEN BTBMTT08 = . ;
IF BTBMNT08 = 9                THEN BTBMNT08 = . ;
IF BTBMTB09 = 9                THEN BTBMTB09 = . ;
IF BTBMTT09 = 9                THEN BTBMTT09 = . ;
IF BTBMNT09 = 9                THEN BTBMNT09 = . ;
IF BTBMTB10 = 9                THEN BTBMTB10 = . ;
IF BTBMTT10 = 9                THEN BTBMTT10 = . ;
IF BTBMNT10 = 9                THEN BTBMNT10 = . ;
IF BTBMTB11 = 9                THEN BTBMTB11 = . ;
IF BTBMTT11 = 9                THEN BTBMTT11 = . ;
IF BTBMNT11 = 9                THEN BTBMNT11 = . ;
IF BTBMTB12 = 9                THEN BTBMTB12 = . ;
IF BTBMTT12 = 9                THEN BTBMTT12 = . ;
IF BTBMNT12 = 9                THEN BTBMNT12 = . ;
IF BTBMTB13 = 9                THEN BTBMTB13 = . ;
IF BTBMTT13 = 9                THEN BTBMTT13 = . ;
IF BTBMNT13 = 9                THEN BTBMNT13 = . ;
IF BTBMTB14 = 9                THEN BTBMTB14 = . ;
IF BTBMTT14 = 9                THEN BTBMTT14 = . ;
IF BTBMNT14 = 9                THEN BTBMNT14 = . ;
IF BTBMTB15 = 9                THEN BTBMTB15 = . ;
IF BTBMTT15 = 9                THEN BTBMTT15 = . ;
IF BTBMNT15 = 9                THEN BTBMNT15 = . ;
IF BTBMTB16 = 9                THEN BTBMTB16 = . ;
IF BTBMTT16 = 9                THEN BTBMTT16 = . ;
IF BTBMNT16 = 9                THEN BTBMNT16 = . ;
IF BTBMTB17 = 9                THEN BTBMTB17 = . ;
IF BTBMTT17 = 9                THEN BTBMTT17 = . ;
IF BTBMNT17 = 9                THEN BTBMNT17 = . ;
IF BTBMTB18 = 9                THEN BTBMTB18 = . ;
IF BTBMTT18 = 9                THEN BTBMTT18 = . ;
IF BTBMNT18 = 9                THEN BTBMNT18 = . ;
IF BTBMTB19 = 9                THEN BTBMTB19 = . ;
IF BTBMTT19 = 9                THEN BTBMTT19 = . ;
IF BTBMNT19 = 9                THEN BTBMNT19 = . ;
IF BTBMTB20 = 9                THEN BTBMTB20 = . ;
IF BTBMTT20 = 9                THEN BTBMTT20 = . ;
IF BTBMNT20 = 9                THEN BTBMNT20 = . ;
IF BTBMTB21 = 9                THEN BTBMTB21 = . ;
IF BTBMTT21 = 9                THEN BTBMTT21 = . ;
IF BTBMNT21 = 9                THEN BTBMNT21 = . ;
IF BTBMTB22 = 9                THEN BTBMTB22 = . ;
IF BTBMTT22 = 9                THEN BTBMTT22 = . ;
IF BTBMNT22 = 9                THEN BTBMNT22 = . ;
IF BTBMTB23 = 9                THEN BTBMTB23 = . ;
IF BTBMTT23 = 9                THEN BTBMTT23 = . ;
IF BTBMNT23 = 9                THEN BTBMNT23 = . ;
IF BTBMTB24 = 9                THEN BTBMTB24 = . ;
IF BTBMTT24 = 9                THEN BTBMTT24 = . ;
IF BTBMNT24 = 9                THEN BTBMNT24 = . ;
IF BTBMTB25 = 9                THEN BTBMTB25 = . ;
IF BTBMTT25 = 9                THEN BTBMTT25 = . ;
IF BTBMNT25 = 9                THEN BTBMNT25 = . ;
IF BTBMTB26 = 9                THEN BTBMTB26 = . ;
IF BTBMTT26 = 9                THEN BTBMTT26 = . ;
IF BTBMNT26 = 9                THEN BTBMNT26 = . ;
IF BTBMTB27 = 9                THEN BTBMTB27 = . ;
IF BTBMTT27 = 9                THEN BTBMTT27 = . ;
IF BTBMNT27 = 9                THEN BTBMNT27 = . ;
IF BTBMTB28 = 9                THEN BTBMTB28 = . ;
IF BTBMTT28 = 9                THEN BTBMTT28 = . ;
IF BTBMNT28 = 9                THEN BTBMNT28 = . ;
IF BTBMTB29 = 9                THEN BTBMTB29 = . ;
IF BTBMTT29 = 9                THEN BTBMTT29 = . ;
IF BTBMNT29 = 9                THEN BTBMNT29 = . ;
IF BTBMTB30 = 9                THEN BTBMTB30 = . ;
IF BTBMTT30 = 9                THEN BTBMTT30 = . ;
IF BTBMNT30 = 9                THEN BTBMNT30 = . ;
IF BTBMTB31 = 9                THEN BTBMTB31 = . ;
IF BTBMTT31 = 9                THEN BTBMTT31 = . ;
IF BTBMNT31 = 9                THEN BTBMNT31 = . ;
IF BTBMTB32 = 9                THEN BTBMTB32 = . ;
IF BTBMTT32 = 9                THEN BTBMTT32 = . ;
IF BTBMNT32 = 9                THEN BTBMNT32 = . ;
IF BTBMTB33 = 9                THEN BTBMTB33 = . ;
IF BTBMTT33 = 9                THEN BTBMTT33 = . ;
IF BTBMNT33 = 9                THEN BTBMNT33 = . ;
IF BTBMTB34 = 9                THEN BTBMTB34 = . ;
IF BTBMTT34 = 9                THEN BTBMTT34 = . ;
IF BTBMNT34 = 9                THEN BTBMNT34 = . ;
IF BTBMLM01 = 9                THEN BTBMLM01 = . ;
IF BTBMLM02 = 9                THEN BTBMLM02 = . ;
IF BTBMLM03 = 9                THEN BTBMLM03 = . ;
IF BTBMLM04 = 9                THEN BTBMLM04 = . ;
IF BTBMLM05 = 9                THEN BTBMLM05 = . ;
IF BTBMLM06 = 9                THEN BTBMLM06 = . ;
IF BTBMLM07 = 9                THEN BTBMLM07 = . ;
IF BTBMLM08 = 9                THEN BTBMLM08 = . ;
IF BTBMLM09 = 9                THEN BTBMLM09 = . ;
IF BTBMLM10 = 9                THEN BTBMLM10 = . ;
IF BTBMLM11 = 9                THEN BTBMLM11 = . ;
IF BTBMLM12 = 9                THEN BTBMLM12 = . ;
IF BTBMLM13 = 9                THEN BTBMLM13 = . ;
IF BTBMLM14 = 9                THEN BTBMLM14 = . ;
IF BTBMLM15 = 9                THEN BTBMLM15 = . ;
IF BTBMLM16 = 9                THEN BTBMLM16 = . ;
IF BTBMHMW2 = 9                THEN BTBMHMW2 = . ;
IF BTBMHWMA = 9                THEN BTBMHWMA = . ;
IF BTBMWKBR = 9                THEN BTBMWKBR = . ;
IF BTBMPROR = 9                THEN BTBMPROR = . ;
IF BTBMREAR = 9                THEN BTBMREAR = . ;
IF BTBMWRIR = 9                THEN BTBMWRIR = . ;
IF BTBMDATR = 9                THEN BTBMDATR = . ;
IF BTBMIEXR = 9                THEN BTBMIEXR = . ;
IF BTBMGEXR = 9                THEN BTBMGEXR = . ;
IF BTBMFINR = 9                THEN BTBMFINR = . ;
IF BTBMORAR = 9                THEN BTBMORAR = . ;
IF BTBMJORR = 9                THEN BTBMJORR = . ;
IF BTBMWHNA = 9                THEN BTBMWHNA = . ;
IF BTBMWHR1 = 9                THEN BTBMWHR1 = . ;
IF BTBMWHR2 = 9                THEN BTBMWHR2 = . ;
IF BTBMWHR3 = 9                THEN BTBMWHR3 = . ;
IF BTBMWHR4 = 9                THEN BTBMWHR4 = . ;
IF BTBMWHR5 = 9                THEN BTBMWHR5 = . ;
IF BTBMWHR6 = 9                THEN BTBMWHR6 = . ;
IF BTBMWHR7 = 9                THEN BTBMWHR7 = . ;
IF BTBMWHR8 = 9                THEN BTBMWHR8 = . ;
IF BTBMWGT1 = 9                THEN BTBMWGT1 = . ;
IF BTBMWGT2 = 9                THEN BTBMWGT2 = . ;
IF BTBMWGT3 = 9                THEN BTBMWGT3 = . ;
IF BTBMWGT4 = 9                THEN BTBMWGT4 = . ;
IF BTBMWGT5 = 9                THEN BTBMWGT5 = . ;
IF BTBMWGT6 = 9                THEN BTBMWGT6 = . ;
IF BTBMWGT7 = 9                THEN BTBMWGT7 = . ;
IF BTBGASS1 = 9                THEN BTBGASS1 = . ;
IF BTBGASS2 = 9                THEN BTBGASS2 = . ;
IF BTBGASS3 = 9                THEN BTBGASS3 = . ;
IF BTBGASS4 = 9                THEN BTBGASS4 = . ;
IF BTBGASS5 = 9                THEN BTBGASS5 = . ;
IF BTBGASS6 = 9                THEN BTBGASS6 = . ;
IF BTDGSUBT = 9999             THEN BTDGSUBT = . ;
IF BTDGTSKT = 9999             THEN BTDGTSKT = . ;
IF BTDMMGRD = 9                THEN BTDMMGRD = . ;
IF BTDMQUA  = 9                THEN BTDMQUA  = . ;
IF BTDMCPTM = 9                THEN BTDMCPTM = . ;
IF BTDMTPTT = 9999             THEN BTDMTPTT = . ;
IF BTDMSIZE = 9999             THEN BTDMSIZE = . ;
IF BTDMSZ3C = 9                THEN BTDMSZ3C = . ;
IF BTDMERPS = 9                THEN BTDMERPS = . ;
IF BTDMEMH  = 9                THEN BTDMEMH  = . ;
IF BTDGMMJ1 = 9                THEN BTDGMMJ1 = . ;
IF BTDGMMJ2 = 9                THEN BTDGMMJ2 = . ;
IF BTDGMMJ3 = 9                THEN BTDGMMJ3 = . ;
IF BTDGMMJ4 = 9                THEN BTDGMMJ4 = . ;
IF BTDGMMJ5 = 9                THEN BTDGMMJ5 = . ;
IF BTDMHTM  = 9999             THEN BTDMHTM  = . ;
IF BTDMTIME = 9                THEN BTDMTIME = . ;
IF BTDMCALC = 9                THEN BTDMCALC = . ;
IF BTDMHWK  = 99               THEN BTDMHWK  = . ;
IF BTDMHWK2 = 9                THEN BTDMHWK2 = . ;
IF BTDGTTIM = 9999             THEN BTDGTTIM = . ;
IF BTDMTTIM = 9999             THEN BTDMTTIM = . ;
IF BTDGCPLN = 9999             THEN BTDGCPLN = . ;
IF BTDGADMN = 9999             THEN BTDGADMN = . ;
IF BTDGOTHR = 9999             THEN BTDGOTHR = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idteach idlink;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;











