%let cty =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
            FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
            KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
            SCO SGP SVK SVN ESP SWE CHE THA USA ITA ;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bts&ccode.m1 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDTEACH    8 ;
LENGTH      IDLINK     3 ;
LENGTH      IDSUBJCT   3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGEDUC   3 ;
LENGTH      BTBSTEAC   3 ;
LENGTH      BTBSGRPK   3 ;
LENGTH      BTBSGRK    3 ;
LENGTH      BTBSGR1    3 ;
LENGTH      BTBSGR2    3 ;
LENGTH      BTBSGR3    3 ;
LENGTH      BTBSGR4    3 ;
LENGTH      BTBSGR5    3 ;
LENGTH      BTBSGR6    3 ;
LENGTH      BTBSGR7    3 ;
LENGTH      BTBSGR8    3 ;
LENGTH      BTBSGR9    3 ;
LENGTH      BTBSGR10   3 ;
LENGTH      BTBSGR11   3 ;
LENGTH      BTBSGR12   3 ;
LENGTH      BTBSGR13   3 ;
LENGTH      BTBMTEAC   3 ;
LENGTH      BTBMGRPK   3 ;
LENGTH      BTBMGRK    3 ;
LENGTH      BTBMGR1    3 ;
LENGTH      BTBMGR2    3 ;
LENGTH      BTBMGR3    3 ;
LENGTH      BTBMGR4    3 ;
LENGTH      BTBMGR5    3 ;
LENGTH      BTBMGR6    3 ;
LENGTH      BTBMGR7    3 ;
LENGTH      BTBMGR8    3 ;
LENGTH      BTBMGR9    3 ;
LENGTH      BTBMGR10   3 ;
LENGTH      BTBMGR11   3 ;
LENGTH      BTBMGR12   3 ;
LENGTH      BTBMGR13   3 ;
LENGTH      BTBGPTFT   3 ;
LENGTH      BTBGTAUG   3 ;
LENGTH      BTBGGRPK   3 ;
LENGTH      BTBGGRK    3 ;
LENGTH      BTBGGR1    3 ;
LENGTH      BTBGGR2    3 ;
LENGTH      BTBGGR3    3 ;
LENGTH      BTBGGR4    3 ;
LENGTH      BTBGGR5    3 ;
LENGTH      BTBGGR6    3 ;
LENGTH      BTBGGR7    3 ;
LENGTH      BTBGGR8    3 ;
LENGTH      BTBGGR9    3 ;
LENGTH      BTBGGR10   3 ;
LENGTH      BTBGGR11   3 ;
LENGTH      BTBGGR12   3 ;
LENGTH      BTBGGR13   3 ;
LENGTH      BTBMSUB1   3 ;
LENGTH      BTBSSUB2   3 ;
LENGTH      BTBSSUB3   3 ;
LENGTH      BTBSSUB4   3 ;
LENGTH      BTBSSUB5   3 ;
LENGTH      BTBSSUB6   3 ;
LENGTH      BTBSSUB7   3 ;
LENGTH      BTBSSUB8   3 ;
LENGTH      BTBGSUB9   3 ;
LENGTH      BTBGTSK1   3 ;
LENGTH      BTBGTSK2   3 ;
LENGTH      BTBGTSK3   3 ;
LENGTH      BTBGTSK4   3 ;
LENGTH      BTBGTSK5   3 ;
LENGTH      BTBGTSK6   3 ;
LENGTH      BTBGTOTL   3 ;
LENGTH      BTBGACT1   3 ;
LENGTH      BTBGACT2   3 ;
LENGTH      BTBGACT3   3 ;
LENGTH      BTBGACT4   3 ;
LENGTH      BTBGACT5   3 ;
LENGTH      BTBGACT6   3 ;
LENGTH      BTBGACT7   3 ;
LENGTH      BTBGACT8   3 ;
LENGTH      BTBGMEET   3 ;
LENGTH      BTBGINF1   3 ;
LENGTH      BTBGINF2   3 ;
LENGTH      BTBGINF3   3 ;
LENGTH      BTBGINF4   3 ;
LENGTH      BTBSIMP1   3 ;
LENGTH      BTBSIMP2   3 ;
LENGTH      BTBSIMP3   3 ;
LENGTH      BTBSIMP4   3 ;
LENGTH      BTBSIMP5   3 ;
LENGTH      BTBSIMP6   3 ;
LENGTH      BTBSAGR1   3 ;
LENGTH      BTBSAGR2   3 ;
LENGTH      BTBSAGR3   3 ;
LENGTH      BTBSAGR4   3 ;
LENGTH      BTBSAGR5   3 ;
LENGTH      BTBSAGR6   3 ;
LENGTH      BTBSAGR7   3 ;
LENGTH      BTBSAGR8   3 ;
LENGTH      BTBSAGR9   3 ;
LENGTH      BTBSFAM1   3 ;
LENGTH      BTBSFAM2   3 ;
LENGTH      BTBGFAM3   3 ;
LENGTH      BTBGFAM4   3 ;
LENGTH      BTBGFAM5   3 ;
LENGTH      BTBSFAM6   3 ;
LENGTH      BTBSFAM7   3 ;
LENGTH      BTBSPRP1   3 ;
LENGTH      BTBSPRP2   3 ;
LENGTH      BTBSPRP3   3 ;
LENGTH      BTBSPRP4   3 ;
LENGTH      BTBSPRP5   3 ;
LENGTH      BTBSPRP6   3 ;
LENGTH      BTBSPRP7   3 ;
LENGTH      BTBSPRP8   3 ;
LENGTH      BTBSPRP9   3 ;
LENGTH      BTBGCARE   3 ;
LENGTH      BTBGCHNG   3 ;
LENGTH      BTBGSOAP   3 ;
LENGTH      BTBGSTAP   3 ;
LENGTH      BTBGBOOK   3 ;
LENGTH      BTBGRNK1   3 ;
LENGTH      BTBGRNK2   3 ;
LENGTH      BTBGRNK3   3 ;
LENGTH      BTBGRNK4   3 ;
LENGTH      BTBGRNK5   3 ;
LENGTH      BTBGRNK6   3 ;
LENGTH      BTBGRNK7   3 ;
LENGTH      BTBGRNK8   3 ;
LENGTH      BTBGRNK9   3 ;
LENGTH      BTBSBOY    3 ;
LENGTH      BTBSGIRL   3 ;
LENGTH      BTBSACH1   3 ;
LENGTH      BTBSACH2   3 ;
LENGTH      BTBSACH3   3 ;
LENGTH      BTBSTIME   4 ;
LENGTH      BTBSTXBK   3 ;
LENGTH      BTBSTXB0   3 ;
LENGTH      BTBSTXB1   3 ;
LENGTH      BTBSTXB2   3 ;
LENGTH      BTBSTXB3   3 ;
LENGTH      BTBSTXB4   3 ;
LENGTH      BTBSTXB5   3 ;
LENGTH      BTBSTXB6   3 ;
LENGTH      BTBSTXB7   3 ;
LENGTH      BTBSTXB8   3 ;
LENGTH      BTBSTXB9   3 ;
LENGTH      BTBSTXNM   3 ;
LENGTH      BTBSTXBS   3 ;
LENGTH      BTBSADTB   3 ;
LENGTH      BTBSLM01   3 ;
LENGTH      BTBSLM02   3 ;
LENGTH      BTBSLM03   3 ;
LENGTH      BTBSLM04   3 ;
LENGTH      BTBSLM05   3 ;
LENGTH      BTBSLM06   3 ;
LENGTH      BTBSLM07   3 ;
LENGTH      BTBSLM08   3 ;
LENGTH      BTBSLM09   3 ;
LENGTH      BTBSLM10   3 ;
LENGTH      BTBSLM11   3 ;
LENGTH      BTBSLM12   3 ;
LENGTH      BTBSLM13   3 ;
LENGTH      BTBSLM14   3 ;
LENGTH      BTBSLM15   3 ;
LENGTH      BTBSLM16   3 ;
LENGTH      BTBSCALC   3 ;
LENGTH      BTBSCAL1   3 ;
LENGTH      BTBSCAL2   3 ;
LENGTH      BTBSCAL3   3 ;
LENGTH      BTBSCAL4   3 ;
LENGTH      BTBSCAL5   3 ;
LENGTH      BTBSRLY1   3 ;
LENGTH      BTBSRLY2   3 ;
LENGTH      BTBSRLY3   3 ;
LENGTH      BTBSRLY4   3 ;
LENGTH      BTBSRLY5   3 ;
LENGTH      BTBSRLY6   3 ;
LENGTH      BTBSRLY7   3 ;
LENGTH      BTBSSRC1   3 ;
LENGTH      BTBSSRC2   3 ;
LENGTH      BTBSSRC3   3 ;
LENGTH      BTBSSRC4   3 ;
LENGTH      BTBSTA     3 ;
LENGTH      BTBSTAA    3 ;
LENGTH      BTBSTAB    3 ;
LENGTH      BTBSTAC    3 ;
LENGTH      BTBSTA1    3 ;
LENGTH      BTBSTA1A   3 ;
LENGTH      BTBSTA1B   3 ;
LENGTH      BTBSTA1C   3 ;
LENGTH      BTBSTA2    3 ;
LENGTH      BTBSTA2A   3 ;
LENGTH      BTBSTA2B   3 ;
LENGTH      BTBSTA2C   3 ;
LENGTH      BTBSTA3    3 ;
LENGTH      BTBSTA3A   3 ;
LENGTH      BTBSTA3B   3 ;
LENGTH      BTBSTA3C   3 ;
LENGTH      BTBSTA4    3 ;
LENGTH      BTBSTA4A   3 ;
LENGTH      BTBSTA4B   3 ;
LENGTH      BTBSTA4C   3 ;
LENGTH      BTBSTA5    3 ;
LENGTH      BTBSTA5A   3 ;
LENGTH      BTBSTA5B   3 ;
LENGTH      BTBSTA5C   3 ;
LENGTH      BTBSTA6    3 ;
LENGTH      BTBSTA6A   3 ;
LENGTH      BTBSTA6B   3 ;
LENGTH      BTBSTA6C   3 ;
LENGTH      BTBSTB     3 ;
LENGTH      BTBSTBA    3 ;
LENGTH      BTBSTBB    3 ;
LENGTH      BTBSTBC    3 ;
LENGTH      BTBSTC     3 ;
LENGTH      BTBSTCA    3 ;
LENGTH      BTBSTCB    3 ;
LENGTH      BTBSTCC    3 ;
LENGTH      BTBSTD     3 ;
LENGTH      BTBSTDA    3 ;
LENGTH      BTBSTDB    3 ;
LENGTH      BTBSTDC    3 ;
LENGTH      BTBSTD1    3 ;
LENGTH      BTBSTD1A   3 ;
LENGTH      BTBSTD1B   3 ;
LENGTH      BTBSTD1C   3 ;
LENGTH      BTBSTD2    3 ;
LENGTH      BTBSTD2A   3 ;
LENGTH      BTBSTD2B   3 ;
LENGTH      BTBSTD2C   3 ;
LENGTH      BTBSTD3    3 ;
LENGTH      BTBSTD3A   3 ;
LENGTH      BTBSTD3B   3 ;
LENGTH      BTBSTD3C   3 ;
LENGTH      BTBSTD4    3 ;
LENGTH      BTBSTD4A   3 ;
LENGTH      BTBSTD4B   3 ;
LENGTH      BTBSTD4C   3 ;
LENGTH      BTBSTE     3 ;
LENGTH      BTBSTEA    3 ;
LENGTH      BTBSTEB    3 ;
LENGTH      BTBSTEC    3 ;
LENGTH      BTBSTF     3 ;
LENGTH      BTBSTFA    3 ;
LENGTH      BTBSTFB    3 ;
LENGTH      BTBSTFC    3 ;
LENGTH      BTBSTG     3 ;
LENGTH      BTBSTGA    3 ;
LENGTH      BTBSTGB    3 ;
LENGTH      BTBSTGC    3 ;
LENGTH      BTBSTH     3 ;
LENGTH      BTBSTHA    3 ;
LENGTH      BTBSTHB    3 ;
LENGTH      BTBSTHC    3 ;
LENGTH      BTBSTI     3 ;
LENGTH      BTBSTIA    3 ;
LENGTH      BTBSTIB    3 ;
LENGTH      BTBSTIC    3 ;
LENGTH      BTBSTJ     3 ;
LENGTH      BTBSTJA    3 ;
LENGTH      BTBSTJB    3 ;
LENGTH      BTBSTJC    3 ;
LENGTH      BTBSTK     3 ;
LENGTH      BTBSTKA    3 ;
LENGTH      BTBSTKB    3 ;
LENGTH      BTBSTKC    3 ;
LENGTH      BTBSTL     3 ;
LENGTH      BTBSTLA    3 ;
LENGTH      BTBSTLB    3 ;
LENGTH      BTBSTLC    3 ;
LENGTH      BTBSTL1    3 ;
LENGTH      BTBSTL1A   3 ;
LENGTH      BTBSTL1B   3 ;
LENGTH      BTBSTL1C   3 ;
LENGTH      BTBSTM     3 ;
LENGTH      BTBSTMA    3 ;
LENGTH      BTBSTMB    3 ;
LENGTH      BTBSTMC    3 ;
LENGTH      BTBSTN     3 ;
LENGTH      BTBSTNA    3 ;
LENGTH      BTBSTNB    3 ;
LENGTH      BTBSTNC    3 ;
LENGTH      BTBSTO     3 ;
LENGTH      BTBSTOA    3 ;
LENGTH      BTBSTOB    3 ;
LENGTH      BTBSTOC    3 ;
LENGTH      BTBSTP     3 ;
LENGTH      BTBSTPA    3 ;
LENGTH      BTBSTPB    3 ;
LENGTH      BTBSTPC    3 ;
LENGTH      BTBSTQ     3 ;
LENGTH      BTBSTQA    3 ;
LENGTH      BTBSTQB    3 ;
LENGTH      BTBSTQC    3 ;
LENGTH      BTBSTR     3 ;
LENGTH      BTBSTRA    3 ;
LENGTH      BTBSTRB    3 ;
LENGTH      BTBSTRC    3 ;
LENGTH      BTBSTS     3 ;
LENGTH      BTBSTSA    3 ;
LENGTH      BTBSTSB    3 ;
LENGTH      BTBSTSC    3 ;
LENGTH      BTBSTT     3 ;
LENGTH      BTBSTTA    3 ;
LENGTH      BTBSTTB    3 ;
LENGTH      BTBSTTC    3 ;
LENGTH      BTBSTU     3 ;
LENGTH      BTBSTUA    3 ;
LENGTH      BTBSTUB    3 ;
LENGTH      BTBSTUC    3 ;
LENGTH      BTBSTV     3 ;
LENGTH      BTBSTVA    3 ;
LENGTH      BTBSTVB    3 ;
LENGTH      BTBSTVC    3 ;
LENGTH      BTBSTW1    3 ;
LENGTH      BTBSTW1A   3 ;
LENGTH      BTBSTW1B   3 ;
LENGTH      BTBSTW1C   3 ;
LENGTH      BTBSTW2    3 ;
LENGTH      BTBSTW2A   3 ;
LENGTH      BTBSTW2B   3 ;
LENGTH      BTBSTW2C   3 ;
LENGTH      BTBSTW3    3 ;
LENGTH      BTBSTW3A   3 ;
LENGTH      BTBSTW3B   3 ;
LENGTH      BTBSTW3C   3 ;
LENGTH      BTBSTX1    3 ;
LENGTH      BTBSTX1A   3 ;
LENGTH      BTBSTX1B   3 ;
LENGTH      BTBSTX1C   3 ;
LENGTH      BTBSTX2    3 ;
LENGTH      BTBSTX2A   3 ;
LENGTH      BTBSTX2B   3 ;
LENGTH      BTBSTX2C   3 ;
LENGTH      BTBSTX3    3 ;
LENGTH      BTBSTX3A   3 ;
LENGTH      BTBSTX3B   3 ;
LENGTH      BTBSTX3C   3 ;
LENGTH      BTBSTX4    3 ;
LENGTH      BTBSTX4A   3 ;
LENGTH      BTBSTX4B   3 ;
LENGTH      BTBSTX4C   3 ;
LENGTH      BTBSCLTM   3 ;
LENGTH      BTBSTO01   3 ;
LENGTH      BTBSTO02   3 ;
LENGTH      BTBSTO03   3 ;
LENGTH      BTBSTO04   3 ;
LENGTH      BTBSTO05   3 ;
LENGTH      BTBSTO06   3 ;
LENGTH      BTBSTO07   3 ;
LENGTH      BTBSTO08   3 ;
LENGTH      BTBSTO09   3 ;
LENGTH      BTBSTO10   3 ;
LENGTH      BTBSTO11   3 ;
LENGTH      BTBSTO12   3 ;
LENGTH      BTBSTO13   3 ;
LENGTH      BTBSTO14   3 ;
LENGTH      BTBSTO15   3 ;
LENGTH      BTBSTO16   3 ;
LENGTH      BTBSTO17   3 ;
LENGTH      BTBSTO18   3 ;
LENGTH      BTBSTO19   3 ;
LENGTH      BTBSTO20   3 ;
LENGTH      BTBSTO21   3 ;
LENGTH      BTBSTO22   3 ;
LENGTH      BTBSTOP1   3 ;
LENGTH      BTBSTOP2   3 ;
LENGTH      BTBSTOP3   3 ;
LENGTH      BTBSHMW1   3 ;
LENGTH      BTBSHWT1   3 ;
LENGTH      BTBSCLCM   3 ;
LENGTH      BTBSLAB1   3 ;
LENGTH      BTBSLAB2   3 ;
LENGTH      BTBSOR01   3 ;
LENGTH      BTBSTM01   3 ;
LENGTH      BTBSOR02   3 ;
LENGTH      BTBSTM02   3 ;
LENGTH      BTBSOR03   3 ;
LENGTH      BTBSTM03   3 ;
LENGTH      BTBSOR04   3 ;
LENGTH      BTBSTM04   3 ;
LENGTH      BTBSOR05   3 ;
LENGTH      BTBSTM05   3 ;
LENGTH      BTBSOR06   3 ;
LENGTH      BTBSTM06   3 ;
LENGTH      BTBSOR07   3 ;
LENGTH      BTBSTM07   3 ;
LENGTH      BTBSOR08   3 ;
LENGTH      BTBSTM08   3 ;
LENGTH      BTBSOR09   3 ;
LENGTH      BTBSTM09   3 ;
LENGTH      BTBSOR10   3 ;
LENGTH      BTBSTM10   3 ;
LENGTH      BTBSOR11   3 ;
LENGTH      BTBSTM11   3 ;
LENGTH      BTBSSGRP   3 ;
LENGTH      BTBSASK1   3 ;
LENGTH      BTBSASK2   3 ;
LENGTH      BTBSASK3   3 ;
LENGTH      BTBSASK4   3 ;
LENGTH      BTBSASK5   3 ;
LENGTH      BTBSASK6   3 ;
LENGTH      BTBSDO1    3 ;
LENGTH      BTBSDO2    3 ;
LENGTH      BTBSDO3    3 ;
LENGTH      BTBSDO4    3 ;
LENGTH      BTBSLES1   3 ;
LENGTH      BTBSLES2   3 ;
LENGTH      BTBSLES3   3 ;
LENGTH      BTBSLES4   3 ;
LENGTH      BTBSLES5   3 ;
LENGTH      BTBSLES6   3 ;
LENGTH      BTBSHMW2   3 ;
LENGTH      BTBSHWT2   3 ;
LENGTH      BTBSWKBK   3 ;
LENGTH      BTBSPROB   3 ;
LENGTH      BTBSREAD   3 ;
LENGTH      BTBSWRIT   3 ;
LENGTH      BTBSDATA   3 ;
LENGTH      BTBSIEXP   3 ;
LENGTH      BTBSGEXP   3 ;
LENGTH      BTBSFIND   3 ;
LENGTH      BTBSORAL   3 ;
LENGTH      BTBSJOUR   3 ;
LENGTH      BTBSWHW1   3 ;
LENGTH      BTBSWHW2   3 ;
LENGTH      BTBSWHW3   3 ;
LENGTH      BTBSWHW4   3 ;
LENGTH      BTBSWHW5   3 ;
LENGTH      BTBSWHW6   3 ;
LENGTH      BTBSWHW7   3 ;
LENGTH      BTBSWHW8   3 ;
LENGTH      BTBSWGT1   3 ;
LENGTH      BTBSWGT2   3 ;
LENGTH      BTBSWGT3   3 ;
LENGTH      BTBSWGT4   3 ;
LENGTH      BTBSWGT5   3 ;
LENGTH      BTBSWGT6   3 ;
LENGTH      BTBSWGT7   3 ;
LENGTH      BTBGASS1   3 ;
LENGTH      BTBGASS2   3 ;
LENGTH      BTBGASS3   3 ;
LENGTH      BTBGASS4   3 ;
LENGTH      BTBGASS5   3 ;
LENGTH      BTBGASS6   3 ;
LENGTH      BTDSTOEN   3 ;
LENGTH      BTDGADMN   8 ;
LENGTH      BTDGCPLN   8 ;
LENGTH      BTDGOTHR   8 ;
LENGTH      BTDGSUBT   8 ;
LENGTH      BTDGTSKT   8 ;
LENGTH      BTDGTTIM   8 ;
LENGTH      BTDSCPTS   3 ;
LENGTH      BTDSERPS   3 ;
LENGTH      BTDSESH    3 ;
LENGTH      BTDSHTS    8 ;
LENGTH      BTDSSIZE   8 ;
LENGTH      BTDSSZ3C   3 ;
LENGTH      BTDSTPTT   8 ;
LENGTH      BTDSTTIM   8 ;
LENGTH      BTDSTIME   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDPOP         8-   8     
  IDSCHOOL      9-  14     
  IDTEACH      15-  22     
  IDLINK       23-  24     
  IDSUBJCT     25-  25     
  BTBGAGE      26-  27     
  BTBGSEX      28-  28     
  BTBGEDUC     29-  30     
  BTBSTEAC     31-  31     
  BTBSGRPK     32-  32     
  BTBSGRK      33-  33     
  BTBSGR1      34-  34     
  BTBSGR2      35-  35     
  BTBSGR3      36-  36     
  BTBSGR4      37-  37     
  BTBSGR5      38-  38     
  BTBSGR6      39-  39     
  BTBSGR7      40-  40     
  BTBSGR8      41-  41     
  BTBSGR9      42-  42     
  BTBSGR10     43-  43     
  BTBSGR11     44-  44     
  BTBSGR12     45-  45     
  BTBSGR13     46-  46     
  BTBMTEAC     47-  47     
  BTBMGRPK     48-  48     
  BTBMGRK      49-  49     
  BTBMGR1      50-  50     
  BTBMGR2      51-  51     
  BTBMGR3      52-  52     
  BTBMGR4      53-  53     
  BTBMGR5      54-  54     
  BTBMGR6      55-  55     
  BTBMGR7      56-  56     
  BTBMGR8      57-  57     
  BTBMGR9      58-  58     
  BTBMGR10     59-  59     
  BTBMGR11     60-  60     
  BTBMGR12     61-  61     
  BTBMGR13     62-  62     
  BTBGPTFT     63-  63     
  BTBGTAUG     64-  65     
  BTBGGRPK     66-  66     
  BTBGGRK      67-  67     
  BTBGGR1      68-  68     
  BTBGGR2      69-  69     
  BTBGGR3      70-  70     
  BTBGGR4      71-  71     
  BTBGGR5      72-  72     
  BTBGGR6      73-  73     
  BTBGGR7      74-  74     
  BTBGGR8      75-  75     
  BTBGGR9      76-  76     
  BTBGGR10     77-  77     
  BTBGGR11     78-  78     
  BTBGGR12     79-  79     
  BTBGGR13     80-  80     
  BTBMSUB1     81-  82     
  BTBSSUB2     83-  84     
  BTBSSUB3     85-  86     
  BTBSSUB4     87-  88     
  BTBSSUB5     89-  90     
  BTBSSUB6     91-  92     
  BTBSSUB7     93-  94     
  BTBSSUB8     95-  96     
  BTBGSUB9     97-  98     
  BTBGTSK1     99- 100     
  BTBGTSK2    101- 102     
  BTBGTSK3    103- 104     
  BTBGTSK4    105- 106     
  BTBGTSK5    107- 108     
  BTBGTSK6    109- 110     
  BTBGTOTL    111- 112     
  BTBGACT1    113- 113     
  BTBGACT2    114- 114     
  BTBGACT3    115- 115     
  BTBGACT4    116- 116     
  BTBGACT5    117- 117     
  BTBGACT6    118- 118     
  BTBGACT7    119- 119     
  BTBGACT8    120- 120     
  BTBGMEET    121- 122     
  BTBGINF1    123- 123     
  BTBGINF2    124- 124     
  BTBGINF3    125- 125     
  BTBGINF4    126- 126     
  BTBSIMP1    127- 127     
  BTBSIMP2    128- 128     
  BTBSIMP3    129- 129     
  BTBSIMP4    130- 130     
  BTBSIMP5    131- 131     
  BTBSIMP6    132- 132     
  BTBSAGR1    133- 133     
  BTBSAGR2    134- 134     
  BTBSAGR3    135- 135     
  BTBSAGR4    136- 136     
  BTBSAGR5    137- 137     
  BTBSAGR6    138- 138     
  BTBSAGR7    139- 139     
  BTBSAGR8    140- 140     
  BTBSAGR9    141- 141     
  BTBSFAM1    142- 142     
  BTBSFAM2    143- 143     
  BTBGFAM3    144- 144     
  BTBGFAM4    145- 145     
  BTBGFAM5    146- 146     
  BTBSFAM6    147- 147     
  BTBSFAM7    148- 148     
  BTBSPRP1    149- 149     
  BTBSPRP2    150- 150     
  BTBSPRP3    151- 151     
  BTBSPRP4    152- 152     
  BTBSPRP5    153- 153     
  BTBSPRP6    154- 154     
  BTBSPRP7    155- 155     
  BTBSPRP8    156- 156     
  BTBSPRP9    157- 157     
  BTBGCARE    158- 158     
  BTBGCHNG    159- 159     
  BTBGSOAP    160- 160     
  BTBGSTAP    161- 161     
  BTBGBOOK    162- 162     
  BTBGRNK1    163- 164     
  BTBGRNK2    165- 166     
  BTBGRNK3    167- 168     
  BTBGRNK4    169- 170     
  BTBGRNK5    171- 172     
  BTBGRNK6    173- 174     
  BTBGRNK7    175- 176     
  BTBGRNK8    177- 178     
  BTBGRNK9    179- 180     
  BTBSBOY     181- 183     
  BTBSGIRL    184- 186     
  BTBSACH1    187- 189     
  BTBSACH2    190- 192     
  BTBSACH3    193- 195     
  BTBSTIME    196- 199     
  BTBSTXBK    200- 200     
  BTBSTXB0    201- 201     
  BTBSTXB1    202- 202     
  BTBSTXB2    203- 203     
  BTBSTXB3    204- 204     
  BTBSTXB4    205- 205     
  BTBSTXB5    206- 206     
  BTBSTXB6    207- 207     
  BTBSTXB7    208- 208     
  BTBSTXB8    209- 209     
  BTBSTXB9    210- 210     
  BTBSTXNM    211- 212     
  BTBSTXBS    213- 213     
  BTBSADTB    214- 215     
  BTBSLM01    216- 216     
  BTBSLM02    217- 217     
  BTBSLM03    218- 218     
  BTBSLM04    219- 219     
  BTBSLM05    220- 220     
  BTBSLM06    221- 221     
  BTBSLM07    222- 222     
  BTBSLM08    223- 223     
  BTBSLM09    224- 224     
  BTBSLM10    225- 225     
  BTBSLM11    226- 226     
  BTBSLM12    227- 227     
  BTBSLM13    228- 228     
  BTBSLM14    229- 229     
  BTBSLM15    230- 230     
  BTBSLM16    231- 231     
  BTBSCALC    232- 232     
  BTBSCAL1    233- 233     
  BTBSCAL2    234- 234     
  BTBSCAL3    235- 235     
  BTBSCAL4    236- 236     
  BTBSCAL5    237- 237     
  BTBSRLY1    238- 238     
  BTBSRLY2    239- 239     
  BTBSRLY3    240- 240     
  BTBSRLY4    241- 241     
  BTBSRLY5    242- 242     
  BTBSRLY6    243- 243     
  BTBSRLY7    244- 244     
  BTBSSRC1    245- 246     
  BTBSSRC2    247- 248     
  BTBSSRC3    249- 250     
  BTBSSRC4    251- 252     
  BTBSTA      253- 253     
  BTBSTAA     254- 254     
  BTBSTAB     255- 255     
  BTBSTAC     256- 256     
  BTBSTA1     257- 257     
  BTBSTA1A    258- 258     
  BTBSTA1B    259- 259     
  BTBSTA1C    260- 260     
  BTBSTA2     261- 261     
  BTBSTA2A    262- 262     
  BTBSTA2B    263- 263     
  BTBSTA2C    264- 264     
  BTBSTA3     265- 265     
  BTBSTA3A    266- 266     
  BTBSTA3B    267- 267     
  BTBSTA3C    268- 268     
  BTBSTA4     269- 269     
  BTBSTA4A    270- 270     
  BTBSTA4B    271- 271     
  BTBSTA4C    272- 272     
  BTBSTA5     273- 273     
  BTBSTA5A    274- 274     
  BTBSTA5B    275- 275     
  BTBSTA5C    276- 276     
  BTBSTA6     277- 277     
  BTBSTA6A    278- 278     
  BTBSTA6B    279- 279     
  BTBSTA6C    280- 280     
  BTBSTB      281- 281     
  BTBSTBA     282- 282     
  BTBSTBB     283- 283     
  BTBSTBC     284- 284     
  BTBSTC      285- 285     
  BTBSTCA     286- 286     
  BTBSTCB     287- 287     
  BTBSTCC     288- 288     
  BTBSTD      289- 289     
  BTBSTDA     290- 290     
  BTBSTDB     291- 291     
  BTBSTDC     292- 292     
  BTBSTD1     293- 293     
  BTBSTD1A    294- 294     
  BTBSTD1B    295- 295     
  BTBSTD1C    296- 296     
  BTBSTD2     297- 297     
  BTBSTD2A    298- 298     
  BTBSTD2B    299- 299     
  BTBSTD2C    300- 300     
  BTBSTD3     301- 301     
  BTBSTD3A    302- 302     
  BTBSTD3B    303- 303     
  BTBSTD3C    304- 304     
  BTBSTD4     305- 305     
  BTBSTD4A    306- 306     
  BTBSTD4B    307- 307     
  BTBSTD4C    308- 308     
  BTBSTE      309- 309     
  BTBSTEA     310- 310     
  BTBSTEB     311- 311     
  BTBSTEC     312- 312     
  BTBSTF      313- 313     
  BTBSTFA     314- 314     
  BTBSTFB     315- 315     
  BTBSTFC     316- 316     
  BTBSTG      317- 317     
  BTBSTGA     318- 318     
  BTBSTGB     319- 319     
  BTBSTGC     320- 320     
  BTBSTH      321- 321     
  BTBSTHA     322- 322     
  BTBSTHB     323- 323     
  BTBSTHC     324- 324     
  BTBSTI      325- 325     
  BTBSTIA     326- 326     
  BTBSTIB     327- 327     
  BTBSTIC     328- 328     
  BTBSTJ      329- 329     
  BTBSTJA     330- 330     
  BTBSTJB     331- 331     
  BTBSTJC     332- 332     
  BTBSTK      333- 333     
  BTBSTKA     334- 334     
  BTBSTKB     335- 335     
  BTBSTKC     336- 336     
  BTBSTL      337- 337     
  BTBSTLA     338- 338     
  BTBSTLB     339- 339     
  BTBSTLC     340- 340     
  BTBSTL1     341- 341     
  BTBSTL1A    342- 342     
  BTBSTL1B    343- 343     
  BTBSTL1C    344- 344     
  BTBSTM      345- 345     
  BTBSTMA     346- 346     
  BTBSTMB     347- 347     
  BTBSTMC     348- 348     
  BTBSTN      349- 349     
  BTBSTNA     350- 350     
  BTBSTNB     351- 351     
  BTBSTNC     352- 352     
  BTBSTO      353- 353     
  BTBSTOA     354- 354     
  BTBSTOB     355- 355     
  BTBSTOC     356- 356     
  BTBSTP      357- 357     
  BTBSTPA     358- 358     
  BTBSTPB     359- 359     
  BTBSTPC     360- 360     
  BTBSTQ      361- 361     
  BTBSTQA     362- 362     
  BTBSTQB     363- 363     
  BTBSTQC     364- 364     
  BTBSTR      365- 365     
  BTBSTRA     366- 366     
  BTBSTRB     367- 367     
  BTBSTRC     368- 368     
  BTBSTS      369- 369     
  BTBSTSA     370- 370     
  BTBSTSB     371- 371     
  BTBSTSC     372- 372     
  BTBSTT      373- 373     
  BTBSTTA     374- 374     
  BTBSTTB     375- 375     
  BTBSTTC     376- 376     
  BTBSTU      377- 377     
  BTBSTUA     378- 378     
  BTBSTUB     379- 379     
  BTBSTUC     380- 380     
  BTBSTV      381- 381     
  BTBSTVA     382- 382     
  BTBSTVB     383- 383     
  BTBSTVC     384- 384     
  BTBSTW1     385- 385     
  BTBSTW1A    386- 386     
  BTBSTW1B    387- 387     
  BTBSTW1C    388- 388     
  BTBSTW2     389- 389     
  BTBSTW2A    390- 390     
  BTBSTW2B    391- 391     
  BTBSTW2C    392- 392     
  BTBSTW3     393- 393     
  BTBSTW3A    394- 394     
  BTBSTW3B    395- 395     
  BTBSTW3C    396- 396     
  BTBSTX1     397- 397     
  BTBSTX1A    398- 398     
  BTBSTX1B    399- 399     
  BTBSTX1C    400- 400     
  BTBSTX2     401- 401     
  BTBSTX2A    402- 402     
  BTBSTX2B    403- 403     
  BTBSTX2C    404- 404     
  BTBSTX3     405- 405     
  BTBSTX3A    406- 406     
  BTBSTX3B    407- 407     
  BTBSTX3C    408- 408     
  BTBSTX4     409- 409     
  BTBSTX4A    410- 410     
  BTBSTX4B    411- 411     
  BTBSTX4C    412- 412     
  BTBSCLTM    413- 415     
  BTBSTO01    416- 416     
  BTBSTO02    417- 417     
  BTBSTO03    418- 418     
  BTBSTO04    419- 419     
  BTBSTO05    420- 420     
  BTBSTO06    421- 421     
  BTBSTO07    422- 422     
  BTBSTO08    423- 423     
  BTBSTO09    424- 424     
  BTBSTO10    425- 425     
  BTBSTO11    426- 426     
  BTBSTO12    427- 427     
  BTBSTO13    428- 428     
  BTBSTO14    429- 429     
  BTBSTO15    430- 430     
  BTBSTO16    431- 431     
  BTBSTO17    432- 432     
  BTBSTO18    433- 433     
  BTBSTO19    434- 434     
  BTBSTO20    435- 435     
  BTBSTO21    436- 436     
  BTBSTO22    437- 437     
  BTBSTOP1    438- 438     
  BTBSTOP2    439- 439     
  BTBSTOP3    440- 440     
  BTBSHMW1    441- 441     
  BTBSHWT1    442- 444     
  BTBSCLCM    445- 445     
  BTBSLAB1    446- 446     
  BTBSLAB2    447- 449     
  BTBSOR01    450- 451     
  BTBSTM01    452- 454     
  BTBSOR02    455- 456     
  BTBSTM02    457- 459     
  BTBSOR03    460- 461     
  BTBSTM03    462- 464     
  BTBSOR04    465- 466     
  BTBSTM04    467- 469     
  BTBSOR05    470- 471     
  BTBSTM05    472- 474     
  BTBSOR06    475- 476     
  BTBSTM06    477- 479     
  BTBSOR07    480- 481     
  BTBSTM07    482- 484     
  BTBSOR08    485- 486     
  BTBSTM08    487- 489     
  BTBSOR09    490- 491     
  BTBSTM09    492- 494     
  BTBSOR10    495- 496     
  BTBSTM10    497- 499     
  BTBSOR11    500- 501     
  BTBSTM11    502- 504     
  BTBSSGRP    505- 505     
  BTBSASK1    506- 506     
  BTBSASK2    507- 507     
  BTBSASK3    508- 508     
  BTBSASK4    509- 509     
  BTBSASK5    510- 510     
  BTBSASK6    511- 511     
  BTBSDO1     512- 512     
  BTBSDO2     513- 513     
  BTBSDO3     514- 514     
  BTBSDO4     515- 515     
  BTBSLES1    516- 516     
  BTBSLES2    517- 517     
  BTBSLES3    518- 518     
  BTBSLES4    519- 519     
  BTBSLES5    520- 520     
  BTBSLES6    521- 521     
  BTBSHMW2    522- 522     
  BTBSHWT2    523- 524     
  BTBSWKBK    525- 525     
  BTBSPROB    526- 526     
  BTBSREAD    527- 527     
  BTBSWRIT    528- 528     
  BTBSDATA    529- 529     
  BTBSIEXP    530- 530     
  BTBSGEXP    531- 531     
  BTBSFIND    532- 532     
  BTBSORAL    533- 533     
  BTBSJOUR    534- 534     
  BTBSWHW1    535- 535     
  BTBSWHW2    536- 536     
  BTBSWHW3    537- 537     
  BTBSWHW4    538- 538     
  BTBSWHW5    539- 539     
  BTBSWHW6    540- 540     
  BTBSWHW7    541- 541     
  BTBSWHW8    542- 542     
  BTBSWGT1    543- 543     
  BTBSWGT2    544- 544     
  BTBSWGT3    545- 545     
  BTBSWGT4    546- 546     
  BTBSWGT5    547- 547     
  BTBSWGT6    548- 548     
  BTBSWGT7    549- 549     
  BTBGASS1    550- 550     
  BTBGASS2    551- 551     
  BTBGASS3    552- 552     
  BTBGASS4    553- 553     
  BTBGASS5    554- 554     
  BTBGASS6    555- 555     
  BTDSTOEN    556- 558     
  BTDGADMN    559- 566 .3
  BTDGCPLN    567- 574 .3
  BTDGOTHR    575- 582 .3
  BTDGSUBT    583- 590 .3
  BTDGTSKT    591- 598 .3
  BTDGTTIM    599- 606 .3
  BTDSCPTS    607- 607     
  BTDSERPS    608- 608     
  BTDSESH     609- 609     
  BTDSHTS     610- 617 .3
  BTDSSIZE    618- 625 .3
  BTDSSZ3C    626- 626     
  BTDSTPTT    627- 634 .3
  BTDSTTIM    635- 642 .3
  BTDSTIME    643- 643     
  DPCDATE     644- 649     
;


%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*FILE VERSION*"
  IDCNTRY  = "*COUNTRY ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  IDSUBJCT = "*SUBJECT ID*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGEDUC = "GEN\LEVEL OF EDUCATION COMPLETED"
  BTBSTEAC = "SCI\DO NOT TEACH SCIENCE THIS YEAR"
  BTBSGRPK = "SCI\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBSGRK  = "SCI\GRADE LEVEL\KINDERGARTEN"
  BTBSGR1  = "SCI\GRADE LEVEL\GRADE 1"
  BTBSGR2  = "SCI\GRADE LEVEL\GRADE 2"
  BTBSGR3  = "SCI\GRADE LEVEL\GRADE 3"
  BTBSGR4  = "SCI\GRADE LEVEL\GRADE 4"
  BTBSGR5  = "SCI\GRADE LEVEL\GRADE 5"
  BTBSGR6  = "SCI\GRADE LEVEL\GRADE 6"
  BTBSGR7  = "SCI\GRADE LEVEL\GRADE 7"
  BTBSGR8  = "SCI\GRADE LEVEL\GRADE 8"
  BTBSGR9  = "SCI\GRADE LEVEL\GRADE 9"
  BTBSGR10 = "SCI\GRADE LEVEL\GRADE 10"
  BTBSGR11 = "SCI\GRADE LEVEL\GRADE 11"
  BTBSGR12 = "SCI\GRADE LEVEL\GRADE 12"
  BTBSGR13 = "SCI\GRADE LEVEL\GRADE 13"
  BTBMTEAC = "MAT\DO NOT TEACH MATHEMATICS THIS YEAR"
  BTBMGRPK = "MAT\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBMGRK  = "MAT\GRADE LEVEL\KINDERGARTEN"
  BTBMGR1  = "MAT\GRADE LEVEL\GRADE 1"
  BTBMGR2  = "MAT\GRADE LEVEL\GRADE 2"
  BTBMGR3  = "MAT\GRADE LEVEL\GRADE 3"
  BTBMGR4  = "MAT\GRADE LEVEL\GRADE 4"
  BTBMGR5  = "MAT\GRADE LEVEL\GRADE 5"
  BTBMGR6  = "MAT\GRADE LEVEL\GRADE 6"
  BTBMGR7  = "MAT\GRADE LEVEL\GRADE 7"
  BTBMGR8  = "MAT\GRADE LEVEL\GRADE 8"
  BTBMGR9  = "MAT\GRADE LEVEL\GRADE 9"
  BTBMGR10 = "MAT\GRADE LEVEL\GRADE 10"
  BTBMGR11 = "MAT\GRADE LEVEL\GRADE 11"
  BTBMGR12 = "MAT\GRADE LEVEL\GRADE 12"
  BTBMGR13 = "MAT\GRADE LEVEL\GRADE 13"
  BTBGPTFT = "GEN\TEACH PART-TIME OR FULL-TIME"
  BTBGTAUG = "GEN\YEARS BEEN TEACHING"
  BTBGGRPK = "GEN\GRADE LEVEL\PRE-KINDERGARTEN"
  BTBGGRK  = "GEN\GRADE LEVEL\KINDERGARTEN"
  BTBGGR1  = "GEN\GRADE LEVEL\GRADE 1"
  BTBGGR2  = "GEN\GRADE LEVEL\GRADE 2"
  BTBGGR3  = "GEN\GRADE LEVEL\GRADE 3"
  BTBGGR4  = "GEN\GRADE LEVEL\GRADE 4"
  BTBGGR5  = "GEN\GRADE LEVEL\GRADE 5"
  BTBGGR6  = "GEN\GRADE LEVEL\GRADE 6"
  BTBGGR7  = "GEN\GRADE LEVEL\GRADE 7"
  BTBGGR8  = "GEN\GRADE LEVEL\GRADE 8"
  BTBGGR9  = "GEN\GRADE LEVEL\GRADE 9"
  BTBGGR10 = "GEN\GRADE LEVEL\GRADE 10"
  BTBGGR11 = "GEN\GRADE LEVEL\GRADE 11"
  BTBGGR12 = "GEN\GRADE LEVEL\GRADE 12"
  BTBGGR13 = "GEN\GRADE LEVEL\GRADE 13"
  BTBMSUB1 = "MAT\SCHEDULED SUBJECTS\MATHEMATICS"
  BTBSSUB2 = "SCI\SCHEDULED SUBJECTS\GENERAL SCI"
  BTBSSUB3 = "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI"
  BTBSSUB4 = "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE"
  BTBSSUB5 = "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE"
  BTBSSUB6 = "SCI\SCHEDULED SUBJECTS\BIOLOGY"
  BTBSSUB7 = "SCI\SCHEDULED SUBJECTS\CHEMISTRY"
  BTBSSUB8 = "SCI\SCHEDULED SUBJECTS\PHYSICS"
  BTBGSUB9 = "SCI\SCHEDULED SUBJECTS\OTHER"
  BTBGTSK1 = "GEN\SCHEDULED TASKS\SUPERVISION"
  BTBGTSK2 = "GEN\SCHEDULED TASKS\COUNSELLING"
  BTBGTSK3 = "GEN\SCHEDULED TASKS\ADMINISTRATION"
  BTBGTSK4 = "GEN\SCHEDULED TASKS\INDIVID PLANNING"
  BTBGTSK5 = "GEN\SCHEDULED TASKS\COOP PLANNING"
  BTBGTSK6 = "GEN\SCHEDULED TASKS\NON SPECIFIED"
  BTBGTOTL = "GEN\SCHEDULED HOURS ALTOGETHER"
  BTBGACT1 = "GEN\OUTSIDE SCHL\PREPARE TEST"
  BTBGACT2 = "GEN\OUTSIDE SCHL\READ STUDENT WORK"
  BTBGACT3 = "GEN\OUTSIDE SCHL\PLAN LESSONS"
  BTBGACT4 = "GEN\OUTSIDE SCHL\MEET STUDENTS"
  BTBGACT5 = "GEN\OUTSIDE SCHL\MEET PARENTS"
  BTBGACT6 = "GEN\OUTSIDE SCHL\PROFESSIONL READING"
  BTBGACT7 = "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS"
  BTBGACT8 = "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS"
  BTBGMEET = "GEN\MEETING WITH OTHER TEACHERS"
  BTBGINF1 = "GEN\INFLUENCE\SUBJECT MATTER"
  BTBGINF2 = "GEN\INFLUENCE\SPECIFIC TEXTBOOKS"
  BTBGINF3 = "GEN\INFLUENCE\MONEY FOR SUPPLIES"
  BTBGINF4 = "GEN\INFLUENCE\KIND OF SUPPLIES"
  BTBSIMP1 = "SCI\GD\IMPT\REMEMBER FORMULAS"
  BTBSIMP2 = "SCI\GD\IMPT\SEQUENTIAL & PROCEDURAL"
  BTBSIMP3 = "SCI\GD\IMPT\UNDERSTAND CONCEPTS"
  BTBSIMP4 = "SCI\GD\IMPT\THINK CREATIVELY"
  BTBSIMP5 = "SCI\GD\IMPT\HOW USED IN REAL WORLD"
  BTBSIMP6 = "SCI\GD\IMPT\SUPPORT SOLUTIONS"
  BTBSAGR1 = "SCI\PRIMARILY AN ABSTRACT SUBJECT"
  BTBSAGR2 = "SCI\FORMAL REPRESENTATION OF WORLD"
  BTBSAGR3 = "SCI\PRACTICAL AND STRUCTURED GUIDE"
  BTBSAGR4 = "SCI\NATURAL TALENT FOR SCIENCE"
  BTBSAGR5 = "SCI\IMPORTANCE OF SEQNTAL DIRECTIONS"
  BTBSAGR6 = "SCI\FOCUSING ON RULES IS A BAD IDEA"
  BTBSAGR7 = "SCI\DEBATES IN CLASS HARM LEARNING"
  BTBSAGR8 = "SCI\SEE TASK APART FROM REPRESENTATN"
  BTBSAGR9 = "SCI\LIKING & UNDERSTANDING STUDENTS"
  BTBSFAM1 = "SCI\NATIONAL CURRICULUM GUIDE"
  BTBSFAM2 = "SCI\REGIONAL CURRICULUM GUIDE"
  BTBGFAM3 = "GEN\SCHOOL CURRICULUM GUIDE"
  BTBGFAM4 = "GEN\NATIONAL EXAM SPECIFICATIONS"
  BTBGFAM5 = "GEN\REGIONAL EXAM SPECIFICATIONS"
  BTBSFAM6 = "SCI\NATIONAL PEDAGOGY GUIDE"
  BTBSFAM7 = "SCI\REGIONAL PEDAGOGY GUIDE"
  BTBSPRP1 = "SCI\PREPARATION\EARTH'S FEATURES"
  BTBSPRP2 = "SCI\PREPARATION\TYPES OF ENERGY ETC"
  BTBSPRP3 = "SCI\PREPARATION\LIGHT"
  BTBSPRP4 = "SCI\PREPARATION\HUMAN TISSUES"
  BTBSPRP5 = "SCI\PREPARATION\HUMAN METABOLISM"
  BTBSPRP6 = "SCI\PREPARATION\HUMAN REPRODUCTION"
  BTBSPRP7 = "SCI\PREPARATION\HUMAN GENETICS"
  BTBSPRP8 = "SCI\PREPARATION\MEASUREMENT"
  BTBSPRP9 = "SCI\PREPARATION\ORGANIZING DATA"
  BTBGCARE = "GEN\WAS TEACHING FIRST CHOICE"
  BTBGCHNG = "GEN\WOULD YOU CHANGE CAREER"
  BTBGSOAP = "GEN\IS WORK APPRECIATED BY SOCIETY"
  BTBGSTAP = "GEN\IS WORK APPRECIATED BY STUDENTS"
  BTBGBOOK = "GEN\NUMBER OF BOOKS IN HOME"
  BTBGRNK1 = "GEN\SOCIAL STATUS\ACCOUNTANT"
  BTBGRNK2 = "GEN\SOCIAL STATUS\<MEDICAL DOCTOR>"
  BTBGRNK3 = "GEN\SOCIAL STATUS\LAWYER"
  BTBGRNK4 = "GEN\SOCIAL STATUS\ENGINEER"
  BTBGRNK5 = "GEN\SOCIAL STATUS\NURSE"
  BTBGRNK6 = "GEN\SOCIAL STATUS\SENIOR"
  BTBGRNK7 = "GEN\SOCIAL STATUS\TEACHER PRIMARY"
  BTBGRNK8 = "GEN\SOCIAL STATUS\TEACHER SECONDARY"
  BTBGRNK9 = "GEN\SOCIAL STATUS\<UNSKILLED WORKER>"
  BTBSBOY  = "SCI\CLSS\NUMBER OF BOYS IN CLASS"
  BTBSGIRL = "SCI\CLSS\NUMBER OF GIRLS IN CLASS"
  BTBSACH1 = "SCI\CLSS\HIGH ACHIEVEMENT LEVELS"
  BTBSACH2 = "SCI\CLSS\MIDDLE ACHIEVEMENT LEVELS"
  BTBSACH3 = "SCI\CLSS\LOW ACHIEVEMENT LEVELS"
  BTBSTIME = "SCI\CLSS\LENGTH OF SCIENCE CLASS"
  BTBSTXBK = "SCI\CLSS\USE SCIENCE TEXTBOOK"
  BTBSTXB0 = "SCI\CLSS\SCIENCE TEXTBOOK USED A"
  BTBSTXB1 = "SCI\CLSS\SCIENCE TEXTBOOK USED B"
  BTBSTXB2 = "SCI\CLSS\SCIENCE TEXTBOOK USED C"
  BTBSTXB3 = "SCI\CLSS\SCIENCE TEXTBOOK USED D"
  BTBSTXB4 = "SCI\CLSS\SCIENCE TEXTBOOK USED E"
  BTBSTXB5 = "SCI\CLSS\SCIENCE TEXTBOOK USED F"
  BTBSTXB6 = "SCI\CLSS\SCIENCE TEXTBOOK USED G"
  BTBSTXB7 = "SCI\CLSS\SCIENCE TEXTBOOK USED H"
  BTBSTXB8 = "SCI\CLSS\SCIENCE TEXTBOOK USED I"
  BTBSTXB9 = "SCI\CLSS\SCIENCE TEXTBOOK USED J"
  BTBSTXNM = "SCI\CLSS\TEXTBOOK NAME ENTERED"
  BTBSTXBS = "SCI\CLSS\TEXTBOOK BASED TEACHING"
  BTBSADTB = "SCI\CLSS\IN ADDITION TO TEXTBOOK"
  BTBSLM01 = "SCI\CLSS\DIFFERENT ACADEMIC ABILITIES"
  BTBSLM02 = "SCI\CLSS\WIDE RANGE OF BACKGROUNDS"
  BTBSLM03 = "SCT\CLSS\SPECIAL NEEDS"
  BTBSLM04 = "SCI\CLSS\UNINTERESTED STUDENTS"
  BTBSLM05 = "SCI\CLSS\DISRUPTIVE STUDENTS"
  BTBSLM06 = "SCI\CLSS\PARENTS INTRESTD IN PROGRSS"
  BTBSLM07 = "SCI\CLSS\PARENTS UNINTRESTD IN PROGR"
  BTBSLM08 = "SCI\CLSS\SHORTGE OF COMPUTR HARDWARE"
  BTBSLM09 = "SCI\CLSS\SHORTGE OF COMPUTR SOFTWARE"
  BTBSLM10 = "SCI\CLSS\SHORTGE OF INSTR EQUIPMENT"
  BTBSLM11 = "SCI\CLSS\SHORTGE OF DEMNSTR EQUIPMNT"
  BTBSLM12 = "SCI\CLSS\INADEQUATE PHYSICL FACILITS"
  BTBSLM13 = "SCI\CLSS\HIGH STUDENT TEACHER RATIO"
  BTBSLM14 = "SCI\CLSS\LOW MORALE AMONG STAFF"
  BTBSLM15 = "SCI\CLSS\LOW MORALE AMONG STUDENTS"
  BTBSLM16 = "SCI\CLSS\THREATS 2 PERS OR STDT SFTY"
  BTBSCALC = "SCI\ACCESS TO CALC DURING SCI LESSON"
  BTBSCAL1 = "SCI\CALCS FOR CHECKING ANSWERS"
  BTBSCAL2 = "SCI\CALCS FOR TESTS AND EXAMS"
  BTBSCAL3 = "SCI\CALCS FOR ROUTINE COMPUTATIO"
  BTBSCAL4 = "SCI\CALCS FOR COMPLEX PROBLEMS"
  BTBSCAL5 = "SCI\CALCS FOR NUMBER CONCEPTS"
  BTBSRLY1 = "SCI\RELY ON PREVIOUS LESSONS"
  BTBSRLY2 = "SCI\RELY ON SCHOOL PLAN"
  BTBSRLY3 = "SCI\RELY ON OTHER TEACHERS"
  BTBSRLY4 = "SCI\RELY ON STUDENT TEXTBOOKS"
  BTBSRLY5 = "SCI\RELY ON OTHER TEXTBOOK"
  BTBSRLY6 = "SCI\RELY ON TEACHER GUIDE"
  BTBSRLY7 = "SCI\RELY ON EXT EXAMS OR STND TESTS"
  BTBSSRC1 = "SCI\SOURCE\WHICH TOPIC TO TEACH"
  BTBSSRC2 = "SCI\SOURCE\HOW TO PRESENT A TOPIC"
  BTBSSRC3 = "SCI\SOURCE\CLASS WORK AND HOMEWORK"
  BTBSSRC4 = "SCI\SOURCE\ASSESSMENT AND EVALUATN"
  BTBSTA   = "SCI\EARTH FEATURES"
  BTBSTAA  = "SCI\EARTH FEATURES\TEACH LATER"
  BTBSTAB  = "SCI\EARTH FEATURES\NOT TAUGHT NOW"
  BTBSTAC  = "SCI\EARTH FEATURES\TAUGHT BEFORE"
  BTBSTA1  = "SCI\EARTH LAYERS"
  BTBSTA1A = "SCI\EARTH LAYERS\TEACH LATER"
  BTBSTA1B = "SCI\EARTH LAYERS\NOT TAUGHT NOW"
  BTBSTA1C = "SCI\EARTH LAYERS\TAUGHT BEFORE"
  BTBSTA2  = "SCI\LANDFORMS"
  BTBSTA2A = "SCI\LANDFORMS\TEACH LATER"
  BTBSTA2B = "SCI\LANDFORMS\NOT TAUGHT NOW"
  BTBSTA2C = "SCI\LANDFORMS\TAUGHT BEFORE"
  BTBSTA3  = "SCI\WATERBODIES"
  BTBSTA3A = "SCI\WATERBODIES\TEACH LATER"
  BTBSTA3B = "SCI\WATERBODIES\NOT TAUGHT NOW"
  BTBSTA3C = "SCI\WATERBODIES\TAUGHT BEFORE"
  BTBSTA4  = "SCI\ATMOSPHERE"
  BTBSTA4A = "SCI\ATMOSPHERE\TEACH LATER"
  BTBSTA4B = "SCI\ATMOSPHERE\NOT TAUGHT NOW"
  BTBSTA4C = "SCI\ATMOSPHERE\TAUGHT BEFORE"
  BTBSTA5  = "SCI\ROCKS"
  BTBSTA5A = "SCI\ROCKS\TEACH LATER"
  BTBSTA5B = "SCI\ROCKS\NOT TAUGHT NOW"
  BTBSTA5C = "SCI\ROCKS\TAUGHT BEFORE"
  BTBSTA6  = "SCI\ICEFORMS"
  BTBSTA6A = "SCI\ICEFORMS\TEACH LATER"
  BTBSTA6B = "SCI\ICEFORMS\NOT TAUGHT NOW"
  BTBSTA6C = "SCI\ICEFORMS\TAUGHT BEFORE"
  BTBSTB   = "SCI\EARTH PROCESSES"
  BTBSTBA  = "SCI\EARTH PROCESSES\TEACH LATER"
  BTBSTBB  = "SCI\EARTH PROCESSES\NOT TAUGHT NOW"
  BTBSTBC  = "SCI\EARTH PROCESSES\TAUGHT BEFORE"
  BTBSTC   = "SCI\EARTH+UNIVERSE"
  BTBSTCA  = "SCI\EARTH+UNIVERSE\TEACH LATER"
  BTBSTCB  = "SCI\EARTH+UNIVERSE\NOT TAUGHT NOW"
  BTBSTCC  = "SCI\EARTH+UNIVERSE\TAUGHT BEFORE"
  BTBSTD   = "SCI\HUMAN BIOLOGY"
  BTBSTDA  = "SCI\HUMAN BIOLOGY\TEACH LATER"
  BTBSTDB  = "SCI\HUMAN BIOLOGY\NOT TAUGHT NOW"
  BTBSTDC  = "SCI\HUMAN BIOLOGY\TAUGHT BEFORE"
  BTBSTD1  = "SCI\BODY STRUCTURES"
  BTBSTD1A = "SCI\BODY STRUCTURES\TEACH LATER"
  BTBSTD1B = "SCI\BODY STRUCTURES\NOT TAUGHT NOW"
  BTBSTD1C = "SCI\BODY STRUCTURES\TAUGHT BEFORE"
  BTBSTD2  = "SCI\METABOLISM"
  BTBSTD2A = "SCI\METABOLISM\TEACH LATER"
  BTBSTD2B = "SCI\METABOLISM\NOT TAUGHT NOW"
  BTBSTD2C = "SCI\METABOLISM\TAUGHT BEFORE"
  BTBSTD3  = "SCI\REPRODUCTION"
  BTBSTD3A = "SCI\REPRODUCTION\TEACH LATER"
  BTBSTD3B = "SCI\REPRODUCTION\NOT TAUGHT NOW"
  BTBSTD3C = "SCI\REPRODUCTION\TAUGHT BEFORE"
  BTBSTD4  = "SCI\GENETICS"
  BTBSTD4A = "SCI\GENETICS\TEACH LATER"
  BTBSTD4B = "SCI\GENETICS\NOT TAUGHT NOW"
  BTBSTD4C = "SCI\GENETICS\TAUGHT BEFORE"
  BTBSTE   = "SCI\LIVING THINGS"
  BTBSTEA  = "SCI\LIVING THINGS\TEACH LATER"
  BTBSTEB  = "SCI\LIVING THINGS\NOT TAUGHT NOW"
  BTBSTEC  = "SCI\LIVING THINGS\TAUGHT BEFORE"
  BTBSTF   = "SCI\LIFE PROCESSES"
  BTBSTFA  = "SCI\LIFE PROCESSES\TEACH LATER"
  BTBSTFB  = "SCI\LIFE PROCESSES\NOT TAUGHT NOW"
  BTBSTFC  = "SCI\LIFE PROCESSES\TAUGHT BEFORE"
  BTBSTG   = "SCI\LIFE CYCLES"
  BTBSTGA  = "SCI\LIFE CYCLES\TEACH LATER"
  BTBSTGB  = "SCI\LIFE CYCLES\NOT TAUGHT NOW"
  BTBSTGC  = "SCI\LIFE CYCLES\TAUGHT BEFORE"
  BTBSTH   = "SCI\INTERACTION"
  BTBSTHA  = "SCI\INTERACTION\TEACH LATER"
  BTBSTHB  = "SCI\INTERACTION\NOT TAUGHT NOW"
  BTBSTHC  = "SCI\INTERACTION\TAUGHT BEFORE"
  BTBSTI   = "SCI\TYPES OF MATTER"
  BTBSTIA  = "SCI\TYPES OF MATTER\TEACH LATER"
  BTBSTIB  = "SCI\TYPES OF MATTER\NOT TAUGHT NOW"
  BTBSTIC  = "SCI\TYPES OF MATTER\TAUGHT BEFORE"
  BTBSTJ   = "SCI\MATTER STRUCTURE"
  BTBSTJA  = "SCI\MATTER STRUCTURE\TEACH LATER"
  BTBSTJB  = "SCI\MATTER STRUCTURE\NOT TAUGHT NOW"
  BTBSTJC  = "SCI\MATTER STRUCTURE\TAUGHT BEFORE"
  BTBSTK   = "SCI\ENERGY TYPES"
  BTBSTKA  = "SCI\ENERGY TYPES\TEACH LATER"
  BTBSTKB  = "SCI\ENERGY TYPES\NOT TAUGHT NOW"
  BTBSTKC  = "SCI\ENERGY TYPES\TAUGHT BEFORE"
  BTBSTL   = "SCI\ENERGY PROCESSES"
  BTBSTLA  = "SCI\ENERGY PROCESSES\TEACH LATER"
  BTBSTLB  = "SCI\ENERGY PROCESSES\NOT TAUGHT NOW"
  BTBSTLC  = "SCI\ENERGY PROCESSES\TAUGHT BEFORE"
  BTBSTL1  = "SCI\ENERGY\LIGHT"
  BTBSTL1A = "SCI\ENERGY\LIGHT\TEACH LATER"
  BTBSTL1B = "SCI\ENERGY\LIGHT\NOT TAUGHT NOW"
  BTBSTL1C = "SCI\ENERGY\LIGHT\TAUGHT BEFORE"
  BTBSTM   = "SCI\PHYSICAL CHANGES"
  BTBSTMA  = "SCI\PHYSICAL CHANGES\TEACH LATER"
  BTBSTMB  = "SCI\PHYSICAL CHANGES\NOT TAUGHT NOW"
  BTBSTMC  = "SCI\PHYSICAL CHANGES\TAUGHT BEFORE"
  BTBSTN   = "SCI\QUANTUM THEORY"
  BTBSTNA  = "SCI\QUANTUM THEORY\TEACH LATER"
  BTBSTNB  = "SCI\QUANTUM THEORY\NOT TAUGHT NOW"
  BTBSTNC  = "SCI\QUANTUM THEORY\TAUGHT BEFORE"
  BTBSTO   = "SCI\CHEMICAL CHANGE 1"
  BTBSTOA  = "SCI\CHEMICAL CHANGE 1\TEACH LATER"
  BTBSTOB  = "SCI\CHEMICAL CHANGE 1\NOT TAUGHT NOW"
  BTBSTOC  = "SCI\CHEMICAL CHANGE 1\TAUGHT BEFORE"
  BTBSTP   = "SCI\CHEMICAL CHANGE 2"
  BTBSTPA  = "SCI\CHEMICAL CHANGE 2\TEACH LATER"
  BTBSTPB  = "SCI\CHEMICAL CHANGE 2\NOT TAUGHT NOW"
  BTBSTPC  = "SCI\CHEMICAL CHANGE 2\TAUGHT BEFORE"
  BTBSTQ   = "SCI\FORCES + MOTIONS"
  BTBSTQA  = "SCI\FORCES + MOTIONS\TEACH LATER"
  BTBSTQB  = "SCI\FORCES + MOTIONS\NOT TAUGHT NOW"
  BTBSTQC  = "SCI\FORCES + MOTIONS\TAUGHT BEFORE"
  BTBSTR   = "SCI\RELATIVITY"
  BTBSTRA  = "SCI\RELATIVITY\TEACH LATER"
  BTBSTRB  = "SCI\RELATIVITY\NOT TAUGHT NOW"
  BTBSTRC  = "SCI\RELATIVITY\TAUGHT BEFORE"
  BTBSTS   = "SCI\SOCIETY"
  BTBSTSA  = "SCI\AND SOCIETY\TEACH LATER"
  BTBSTSB  = "SCI\AND SOCIETY\NOT TAUGHT NOW"
  BTBSTSC  = "SCI\AND SOCIETY\TAUGHT BEFORE"
  BTBSTT   = "SCI\HISTORY OF"
  BTBSTTA  = "SCI\HISTORY OF\TEACH LATER"
  BTBSTTB  = "SCI\HISTORY OF\NOT TAUGHT NOW"
  BTBSTTC  = "SCI\HISTORY OF\TAUGHT BEFORE"
  BTBSTU   = "SCI\AND ENVIRONMENT"
  BTBSTUA  = "SCI\AND ENVIRONMENT\TEACH LATER"
  BTBSTUB  = "SCI\AND ENVIRONMENT\NOT TAUGHT NOW"
  BTBSTUC  = "SCI\AND ENVIRONMENT\TAUGHT BEFORE"
  BTBSTV   = "SCI\NATURE OF"
  BTBSTVA  = "SCI\NATURE OF\TEACH LATER"
  BTBSTVB  = "SCI\NATURE OF\NOT TAUGHT NOW"
  BTBSTVC  = "SCI\NATURE OF\TAUGHT BEFORE"
  BTBSTW1  = "SCI\MEAS\APPARATUS"
  BTBSTW1A = "SCI\MEAS\APPARATUS\TEACH LATER"
  BTBSTW1B = "SCI\MEAS\APPARATUS\NOT TAUGHT NOW"
  BTBSTW1C = "SCI\MEAS\APPARATUS\TAUGHT BEFORE"
  BTBSTW2  = "SCI\MEAS\EXPERIMENT"
  BTBSTW2A = "SCI\MEAS\EXPERIMENT\TEACH LATER"
  BTBSTW2B = "SCI\MEAS\EXPERIMENT\NOT TAUGHT NOW"
  BTBSTW2C = "SCI\MEAS\EXPERIMENT\TAUGHT BEFORE"
  BTBSTW3  = "SCI\MEAS\DATA"
  BTBSTW3A = "SCI\MEAS\DATA\TEACH LATER"
  BTBSTW3B = "SCI\MEAS\DATA\NOT TAUGHT NOW"
  BTBSTW3C = "SCI\MEAS\DATA\TAUGHT BEFORE"
  BTBSTX1  = "SCI\DATA\ORGANIZE"
  BTBSTX1A = "SCI\DATA\ORGANIZE\TEACH LATER"
  BTBSTX1B = "SCI\DATA\ORGANIZE\NOT TAUGHT NOW"
  BTBSTX1C = "SCI\DATA\ORGANIZE\TAUGHT BEFORE"
  BTBSTX2  = "SCI\DATA\INTERPRET1"
  BTBSTX2A = "SCI\DATA\INTERPRET1\TEACH LATER"
  BTBSTX2B = "SCI\DATA\INTERPRET1\NOT TAUGHT NOW"
  BTBSTX2C = "SCI\DATA\INTERPRET1\TAUGHT BEFORE"
  BTBSTX3  = "SCI\DATA\INTERPRET2"
  BTBSTX3A = "SCI\DATA\INTERPRET2\TEACH LATER"
  BTBSTX3B = "SCI\DATA\INTERPRET2\NOT TAUGHT NOW"
  BTBSTX3C = "SCI\DATA\INTERPRET2\TAUGHT BEFORE"
  BTBSTX4  = "SCI\DATA\CONCLUDE"
  BTBSTX4A = "SCI\DATA\CONCLUDE\TEACH LATER"
  BTBSTX4B = "SCI\DATA\CONCLUDE\NOT TAUGHT NOW"
  BTBSTX4C = "SCI\DATA\CONCLUDE\TAUGHT BEFORE"
  BTBSCLTM = "SCI\DURATION OF LAST CLASS LESSON"
  BTBSTO01 = "SCI\TOPICS\EARTH FEATURES"
  BTBSTO02 = "SCI\TOPICS\EARTH PROCESSES"
  BTBSTO03 = "SCI\TOPICS\EARTH IN THE UNIVERSE"
  BTBSTO04 = "SCI\TOPICS\HUMAN BIOLOGY AND HEALTH"
  BTBSTO05 = "SCI\TOPICS\DIVERSITY OF LIFE"
  BTBSTO06 = "SCI\TOPICS\LIFE PROCESSES"
  BTBSTO07 = "SCI\TOPICS\LIFE CYCLES"
  BTBSTO08 = "SCI\TOPICS\INTERACTION OF LIFE"
  BTBSTO09 = "SCI\TOPICS\TYPES + PROPS OF MATTER"
  BTBSTO10 = "SCI\TOPICS\STRUCTURE OF MATTER"
  BTBSTO11 = "SCI\TOPICS\ENERGY TYPES AND SOURCES"
  BTBSTO12 = "SCI\TOPICS\ENERGY PROCESSES"
  BTBSTO13 = "SCI\TOPICS\PHYSICAL CHANGES"
  BTBSTO14 = "SCI\TOPICS\KINETIC + QUANTUM THEORY"
  BTBSTO15 = "SCI\TOPICS\GENERAL CHEMICAL CHANGES"
  BTBSTO16 = "SCI\TOPICS\SPECIAL CHEMICAL CHANGES"
  BTBSTO17 = "SCI\TOPICS\FORCE AND MOTION"
  BTBSTO18 = "SCI\TOPICS\RELATIVITY THEORY"
  BTBSTO19 = "SCI\TOPICS\SCIENCE AND SOCIETY"
  BTBSTO20 = "SCI\TOPICS\HISTORY OF SCIENCE"
  BTBSTO21 = "SCI\TOPICS\ENVIRONMENTAL ISSUES"
  BTBSTO22 = "SCI\TOPICS\NATURE OF SCIENCE"
  BTBSTOP1 = "SCI\LAST LESSON\INTRODUCTION"
  BTBSTOP2 = "SCI\LAST LESSON\CONTINUATION"
  BTBSTOP3 = "SCI\LAST LESSON\END OF COVERAGE"
  BTBSHMW1 = "SCI\LAST LESSON\HOMEWORK"
  BTBSHWT1 = "SCI\LAST LESSON\HOMEWORK DURATION"
  BTBSCLCM = "SCI\LAST LESSON\WAS COMPUTER USED"
  BTBSLAB1 = "SCI\LAST LESSON\LABORATORY"
  BTBSLAB2 = "SCI\LAST LESSON\LABORATORY\DURATION"
  BTBSOR01 = "SCI\PROCEDURE\ORDER\REVIEW"
  BTBSTM01 = "SCI\PROCEDURE\TIME\REVIEW"
  BTBSOR02 = "SCI\PROCEDURE\ORDER\QUIZ REVIEW"
  BTBSTM02 = "SCI\PROCEDURE\TIME\QUIZ REVIEW"
  BTBSOR03 = "SCI\PROCEDURE\ORDER\ORAL RECITATION"
  BTBSTM03 = "SCI\PROCEDURE\TIME\ORAL RECITATION"
  BTBSOR04 = "SCI\PROCEDURE\ORDER\HOMEWORK REVIEW"
  BTBSTM04 = "SCI\PROCEDURE\TIME\HOMEWORK REVIEW"
  BTBSOR05 = "SCI\PROCEDURE\ORDER\INTRODUCE TOPIC"
  BTBSTM05 = "SCI\PROCEDURE\TIME\INTRODUCE TOPIC"
  BTBSOR06 = "SCI\PROCEDURE\ORDER\DEVELOP TOPIC"
  BTBSTM06 = "SCI\PROCEDURE\TIME\DEVELOP TOPIC"
  BTBSOR07 = "SCI\PROCEDURE\ORDER\GROUP ACTIVITY"
  BTBSTM07 = "SCI\PROCEDURE\TIME\GROUP ACTIVITY"
  BTBSOR08 = "SCI\PROCEDURE\ORDER\EXERCISES"
  BTBSTM08 = "SCI\PROCEDURE\TIME\EXERCISES"
  BTBSOR09 = "SCI\PROCEDURE\ORDER\ASSIGN HOMEWORK"
  BTBSTM09 = "SCI\PROCEDURE\TIME\ASSIGN HOMEWORK"
  BTBSOR10 = "SCI\PROCEDURE\ORDER\DO HOMEWORK"
  BTBSTM10 = "SCI\PROCEDURE\TIME\DO HOMEWORK"
  BTBSOR11 = "SCI\PROCEDURE\ORDER\LABORATORY"
  BTBSTM11 = "SCI\PROCEDURE\TIME\LABORATORY"
  BTBSSGRP = "SCI\STUDENT WORK IN SMALL GROUPS"
  BTBSASK1 = "SCI\TASKS\EXPLAIN REASONING"
  BTBSASK2 = "SCI\TASKS\ANALYZE RELATIONSHIPS"
  BTBSASK3 = "SCI\TASKS\WORK ON PROBLEMS"
  BTBSASK4 = "SCI\TASKS\USE COMPUTERS"
  BTBSASK5 = "SCI\TASKS\WRITE EXPLANATIONS"
  BTBSASK6 = "SCI\TASKS\ORGANIZE EVENTS OR OBJECTS"
  BTBSDO1  = "SCI\REACTION\CORRECT STUDENT"
  BTBSDO2  = "SCI\REACTION\HELP STUDENT"
  BTBSDO3  = "SCI\REACTION\OTHER\CORRECT ANSWER"
  BTBSDO4  = "SCI\REACTION\OTHER\DISCUSS RESPONSE"
  BTBSLES1 = "SCI\INDIVIDUAL WORK\NO ASSISTANCE"
  BTBSLES2 = "SCI\INDIVIDUAL WORK\ASSISTANCE"
  BTBSLES3 = "SCI\WORK TOGETHER\TEACHER TEACHES"
  BTBSLES4 = "SCI\WORK TOGETHER\STUDENTS INTERACT"
  BTBSLES5 = "SCI\WORK IN GROUPS\NO ASSISTANCE"
  BTBSLES6 = "SCI\WORK IN GROUPS\ASSISTANCE"
  BTBSHMW2 = "SCI\HOMEWORK FREQUENCY"
  BTBSHWT2 = "SCI\AVERAGE TIME NEEDED FOR HOMEWK"
  BTBSWKBK = "SCI\HOMEWORK\WORKSHEETS OR -BOOK"
  BTBSPROB = "SCI\HOMEWORK\TEXTBOOK PROBLEMS"
  BTBSREAD = "SCI\HOMEWORK\TEXTBOOK READING"
  BTBSWRIT = "SCI\HOMEWORK\WRITING ASSIGNMENT"
  BTBSDATA = "SCI\HOMEWORK\SMALL INVESTIGATIONS"
  BTBSIEXP = "SCI\HOMEWORK\INDIVIDUAL PROJECTS"
  BTBSGEXP = "SCI\HOMEWORK\SMALL GROUP PROJECTS"
  BTBSFIND = "SCI\HOMEWORK\FIND USES OF CONTENT"
  BTBSORAL = "SCI\HOMEWORK\PREPARE ORAL REPORTS"
  BTBSJOUR = "SCI\HOMEWORK\KEEP A JOURNAL"
  BTBSWHW1 = "SCI\WRITTEN HMWK\RECORD COMPLETION"
  BTBSWHW2 = "SCI\WRITTEN HMWK\KEEP ASSIGNMNTS"
  BTBSWHW3 = "SCI\WRITTEN HMWK\RETURN ASSIGNMENTS"
  BTBSWHW4 = "SCI\WRITTEN HMWK\FEEDBACK TO CLASS"
  BTBSWHW5 = "SCI\WRITTEN HMWK\STUDNT CORRECT OWN"
  BTBSWHW6 = "SCI\WRITTEN HMWK\STUDNT CORRCT OTHR"
  BTBSWHW7 = "SCI\WRITTEN HMWK\BASIS FOR DISCUSSN"
  BTBSWHW8 = "SCI\WRITTEN HMWK\GRADE CONTRIBUTION"
  BTBSWGT1 = "SCI\ASSMNT WEIGHT\STANDARD TESTS"
  BTBSWGT2 = "SCI\ASSMNT WEIGHT\REASONING TESTS"
  BTBSWGT3 = "SCI\ASSMNT WEIGHT\MULTIPLE CHOICE"
  BTBSWGT4 = "SCI\ASSMNT WEIGHT\HOMEWORK PERFRMNCE"
  BTBSWGT5 = "SCI\ASSMNT WEIGHT\PROJECT PERFORMNCE"
  BTBSWGT6 = "SCI\ASSMNT WEIGHT\OBSERVATION"
  BTBSWGT7 = "SCI\ASSMNT WEIGHT\RESPONSES IN CLASS"
  BTBGASS1 = "GEN\FREQUENCY\PROVIDE GRADES"
  BTBGASS2 = "GEN\FREQUENCY\PROVIDE FEEDBACK"
  BTBGASS3 = "GEN\FREQUENCY\DIAGNOSE PROBLEMS"
  BTBGASS4 = "GEN\FREQUENCY\REPORT TO PARENTS"
  BTBGASS5 = "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS"
  BTBGASS6 = "GEN\FREQUENCY\PLAN FUTURE LESSONS"
  BTDSTOEN = "SCI\NUMBER OF STUDENTS IN CLASS\B+G"
  BTDGADMN = "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES"
  BTDGCPLN = "GEN\PERC. OF SCHOOL TIME CURRI. PLANNIN"
  BTDGOTHR = "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT."
  BTDGSUBT = "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)"
  BTDGTSKT = "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)"
  BTDGTTIM = "GEN\PERC. OF SCHOOL TIME TEACH. ANYTHING"
  BTDSCPTS = "SCI\INDEX OF CONFIDENCE TEACH SCIENCE"
  BTDSERPS = "SCI\INDEX:EMPHASIS ON PROB.SOLVING"
  BTDSESH  = "SCI\INDEX:EMPHASIS ON SCIENCE HOMEWORK"
  BTDSHTS  = "SCI\HRS/WK TEACHING SCIENCE"
  BTDSSIZE = "SCI\AVERAGE CLASS SIZE"
  BTDSSZ3C = "SCI\SCIENCE CLASS SIZE IN 3 CATEGORIES"
  BTDSTPTT = "SCI\PERC. SCI TOPICS PREPARED TO TEACH"
  BTDSTTIM = "SCI\PERC. OF SCHOOL TIME TEACH. SCIENCE"
  BTDSTIME = "SCI\CLSS\LENGTH OF SCIENCE CLASS"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDTEACH  = 99999998         THEN IDTEACH  = .A ;
IF IDLINK   = 98               THEN IDLINK   = .A ;
IF IDSUBJCT = 8                THEN IDSUBJCT = .A ;
IF BTBGAGE  = 98               THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGEDUC = 98               THEN BTBGEDUC = .A ;
IF BTBSTEAC = 8                THEN BTBSTEAC = .A ;
IF BTBSGRPK = 8                THEN BTBSGRPK = .A ;
IF BTBSGRK  = 8                THEN BTBSGRK  = .A ;
IF BTBSGR1  = 8                THEN BTBSGR1  = .A ;
IF BTBSGR2  = 8                THEN BTBSGR2  = .A ;
IF BTBSGR3  = 8                THEN BTBSGR3  = .A ;
IF BTBSGR4  = 8                THEN BTBSGR4  = .A ;
IF BTBSGR5  = 8                THEN BTBSGR5  = .A ;
IF BTBSGR6  = 8                THEN BTBSGR6  = .A ;
IF BTBSGR7  = 8                THEN BTBSGR7  = .A ;
IF BTBSGR8  = 8                THEN BTBSGR8  = .A ;
IF BTBSGR9  = 8                THEN BTBSGR9  = .A ;
IF BTBSGR10 = 8                THEN BTBSGR10 = .A ;
IF BTBSGR11 = 8                THEN BTBSGR11 = .A ;
IF BTBSGR12 = 8                THEN BTBSGR12 = .A ;
IF BTBSGR13 = 8                THEN BTBSGR13 = .A ;
IF BTBMTEAC = 8                THEN BTBMTEAC = .A ;
IF BTBMGRPK = 8                THEN BTBMGRPK = .A ;
IF BTBMGRK  = 8                THEN BTBMGRK  = .A ;
IF BTBMGR1  = 8                THEN BTBMGR1  = .A ;
IF BTBMGR2  = 8                THEN BTBMGR2  = .A ;
IF BTBMGR3  = 8                THEN BTBMGR3  = .A ;
IF BTBMGR4  = 8                THEN BTBMGR4  = .A ;
IF BTBMGR5  = 8                THEN BTBMGR5  = .A ;
IF BTBMGR6  = 8                THEN BTBMGR6  = .A ;
IF BTBMGR7  = 8                THEN BTBMGR7  = .A ;
IF BTBMGR8  = 8                THEN BTBMGR8  = .A ;
IF BTBMGR9  = 8                THEN BTBMGR9  = .A ;
IF BTBMGR10 = 8                THEN BTBMGR10 = .A ;
IF BTBMGR11 = 8                THEN BTBMGR11 = .A ;
IF BTBMGR12 = 8                THEN BTBMGR12 = .A ;
IF BTBMGR13 = 8                THEN BTBMGR13 = .A ;
IF BTBGPTFT = 8                THEN BTBGPTFT = .A ;
IF BTBGTAUG = 98               THEN BTBGTAUG = .A ;
IF BTBGGRPK = 8                THEN BTBGGRPK = .A ;
IF BTBGGRK  = 8                THEN BTBGGRK  = .A ;
IF BTBGGR1  = 8                THEN BTBGGR1  = .A ;
IF BTBGGR2  = 8                THEN BTBGGR2  = .A ;
IF BTBGGR3  = 8                THEN BTBGGR3  = .A ;
IF BTBGGR4  = 8                THEN BTBGGR4  = .A ;
IF BTBGGR5  = 8                THEN BTBGGR5  = .A ;
IF BTBGGR6  = 8                THEN BTBGGR6  = .A ;
IF BTBGGR7  = 8                THEN BTBGGR7  = .A ;
IF BTBGGR8  = 8                THEN BTBGGR8  = .A ;
IF BTBGGR9  = 8                THEN BTBGGR9  = .A ;
IF BTBGGR10 = 8                THEN BTBGGR10 = .A ;
IF BTBGGR11 = 8                THEN BTBGGR11 = .A ;
IF BTBGGR12 = 8                THEN BTBGGR12 = .A ;
IF BTBGGR13 = 8                THEN BTBGGR13 = .A ;
IF BTBMSUB1 = 98               THEN BTBMSUB1 = .A ;
IF BTBSSUB2 = 98               THEN BTBSSUB2 = .A ;
IF BTBSSUB3 = 98               THEN BTBSSUB3 = .A ;
IF BTBSSUB4 = 98               THEN BTBSSUB4 = .A ;
IF BTBSSUB5 = 98               THEN BTBSSUB5 = .A ;
IF BTBSSUB6 = 98               THEN BTBSSUB6 = .A ;
IF BTBSSUB7 = 98               THEN BTBSSUB7 = .A ;
IF BTBSSUB8 = 98               THEN BTBSSUB8 = .A ;
IF BTBGSUB9 = 98               THEN BTBGSUB9 = .A ;
IF BTBGTSK1 = 98               THEN BTBGTSK1 = .A ;
IF BTBGTSK2 = 98               THEN BTBGTSK2 = .A ;
IF BTBGTSK3 = 98               THEN BTBGTSK3 = .A ;
IF BTBGTSK4 = 98               THEN BTBGTSK4 = .A ;
IF BTBGTSK5 = 98               THEN BTBGTSK5 = .A ;
IF BTBGTSK6 = 98               THEN BTBGTSK6 = .A ;
IF BTBGTOTL = 98               THEN BTBGTOTL = .A ;
IF BTBGACT1 = 8                THEN BTBGACT1 = .A ;
IF BTBGACT2 = 8                THEN BTBGACT2 = .A ;
IF BTBGACT3 = 8                THEN BTBGACT3 = .A ;
IF BTBGACT4 = 8                THEN BTBGACT4 = .A ;
IF BTBGACT5 = 8                THEN BTBGACT5 = .A ;
IF BTBGACT6 = 8                THEN BTBGACT6 = .A ;
IF BTBGACT7 = 8                THEN BTBGACT7 = .A ;
IF BTBGACT8 = 8                THEN BTBGACT8 = .A ;
IF BTBGMEET = 98               THEN BTBGMEET = .A ;
IF BTBGINF1 = 8                THEN BTBGINF1 = .A ;
IF BTBGINF2 = 8                THEN BTBGINF2 = .A ;
IF BTBGINF3 = 8                THEN BTBGINF3 = .A ;
IF BTBGINF4 = 8                THEN BTBGINF4 = .A ;
IF BTBSIMP1 = 8                THEN BTBSIMP1 = .A ;
IF BTBSIMP2 = 8                THEN BTBSIMP2 = .A ;
IF BTBSIMP3 = 8                THEN BTBSIMP3 = .A ;
IF BTBSIMP4 = 8                THEN BTBSIMP4 = .A ;
IF BTBSIMP5 = 8                THEN BTBSIMP5 = .A ;
IF BTBSIMP6 = 8                THEN BTBSIMP6 = .A ;
IF BTBSAGR1 = 8                THEN BTBSAGR1 = .A ;
IF BTBSAGR2 = 8                THEN BTBSAGR2 = .A ;
IF BTBSAGR3 = 8                THEN BTBSAGR3 = .A ;
IF BTBSAGR4 = 8                THEN BTBSAGR4 = .A ;
IF BTBSAGR5 = 8                THEN BTBSAGR5 = .A ;
IF BTBSAGR6 = 8                THEN BTBSAGR6 = .A ;
IF BTBSAGR7 = 8                THEN BTBSAGR7 = .A ;
IF BTBSAGR8 = 8                THEN BTBSAGR8 = .A ;
IF BTBSAGR9 = 8                THEN BTBSAGR9 = .A ;
IF BTBSFAM1 = 8                THEN BTBSFAM1 = .A ;
IF BTBSFAM2 = 8                THEN BTBSFAM2 = .A ;
IF BTBGFAM3 = 8                THEN BTBGFAM3 = .A ;
IF BTBGFAM4 = 8                THEN BTBGFAM4 = .A ;
IF BTBGFAM5 = 8                THEN BTBGFAM5 = .A ;
IF BTBSFAM6 = 8                THEN BTBSFAM6 = .A ;
IF BTBSFAM7 = 8                THEN BTBSFAM7 = .A ;
IF BTBSPRP1 = 8                THEN BTBSPRP1 = .A ;
IF BTBSPRP2 = 8                THEN BTBSPRP2 = .A ;
IF BTBSPRP3 = 8                THEN BTBSPRP3 = .A ;
IF BTBSPRP4 = 8                THEN BTBSPRP4 = .A ;
IF BTBSPRP5 = 8                THEN BTBSPRP5 = .A ;
IF BTBSPRP6 = 8                THEN BTBSPRP6 = .A ;
IF BTBSPRP7 = 8                THEN BTBSPRP7 = .A ;
IF BTBSPRP8 = 8                THEN BTBSPRP8 = .A ;
IF BTBSPRP9 = 8                THEN BTBSPRP9 = .A ;
IF BTBGCARE = 8                THEN BTBGCARE = .A ;
IF BTBGCHNG = 8                THEN BTBGCHNG = .A ;
IF BTBGSOAP = 8                THEN BTBGSOAP = .A ;
IF BTBGSTAP = 8                THEN BTBGSTAP = .A ;
IF BTBGBOOK = 8                THEN BTBGBOOK = .A ;
IF BTBGRNK1 = 98               THEN BTBGRNK1 = .A ;
IF BTBGRNK2 = 98               THEN BTBGRNK2 = .A ;
IF BTBGRNK3 = 98               THEN BTBGRNK3 = .A ;
IF BTBGRNK4 = 98               THEN BTBGRNK4 = .A ;
IF BTBGRNK5 = 98               THEN BTBGRNK5 = .A ;
IF BTBGRNK6 = 98               THEN BTBGRNK6 = .A ;
IF BTBGRNK7 = 98               THEN BTBGRNK7 = .A ;
IF BTBGRNK8 = 98               THEN BTBGRNK8 = .A ;
IF BTBGRNK9 = 98               THEN BTBGRNK9 = .A ;
IF BTBSBOY  = 998              THEN BTBSBOY  = .A ;
IF BTBSGIRL = 998              THEN BTBSGIRL = .A ;
IF BTBSACH1 = 998              THEN BTBSACH1 = .A ;
IF BTBSACH2 = 998              THEN BTBSACH2 = .A ;
IF BTBSACH3 = 998              THEN BTBSACH3 = .A ;
IF BTBSTIME = 9998             THEN BTBSTIME = .A ;
IF BTBSTXBK = 8                THEN BTBSTXBK = .A ;
IF BTBSTXB0 = 8                THEN BTBSTXB0 = .A ;
IF BTBSTXB1 = 8                THEN BTBSTXB1 = .A ;
IF BTBSTXB2 = 8                THEN BTBSTXB2 = .A ;
IF BTBSTXB3 = 8                THEN BTBSTXB3 = .A ;
IF BTBSTXB4 = 8                THEN BTBSTXB4 = .A ;
IF BTBSTXB5 = 8                THEN BTBSTXB5 = .A ;
IF BTBSTXB6 = 8                THEN BTBSTXB6 = .A ;
IF BTBSTXB7 = 8                THEN BTBSTXB7 = .A ;
IF BTBSTXB8 = 8                THEN BTBSTXB8 = .A ;
IF BTBSTXB9 = 8                THEN BTBSTXB9 = .A ;
IF BTBSTXNM = 98               THEN BTBSTXNM = .A ;
IF BTBSTXBS = 8                THEN BTBSTXBS = .A ;
IF BTBSADTB = 98               THEN BTBSADTB = .A ;
IF BTBSLM01 = 8                THEN BTBSLM01 = .A ;
IF BTBSLM02 = 8                THEN BTBSLM02 = .A ;
IF BTBSLM03 = 8                THEN BTBSLM03 = .A ;
IF BTBSLM04 = 8                THEN BTBSLM04 = .A ;
IF BTBSLM05 = 8                THEN BTBSLM05 = .A ;
IF BTBSLM06 = 8                THEN BTBSLM06 = .A ;
IF BTBSLM07 = 8                THEN BTBSLM07 = .A ;
IF BTBSLM08 = 8                THEN BTBSLM08 = .A ;
IF BTBSLM09 = 8                THEN BTBSLM09 = .A ;
IF BTBSLM10 = 8                THEN BTBSLM10 = .A ;
IF BTBSLM11 = 8                THEN BTBSLM11 = .A ;
IF BTBSLM12 = 8                THEN BTBSLM12 = .A ;
IF BTBSLM13 = 8                THEN BTBSLM13 = .A ;
IF BTBSLM14 = 8                THEN BTBSLM14 = .A ;
IF BTBSLM15 = 8                THEN BTBSLM15 = .A ;
IF BTBSLM16 = 8                THEN BTBSLM16 = .A ;
IF BTBSCALC = 8                THEN BTBSCALC = .A ;
IF BTBSCAL1 = 8                THEN BTBSCAL1 = .A ;
IF BTBSCAL2 = 8                THEN BTBSCAL2 = .A ;
IF BTBSCAL3 = 8                THEN BTBSCAL3 = .A ;
IF BTBSCAL4 = 8                THEN BTBSCAL4 = .A ;
IF BTBSCAL5 = 8                THEN BTBSCAL5 = .A ;
IF BTBSRLY1 = 8                THEN BTBSRLY1 = .A ;
IF BTBSRLY2 = 8                THEN BTBSRLY2 = .A ;
IF BTBSRLY3 = 8                THEN BTBSRLY3 = .A ;
IF BTBSRLY4 = 8                THEN BTBSRLY4 = .A ;
IF BTBSRLY5 = 8                THEN BTBSRLY5 = .A ;
IF BTBSRLY6 = 8                THEN BTBSRLY6 = .A ;
IF BTBSRLY7 = 8                THEN BTBSRLY7 = .A ;
IF BTBSSRC1 = 98               THEN BTBSSRC1 = .A ;
IF BTBSSRC2 = 98               THEN BTBSSRC2 = .A ;
IF BTBSSRC3 = 98               THEN BTBSSRC3 = .A ;
IF BTBSSRC4 = 98               THEN BTBSSRC4 = .A ;
IF BTBSTA   = 8                THEN BTBSTA   = .A ;
IF BTBSTAA  = 8                THEN BTBSTAA  = .A ;
IF BTBSTAB  = 8                THEN BTBSTAB  = .A ;
IF BTBSTAC  = 8                THEN BTBSTAC  = .A ;
IF BTBSTA1  = 8                THEN BTBSTA1  = .A ;
IF BTBSTA1A = 8                THEN BTBSTA1A = .A ;
IF BTBSTA1B = 8                THEN BTBSTA1B = .A ;
IF BTBSTA1C = 8                THEN BTBSTA1C = .A ;
IF BTBSTA2  = 8                THEN BTBSTA2  = .A ;
IF BTBSTA2A = 8                THEN BTBSTA2A = .A ;
IF BTBSTA2B = 8                THEN BTBSTA2B = .A ;
IF BTBSTA2C = 8                THEN BTBSTA2C = .A ;
IF BTBSTA3  = 8                THEN BTBSTA3  = .A ;
IF BTBSTA3A = 8                THEN BTBSTA3A = .A ;
IF BTBSTA3B = 8                THEN BTBSTA3B = .A ;
IF BTBSTA3C = 8                THEN BTBSTA3C = .A ;
IF BTBSTA4  = 8                THEN BTBSTA4  = .A ;
IF BTBSTA4A = 8                THEN BTBSTA4A = .A ;
IF BTBSTA4B = 8                THEN BTBSTA4B = .A ;
IF BTBSTA4C = 8                THEN BTBSTA4C = .A ;
IF BTBSTA5  = 8                THEN BTBSTA5  = .A ;
IF BTBSTA5A = 8                THEN BTBSTA5A = .A ;
IF BTBSTA5B = 8                THEN BTBSTA5B = .A ;
IF BTBSTA5C = 8                THEN BTBSTA5C = .A ;
IF BTBSTA6  = 8                THEN BTBSTA6  = .A ;
IF BTBSTA6A = 8                THEN BTBSTA6A = .A ;
IF BTBSTA6B = 8                THEN BTBSTA6B = .A ;
IF BTBSTA6C = 8                THEN BTBSTA6C = .A ;
IF BTBSTB   = 8                THEN BTBSTB   = .A ;
IF BTBSTBA  = 8                THEN BTBSTBA  = .A ;
IF BTBSTBB  = 8                THEN BTBSTBB  = .A ;
IF BTBSTBC  = 8                THEN BTBSTBC  = .A ;
IF BTBSTC   = 8                THEN BTBSTC   = .A ;
IF BTBSTCA  = 8                THEN BTBSTCA  = .A ;
IF BTBSTCB  = 8                THEN BTBSTCB  = .A ;
IF BTBSTCC  = 8                THEN BTBSTCC  = .A ;
IF BTBSTD   = 8                THEN BTBSTD   = .A ;
IF BTBSTDA  = 8                THEN BTBSTDA  = .A ;
IF BTBSTDB  = 8                THEN BTBSTDB  = .A ;
IF BTBSTDC  = 8                THEN BTBSTDC  = .A ;
IF BTBSTD1  = 8                THEN BTBSTD1  = .A ;
IF BTBSTD1A = 8                THEN BTBSTD1A = .A ;
IF BTBSTD1B = 8                THEN BTBSTD1B = .A ;
IF BTBSTD1C = 8                THEN BTBSTD1C = .A ;
IF BTBSTD2  = 8                THEN BTBSTD2  = .A ;
IF BTBSTD2A = 8                THEN BTBSTD2A = .A ;
IF BTBSTD2B = 8                THEN BTBSTD2B = .A ;
IF BTBSTD2C = 8                THEN BTBSTD2C = .A ;
IF BTBSTD3  = 8                THEN BTBSTD3  = .A ;
IF BTBSTD3A = 8                THEN BTBSTD3A = .A ;
IF BTBSTD3B = 8                THEN BTBSTD3B = .A ;
IF BTBSTD3C = 8                THEN BTBSTD3C = .A ;
IF BTBSTD4  = 8                THEN BTBSTD4  = .A ;
IF BTBSTD4A = 8                THEN BTBSTD4A = .A ;
IF BTBSTD4B = 8                THEN BTBSTD4B = .A ;
IF BTBSTD4C = 8                THEN BTBSTD4C = .A ;
IF BTBSTE   = 8                THEN BTBSTE   = .A ;
IF BTBSTEA  = 8                THEN BTBSTEA  = .A ;
IF BTBSTEB  = 8                THEN BTBSTEB  = .A ;
IF BTBSTEC  = 8                THEN BTBSTEC  = .A ;
IF BTBSTF   = 8                THEN BTBSTF   = .A ;
IF BTBSTFA  = 8                THEN BTBSTFA  = .A ;
IF BTBSTFB  = 8                THEN BTBSTFB  = .A ;
IF BTBSTFC  = 8                THEN BTBSTFC  = .A ;
IF BTBSTG   = 8                THEN BTBSTG   = .A ;
IF BTBSTGA  = 8                THEN BTBSTGA  = .A ;
IF BTBSTGB  = 8                THEN BTBSTGB  = .A ;
IF BTBSTGC  = 8                THEN BTBSTGC  = .A ;
IF BTBSTH   = 8                THEN BTBSTH   = .A ;
IF BTBSTHA  = 8                THEN BTBSTHA  = .A ;
IF BTBSTHB  = 8                THEN BTBSTHB  = .A ;
IF BTBSTHC  = 8                THEN BTBSTHC  = .A ;
IF BTBSTI   = 8                THEN BTBSTI   = .A ;
IF BTBSTIA  = 8                THEN BTBSTIA  = .A ;
IF BTBSTIB  = 8                THEN BTBSTIB  = .A ;
IF BTBSTIC  = 8                THEN BTBSTIC  = .A ;
IF BTBSTJ   = 8                THEN BTBSTJ   = .A ;
IF BTBSTJA  = 8                THEN BTBSTJA  = .A ;
IF BTBSTJB  = 8                THEN BTBSTJB  = .A ;
IF BTBSTJC  = 8                THEN BTBSTJC  = .A ;
IF BTBSTK   = 8                THEN BTBSTK   = .A ;
IF BTBSTKA  = 8                THEN BTBSTKA  = .A ;
IF BTBSTKB  = 8                THEN BTBSTKB  = .A ;
IF BTBSTKC  = 8                THEN BTBSTKC  = .A ;
IF BTBSTL   = 8                THEN BTBSTL   = .A ;
IF BTBSTLA  = 8                THEN BTBSTLA  = .A ;
IF BTBSTLB  = 8                THEN BTBSTLB  = .A ;
IF BTBSTLC  = 8                THEN BTBSTLC  = .A ;
IF BTBSTL1  = 8                THEN BTBSTL1  = .A ;
IF BTBSTL1A = 8                THEN BTBSTL1A = .A ;
IF BTBSTL1B = 8                THEN BTBSTL1B = .A ;
IF BTBSTL1C = 8                THEN BTBSTL1C = .A ;
IF BTBSTM   = 8                THEN BTBSTM   = .A ;
IF BTBSTMA  = 8                THEN BTBSTMA  = .A ;
IF BTBSTMB  = 8                THEN BTBSTMB  = .A ;
IF BTBSTMC  = 8                THEN BTBSTMC  = .A ;
IF BTBSTN   = 8                THEN BTBSTN   = .A ;
IF BTBSTNA  = 8                THEN BTBSTNA  = .A ;
IF BTBSTNB  = 8                THEN BTBSTNB  = .A ;
IF BTBSTNC  = 8                THEN BTBSTNC  = .A ;
IF BTBSTO   = 8                THEN BTBSTO   = .A ;
IF BTBSTOA  = 8                THEN BTBSTOA  = .A ;
IF BTBSTOB  = 8                THEN BTBSTOB  = .A ;
IF BTBSTOC  = 8                THEN BTBSTOC  = .A ;
IF BTBSTP   = 8                THEN BTBSTP   = .A ;
IF BTBSTPA  = 8                THEN BTBSTPA  = .A ;
IF BTBSTPB  = 8                THEN BTBSTPB  = .A ;
IF BTBSTPC  = 8                THEN BTBSTPC  = .A ;
IF BTBSTQ   = 8                THEN BTBSTQ   = .A ;
IF BTBSTQA  = 8                THEN BTBSTQA  = .A ;
IF BTBSTQB  = 8                THEN BTBSTQB  = .A ;
IF BTBSTQC  = 8                THEN BTBSTQC  = .A ;
IF BTBSTR   = 8                THEN BTBSTR   = .A ;
IF BTBSTRA  = 8                THEN BTBSTRA  = .A ;
IF BTBSTRB  = 8                THEN BTBSTRB  = .A ;
IF BTBSTRC  = 8                THEN BTBSTRC  = .A ;
IF BTBSTS   = 8                THEN BTBSTS   = .A ;
IF BTBSTSA  = 8                THEN BTBSTSA  = .A ;
IF BTBSTSB  = 8                THEN BTBSTSB  = .A ;
IF BTBSTSC  = 8                THEN BTBSTSC  = .A ;
IF BTBSTT   = 8                THEN BTBSTT   = .A ;
IF BTBSTTA  = 8                THEN BTBSTTA  = .A ;
IF BTBSTTB  = 8                THEN BTBSTTB  = .A ;
IF BTBSTTC  = 8                THEN BTBSTTC  = .A ;
IF BTBSTU   = 8                THEN BTBSTU   = .A ;
IF BTBSTUA  = 8                THEN BTBSTUA  = .A ;
IF BTBSTUB  = 8                THEN BTBSTUB  = .A ;
IF BTBSTUC  = 8                THEN BTBSTUC  = .A ;
IF BTBSTV   = 8                THEN BTBSTV   = .A ;
IF BTBSTVA  = 8                THEN BTBSTVA  = .A ;
IF BTBSTVB  = 8                THEN BTBSTVB  = .A ;
IF BTBSTVC  = 8                THEN BTBSTVC  = .A ;
IF BTBSTW1  = 8                THEN BTBSTW1  = .A ;
IF BTBSTW1A = 8                THEN BTBSTW1A = .A ;
IF BTBSTW1B = 8                THEN BTBSTW1B = .A ;
IF BTBSTW1C = 8                THEN BTBSTW1C = .A ;
IF BTBSTW2  = 8                THEN BTBSTW2  = .A ;
IF BTBSTW2A = 8                THEN BTBSTW2A = .A ;
IF BTBSTW2B = 8                THEN BTBSTW2B = .A ;
IF BTBSTW2C = 8                THEN BTBSTW2C = .A ;
IF BTBSTW3  = 8                THEN BTBSTW3  = .A ;
IF BTBSTW3A = 8                THEN BTBSTW3A = .A ;
IF BTBSTW3B = 8                THEN BTBSTW3B = .A ;
IF BTBSTW3C = 8                THEN BTBSTW3C = .A ;
IF BTBSTX1  = 8                THEN BTBSTX1  = .A ;
IF BTBSTX1A = 8                THEN BTBSTX1A = .A ;
IF BTBSTX1B = 8                THEN BTBSTX1B = .A ;
IF BTBSTX1C = 8                THEN BTBSTX1C = .A ;
IF BTBSTX2  = 8                THEN BTBSTX2  = .A ;
IF BTBSTX2A = 8                THEN BTBSTX2A = .A ;
IF BTBSTX2B = 8                THEN BTBSTX2B = .A ;
IF BTBSTX2C = 8                THEN BTBSTX2C = .A ;
IF BTBSTX3  = 8                THEN BTBSTX3  = .A ;
IF BTBSTX3A = 8                THEN BTBSTX3A = .A ;
IF BTBSTX3B = 8                THEN BTBSTX3B = .A ;
IF BTBSTX3C = 8                THEN BTBSTX3C = .A ;
IF BTBSTX4  = 8                THEN BTBSTX4  = .A ;
IF BTBSTX4A = 8                THEN BTBSTX4A = .A ;
IF BTBSTX4B = 8                THEN BTBSTX4B = .A ;
IF BTBSTX4C = 8                THEN BTBSTX4C = .A ;
IF BTBSCLTM = 998              THEN BTBSCLTM = .A ;
IF BTBSTO01 = 8                THEN BTBSTO01 = .A ;
IF BTBSTO02 = 8                THEN BTBSTO02 = .A ;
IF BTBSTO03 = 8                THEN BTBSTO03 = .A ;
IF BTBSTO04 = 8                THEN BTBSTO04 = .A ;
IF BTBSTO05 = 8                THEN BTBSTO05 = .A ;
IF BTBSTO06 = 8                THEN BTBSTO06 = .A ;
IF BTBSTO07 = 8                THEN BTBSTO07 = .A ;
IF BTBSTO08 = 8                THEN BTBSTO08 = .A ;
IF BTBSTO09 = 8                THEN BTBSTO09 = .A ;
IF BTBSTO10 = 8                THEN BTBSTO10 = .A ;
IF BTBSTO11 = 8                THEN BTBSTO11 = .A ;
IF BTBSTO12 = 8                THEN BTBSTO12 = .A ;
IF BTBSTO13 = 8                THEN BTBSTO13 = .A ;
IF BTBSTO14 = 8                THEN BTBSTO14 = .A ;
IF BTBSTO15 = 8                THEN BTBSTO15 = .A ;
IF BTBSTO16 = 8                THEN BTBSTO16 = .A ;
IF BTBSTO17 = 8                THEN BTBSTO17 = .A ;
IF BTBSTO18 = 8                THEN BTBSTO18 = .A ;
IF BTBSTO19 = 8                THEN BTBSTO19 = .A ;
IF BTBSTO20 = 8                THEN BTBSTO20 = .A ;
IF BTBSTO21 = 8                THEN BTBSTO21 = .A ;
IF BTBSTO22 = 8                THEN BTBSTO22 = .A ;
IF BTBSTOP1 = 8                THEN BTBSTOP1 = .A ;
IF BTBSTOP2 = 8                THEN BTBSTOP2 = .A ;
IF BTBSTOP3 = 8                THEN BTBSTOP3 = .A ;
IF BTBSHMW1 = 8                THEN BTBSHMW1 = .A ;
IF BTBSHWT1 = 998              THEN BTBSHWT1 = .A ;
IF BTBSCLCM = 8                THEN BTBSCLCM = .A ;
IF BTBSLAB1 = 8                THEN BTBSLAB1 = .A ;
IF BTBSLAB2 = 998              THEN BTBSLAB2 = .A ;
IF BTBSOR01 = 98               THEN BTBSOR01 = .A ;
IF BTBSTM01 = 998              THEN BTBSTM01 = .A ;
IF BTBSOR02 = 98               THEN BTBSOR02 = .A ;
IF BTBSTM02 = 998              THEN BTBSTM02 = .A ;
IF BTBSOR03 = 98               THEN BTBSOR03 = .A ;
IF BTBSTM03 = 998              THEN BTBSTM03 = .A ;
IF BTBSOR04 = 98               THEN BTBSOR04 = .A ;
IF BTBSTM04 = 998              THEN BTBSTM04 = .A ;
IF BTBSOR05 = 98               THEN BTBSOR05 = .A ;
IF BTBSTM05 = 998              THEN BTBSTM05 = .A ;
IF BTBSOR06 = 98               THEN BTBSOR06 = .A ;
IF BTBSTM06 = 998              THEN BTBSTM06 = .A ;
IF BTBSOR07 = 98               THEN BTBSOR07 = .A ;
IF BTBSTM07 = 998              THEN BTBSTM07 = .A ;
IF BTBSOR08 = 98               THEN BTBSOR08 = .A ;
IF BTBSTM08 = 998              THEN BTBSTM08 = .A ;
IF BTBSOR09 = 98               THEN BTBSOR09 = .A ;
IF BTBSTM09 = 998              THEN BTBSTM09 = .A ;
IF BTBSOR10 = 98               THEN BTBSOR10 = .A ;
IF BTBSTM10 = 998              THEN BTBSTM10 = .A ;
IF BTBSOR11 = 98               THEN BTBSOR11 = .A ;
IF BTBSTM11 = 998              THEN BTBSTM11 = .A ;
IF BTBSSGRP = 8                THEN BTBSSGRP = .A ;
IF BTBSASK1 = 8                THEN BTBSASK1 = .A ;
IF BTBSASK2 = 8                THEN BTBSASK2 = .A ;
IF BTBSASK3 = 8                THEN BTBSASK3 = .A ;
IF BTBSASK4 = 8                THEN BTBSASK4 = .A ;
IF BTBSASK5 = 8                THEN BTBSASK5 = .A ;
IF BTBSASK6 = 8                THEN BTBSASK6 = .A ;
IF BTBSDO1  = 8                THEN BTBSDO1  = .A ;
IF BTBSDO2  = 8                THEN BTBSDO2  = .A ;
IF BTBSDO3  = 8                THEN BTBSDO3  = .A ;
IF BTBSDO4  = 8                THEN BTBSDO4  = .A ;
IF BTBSLES1 = 8                THEN BTBSLES1 = .A ;
IF BTBSLES2 = 8                THEN BTBSLES2 = .A ;
IF BTBSLES3 = 8                THEN BTBSLES3 = .A ;
IF BTBSLES4 = 8                THEN BTBSLES4 = .A ;
IF BTBSLES5 = 8                THEN BTBSLES5 = .A ;
IF BTBSLES6 = 8                THEN BTBSLES6 = .A ;
IF BTBSHMW2 = 8                THEN BTBSHMW2 = .A ;
IF BTBSHWT2 = 98               THEN BTBSHWT2 = .A ;
IF BTBSWKBK = 8                THEN BTBSWKBK = .A ;
IF BTBSPROB = 8                THEN BTBSPROB = .A ;
IF BTBSREAD = 8                THEN BTBSREAD = .A ;
IF BTBSWRIT = 8                THEN BTBSWRIT = .A ;
IF BTBSDATA = 8                THEN BTBSDATA = .A ;
IF BTBSIEXP = 8                THEN BTBSIEXP = .A ;
IF BTBSGEXP = 8                THEN BTBSGEXP = .A ;
IF BTBSFIND = 8                THEN BTBSFIND = .A ;
IF BTBSORAL = 8                THEN BTBSORAL = .A ;
IF BTBSJOUR = 8                THEN BTBSJOUR = .A ;
IF BTBSWHW1 = 8                THEN BTBSWHW1 = .A ;
IF BTBSWHW2 = 8                THEN BTBSWHW2 = .A ;
IF BTBSWHW3 = 8                THEN BTBSWHW3 = .A ;
IF BTBSWHW4 = 8                THEN BTBSWHW4 = .A ;
IF BTBSWHW5 = 8                THEN BTBSWHW5 = .A ;
IF BTBSWHW6 = 8                THEN BTBSWHW6 = .A ;
IF BTBSWHW7 = 8                THEN BTBSWHW7 = .A ;
IF BTBSWHW8 = 8                THEN BTBSWHW8 = .A ;
IF BTBSWGT1 = 8                THEN BTBSWGT1 = .A ;
IF BTBSWGT2 = 8                THEN BTBSWGT2 = .A ;
IF BTBSWGT3 = 8                THEN BTBSWGT3 = .A ;
IF BTBSWGT4 = 8                THEN BTBSWGT4 = .A ;
IF BTBSWGT5 = 8                THEN BTBSWGT5 = .A ;
IF BTBSWGT6 = 8                THEN BTBSWGT6 = .A ;
IF BTBSWGT7 = 8                THEN BTBSWGT7 = .A ;
IF BTBGASS1 = 8                THEN BTBGASS1 = .A ;
IF BTBGASS2 = 8                THEN BTBGASS2 = .A ;
IF BTBGASS3 = 8                THEN BTBGASS3 = .A ;
IF BTBGASS4 = 8                THEN BTBGASS4 = .A ;
IF BTBGASS5 = 8                THEN BTBGASS5 = .A ;
IF BTBGASS6 = 8                THEN BTBGASS6 = .A ;
IF BTDSTOEN = 998              THEN BTDSTOEN = .A ;
IF BTDGADMN = 9998             THEN BTDGADMN = .A ;
IF BTDGCPLN = 9998             THEN BTDGCPLN = .A ;
IF BTDGOTHR = 9998             THEN BTDGOTHR = .A ;
IF BTDGSUBT = 9998             THEN BTDGSUBT = .A ;
IF BTDGTSKT = 9998             THEN BTDGTSKT = .A ;
IF BTDGTTIM = 9998             THEN BTDGTTIM = .A ;
IF BTDSCPTS = 8                THEN BTDSCPTS = .A ;
IF BTDSERPS = 8                THEN BTDSERPS = .A ;
IF BTDSESH  = 8                THEN BTDSESH  = .A ;
IF BTDSHTS  = 9998             THEN BTDSHTS  = .A ;
IF BTDSSIZE = 9998             THEN BTDSSIZE = .A ;
IF BTDSSZ3C = 8                THEN BTDSSZ3C = .A ;
IF BTDSTPTT = 9998             THEN BTDSTPTT = .A ;
IF BTDSTTIM = 9998             THEN BTDSTTIM = .A ;
IF BTDSTIME = 8                THEN BTDSTIME = .A ;
IF DPCDATE  = 999998           THEN DPCDATE  = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF BTBGAGE  = 96               THEN BTBGAGE  = .B ;
IF BTBGSEX  = 6                THEN BTBGSEX  = .B ;
IF BTBGEDUC = 96               THEN BTBGEDUC = .B ;
IF BTBSTEAC = 6                THEN BTBSTEAC = .B ;
IF BTBSGRPK = 6                THEN BTBSGRPK = .B ;
IF BTBSGRK  = 6                THEN BTBSGRK  = .B ;
IF BTBSGR1  = 6                THEN BTBSGR1  = .B ;
IF BTBSGR2  = 6                THEN BTBSGR2  = .B ;
IF BTBSGR3  = 6                THEN BTBSGR3  = .B ;
IF BTBSGR4  = 6                THEN BTBSGR4  = .B ;
IF BTBSGR5  = 6                THEN BTBSGR5  = .B ;
IF BTBSGR6  = 6                THEN BTBSGR6  = .B ;
IF BTBSGR7  = 6                THEN BTBSGR7  = .B ;
IF BTBSGR8  = 6                THEN BTBSGR8  = .B ;
IF BTBSGR9  = 6                THEN BTBSGR9  = .B ;
IF BTBSGR10 = 6                THEN BTBSGR10 = .B ;
IF BTBSGR11 = 6                THEN BTBSGR11 = .B ;
IF BTBSGR12 = 6                THEN BTBSGR12 = .B ;
IF BTBSGR13 = 6                THEN BTBSGR13 = .B ;
IF BTBMTEAC = 6                THEN BTBMTEAC = .B ;
IF BTBMGRPK = 6                THEN BTBMGRPK = .B ;
IF BTBMGRK  = 6                THEN BTBMGRK  = .B ;
IF BTBMGR1  = 6                THEN BTBMGR1  = .B ;
IF BTBMGR2  = 6                THEN BTBMGR2  = .B ;
IF BTBMGR3  = 6                THEN BTBMGR3  = .B ;
IF BTBMGR4  = 6                THEN BTBMGR4  = .B ;
IF BTBMGR5  = 6                THEN BTBMGR5  = .B ;
IF BTBMGR6  = 6                THEN BTBMGR6  = .B ;
IF BTBMGR7  = 6                THEN BTBMGR7  = .B ;
IF BTBMGR8  = 6                THEN BTBMGR8  = .B ;
IF BTBMGR9  = 6                THEN BTBMGR9  = .B ;
IF BTBMGR10 = 6                THEN BTBMGR10 = .B ;
IF BTBMGR11 = 6                THEN BTBMGR11 = .B ;
IF BTBMGR12 = 6                THEN BTBMGR12 = .B ;
IF BTBMGR13 = 6                THEN BTBMGR13 = .B ;
IF BTBGPTFT = 6                THEN BTBGPTFT = .B ;
IF BTBGTAUG = 96               THEN BTBGTAUG = .B ;
IF BTBGGRPK = 6                THEN BTBGGRPK = .B ;
IF BTBGGRK  = 6                THEN BTBGGRK  = .B ;
IF BTBGGR1  = 6                THEN BTBGGR1  = .B ;
IF BTBGGR2  = 6                THEN BTBGGR2  = .B ;
IF BTBGGR3  = 6                THEN BTBGGR3  = .B ;
IF BTBGGR4  = 6                THEN BTBGGR4  = .B ;
IF BTBGGR5  = 6                THEN BTBGGR5  = .B ;
IF BTBGGR6  = 6                THEN BTBGGR6  = .B ;
IF BTBGGR7  = 6                THEN BTBGGR7  = .B ;
IF BTBGGR8  = 6                THEN BTBGGR8  = .B ;
IF BTBGGR9  = 6                THEN BTBGGR9  = .B ;
IF BTBGGR10 = 6                THEN BTBGGR10 = .B ;
IF BTBGGR11 = 6                THEN BTBGGR11 = .B ;
IF BTBGGR12 = 6                THEN BTBGGR12 = .B ;
IF BTBGGR13 = 6                THEN BTBGGR13 = .B ;
IF BTBMSUB1 = 96               THEN BTBMSUB1 = .B ;
IF BTBSSUB2 = 96               THEN BTBSSUB2 = .B ;
IF BTBSSUB3 = 96               THEN BTBSSUB3 = .B ;
IF BTBSSUB4 = 96               THEN BTBSSUB4 = .B ;
IF BTBSSUB5 = 96               THEN BTBSSUB5 = .B ;
IF BTBSSUB6 = 96               THEN BTBSSUB6 = .B ;
IF BTBSSUB7 = 96               THEN BTBSSUB7 = .B ;
IF BTBSSUB8 = 96               THEN BTBSSUB8 = .B ;
IF BTBGSUB9 = 96               THEN BTBGSUB9 = .B ;
IF BTBGTSK1 = 96               THEN BTBGTSK1 = .B ;
IF BTBGTSK2 = 96               THEN BTBGTSK2 = .B ;
IF BTBGTSK3 = 96               THEN BTBGTSK3 = .B ;
IF BTBGTSK4 = 96               THEN BTBGTSK4 = .B ;
IF BTBGTSK5 = 96               THEN BTBGTSK5 = .B ;
IF BTBGTSK6 = 96               THEN BTBGTSK6 = .B ;
IF BTBGTOTL = 96               THEN BTBGTOTL = .B ;
IF BTBGACT1 = 6                THEN BTBGACT1 = .B ;
IF BTBGACT2 = 6                THEN BTBGACT2 = .B ;
IF BTBGACT3 = 6                THEN BTBGACT3 = .B ;
IF BTBGACT4 = 6                THEN BTBGACT4 = .B ;
IF BTBGACT5 = 6                THEN BTBGACT5 = .B ;
IF BTBGACT6 = 6                THEN BTBGACT6 = .B ;
IF BTBGACT7 = 6                THEN BTBGACT7 = .B ;
IF BTBGACT8 = 6                THEN BTBGACT8 = .B ;
IF BTBGMEET = 96               THEN BTBGMEET = .B ;
IF BTBGINF1 = 6                THEN BTBGINF1 = .B ;
IF BTBGINF2 = 6                THEN BTBGINF2 = .B ;
IF BTBGINF3 = 6                THEN BTBGINF3 = .B ;
IF BTBGINF4 = 6                THEN BTBGINF4 = .B ;
IF BTBSIMP1 = 6                THEN BTBSIMP1 = .B ;
IF BTBSIMP2 = 6                THEN BTBSIMP2 = .B ;
IF BTBSIMP3 = 6                THEN BTBSIMP3 = .B ;
IF BTBSIMP4 = 6                THEN BTBSIMP4 = .B ;
IF BTBSIMP5 = 6                THEN BTBSIMP5 = .B ;
IF BTBSIMP6 = 6                THEN BTBSIMP6 = .B ;
IF BTBSAGR1 = 6                THEN BTBSAGR1 = .B ;
IF BTBSAGR2 = 6                THEN BTBSAGR2 = .B ;
IF BTBSAGR3 = 6                THEN BTBSAGR3 = .B ;
IF BTBSAGR4 = 6                THEN BTBSAGR4 = .B ;
IF BTBSAGR5 = 6                THEN BTBSAGR5 = .B ;
IF BTBSAGR6 = 6                THEN BTBSAGR6 = .B ;
IF BTBSAGR7 = 6                THEN BTBSAGR7 = .B ;
IF BTBSAGR8 = 6                THEN BTBSAGR8 = .B ;
IF BTBSAGR9 = 6                THEN BTBSAGR9 = .B ;
IF BTBSFAM1 = 6                THEN BTBSFAM1 = .B ;
IF BTBSFAM2 = 6                THEN BTBSFAM2 = .B ;
IF BTBGFAM3 = 6                THEN BTBGFAM3 = .B ;
IF BTBGFAM4 = 6                THEN BTBGFAM4 = .B ;
IF BTBGFAM5 = 6                THEN BTBGFAM5 = .B ;
IF BTBSFAM6 = 6                THEN BTBSFAM6 = .B ;
IF BTBSFAM7 = 6                THEN BTBSFAM7 = .B ;
IF BTBSPRP1 = 6                THEN BTBSPRP1 = .B ;
IF BTBSPRP2 = 6                THEN BTBSPRP2 = .B ;
IF BTBSPRP3 = 6                THEN BTBSPRP3 = .B ;
IF BTBSPRP4 = 6                THEN BTBSPRP4 = .B ;
IF BTBSPRP5 = 6                THEN BTBSPRP5 = .B ;
IF BTBSPRP6 = 6                THEN BTBSPRP6 = .B ;
IF BTBSPRP7 = 6                THEN BTBSPRP7 = .B ;
IF BTBSPRP8 = 6                THEN BTBSPRP8 = .B ;
IF BTBSPRP9 = 6                THEN BTBSPRP9 = .B ;
IF BTBGCARE = 6                THEN BTBGCARE = .B ;
IF BTBGCHNG = 6                THEN BTBGCHNG = .B ;
IF BTBGSOAP = 6                THEN BTBGSOAP = .B ;
IF BTBGSTAP = 6                THEN BTBGSTAP = .B ;
IF BTBGBOOK = 6                THEN BTBGBOOK = .B ;
IF BTBGRNK1 = 96               THEN BTBGRNK1 = .B ;
IF BTBGRNK2 = 96               THEN BTBGRNK2 = .B ;
IF BTBGRNK3 = 96               THEN BTBGRNK3 = .B ;
IF BTBGRNK4 = 96               THEN BTBGRNK4 = .B ;
IF BTBGRNK5 = 96               THEN BTBGRNK5 = .B ;
IF BTBGRNK6 = 96               THEN BTBGRNK6 = .B ;
IF BTBGRNK7 = 96               THEN BTBGRNK7 = .B ;
IF BTBGRNK8 = 96               THEN BTBGRNK8 = .B ;
IF BTBGRNK9 = 96               THEN BTBGRNK9 = .B ;
IF BTBSBOY  = 996              THEN BTBSBOY  = .B ;
IF BTBSGIRL = 996              THEN BTBSGIRL = .B ;
IF BTBSACH1 = 996              THEN BTBSACH1 = .B ;
IF BTBSACH2 = 996              THEN BTBSACH2 = .B ;
IF BTBSACH3 = 996              THEN BTBSACH3 = .B ;
IF BTBSTIME = 9996             THEN BTBSTIME = .B ;
IF BTBSTXBK = 6                THEN BTBSTXBK = .B ;
IF BTBSTXB0 = 6                THEN BTBSTXB0 = .B ;
IF BTBSTXB1 = 6                THEN BTBSTXB1 = .B ;
IF BTBSTXB2 = 6                THEN BTBSTXB2 = .B ;
IF BTBSTXB3 = 6                THEN BTBSTXB3 = .B ;
IF BTBSTXB4 = 6                THEN BTBSTXB4 = .B ;
IF BTBSTXB5 = 6                THEN BTBSTXB5 = .B ;
IF BTBSTXB6 = 6                THEN BTBSTXB6 = .B ;
IF BTBSTXB7 = 6                THEN BTBSTXB7 = .B ;
IF BTBSTXB8 = 6                THEN BTBSTXB8 = .B ;
IF BTBSTXB9 = 6                THEN BTBSTXB9 = .B ;
IF BTBSTXNM = 96               THEN BTBSTXNM = .B ;
IF BTBSTXBS = 6                THEN BTBSTXBS = .B ;
IF BTBSADTB = 96               THEN BTBSADTB = .B ;
IF BTBSLM01 = 6                THEN BTBSLM01 = .B ;
IF BTBSLM02 = 6                THEN BTBSLM02 = .B ;
IF BTBSLM03 = 6                THEN BTBSLM03 = .B ;
IF BTBSLM04 = 6                THEN BTBSLM04 = .B ;
IF BTBSLM05 = 6                THEN BTBSLM05 = .B ;
IF BTBSLM06 = 6                THEN BTBSLM06 = .B ;
IF BTBSLM07 = 6                THEN BTBSLM07 = .B ;
IF BTBSLM08 = 6                THEN BTBSLM08 = .B ;
IF BTBSLM09 = 6                THEN BTBSLM09 = .B ;
IF BTBSLM10 = 6                THEN BTBSLM10 = .B ;
IF BTBSLM11 = 6                THEN BTBSLM11 = .B ;
IF BTBSLM12 = 6                THEN BTBSLM12 = .B ;
IF BTBSLM13 = 6                THEN BTBSLM13 = .B ;
IF BTBSLM14 = 6                THEN BTBSLM14 = .B ;
IF BTBSLM15 = 6                THEN BTBSLM15 = .B ;
IF BTBSLM16 = 6                THEN BTBSLM16 = .B ;
IF BTBSCALC = 6                THEN BTBSCALC = .B ;
IF BTBSCAL1 = 6                THEN BTBSCAL1 = .B ;
IF BTBSCAL2 = 6                THEN BTBSCAL2 = .B ;
IF BTBSCAL3 = 6                THEN BTBSCAL3 = .B ;
IF BTBSCAL4 = 6                THEN BTBSCAL4 = .B ;
IF BTBSCAL5 = 6                THEN BTBSCAL5 = .B ;
IF BTBSRLY1 = 6                THEN BTBSRLY1 = .B ;
IF BTBSRLY2 = 6                THEN BTBSRLY2 = .B ;
IF BTBSRLY3 = 6                THEN BTBSRLY3 = .B ;
IF BTBSRLY4 = 6                THEN BTBSRLY4 = .B ;
IF BTBSRLY5 = 6                THEN BTBSRLY5 = .B ;
IF BTBSRLY6 = 6                THEN BTBSRLY6 = .B ;
IF BTBSRLY7 = 6                THEN BTBSRLY7 = .B ;
IF BTBSSRC1 = 96               THEN BTBSSRC1 = .B ;
IF BTBSSRC2 = 96               THEN BTBSSRC2 = .B ;
IF BTBSSRC3 = 96               THEN BTBSSRC3 = .B ;
IF BTBSSRC4 = 96               THEN BTBSSRC4 = .B ;
IF BTBSTA   = 6                THEN BTBSTA   = .B ;
IF BTBSTAA  = 6                THEN BTBSTAA  = .B ;
IF BTBSTAB  = 6                THEN BTBSTAB  = .B ;
IF BTBSTAC  = 6                THEN BTBSTAC  = .B ;
IF BTBSTA1  = 6                THEN BTBSTA1  = .B ;
IF BTBSTA1A = 6                THEN BTBSTA1A = .B ;
IF BTBSTA1B = 6                THEN BTBSTA1B = .B ;
IF BTBSTA1C = 6                THEN BTBSTA1C = .B ;
IF BTBSTA2  = 6                THEN BTBSTA2  = .B ;
IF BTBSTA2A = 6                THEN BTBSTA2A = .B ;
IF BTBSTA2B = 6                THEN BTBSTA2B = .B ;
IF BTBSTA2C = 6                THEN BTBSTA2C = .B ;
IF BTBSTA3  = 6                THEN BTBSTA3  = .B ;
IF BTBSTA3A = 6                THEN BTBSTA3A = .B ;
IF BTBSTA3B = 6                THEN BTBSTA3B = .B ;
IF BTBSTA3C = 6                THEN BTBSTA3C = .B ;
IF BTBSTA4  = 6                THEN BTBSTA4  = .B ;
IF BTBSTA4A = 6                THEN BTBSTA4A = .B ;
IF BTBSTA4B = 6                THEN BTBSTA4B = .B ;
IF BTBSTA4C = 6                THEN BTBSTA4C = .B ;
IF BTBSTA5  = 6                THEN BTBSTA5  = .B ;
IF BTBSTA5A = 6                THEN BTBSTA5A = .B ;
IF BTBSTA5B = 6                THEN BTBSTA5B = .B ;
IF BTBSTA5C = 6                THEN BTBSTA5C = .B ;
IF BTBSTA6  = 6                THEN BTBSTA6  = .B ;
IF BTBSTA6A = 6                THEN BTBSTA6A = .B ;
IF BTBSTA6B = 6                THEN BTBSTA6B = .B ;
IF BTBSTA6C = 6                THEN BTBSTA6C = .B ;
IF BTBSTB   = 6                THEN BTBSTB   = .B ;
IF BTBSTBA  = 6                THEN BTBSTBA  = .B ;
IF BTBSTBB  = 6                THEN BTBSTBB  = .B ;
IF BTBSTBC  = 6                THEN BTBSTBC  = .B ;
IF BTBSTC   = 6                THEN BTBSTC   = .B ;
IF BTBSTCA  = 6                THEN BTBSTCA  = .B ;
IF BTBSTCB  = 6                THEN BTBSTCB  = .B ;
IF BTBSTCC  = 6                THEN BTBSTCC  = .B ;
IF BTBSTD   = 6                THEN BTBSTD   = .B ;
IF BTBSTDA  = 6                THEN BTBSTDA  = .B ;
IF BTBSTDB  = 6                THEN BTBSTDB  = .B ;
IF BTBSTDC  = 6                THEN BTBSTDC  = .B ;
IF BTBSTD1  = 6                THEN BTBSTD1  = .B ;
IF BTBSTD1A = 6                THEN BTBSTD1A = .B ;
IF BTBSTD1B = 6                THEN BTBSTD1B = .B ;
IF BTBSTD1C = 6                THEN BTBSTD1C = .B ;
IF BTBSTD2  = 6                THEN BTBSTD2  = .B ;
IF BTBSTD2A = 6                THEN BTBSTD2A = .B ;
IF BTBSTD2B = 6                THEN BTBSTD2B = .B ;
IF BTBSTD2C = 6                THEN BTBSTD2C = .B ;
IF BTBSTD3  = 6                THEN BTBSTD3  = .B ;
IF BTBSTD3A = 6                THEN BTBSTD3A = .B ;
IF BTBSTD3B = 6                THEN BTBSTD3B = .B ;
IF BTBSTD3C = 6                THEN BTBSTD3C = .B ;
IF BTBSTD4  = 6                THEN BTBSTD4  = .B ;
IF BTBSTD4A = 6                THEN BTBSTD4A = .B ;
IF BTBSTD4B = 6                THEN BTBSTD4B = .B ;
IF BTBSTD4C = 6                THEN BTBSTD4C = .B ;
IF BTBSTE   = 6                THEN BTBSTE   = .B ;
IF BTBSTEA  = 6                THEN BTBSTEA  = .B ;
IF BTBSTEB  = 6                THEN BTBSTEB  = .B ;
IF BTBSTEC  = 6                THEN BTBSTEC  = .B ;
IF BTBSTF   = 6                THEN BTBSTF   = .B ;
IF BTBSTFA  = 6                THEN BTBSTFA  = .B ;
IF BTBSTFB  = 6                THEN BTBSTFB  = .B ;
IF BTBSTFC  = 6                THEN BTBSTFC  = .B ;
IF BTBSTG   = 6                THEN BTBSTG   = .B ;
IF BTBSTGA  = 6                THEN BTBSTGA  = .B ;
IF BTBSTGB  = 6                THEN BTBSTGB  = .B ;
IF BTBSTGC  = 6                THEN BTBSTGC  = .B ;
IF BTBSTH   = 6                THEN BTBSTH   = .B ;
IF BTBSTHA  = 6                THEN BTBSTHA  = .B ;
IF BTBSTHB  = 6                THEN BTBSTHB  = .B ;
IF BTBSTHC  = 6                THEN BTBSTHC  = .B ;
IF BTBSTI   = 6                THEN BTBSTI   = .B ;
IF BTBSTIA  = 6                THEN BTBSTIA  = .B ;
IF BTBSTIB  = 6                THEN BTBSTIB  = .B ;
IF BTBSTIC  = 6                THEN BTBSTIC  = .B ;
IF BTBSTJ   = 6                THEN BTBSTJ   = .B ;
IF BTBSTJA  = 6                THEN BTBSTJA  = .B ;
IF BTBSTJB  = 6                THEN BTBSTJB  = .B ;
IF BTBSTJC  = 6                THEN BTBSTJC  = .B ;
IF BTBSTK   = 6                THEN BTBSTK   = .B ;
IF BTBSTKA  = 6                THEN BTBSTKA  = .B ;
IF BTBSTKB  = 6                THEN BTBSTKB  = .B ;
IF BTBSTKC  = 6                THEN BTBSTKC  = .B ;
IF BTBSTL   = 6                THEN BTBSTL   = .B ;
IF BTBSTLA  = 6                THEN BTBSTLA  = .B ;
IF BTBSTLB  = 6                THEN BTBSTLB  = .B ;
IF BTBSTLC  = 6                THEN BTBSTLC  = .B ;
IF BTBSTL1  = 6                THEN BTBSTL1  = .B ;
IF BTBSTL1A = 6                THEN BTBSTL1A = .B ;
IF BTBSTL1B = 6                THEN BTBSTL1B = .B ;
IF BTBSTL1C = 6                THEN BTBSTL1C = .B ;
IF BTBSTM   = 6                THEN BTBSTM   = .B ;
IF BTBSTMA  = 6                THEN BTBSTMA  = .B ;
IF BTBSTMB  = 6                THEN BTBSTMB  = .B ;
IF BTBSTMC  = 6                THEN BTBSTMC  = .B ;
IF BTBSTN   = 6                THEN BTBSTN   = .B ;
IF BTBSTNA  = 6                THEN BTBSTNA  = .B ;
IF BTBSTNB  = 6                THEN BTBSTNB  = .B ;
IF BTBSTNC  = 6                THEN BTBSTNC  = .B ;
IF BTBSTO   = 6                THEN BTBSTO   = .B ;
IF BTBSTOA  = 6                THEN BTBSTOA  = .B ;
IF BTBSTOB  = 6                THEN BTBSTOB  = .B ;
IF BTBSTOC  = 6                THEN BTBSTOC  = .B ;
IF BTBSTP   = 6                THEN BTBSTP   = .B ;
IF BTBSTPA  = 6                THEN BTBSTPA  = .B ;
IF BTBSTPB  = 6                THEN BTBSTPB  = .B ;
IF BTBSTPC  = 6                THEN BTBSTPC  = .B ;
IF BTBSTQ   = 6                THEN BTBSTQ   = .B ;
IF BTBSTQA  = 6                THEN BTBSTQA  = .B ;
IF BTBSTQB  = 6                THEN BTBSTQB  = .B ;
IF BTBSTQC  = 6                THEN BTBSTQC  = .B ;
IF BTBSTR   = 6                THEN BTBSTR   = .B ;
IF BTBSTRA  = 6                THEN BTBSTRA  = .B ;
IF BTBSTRB  = 6                THEN BTBSTRB  = .B ;
IF BTBSTRC  = 6                THEN BTBSTRC  = .B ;
IF BTBSTS   = 6                THEN BTBSTS   = .B ;
IF BTBSTSA  = 6                THEN BTBSTSA  = .B ;
IF BTBSTSB  = 6                THEN BTBSTSB  = .B ;
IF BTBSTSC  = 6                THEN BTBSTSC  = .B ;
IF BTBSTT   = 6                THEN BTBSTT   = .B ;
IF BTBSTTA  = 6                THEN BTBSTTA  = .B ;
IF BTBSTTB  = 6                THEN BTBSTTB  = .B ;
IF BTBSTTC  = 6                THEN BTBSTTC  = .B ;
IF BTBSTU   = 6                THEN BTBSTU   = .B ;
IF BTBSTUA  = 6                THEN BTBSTUA  = .B ;
IF BTBSTUB  = 6                THEN BTBSTUB  = .B ;
IF BTBSTUC  = 6                THEN BTBSTUC  = .B ;
IF BTBSTV   = 6                THEN BTBSTV   = .B ;
IF BTBSTVA  = 6                THEN BTBSTVA  = .B ;
IF BTBSTVB  = 6                THEN BTBSTVB  = .B ;
IF BTBSTVC  = 6                THEN BTBSTVC  = .B ;
IF BTBSTW1  = 6                THEN BTBSTW1  = .B ;
IF BTBSTW1A = 6                THEN BTBSTW1A = .B ;
IF BTBSTW1B = 6                THEN BTBSTW1B = .B ;
IF BTBSTW1C = 6                THEN BTBSTW1C = .B ;
IF BTBSTW2  = 6                THEN BTBSTW2  = .B ;
IF BTBSTW2A = 6                THEN BTBSTW2A = .B ;
IF BTBSTW2B = 6                THEN BTBSTW2B = .B ;
IF BTBSTW2C = 6                THEN BTBSTW2C = .B ;
IF BTBSTW3  = 6                THEN BTBSTW3  = .B ;
IF BTBSTW3A = 6                THEN BTBSTW3A = .B ;
IF BTBSTW3B = 6                THEN BTBSTW3B = .B ;
IF BTBSTW3C = 6                THEN BTBSTW3C = .B ;
IF BTBSTX1  = 6                THEN BTBSTX1  = .B ;
IF BTBSTX1A = 6                THEN BTBSTX1A = .B ;
IF BTBSTX1B = 6                THEN BTBSTX1B = .B ;
IF BTBSTX1C = 6                THEN BTBSTX1C = .B ;
IF BTBSTX2  = 6                THEN BTBSTX2  = .B ;
IF BTBSTX2A = 6                THEN BTBSTX2A = .B ;
IF BTBSTX2B = 6                THEN BTBSTX2B = .B ;
IF BTBSTX2C = 6                THEN BTBSTX2C = .B ;
IF BTBSTX3  = 6                THEN BTBSTX3  = .B ;
IF BTBSTX3A = 6                THEN BTBSTX3A = .B ;
IF BTBSTX3B = 6                THEN BTBSTX3B = .B ;
IF BTBSTX3C = 6                THEN BTBSTX3C = .B ;
IF BTBSTX4  = 6                THEN BTBSTX4  = .B ;
IF BTBSTX4A = 6                THEN BTBSTX4A = .B ;
IF BTBSTX4B = 6                THEN BTBSTX4B = .B ;
IF BTBSTX4C = 6                THEN BTBSTX4C = .B ;
IF BTBSCLTM = 996              THEN BTBSCLTM = .B ;
IF BTBSTO01 = 6                THEN BTBSTO01 = .B ;
IF BTBSTO02 = 6                THEN BTBSTO02 = .B ;
IF BTBSTO03 = 6                THEN BTBSTO03 = .B ;
IF BTBSTO04 = 6                THEN BTBSTO04 = .B ;
IF BTBSTO05 = 6                THEN BTBSTO05 = .B ;
IF BTBSTO06 = 6                THEN BTBSTO06 = .B ;
IF BTBSTO07 = 6                THEN BTBSTO07 = .B ;
IF BTBSTO08 = 6                THEN BTBSTO08 = .B ;
IF BTBSTO09 = 6                THEN BTBSTO09 = .B ;
IF BTBSTO10 = 6                THEN BTBSTO10 = .B ;
IF BTBSTO11 = 6                THEN BTBSTO11 = .B ;
IF BTBSTO12 = 6                THEN BTBSTO12 = .B ;
IF BTBSTO13 = 6                THEN BTBSTO13 = .B ;
IF BTBSTO14 = 6                THEN BTBSTO14 = .B ;
IF BTBSTO15 = 6                THEN BTBSTO15 = .B ;
IF BTBSTO16 = 6                THEN BTBSTO16 = .B ;
IF BTBSTO17 = 6                THEN BTBSTO17 = .B ;
IF BTBSTO18 = 6                THEN BTBSTO18 = .B ;
IF BTBSTO19 = 6                THEN BTBSTO19 = .B ;
IF BTBSTO20 = 6                THEN BTBSTO20 = .B ;
IF BTBSTO21 = 6                THEN BTBSTO21 = .B ;
IF BTBSTO22 = 6                THEN BTBSTO22 = .B ;
IF BTBSTOP1 = 6                THEN BTBSTOP1 = .B ;
IF BTBSTOP2 = 6                THEN BTBSTOP2 = .B ;
IF BTBSTOP3 = 6                THEN BTBSTOP3 = .B ;
IF BTBSHMW1 = 6                THEN BTBSHMW1 = .B ;
IF BTBSHWT1 = 996              THEN BTBSHWT1 = .B ;
IF BTBSCLCM = 6                THEN BTBSCLCM = .B ;
IF BTBSLAB1 = 6                THEN BTBSLAB1 = .B ;
IF BTBSLAB2 = 996              THEN BTBSLAB2 = .B ;
IF BTBSOR01 = 96               THEN BTBSOR01 = .B ;
IF BTBSTM01 = 996              THEN BTBSTM01 = .B ;
IF BTBSOR02 = 96               THEN BTBSOR02 = .B ;
IF BTBSTM02 = 996              THEN BTBSTM02 = .B ;
IF BTBSOR03 = 96               THEN BTBSOR03 = .B ;
IF BTBSTM03 = 996              THEN BTBSTM03 = .B ;
IF BTBSOR04 = 96               THEN BTBSOR04 = .B ;
IF BTBSTM04 = 996              THEN BTBSTM04 = .B ;
IF BTBSOR05 = 96               THEN BTBSOR05 = .B ;
IF BTBSTM05 = 996              THEN BTBSTM05 = .B ;
IF BTBSOR06 = 96               THEN BTBSOR06 = .B ;
IF BTBSTM06 = 996              THEN BTBSTM06 = .B ;
IF BTBSOR07 = 96               THEN BTBSOR07 = .B ;
IF BTBSTM07 = 996              THEN BTBSTM07 = .B ;
IF BTBSOR08 = 96               THEN BTBSOR08 = .B ;
IF BTBSTM08 = 996              THEN BTBSTM08 = .B ;
IF BTBSOR09 = 96               THEN BTBSOR09 = .B ;
IF BTBSTM09 = 996              THEN BTBSTM09 = .B ;
IF BTBSOR10 = 96               THEN BTBSOR10 = .B ;
IF BTBSTM10 = 996              THEN BTBSTM10 = .B ;
IF BTBSOR11 = 96               THEN BTBSOR11 = .B ;
IF BTBSTM11 = 996              THEN BTBSTM11 = .B ;
IF BTBSSGRP = 6                THEN BTBSSGRP = .B ;
IF BTBSASK1 = 6                THEN BTBSASK1 = .B ;
IF BTBSASK2 = 6                THEN BTBSASK2 = .B ;
IF BTBSASK3 = 6                THEN BTBSASK3 = .B ;
IF BTBSASK4 = 6                THEN BTBSASK4 = .B ;
IF BTBSASK5 = 6                THEN BTBSASK5 = .B ;
IF BTBSASK6 = 6                THEN BTBSASK6 = .B ;
IF BTBSDO1  = 6                THEN BTBSDO1  = .B ;
IF BTBSDO2  = 6                THEN BTBSDO2  = .B ;
IF BTBSDO3  = 6                THEN BTBSDO3  = .B ;
IF BTBSDO4  = 6                THEN BTBSDO4  = .B ;
IF BTBSLES1 = 6                THEN BTBSLES1 = .B ;
IF BTBSLES2 = 6                THEN BTBSLES2 = .B ;
IF BTBSLES3 = 6                THEN BTBSLES3 = .B ;
IF BTBSLES4 = 6                THEN BTBSLES4 = .B ;
IF BTBSLES5 = 6                THEN BTBSLES5 = .B ;
IF BTBSLES6 = 6                THEN BTBSLES6 = .B ;
IF BTBSHMW2 = 6                THEN BTBSHMW2 = .B ;
IF BTBSHWT2 = 96               THEN BTBSHWT2 = .B ;
IF BTBSWKBK = 6                THEN BTBSWKBK = .B ;
IF BTBSPROB = 6                THEN BTBSPROB = .B ;
IF BTBSREAD = 6                THEN BTBSREAD = .B ;
IF BTBSWRIT = 6                THEN BTBSWRIT = .B ;
IF BTBSDATA = 6                THEN BTBSDATA = .B ;
IF BTBSIEXP = 6                THEN BTBSIEXP = .B ;
IF BTBSGEXP = 6                THEN BTBSGEXP = .B ;
IF BTBSFIND = 6                THEN BTBSFIND = .B ;
IF BTBSORAL = 6                THEN BTBSORAL = .B ;
IF BTBSJOUR = 6                THEN BTBSJOUR = .B ;
IF BTBSWHW1 = 6                THEN BTBSWHW1 = .B ;
IF BTBSWHW2 = 6                THEN BTBSWHW2 = .B ;
IF BTBSWHW3 = 6                THEN BTBSWHW3 = .B ;
IF BTBSWHW4 = 6                THEN BTBSWHW4 = .B ;
IF BTBSWHW5 = 6                THEN BTBSWHW5 = .B ;
IF BTBSWHW6 = 6                THEN BTBSWHW6 = .B ;
IF BTBSWHW7 = 6                THEN BTBSWHW7 = .B ;
IF BTBSWHW8 = 6                THEN BTBSWHW8 = .B ;
IF BTBSWGT1 = 6                THEN BTBSWGT1 = .B ;
IF BTBSWGT2 = 6                THEN BTBSWGT2 = .B ;
IF BTBSWGT3 = 6                THEN BTBSWGT3 = .B ;
IF BTBSWGT4 = 6                THEN BTBSWGT4 = .B ;
IF BTBSWGT5 = 6                THEN BTBSWGT5 = .B ;
IF BTBSWGT6 = 6                THEN BTBSWGT6 = .B ;
IF BTBSWGT7 = 6                THEN BTBSWGT7 = .B ;
IF BTBGASS1 = 6                THEN BTBGASS1 = .B ;
IF BTBGASS2 = 6                THEN BTBGASS2 = .B ;
IF BTBGASS3 = 6                THEN BTBGASS3 = .B ;
IF BTBGASS4 = 6                THEN BTBGASS4 = .B ;
IF BTBGASS5 = 6                THEN BTBGASS5 = .B ;
IF BTBGASS6 = 6                THEN BTBGASS6 = .B ;
IF BTDSTOEN = 996              THEN BTDSTOEN = .B ;
IF BTDGADMN = 9996             THEN BTDGADMN = .B ;
IF BTDGCPLN = 9996             THEN BTDGCPLN = .B ;
IF BTDGOTHR = 9996             THEN BTDGOTHR = .B ;
IF BTDGSUBT = 9996             THEN BTDGSUBT = .B ;
IF BTDGTSKT = 9996             THEN BTDGTSKT = .B ;
IF BTDGTTIM = 9996             THEN BTDGTTIM = .B ;
IF BTDSCPTS = 6                THEN BTDSCPTS = .B ;
IF BTDSERPS = 6                THEN BTDSERPS = .B ;
IF BTDSESH  = 6                THEN BTDSESH  = .B ;
IF BTDSHTS  = 9996             THEN BTDSHTS  = .B ;
IF BTDSSIZE = 9996             THEN BTDSSIZE = .B ;
IF BTDSSZ3C = 6                THEN BTDSSZ3C = .B ;
IF BTDSTPTT = 9996             THEN BTDSTPTT = .B ;
IF BTDSTTIM = 9996             THEN BTDSTTIM = .B ;
IF BTDSTIME = 6                THEN BTDSTIME = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDTEACH  = 99999999         THEN IDTEACH  = . ;
IF IDLINK   = 99               THEN IDLINK   = . ;
IF IDSUBJCT = 9                THEN IDSUBJCT = . ;
IF BTBGAGE  = 99               THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGEDUC = 99               THEN BTBGEDUC = . ;
IF BTBSTEAC = 9                THEN BTBSTEAC = . ;
IF BTBSGRPK = 9                THEN BTBSGRPK = . ;
IF BTBSGRK  = 9                THEN BTBSGRK  = . ;
IF BTBSGR1  = 9                THEN BTBSGR1  = . ;
IF BTBSGR2  = 9                THEN BTBSGR2  = . ;
IF BTBSGR3  = 9                THEN BTBSGR3  = . ;
IF BTBSGR4  = 9                THEN BTBSGR4  = . ;
IF BTBSGR5  = 9                THEN BTBSGR5  = . ;
IF BTBSGR6  = 9                THEN BTBSGR6  = . ;
IF BTBSGR7  = 9                THEN BTBSGR7  = . ;
IF BTBSGR8  = 9                THEN BTBSGR8  = . ;
IF BTBSGR9  = 9                THEN BTBSGR9  = . ;
IF BTBSGR10 = 9                THEN BTBSGR10 = . ;
IF BTBSGR11 = 9                THEN BTBSGR11 = . ;
IF BTBSGR12 = 9                THEN BTBSGR12 = . ;
IF BTBSGR13 = 9                THEN BTBSGR13 = . ;
IF BTBMTEAC = 9                THEN BTBMTEAC = . ;
IF BTBMGRPK = 9                THEN BTBMGRPK = . ;
IF BTBMGRK  = 9                THEN BTBMGRK  = . ;
IF BTBMGR1  = 9                THEN BTBMGR1  = . ;
IF BTBMGR2  = 9                THEN BTBMGR2  = . ;
IF BTBMGR3  = 9                THEN BTBMGR3  = . ;
IF BTBMGR4  = 9                THEN BTBMGR4  = . ;
IF BTBMGR5  = 9                THEN BTBMGR5  = . ;
IF BTBMGR6  = 9                THEN BTBMGR6  = . ;
IF BTBMGR7  = 9                THEN BTBMGR7  = . ;
IF BTBMGR8  = 9                THEN BTBMGR8  = . ;
IF BTBMGR9  = 9                THEN BTBMGR9  = . ;
IF BTBMGR10 = 9                THEN BTBMGR10 = . ;
IF BTBMGR11 = 9                THEN BTBMGR11 = . ;
IF BTBMGR12 = 9                THEN BTBMGR12 = . ;
IF BTBMGR13 = 9                THEN BTBMGR13 = . ;
IF BTBGPTFT = 9                THEN BTBGPTFT = . ;
IF BTBGTAUG = 99               THEN BTBGTAUG = . ;
IF BTBGGRPK = 9                THEN BTBGGRPK = . ;
IF BTBGGRK  = 9                THEN BTBGGRK  = . ;
IF BTBGGR1  = 9                THEN BTBGGR1  = . ;
IF BTBGGR2  = 9                THEN BTBGGR2  = . ;
IF BTBGGR3  = 9                THEN BTBGGR3  = . ;
IF BTBGGR4  = 9                THEN BTBGGR4  = . ;
IF BTBGGR5  = 9                THEN BTBGGR5  = . ;
IF BTBGGR6  = 9                THEN BTBGGR6  = . ;
IF BTBGGR7  = 9                THEN BTBGGR7  = . ;
IF BTBGGR8  = 9                THEN BTBGGR8  = . ;
IF BTBGGR9  = 9                THEN BTBGGR9  = . ;
IF BTBGGR10 = 9                THEN BTBGGR10 = . ;
IF BTBGGR11 = 9                THEN BTBGGR11 = . ;
IF BTBGGR12 = 9                THEN BTBGGR12 = . ;
IF BTBGGR13 = 9                THEN BTBGGR13 = . ;
IF BTBMSUB1 = 99               THEN BTBMSUB1 = . ;
IF BTBSSUB2 = 99               THEN BTBSSUB2 = . ;
IF BTBSSUB3 = 99               THEN BTBSSUB3 = . ;
IF BTBSSUB4 = 99               THEN BTBSSUB4 = . ;
IF BTBSSUB5 = 99               THEN BTBSSUB5 = . ;
IF BTBSSUB6 = 99               THEN BTBSSUB6 = . ;
IF BTBSSUB7 = 99               THEN BTBSSUB7 = . ;
IF BTBSSUB8 = 99               THEN BTBSSUB8 = . ;
IF BTBGSUB9 = 99               THEN BTBGSUB9 = . ;
IF BTBGTSK1 = 99               THEN BTBGTSK1 = . ;
IF BTBGTSK2 = 99               THEN BTBGTSK2 = . ;
IF BTBGTSK3 = 99               THEN BTBGTSK3 = . ;
IF BTBGTSK4 = 99               THEN BTBGTSK4 = . ;
IF BTBGTSK5 = 99               THEN BTBGTSK5 = . ;
IF BTBGTSK6 = 99               THEN BTBGTSK6 = . ;
IF BTBGTOTL = 99               THEN BTBGTOTL = . ;
IF BTBGACT1 = 9                THEN BTBGACT1 = . ;
IF BTBGACT2 = 9                THEN BTBGACT2 = . ;
IF BTBGACT3 = 9                THEN BTBGACT3 = . ;
IF BTBGACT4 = 9                THEN BTBGACT4 = . ;
IF BTBGACT5 = 9                THEN BTBGACT5 = . ;
IF BTBGACT6 = 9                THEN BTBGACT6 = . ;
IF BTBGACT7 = 9                THEN BTBGACT7 = . ;
IF BTBGACT8 = 9                THEN BTBGACT8 = . ;
IF BTBGMEET = 99               THEN BTBGMEET = . ;
IF BTBGINF1 = 9                THEN BTBGINF1 = . ;
IF BTBGINF2 = 9                THEN BTBGINF2 = . ;
IF BTBGINF3 = 9                THEN BTBGINF3 = . ;
IF BTBGINF4 = 9                THEN BTBGINF4 = . ;
IF BTBSIMP1 = 9                THEN BTBSIMP1 = . ;
IF BTBSIMP2 = 9                THEN BTBSIMP2 = . ;
IF BTBSIMP3 = 9                THEN BTBSIMP3 = . ;
IF BTBSIMP4 = 9                THEN BTBSIMP4 = . ;
IF BTBSIMP5 = 9                THEN BTBSIMP5 = . ;
IF BTBSIMP6 = 9                THEN BTBSIMP6 = . ;
IF BTBSAGR1 = 9                THEN BTBSAGR1 = . ;
IF BTBSAGR2 = 9                THEN BTBSAGR2 = . ;
IF BTBSAGR3 = 9                THEN BTBSAGR3 = . ;
IF BTBSAGR4 = 9                THEN BTBSAGR4 = . ;
IF BTBSAGR5 = 9                THEN BTBSAGR5 = . ;
IF BTBSAGR6 = 9                THEN BTBSAGR6 = . ;
IF BTBSAGR7 = 9                THEN BTBSAGR7 = . ;
IF BTBSAGR8 = 9                THEN BTBSAGR8 = . ;
IF BTBSAGR9 = 9                THEN BTBSAGR9 = . ;
IF BTBSFAM1 = 9                THEN BTBSFAM1 = . ;
IF BTBSFAM2 = 9                THEN BTBSFAM2 = . ;
IF BTBGFAM3 = 9                THEN BTBGFAM3 = . ;
IF BTBGFAM4 = 9                THEN BTBGFAM4 = . ;
IF BTBGFAM5 = 9                THEN BTBGFAM5 = . ;
IF BTBSFAM6 = 9                THEN BTBSFAM6 = . ;
IF BTBSFAM7 = 9                THEN BTBSFAM7 = . ;
IF BTBSPRP1 = 9                THEN BTBSPRP1 = . ;
IF BTBSPRP2 = 9                THEN BTBSPRP2 = . ;
IF BTBSPRP3 = 9                THEN BTBSPRP3 = . ;
IF BTBSPRP4 = 9                THEN BTBSPRP4 = . ;
IF BTBSPRP5 = 9                THEN BTBSPRP5 = . ;
IF BTBSPRP6 = 9                THEN BTBSPRP6 = . ;
IF BTBSPRP7 = 9                THEN BTBSPRP7 = . ;
IF BTBSPRP8 = 9                THEN BTBSPRP8 = . ;
IF BTBSPRP9 = 9                THEN BTBSPRP9 = . ;
IF BTBGCARE = 9                THEN BTBGCARE = . ;
IF BTBGCHNG = 9                THEN BTBGCHNG = . ;
IF BTBGSOAP = 9                THEN BTBGSOAP = . ;
IF BTBGSTAP = 9                THEN BTBGSTAP = . ;
IF BTBGBOOK = 9                THEN BTBGBOOK = . ;
IF BTBGRNK1 = 99               THEN BTBGRNK1 = . ;
IF BTBGRNK2 = 99               THEN BTBGRNK2 = . ;
IF BTBGRNK3 = 99               THEN BTBGRNK3 = . ;
IF BTBGRNK4 = 99               THEN BTBGRNK4 = . ;
IF BTBGRNK5 = 99               THEN BTBGRNK5 = . ;
IF BTBGRNK6 = 99               THEN BTBGRNK6 = . ;
IF BTBGRNK7 = 99               THEN BTBGRNK7 = . ;
IF BTBGRNK8 = 99               THEN BTBGRNK8 = . ;
IF BTBGRNK9 = 99               THEN BTBGRNK9 = . ;
IF BTBSBOY  = 999              THEN BTBSBOY  = . ;
IF BTBSGIRL = 999              THEN BTBSGIRL = . ;
IF BTBSACH1 = 999              THEN BTBSACH1 = . ;
IF BTBSACH2 = 999              THEN BTBSACH2 = . ;
IF BTBSACH3 = 999              THEN BTBSACH3 = . ;
IF BTBSTIME = 9999             THEN BTBSTIME = . ;
IF BTBSTXBK = 9                THEN BTBSTXBK = . ;
IF BTBSTXB0 = 9                THEN BTBSTXB0 = . ;
IF BTBSTXB1 = 9                THEN BTBSTXB1 = . ;
IF BTBSTXB2 = 9                THEN BTBSTXB2 = . ;
IF BTBSTXB3 = 9                THEN BTBSTXB3 = . ;
IF BTBSTXB4 = 9                THEN BTBSTXB4 = . ;
IF BTBSTXB5 = 9                THEN BTBSTXB5 = . ;
IF BTBSTXB6 = 9                THEN BTBSTXB6 = . ;
IF BTBSTXB7 = 9                THEN BTBSTXB7 = . ;
IF BTBSTXB8 = 9                THEN BTBSTXB8 = . ;
IF BTBSTXB9 = 9                THEN BTBSTXB9 = . ;
IF BTBSTXNM = 99               THEN BTBSTXNM = . ;
IF BTBSTXBS = 9                THEN BTBSTXBS = . ;
IF BTBSADTB = 99               THEN BTBSADTB = . ;
IF BTBSLM01 = 9                THEN BTBSLM01 = . ;
IF BTBSLM02 = 9                THEN BTBSLM02 = . ;
IF BTBSLM03 = 9                THEN BTBSLM03 = . ;
IF BTBSLM04 = 9                THEN BTBSLM04 = . ;
IF BTBSLM05 = 9                THEN BTBSLM05 = . ;
IF BTBSLM06 = 9                THEN BTBSLM06 = . ;
IF BTBSLM07 = 9                THEN BTBSLM07 = . ;
IF BTBSLM08 = 9                THEN BTBSLM08 = . ;
IF BTBSLM09 = 9                THEN BTBSLM09 = . ;
IF BTBSLM10 = 9                THEN BTBSLM10 = . ;
IF BTBSLM11 = 9                THEN BTBSLM11 = . ;
IF BTBSLM12 = 9                THEN BTBSLM12 = . ;
IF BTBSLM13 = 9                THEN BTBSLM13 = . ;
IF BTBSLM14 = 9                THEN BTBSLM14 = . ;
IF BTBSLM15 = 9                THEN BTBSLM15 = . ;
IF BTBSLM16 = 9                THEN BTBSLM16 = . ;
IF BTBSCALC = 9                THEN BTBSCALC = . ;
IF BTBSCAL1 = 9                THEN BTBSCAL1 = . ;
IF BTBSCAL2 = 9                THEN BTBSCAL2 = . ;
IF BTBSCAL3 = 9                THEN BTBSCAL3 = . ;
IF BTBSCAL4 = 9                THEN BTBSCAL4 = . ;
IF BTBSCAL5 = 9                THEN BTBSCAL5 = . ;
IF BTBSRLY1 = 9                THEN BTBSRLY1 = . ;
IF BTBSRLY2 = 9                THEN BTBSRLY2 = . ;
IF BTBSRLY3 = 9                THEN BTBSRLY3 = . ;
IF BTBSRLY4 = 9                THEN BTBSRLY4 = . ;
IF BTBSRLY5 = 9                THEN BTBSRLY5 = . ;
IF BTBSRLY6 = 9                THEN BTBSRLY6 = . ;
IF BTBSRLY7 = 9                THEN BTBSRLY7 = . ;
IF BTBSSRC1 = 99               THEN BTBSSRC1 = . ;
IF BTBSSRC2 = 99               THEN BTBSSRC2 = . ;
IF BTBSSRC3 = 99               THEN BTBSSRC3 = . ;
IF BTBSSRC4 = 99               THEN BTBSSRC4 = . ;
IF BTBSTA   = 9                THEN BTBSTA   = . ;
IF BTBSTAA  = 9                THEN BTBSTAA  = . ;
IF BTBSTAB  = 9                THEN BTBSTAB  = . ;
IF BTBSTAC  = 9                THEN BTBSTAC  = . ;
IF BTBSTA1  = 9                THEN BTBSTA1  = . ;
IF BTBSTA1A = 9                THEN BTBSTA1A = . ;
IF BTBSTA1B = 9                THEN BTBSTA1B = . ;
IF BTBSTA1C = 9                THEN BTBSTA1C = . ;
IF BTBSTA2  = 9                THEN BTBSTA2  = . ;
IF BTBSTA2A = 9                THEN BTBSTA2A = . ;
IF BTBSTA2B = 9                THEN BTBSTA2B = . ;
IF BTBSTA2C = 9                THEN BTBSTA2C = . ;
IF BTBSTA3  = 9                THEN BTBSTA3  = . ;
IF BTBSTA3A = 9                THEN BTBSTA3A = . ;
IF BTBSTA3B = 9                THEN BTBSTA3B = . ;
IF BTBSTA3C = 9                THEN BTBSTA3C = . ;
IF BTBSTA4  = 9                THEN BTBSTA4  = . ;
IF BTBSTA4A = 9                THEN BTBSTA4A = . ;
IF BTBSTA4B = 9                THEN BTBSTA4B = . ;
IF BTBSTA4C = 9                THEN BTBSTA4C = . ;
IF BTBSTA5  = 9                THEN BTBSTA5  = . ;
IF BTBSTA5A = 9                THEN BTBSTA5A = . ;
IF BTBSTA5B = 9                THEN BTBSTA5B = . ;
IF BTBSTA5C = 9                THEN BTBSTA5C = . ;
IF BTBSTA6  = 9                THEN BTBSTA6  = . ;
IF BTBSTA6A = 9                THEN BTBSTA6A = . ;
IF BTBSTA6B = 9                THEN BTBSTA6B = . ;
IF BTBSTA6C = 9                THEN BTBSTA6C = . ;
IF BTBSTB   = 9                THEN BTBSTB   = . ;
IF BTBSTBA  = 9                THEN BTBSTBA  = . ;
IF BTBSTBB  = 9                THEN BTBSTBB  = . ;
IF BTBSTBC  = 9                THEN BTBSTBC  = . ;
IF BTBSTC   = 9                THEN BTBSTC   = . ;
IF BTBSTCA  = 9                THEN BTBSTCA  = . ;
IF BTBSTCB  = 9                THEN BTBSTCB  = . ;
IF BTBSTCC  = 9                THEN BTBSTCC  = . ;
IF BTBSTD   = 9                THEN BTBSTD   = . ;
IF BTBSTDA  = 9                THEN BTBSTDA  = . ;
IF BTBSTDB  = 9                THEN BTBSTDB  = . ;
IF BTBSTDC  = 9                THEN BTBSTDC  = . ;
IF BTBSTD1  = 9                THEN BTBSTD1  = . ;
IF BTBSTD1A = 9                THEN BTBSTD1A = . ;
IF BTBSTD1B = 9                THEN BTBSTD1B = . ;
IF BTBSTD1C = 9                THEN BTBSTD1C = . ;
IF BTBSTD2  = 9                THEN BTBSTD2  = . ;
IF BTBSTD2A = 9                THEN BTBSTD2A = . ;
IF BTBSTD2B = 9                THEN BTBSTD2B = . ;
IF BTBSTD2C = 9                THEN BTBSTD2C = . ;
IF BTBSTD3  = 9                THEN BTBSTD3  = . ;
IF BTBSTD3A = 9                THEN BTBSTD3A = . ;
IF BTBSTD3B = 9                THEN BTBSTD3B = . ;
IF BTBSTD3C = 9                THEN BTBSTD3C = . ;
IF BTBSTD4  = 9                THEN BTBSTD4  = . ;
IF BTBSTD4A = 9                THEN BTBSTD4A = . ;
IF BTBSTD4B = 9                THEN BTBSTD4B = . ;
IF BTBSTD4C = 9                THEN BTBSTD4C = . ;
IF BTBSTE   = 9                THEN BTBSTE   = . ;
IF BTBSTEA  = 9                THEN BTBSTEA  = . ;
IF BTBSTEB  = 9                THEN BTBSTEB  = . ;
IF BTBSTEC  = 9                THEN BTBSTEC  = . ;
IF BTBSTF   = 9                THEN BTBSTF   = . ;
IF BTBSTFA  = 9                THEN BTBSTFA  = . ;
IF BTBSTFB  = 9                THEN BTBSTFB  = . ;
IF BTBSTFC  = 9                THEN BTBSTFC  = . ;
IF BTBSTG   = 9                THEN BTBSTG   = . ;
IF BTBSTGA  = 9                THEN BTBSTGA  = . ;
IF BTBSTGB  = 9                THEN BTBSTGB  = . ;
IF BTBSTGC  = 9                THEN BTBSTGC  = . ;
IF BTBSTH   = 9                THEN BTBSTH   = . ;
IF BTBSTHA  = 9                THEN BTBSTHA  = . ;
IF BTBSTHB  = 9                THEN BTBSTHB  = . ;
IF BTBSTHC  = 9                THEN BTBSTHC  = . ;
IF BTBSTI   = 9                THEN BTBSTI   = . ;
IF BTBSTIA  = 9                THEN BTBSTIA  = . ;
IF BTBSTIB  = 9                THEN BTBSTIB  = . ;
IF BTBSTIC  = 9                THEN BTBSTIC  = . ;
IF BTBSTJ   = 9                THEN BTBSTJ   = . ;
IF BTBSTJA  = 9                THEN BTBSTJA  = . ;
IF BTBSTJB  = 9                THEN BTBSTJB  = . ;
IF BTBSTJC  = 9                THEN BTBSTJC  = . ;
IF BTBSTK   = 9                THEN BTBSTK   = . ;
IF BTBSTKA  = 9                THEN BTBSTKA  = . ;
IF BTBSTKB  = 9                THEN BTBSTKB  = . ;
IF BTBSTKC  = 9                THEN BTBSTKC  = . ;
IF BTBSTL   = 9                THEN BTBSTL   = . ;
IF BTBSTLA  = 9                THEN BTBSTLA  = . ;
IF BTBSTLB  = 9                THEN BTBSTLB  = . ;
IF BTBSTLC  = 9                THEN BTBSTLC  = . ;
IF BTBSTL1  = 9                THEN BTBSTL1  = . ;
IF BTBSTL1A = 9                THEN BTBSTL1A = . ;
IF BTBSTL1B = 9                THEN BTBSTL1B = . ;
IF BTBSTL1C = 9                THEN BTBSTL1C = . ;
IF BTBSTM   = 9                THEN BTBSTM   = . ;
IF BTBSTMA  = 9                THEN BTBSTMA  = . ;
IF BTBSTMB  = 9                THEN BTBSTMB  = . ;
IF BTBSTMC  = 9                THEN BTBSTMC  = . ;
IF BTBSTN   = 9                THEN BTBSTN   = . ;
IF BTBSTNA  = 9                THEN BTBSTNA  = . ;
IF BTBSTNB  = 9                THEN BTBSTNB  = . ;
IF BTBSTNC  = 9                THEN BTBSTNC  = . ;
IF BTBSTO   = 9                THEN BTBSTO   = . ;
IF BTBSTOA  = 9                THEN BTBSTOA  = . ;
IF BTBSTOB  = 9                THEN BTBSTOB  = . ;
IF BTBSTOC  = 9                THEN BTBSTOC  = . ;
IF BTBSTP   = 9                THEN BTBSTP   = . ;
IF BTBSTPA  = 9                THEN BTBSTPA  = . ;
IF BTBSTPB  = 9                THEN BTBSTPB  = . ;
IF BTBSTPC  = 9                THEN BTBSTPC  = . ;
IF BTBSTQ   = 9                THEN BTBSTQ   = . ;
IF BTBSTQA  = 9                THEN BTBSTQA  = . ;
IF BTBSTQB  = 9                THEN BTBSTQB  = . ;
IF BTBSTQC  = 9                THEN BTBSTQC  = . ;
IF BTBSTR   = 9                THEN BTBSTR   = . ;
IF BTBSTRA  = 9                THEN BTBSTRA  = . ;
IF BTBSTRB  = 9                THEN BTBSTRB  = . ;
IF BTBSTRC  = 9                THEN BTBSTRC  = . ;
IF BTBSTS   = 9                THEN BTBSTS   = . ;
IF BTBSTSA  = 9                THEN BTBSTSA  = . ;
IF BTBSTSB  = 9                THEN BTBSTSB  = . ;
IF BTBSTSC  = 9                THEN BTBSTSC  = . ;
IF BTBSTT   = 9                THEN BTBSTT   = . ;
IF BTBSTTA  = 9                THEN BTBSTTA  = . ;
IF BTBSTTB  = 9                THEN BTBSTTB  = . ;
IF BTBSTTC  = 9                THEN BTBSTTC  = . ;
IF BTBSTU   = 9                THEN BTBSTU   = . ;
IF BTBSTUA  = 9                THEN BTBSTUA  = . ;
IF BTBSTUB  = 9                THEN BTBSTUB  = . ;
IF BTBSTUC  = 9                THEN BTBSTUC  = . ;
IF BTBSTV   = 9                THEN BTBSTV   = . ;
IF BTBSTVA  = 9                THEN BTBSTVA  = . ;
IF BTBSTVB  = 9                THEN BTBSTVB  = . ;
IF BTBSTVC  = 9                THEN BTBSTVC  = . ;
IF BTBSTW1  = 9                THEN BTBSTW1  = . ;
IF BTBSTW1A = 9                THEN BTBSTW1A = . ;
IF BTBSTW1B = 9                THEN BTBSTW1B = . ;
IF BTBSTW1C = 9                THEN BTBSTW1C = . ;
IF BTBSTW2  = 9                THEN BTBSTW2  = . ;
IF BTBSTW2A = 9                THEN BTBSTW2A = . ;
IF BTBSTW2B = 9                THEN BTBSTW2B = . ;
IF BTBSTW2C = 9                THEN BTBSTW2C = . ;
IF BTBSTW3  = 9                THEN BTBSTW3  = . ;
IF BTBSTW3A = 9                THEN BTBSTW3A = . ;
IF BTBSTW3B = 9                THEN BTBSTW3B = . ;
IF BTBSTW3C = 9                THEN BTBSTW3C = . ;
IF BTBSTX1  = 9                THEN BTBSTX1  = . ;
IF BTBSTX1A = 9                THEN BTBSTX1A = . ;
IF BTBSTX1B = 9                THEN BTBSTX1B = . ;
IF BTBSTX1C = 9                THEN BTBSTX1C = . ;
IF BTBSTX2  = 9                THEN BTBSTX2  = . ;
IF BTBSTX2A = 9                THEN BTBSTX2A = . ;
IF BTBSTX2B = 9                THEN BTBSTX2B = . ;
IF BTBSTX2C = 9                THEN BTBSTX2C = . ;
IF BTBSTX3  = 9                THEN BTBSTX3  = . ;
IF BTBSTX3A = 9                THEN BTBSTX3A = . ;
IF BTBSTX3B = 9                THEN BTBSTX3B = . ;
IF BTBSTX3C = 9                THEN BTBSTX3C = . ;
IF BTBSTX4  = 9                THEN BTBSTX4  = . ;
IF BTBSTX4A = 9                THEN BTBSTX4A = . ;
IF BTBSTX4B = 9                THEN BTBSTX4B = . ;
IF BTBSTX4C = 9                THEN BTBSTX4C = . ;
IF BTBSCLTM = 999              THEN BTBSCLTM = . ;
IF BTBSTO01 = 9                THEN BTBSTO01 = . ;
IF BTBSTO02 = 9                THEN BTBSTO02 = . ;
IF BTBSTO03 = 9                THEN BTBSTO03 = . ;
IF BTBSTO04 = 9                THEN BTBSTO04 = . ;
IF BTBSTO05 = 9                THEN BTBSTO05 = . ;
IF BTBSTO06 = 9                THEN BTBSTO06 = . ;
IF BTBSTO07 = 9                THEN BTBSTO07 = . ;
IF BTBSTO08 = 9                THEN BTBSTO08 = . ;
IF BTBSTO09 = 9                THEN BTBSTO09 = . ;
IF BTBSTO10 = 9                THEN BTBSTO10 = . ;
IF BTBSTO11 = 9                THEN BTBSTO11 = . ;
IF BTBSTO12 = 9                THEN BTBSTO12 = . ;
IF BTBSTO13 = 9                THEN BTBSTO13 = . ;
IF BTBSTO14 = 9                THEN BTBSTO14 = . ;
IF BTBSTO15 = 9                THEN BTBSTO15 = . ;
IF BTBSTO16 = 9                THEN BTBSTO16 = . ;
IF BTBSTO17 = 9                THEN BTBSTO17 = . ;
IF BTBSTO18 = 9                THEN BTBSTO18 = . ;
IF BTBSTO19 = 9                THEN BTBSTO19 = . ;
IF BTBSTO20 = 9                THEN BTBSTO20 = . ;
IF BTBSTO21 = 9                THEN BTBSTO21 = . ;
IF BTBSTO22 = 9                THEN BTBSTO22 = . ;
IF BTBSTOP1 = 9                THEN BTBSTOP1 = . ;
IF BTBSTOP2 = 9                THEN BTBSTOP2 = . ;
IF BTBSTOP3 = 9                THEN BTBSTOP3 = . ;
IF BTBSHMW1 = 9                THEN BTBSHMW1 = . ;
IF BTBSHWT1 = 999              THEN BTBSHWT1 = . ;
IF BTBSCLCM = 9                THEN BTBSCLCM = . ;
IF BTBSLAB1 = 9                THEN BTBSLAB1 = . ;
IF BTBSLAB2 = 999              THEN BTBSLAB2 = . ;
IF BTBSOR01 = 99               THEN BTBSOR01 = . ;
IF BTBSTM01 = 999              THEN BTBSTM01 = . ;
IF BTBSOR02 = 99               THEN BTBSOR02 = . ;
IF BTBSTM02 = 999              THEN BTBSTM02 = . ;
IF BTBSOR03 = 99               THEN BTBSOR03 = . ;
IF BTBSTM03 = 999              THEN BTBSTM03 = . ;
IF BTBSOR04 = 99               THEN BTBSOR04 = . ;
IF BTBSTM04 = 999              THEN BTBSTM04 = . ;
IF BTBSOR05 = 99               THEN BTBSOR05 = . ;
IF BTBSTM05 = 999              THEN BTBSTM05 = . ;
IF BTBSOR06 = 99               THEN BTBSOR06 = . ;
IF BTBSTM06 = 999              THEN BTBSTM06 = . ;
IF BTBSOR07 = 99               THEN BTBSOR07 = . ;
IF BTBSTM07 = 999              THEN BTBSTM07 = . ;
IF BTBSOR08 = 99               THEN BTBSOR08 = . ;
IF BTBSTM08 = 999              THEN BTBSTM08 = . ;
IF BTBSOR09 = 99               THEN BTBSOR09 = . ;
IF BTBSTM09 = 999              THEN BTBSTM09 = . ;
IF BTBSOR10 = 99               THEN BTBSOR10 = . ;
IF BTBSTM10 = 999              THEN BTBSTM10 = . ;
IF BTBSOR11 = 99               THEN BTBSOR11 = . ;
IF BTBSTM11 = 999              THEN BTBSTM11 = . ;
IF BTBSSGRP = 9                THEN BTBSSGRP = . ;
IF BTBSASK1 = 9                THEN BTBSASK1 = . ;
IF BTBSASK2 = 9                THEN BTBSASK2 = . ;
IF BTBSASK3 = 9                THEN BTBSASK3 = . ;
IF BTBSASK4 = 9                THEN BTBSASK4 = . ;
IF BTBSASK5 = 9                THEN BTBSASK5 = . ;
IF BTBSASK6 = 9                THEN BTBSASK6 = . ;
IF BTBSDO1  = 9                THEN BTBSDO1  = . ;
IF BTBSDO2  = 9                THEN BTBSDO2  = . ;
IF BTBSDO3  = 9                THEN BTBSDO3  = . ;
IF BTBSDO4  = 9                THEN BTBSDO4  = . ;
IF BTBSLES1 = 9                THEN BTBSLES1 = . ;
IF BTBSLES2 = 9                THEN BTBSLES2 = . ;
IF BTBSLES3 = 9                THEN BTBSLES3 = . ;
IF BTBSLES4 = 9                THEN BTBSLES4 = . ;
IF BTBSLES5 = 9                THEN BTBSLES5 = . ;
IF BTBSLES6 = 9                THEN BTBSLES6 = . ;
IF BTBSHMW2 = 9                THEN BTBSHMW2 = . ;
IF BTBSHWT2 = 99               THEN BTBSHWT2 = . ;
IF BTBSWKBK = 9                THEN BTBSWKBK = . ;
IF BTBSPROB = 9                THEN BTBSPROB = . ;
IF BTBSREAD = 9                THEN BTBSREAD = . ;
IF BTBSWRIT = 9                THEN BTBSWRIT = . ;
IF BTBSDATA = 9                THEN BTBSDATA = . ;
IF BTBSIEXP = 9                THEN BTBSIEXP = . ;
IF BTBSGEXP = 9                THEN BTBSGEXP = . ;
IF BTBSFIND = 9                THEN BTBSFIND = . ;
IF BTBSORAL = 9                THEN BTBSORAL = . ;
IF BTBSJOUR = 9                THEN BTBSJOUR = . ;
IF BTBSWHW1 = 9                THEN BTBSWHW1 = . ;
IF BTBSWHW2 = 9                THEN BTBSWHW2 = . ;
IF BTBSWHW3 = 9                THEN BTBSWHW3 = . ;
IF BTBSWHW4 = 9                THEN BTBSWHW4 = . ;
IF BTBSWHW5 = 9                THEN BTBSWHW5 = . ;
IF BTBSWHW6 = 9                THEN BTBSWHW6 = . ;
IF BTBSWHW7 = 9                THEN BTBSWHW7 = . ;
IF BTBSWHW8 = 9                THEN BTBSWHW8 = . ;
IF BTBSWGT1 = 9                THEN BTBSWGT1 = . ;
IF BTBSWGT2 = 9                THEN BTBSWGT2 = . ;
IF BTBSWGT3 = 9                THEN BTBSWGT3 = . ;
IF BTBSWGT4 = 9                THEN BTBSWGT4 = . ;
IF BTBSWGT5 = 9                THEN BTBSWGT5 = . ;
IF BTBSWGT6 = 9                THEN BTBSWGT6 = . ;
IF BTBSWGT7 = 9                THEN BTBSWGT7 = . ;
IF BTBGASS1 = 9                THEN BTBGASS1 = . ;
IF BTBGASS2 = 9                THEN BTBGASS2 = . ;
IF BTBGASS3 = 9                THEN BTBGASS3 = . ;
IF BTBGASS4 = 9                THEN BTBGASS4 = . ;
IF BTBGASS5 = 9                THEN BTBGASS5 = . ;
IF BTBGASS6 = 9                THEN BTBGASS6 = . ;
IF BTDSTOEN = 999              THEN BTDSTOEN = . ;
IF BTDGADMN = 9999             THEN BTDGADMN = . ;
IF BTDGCPLN = 9999             THEN BTDGCPLN = . ;
IF BTDGOTHR = 9999             THEN BTDGOTHR = . ;
IF BTDGSUBT = 9999             THEN BTDGSUBT = . ;
IF BTDGTSKT = 9999             THEN BTDGTSKT = . ;
IF BTDGTTIM = 9999             THEN BTDGTTIM = . ;
IF BTDSCPTS = 9                THEN BTDSCPTS = . ;
IF BTDSERPS = 9                THEN BTDSERPS = . ;
IF BTDSESH  = 9                THEN BTDSESH  = . ;
IF BTDSHTS  = 9999             THEN BTDSHTS  = . ;
IF BTDSSIZE = 9999             THEN BTDSSIZE = . ;
IF BTDSSZ3C = 9                THEN BTDSSZ3C = . ;
IF BTDSTPTT = 9999             THEN BTDSTPTT = . ;
IF BTDSTTIM = 9999             THEN BTDSTTIM = . ;
IF BTDSTIME = 9                THEN BTDSTIME = . ;
IF DPCDATE  = 999999           THEN DPCDATE  = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;

