%let cty = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
           IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
           MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
           TUN TWN USA ZAF CHL SVK MAR TUR;


Options nosource nocenter;

LIBNAME libdat  "<path>" ;
LIBNAME library "<path>" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= bts&ccode.m2 ;

FILENAME rawinp "<path>&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions may need to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1100 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being createt. ;
LENGTH DEFAULT=5 ;
LENGTH      VERSION    3 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDSUBJCT   3 ;
LENGTH      IDPOP      3 ;
LENGTH      IDSCHOOL   6 ;
LENGTH      IDTEACH    8 ;
LENGTH      IDLINK     3 ;
LENGTH      ITCOURSE   3 ;
LENGTH      BTBGAGE    3 ;
LENGTH      BTBGSEX    3 ;
LENGTH      BTBGTAUG   3 ;
LENGTH      BTBGTOTL   3 ;
LENGTH      BTBMSUB1   3 ;
LENGTH      BTBSSUB2   3 ;
LENGTH      BTBSSUB3   3 ;
LENGTH      BTBSSUB4   3 ;
LENGTH      BTBSSUB5   3 ;
LENGTH      BTBSSUB6   3 ;
LENGTH      BTBSSUB7   3 ;
LENGTH      BTBSSUB8   3 ;
LENGTH      BTBGSUB9   3 ;
LENGTH      BTBGTSK1   3 ;
LENGTH      BTBGTSK2   3 ;
LENGTH      BTBGTSK3   3 ;
LENGTH      BTBGTSK4   3 ;
LENGTH      BTBGTSK5   3 ;
LENGTH      BTBGTSK6   3 ;
LENGTH      BTBGTSK7   3 ;
LENGTH      BTBGACT1   3 ;
LENGTH      BTBGACT2   3 ;
LENGTH      BTBGACT3   3 ;
LENGTH      BTBGACT4   3 ;
LENGTH      BTBGACT5   3 ;
LENGTH      BTBGACT6   3 ;
LENGTH      BTBGACT7   3 ;
LENGTH      BTBGACT8   3 ;
LENGTH      BTBGACT9   3 ;
LENGTH      BTBGALTO   3 ;
LENGTH      BTBGMEET   3 ;
LENGTH      BTBGINF1   3 ;
LENGTH      BTBGINF2   3 ;
LENGTH      BTBGINF3   3 ;
LENGTH      BTBGINF4   3 ;
LENGTH      BTBSIMP1   3 ;
LENGTH      BTBSIMP2   3 ;
LENGTH      BTBSIMP3   3 ;
LENGTH      BTBSIMP4   3 ;
LENGTH      BTBSIMP5   3 ;
LENGTH      BTBSIMP6   3 ;
LENGTH      BTBSAGR1   3 ;
LENGTH      BTBSAGR2   3 ;
LENGTH      BTBSAGR3   3 ;
LENGTH      BTBSAGR4   3 ;
LENGTH      BTBSAGR5   3 ;
LENGTH      BTBSAGR6   3 ;
LENGTH      BTBSAGR7   3 ;
LENGTH      BTBSAGR8   3 ;
LENGTH      BTBSAGR9   3 ;
LENGTH      BTBSFAM1   3 ;
LENGTH      BTBSFAM2   3 ;
LENGTH      BTBGFAM3   3 ;
LENGTH      BTBGFAM4   3 ;
LENGTH      BTBGFAM5   3 ;
LENGTH      BTBSFAM6   3 ;
LENGTH      BTBSFAM7   3 ;
LENGTH      BTBSFP01   3 ;
LENGTH      BTBSFP02   3 ;
LENGTH      BTBSFP03   3 ;
LENGTH      BTBSFP04   3 ;
LENGTH      BTBSFP05   3 ;
LENGTH      BTBSFP06   3 ;
LENGTH      BTBSFP07   3 ;
LENGTH      BTBSFP08   3 ;
LENGTH      BTBSFP09   3 ;
LENGTH      BTBSFP10   3 ;
LENGTH      BTBGEDUC   3 ;
LENGTH      BTBGTRAC   3 ;
LENGTH      BTBGYETR   3 ;
LENGTH      BTBGPRTR   3 ;
LENGTH      BTBGCMAS   3 ;
LENGTH      BTBGCMA1   3 ;
LENGTH      BTBGCMA2   3 ;
LENGTH      BTBGCMA3   3 ;
LENGTH      BTBGCMA4   3 ;
LENGTH      BTBGCMA5   3 ;
LENGTH      BTBGCMA6   3 ;
LENGTH      BTBGCMA7   3 ;
LENGTH      BTBGCMA8   3 ;
LENGTH      BTBGMMAS   3 ;
LENGTH      BTBGMMA1   3 ;
LENGTH      BTBGMMA2   3 ;
LENGTH      BTBGMMA3   3 ;
LENGTH      BTBGMMA4   3 ;
LENGTH      BTBGMMA5   3 ;
LENGTH      BTBGMMA6   3 ;
LENGTH      BTBGMMA7   3 ;
LENGTH      BTBGMMA8   3 ;
LENGTH      BTBGCARE   3 ;
LENGTH      BTBGCHNG   3 ;
LENGTH      BTBGSOAP   3 ;
LENGTH      BTBGSTAP   3 ;
LENGTH      BTBGBOOK   3 ;
LENGTH      BTBSBOY    3 ;
LENGTH      BTBSGIRL   3 ;
LENGTH      BTDSTOEN   3 ;
LENGTH      BTBSSMEC   3 ;
LENGTH      BTBSTIME   4 ;
LENGTH      BTBSTXBK   3 ;
LENGTH      BTBSTXBR   3 ;
LENGTH      BTBSCUDL   3 ;
LENGTH      BTBSWECP   3 ;
LENGTH      BTBSCAL1   3 ;
LENGTH      BTBSCAL2   3 ;
LENGTH      BTBSCAL3   3 ;
LENGTH      BTBSCAL4   3 ;
LENGTH      BTBSCAL5   3 ;
LENGTH      BTBSCOM1   3 ;
LENGTH      BTBSCOM2   3 ;
LENGTH      BTBSINT1   3 ;
LENGTH      BTBSINT2   3 ;
LENGTH      BTBSSRC1   3 ;
LENGTH      BTBSSRC2   3 ;
LENGTH      BTBSSRC3   3 ;
LENGTH      BTBSSRC4   3 ;
LENGTH      BTBSASK1   3 ;
LENGTH      BTBSASK2   3 ;
LENGTH      BTBSASK3   3 ;
LENGTH      BTBSASK4   3 ;
LENGTH      BTBSASK5   3 ;
LENGTH      BTBSASK6   3 ;
LENGTH      BTBSASK7   3 ;
LENGTH      BTBSLES1   3 ;
LENGTH      BTBSLES2   3 ;
LENGTH      BTBSLES3   3 ;
LENGTH      BTBSLES4   3 ;
LENGTH      BTBSLES5   3 ;
LENGTH      BTBSLES6   3 ;
LENGTH      BTBSAC01   3 ;
LENGTH      BTBSAC02   3 ;
LENGTH      BTBSAC03   3 ;
LENGTH      BTBSAC04   3 ;
LENGTH      BTBSAC05   3 ;
LENGTH      BTBSAC06   3 ;
LENGTH      BTBSAC07   3 ;
LENGTH      BTBSAC08   3 ;
LENGTH      BTBSAC09   3 ;
LENGTH      BTBSAC10   3 ;
LENGTH      BTBSTB01   3 ;
LENGTH      BTBSTT01   3 ;
LENGTH      BTBSNT01   3 ;
LENGTH      BTBSTB02   3 ;
LENGTH      BTBSTT02   3 ;
LENGTH      BTBSNT02   3 ;
LENGTH      BTBSTB03   3 ;
LENGTH      BTBSTT03   3 ;
LENGTH      BTBSNT03   3 ;
LENGTH      BTBSTB04   3 ;
LENGTH      BTBSTT04   3 ;
LENGTH      BTBSNT04   3 ;
LENGTH      BTBSTB05   3 ;
LENGTH      BTBSTT05   3 ;
LENGTH      BTBSNT05   3 ;
LENGTH      BTBSTB06   3 ;
LENGTH      BTBSTT06   3 ;
LENGTH      BTBSNT06   3 ;
LENGTH      BTBSTB07   3 ;
LENGTH      BTBSTT07   3 ;
LENGTH      BTBSNT07   3 ;
LENGTH      BTBSTB08   3 ;
LENGTH      BTBSTT08   3 ;
LENGTH      BTBSNT08   3 ;
LENGTH      BTBSTB09   3 ;
LENGTH      BTBSTT09   3 ;
LENGTH      BTBSNT09   3 ;
LENGTH      BTBSTB10   3 ;
LENGTH      BTBSTT10   3 ;
LENGTH      BTBSNT10   3 ;
LENGTH      BTBSTB11   3 ;
LENGTH      BTBSTT11   3 ;
LENGTH      BTBSNT11   3 ;
LENGTH      BTBSTB12   3 ;
LENGTH      BTBSTT12   3 ;
LENGTH      BTBSNT12   3 ;
LENGTH      BTBSTB13   3 ;
LENGTH      BTBSTT13   3 ;
LENGTH      BTBSNT13   3 ;
LENGTH      BTBSTB14   3 ;
LENGTH      BTBSTT14   3 ;
LENGTH      BTBSNT14   3 ;
LENGTH      BTBSTB15   3 ;
LENGTH      BTBSTT15   3 ;
LENGTH      BTBSNT15   3 ;
LENGTH      BTBSTB16   3 ;
LENGTH      BTBSTT16   3 ;
LENGTH      BTBSNT16   3 ;
LENGTH      BTBSTB17   3 ;
LENGTH      BTBSTT17   3 ;
LENGTH      BTBSNT17   3 ;
LENGTH      BTBSTB18   3 ;
LENGTH      BTBSTT18   3 ;
LENGTH      BTBSNT18   3 ;
LENGTH      BTBSTB19   3 ;
LENGTH      BTBSTT19   3 ;
LENGTH      BTBSNT19   3 ;
LENGTH      BTBSTB20   3 ;
LENGTH      BTBSTT20   3 ;
LENGTH      BTBSNT20   3 ;
LENGTH      BTBSTB21   3 ;
LENGTH      BTBSTT21   3 ;
LENGTH      BTBSNT21   3 ;
LENGTH      BTBSTB22   3 ;
LENGTH      BTBSTT22   3 ;
LENGTH      BTBSNT22   3 ;
LENGTH      BTBSTB23   3 ;
LENGTH      BTBSTT23   3 ;
LENGTH      BTBSNT23   3 ;
LENGTH      BTBSTB24   3 ;
LENGTH      BTBSTT24   3 ;
LENGTH      BTBSNT24   3 ;
LENGTH      BTBSTB25   3 ;
LENGTH      BTBSTT25   3 ;
LENGTH      BTBSNT25   3 ;
LENGTH      BTBSTB26   3 ;
LENGTH      BTBSTT26   3 ;
LENGTH      BTBSNT26   3 ;
LENGTH      BTBSTB27   3 ;
LENGTH      BTBSTT27   3 ;
LENGTH      BTBSNT27   3 ;
LENGTH      BTBSTB28   3 ;
LENGTH      BTBSTT28   3 ;
LENGTH      BTBSNT28   3 ;
LENGTH      BTBSTB29   3 ;
LENGTH      BTBSTT29   3 ;
LENGTH      BTBSNT29   3 ;
LENGTH      BTBSTB30   3 ;
LENGTH      BTBSTT30   3 ;
LENGTH      BTBSNT30   3 ;
LENGTH      BTBSTB31   3 ;
LENGTH      BTBSTT31   3 ;
LENGTH      BTBSNT31   3 ;
LENGTH      BTBSLM01   3 ;
LENGTH      BTBSLM02   3 ;
LENGTH      BTBSLM03   3 ;
LENGTH      BTBSLM04   3 ;
LENGTH      BTBSLM05   3 ;
LENGTH      BTBSLM06   3 ;
LENGTH      BTBSLM07   3 ;
LENGTH      BTBSLM08   3 ;
LENGTH      BTBSLM09   3 ;
LENGTH      BTBSLM10   3 ;
LENGTH      BTBSLM11   3 ;
LENGTH      BTBSLM12   3 ;
LENGTH      BTBSLM13   3 ;
LENGTH      BTBSLM14   3 ;
LENGTH      BTBSLM15   3 ;
LENGTH      BTBSLM16   3 ;
LENGTH      BTBSHMW2   3 ;
LENGTH      BTBSHWMA   3 ;
LENGTH      BTBSWKBR   3 ;
LENGTH      BTBSPROR   3 ;
LENGTH      BTBSREAR   3 ;
LENGTH      BTBSWRIR   3 ;
LENGTH      BTBSDATR   3 ;
LENGTH      BTBSIEXR   3 ;
LENGTH      BTBSGEXR   3 ;
LENGTH      BTBSFINR   3 ;
LENGTH      BTBSORAR   3 ;
LENGTH      BTBSJORR   3 ;
LENGTH      BTBSWHNA   3 ;
LENGTH      BTBSWHR1   3 ;
LENGTH      BTBSWHR2   3 ;
LENGTH      BTBSWHR3   3 ;
LENGTH      BTBSWHR4   3 ;
LENGTH      BTBSWHR5   3 ;
LENGTH      BTBSWHR6   3 ;
LENGTH      BTBSWHR7   3 ;
LENGTH      BTBSWHR8   3 ;
LENGTH      BTBSWGT1   3 ;
LENGTH      BTBSWGT2   3 ;
LENGTH      BTBSWGT3   3 ;
LENGTH      BTBSWGT4   3 ;
LENGTH      BTBSWGT5   3 ;
LENGTH      BTBSWGT6   3 ;
LENGTH      BTBSWGT7   3 ;
LENGTH      BTBGASS1   3 ;
LENGTH      BTBGASS2   3 ;
LENGTH      BTBGASS3   3 ;
LENGTH      BTBGASS4   3 ;
LENGTH      BTBGASS5   3 ;
LENGTH      BTBGASS6   3 ;
LENGTH      BTDGSUBT   8 ;
LENGTH      BTDGTSKT   8 ;
LENGTH      BTDSSGRD   3 ;
LENGTH      BTDSSQUA   3 ;
LENGTH      BTDSEGRD   3 ;
LENGTH      BTDSEQUA   3 ;
LENGTH      BTDSBGRD   3 ;
LENGTH      BTDSBQUA   3 ;
LENGTH      BTDSPGRD   3 ;
LENGTH      BTDSPQUA   3 ;
LENGTH      BTDSCGRD   3 ;
LENGTH      BTDSCQUA   3 ;
LENGTH      BTDSCPTS   3 ;
LENGTH      BTDSTPTT   8 ;
LENGTH      BTDSSIZE   8 ;
LENGTH      BTDSSZ3C   3 ;
LENGTH      BTDSERPS   3 ;
LENGTH      BTDSHTS    8 ;
LENGTH      BTDSTIME   3 ;
LENGTH      BTDSESH    3 ;
LENGTH      BTDSHWK    3 ;
LENGTH      BTDSHWK2   3 ;
LENGTH      BTDGTTIM   8 ;
LENGTH      BTDSTTIM   8 ;
LENGTH      BTDGCPLN   8 ;
LENGTH      BTDGADMN   8 ;
LENGTH      BTDGOTHR   8 ;
LENGTH      BTDGSMJ1   3 ;
LENGTH      BTDGSMJ2   3 ;
LENGTH      BTDGSMJ3   3 ;
LENGTH      BTDGSMJ4   3 ;
LENGTH      BTDGSMJ5   3 ;
LENGTH      BTDGSMJ6   3 ;
LENGTH      BTDGSMJ7   3 ;
LENGTH      DPCDATE    6 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "log. not applicable" values ;
%PUT INFO: Missing category B refers to "not reached" items ;
%PUT INFO: Missing category N refers to "non sense" answers ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R N ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  VERSION       1-   2     
  IDCNTRY       3-   7     
  IDSUBJCT      8-   8     
  IDPOP         9-   9     
  IDSCHOOL     10-  15     
  IDTEACH      16-  23     
  IDLINK       24-  25     
  ITCOURSE     26-  27     
  BTBGAGE      28-  28     
  BTBGSEX      29-  29     
  BTBGTAUG     30-  31     
  BTBGTOTL     32-  33     
  BTBMSUB1     34-  35     
  BTBSSUB2     36-  37     
  BTBSSUB3     38-  39     
  BTBSSUB4     40-  41     
  BTBSSUB5     42-  43     
  BTBSSUB6     44-  45     
  BTBSSUB7     46-  47     
  BTBSSUB8     48-  49     
  BTBGSUB9     50-  51     
  BTBGTSK1     52-  53     
  BTBGTSK2     54-  55     
  BTBGTSK3     56-  57     
  BTBGTSK4     58-  59     
  BTBGTSK5     60-  61     
  BTBGTSK6     62-  63     
  BTBGTSK7     64-  65     
  BTBGACT1     66-  66     
  BTBGACT2     67-  67     
  BTBGACT3     68-  68     
  BTBGACT4     69-  69     
  BTBGACT5     70-  70     
  BTBGACT6     71-  71     
  BTBGACT7     72-  72     
  BTBGACT8     73-  73     
  BTBGACT9     74-  74     
  BTBGALTO     75-  76     
  BTBGMEET     77-  77     
  BTBGINF1     78-  78     
  BTBGINF2     79-  79     
  BTBGINF3     80-  80     
  BTBGINF4     81-  81     
  BTBSIMP1     82-  82     
  BTBSIMP2     83-  83     
  BTBSIMP3     84-  84     
  BTBSIMP4     85-  85     
  BTBSIMP5     86-  86     
  BTBSIMP6     87-  87     
  BTBSAGR1     88-  88     
  BTBSAGR2     89-  89     
  BTBSAGR3     90-  90     
  BTBSAGR4     91-  91     
  BTBSAGR5     92-  92     
  BTBSAGR6     93-  93     
  BTBSAGR7     94-  94     
  BTBSAGR8     95-  95     
  BTBSAGR9     96-  96     
  BTBSFAM1     97-  97     
  BTBSFAM2     98-  98     
  BTBGFAM3     99-  99     
  BTBGFAM4    100- 100     
  BTBGFAM5    101- 101     
  BTBSFAM6    102- 102     
  BTBSFAM7    103- 103     
  BTBSFP01    104- 104     
  BTBSFP02    105- 105     
  BTBSFP03    106- 106     
  BTBSFP04    107- 107     
  BTBSFP05    108- 108     
  BTBSFP06    109- 109     
  BTBSFP07    110- 110     
  BTBSFP08    111- 111     
  BTBSFP09    112- 112     
  BTBSFP10    113- 113     
  BTBGEDUC    114- 114     
  BTBGTRAC    115- 115     
  BTBGYETR    116- 117     
  BTBGPRTR    118- 118     
  BTBGCMAS    119- 119     
  BTBGCMA1    120- 120     
  BTBGCMA2    121- 121     
  BTBGCMA3    122- 122     
  BTBGCMA4    123- 123     
  BTBGCMA5    124- 124     
  BTBGCMA6    125- 125     
  BTBGCMA7    126- 126     
  BTBGCMA8    127- 127     
  BTBGMMAS    128- 128     
  BTBGMMA1    129- 129     
  BTBGMMA2    130- 130     
  BTBGMMA3    131- 131     
  BTBGMMA4    132- 132     
  BTBGMMA5    133- 133     
  BTBGMMA6    134- 134     
  BTBGMMA7    135- 135     
  BTBGMMA8    136- 136     
  BTBGCARE    137- 137     
  BTBGCHNG    138- 138     
  BTBGSOAP    139- 139     
  BTBGSTAP    140- 140     
  BTBGBOOK    141- 141     
  BTBSBOY     142- 144     
  BTBSGIRL    145- 147     
  BTDSTOEN    148- 150     
  BTBSSMEC    151- 151     
  BTBSTIME    152- 155     
  BTBSTXBK    156- 156     
  BTBSTXBR    157- 157     
  BTBSCUDL    158- 158     
  BTBSWECP    159- 159     
  BTBSCAL1    160- 160     
  BTBSCAL2    161- 161     
  BTBSCAL3    162- 162     
  BTBSCAL4    163- 163     
  BTBSCAL5    164- 164     
  BTBSCOM1    165- 165     
  BTBSCOM2    166- 166     
  BTBSINT1    167- 167     
  BTBSINT2    168- 168     
  BTBSSRC1    169- 169     
  BTBSSRC2    170- 170     
  BTBSSRC3    171- 171     
  BTBSSRC4    172- 172     
  BTBSASK1    173- 173     
  BTBSASK2    174- 174     
  BTBSASK3    175- 175     
  BTBSASK4    176- 176     
  BTBSASK5    177- 177     
  BTBSASK6    178- 178     
  BTBSASK7    179- 179     
  BTBSLES1    180- 180     
  BTBSLES2    181- 181     
  BTBSLES3    182- 182     
  BTBSLES4    183- 183     
  BTBSLES5    184- 184     
  BTBSLES6    185- 185     
  BTBSAC01    186- 188     
  BTBSAC02    189- 191     
  BTBSAC03    192- 194     
  BTBSAC04    195- 197     
  BTBSAC05    198- 200     
  BTBSAC06    201- 203     
  BTBSAC07    204- 206     
  BTBSAC08    207- 209     
  BTBSAC09    210- 212     
  BTBSAC10    213- 215     
  BTBSTB01    216- 216     
  BTBSTT01    217- 217     
  BTBSNT01    218- 218     
  BTBSTB02    219- 219     
  BTBSTT02    220- 220     
  BTBSNT02    221- 221     
  BTBSTB03    222- 222     
  BTBSTT03    223- 223     
  BTBSNT03    224- 224     
  BTBSTB04    225- 225     
  BTBSTT04    226- 226     
  BTBSNT04    227- 227     
  BTBSTB05    228- 228     
  BTBSTT05    229- 229     
  BTBSNT05    230- 230     
  BTBSTB06    231- 231     
  BTBSTT06    232- 232     
  BTBSNT06    233- 233     
  BTBSTB07    234- 234     
  BTBSTT07    235- 235     
  BTBSNT07    236- 236     
  BTBSTB08    237- 237     
  BTBSTT08    238- 238     
  BTBSNT08    239- 239     
  BTBSTB09    240- 240     
  BTBSTT09    241- 241     
  BTBSNT09    242- 242     
  BTBSTB10    243- 243     
  BTBSTT10    244- 244     
  BTBSNT10    245- 245     
  BTBSTB11    246- 246     
  BTBSTT11    247- 247     
  BTBSNT11    248- 248     
  BTBSTB12    249- 249     
  BTBSTT12    250- 250     
  BTBSNT12    251- 251     
  BTBSTB13    252- 252     
  BTBSTT13    253- 253     
  BTBSNT13    254- 254     
  BTBSTB14    255- 255     
  BTBSTT14    256- 256     
  BTBSNT14    257- 257     
  BTBSTB15    258- 258     
  BTBSTT15    259- 259     
  BTBSNT15    260- 260     
  BTBSTB16    261- 261     
  BTBSTT16    262- 262     
  BTBSNT16    263- 263     
  BTBSTB17    264- 264     
  BTBSTT17    265- 265     
  BTBSNT17    266- 266     
  BTBSTB18    267- 267     
  BTBSTT18    268- 268     
  BTBSNT18    269- 269     
  BTBSTB19    270- 270     
  BTBSTT19    271- 271     
  BTBSNT19    272- 272     
  BTBSTB20    273- 273     
  BTBSTT20    274- 274     
  BTBSNT20    275- 275     
  BTBSTB21    276- 276     
  BTBSTT21    277- 277     
  BTBSNT21    278- 278     
  BTBSTB22    279- 279     
  BTBSTT22    280- 280     
  BTBSNT22    281- 281     
  BTBSTB23    282- 282     
  BTBSTT23    283- 283     
  BTBSNT23    284- 284     
  BTBSTB24    285- 285     
  BTBSTT24    286- 286     
  BTBSNT24    287- 287     
  BTBSTB25    288- 288     
  BTBSTT25    289- 289     
  BTBSNT25    290- 290     
  BTBSTB26    291- 291     
  BTBSTT26    292- 292     
  BTBSNT26    293- 293     
  BTBSTB27    294- 294     
  BTBSTT27    295- 295     
  BTBSNT27    296- 296     
  BTBSTB28    297- 297     
  BTBSTT28    298- 298     
  BTBSNT28    299- 299     
  BTBSTB29    300- 300     
  BTBSTT29    301- 301     
  BTBSNT29    302- 302     
  BTBSTB30    303- 303     
  BTBSTT30    304- 304     
  BTBSNT30    305- 305     
  BTBSTB31    306- 306     
  BTBSTT31    307- 307     
  BTBSNT31    308- 308     
  BTBSLM01    309- 309     
  BTBSLM02    310- 310     
  BTBSLM03    311- 311     
  BTBSLM04    312- 312     
  BTBSLM05    313- 313     
  BTBSLM06    314- 314     
  BTBSLM07    315- 315     
  BTBSLM08    316- 316     
  BTBSLM09    317- 317     
  BTBSLM10    318- 318     
  BTBSLM11    319- 319     
  BTBSLM12    320- 320     
  BTBSLM13    321- 321     
  BTBSLM14    322- 322     
  BTBSLM15    323- 323     
  BTBSLM16    324- 324     
  BTBSHMW2    325- 325     
  BTBSHWMA    326- 326     
  BTBSWKBR    327- 327     
  BTBSPROR    328- 328     
  BTBSREAR    329- 329     
  BTBSWRIR    330- 330     
  BTBSDATR    331- 331     
  BTBSIEXR    332- 332     
  BTBSGEXR    333- 333     
  BTBSFINR    334- 334     
  BTBSORAR    335- 335     
  BTBSJORR    336- 336     
  BTBSWHNA    337- 337     
  BTBSWHR1    338- 338     
  BTBSWHR2    339- 339     
  BTBSWHR3    340- 340     
  BTBSWHR4    341- 341     
  BTBSWHR5    342- 342     
  BTBSWHR6    343- 343     
  BTBSWHR7    344- 344     
  BTBSWHR8    345- 345     
  BTBSWGT1    346- 346     
  BTBSWGT2    347- 347     
  BTBSWGT3    348- 348     
  BTBSWGT4    349- 349     
  BTBSWGT5    350- 350     
  BTBSWGT6    351- 351     
  BTBSWGT7    352- 352     
  BTBGASS1    353- 353     
  BTBGASS2    354- 354     
  BTBGASS3    355- 355     
  BTBGASS4    356- 356     
  BTBGASS5    357- 357     
  BTBGASS6    358- 358     
  BTDGSUBT    359- 366 .3
  BTDGTSKT    367- 374 .3
  BTDSSGRD    375- 375     
  BTDSSQUA    376- 376     
  BTDSEGRD    377- 377     
  BTDSEQUA    378- 378     
  BTDSBGRD    379- 379     
  BTDSBQUA    380- 380     
  BTDSPGRD    381- 381     
  BTDSPQUA    382- 382     
  BTDSCGRD    383- 383     
  BTDSCQUA    384- 384     
  BTDSCPTS    385- 385     
  BTDSTPTT    386- 393 .3
  BTDSSIZE    394- 401 .3
  BTDSSZ3C    402- 402     
  BTDSERPS    403- 403     
  BTDSHTS     404- 411 .3
  BTDSTIME    412- 412     
  BTDSESH     413- 413     
  BTDSHWK     414- 415     
  BTDSHWK2    416- 416     
  BTDGTTIM    417- 424 .3
  BTDSTTIM    425- 432 .3
  BTDGCPLN    433- 440 .3
  BTDGADMN    441- 448 .3
  BTDGOTHR    449- 456 .3
  BTDGSMJ1    457- 457     
  BTDGSMJ2    458- 458     
  BTDGSMJ3    459- 459     
  BTDGSMJ4    460- 460     
  BTDGSMJ5    461- 461     
  BTDGSMJ6    462- 462     
  BTDGSMJ7    463- 463     
  DPCDATE     464- 469     
;

%PUT INFO: assign labels to variables ;
LABEL
  VERSION  = "*VERSION NUMBER*"
  IDCNTRY  = "*COUNTRY ID*"
  IDSUBJCT = "*SUBJECT ID*"
  IDPOP    = "*POPULATION ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDTEACH  = "*TEACHER ID*"
  IDLINK   = "*TEACHER LINK NUMBER*"
  ITCOURSE = "*NAME OF COURSE*"
  BTBGAGE  = "GEN\AGE OF TEACHER"
  BTBGSEX  = "GEN\SEX OF TEACHER"
  BTBGTAUG = "GEN\YEARS BEEN TEACHING"
  BTBGTOTL = "GEN\SCHEDULED HOURS ALTOGETHER"
  BTBMSUB1 = "MAT\SCHEDULED SUBJECTS\MATHEMATICS"
  BTBSSUB2 = "SCI\SCHEDULED SUBJECTS\GENERAL SCI"
  BTBSSUB3 = "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI"
  BTBSSUB4 = "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE"
  BTBSSUB5 = "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE"
  BTBSSUB6 = "SCI\SCHEDULED SUBJECTS\BIOLOGY"
  BTBSSUB7 = "SCI\SCHEDULED SUBJECTS\CHEMISTRY"
  BTBSSUB8 = "SCI\SCHEDULED SUBJECTS\PHYSICS"
  BTBGSUB9 = "GEN\SCHEDULED SUBJECTS\OTHER"
  BTBGTSK1 = "GEN\SCHEDULED TASKS\SUPERVISION"
  BTBGTSK2 = "GEN\SCHEDULED TASKS\COUNSELLING"
  BTBGTSK3 = "GEN\SCHEDULED TASKS\ADMINISTRATION"
  BTBGTSK4 = "GEN\SCHEDULED TASKS\INDIVID PLANNING"
  BTBGTSK5 = "GEN\SCHEDULED TASKS\COOP PLANNING"
  BTBGTSK6 = "GEN\SCHEDULED TASKS\NON SPECIFIED"
  BTBGTSK7 = "GEN\SCHEDULED TASKS\OTHER"
  BTBGACT1 = "GEN\OUTSIDE SCHL\PREPARE TEST"
  BTBGACT2 = "GEN\OUTSIDE SCHL\READ STUDENT WORK"
  BTBGACT3 = "GEN\OUTSIDE SCHL\PLAN LESSONS"
  BTBGACT4 = "GEN\OUTSIDE SCHL\MEET STUDENTS"
  BTBGACT5 = "GEN\OUTSIDE SCHL\MEET PARENTS"
  BTBGACT6 = "GEN\OUTSIDE SCHL\PROFESSIONL READING"
  BTBGACT7 = "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS"
  BTBGACT8 = "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS"
  BTBGACT9 = "GEN\OUTSIDE SCHL\OTHER"
  BTBGALTO = "GEN\TEACHING ACTIVITIES ALTOGETHER"
  BTBGMEET = "GEN\MEETING WITH OTHER TEACHERS"
  BTBGINF1 = "GEN\INFLUENCE\SUBJECT MATTER"
  BTBGINF2 = "GEN\INFLUENCE\SPECIFIC TEXTBOOKS"
  BTBGINF3 = "GEN\INFLUENCE\MONEY FOR SUPPLIES"
  BTBGINF4 = "GEN\INFLUENCE\KIND OF SUPPLIES"
  BTBSIMP1 = "SCI\GD\IMPT\REMEMBER FORMULAS"
  BTBSIMP2 = "SCI\GD\IMPT\SEQUENTIAL AND PROCEDURAL"
  BTBSIMP3 = "SCI\GD\IMPT\UNDERSTAND CONCEPTS"
  BTBSIMP4 = "SCI\GD\IMPT\THINK CREATIVELY"
  BTBSIMP5 = "SCI\GD\IMPT\HOW USED IN REAL WORLD"
  BTBSIMP6 = "SCI\GD\IMPT\SUPPORT SOLUTIONS"
  BTBSAGR1 = "SCI\PRIMARILY AN ABSTRACT SUBJECT"
  BTBSAGR2 = "SCI\FORMAL REPRESENTATION OF WORLD"
  BTBSAGR3 = "SCI\PRACTICAL AND STRUCTURED GUIDE"
  BTBSAGR4 = "SCI\NATURAL TALENT FOR SCIENCE"
  BTBSAGR5 = "SCI\IMPORTANCE OF SEQNTAL DIRECTIONS"
  BTBSAGR6 = "SCI\FOCUSING ON RULES IS A BAD IDEA"
  BTBSAGR7 = "SCI\DEBATES IN CLASS HARM LEARNING"
  BTBSAGR8 = "SCI\SEE TASK APART FROM REPRESENTATN"
  BTBSAGR9 = "SCI\LIKING AND UNDERSTANDING STUDENTS"
  BTBSFAM1 = "SCI\NATIONAL CURRICULUM GUIDE"
  BTBSFAM2 = "SCI\REGIONAL CURRICULUM GUIDE"
  BTBGFAM3 = "GEN\SCHOOL CURRICULUM GUIDE"
  BTBGFAM4 = "GEN\NATIONAL EXAM SPECIFICATIONS"
  BTBGFAM5 = "GEN\REGIONAL EXAM SPECIFICATIONS"
  BTBSFAM6 = "SCI\NATIONAL PEDAGOGY GUIDE"
  BTBSFAM7 = "SCI\REGIONAL PEDAGOGY GUIDE"
  BTBSFP01 = "SCI\PREP\EARTH SCI: FEATURE,..."
  BTBSFP02 = "SCI\PREP\EARTH SCI: SOLAR SYST, UNIVERSE"
  BTBSFP03 = "SCI\PREP\BIOLOGY: HUMAN SYSTEMS"
  BTBSFP04 = "SCI\PREP\BIOLOGY: PLNT AND ANIMAL LIFE"
  BTBSFP05 = "SCI\PREP\CHEM: CLASSIFICATION, STRUCTURE"
  BTBSFP06 = "SCI\PREP\CHEM: REACTIVITY, TRANSFORMATNS"
  BTBSFP07 = "SCI\PREP\PHYS: TYPES + SOURCES OF ENERGY"
  BTBSFP08 = "SCI\PREP\PHYSICS: LIGHT"
  BTBSFP09 = "SCI\PREP\ENVIRONMENTAL + RESOURCE ISSUES"
  BTBSFP10 = "SCI\PREP\SCIENTIFIC METHODS,..."
  BTBGEDUC = "GEN\LEVEL OF EDUCATION COMPLETED"
  BTBGTRAC = "GEN\TEACHER TRAINING CERTIFICATE"
  BTBGYETR = "GEN\YEARS PRE SERVICE TRAINING"
  BTBGPRTR = "GEN\BEGIN SECONDARY SCHOOL"
  BTBGCMAS = "GEN\HAVE BA"
  BTBGCMA1 = "GEN\MAIN STUDY FOR BA\MATHEMATICS"
  BTBGCMA2 = "GEN\MAIN STUDY FOR BA\BIOLOGY"
  BTBGCMA3 = "GEN\MAIN STUDY FOR BA\PHYSICS"
  BTBGCMA4 = "GEN\MAIN STUDY FOR BA\CHEMISTRY"
  BTBGCMA5 = "GEN\MAIN STUDY FOR BA\EDUCATION"
  BTBGCMA6 = "GEN\MAIN STUDY FOR BA\MATH EDUCATION"
  BTBGCMA7 = "GEN\MAIN STUDY FOR BA\SCIENCE EDUCATION"
  BTBGCMA8 = "GEN\MAIN STUDY FOR BA\OTHER"
  BTBGMMAS = "GEN\HAVE MASTERS DEGREE"
  BTBGMMA1 = "GEN\MAIN STUDY FOR MA\MATHEMATICS"
  BTBGMMA2 = "GEN\MAIN STUDY FOR MA\BIOLOGY"
  BTBGMMA3 = "GEN\MAIN STUDY FOR MA\PHYSICS"
  BTBGMMA4 = "GEN\MAIN STUDY FOR MA\CHEMISTRY"
  BTBGMMA5 = "GEN\MAIN STUDY FOR MA\EDUCATION"
  BTBGMMA6 = "GEN\MAIN STUDY FOR MA\MATH EDUCATION"
  BTBGMMA7 = "GEN\MAIN STUDY FOR MA\SCIENCE EDUCATION"
  BTBGMMA8 = "GEN\MAIN STUDY FOR MA\OTHER"
  BTBGCARE = "GEN\WAS TEACHING FIRST CHOICE"
  BTBGCHNG = "GEN\WOULD YOU CHANGE CARREER"
  BTBGSOAP = "GEN\IS WORK APPRECIATED BY SOCIETY"
  BTBGSTAP = "GEN\IS WORK APPRECIATED BY STUDENTS"
  BTBGBOOK = "GEN\NUMBER OF BOOKS IN HOME"
  BTBSBOY  = "SCI\CLSS\NUMBER OF BOYS IN CLASS"
  BTBSGIRL = "SCI\CLSS\NUMBER OF GIRLS IN CLASS"
  BTDSTOEN = "SCI\CLSS\NUMBER OF STUDENTS IN CLASS"
  BTBSSMEC = "SCI\CLSS\SUBJECT MATTER EMPHASIS"
  BTBSTIME = "SCI\CLSS\LENGTH OF SCIENCE CLASS"
  BTBSTXBK = "SCI\CLSS\USE TEXTBOOK"
  BTBSTXBR = "SCI\CLSS\TEXTBOOK BASED TEACHING"
  BTBSCUDL = "SCI\USE CALCULATORS DURING LESSONS"
  BTBSWECP = "SCI\EXTENT CALCULATORS PERMITTED"
  BTBSCAL1 = "SCI\CALCS FOR CHECKING ANSWERS"
  BTBSCAL2 = "SCI\CALCS FOR TESTS AND EXAMS"
  BTBSCAL3 = "SCI\CALCS FOR ROUTINE COMPUTATIO"
  BTBSCAL4 = "SCI\CALCS FOR COMPLEX PROBLEMS"
  BTBSCAL5 = "SCI\CALCS FOR NUMBER CONCEPTS"
  BTBSCOM1 = "SCI\COMPUTERS\IN CLASSROOMS"
  BTBSCOM2 = "SCI\COMPUTERS\IN OTHER ROOMS"
  BTBSINT1 = "SCI\COMPUTERS\ACCESS INTERNET"
  BTBSINT2 = "SCI\COMPUTERS\USE INTERNET"
  BTBSSRC1 = "SCI\SOURCE\WHICH TOPIC TO TEACH"
  BTBSSRC2 = "SCI\SOURCE\HOW TO PRESENT A TOPIC"
  BTBSSRC3 = "SCI\SOURCE\CLASS WORK AND HOMEWORK"
  BTBSSRC4 = "SCI\SOURCE\ASSESSMENT AND EVALUATN"
  BTBSASK1 = "SCI\TASKS\EXPLAIN REASONING"
  BTBSASK2 = "SCI\TASKS\ANALYZE RELATIONSHIPS"
  BTBSASK3 = "SCI\TASKS\WORK ON PROBLEMS"
  BTBSASK4 = "SCI\TASKS\USE COMPUTERS"
  BTBSASK5 = "SCI\TASKS\WRITE EXPLANATIONS"
  BTBSASK6 = "SCI\TASKS\ORGANIZE EVENTS OF OBJECTS"
  BTBSASK7 = "SCI\TASKS\USE GRAPHING CALCULATORS"
  BTBSLES1 = "SCI\INDIVIDUAL WORK\NO ASSISTANCE"
  BTBSLES2 = "SCI\INDIVIDUAL WORK\ASSISTANCE"
  BTBSLES3 = "SCI\WORK TOGETHER\TEACHER TEACHES"
  BTBSLES4 = "SCI\WORK TOGETHER\STUDENTS INTERACT"
  BTBSLES5 = "SCI\WORK IN GROUPS\NO ASSISTANCE"
  BTBSLES6 = "SCI\WORK IN GROUPS\ASSISTANCE"
  BTBSAC01 = "SCI\PERCENTAGE SPENT\ADMINISTRATIVE"
  BTBSAC02 = "SCI\PERCENTAGE SPENT\HOMEWORK REVIEW"
  BTBSAC03 = "SCI\PERCENTAGE SPENT\LECTURE STYLE"
  BTBSAC04 = "SCI\PERCENTAGE SPENT\GUIDED PRACTICE"
  BTBSAC05 = "SCI\PERCENTAGE SPENT\RE-TEACHING"
  BTBSAC06 = "SCI\PERCENTAGE SPENT\STUDENT PRACTICE"
  BTBSAC07 = "SCI\PERCENTAGE SPENT\TEST AND QUIZZES"
  BTBSAC08 = "SCI\PERCENTAGE SPENT\TEACHER DEMOS"
  BTBSAC09 = "SCI\PERCENTAGE SPENT\STUDENT EXPERIMENTS"
  BTBSAC10 = "SCI\PERCENTAGE SPENT\OTHER"
  BTBSTB01 = "SCI\EARTH\PHYSICAL FEATURES\BEFORE"
  BTBSTT01 = "SCI\EARTH\PHYSICAL FEATURES\THIS YEAR"
  BTBSNT01 = "SCI\EARTH\PHYSICAL FEATURES\NOT KNOW"
  BTBSTB02 = "SCI\EARTH\ATMOSPHERE\BEFORE"
  BTBSTT02 = "SCI\EARTH\ATMOSPHERE\THIS YEAR"
  BTBSNT02 = "SCI\EARTH\ATMOSPHERE\NOT KNOW"
  BTBSTB03 = "SCI\EARTH\PROCESSES+HISTORY\BEFORE"
  BTBSTT03 = "SCI\EARTH\PROCESSES+HISTORY\THIS YEAR"
  BTBSNT03 = "SCI\EARTH\PROCESSES+HISTORY\NOT KNOW"
  BTBSTB04 = "SCI\EARTH\IN SOLAR SYSTEM\BEFORE"
  BTBSTT04 = "SCI\EARTH\IN SOLAR SYSTEM\THIS YEAR"
  BTBSNT04 = "SCI\EARTH\IN SOLAR SYSTEM\NOT KNOW"
  BTBSTB05 = "SCI\BIO\BODY: ORGANS+SYSTEMS\BEFORE"
  BTBSTT05 = "SCI\BIO\BODY: ORGANS+SYSTEMS\THIS YEAR"
  BTBSNT05 = "SCI\BIO\BODY: ORGANS+SYSTEMS\NOT KNOW"
  BTBSTB06 = "SCI\BIO\BODILY PROCESSES\BEFORE"
  BTBSTT06 = "SCI\BIO\BODILY PROCESSES\THIS YEAR"
  BTBSNT06 = "SCI\BIO\BODILY PROCESSES\NOT KNOW"
  BTBSTB07 = "SCI\BIO\NUTRITION, HEALTH.\BEFORE"
  BTBSTT07 = "SCI\BIO\NUTRITION, HEALTH.\THIS YEAR"
  BTBSNT07 = "SCI\BIO\NUTRITION, HEALTH.\NOT KNOW"
  BTBSTB08 = "SCI\BIO\PLANT+ANIMAL LIFE\BEFORE"
  BTBSTT08 = "SCI\BIO\PLANT+ANIMAL LIFE\THIS YEAR"
  BTBSNT08 = "SCI\BIO\PLANT+ANIMAL LIFE\NOT KNOW"
  BTBSTB09 = "SCI\BIO\INTERACTIONS OF LIVING\BEFORE"
  BTBSTT09 = "SCI\BIO\INTERACTIONS OF LIVING\THIS YEAR"
  BTBSNT09 = "SCI\BIO\INTERACTIONS OF LIVING\NOT KNOW"
  BTBSTB10 = "SCI\BIO\REPRODUCTION.\BEFORE"
  BTBSTT10 = "SCI\BIO\REPRODUCTION.\THIS YEAR"
  BTBSNT10 = "SCI\BIO\REPRODUCTION.\NOT KNOW"
  BTBSTB11 = "SCI\CHEM\CLASSIFICATION MATTER\BEFORE"
  BTBSTT11 = "SCI\CHEM\CLASSIFICATION MATTER\THIS YEAR"
  BTBSNT11 = "SCI\CHEM\CLASSIFICATION MATTER\NOT KNOW"
  BTBSTB12 = "SCI\CHEM\STRUCTURE MATTER\BEFORE"
  BTBSTT12 = "SCI\CHEM\STRUCTURE MATTER\THIS YEAR"
  BTBSNT12 = "SCI\CHEM\STRUCTURE MATTER\NOT KNOW"
  BTBSTB13 = "SCI\CHEM\REACTIVITY+TRANSFORM.\BEFORE"
  BTBSTT13 = "SCI\CHEM\REACTIVITY+TRANSFORM.\THIS YEAR"
  BTBSNT13 = "SCI\CHEM\REACTIVITY+TRANSFORM.\NOT KNOW"
  BTBSTB14 = "SCI\CHEM\ENERGY.\BEFORE"
  BTBSTT14 = "SCI\CHEM\ENERGY.\THIS YEAR"
  BTBSNT14 = "SCI\CHEM\ENERGY.\NOT KNOW"
  BTBSTB15 = "SCI\PHYS\PROPERTIES OF MATTER\BEFORE"
  BTBSTT15 = "SCI\PHYS\PROPERTIES OF MATTERTHIS YEAR"
  BTBSNT15 = "SCI\PHYS\PROPERTIES OF MATTER\NOT KNOW"
  BTBSTB16 = "SCI\PHYS\SUBATOMIC PARTICLES\BEFORE"
  BTBSTT16 = "SCI\PHYS\SUBATOMIC PARTICLES\THIS YEAR"
  BTBSNT16 = "SCI\PHYS\SUBATOMIC PARTICLES\NOT KNOW"
  BTBSTB17 = "SCI\PHYS\ENERGY TYPES.\BEFORE"
  BTBSTT17 = "SCI\PHYS\ENERGY TYPES.\THIS YEAR"
  BTBSNT17 = "SCI\PHYS\ENERGY TYPES.\NOT KNOW"
  BTBSTB18 = "SCI\PHYS\HEAT AND TEMP.\BEFORE"
  BTBSTT18 = "SCI\PHYS\HEAT AND TEMP.\THIS YEAR"
  BTBSNT18 = "SCI\PHYS\HEAT AND TEMP.\NOT KNOW"
  BTBSTB19 = "SCI\PHYS\WAVE, SOUND, VIBRATN\BEFORE"
  BTBSTT19 = "SCI\PHYS\WAVE, SOUND, VIBRATN\THIS YEAR"
  BTBSNT19 = "SCI\PHYS\WAVE, SOUND, VIBRATN\NOT KNOW"
  BTBSTB20 = "SCI\PHYS\LIGHT\BEFORE"
  BTBSTT20 = "SCI\PHYS\LIGHT\THIS YEAR"
  BTBSNT20 = "SCI\PHYS\LIGHT\NOT KNOW"
  BTBSTB21 = "SCI\PHYS\ELECTRICITY+MAGNET.\BEFORE"
  BTBSTT21 = "SCI\PHYS\ELECTRICITY+MAGNET.\THIS YEAR"
  BTBSNT21 = "SCI\PHYS\ELECTRICITY+MAGNET.\NOT KNOW"
  BTBSTB22 = "SCI\PHYS\FORCES AND MOTION\BEFORE"
  BTBSTT22 = "SCI\PHYS\FORCES AND MOTION\THIS YEAR"
  BTBSNT22 = "SCI\PHYS\FORCES AND MOTION\NOT KNOW"
  BTBSTB23 = "SCI\ENVRNMT\POLLUTION\BEFORE"
  BTBSTT23 = "SCI\ENVRNMT\POLLUTION\THIS YEAR"
  BTBSNT23 = "SCI\ENVRNMT\POLLUTION\NOT KNOW"
  BTBSTB24 = "SCI\ENVRNMT\CONSERVATN\BEFORE"
  BTBSTT24 = "SCI\ENVRNMT\CONSERVATN\THIS YEAR"
  BTBSNT24 = "SCI\ENVRNMT\CONSERVATN\NOT KNOW"
  BTBSTB25 = "SCI\ENVRMNT\FOOD.\BEFORE"
  BTBSTT25 = "SCI\ENVRMNT\FOOD.\THIS YEAR"
  BTBSNT25 = "SCI\ENVRMNT\FOOD.\NOT KNOW"
  BTBSTB26 = "SCI\INQUIRY\SCIENTIFIC METHOD\BEFORE"
  BTBSTT26 = "SCI\INQUIRY\SCIENTIFIC METHOD\THIS YEAR"
  BTBSNT26 = "SCI\INQUIRY\SCIENTIFIC METHOD\NOT KNOW"
  BTBSTB27 = "SCI\INQUIRY\EXPER. DESIGN\BEFORE"
  BTBSTT27 = "SCI\INQUIRY\EXPER. DESIGN\THIS YEAR"
  BTBSNT27 = "SCI\INQUIRY\EXPER. DESIGN\NOT KNOW"
  BTBSTB28 = "SCI\INQUIRY\MEASUREMENTS\BEFORE"
  BTBSTT28 = "SCI\INQUIRY\MEASUREMENTS\THIS YEAR"
  BTBSNT28 = "SCI\INQUIRY\MEASUREMENTS\NOT KNOW"
  BTBSTB29 = "SCI\INQUIRY\SC APPARATUS\BEFORE"
  BTBSTT29 = "SCI\INQUIRY\SC APPARATUS\THIS YEAR"
  BTBSNT29 = "SCI\INQUIRY\SC APPARATUS\NOT KNOW"
  BTBSTB30 = "SCI\INQUIRY\GATHER,... DATA\BEFORE"
  BTBSTT30 = "SCI\INQUIRY\GATHER,... DATA\THIS YEAR"
  BTBSNT30 = "SCI\INQUIRY\GATHER,... DATA\NOT KNOW"
  BTBSTB31 = "SCI\INQUIRY\DESCRIBE DATA\BEFORE"
  BTBSTT31 = "SCI\INQUIRY\DESCRIBE DATA\THIS YEAR"
  BTBSNT31 = "SCI\INQUIRY\DESCRIBE DATA\NOT KNOW"
  BTBSLM01 = "SCI\CLSS\DIFFERENT ACADEMIC ABILITIES"
  BTBSLM02 = "SCI\CLSS\WIDE RANGE OF BACKGROUNDS"
  BTBSLM03 = "SCT\CLSS\SPECIAL NEEDS"
  BTBSLM04 = "SCI\CLSS\UNINTERESTED STUDENTS"
  BTBSLM05 = "SCI\CLSS\DISRUPTIVE STUDENTS"
  BTBSLM06 = "SCI\CLSS\PARENTS INTRESTD IN PROGRSS"
  BTBSLM07 = "SCI\CLSS\PARENTS UNINTRESTD IN PROGR"
  BTBSLM08 = "SCI\CLSS\SHORTGE OF COMPUTR HARDWARE"
  BTBSLM09 = "SCI\CLSS\SHORTGE OF COMPUTR SOFTWARE"
  BTBSLM10 = "SCI\CLSS\SHORTGE OF INSTR EQUIPMENT"
  BTBSLM11 = "SCI\CLSS\SHORTGE OF DEMNSTR EQUIPMNT"
  BTBSLM12 = "SCI\CLSS\INADEQUATE PHYSICL FACILITS"
  BTBSLM13 = "SCI\CLSS\HIGH STUDENT TEACHER RATIO"
  BTBSLM14 = "SCI\CLSS\LOW MORAL AMONG STAFF"
  BTBSLM15 = "SCI\CLSS\LOW MORAL AMONG STUDENTS"
  BTBSLM16 = "SCI\CLSS\THREATS 2 PERS OR STDT SFTY"
  BTBSHMW2 = "SCI\HOMEWORK FREQUENCY"
  BTBSHWMA = "SCI\AVERAGE TIME NEEDED FOR HOMEWORK"
  BTBSWKBR = "SCI\HOMEWORK\WORKSHEETS OR -BOOK"
  BTBSPROR = "SCI\HOMEWORK\TEXTBOOK PROBLEMS"
  BTBSREAR = "SCI\HOMEWORK\TEXTBOOK READING"
  BTBSWRIR = "SCI\HOMEWORK\WRITING ASSIGNMENT"
  BTBSDATR = "SCI\HOMEWORK\SMALL INVESTIGATIONS"
  BTBSIEXR = "SCI\HOMEWORK\INDIVIDUAL PROJECTS"
  BTBSGEXR = "SCI\HOMEWORK\SMALL GROUP PROJECTS"
  BTBSFINR = "SCI\HOMEWORK\FIND USES OF CONTENT"
  BTBSORAR = "SCI\HOMEWORK\PREPARE ORAL REPORTS"
  BTBSJORR = "SCI\HOMEWORK\KEEP A JOURNAL"
  BTBSWHNA = "SCI\WRITTEN HMWK\DO NOT ASSIGN"
  BTBSWHR1 = "SCI\WRITTEN HMWK\RECORD COMPLETION"
  BTBSWHR2 = "SCI\WRITTEN HMWK\KEEP ASSIGNMENTS"
  BTBSWHR3 = "SCI\WRITTEN HMWK\RETURN ASSIGNMENTS"
  BTBSWHR4 = "SCI\WRITTEN HMWK\FEEDBACK TO CLASS"
  BTBSWHR5 = "SCI\WRITTEN HMWK\STUDENTS CORRECT OWN"
  BTBSWHR6 = "SCI\WRITTEN HMWK\STUDENTS CORRECT OTHER"
  BTBSWHR7 = "SCI\WRITTEN HMWK\BASIS FOR DISCUSSION"
  BTBSWHR8 = "SCI\WRITTEN HMWK\GRADE CONTRIBUTION"
  BTBSWGT1 = "SCI\ASSMNT WEIGHT\STANDARD TESTS"
  BTBSWGT2 = "SCI\ASSMNT WEIGHT\REASONING TESTS"
  BTBSWGT3 = "SCI\ASSMNT WEIGHT\MULTIPLE CHOICE"
  BTBSWGT4 = "SCI\ASSMNT WEIGHT\HOMEWORK PERFRMNCE"
  BTBSWGT5 = "SCI\ASSMNT WEIGHT\PROJECT PERFORMNCE"
  BTBSWGT6 = "SCI\ASSMNT WEIGHT\OBSERVATION"
  BTBSWGT7 = "SCI\ASSMNT WEIGHT\RESPONSES IN CLASS"
  BTBGASS1 = "GEN\FREQUENCY\PROVIDE GRADES"
  BTBGASS2 = "GEN\FREQUENCY\PROVIDE FEEDBACK"
  BTBGASS3 = "GEN\FREQUENCY\DIAGNOSE PROBLEMS"
  BTBGASS4 = "GEN\FREQUENCY\REPORT TO PARENTS"
  BTBGASS5 = "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS"
  BTBGASS6 = "GEN\FREQUENCY\PLAN FUTURE LESSONS"
  BTDGSUBT = "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)"
  BTDGTSKT = "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)"
  BTDSSGRD = "SCI\HAVE BA OR MASTERS IN GENERAL SCI"
  BTDSSQUA = "SCI\QUALIFICATION TO TEACH GENERAL SCI"
  BTDSEGRD = "SCI\HAVE BA OR MASTERS IN EARTH SCI"
  BTDSEQUA = "SCI\QUALIFICATION TO TEACH EARTH SCI"
  BTDSBGRD = "SCI\HAVE BA OR MASTERS IN BIOLOGY"
  BTDSBQUA = "SCI\QUALIFICATION TO TEACH BIOLOGY"
  BTDSPGRD = "SCI\HAVE BA OR MASTERS IN PHYS/PHYS SCI"
  BTDSPQUA = "SCI\QUAL. TO TEACH PHYS/PHYS SCI"
  BTDSCGRD = "SCI\HAVE BA OR MASTERS IN CHEMISTRY"
  BTDSCQUA = "SCI\QUALIFICATION TO TEACH CHEMISTRY"
  BTDSCPTS = "SCI\INDEX OF CONFIDENCE TEACH SCIENCE"
  BTDSTPTT = "SCI\PERC. SCI TOPICS PREPARED TO TEACH"
  BTDSSIZE = "SCI\AVERAGE CLASS SIZE"
  BTDSSZ3C = "SCI\SCIENCE CLASS SIZE IN 3 CATEGORIES"
  BTDSERPS = "SCI\INDEX:EMPHASIS ON PROB.SOLVING"
  BTDSHTS  = "SCI\HRS/WK TEACHING SCIENCE"
  BTDSTIME = "SCI\CLSS\LENGTH OF SCIENCE CLASS"
  BTDSESH  = "SCI\INDEX:EMPHASIS ON SCIENCE HOMEWORK"
  BTDSHWK  = "SCI\AMOUNT OF SCIENCE HOMEWORK"
  BTDSHWK2 = "SCI\HOMEWORK BASED ON PROJ. AND INVEST."
  BTDGTTIM = "GEN\PERC. OF SCHOOL TIME TEACH. ANYTHING"
  BTDSTTIM = "SCI\PERC. OF SCHOOL TIME TEACH. SCIENCE"
  BTDGCPLN = "GEN\PERC. OF SCHOOL TIME CURRI. PLANNIN"
  BTDGADMN = "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES"
  BTDGOTHR = "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT."
  BTDGSMJ1 = "SCI\MAJOR AREA OF STUDY BIOLOGY"
  BTDGSMJ2 = "SCI\MAJOR AREA OF STUDY PHYSICS"
  BTDGSMJ3 = "SCI\MAJOR AREA OF STUDY CHEMISTRY"
  BTDGSMJ4 = "SCI\MAJOR AREA OF STUDY SCIENCE EDUC"
  BTDGSMJ5 = "SCI\MAJOR AREA OF STUDY MATHEMATICS"
  BTDGSMJ6 = "SCI\MAJOR AREA OF STUDY EDUCATION"
  BTDGSMJ7 = "SCI\MAJOR AREA OF STUDY OTHER"
  DPCDATE  = "*FILE CREATION DATE AT DPC HAMBURG*"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: in some cases a zero code might be appropriate for numeric values
       in this case the variables must be recoded correspondingly. This is
       not done by this program.
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF VERSION  = 98               THEN VERSION  = .A ;
IF IDCNTRY  = 99998            THEN IDCNTRY  = .A ;
IF IDSUBJCT = 8                THEN IDSUBJCT = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDSCHOOL = 999998           THEN IDSCHOOL = .A ;
IF IDTEACH  = 99999998         THEN IDTEACH  = .A ;
IF IDLINK   = 98               THEN IDLINK   = .A ;
IF ITCOURSE = 98               THEN ITCOURSE = .A ;
IF BTBGAGE  = 8                THEN BTBGAGE  = .A ;
IF BTBGSEX  = 8                THEN BTBGSEX  = .A ;
IF BTBGTAUG = 98               THEN BTBGTAUG = .A ;
IF BTBGTOTL = 98               THEN BTBGTOTL = .A ;
IF BTBMSUB1 = 98               THEN BTBMSUB1 = .A ;
IF BTBSSUB2 = 98               THEN BTBSSUB2 = .A ;
IF BTBSSUB3 = 98               THEN BTBSSUB3 = .A ;
IF BTBSSUB4 = 98               THEN BTBSSUB4 = .A ;
IF BTBSSUB5 = 98               THEN BTBSSUB5 = .A ;
IF BTBSSUB6 = 98               THEN BTBSSUB6 = .A ;
IF BTBSSUB7 = 98               THEN BTBSSUB7 = .A ;
IF BTBSSUB8 = 98               THEN BTBSSUB8 = .A ;
IF BTBGSUB9 = 98               THEN BTBGSUB9 = .A ;
IF BTBGTSK1 = 98               THEN BTBGTSK1 = .A ;
IF BTBGTSK2 = 98               THEN BTBGTSK2 = .A ;
IF BTBGTSK3 = 98               THEN BTBGTSK3 = .A ;
IF BTBGTSK4 = 98               THEN BTBGTSK4 = .A ;
IF BTBGTSK5 = 98               THEN BTBGTSK5 = .A ;
IF BTBGTSK6 = 98               THEN BTBGTSK6 = .A ;
IF BTBGTSK7 = 98               THEN BTBGTSK7 = .A ;
IF BTBGACT1 = 8                THEN BTBGACT1 = .A ;
IF BTBGACT2 = 8                THEN BTBGACT2 = .A ;
IF BTBGACT3 = 8                THEN BTBGACT3 = .A ;
IF BTBGACT4 = 8                THEN BTBGACT4 = .A ;
IF BTBGACT5 = 8                THEN BTBGACT5 = .A ;
IF BTBGACT6 = 8                THEN BTBGACT6 = .A ;
IF BTBGACT7 = 8                THEN BTBGACT7 = .A ;
IF BTBGACT8 = 8                THEN BTBGACT8 = .A ;
IF BTBGACT9 = 8                THEN BTBGACT9 = .A ;
IF BTBGALTO = 98               THEN BTBGALTO = .A ;
IF BTBGMEET = 8                THEN BTBGMEET = .A ;
IF BTBGINF1 = 8                THEN BTBGINF1 = .A ;
IF BTBGINF2 = 8                THEN BTBGINF2 = .A ;
IF BTBGINF3 = 8                THEN BTBGINF3 = .A ;
IF BTBGINF4 = 8                THEN BTBGINF4 = .A ;
IF BTBSIMP1 = 8                THEN BTBSIMP1 = .A ;
IF BTBSIMP2 = 8                THEN BTBSIMP2 = .A ;
IF BTBSIMP3 = 8                THEN BTBSIMP3 = .A ;
IF BTBSIMP4 = 8                THEN BTBSIMP4 = .A ;
IF BTBSIMP5 = 8                THEN BTBSIMP5 = .A ;
IF BTBSIMP6 = 8                THEN BTBSIMP6 = .A ;
IF BTBSAGR1 = 8                THEN BTBSAGR1 = .A ;
IF BTBSAGR2 = 8                THEN BTBSAGR2 = .A ;
IF BTBSAGR3 = 8                THEN BTBSAGR3 = .A ;
IF BTBSAGR4 = 8                THEN BTBSAGR4 = .A ;
IF BTBSAGR5 = 8                THEN BTBSAGR5 = .A ;
IF BTBSAGR6 = 8                THEN BTBSAGR6 = .A ;
IF BTBSAGR7 = 8                THEN BTBSAGR7 = .A ;
IF BTBSAGR8 = 8                THEN BTBSAGR8 = .A ;
IF BTBSAGR9 = 8                THEN BTBSAGR9 = .A ;
IF BTBSFAM1 = 8                THEN BTBSFAM1 = .A ;
IF BTBSFAM2 = 8                THEN BTBSFAM2 = .A ;
IF BTBGFAM3 = 8                THEN BTBGFAM3 = .A ;
IF BTBGFAM4 = 8                THEN BTBGFAM4 = .A ;
IF BTBGFAM5 = 8                THEN BTBGFAM5 = .A ;
IF BTBSFAM6 = 8                THEN BTBSFAM6 = .A ;
IF BTBSFAM7 = 8                THEN BTBSFAM7 = .A ;
IF BTBSFP01 = 8                THEN BTBSFP01 = .A ;
IF BTBSFP02 = 8                THEN BTBSFP02 = .A ;
IF BTBSFP03 = 8                THEN BTBSFP03 = .A ;
IF BTBSFP04 = 8                THEN BTBSFP04 = .A ;
IF BTBSFP05 = 8                THEN BTBSFP05 = .A ;
IF BTBSFP06 = 8                THEN BTBSFP06 = .A ;
IF BTBSFP07 = 8                THEN BTBSFP07 = .A ;
IF BTBSFP08 = 8                THEN BTBSFP08 = .A ;
IF BTBSFP09 = 8                THEN BTBSFP09 = .A ;
IF BTBSFP10 = 8                THEN BTBSFP10 = .A ;
IF BTBGEDUC = 8                THEN BTBGEDUC = .A ;
IF BTBGTRAC = 8                THEN BTBGTRAC = .A ;
IF BTBGYETR = 98               THEN BTBGYETR = .A ;
IF BTBGPRTR = 8                THEN BTBGPRTR = .A ;
IF BTBGCMAS = 8                THEN BTBGCMAS = .A ;
IF BTBGCMA1 = 8                THEN BTBGCMA1 = .A ;
IF BTBGCMA2 = 8                THEN BTBGCMA2 = .A ;
IF BTBGCMA3 = 8                THEN BTBGCMA3 = .A ;
IF BTBGCMA4 = 8                THEN BTBGCMA4 = .A ;
IF BTBGCMA5 = 8                THEN BTBGCMA5 = .A ;
IF BTBGCMA6 = 8                THEN BTBGCMA6 = .A ;
IF BTBGCMA7 = 8                THEN BTBGCMA7 = .A ;
IF BTBGCMA8 = 8                THEN BTBGCMA8 = .A ;
IF BTBGMMAS = 8                THEN BTBGMMAS = .A ;
IF BTBGMMA1 = 8                THEN BTBGMMA1 = .A ;
IF BTBGMMA2 = 8                THEN BTBGMMA2 = .A ;
IF BTBGMMA3 = 8                THEN BTBGMMA3 = .A ;
IF BTBGMMA4 = 8                THEN BTBGMMA4 = .A ;
IF BTBGMMA5 = 8                THEN BTBGMMA5 = .A ;
IF BTBGMMA6 = 8                THEN BTBGMMA6 = .A ;
IF BTBGMMA7 = 8                THEN BTBGMMA7 = .A ;
IF BTBGMMA8 = 8                THEN BTBGMMA8 = .A ;
IF BTBGCARE = 8                THEN BTBGCARE = .A ;
IF BTBGCHNG = 8                THEN BTBGCHNG = .A ;
IF BTBGSOAP = 8                THEN BTBGSOAP = .A ;
IF BTBGSTAP = 8                THEN BTBGSTAP = .A ;
IF BTBGBOOK = 8                THEN BTBGBOOK = .A ;
IF BTBSBOY  = 998              THEN BTBSBOY  = .A ;
IF BTBSGIRL = 998              THEN BTBSGIRL = .A ;
IF BTDSTOEN = 998              THEN BTDSTOEN = .A ;
IF BTBSSMEC = 8                THEN BTBSSMEC = .A ;
IF BTBSTIME = 9998             THEN BTBSTIME = .A ;
IF BTBSTXBK = 8                THEN BTBSTXBK = .A ;
IF BTBSTXBR = 8                THEN BTBSTXBR = .A ;
IF BTBSCUDL = 8                THEN BTBSCUDL = .A ;
IF BTBSWECP = 8                THEN BTBSWECP = .A ;
IF BTBSCAL1 = 8                THEN BTBSCAL1 = .A ;
IF BTBSCAL2 = 8                THEN BTBSCAL2 = .A ;
IF BTBSCAL3 = 8                THEN BTBSCAL3 = .A ;
IF BTBSCAL4 = 8                THEN BTBSCAL4 = .A ;
IF BTBSCAL5 = 8                THEN BTBSCAL5 = .A ;
IF BTBSCOM1 = 8                THEN BTBSCOM1 = .A ;
IF BTBSCOM2 = 8                THEN BTBSCOM2 = .A ;
IF BTBSINT1 = 8                THEN BTBSINT1 = .A ;
IF BTBSINT2 = 8                THEN BTBSINT2 = .A ;
IF BTBSSRC1 = 8                THEN BTBSSRC1 = .A ;
IF BTBSSRC2 = 8                THEN BTBSSRC2 = .A ;
IF BTBSSRC3 = 8                THEN BTBSSRC3 = .A ;
IF BTBSSRC4 = 8                THEN BTBSSRC4 = .A ;
IF BTBSASK1 = 8                THEN BTBSASK1 = .A ;
IF BTBSASK2 = 8                THEN BTBSASK2 = .A ;
IF BTBSASK3 = 8                THEN BTBSASK3 = .A ;
IF BTBSASK4 = 8                THEN BTBSASK4 = .A ;
IF BTBSASK5 = 8                THEN BTBSASK5 = .A ;
IF BTBSASK6 = 8                THEN BTBSASK6 = .A ;
IF BTBSASK7 = 8                THEN BTBSASK7 = .A ;
IF BTBSLES1 = 8                THEN BTBSLES1 = .A ;
IF BTBSLES2 = 8                THEN BTBSLES2 = .A ;
IF BTBSLES3 = 8                THEN BTBSLES3 = .A ;
IF BTBSLES4 = 8                THEN BTBSLES4 = .A ;
IF BTBSLES5 = 8                THEN BTBSLES5 = .A ;
IF BTBSLES6 = 8                THEN BTBSLES6 = .A ;
IF BTBSAC01 = 998              THEN BTBSAC01 = .A ;
IF BTBSAC02 = 998              THEN BTBSAC02 = .A ;
IF BTBSAC03 = 998              THEN BTBSAC03 = .A ;
IF BTBSAC04 = 998              THEN BTBSAC04 = .A ;
IF BTBSAC05 = 998              THEN BTBSAC05 = .A ;
IF BTBSAC06 = 998              THEN BTBSAC06 = .A ;
IF BTBSAC07 = 998              THEN BTBSAC07 = .A ;
IF BTBSAC08 = 998              THEN BTBSAC08 = .A ;
IF BTBSAC09 = 998              THEN BTBSAC09 = .A ;
IF BTBSAC10 = 998              THEN BTBSAC10 = .A ;
IF BTBSTB01 = 8                THEN BTBSTB01 = .A ;
IF BTBSTT01 = 8                THEN BTBSTT01 = .A ;
IF BTBSNT01 = 8                THEN BTBSNT01 = .A ;
IF BTBSTB02 = 8                THEN BTBSTB02 = .A ;
IF BTBSTT02 = 8                THEN BTBSTT02 = .A ;
IF BTBSNT02 = 8                THEN BTBSNT02 = .A ;
IF BTBSTB03 = 8                THEN BTBSTB03 = .A ;
IF BTBSTT03 = 8                THEN BTBSTT03 = .A ;
IF BTBSNT03 = 8                THEN BTBSNT03 = .A ;
IF BTBSTB04 = 8                THEN BTBSTB04 = .A ;
IF BTBSTT04 = 8                THEN BTBSTT04 = .A ;
IF BTBSNT04 = 8                THEN BTBSNT04 = .A ;
IF BTBSTB05 = 8                THEN BTBSTB05 = .A ;
IF BTBSTT05 = 8                THEN BTBSTT05 = .A ;
IF BTBSNT05 = 8                THEN BTBSNT05 = .A ;
IF BTBSTB06 = 8                THEN BTBSTB06 = .A ;
IF BTBSTT06 = 8                THEN BTBSTT06 = .A ;
IF BTBSNT06 = 8                THEN BTBSNT06 = .A ;
IF BTBSTB07 = 8                THEN BTBSTB07 = .A ;
IF BTBSTT07 = 8                THEN BTBSTT07 = .A ;
IF BTBSNT07 = 8                THEN BTBSNT07 = .A ;
IF BTBSTB08 = 8                THEN BTBSTB08 = .A ;
IF BTBSTT08 = 8                THEN BTBSTT08 = .A ;
IF BTBSNT08 = 8                THEN BTBSNT08 = .A ;
IF BTBSTB09 = 8                THEN BTBSTB09 = .A ;
IF BTBSTT09 = 8                THEN BTBSTT09 = .A ;
IF BTBSNT09 = 8                THEN BTBSNT09 = .A ;
IF BTBSTB10 = 8                THEN BTBSTB10 = .A ;
IF BTBSTT10 = 8                THEN BTBSTT10 = .A ;
IF BTBSNT10 = 8                THEN BTBSNT10 = .A ;
IF BTBSTB11 = 8                THEN BTBSTB11 = .A ;
IF BTBSTT11 = 8                THEN BTBSTT11 = .A ;
IF BTBSNT11 = 8                THEN BTBSNT11 = .A ;
IF BTBSTB12 = 8                THEN BTBSTB12 = .A ;
IF BTBSTT12 = 8                THEN BTBSTT12 = .A ;
IF BTBSNT12 = 8                THEN BTBSNT12 = .A ;
IF BTBSTB13 = 8                THEN BTBSTB13 = .A ;
IF BTBSTT13 = 8                THEN BTBSTT13 = .A ;
IF BTBSNT13 = 8                THEN BTBSNT13 = .A ;
IF BTBSTB14 = 8                THEN BTBSTB14 = .A ;
IF BTBSTT14 = 8                THEN BTBSTT14 = .A ;
IF BTBSNT14 = 8                THEN BTBSNT14 = .A ;
IF BTBSTB15 = 8                THEN BTBSTB15 = .A ;
IF BTBSTT15 = 8                THEN BTBSTT15 = .A ;
IF BTBSNT15 = 8                THEN BTBSNT15 = .A ;
IF BTBSTB16 = 8                THEN BTBSTB16 = .A ;
IF BTBSTT16 = 8                THEN BTBSTT16 = .A ;
IF BTBSNT16 = 8                THEN BTBSNT16 = .A ;
IF BTBSTB17 = 8                THEN BTBSTB17 = .A ;
IF BTBSTT17 = 8                THEN BTBSTT17 = .A ;
IF BTBSNT17 = 8                THEN BTBSNT17 = .A ;
IF BTBSTB18 = 8                THEN BTBSTB18 = .A ;
IF BTBSTT18 = 8                THEN BTBSTT18 = .A ;
IF BTBSNT18 = 8                THEN BTBSNT18 = .A ;
IF BTBSTB19 = 8                THEN BTBSTB19 = .A ;
IF BTBSTT19 = 8                THEN BTBSTT19 = .A ;
IF BTBSNT19 = 8                THEN BTBSNT19 = .A ;
IF BTBSTB20 = 8                THEN BTBSTB20 = .A ;
IF BTBSTT20 = 8                THEN BTBSTT20 = .A ;
IF BTBSNT20 = 8                THEN BTBSNT20 = .A ;
IF BTBSTB21 = 8                THEN BTBSTB21 = .A ;
IF BTBSTT21 = 8                THEN BTBSTT21 = .A ;
IF BTBSNT21 = 8                THEN BTBSNT21 = .A ;
IF BTBSTB22 = 8                THEN BTBSTB22 = .A ;
IF BTBSTT22 = 8                THEN BTBSTT22 = .A ;
IF BTBSNT22 = 8                THEN BTBSNT22 = .A ;
IF BTBSTB23 = 8                THEN BTBSTB23 = .A ;
IF BTBSTT23 = 8                THEN BTBSTT23 = .A ;
IF BTBSNT23 = 8                THEN BTBSNT23 = .A ;
IF BTBSTB24 = 8                THEN BTBSTB24 = .A ;
IF BTBSTT24 = 8                THEN BTBSTT24 = .A ;
IF BTBSNT24 = 8                THEN BTBSNT24 = .A ;
IF BTBSTB25 = 8                THEN BTBSTB25 = .A ;
IF BTBSTT25 = 8                THEN BTBSTT25 = .A ;
IF BTBSNT25 = 8                THEN BTBSNT25 = .A ;
IF BTBSTB26 = 8                THEN BTBSTB26 = .A ;
IF BTBSTT26 = 8                THEN BTBSTT26 = .A ;
IF BTBSNT26 = 8                THEN BTBSNT26 = .A ;
IF BTBSTB27 = 8                THEN BTBSTB27 = .A ;
IF BTBSTT27 = 8                THEN BTBSTT27 = .A ;
IF BTBSNT27 = 8                THEN BTBSNT27 = .A ;
IF BTBSTB28 = 8                THEN BTBSTB28 = .A ;
IF BTBSTT28 = 8                THEN BTBSTT28 = .A ;
IF BTBSNT28 = 8                THEN BTBSNT28 = .A ;
IF BTBSTB29 = 8                THEN BTBSTB29 = .A ;
IF BTBSTT29 = 8                THEN BTBSTT29 = .A ;
IF BTBSNT29 = 8                THEN BTBSNT29 = .A ;
IF BTBSTB30 = 8                THEN BTBSTB30 = .A ;
IF BTBSTT30 = 8                THEN BTBSTT30 = .A ;
IF BTBSNT30 = 8                THEN BTBSNT30 = .A ;
IF BTBSTB31 = 8                THEN BTBSTB31 = .A ;
IF BTBSTT31 = 8                THEN BTBSTT31 = .A ;
IF BTBSNT31 = 8                THEN BTBSNT31 = .A ;
IF BTBSLM01 = 8                THEN BTBSLM01 = .A ;
IF BTBSLM02 = 8                THEN BTBSLM02 = .A ;
IF BTBSLM03 = 8                THEN BTBSLM03 = .A ;
IF BTBSLM04 = 8                THEN BTBSLM04 = .A ;
IF BTBSLM05 = 8                THEN BTBSLM05 = .A ;
IF BTBSLM06 = 8                THEN BTBSLM06 = .A ;
IF BTBSLM07 = 8                THEN BTBSLM07 = .A ;
IF BTBSLM08 = 8                THEN BTBSLM08 = .A ;
IF BTBSLM09 = 8                THEN BTBSLM09 = .A ;
IF BTBSLM10 = 8                THEN BTBSLM10 = .A ;
IF BTBSLM11 = 8                THEN BTBSLM11 = .A ;
IF BTBSLM12 = 8                THEN BTBSLM12 = .A ;
IF BTBSLM13 = 8                THEN BTBSLM13 = .A ;
IF BTBSLM14 = 8                THEN BTBSLM14 = .A ;
IF BTBSLM15 = 8                THEN BTBSLM15 = .A ;
IF BTBSLM16 = 8                THEN BTBSLM16 = .A ;
IF BTBSHMW2 = 8                THEN BTBSHMW2 = .A ;
IF BTBSHWMA = 8                THEN BTBSHWMA = .A ;
IF BTBSWKBR = 8                THEN BTBSWKBR = .A ;
IF BTBSPROR = 8                THEN BTBSPROR = .A ;
IF BTBSREAR = 8                THEN BTBSREAR = .A ;
IF BTBSWRIR = 8                THEN BTBSWRIR = .A ;
IF BTBSDATR = 8                THEN BTBSDATR = .A ;
IF BTBSIEXR = 8                THEN BTBSIEXR = .A ;
IF BTBSGEXR = 8                THEN BTBSGEXR = .A ;
IF BTBSFINR = 8                THEN BTBSFINR = .A ;
IF BTBSORAR = 8                THEN BTBSORAR = .A ;
IF BTBSJORR = 8                THEN BTBSJORR = .A ;
IF BTBSWHNA = 8                THEN BTBSWHNA = .A ;
IF BTBSWHR1 = 8                THEN BTBSWHR1 = .A ;
IF BTBSWHR2 = 8                THEN BTBSWHR2 = .A ;
IF BTBSWHR3 = 8                THEN BTBSWHR3 = .A ;
IF BTBSWHR4 = 8                THEN BTBSWHR4 = .A ;
IF BTBSWHR5 = 8                THEN BTBSWHR5 = .A ;
IF BTBSWHR6 = 8                THEN BTBSWHR6 = .A ;
IF BTBSWHR7 = 8                THEN BTBSWHR7 = .A ;
IF BTBSWHR8 = 8                THEN BTBSWHR8 = .A ;
IF BTBSWGT1 = 8                THEN BTBSWGT1 = .A ;
IF BTBSWGT2 = 8                THEN BTBSWGT2 = .A ;
IF BTBSWGT3 = 8                THEN BTBSWGT3 = .A ;
IF BTBSWGT4 = 8                THEN BTBSWGT4 = .A ;
IF BTBSWGT5 = 8                THEN BTBSWGT5 = .A ;
IF BTBSWGT6 = 8                THEN BTBSWGT6 = .A ;
IF BTBSWGT7 = 8                THEN BTBSWGT7 = .A ;
IF BTBGASS1 = 8                THEN BTBGASS1 = .A ;
IF BTBGASS2 = 8                THEN BTBGASS2 = .A ;
IF BTBGASS3 = 8                THEN BTBGASS3 = .A ;
IF BTBGASS4 = 8                THEN BTBGASS4 = .A ;
IF BTBGASS5 = 8                THEN BTBGASS5 = .A ;
IF BTBGASS6 = 8                THEN BTBGASS6 = .A ;
IF BTDGSUBT = 9998             THEN BTDGSUBT = .A ;
IF BTDGTSKT = 9998             THEN BTDGTSKT = .A ;
IF BTDSSGRD = 8                THEN BTDSSGRD = .A ;
IF BTDSSQUA = 8                THEN BTDSSQUA = .A ;
IF BTDSEGRD = 8                THEN BTDSEGRD = .A ;
IF BTDSEQUA = 8                THEN BTDSEQUA = .A ;
IF BTDSBGRD = 8                THEN BTDSBGRD = .A ;
IF BTDSBQUA = 8                THEN BTDSBQUA = .A ;
IF BTDSPGRD = 8                THEN BTDSPGRD = .A ;
IF BTDSPQUA = 8                THEN BTDSPQUA = .A ;
IF BTDSCGRD = 8                THEN BTDSCGRD = .A ;
IF BTDSCQUA = 8                THEN BTDSCQUA = .A ;
IF BTDSCPTS = 8                THEN BTDSCPTS = .A ;
IF BTDSTPTT = 9998             THEN BTDSTPTT = .A ;
IF BTDSSIZE = 9998             THEN BTDSSIZE = .A ;
IF BTDSSZ3C = 8                THEN BTDSSZ3C = .A ;
IF BTDSERPS = 8                THEN BTDSERPS = .A ;
IF BTDSHTS  = 9998             THEN BTDSHTS  = .A ;
IF BTDSTIME = 8                THEN BTDSTIME = .A ;
IF BTDSESH  = 8                THEN BTDSESH  = .A ;
IF BTDSHWK  = 98               THEN BTDSHWK  = .A ;
IF BTDSHWK2 = 8                THEN BTDSHWK2 = .A ;
IF BTDGTTIM = 9998             THEN BTDGTTIM = .A ;
IF BTDSTTIM = 9998             THEN BTDSTTIM = .A ;
IF BTDGCPLN = 9998             THEN BTDGCPLN = .A ;
IF BTDGADMN = 9998             THEN BTDGADMN = .A ;
IF BTDGOTHR = 9998             THEN BTDGOTHR = .A ;
IF BTDGSMJ1 = 8                THEN BTDGSMJ1 = .A ;
IF BTDGSMJ2 = 8                THEN BTDGSMJ2 = .A ;
IF BTDGSMJ3 = 8                THEN BTDGSMJ3 = .A ;
IF BTDGSMJ4 = 8                THEN BTDGSMJ4 = .A ;
IF BTDGSMJ5 = 8                THEN BTDGSMJ5 = .A ;
IF BTDGSMJ6 = 8                THEN BTDGSMJ6 = .A ;
IF BTDGSMJ7 = 8                THEN BTDGSMJ7 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes

IF BTBGSEX  = 6                THEN BTBGSEX  = .B ;
IF BTBGTAUG = 96               THEN BTBGTAUG = .B ;
IF BTBGTOTL = 96               THEN BTBGTOTL = .B ;
IF BTBMSUB1 = 96               THEN BTBMSUB1 = .B ;
IF BTBSSUB2 = 96               THEN BTBSSUB2 = .B ;
IF BTBSSUB3 = 96               THEN BTBSSUB3 = .B ;
IF BTBSSUB4 = 96               THEN BTBSSUB4 = .B ;
IF BTBSSUB5 = 96               THEN BTBSSUB5 = .B ;
IF BTBSSUB6 = 96               THEN BTBSSUB6 = .B ;
IF BTBSSUB7 = 96               THEN BTBSSUB7 = .B ;
IF BTBSSUB8 = 96               THEN BTBSSUB8 = .B ;
IF BTBGSUB9 = 96               THEN BTBGSUB9 = .B ;
IF BTBGTSK1 = 96               THEN BTBGTSK1 = .B ;
IF BTBGTSK2 = 96               THEN BTBGTSK2 = .B ;
IF BTBGTSK3 = 96               THEN BTBGTSK3 = .B ;
IF BTBGTSK4 = 96               THEN BTBGTSK4 = .B ;
IF BTBGTSK5 = 96               THEN BTBGTSK5 = .B ;
IF BTBGTSK6 = 96               THEN BTBGTSK6 = .B ;
IF BTBGTSK7 = 96               THEN BTBGTSK7 = .B ;
IF BTBGACT1 = 6                THEN BTBGACT1 = .B ;
IF BTBGACT2 = 6                THEN BTBGACT2 = .B ;
IF BTBGACT3 = 6                THEN BTBGACT3 = .B ;
IF BTBGACT4 = 6                THEN BTBGACT4 = .B ;
IF BTBGACT5 = 6                THEN BTBGACT5 = .B ;
IF BTBGACT6 = 6                THEN BTBGACT6 = .B ;
IF BTBGACT7 = 6                THEN BTBGACT7 = .B ;
IF BTBGACT8 = 6                THEN BTBGACT8 = .B ;
IF BTBGACT9 = 6                THEN BTBGACT9 = .B ;
IF BTBGALTO = 96               THEN BTBGALTO = .B ;
IF BTBGINF1 = 6                THEN BTBGINF1 = .B ;
IF BTBGINF2 = 6                THEN BTBGINF2 = .B ;
IF BTBGINF3 = 6                THEN BTBGINF3 = .B ;
IF BTBGINF4 = 6                THEN BTBGINF4 = .B ;
IF BTBSIMP1 = 6                THEN BTBSIMP1 = .B ;
IF BTBSIMP2 = 6                THEN BTBSIMP2 = .B ;
IF BTBSIMP3 = 6                THEN BTBSIMP3 = .B ;
IF BTBSIMP4 = 6                THEN BTBSIMP4 = .B ;
IF BTBSIMP5 = 6                THEN BTBSIMP5 = .B ;
IF BTBSIMP6 = 6                THEN BTBSIMP6 = .B ;
IF BTBSAGR1 = 6                THEN BTBSAGR1 = .B ;
IF BTBSAGR2 = 6                THEN BTBSAGR2 = .B ;
IF BTBSAGR3 = 6                THEN BTBSAGR3 = .B ;
IF BTBSAGR4 = 6                THEN BTBSAGR4 = .B ;
IF BTBSAGR5 = 6                THEN BTBSAGR5 = .B ;
IF BTBSAGR6 = 6                THEN BTBSAGR6 = .B ;
IF BTBSAGR7 = 6                THEN BTBSAGR7 = .B ;
IF BTBSAGR8 = 6                THEN BTBSAGR8 = .B ;
IF BTBSAGR9 = 6                THEN BTBSAGR9 = .B ;
IF BTBSFAM1 = 6                THEN BTBSFAM1 = .B ;
IF BTBSFAM2 = 6                THEN BTBSFAM2 = .B ;
IF BTBGFAM3 = 6                THEN BTBGFAM3 = .B ;
IF BTBGFAM4 = 6                THEN BTBGFAM4 = .B ;
IF BTBGFAM5 = 6                THEN BTBGFAM5 = .B ;
IF BTBSFAM6 = 6                THEN BTBSFAM6 = .B ;
IF BTBSFAM7 = 6                THEN BTBSFAM7 = .B ;
IF BTBSFP01 = 6                THEN BTBSFP01 = .B ;
IF BTBSFP02 = 6                THEN BTBSFP02 = .B ;
IF BTBSFP03 = 6                THEN BTBSFP03 = .B ;
IF BTBSFP04 = 6                THEN BTBSFP04 = .B ;
IF BTBSFP05 = 6                THEN BTBSFP05 = .B ;
IF BTBSFP06 = 6                THEN BTBSFP06 = .B ;
IF BTBSFP07 = 6                THEN BTBSFP07 = .B ;
IF BTBSFP08 = 6                THEN BTBSFP08 = .B ;
IF BTBSFP09 = 6                THEN BTBSFP09 = .B ;
IF BTBSFP10 = 6                THEN BTBSFP10 = .B ;
IF BTBGEDUC = 6                THEN BTBGEDUC = .B ;
IF BTBGTRAC = 6                THEN BTBGTRAC = .B ;
IF BTBGYETR = 96               THEN BTBGYETR = .B ;
IF BTBGPRTR = 6                THEN BTBGPRTR = .B ;
IF BTBGCMAS = 6                THEN BTBGCMAS = .B ;
IF BTBGCMA1 = 6                THEN BTBGCMA1 = .B ;
IF BTBGCMA2 = 6                THEN BTBGCMA2 = .B ;
IF BTBGCMA3 = 6                THEN BTBGCMA3 = .B ;
IF BTBGCMA4 = 6                THEN BTBGCMA4 = .B ;
IF BTBGCMA5 = 6                THEN BTBGCMA5 = .B ;
IF BTBGCMA6 = 6                THEN BTBGCMA6 = .B ;
IF BTBGCMA7 = 6                THEN BTBGCMA7 = .B ;
IF BTBGCMA8 = 6                THEN BTBGCMA8 = .B ;
IF BTBGMMAS = 6                THEN BTBGMMAS = .B ;
IF BTBGMMA1 = 6                THEN BTBGMMA1 = .B ;
IF BTBGMMA2 = 6                THEN BTBGMMA2 = .B ;
IF BTBGMMA3 = 6                THEN BTBGMMA3 = .B ;
IF BTBGMMA4 = 6                THEN BTBGMMA4 = .B ;
IF BTBGMMA5 = 6                THEN BTBGMMA5 = .B ;
IF BTBGMMA6 = 6                THEN BTBGMMA6 = .B ;
IF BTBGMMA7 = 6                THEN BTBGMMA7 = .B ;
IF BTBGMMA8 = 6                THEN BTBGMMA8 = .B ;
IF BTBGCARE = 6                THEN BTBGCARE = .B ;
IF BTBGCHNG = 6                THEN BTBGCHNG = .B ;
IF BTBGSOAP = 6                THEN BTBGSOAP = .B ;
IF BTBGSTAP = 6                THEN BTBGSTAP = .B ;
IF BTBGBOOK = 6                THEN BTBGBOOK = .B ;
IF BTBSBOY  = 996              THEN BTBSBOY  = .B ;
IF BTBSGIRL = 996              THEN BTBSGIRL = .B ;
IF BTDSTOEN = 996              THEN BTDSTOEN = .B ;
IF BTBSTIME = 9996             THEN BTBSTIME = .B ;
IF BTBSTXBK = 6                THEN BTBSTXBK = .B ;
IF BTBSTXBR = 6                THEN BTBSTXBR = .B ;
IF BTBSCUDL = 6                THEN BTBSCUDL = .B ;
IF BTBSWECP = 6                THEN BTBSWECP = .B ;
IF BTBSCAL1 = 6                THEN BTBSCAL1 = .B ;
IF BTBSCAL2 = 6                THEN BTBSCAL2 = .B ;
IF BTBSCAL3 = 6                THEN BTBSCAL3 = .B ;
IF BTBSCAL4 = 6                THEN BTBSCAL4 = .B ;
IF BTBSCAL5 = 6                THEN BTBSCAL5 = .B ;
IF BTBSCOM1 = 6                THEN BTBSCOM1 = .B ;
IF BTBSCOM2 = 6                THEN BTBSCOM2 = .B ;
IF BTBSINT1 = 6                THEN BTBSINT1 = .B ;
IF BTBSINT2 = 6                THEN BTBSINT2 = .B ;
IF BTBSASK1 = 6                THEN BTBSASK1 = .B ;
IF BTBSASK2 = 6                THEN BTBSASK2 = .B ;
IF BTBSASK3 = 6                THEN BTBSASK3 = .B ;
IF BTBSASK4 = 6                THEN BTBSASK4 = .B ;
IF BTBSASK5 = 6                THEN BTBSASK5 = .B ;
IF BTBSASK6 = 6                THEN BTBSASK6 = .B ;
IF BTBSASK7 = 6                THEN BTBSASK7 = .B ;
IF BTBSLES1 = 6                THEN BTBSLES1 = .B ;
IF BTBSLES2 = 6                THEN BTBSLES2 = .B ;
IF BTBSLES3 = 6                THEN BTBSLES3 = .B ;
IF BTBSLES4 = 6                THEN BTBSLES4 = .B ;
IF BTBSLES5 = 6                THEN BTBSLES5 = .B ;
IF BTBSLES6 = 6                THEN BTBSLES6 = .B ;
IF BTBSAC01 = 996              THEN BTBSAC01 = .B ;
IF BTBSAC02 = 996              THEN BTBSAC02 = .B ;
IF BTBSAC03 = 996              THEN BTBSAC03 = .B ;
IF BTBSAC04 = 996              THEN BTBSAC04 = .B ;
IF BTBSAC05 = 996              THEN BTBSAC05 = .B ;
IF BTBSAC06 = 996              THEN BTBSAC06 = .B ;
IF BTBSAC07 = 996              THEN BTBSAC07 = .B ;
IF BTBSAC08 = 996              THEN BTBSAC08 = .B ;
IF BTBSAC09 = 996              THEN BTBSAC09 = .B ;
IF BTBSAC10 = 996              THEN BTBSAC10 = .B ;
IF BTBSTB01 = 6                THEN BTBSTB01 = .B ;
IF BTBSTT01 = 6                THEN BTBSTT01 = .B ;
IF BTBSNT01 = 6                THEN BTBSNT01 = .B ;
IF BTBSTB02 = 6                THEN BTBSTB02 = .B ;
IF BTBSTT02 = 6                THEN BTBSTT02 = .B ;
IF BTBSNT02 = 6                THEN BTBSNT02 = .B ;
IF BTBSTB03 = 6                THEN BTBSTB03 = .B ;
IF BTBSTT03 = 6                THEN BTBSTT03 = .B ;
IF BTBSNT03 = 6                THEN BTBSNT03 = .B ;
IF BTBSTB04 = 6                THEN BTBSTB04 = .B ;
IF BTBSTT04 = 6                THEN BTBSTT04 = .B ;
IF BTBSNT04 = 6                THEN BTBSNT04 = .B ;
IF BTBSTB05 = 6                THEN BTBSTB05 = .B ;
IF BTBSTT05 = 6                THEN BTBSTT05 = .B ;
IF BTBSNT05 = 6                THEN BTBSNT05 = .B ;
IF BTBSTB06 = 6                THEN BTBSTB06 = .B ;
IF BTBSTT06 = 6                THEN BTBSTT06 = .B ;
IF BTBSNT06 = 6                THEN BTBSNT06 = .B ;
IF BTBSTB07 = 6                THEN BTBSTB07 = .B ;
IF BTBSTT07 = 6                THEN BTBSTT07 = .B ;
IF BTBSNT07 = 6                THEN BTBSNT07 = .B ;
IF BTBSTB08 = 6                THEN BTBSTB08 = .B ;
IF BTBSTT08 = 6                THEN BTBSTT08 = .B ;
IF BTBSNT08 = 6                THEN BTBSNT08 = .B ;
IF BTBSTB09 = 6                THEN BTBSTB09 = .B ;
IF BTBSTT09 = 6                THEN BTBSTT09 = .B ;
IF BTBSNT09 = 6                THEN BTBSNT09 = .B ;
IF BTBSTB10 = 6                THEN BTBSTB10 = .B ;
IF BTBSTT10 = 6                THEN BTBSTT10 = .B ;
IF BTBSNT10 = 6                THEN BTBSNT10 = .B ;
IF BTBSTB11 = 6                THEN BTBSTB11 = .B ;
IF BTBSTT11 = 6                THEN BTBSTT11 = .B ;
IF BTBSNT11 = 6                THEN BTBSNT11 = .B ;
IF BTBSTB12 = 6                THEN BTBSTB12 = .B ;
IF BTBSTT12 = 6                THEN BTBSTT12 = .B ;
IF BTBSNT12 = 6                THEN BTBSNT12 = .B ;
IF BTBSTB13 = 6                THEN BTBSTB13 = .B ;
IF BTBSTT13 = 6                THEN BTBSTT13 = .B ;
IF BTBSNT13 = 6                THEN BTBSNT13 = .B ;
IF BTBSTB14 = 6                THEN BTBSTB14 = .B ;
IF BTBSTT14 = 6                THEN BTBSTT14 = .B ;
IF BTBSNT14 = 6                THEN BTBSNT14 = .B ;
IF BTBSTB15 = 6                THEN BTBSTB15 = .B ;
IF BTBSTT15 = 6                THEN BTBSTT15 = .B ;
IF BTBSNT15 = 6                THEN BTBSNT15 = .B ;
IF BTBSTB16 = 6                THEN BTBSTB16 = .B ;
IF BTBSTT16 = 6                THEN BTBSTT16 = .B ;
IF BTBSNT16 = 6                THEN BTBSNT16 = .B ;
IF BTBSTB17 = 6                THEN BTBSTB17 = .B ;
IF BTBSTT17 = 6                THEN BTBSTT17 = .B ;
IF BTBSNT17 = 6                THEN BTBSNT17 = .B ;
IF BTBSTB18 = 6                THEN BTBSTB18 = .B ;
IF BTBSTT18 = 6                THEN BTBSTT18 = .B ;
IF BTBSNT18 = 6                THEN BTBSNT18 = .B ;
IF BTBSTB19 = 6                THEN BTBSTB19 = .B ;
IF BTBSTT19 = 6                THEN BTBSTT19 = .B ;
IF BTBSNT19 = 6                THEN BTBSNT19 = .B ;
IF BTBSTB20 = 6                THEN BTBSTB20 = .B ;
IF BTBSTT20 = 6                THEN BTBSTT20 = .B ;
IF BTBSNT20 = 6                THEN BTBSNT20 = .B ;
IF BTBSTB21 = 6                THEN BTBSTB21 = .B ;
IF BTBSTT21 = 6                THEN BTBSTT21 = .B ;
IF BTBSNT21 = 6                THEN BTBSNT21 = .B ;
IF BTBSTB22 = 6                THEN BTBSTB22 = .B ;
IF BTBSTT22 = 6                THEN BTBSTT22 = .B ;
IF BTBSNT22 = 6                THEN BTBSNT22 = .B ;
IF BTBSTB23 = 6                THEN BTBSTB23 = .B ;
IF BTBSTT23 = 6                THEN BTBSTT23 = .B ;
IF BTBSNT23 = 6                THEN BTBSNT23 = .B ;
IF BTBSTB24 = 6                THEN BTBSTB24 = .B ;
IF BTBSTT24 = 6                THEN BTBSTT24 = .B ;
IF BTBSNT24 = 6                THEN BTBSNT24 = .B ;
IF BTBSTB25 = 6                THEN BTBSTB25 = .B ;
IF BTBSTT25 = 6                THEN BTBSTT25 = .B ;
IF BTBSNT25 = 6                THEN BTBSNT25 = .B ;
IF BTBSTB26 = 6                THEN BTBSTB26 = .B ;
IF BTBSTT26 = 6                THEN BTBSTT26 = .B ;
IF BTBSNT26 = 6                THEN BTBSNT26 = .B ;
IF BTBSTB27 = 6                THEN BTBSTB27 = .B ;
IF BTBSTT27 = 6                THEN BTBSTT27 = .B ;
IF BTBSNT27 = 6                THEN BTBSNT27 = .B ;
IF BTBSTB28 = 6                THEN BTBSTB28 = .B ;
IF BTBSTT28 = 6                THEN BTBSTT28 = .B ;
IF BTBSNT28 = 6                THEN BTBSNT28 = .B ;
IF BTBSTB29 = 6                THEN BTBSTB29 = .B ;
IF BTBSTT29 = 6                THEN BTBSTT29 = .B ;
IF BTBSNT29 = 6                THEN BTBSNT29 = .B ;
IF BTBSTB30 = 6                THEN BTBSTB30 = .B ;
IF BTBSTT30 = 6                THEN BTBSTT30 = .B ;
IF BTBSNT30 = 6                THEN BTBSNT30 = .B ;
IF BTBSTB31 = 6                THEN BTBSTB31 = .B ;
IF BTBSTT31 = 6                THEN BTBSTT31 = .B ;
IF BTBSNT31 = 6                THEN BTBSNT31 = .B ;
IF BTBSLM01 = 6                THEN BTBSLM01 = .B ;
IF BTBSLM02 = 6                THEN BTBSLM02 = .B ;
IF BTBSLM03 = 6                THEN BTBSLM03 = .B ;
IF BTBSLM04 = 6                THEN BTBSLM04 = .B ;
IF BTBSLM05 = 6                THEN BTBSLM05 = .B ;
IF BTBSLM06 = 6                THEN BTBSLM06 = .B ;
IF BTBSLM07 = 6                THEN BTBSLM07 = .B ;
IF BTBSLM08 = 6                THEN BTBSLM08 = .B ;
IF BTBSLM09 = 6                THEN BTBSLM09 = .B ;
IF BTBSLM10 = 6                THEN BTBSLM10 = .B ;
IF BTBSLM11 = 6                THEN BTBSLM11 = .B ;
IF BTBSLM12 = 6                THEN BTBSLM12 = .B ;
IF BTBSLM13 = 6                THEN BTBSLM13 = .B ;
IF BTBSLM14 = 6                THEN BTBSLM14 = .B ;
IF BTBSLM15 = 6                THEN BTBSLM15 = .B ;
IF BTBSLM16 = 6                THEN BTBSLM16 = .B ;
IF BTBSHMW2 = 6                THEN BTBSHMW2 = .B ;
IF BTBSHWMA = 6                THEN BTBSHWMA = .B ;
IF BTBSWKBR = 6                THEN BTBSWKBR = .B ;
IF BTBSPROR = 6                THEN BTBSPROR = .B ;
IF BTBSREAR = 6                THEN BTBSREAR = .B ;
IF BTBSWRIR = 6                THEN BTBSWRIR = .B ;
IF BTBSDATR = 6                THEN BTBSDATR = .B ;
IF BTBSIEXR = 6                THEN BTBSIEXR = .B ;
IF BTBSGEXR = 6                THEN BTBSGEXR = .B ;
IF BTBSFINR = 6                THEN BTBSFINR = .B ;
IF BTBSORAR = 6                THEN BTBSORAR = .B ;
IF BTBSJORR = 6                THEN BTBSJORR = .B ;
IF BTBSWHNA = 6                THEN BTBSWHNA = .B ;
IF BTBSWHR1 = 6                THEN BTBSWHR1 = .B ;
IF BTBSWHR2 = 6                THEN BTBSWHR2 = .B ;
IF BTBSWHR3 = 6                THEN BTBSWHR3 = .B ;
IF BTBSWHR4 = 6                THEN BTBSWHR4 = .B ;
IF BTBSWHR5 = 6                THEN BTBSWHR5 = .B ;
IF BTBSWHR6 = 6                THEN BTBSWHR6 = .B ;
IF BTBSWHR7 = 6                THEN BTBSWHR7 = .B ;
IF BTBSWHR8 = 6                THEN BTBSWHR8 = .B ;
IF BTBSWGT1 = 6                THEN BTBSWGT1 = .B ;
IF BTBSWGT2 = 6                THEN BTBSWGT2 = .B ;
IF BTBSWGT3 = 6                THEN BTBSWGT3 = .B ;
IF BTBSWGT4 = 6                THEN BTBSWGT4 = .B ;
IF BTBSWGT5 = 6                THEN BTBSWGT5 = .B ;
IF BTBSWGT6 = 6                THEN BTBSWGT6 = .B ;
IF BTBSWGT7 = 6                THEN BTBSWGT7 = .B ;
IF BTBGASS1 = 6                THEN BTBGASS1 = .B ;
IF BTBGASS2 = 6                THEN BTBGASS2 = .B ;
IF BTBGASS3 = 6                THEN BTBGASS3 = .B ;
IF BTBGASS4 = 6                THEN BTBGASS4 = .B ;
IF BTBGASS5 = 6                THEN BTBGASS5 = .B ;
IF BTBGASS6 = 6                THEN BTBGASS6 = .B ;
IF BTDGSUBT = 9996             THEN BTDGSUBT = .B ;
IF BTDGTSKT = 9996             THEN BTDGTSKT = .B ;
IF BTDSSGRD = 6                THEN BTDSSGRD = .B ;
IF BTDSSQUA = 6                THEN BTDSSQUA = .B ;
IF BTDSEGRD = 6                THEN BTDSEGRD = .B ;
IF BTDSEQUA = 6                THEN BTDSEQUA = .B ;
IF BTDSBGRD = 6                THEN BTDSBGRD = .B ;
IF BTDSBQUA = 6                THEN BTDSBQUA = .B ;
IF BTDSPGRD = 6                THEN BTDSPGRD = .B ;
IF BTDSPQUA = 6                THEN BTDSPQUA = .B ;
IF BTDSCGRD = 6                THEN BTDSCGRD = .B ;
IF BTDSCQUA = 6                THEN BTDSCQUA = .B ;
IF BTDSCPTS = 6                THEN BTDSCPTS = .B ;
IF BTDSTPTT = 9996             THEN BTDSTPTT = .B ;
IF BTDSSIZE = 9996             THEN BTDSSIZE = .B ;
IF BTDSSZ3C = 6                THEN BTDSSZ3C = .B ;
IF BTDSERPS = 6                THEN BTDSERPS = .B ;
IF BTDSHTS  = 9996             THEN BTDSHTS  = .B ;
IF BTDSTIME = 6                THEN BTDSTIME = .B ;
IF BTDSESH  = 6                THEN BTDSESH  = .B ;
IF BTDSHWK  = 96               THEN BTDSHWK  = .B ;
IF BTDSHWK2 = 6                THEN BTDSHWK2 = .B ;
IF BTDGTTIM = 9996             THEN BTDGTTIM = .B ;
IF BTDSTTIM = 9996             THEN BTDSTTIM = .B ;
IF BTDGCPLN = 9996             THEN BTDGCPLN = .B ;
IF BTDGADMN = 9996             THEN BTDGADMN = .B ;
IF BTDGOTHR = 9996             THEN BTDGOTHR = .B ;
IF BTDGSMJ1 = 6                THEN BTDGSMJ1 = .B ;
IF BTDGSMJ2 = 6                THEN BTDGSMJ2 = .B ;
IF BTDGSMJ3 = 6                THEN BTDGSMJ3 = .B ;
IF BTDGSMJ4 = 6                THEN BTDGSMJ4 = .B ;
IF BTDGSMJ5 = 6                THEN BTDGSMJ5 = .B ;
IF BTDGSMJ6 = 6                THEN BTDGSMJ6 = .B ;
IF BTDGSMJ7 = 6                THEN BTDGSMJ7 = .B ;

%PUT INFO: recode missing data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF VERSION  = 99               THEN VERSION  = . ;
IF IDCNTRY  = 99999            THEN IDCNTRY  = . ;
IF IDSUBJCT = 9                THEN IDSUBJCT = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDSCHOOL = 999999           THEN IDSCHOOL = . ;
IF IDTEACH  = 99999999         THEN IDTEACH  = . ;
IF IDLINK   = 99               THEN IDLINK   = . ;
IF ITCOURSE = 99               THEN ITCOURSE = . ;
IF BTBGAGE  = 9                THEN BTBGAGE  = . ;
IF BTBGSEX  = 9                THEN BTBGSEX  = . ;
IF BTBGTAUG = 99               THEN BTBGTAUG = . ;
IF BTBGTOTL = 99               THEN BTBGTOTL = . ;
IF BTBMSUB1 = 99               THEN BTBMSUB1 = . ;
IF BTBSSUB2 = 99               THEN BTBSSUB2 = . ;
IF BTBSSUB3 = 99               THEN BTBSSUB3 = . ;
IF BTBSSUB4 = 99               THEN BTBSSUB4 = . ;
IF BTBSSUB5 = 99               THEN BTBSSUB5 = . ;
IF BTBSSUB6 = 99               THEN BTBSSUB6 = . ;
IF BTBSSUB7 = 99               THEN BTBSSUB7 = . ;
IF BTBSSUB8 = 99               THEN BTBSSUB8 = . ;
IF BTBGSUB9 = 99               THEN BTBGSUB9 = . ;
IF BTBGTSK1 = 99               THEN BTBGTSK1 = . ;
IF BTBGTSK2 = 99               THEN BTBGTSK2 = . ;
IF BTBGTSK3 = 99               THEN BTBGTSK3 = . ;
IF BTBGTSK4 = 99               THEN BTBGTSK4 = . ;
IF BTBGTSK5 = 99               THEN BTBGTSK5 = . ;
IF BTBGTSK6 = 99               THEN BTBGTSK6 = . ;
IF BTBGTSK7 = 99               THEN BTBGTSK7 = . ;
IF BTBGACT1 = 9                THEN BTBGACT1 = . ;
IF BTBGACT2 = 9                THEN BTBGACT2 = . ;
IF BTBGACT3 = 9                THEN BTBGACT3 = . ;
IF BTBGACT4 = 9                THEN BTBGACT4 = . ;
IF BTBGACT5 = 9                THEN BTBGACT5 = . ;
IF BTBGACT6 = 9                THEN BTBGACT6 = . ;
IF BTBGACT7 = 9                THEN BTBGACT7 = . ;
IF BTBGACT8 = 9                THEN BTBGACT8 = . ;
IF BTBGACT9 = 9                THEN BTBGACT9 = . ;
IF BTBGALTO = 99               THEN BTBGALTO = . ;
IF BTBGMEET = 9                THEN BTBGMEET = . ;
IF BTBGINF1 = 9                THEN BTBGINF1 = . ;
IF BTBGINF2 = 9                THEN BTBGINF2 = . ;
IF BTBGINF3 = 9                THEN BTBGINF3 = . ;
IF BTBGINF4 = 9                THEN BTBGINF4 = . ;
IF BTBSIMP1 = 9                THEN BTBSIMP1 = . ;
IF BTBSIMP2 = 9                THEN BTBSIMP2 = . ;
IF BTBSIMP3 = 9                THEN BTBSIMP3 = . ;
IF BTBSIMP4 = 9                THEN BTBSIMP4 = . ;
IF BTBSIMP5 = 9                THEN BTBSIMP5 = . ;
IF BTBSIMP6 = 9                THEN BTBSIMP6 = . ;
IF BTBSAGR1 = 9                THEN BTBSAGR1 = . ;
IF BTBSAGR2 = 9                THEN BTBSAGR2 = . ;
IF BTBSAGR3 = 9                THEN BTBSAGR3 = . ;
IF BTBSAGR4 = 9                THEN BTBSAGR4 = . ;
IF BTBSAGR5 = 9                THEN BTBSAGR5 = . ;
IF BTBSAGR6 = 9                THEN BTBSAGR6 = . ;
IF BTBSAGR7 = 9                THEN BTBSAGR7 = . ;
IF BTBSAGR8 = 9                THEN BTBSAGR8 = . ;
IF BTBSAGR9 = 9                THEN BTBSAGR9 = . ;
IF BTBSFAM1 = 9                THEN BTBSFAM1 = . ;
IF BTBSFAM2 = 9                THEN BTBSFAM2 = . ;
IF BTBGFAM3 = 9                THEN BTBGFAM3 = . ;
IF BTBGFAM4 = 9                THEN BTBGFAM4 = . ;
IF BTBGFAM5 = 9                THEN BTBGFAM5 = . ;
IF BTBSFAM6 = 9                THEN BTBSFAM6 = . ;
IF BTBSFAM7 = 9                THEN BTBSFAM7 = . ;
IF BTBSFP01 = 9                THEN BTBSFP01 = . ;
IF BTBSFP02 = 9                THEN BTBSFP02 = . ;
IF BTBSFP03 = 9                THEN BTBSFP03 = . ;
IF BTBSFP04 = 9                THEN BTBSFP04 = . ;
IF BTBSFP05 = 9                THEN BTBSFP05 = . ;
IF BTBSFP06 = 9                THEN BTBSFP06 = . ;
IF BTBSFP07 = 9                THEN BTBSFP07 = . ;
IF BTBSFP08 = 9                THEN BTBSFP08 = . ;
IF BTBSFP09 = 9                THEN BTBSFP09 = . ;
IF BTBSFP10 = 9                THEN BTBSFP10 = . ;
IF BTBGEDUC = 9                THEN BTBGEDUC = . ;
IF BTBGTRAC = 9                THEN BTBGTRAC = . ;
IF BTBGYETR = 99               THEN BTBGYETR = . ;
IF BTBGPRTR = 9                THEN BTBGPRTR = . ;
IF BTBGCMAS = 9                THEN BTBGCMAS = . ;
IF BTBGCMA1 = 9                THEN BTBGCMA1 = . ;
IF BTBGCMA2 = 9                THEN BTBGCMA2 = . ;
IF BTBGCMA3 = 9                THEN BTBGCMA3 = . ;
IF BTBGCMA4 = 9                THEN BTBGCMA4 = . ;
IF BTBGCMA5 = 9                THEN BTBGCMA5 = . ;
IF BTBGCMA6 = 9                THEN BTBGCMA6 = . ;
IF BTBGCMA7 = 9                THEN BTBGCMA7 = . ;
IF BTBGCMA8 = 9                THEN BTBGCMA8 = . ;
IF BTBGMMAS = 9                THEN BTBGMMAS = . ;
IF BTBGMMA1 = 9                THEN BTBGMMA1 = . ;
IF BTBGMMA2 = 9                THEN BTBGMMA2 = . ;
IF BTBGMMA3 = 9                THEN BTBGMMA3 = . ;
IF BTBGMMA4 = 9                THEN BTBGMMA4 = . ;
IF BTBGMMA5 = 9                THEN BTBGMMA5 = . ;
IF BTBGMMA6 = 9                THEN BTBGMMA6 = . ;
IF BTBGMMA7 = 9                THEN BTBGMMA7 = . ;
IF BTBGMMA8 = 9                THEN BTBGMMA8 = . ;
IF BTBGCARE = 9                THEN BTBGCARE = . ;
IF BTBGCHNG = 9                THEN BTBGCHNG = . ;
IF BTBGSOAP = 9                THEN BTBGSOAP = . ;
IF BTBGSTAP = 9                THEN BTBGSTAP = . ;
IF BTBGBOOK = 9                THEN BTBGBOOK = . ;
IF BTBSBOY  = 999              THEN BTBSBOY  = . ;
IF BTBSGIRL = 999              THEN BTBSGIRL = . ;
IF BTDSTOEN = 999              THEN BTDSTOEN = . ;
IF BTBSSMEC = 9                THEN BTBSSMEC = . ;
IF BTBSTIME = 9999             THEN BTBSTIME = . ;
IF BTBSTXBK = 9                THEN BTBSTXBK = . ;
IF BTBSTXBR = 9                THEN BTBSTXBR = . ;
IF BTBSCUDL = 9                THEN BTBSCUDL = . ;
IF BTBSWECP = 9                THEN BTBSWECP = . ;
IF BTBSCAL1 = 9                THEN BTBSCAL1 = . ;
IF BTBSCAL2 = 9                THEN BTBSCAL2 = . ;
IF BTBSCAL3 = 9                THEN BTBSCAL3 = . ;
IF BTBSCAL4 = 9                THEN BTBSCAL4 = . ;
IF BTBSCAL5 = 9                THEN BTBSCAL5 = . ;
IF BTBSCOM1 = 9                THEN BTBSCOM1 = . ;
IF BTBSCOM2 = 9                THEN BTBSCOM2 = . ;
IF BTBSINT1 = 9                THEN BTBSINT1 = . ;
IF BTBSINT2 = 9                THEN BTBSINT2 = . ;
IF BTBSSRC1 = 9                THEN BTBSSRC1 = . ;
IF BTBSSRC2 = 9                THEN BTBSSRC2 = . ;
IF BTBSSRC3 = 9                THEN BTBSSRC3 = . ;
IF BTBSSRC4 = 9                THEN BTBSSRC4 = . ;
IF BTBSASK1 = 9                THEN BTBSASK1 = . ;
IF BTBSASK2 = 9                THEN BTBSASK2 = . ;
IF BTBSASK3 = 9                THEN BTBSASK3 = . ;
IF BTBSASK4 = 9                THEN BTBSASK4 = . ;
IF BTBSASK5 = 9                THEN BTBSASK5 = . ;
IF BTBSASK6 = 9                THEN BTBSASK6 = . ;
IF BTBSASK7 = 9                THEN BTBSASK7 = . ;
IF BTBSLES1 = 9                THEN BTBSLES1 = . ;
IF BTBSLES2 = 9                THEN BTBSLES2 = . ;
IF BTBSLES3 = 9                THEN BTBSLES3 = . ;
IF BTBSLES4 = 9                THEN BTBSLES4 = . ;
IF BTBSLES5 = 9                THEN BTBSLES5 = . ;
IF BTBSLES6 = 9                THEN BTBSLES6 = . ;
IF BTBSAC01 = 999              THEN BTBSAC01 = . ;
IF BTBSAC02 = 999              THEN BTBSAC02 = . ;
IF BTBSAC03 = 999              THEN BTBSAC03 = . ;
IF BTBSAC04 = 999              THEN BTBSAC04 = . ;
IF BTBSAC05 = 999              THEN BTBSAC05 = . ;
IF BTBSAC06 = 999              THEN BTBSAC06 = . ;
IF BTBSAC07 = 999              THEN BTBSAC07 = . ;
IF BTBSAC08 = 999              THEN BTBSAC08 = . ;
IF BTBSAC09 = 999              THEN BTBSAC09 = . ;
IF BTBSAC10 = 999              THEN BTBSAC10 = . ;
IF BTBSTB01 = 9                THEN BTBSTB01 = . ;
IF BTBSTT01 = 9                THEN BTBSTT01 = . ;
IF BTBSNT01 = 9                THEN BTBSNT01 = . ;
IF BTBSTB02 = 9                THEN BTBSTB02 = . ;
IF BTBSTT02 = 9                THEN BTBSTT02 = . ;
IF BTBSNT02 = 9                THEN BTBSNT02 = . ;
IF BTBSTB03 = 9                THEN BTBSTB03 = . ;
IF BTBSTT03 = 9                THEN BTBSTT03 = . ;
IF BTBSNT03 = 9                THEN BTBSNT03 = . ;
IF BTBSTB04 = 9                THEN BTBSTB04 = . ;
IF BTBSTT04 = 9                THEN BTBSTT04 = . ;
IF BTBSNT04 = 9                THEN BTBSNT04 = . ;
IF BTBSTB05 = 9                THEN BTBSTB05 = . ;
IF BTBSTT05 = 9                THEN BTBSTT05 = . ;
IF BTBSNT05 = 9                THEN BTBSNT05 = . ;
IF BTBSTB06 = 9                THEN BTBSTB06 = . ;
IF BTBSTT06 = 9                THEN BTBSTT06 = . ;
IF BTBSNT06 = 9                THEN BTBSNT06 = . ;
IF BTBSTB07 = 9                THEN BTBSTB07 = . ;
IF BTBSTT07 = 9                THEN BTBSTT07 = . ;
IF BTBSNT07 = 9                THEN BTBSNT07 = . ;
IF BTBSTB08 = 9                THEN BTBSTB08 = . ;
IF BTBSTT08 = 9                THEN BTBSTT08 = . ;
IF BTBSNT08 = 9                THEN BTBSNT08 = . ;
IF BTBSTB09 = 9                THEN BTBSTB09 = . ;
IF BTBSTT09 = 9                THEN BTBSTT09 = . ;
IF BTBSNT09 = 9                THEN BTBSNT09 = . ;
IF BTBSTB10 = 9                THEN BTBSTB10 = . ;
IF BTBSTT10 = 9                THEN BTBSTT10 = . ;
IF BTBSNT10 = 9                THEN BTBSNT10 = . ;
IF BTBSTB11 = 9                THEN BTBSTB11 = . ;
IF BTBSTT11 = 9                THEN BTBSTT11 = . ;
IF BTBSNT11 = 9                THEN BTBSNT11 = . ;
IF BTBSTB12 = 9                THEN BTBSTB12 = . ;
IF BTBSTT12 = 9                THEN BTBSTT12 = . ;
IF BTBSNT12 = 9                THEN BTBSNT12 = . ;
IF BTBSTB13 = 9                THEN BTBSTB13 = . ;
IF BTBSTT13 = 9                THEN BTBSTT13 = . ;
IF BTBSNT13 = 9                THEN BTBSNT13 = . ;
IF BTBSTB14 = 9                THEN BTBSTB14 = . ;
IF BTBSTT14 = 9                THEN BTBSTT14 = . ;
IF BTBSNT14 = 9                THEN BTBSNT14 = . ;
IF BTBSTB15 = 9                THEN BTBSTB15 = . ;
IF BTBSTT15 = 9                THEN BTBSTT15 = . ;
IF BTBSNT15 = 9                THEN BTBSNT15 = . ;
IF BTBSTB16 = 9                THEN BTBSTB16 = . ;
IF BTBSTT16 = 9                THEN BTBSTT16 = . ;
IF BTBSNT16 = 9                THEN BTBSNT16 = . ;
IF BTBSTB17 = 9                THEN BTBSTB17 = . ;
IF BTBSTT17 = 9                THEN BTBSTT17 = . ;
IF BTBSNT17 = 9                THEN BTBSNT17 = . ;
IF BTBSTB18 = 9                THEN BTBSTB18 = . ;
IF BTBSTT18 = 9                THEN BTBSTT18 = . ;
IF BTBSNT18 = 9                THEN BTBSNT18 = . ;
IF BTBSTB19 = 9                THEN BTBSTB19 = . ;
IF BTBSTT19 = 9                THEN BTBSTT19 = . ;
IF BTBSNT19 = 9                THEN BTBSNT19 = . ;
IF BTBSTB20 = 9                THEN BTBSTB20 = . ;
IF BTBSTT20 = 9                THEN BTBSTT20 = . ;
IF BTBSNT20 = 9                THEN BTBSNT20 = . ;
IF BTBSTB21 = 9                THEN BTBSTB21 = . ;
IF BTBSTT21 = 9                THEN BTBSTT21 = . ;
IF BTBSNT21 = 9                THEN BTBSNT21 = . ;
IF BTBSTB22 = 9                THEN BTBSTB22 = . ;
IF BTBSTT22 = 9                THEN BTBSTT22 = . ;
IF BTBSNT22 = 9                THEN BTBSNT22 = . ;
IF BTBSTB23 = 9                THEN BTBSTB23 = . ;
IF BTBSTT23 = 9                THEN BTBSTT23 = . ;
IF BTBSNT23 = 9                THEN BTBSNT23 = . ;
IF BTBSTB24 = 9                THEN BTBSTB24 = . ;
IF BTBSTT24 = 9                THEN BTBSTT24 = . ;
IF BTBSNT24 = 9                THEN BTBSNT24 = . ;
IF BTBSTB25 = 9                THEN BTBSTB25 = . ;
IF BTBSTT25 = 9                THEN BTBSTT25 = . ;
IF BTBSNT25 = 9                THEN BTBSNT25 = . ;
IF BTBSTB26 = 9                THEN BTBSTB26 = . ;
IF BTBSTT26 = 9                THEN BTBSTT26 = . ;
IF BTBSNT26 = 9                THEN BTBSNT26 = . ;
IF BTBSTB27 = 9                THEN BTBSTB27 = . ;
IF BTBSTT27 = 9                THEN BTBSTT27 = . ;
IF BTBSNT27 = 9                THEN BTBSNT27 = . ;
IF BTBSTB28 = 9                THEN BTBSTB28 = . ;
IF BTBSTT28 = 9                THEN BTBSTT28 = . ;
IF BTBSNT28 = 9                THEN BTBSNT28 = . ;
IF BTBSTB29 = 9                THEN BTBSTB29 = . ;
IF BTBSTT29 = 9                THEN BTBSTT29 = . ;
IF BTBSNT29 = 9                THEN BTBSNT29 = . ;
IF BTBSTB30 = 9                THEN BTBSTB30 = . ;
IF BTBSTT30 = 9                THEN BTBSTT30 = . ;
IF BTBSNT30 = 9                THEN BTBSNT30 = . ;
IF BTBSTB31 = 9                THEN BTBSTB31 = . ;
IF BTBSTT31 = 9                THEN BTBSTT31 = . ;
IF BTBSNT31 = 9                THEN BTBSNT31 = . ;
IF BTBSLM01 = 9                THEN BTBSLM01 = . ;
IF BTBSLM02 = 9                THEN BTBSLM02 = . ;
IF BTBSLM03 = 9                THEN BTBSLM03 = . ;
IF BTBSLM04 = 9                THEN BTBSLM04 = . ;
IF BTBSLM05 = 9                THEN BTBSLM05 = . ;
IF BTBSLM06 = 9                THEN BTBSLM06 = . ;
IF BTBSLM07 = 9                THEN BTBSLM07 = . ;
IF BTBSLM08 = 9                THEN BTBSLM08 = . ;
IF BTBSLM09 = 9                THEN BTBSLM09 = . ;
IF BTBSLM10 = 9                THEN BTBSLM10 = . ;
IF BTBSLM11 = 9                THEN BTBSLM11 = . ;
IF BTBSLM12 = 9                THEN BTBSLM12 = . ;
IF BTBSLM13 = 9                THEN BTBSLM13 = . ;
IF BTBSLM14 = 9                THEN BTBSLM14 = . ;
IF BTBSLM15 = 9                THEN BTBSLM15 = . ;
IF BTBSLM16 = 9                THEN BTBSLM16 = . ;
IF BTBSHMW2 = 9                THEN BTBSHMW2 = . ;
IF BTBSHWMA = 9                THEN BTBSHWMA = . ;
IF BTBSWKBR = 9                THEN BTBSWKBR = . ;
IF BTBSPROR = 9                THEN BTBSPROR = . ;
IF BTBSREAR = 9                THEN BTBSREAR = . ;
IF BTBSWRIR = 9                THEN BTBSWRIR = . ;
IF BTBSDATR = 9                THEN BTBSDATR = . ;
IF BTBSIEXR = 9                THEN BTBSIEXR = . ;
IF BTBSGEXR = 9                THEN BTBSGEXR = . ;
IF BTBSFINR = 9                THEN BTBSFINR = . ;
IF BTBSORAR = 9                THEN BTBSORAR = . ;
IF BTBSJORR = 9                THEN BTBSJORR = . ;
IF BTBSWHNA = 9                THEN BTBSWHNA = . ;
IF BTBSWHR1 = 9                THEN BTBSWHR1 = . ;
IF BTBSWHR2 = 9                THEN BTBSWHR2 = . ;
IF BTBSWHR3 = 9                THEN BTBSWHR3 = . ;
IF BTBSWHR4 = 9                THEN BTBSWHR4 = . ;
IF BTBSWHR5 = 9                THEN BTBSWHR5 = . ;
IF BTBSWHR6 = 9                THEN BTBSWHR6 = . ;
IF BTBSWHR7 = 9                THEN BTBSWHR7 = . ;
IF BTBSWHR8 = 9                THEN BTBSWHR8 = . ;
IF BTBSWGT1 = 9                THEN BTBSWGT1 = . ;
IF BTBSWGT2 = 9                THEN BTBSWGT2 = . ;
IF BTBSWGT3 = 9                THEN BTBSWGT3 = . ;
IF BTBSWGT4 = 9                THEN BTBSWGT4 = . ;
IF BTBSWGT5 = 9                THEN BTBSWGT5 = . ;
IF BTBSWGT6 = 9                THEN BTBSWGT6 = . ;
IF BTBSWGT7 = 9                THEN BTBSWGT7 = . ;
IF BTBGASS1 = 9                THEN BTBGASS1 = . ;
IF BTBGASS2 = 9                THEN BTBGASS2 = . ;
IF BTBGASS3 = 9                THEN BTBGASS3 = . ;
IF BTBGASS4 = 9                THEN BTBGASS4 = . ;
IF BTBGASS5 = 9                THEN BTBGASS5 = . ;
IF BTBGASS6 = 9                THEN BTBGASS6 = . ;
IF BTDGSUBT = 9999             THEN BTDGSUBT = . ;
IF BTDGTSKT = 9999             THEN BTDGTSKT = . ;
IF BTDSSGRD = 9                THEN BTDSSGRD = . ;
IF BTDSSQUA = 9                THEN BTDSSQUA = . ;
IF BTDSEGRD = 9                THEN BTDSEGRD = . ;
IF BTDSEQUA = 9                THEN BTDSEQUA = . ;
IF BTDSBGRD = 9                THEN BTDSBGRD = . ;
IF BTDSBQUA = 9                THEN BTDSBQUA = . ;
IF BTDSPGRD = 9                THEN BTDSPGRD = . ;
IF BTDSPQUA = 9                THEN BTDSPQUA = . ;
IF BTDSCGRD = 9                THEN BTDSCGRD = . ;
IF BTDSCQUA = 9                THEN BTDSCQUA = . ;
IF BTDSCPTS = 9                THEN BTDSCPTS = . ;
IF BTDSTPTT = 9999             THEN BTDSTPTT = . ;
IF BTDSSIZE = 9999             THEN BTDSSIZE = . ;
IF BTDSSZ3C = 9                THEN BTDSSZ3C = . ;
IF BTDSERPS = 9                THEN BTDSERPS = . ;
IF BTDSHTS  = 9999             THEN BTDSHTS  = . ;
IF BTDSTIME = 9                THEN BTDSTIME = . ;
IF BTDSESH  = 9                THEN BTDSESH  = . ;
IF BTDSHWK  = 99               THEN BTDSHWK  = . ;
IF BTDSHWK2 = 9                THEN BTDSHWK2 = . ;
IF BTDGTTIM = 9999             THEN BTDGTTIM = . ;
IF BTDSTTIM = 9999             THEN BTDSTTIM = . ;
IF BTDGCPLN = 9999             THEN BTDGCPLN = . ;
IF BTDGADMN = 9999             THEN BTDGADMN = . ;
IF BTDGOTHR = 9999             THEN BTDGOTHR = . ;
IF BTDGSMJ1 = 9                THEN BTDGSMJ1 = . ;
IF BTDGSMJ2 = 9                THEN BTDGSMJ2 = . ;
IF BTDGSMJ3 = 9                THEN BTDGSMJ3 = . ;
IF BTDGSMJ4 = 9                THEN BTDGSMJ4 = . ;
IF BTDGSMJ5 = 9                THEN BTDGSMJ5 = . ;
IF BTDGSMJ6 = 9                THEN BTDGSMJ6 = . ;
IF BTDGSMJ7 = 9                THEN BTDGSMJ7 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

RUN ;

proc sort ; by idcntry idteach idlink;

       %let i = %eval(&i + 1);
     %end;

%mend doit;

%doit;












